/* GL dispatch code.
 * This is code-generated from the GL API XML files from Khronos.
 * 
 * Copyright (c) 2013 The Khronos Group Inc.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and/or associated documentation files (the
 * "Materials"), to deal in the Materials without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Materials, and to
 * permit persons to whom the Materials are furnished to do so, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Materials.
 * 
 * THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.
 * 
 */

#include <stdlib.h>
#include <stdio.h>

#include "dispatch_common.h"
#include "epoxy/gl.h"

struct dispatch_table {
    PFNGLACCUMPROC pglAccum;
    PFNGLACCUMXOESPROC pglAccumxOES;
    PFNGLACTIVEPROGRAMEXTPROC pglActiveProgramEXT;
    PFNGLACTIVESHADERPROGRAMPROC pglActiveShaderProgram;
    PFNGLACTIVESHADERPROGRAMEXTPROC pglActiveShaderProgramEXT;
    PFNGLACTIVESTENCILFACEEXTPROC pglActiveStencilFaceEXT;
    PFNGLACTIVETEXTUREPROC pglActiveTexture;
    PFNGLACTIVEVARYINGNVPROC pglActiveVaryingNV;
    PFNGLALPHAFRAGMENTOP1ATIPROC pglAlphaFragmentOp1ATI;
    PFNGLALPHAFRAGMENTOP2ATIPROC pglAlphaFragmentOp2ATI;
    PFNGLALPHAFRAGMENTOP3ATIPROC pglAlphaFragmentOp3ATI;
    PFNGLALPHAFUNCPROC pglAlphaFunc;
    PFNGLALPHAFUNCQCOMPROC pglAlphaFuncQCOM;
    PFNGLALPHAFUNCXPROC pglAlphaFuncx;
    PFNGLALPHAFUNCXOESPROC pglAlphaFuncxOES;
    PFNGLAPPLYTEXTUREEXTPROC pglApplyTextureEXT;
    PFNGLAREPROGRAMSRESIDENTNVPROC pglAreProgramsResidentNV;
    PFNGLARETEXTURESRESIDENTPROC pglAreTexturesResident;
    PFNGLARETEXTURESRESIDENTEXTPROC pglAreTexturesResidentEXT;
    PFNGLARRAYELEMENTPROC pglArrayElement;
    PFNGLARRAYOBJECTATIPROC pglArrayObjectATI;
    PFNGLASYNCMARKERSGIXPROC pglAsyncMarkerSGIX;
    PFNGLATTACHSHADERPROC pglAttachShader;
    PFNGLBEGINPROC pglBegin;
    PFNGLBEGINCONDITIONALRENDERPROC pglBeginConditionalRender;
    PFNGLBEGINCONDITIONALRENDERNVXPROC pglBeginConditionalRenderNVX;
    PFNGLBEGINFRAGMENTSHADERATIPROC pglBeginFragmentShaderATI;
    PFNGLBEGINOCCLUSIONQUERYNVPROC pglBeginOcclusionQueryNV;
    PFNGLBEGINPERFMONITORAMDPROC pglBeginPerfMonitorAMD;
    PFNGLBEGINPERFQUERYINTELPROC pglBeginPerfQueryINTEL;
    PFNGLBEGINQUERYPROC pglBeginQuery;
    PFNGLBEGINQUERYEXTPROC pglBeginQueryEXT;
    PFNGLBEGINQUERYINDEXEDPROC pglBeginQueryIndexed;
    PFNGLBEGINTRANSFORMFEEDBACKPROC pglBeginTransformFeedback;
    PFNGLBEGINVERTEXSHADEREXTPROC pglBeginVertexShaderEXT;
    PFNGLBEGINVIDEOCAPTURENVPROC pglBeginVideoCaptureNV;
    PFNGLBINDATTRIBLOCATIONPROC pglBindAttribLocation;
    PFNGLBINDBUFFERPROC pglBindBuffer;
    PFNGLBINDBUFFERBASEPROC pglBindBufferBase;
    PFNGLBINDBUFFEROFFSETEXTPROC pglBindBufferOffsetEXT;
    PFNGLBINDBUFFERRANGEPROC pglBindBufferRange;
    PFNGLBINDBUFFERSBASEPROC pglBindBuffersBase;
    PFNGLBINDBUFFERSRANGEPROC pglBindBuffersRange;
    PFNGLBINDFRAGDATALOCATIONPROC pglBindFragDataLocation;
    PFNGLBINDFRAGDATALOCATIONINDEXEDPROC pglBindFragDataLocationIndexed;
    PFNGLBINDFRAGMENTSHADERATIPROC pglBindFragmentShaderATI;
    PFNGLBINDFRAMEBUFFERPROC pglBindFramebuffer;
    PFNGLBINDFRAMEBUFFEREXTPROC pglBindFramebufferEXT;
    PFNGLBINDFRAMEBUFFEROESPROC pglBindFramebufferOES;
    PFNGLBINDIMAGETEXTUREPROC pglBindImageTexture;
    PFNGLBINDIMAGETEXTUREEXTPROC pglBindImageTextureEXT;
    PFNGLBINDIMAGETEXTURESPROC pglBindImageTextures;
    PFNGLBINDLIGHTPARAMETEREXTPROC pglBindLightParameterEXT;
    PFNGLBINDMATERIALPARAMETEREXTPROC pglBindMaterialParameterEXT;
    PFNGLBINDMULTITEXTUREEXTPROC pglBindMultiTextureEXT;
    PFNGLBINDPARAMETEREXTPROC pglBindParameterEXT;
    PFNGLBINDPROGRAMARBPROC pglBindProgramARB;
    PFNGLBINDPROGRAMPIPELINEPROC pglBindProgramPipeline;
    PFNGLBINDPROGRAMPIPELINEEXTPROC pglBindProgramPipelineEXT;
    PFNGLBINDRENDERBUFFERPROC pglBindRenderbuffer;
    PFNGLBINDRENDERBUFFEREXTPROC pglBindRenderbufferEXT;
    PFNGLBINDRENDERBUFFEROESPROC pglBindRenderbufferOES;
    PFNGLBINDSAMPLERPROC pglBindSampler;
    PFNGLBINDSAMPLERSPROC pglBindSamplers;
    PFNGLBINDTEXGENPARAMETEREXTPROC pglBindTexGenParameterEXT;
    PFNGLBINDTEXTUREPROC pglBindTexture;
    PFNGLBINDTEXTUREUNITPARAMETEREXTPROC pglBindTextureUnitParameterEXT;
    PFNGLBINDTEXTURESPROC pglBindTextures;
    PFNGLBINDTRANSFORMFEEDBACKPROC pglBindTransformFeedback;
    PFNGLBINDTRANSFORMFEEDBACKNVPROC pglBindTransformFeedbackNV;
    PFNGLBINDVERTEXARRAYPROC pglBindVertexArray;
    PFNGLBINDVERTEXARRAYAPPLEPROC pglBindVertexArrayAPPLE;
    PFNGLBINDVERTEXBUFFERPROC pglBindVertexBuffer;
    PFNGLBINDVERTEXBUFFERSPROC pglBindVertexBuffers;
    PFNGLBINDVERTEXSHADEREXTPROC pglBindVertexShaderEXT;
    PFNGLBINDVIDEOCAPTURESTREAMBUFFERNVPROC pglBindVideoCaptureStreamBufferNV;
    PFNGLBINDVIDEOCAPTURESTREAMTEXTURENVPROC pglBindVideoCaptureStreamTextureNV;
    PFNGLBINORMAL3BEXTPROC pglBinormal3bEXT;
    PFNGLBINORMAL3BVEXTPROC pglBinormal3bvEXT;
    PFNGLBINORMAL3DEXTPROC pglBinormal3dEXT;
    PFNGLBINORMAL3DVEXTPROC pglBinormal3dvEXT;
    PFNGLBINORMAL3FEXTPROC pglBinormal3fEXT;
    PFNGLBINORMAL3FVEXTPROC pglBinormal3fvEXT;
    PFNGLBINORMAL3IEXTPROC pglBinormal3iEXT;
    PFNGLBINORMAL3IVEXTPROC pglBinormal3ivEXT;
    PFNGLBINORMAL3SEXTPROC pglBinormal3sEXT;
    PFNGLBINORMAL3SVEXTPROC pglBinormal3svEXT;
    PFNGLBINORMALPOINTEREXTPROC pglBinormalPointerEXT;
    PFNGLBITMAPPROC pglBitmap;
    PFNGLBITMAPXOESPROC pglBitmapxOES;
    PFNGLBLENDBARRIERNVPROC pglBlendBarrierNV;
    PFNGLBLENDCOLORPROC pglBlendColor;
    PFNGLBLENDCOLORXOESPROC pglBlendColorxOES;
    PFNGLBLENDEQUATIONPROC pglBlendEquation;
    PFNGLBLENDEQUATIONOESPROC pglBlendEquationOES;
    PFNGLBLENDEQUATIONSEPARATEPROC pglBlendEquationSeparate;
    PFNGLBLENDEQUATIONSEPARATEOESPROC pglBlendEquationSeparateOES;
    PFNGLBLENDEQUATIONSEPARATEIPROC pglBlendEquationSeparatei;
    PFNGLBLENDEQUATIONIPROC pglBlendEquationi;
    PFNGLBLENDFUNCPROC pglBlendFunc;
    PFNGLBLENDFUNCSEPARATEPROC pglBlendFuncSeparate;
    PFNGLBLENDFUNCSEPARATEOESPROC pglBlendFuncSeparateOES;
    PFNGLBLENDFUNCSEPARATEIPROC pglBlendFuncSeparatei;
    PFNGLBLENDFUNCIPROC pglBlendFunci;
    PFNGLBLENDPARAMETERINVPROC pglBlendParameteriNV;
    PFNGLBLITFRAMEBUFFERPROC pglBlitFramebuffer;
    PFNGLBLITFRAMEBUFFERANGLEPROC pglBlitFramebufferANGLE;
    PFNGLBUFFERADDRESSRANGENVPROC pglBufferAddressRangeNV;
    PFNGLBUFFERDATAPROC pglBufferData;
    PFNGLBUFFERPARAMETERIAPPLEPROC pglBufferParameteriAPPLE;
    PFNGLBUFFERSTORAGEPROC pglBufferStorage;
    PFNGLBUFFERSUBDATAPROC pglBufferSubData;
    PFNGLCALLLISTPROC pglCallList;
    PFNGLCALLLISTSPROC pglCallLists;
    PFNGLCHECKFRAMEBUFFERSTATUSPROC pglCheckFramebufferStatus;
    PFNGLCHECKFRAMEBUFFERSTATUSOESPROC pglCheckFramebufferStatusOES;
    PFNGLCHECKNAMEDFRAMEBUFFERSTATUSEXTPROC pglCheckNamedFramebufferStatusEXT;
    PFNGLCLAMPCOLORPROC pglClampColor;
    PFNGLCLEARPROC pglClear;
    PFNGLCLEARACCUMPROC pglClearAccum;
    PFNGLCLEARACCUMXOESPROC pglClearAccumxOES;
    PFNGLCLEARBUFFERDATAPROC pglClearBufferData;
    PFNGLCLEARBUFFERSUBDATAPROC pglClearBufferSubData;
    PFNGLCLEARBUFFERFIPROC pglClearBufferfi;
    PFNGLCLEARBUFFERFVPROC pglClearBufferfv;
    PFNGLCLEARBUFFERIVPROC pglClearBufferiv;
    PFNGLCLEARBUFFERUIVPROC pglClearBufferuiv;
    PFNGLCLEARCOLORPROC pglClearColor;
    PFNGLCLEARCOLORIIEXTPROC pglClearColorIiEXT;
    PFNGLCLEARCOLORIUIEXTPROC pglClearColorIuiEXT;
    PFNGLCLEARCOLORXPROC pglClearColorx;
    PFNGLCLEARCOLORXOESPROC pglClearColorxOES;
    PFNGLCLEARDEPTHPROC pglClearDepth;
    PFNGLCLEARDEPTHDNVPROC pglClearDepthdNV;
    PFNGLCLEARDEPTHFPROC pglClearDepthf;
    PFNGLCLEARDEPTHXPROC pglClearDepthx;
    PFNGLCLEARDEPTHXOESPROC pglClearDepthxOES;
    PFNGLCLEARINDEXPROC pglClearIndex;
    PFNGLCLEARNAMEDBUFFERDATAEXTPROC pglClearNamedBufferDataEXT;
    PFNGLCLEARNAMEDBUFFERSUBDATAEXTPROC pglClearNamedBufferSubDataEXT;
    PFNGLCLEARSTENCILPROC pglClearStencil;
    PFNGLCLEARTEXIMAGEPROC pglClearTexImage;
    PFNGLCLEARTEXSUBIMAGEPROC pglClearTexSubImage;
    PFNGLCLIENTACTIVETEXTUREPROC pglClientActiveTexture;
    PFNGLCLIENTACTIVEVERTEXSTREAMATIPROC pglClientActiveVertexStreamATI;
    PFNGLCLIENTATTRIBDEFAULTEXTPROC pglClientAttribDefaultEXT;
    PFNGLCLIENTWAITSYNCPROC pglClientWaitSync;
    PFNGLCLIPPLANEPROC pglClipPlane;
    PFNGLCLIPPLANEFPROC pglClipPlanef;
    PFNGLCLIPPLANEFIMGPROC pglClipPlanefIMG;
    PFNGLCLIPPLANEFOESPROC pglClipPlanefOES;
    PFNGLCLIPPLANEXPROC pglClipPlanex;
    PFNGLCLIPPLANEXIMGPROC pglClipPlanexIMG;
    PFNGLCLIPPLANEXOESPROC pglClipPlanexOES;
    PFNGLCOLOR3BPROC pglColor3b;
    PFNGLCOLOR3BVPROC pglColor3bv;
    PFNGLCOLOR3DPROC pglColor3d;
    PFNGLCOLOR3DVPROC pglColor3dv;
    PFNGLCOLOR3FPROC pglColor3f;
    PFNGLCOLOR3FVERTEX3FSUNPROC pglColor3fVertex3fSUN;
    PFNGLCOLOR3FVERTEX3FVSUNPROC pglColor3fVertex3fvSUN;
    PFNGLCOLOR3FVPROC pglColor3fv;
    PFNGLCOLOR3HNVPROC pglColor3hNV;
    PFNGLCOLOR3HVNVPROC pglColor3hvNV;
    PFNGLCOLOR3IPROC pglColor3i;
    PFNGLCOLOR3IVPROC pglColor3iv;
    PFNGLCOLOR3SPROC pglColor3s;
    PFNGLCOLOR3SVPROC pglColor3sv;
    PFNGLCOLOR3UBPROC pglColor3ub;
    PFNGLCOLOR3UBVPROC pglColor3ubv;
    PFNGLCOLOR3UIPROC pglColor3ui;
    PFNGLCOLOR3UIVPROC pglColor3uiv;
    PFNGLCOLOR3USPROC pglColor3us;
    PFNGLCOLOR3USVPROC pglColor3usv;
    PFNGLCOLOR3XOESPROC pglColor3xOES;
    PFNGLCOLOR3XVOESPROC pglColor3xvOES;
    PFNGLCOLOR4BPROC pglColor4b;
    PFNGLCOLOR4BVPROC pglColor4bv;
    PFNGLCOLOR4DPROC pglColor4d;
    PFNGLCOLOR4DVPROC pglColor4dv;
    PFNGLCOLOR4FPROC pglColor4f;
    PFNGLCOLOR4FNORMAL3FVERTEX3FSUNPROC pglColor4fNormal3fVertex3fSUN;
    PFNGLCOLOR4FNORMAL3FVERTEX3FVSUNPROC pglColor4fNormal3fVertex3fvSUN;
    PFNGLCOLOR4FVPROC pglColor4fv;
    PFNGLCOLOR4HNVPROC pglColor4hNV;
    PFNGLCOLOR4HVNVPROC pglColor4hvNV;
    PFNGLCOLOR4IPROC pglColor4i;
    PFNGLCOLOR4IVPROC pglColor4iv;
    PFNGLCOLOR4SPROC pglColor4s;
    PFNGLCOLOR4SVPROC pglColor4sv;
    PFNGLCOLOR4UBPROC pglColor4ub;
    PFNGLCOLOR4UBVERTEX2FSUNPROC pglColor4ubVertex2fSUN;
    PFNGLCOLOR4UBVERTEX2FVSUNPROC pglColor4ubVertex2fvSUN;
    PFNGLCOLOR4UBVERTEX3FSUNPROC pglColor4ubVertex3fSUN;
    PFNGLCOLOR4UBVERTEX3FVSUNPROC pglColor4ubVertex3fvSUN;
    PFNGLCOLOR4UBVPROC pglColor4ubv;
    PFNGLCOLOR4UIPROC pglColor4ui;
    PFNGLCOLOR4UIVPROC pglColor4uiv;
    PFNGLCOLOR4USPROC pglColor4us;
    PFNGLCOLOR4USVPROC pglColor4usv;
    PFNGLCOLOR4XPROC pglColor4x;
    PFNGLCOLOR4XOESPROC pglColor4xOES;
    PFNGLCOLOR4XVOESPROC pglColor4xvOES;
    PFNGLCOLORFORMATNVPROC pglColorFormatNV;
    PFNGLCOLORFRAGMENTOP1ATIPROC pglColorFragmentOp1ATI;
    PFNGLCOLORFRAGMENTOP2ATIPROC pglColorFragmentOp2ATI;
    PFNGLCOLORFRAGMENTOP3ATIPROC pglColorFragmentOp3ATI;
    PFNGLCOLORMASKPROC pglColorMask;
    PFNGLCOLORMASKIPROC pglColorMaski;
    PFNGLCOLORMATERIALPROC pglColorMaterial;
    PFNGLCOLORP3UIPROC pglColorP3ui;
    PFNGLCOLORP3UIVPROC pglColorP3uiv;
    PFNGLCOLORP4UIPROC pglColorP4ui;
    PFNGLCOLORP4UIVPROC pglColorP4uiv;
    PFNGLCOLORPOINTERPROC pglColorPointer;
    PFNGLCOLORPOINTEREXTPROC pglColorPointerEXT;
    PFNGLCOLORPOINTERLISTIBMPROC pglColorPointerListIBM;
    PFNGLCOLORPOINTERVINTELPROC pglColorPointervINTEL;
    PFNGLCOLORSUBTABLEPROC pglColorSubTable;
    PFNGLCOLORTABLEPROC pglColorTable;
    PFNGLCOLORTABLEPARAMETERFVPROC pglColorTableParameterfv;
    PFNGLCOLORTABLEPARAMETERIVPROC pglColorTableParameteriv;
    PFNGLCOMBINERINPUTNVPROC pglCombinerInputNV;
    PFNGLCOMBINEROUTPUTNVPROC pglCombinerOutputNV;
    PFNGLCOMBINERPARAMETERFNVPROC pglCombinerParameterfNV;
    PFNGLCOMBINERPARAMETERFVNVPROC pglCombinerParameterfvNV;
    PFNGLCOMBINERPARAMETERINVPROC pglCombinerParameteriNV;
    PFNGLCOMBINERPARAMETERIVNVPROC pglCombinerParameterivNV;
    PFNGLCOMBINERSTAGEPARAMETERFVNVPROC pglCombinerStageParameterfvNV;
    PFNGLCOMPILESHADERPROC pglCompileShader;
    PFNGLCOMPILESHADERINCLUDEARBPROC pglCompileShaderIncludeARB;
    PFNGLCOMPRESSEDMULTITEXIMAGE1DEXTPROC pglCompressedMultiTexImage1DEXT;
    PFNGLCOMPRESSEDMULTITEXIMAGE2DEXTPROC pglCompressedMultiTexImage2DEXT;
    PFNGLCOMPRESSEDMULTITEXIMAGE3DEXTPROC pglCompressedMultiTexImage3DEXT;
    PFNGLCOMPRESSEDMULTITEXSUBIMAGE1DEXTPROC pglCompressedMultiTexSubImage1DEXT;
    PFNGLCOMPRESSEDMULTITEXSUBIMAGE2DEXTPROC pglCompressedMultiTexSubImage2DEXT;
    PFNGLCOMPRESSEDMULTITEXSUBIMAGE3DEXTPROC pglCompressedMultiTexSubImage3DEXT;
    PFNGLCOMPRESSEDTEXIMAGE1DPROC pglCompressedTexImage1D;
    PFNGLCOMPRESSEDTEXIMAGE2DPROC pglCompressedTexImage2D;
    PFNGLCOMPRESSEDTEXIMAGE3DPROC pglCompressedTexImage3D;
    PFNGLCOMPRESSEDTEXSUBIMAGE1DPROC pglCompressedTexSubImage1D;
    PFNGLCOMPRESSEDTEXSUBIMAGE2DPROC pglCompressedTexSubImage2D;
    PFNGLCOMPRESSEDTEXSUBIMAGE3DPROC pglCompressedTexSubImage3D;
    PFNGLCOMPRESSEDTEXTUREIMAGE1DEXTPROC pglCompressedTextureImage1DEXT;
    PFNGLCOMPRESSEDTEXTUREIMAGE2DEXTPROC pglCompressedTextureImage2DEXT;
    PFNGLCOMPRESSEDTEXTUREIMAGE3DEXTPROC pglCompressedTextureImage3DEXT;
    PFNGLCOMPRESSEDTEXTURESUBIMAGE1DEXTPROC pglCompressedTextureSubImage1DEXT;
    PFNGLCOMPRESSEDTEXTURESUBIMAGE2DEXTPROC pglCompressedTextureSubImage2DEXT;
    PFNGLCOMPRESSEDTEXTURESUBIMAGE3DEXTPROC pglCompressedTextureSubImage3DEXT;
    PFNGLCONVOLUTIONFILTER1DPROC pglConvolutionFilter1D;
    PFNGLCONVOLUTIONFILTER2DPROC pglConvolutionFilter2D;
    PFNGLCONVOLUTIONPARAMETERFPROC pglConvolutionParameterf;
    PFNGLCONVOLUTIONPARAMETERFVPROC pglConvolutionParameterfv;
    PFNGLCONVOLUTIONPARAMETERIPROC pglConvolutionParameteri;
    PFNGLCONVOLUTIONPARAMETERIVPROC pglConvolutionParameteriv;
    PFNGLCONVOLUTIONPARAMETERXOESPROC pglConvolutionParameterxOES;
    PFNGLCONVOLUTIONPARAMETERXVOESPROC pglConvolutionParameterxvOES;
    PFNGLCOPYBUFFERSUBDATAPROC pglCopyBufferSubData;
    PFNGLCOPYCOLORSUBTABLEPROC pglCopyColorSubTable;
    PFNGLCOPYCOLORTABLEPROC pglCopyColorTable;
    PFNGLCOPYCONVOLUTIONFILTER1DPROC pglCopyConvolutionFilter1D;
    PFNGLCOPYCONVOLUTIONFILTER2DPROC pglCopyConvolutionFilter2D;
    PFNGLCOPYIMAGESUBDATAPROC pglCopyImageSubData;
    PFNGLCOPYIMAGESUBDATANVPROC pglCopyImageSubDataNV;
    PFNGLCOPYMULTITEXIMAGE1DEXTPROC pglCopyMultiTexImage1DEXT;
    PFNGLCOPYMULTITEXIMAGE2DEXTPROC pglCopyMultiTexImage2DEXT;
    PFNGLCOPYMULTITEXSUBIMAGE1DEXTPROC pglCopyMultiTexSubImage1DEXT;
    PFNGLCOPYMULTITEXSUBIMAGE2DEXTPROC pglCopyMultiTexSubImage2DEXT;
    PFNGLCOPYMULTITEXSUBIMAGE3DEXTPROC pglCopyMultiTexSubImage3DEXT;
    PFNGLCOPYPATHNVPROC pglCopyPathNV;
    PFNGLCOPYPIXELSPROC pglCopyPixels;
    PFNGLCOPYTEXIMAGE1DPROC pglCopyTexImage1D;
    PFNGLCOPYTEXIMAGE2DPROC pglCopyTexImage2D;
    PFNGLCOPYTEXSUBIMAGE1DPROC pglCopyTexSubImage1D;
    PFNGLCOPYTEXSUBIMAGE2DPROC pglCopyTexSubImage2D;
    PFNGLCOPYTEXSUBIMAGE3DPROC pglCopyTexSubImage3D;
    PFNGLCOPYTEXTUREIMAGE1DEXTPROC pglCopyTextureImage1DEXT;
    PFNGLCOPYTEXTUREIMAGE2DEXTPROC pglCopyTextureImage2DEXT;
    PFNGLCOPYTEXTURELEVELSAPPLEPROC pglCopyTextureLevelsAPPLE;
    PFNGLCOPYTEXTURESUBIMAGE1DEXTPROC pglCopyTextureSubImage1DEXT;
    PFNGLCOPYTEXTURESUBIMAGE2DEXTPROC pglCopyTextureSubImage2DEXT;
    PFNGLCOPYTEXTURESUBIMAGE3DEXTPROC pglCopyTextureSubImage3DEXT;
    PFNGLCOVERFILLPATHINSTANCEDNVPROC pglCoverFillPathInstancedNV;
    PFNGLCOVERFILLPATHNVPROC pglCoverFillPathNV;
    PFNGLCOVERSTROKEPATHINSTANCEDNVPROC pglCoverStrokePathInstancedNV;
    PFNGLCOVERSTROKEPATHNVPROC pglCoverStrokePathNV;
    PFNGLCOVERAGEMASKNVPROC pglCoverageMaskNV;
    PFNGLCOVERAGEOPERATIONNVPROC pglCoverageOperationNV;
    PFNGLCREATEPERFQUERYINTELPROC pglCreatePerfQueryINTEL;
    PFNGLCREATEPROGRAMPROC pglCreateProgram;
    PFNGLCREATESHADERPROC pglCreateShader;
    PFNGLCREATESHADERPROGRAMEXTPROC pglCreateShaderProgramEXT;
    PFNGLCREATESHADERPROGRAMVPROC pglCreateShaderProgramv;
    PFNGLCREATESHADERPROGRAMVEXTPROC pglCreateShaderProgramvEXT;
    PFNGLCREATESYNCFROMCLEVENTARBPROC pglCreateSyncFromCLeventARB;
    PFNGLCULLFACEPROC pglCullFace;
    PFNGLCULLPARAMETERDVEXTPROC pglCullParameterdvEXT;
    PFNGLCULLPARAMETERFVEXTPROC pglCullParameterfvEXT;
    PFNGLCURRENTPALETTEMATRIXARBPROC pglCurrentPaletteMatrixARB;
    PFNGLCURRENTPALETTEMATRIXOESPROC pglCurrentPaletteMatrixOES;
    PFNGLDEBUGMESSAGECALLBACKPROC pglDebugMessageCallback;
    PFNGLDEBUGMESSAGECALLBACKAMDPROC pglDebugMessageCallbackAMD;
    PFNGLDEBUGMESSAGECONTROLPROC pglDebugMessageControl;
    PFNGLDEBUGMESSAGEENABLEAMDPROC pglDebugMessageEnableAMD;
    PFNGLDEBUGMESSAGEINSERTPROC pglDebugMessageInsert;
    PFNGLDEBUGMESSAGEINSERTAMDPROC pglDebugMessageInsertAMD;
    PFNGLDEFORMSGIXPROC pglDeformSGIX;
    PFNGLDEFORMATIONMAP3DSGIXPROC pglDeformationMap3dSGIX;
    PFNGLDEFORMATIONMAP3FSGIXPROC pglDeformationMap3fSGIX;
    PFNGLDELETEASYNCMARKERSSGIXPROC pglDeleteAsyncMarkersSGIX;
    PFNGLDELETEBUFFERSPROC pglDeleteBuffers;
    PFNGLDELETEFENCESAPPLEPROC pglDeleteFencesAPPLE;
    PFNGLDELETEFENCESNVPROC pglDeleteFencesNV;
    PFNGLDELETEFRAGMENTSHADERATIPROC pglDeleteFragmentShaderATI;
    PFNGLDELETEFRAMEBUFFERSPROC pglDeleteFramebuffers;
    PFNGLDELETEFRAMEBUFFERSOESPROC pglDeleteFramebuffersOES;
    PFNGLDELETELISTSPROC pglDeleteLists;
    PFNGLDELETENAMEDSTRINGARBPROC pglDeleteNamedStringARB;
    PFNGLDELETENAMESAMDPROC pglDeleteNamesAMD;
    PFNGLDELETEOBJECTARBPROC pglDeleteObjectARB;
    PFNGLDELETEOCCLUSIONQUERIESNVPROC pglDeleteOcclusionQueriesNV;
    PFNGLDELETEPATHSNVPROC pglDeletePathsNV;
    PFNGLDELETEPERFMONITORSAMDPROC pglDeletePerfMonitorsAMD;
    PFNGLDELETEPERFQUERYINTELPROC pglDeletePerfQueryINTEL;
    PFNGLDELETEPROGRAMPROC pglDeleteProgram;
    PFNGLDELETEPROGRAMPIPELINESPROC pglDeleteProgramPipelines;
    PFNGLDELETEPROGRAMPIPELINESEXTPROC pglDeleteProgramPipelinesEXT;
    PFNGLDELETEPROGRAMSARBPROC pglDeleteProgramsARB;
    PFNGLDELETEQUERIESPROC pglDeleteQueries;
    PFNGLDELETEQUERIESEXTPROC pglDeleteQueriesEXT;
    PFNGLDELETERENDERBUFFERSPROC pglDeleteRenderbuffers;
    PFNGLDELETERENDERBUFFERSOESPROC pglDeleteRenderbuffersOES;
    PFNGLDELETESAMPLERSPROC pglDeleteSamplers;
    PFNGLDELETESHADERPROC pglDeleteShader;
    PFNGLDELETESYNCPROC pglDeleteSync;
    PFNGLDELETETEXTURESPROC pglDeleteTextures;
    PFNGLDELETETEXTURESEXTPROC pglDeleteTexturesEXT;
    PFNGLDELETETRANSFORMFEEDBACKSPROC pglDeleteTransformFeedbacks;
    PFNGLDELETEVERTEXARRAYSPROC pglDeleteVertexArrays;
    PFNGLDELETEVERTEXSHADEREXTPROC pglDeleteVertexShaderEXT;
    PFNGLDEPTHBOUNDSEXTPROC pglDepthBoundsEXT;
    PFNGLDEPTHBOUNDSDNVPROC pglDepthBoundsdNV;
    PFNGLDEPTHFUNCPROC pglDepthFunc;
    PFNGLDEPTHMASKPROC pglDepthMask;
    PFNGLDEPTHRANGEPROC pglDepthRange;
    PFNGLDEPTHRANGEARRAYVPROC pglDepthRangeArrayv;
    PFNGLDEPTHRANGEINDEXEDPROC pglDepthRangeIndexed;
    PFNGLDEPTHRANGEDNVPROC pglDepthRangedNV;
    PFNGLDEPTHRANGEFPROC pglDepthRangef;
    PFNGLDEPTHRANGEXPROC pglDepthRangex;
    PFNGLDEPTHRANGEXOESPROC pglDepthRangexOES;
    PFNGLDETACHSHADERPROC pglDetachShader;
    PFNGLDETAILTEXFUNCSGISPROC pglDetailTexFuncSGIS;
    PFNGLDISABLEPROC pglDisable;
    PFNGLDISABLECLIENTSTATEPROC pglDisableClientState;
    PFNGLDISABLECLIENTSTATEINDEXEDEXTPROC pglDisableClientStateIndexedEXT;
    PFNGLDISABLECLIENTSTATEIEXTPROC pglDisableClientStateiEXT;
    PFNGLDISABLEDRIVERCONTROLQCOMPROC pglDisableDriverControlQCOM;
    PFNGLDISABLEVARIANTCLIENTSTATEEXTPROC pglDisableVariantClientStateEXT;
    PFNGLDISABLEVERTEXARRAYATTRIBEXTPROC pglDisableVertexArrayAttribEXT;
    PFNGLDISABLEVERTEXARRAYEXTPROC pglDisableVertexArrayEXT;
    PFNGLDISABLEVERTEXATTRIBAPPLEPROC pglDisableVertexAttribAPPLE;
    PFNGLDISABLEVERTEXATTRIBARRAYPROC pglDisableVertexAttribArray;
    PFNGLDISABLEIPROC pglDisablei;
    PFNGLDISCARDFRAMEBUFFEREXTPROC pglDiscardFramebufferEXT;
    PFNGLDISPATCHCOMPUTEPROC pglDispatchCompute;
    PFNGLDISPATCHCOMPUTEGROUPSIZEARBPROC pglDispatchComputeGroupSizeARB;
    PFNGLDISPATCHCOMPUTEINDIRECTPROC pglDispatchComputeIndirect;
    PFNGLDRAWARRAYSPROC pglDrawArrays;
    PFNGLDRAWARRAYSINDIRECTPROC pglDrawArraysIndirect;
    PFNGLDRAWARRAYSINSTANCEDPROC pglDrawArraysInstanced;
    PFNGLDRAWARRAYSINSTANCEDBASEINSTANCEPROC pglDrawArraysInstancedBaseInstance;
    PFNGLDRAWBUFFERPROC pglDrawBuffer;
    PFNGLDRAWBUFFERSPROC pglDrawBuffers;
    PFNGLDRAWBUFFERSINDEXEDEXTPROC pglDrawBuffersIndexedEXT;
    PFNGLDRAWBUFFERSNVPROC pglDrawBuffersNV;
    PFNGLDRAWELEMENTARRAYAPPLEPROC pglDrawElementArrayAPPLE;
    PFNGLDRAWELEMENTARRAYATIPROC pglDrawElementArrayATI;
    PFNGLDRAWELEMENTSPROC pglDrawElements;
    PFNGLDRAWELEMENTSBASEVERTEXPROC pglDrawElementsBaseVertex;
    PFNGLDRAWELEMENTSINDIRECTPROC pglDrawElementsIndirect;
    PFNGLDRAWELEMENTSINSTANCEDPROC pglDrawElementsInstanced;
    PFNGLDRAWELEMENTSINSTANCEDBASEINSTANCEPROC pglDrawElementsInstancedBaseInstance;
    PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXPROC pglDrawElementsInstancedBaseVertex;
    PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXBASEINSTANCEPROC pglDrawElementsInstancedBaseVertexBaseInstance;
    PFNGLDRAWMESHARRAYSSUNPROC pglDrawMeshArraysSUN;
    PFNGLDRAWPIXELSPROC pglDrawPixels;
    PFNGLDRAWRANGEELEMENTARRAYAPPLEPROC pglDrawRangeElementArrayAPPLE;
    PFNGLDRAWRANGEELEMENTARRAYATIPROC pglDrawRangeElementArrayATI;
    PFNGLDRAWRANGEELEMENTSPROC pglDrawRangeElements;
    PFNGLDRAWRANGEELEMENTSBASEVERTEXPROC pglDrawRangeElementsBaseVertex;
    PFNGLDRAWTEXFOESPROC pglDrawTexfOES;
    PFNGLDRAWTEXFVOESPROC pglDrawTexfvOES;
    PFNGLDRAWTEXIOESPROC pglDrawTexiOES;
    PFNGLDRAWTEXIVOESPROC pglDrawTexivOES;
    PFNGLDRAWTEXSOESPROC pglDrawTexsOES;
    PFNGLDRAWTEXSVOESPROC pglDrawTexsvOES;
    PFNGLDRAWTEXTURENVPROC pglDrawTextureNV;
    PFNGLDRAWTEXXOESPROC pglDrawTexxOES;
    PFNGLDRAWTEXXVOESPROC pglDrawTexxvOES;
    PFNGLDRAWTRANSFORMFEEDBACKPROC pglDrawTransformFeedback;
    PFNGLDRAWTRANSFORMFEEDBACKINSTANCEDPROC pglDrawTransformFeedbackInstanced;
    PFNGLDRAWTRANSFORMFEEDBACKSTREAMPROC pglDrawTransformFeedbackStream;
    PFNGLDRAWTRANSFORMFEEDBACKSTREAMINSTANCEDPROC pglDrawTransformFeedbackStreamInstanced;
    PFNGLEGLIMAGETARGETRENDERBUFFERSTORAGEOESPROC pglEGLImageTargetRenderbufferStorageOES;
    PFNGLEGLIMAGETARGETTEXTURE2DOESPROC pglEGLImageTargetTexture2DOES;
    PFNGLEDGEFLAGPROC pglEdgeFlag;
    PFNGLEDGEFLAGFORMATNVPROC pglEdgeFlagFormatNV;
    PFNGLEDGEFLAGPOINTERPROC pglEdgeFlagPointer;
    PFNGLEDGEFLAGPOINTEREXTPROC pglEdgeFlagPointerEXT;
    PFNGLEDGEFLAGPOINTERLISTIBMPROC pglEdgeFlagPointerListIBM;
    PFNGLEDGEFLAGVPROC pglEdgeFlagv;
    PFNGLELEMENTPOINTERAPPLEPROC pglElementPointerAPPLE;
    PFNGLELEMENTPOINTERATIPROC pglElementPointerATI;
    PFNGLENABLEPROC pglEnable;
    PFNGLENABLECLIENTSTATEPROC pglEnableClientState;
    PFNGLENABLECLIENTSTATEINDEXEDEXTPROC pglEnableClientStateIndexedEXT;
    PFNGLENABLECLIENTSTATEIEXTPROC pglEnableClientStateiEXT;
    PFNGLENABLEDRIVERCONTROLQCOMPROC pglEnableDriverControlQCOM;
    PFNGLENABLEVARIANTCLIENTSTATEEXTPROC pglEnableVariantClientStateEXT;
    PFNGLENABLEVERTEXARRAYATTRIBEXTPROC pglEnableVertexArrayAttribEXT;
    PFNGLENABLEVERTEXARRAYEXTPROC pglEnableVertexArrayEXT;
    PFNGLENABLEVERTEXATTRIBAPPLEPROC pglEnableVertexAttribAPPLE;
    PFNGLENABLEVERTEXATTRIBARRAYPROC pglEnableVertexAttribArray;
    PFNGLENABLEIPROC pglEnablei;
    PFNGLENDPROC pglEnd;
    PFNGLENDCONDITIONALRENDERPROC pglEndConditionalRender;
    PFNGLENDFRAGMENTSHADERATIPROC pglEndFragmentShaderATI;
    PFNGLENDLISTPROC pglEndList;
    PFNGLENDOCCLUSIONQUERYNVPROC pglEndOcclusionQueryNV;
    PFNGLENDPERFMONITORAMDPROC pglEndPerfMonitorAMD;
    PFNGLENDPERFQUERYINTELPROC pglEndPerfQueryINTEL;
    PFNGLENDQUERYPROC pglEndQuery;
    PFNGLENDQUERYEXTPROC pglEndQueryEXT;
    PFNGLENDQUERYINDEXEDPROC pglEndQueryIndexed;
    PFNGLENDTILINGQCOMPROC pglEndTilingQCOM;
    PFNGLENDTRANSFORMFEEDBACKPROC pglEndTransformFeedback;
    PFNGLENDVERTEXSHADEREXTPROC pglEndVertexShaderEXT;
    PFNGLENDVIDEOCAPTURENVPROC pglEndVideoCaptureNV;
    PFNGLEVALCOORD1DPROC pglEvalCoord1d;
    PFNGLEVALCOORD1DVPROC pglEvalCoord1dv;
    PFNGLEVALCOORD1FPROC pglEvalCoord1f;
    PFNGLEVALCOORD1FVPROC pglEvalCoord1fv;
    PFNGLEVALCOORD1XOESPROC pglEvalCoord1xOES;
    PFNGLEVALCOORD1XVOESPROC pglEvalCoord1xvOES;
    PFNGLEVALCOORD2DPROC pglEvalCoord2d;
    PFNGLEVALCOORD2DVPROC pglEvalCoord2dv;
    PFNGLEVALCOORD2FPROC pglEvalCoord2f;
    PFNGLEVALCOORD2FVPROC pglEvalCoord2fv;
    PFNGLEVALCOORD2XOESPROC pglEvalCoord2xOES;
    PFNGLEVALCOORD2XVOESPROC pglEvalCoord2xvOES;
    PFNGLEVALMAPSNVPROC pglEvalMapsNV;
    PFNGLEVALMESH1PROC pglEvalMesh1;
    PFNGLEVALMESH2PROC pglEvalMesh2;
    PFNGLEVALPOINT1PROC pglEvalPoint1;
    PFNGLEVALPOINT2PROC pglEvalPoint2;
    PFNGLEXECUTEPROGRAMNVPROC pglExecuteProgramNV;
    PFNGLEXTGETBUFFERPOINTERVQCOMPROC pglExtGetBufferPointervQCOM;
    PFNGLEXTGETBUFFERSQCOMPROC pglExtGetBuffersQCOM;
    PFNGLEXTGETFRAMEBUFFERSQCOMPROC pglExtGetFramebuffersQCOM;
    PFNGLEXTGETPROGRAMBINARYSOURCEQCOMPROC pglExtGetProgramBinarySourceQCOM;
    PFNGLEXTGETPROGRAMSQCOMPROC pglExtGetProgramsQCOM;
    PFNGLEXTGETRENDERBUFFERSQCOMPROC pglExtGetRenderbuffersQCOM;
    PFNGLEXTGETSHADERSQCOMPROC pglExtGetShadersQCOM;
    PFNGLEXTGETTEXLEVELPARAMETERIVQCOMPROC pglExtGetTexLevelParameterivQCOM;
    PFNGLEXTGETTEXSUBIMAGEQCOMPROC pglExtGetTexSubImageQCOM;
    PFNGLEXTGETTEXTURESQCOMPROC pglExtGetTexturesQCOM;
    PFNGLEXTISPROGRAMBINARYQCOMPROC pglExtIsProgramBinaryQCOM;
    PFNGLEXTTEXOBJECTSTATEOVERRIDEIQCOMPROC pglExtTexObjectStateOverrideiQCOM;
    PFNGLEXTRACTCOMPONENTEXTPROC pglExtractComponentEXT;
    PFNGLFEEDBACKBUFFERPROC pglFeedbackBuffer;
    PFNGLFEEDBACKBUFFERXOESPROC pglFeedbackBufferxOES;
    PFNGLFENCESYNCPROC pglFenceSync;
    PFNGLFINALCOMBINERINPUTNVPROC pglFinalCombinerInputNV;
    PFNGLFINISHPROC pglFinish;
    PFNGLFINISHASYNCSGIXPROC pglFinishAsyncSGIX;
    PFNGLFINISHFENCEAPPLEPROC pglFinishFenceAPPLE;
    PFNGLFINISHFENCENVPROC pglFinishFenceNV;
    PFNGLFINISHOBJECTAPPLEPROC pglFinishObjectAPPLE;
    PFNGLFINISHTEXTURESUNXPROC pglFinishTextureSUNX;
    PFNGLFLUSHPROC pglFlush;
    PFNGLFLUSHMAPPEDBUFFERRANGEPROC pglFlushMappedBufferRange;
    PFNGLFLUSHMAPPEDNAMEDBUFFERRANGEEXTPROC pglFlushMappedNamedBufferRangeEXT;
    PFNGLFLUSHPIXELDATARANGENVPROC pglFlushPixelDataRangeNV;
    PFNGLFLUSHRASTERSGIXPROC pglFlushRasterSGIX;
    PFNGLFLUSHSTATICDATAIBMPROC pglFlushStaticDataIBM;
    PFNGLFLUSHVERTEXARRAYRANGEAPPLEPROC pglFlushVertexArrayRangeAPPLE;
    PFNGLFLUSHVERTEXARRAYRANGENVPROC pglFlushVertexArrayRangeNV;
    PFNGLFOGCOORDFORMATNVPROC pglFogCoordFormatNV;
    PFNGLFOGCOORDPOINTERPROC pglFogCoordPointer;
    PFNGLFOGCOORDPOINTERLISTIBMPROC pglFogCoordPointerListIBM;
    PFNGLFOGCOORDDPROC pglFogCoordd;
    PFNGLFOGCOORDDVPROC pglFogCoorddv;
    PFNGLFOGCOORDFPROC pglFogCoordf;
    PFNGLFOGCOORDFVPROC pglFogCoordfv;
    PFNGLFOGCOORDHNVPROC pglFogCoordhNV;
    PFNGLFOGCOORDHVNVPROC pglFogCoordhvNV;
    PFNGLFOGFUNCSGISPROC pglFogFuncSGIS;
    PFNGLFOGFPROC pglFogf;
    PFNGLFOGFVPROC pglFogfv;
    PFNGLFOGIPROC pglFogi;
    PFNGLFOGIVPROC pglFogiv;
    PFNGLFOGXPROC pglFogx;
    PFNGLFOGXOESPROC pglFogxOES;
    PFNGLFOGXVPROC pglFogxv;
    PFNGLFOGXVOESPROC pglFogxvOES;
    PFNGLFRAGMENTCOLORMATERIALSGIXPROC pglFragmentColorMaterialSGIX;
    PFNGLFRAGMENTLIGHTMODELFSGIXPROC pglFragmentLightModelfSGIX;
    PFNGLFRAGMENTLIGHTMODELFVSGIXPROC pglFragmentLightModelfvSGIX;
    PFNGLFRAGMENTLIGHTMODELISGIXPROC pglFragmentLightModeliSGIX;
    PFNGLFRAGMENTLIGHTMODELIVSGIXPROC pglFragmentLightModelivSGIX;
    PFNGLFRAGMENTLIGHTFSGIXPROC pglFragmentLightfSGIX;
    PFNGLFRAGMENTLIGHTFVSGIXPROC pglFragmentLightfvSGIX;
    PFNGLFRAGMENTLIGHTISGIXPROC pglFragmentLightiSGIX;
    PFNGLFRAGMENTLIGHTIVSGIXPROC pglFragmentLightivSGIX;
    PFNGLFRAGMENTMATERIALFSGIXPROC pglFragmentMaterialfSGIX;
    PFNGLFRAGMENTMATERIALFVSGIXPROC pglFragmentMaterialfvSGIX;
    PFNGLFRAGMENTMATERIALISGIXPROC pglFragmentMaterialiSGIX;
    PFNGLFRAGMENTMATERIALIVSGIXPROC pglFragmentMaterialivSGIX;
    PFNGLFRAMETERMINATORGREMEDYPROC pglFrameTerminatorGREMEDY;
    PFNGLFRAMEZOOMSGIXPROC pglFrameZoomSGIX;
    PFNGLFRAMEBUFFERDRAWBUFFEREXTPROC pglFramebufferDrawBufferEXT;
    PFNGLFRAMEBUFFERDRAWBUFFERSEXTPROC pglFramebufferDrawBuffersEXT;
    PFNGLFRAMEBUFFERPARAMETERIPROC pglFramebufferParameteri;
    PFNGLFRAMEBUFFERREADBUFFEREXTPROC pglFramebufferReadBufferEXT;
    PFNGLFRAMEBUFFERRENDERBUFFERPROC pglFramebufferRenderbuffer;
    PFNGLFRAMEBUFFERRENDERBUFFEROESPROC pglFramebufferRenderbufferOES;
    PFNGLFRAMEBUFFERTEXTUREPROC pglFramebufferTexture;
    PFNGLFRAMEBUFFERTEXTURE1DPROC pglFramebufferTexture1D;
    PFNGLFRAMEBUFFERTEXTURE2DPROC pglFramebufferTexture2D;
    PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEEXTPROC pglFramebufferTexture2DMultisampleEXT;
    PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEIMGPROC pglFramebufferTexture2DMultisampleIMG;
    PFNGLFRAMEBUFFERTEXTURE2DOESPROC pglFramebufferTexture2DOES;
    PFNGLFRAMEBUFFERTEXTURE3DPROC pglFramebufferTexture3D;
    PFNGLFRAMEBUFFERTEXTUREFACEARBPROC pglFramebufferTextureFaceARB;
    PFNGLFRAMEBUFFERTEXTURELAYERPROC pglFramebufferTextureLayer;
    PFNGLFREEOBJECTBUFFERATIPROC pglFreeObjectBufferATI;
    PFNGLFRONTFACEPROC pglFrontFace;
    PFNGLFRUSTUMPROC pglFrustum;
    PFNGLFRUSTUMFPROC pglFrustumf;
    PFNGLFRUSTUMFOESPROC pglFrustumfOES;
    PFNGLFRUSTUMXPROC pglFrustumx;
    PFNGLFRUSTUMXOESPROC pglFrustumxOES;
    PFNGLGENASYNCMARKERSSGIXPROC pglGenAsyncMarkersSGIX;
    PFNGLGENBUFFERSPROC pglGenBuffers;
    PFNGLGENFENCESAPPLEPROC pglGenFencesAPPLE;
    PFNGLGENFENCESNVPROC pglGenFencesNV;
    PFNGLGENFRAGMENTSHADERSATIPROC pglGenFragmentShadersATI;
    PFNGLGENFRAMEBUFFERSPROC pglGenFramebuffers;
    PFNGLGENFRAMEBUFFERSOESPROC pglGenFramebuffersOES;
    PFNGLGENLISTSPROC pglGenLists;
    PFNGLGENNAMESAMDPROC pglGenNamesAMD;
    PFNGLGENOCCLUSIONQUERIESNVPROC pglGenOcclusionQueriesNV;
    PFNGLGENPATHSNVPROC pglGenPathsNV;
    PFNGLGENPERFMONITORSAMDPROC pglGenPerfMonitorsAMD;
    PFNGLGENPROGRAMPIPELINESPROC pglGenProgramPipelines;
    PFNGLGENPROGRAMPIPELINESEXTPROC pglGenProgramPipelinesEXT;
    PFNGLGENPROGRAMSARBPROC pglGenProgramsARB;
    PFNGLGENQUERIESPROC pglGenQueries;
    PFNGLGENQUERIESEXTPROC pglGenQueriesEXT;
    PFNGLGENRENDERBUFFERSPROC pglGenRenderbuffers;
    PFNGLGENRENDERBUFFERSOESPROC pglGenRenderbuffersOES;
    PFNGLGENSAMPLERSPROC pglGenSamplers;
    PFNGLGENSYMBOLSEXTPROC pglGenSymbolsEXT;
    PFNGLGENTEXTURESPROC pglGenTextures;
    PFNGLGENTEXTURESEXTPROC pglGenTexturesEXT;
    PFNGLGENTRANSFORMFEEDBACKSPROC pglGenTransformFeedbacks;
    PFNGLGENVERTEXARRAYSPROC pglGenVertexArrays;
    PFNGLGENVERTEXSHADERSEXTPROC pglGenVertexShadersEXT;
    PFNGLGENERATEMIPMAPPROC pglGenerateMipmap;
    PFNGLGENERATEMIPMAPOESPROC pglGenerateMipmapOES;
    PFNGLGENERATEMULTITEXMIPMAPEXTPROC pglGenerateMultiTexMipmapEXT;
    PFNGLGENERATETEXTUREMIPMAPEXTPROC pglGenerateTextureMipmapEXT;
    PFNGLGETACTIVEATOMICCOUNTERBUFFERIVPROC pglGetActiveAtomicCounterBufferiv;
    PFNGLGETACTIVEATTRIBPROC pglGetActiveAttrib;
    PFNGLGETACTIVESUBROUTINENAMEPROC pglGetActiveSubroutineName;
    PFNGLGETACTIVESUBROUTINEUNIFORMNAMEPROC pglGetActiveSubroutineUniformName;
    PFNGLGETACTIVESUBROUTINEUNIFORMIVPROC pglGetActiveSubroutineUniformiv;
    PFNGLGETACTIVEUNIFORMPROC pglGetActiveUniform;
    PFNGLGETACTIVEUNIFORMBLOCKNAMEPROC pglGetActiveUniformBlockName;
    PFNGLGETACTIVEUNIFORMBLOCKIVPROC pglGetActiveUniformBlockiv;
    PFNGLGETACTIVEUNIFORMNAMEPROC pglGetActiveUniformName;
    PFNGLGETACTIVEUNIFORMSIVPROC pglGetActiveUniformsiv;
    PFNGLGETACTIVEVARYINGNVPROC pglGetActiveVaryingNV;
    PFNGLGETARRAYOBJECTFVATIPROC pglGetArrayObjectfvATI;
    PFNGLGETARRAYOBJECTIVATIPROC pglGetArrayObjectivATI;
    PFNGLGETATTACHEDOBJECTSARBPROC pglGetAttachedObjectsARB;
    PFNGLGETATTACHEDSHADERSPROC pglGetAttachedShaders;
    PFNGLGETATTRIBLOCATIONPROC pglGetAttribLocation;
    PFNGLGETBOOLEANI_VPROC pglGetBooleani_v;
    PFNGLGETBOOLEANVPROC pglGetBooleanv;
    PFNGLGETBUFFERPARAMETERI64VPROC pglGetBufferParameteri64v;
    PFNGLGETBUFFERPARAMETERIVPROC pglGetBufferParameteriv;
    PFNGLGETBUFFERPARAMETERUI64VNVPROC pglGetBufferParameterui64vNV;
    PFNGLGETBUFFERPOINTERVPROC pglGetBufferPointerv;
    PFNGLGETBUFFERSUBDATAPROC pglGetBufferSubData;
    PFNGLGETCLIPPLANEPROC pglGetClipPlane;
    PFNGLGETCLIPPLANEFPROC pglGetClipPlanef;
    PFNGLGETCLIPPLANEFOESPROC pglGetClipPlanefOES;
    PFNGLGETCLIPPLANEXPROC pglGetClipPlanex;
    PFNGLGETCLIPPLANEXOESPROC pglGetClipPlanexOES;
    PFNGLGETCOLORTABLEPROC pglGetColorTable;
    PFNGLGETCOLORTABLEPARAMETERFVPROC pglGetColorTableParameterfv;
    PFNGLGETCOLORTABLEPARAMETERFVSGIPROC pglGetColorTableParameterfvSGI;
    PFNGLGETCOLORTABLEPARAMETERIVPROC pglGetColorTableParameteriv;
    PFNGLGETCOLORTABLEPARAMETERIVSGIPROC pglGetColorTableParameterivSGI;
    PFNGLGETCOLORTABLESGIPROC pglGetColorTableSGI;
    PFNGLGETCOMBINERINPUTPARAMETERFVNVPROC pglGetCombinerInputParameterfvNV;
    PFNGLGETCOMBINERINPUTPARAMETERIVNVPROC pglGetCombinerInputParameterivNV;
    PFNGLGETCOMBINEROUTPUTPARAMETERFVNVPROC pglGetCombinerOutputParameterfvNV;
    PFNGLGETCOMBINEROUTPUTPARAMETERIVNVPROC pglGetCombinerOutputParameterivNV;
    PFNGLGETCOMBINERSTAGEPARAMETERFVNVPROC pglGetCombinerStageParameterfvNV;
    PFNGLGETCOMPRESSEDMULTITEXIMAGEEXTPROC pglGetCompressedMultiTexImageEXT;
    PFNGLGETCOMPRESSEDTEXIMAGEPROC pglGetCompressedTexImage;
    PFNGLGETCOMPRESSEDTEXTUREIMAGEEXTPROC pglGetCompressedTextureImageEXT;
    PFNGLGETCONVOLUTIONFILTERPROC pglGetConvolutionFilter;
    PFNGLGETCONVOLUTIONFILTEREXTPROC pglGetConvolutionFilterEXT;
    PFNGLGETCONVOLUTIONPARAMETERFVPROC pglGetConvolutionParameterfv;
    PFNGLGETCONVOLUTIONPARAMETERFVEXTPROC pglGetConvolutionParameterfvEXT;
    PFNGLGETCONVOLUTIONPARAMETERIVPROC pglGetConvolutionParameteriv;
    PFNGLGETCONVOLUTIONPARAMETERIVEXTPROC pglGetConvolutionParameterivEXT;
    PFNGLGETCONVOLUTIONPARAMETERXVOESPROC pglGetConvolutionParameterxvOES;
    PFNGLGETDEBUGMESSAGELOGPROC pglGetDebugMessageLog;
    PFNGLGETDEBUGMESSAGELOGAMDPROC pglGetDebugMessageLogAMD;
    PFNGLGETDETAILTEXFUNCSGISPROC pglGetDetailTexFuncSGIS;
    PFNGLGETDOUBLEI_VPROC pglGetDoublei_v;
    PFNGLGETDOUBLEVPROC pglGetDoublev;
    PFNGLGETDRIVERCONTROLSTRINGQCOMPROC pglGetDriverControlStringQCOM;
    PFNGLGETDRIVERCONTROLSQCOMPROC pglGetDriverControlsQCOM;
    PFNGLGETERRORPROC pglGetError;
    PFNGLGETFENCEIVNVPROC pglGetFenceivNV;
    PFNGLGETFINALCOMBINERINPUTPARAMETERFVNVPROC pglGetFinalCombinerInputParameterfvNV;
    PFNGLGETFINALCOMBINERINPUTPARAMETERIVNVPROC pglGetFinalCombinerInputParameterivNV;
    PFNGLGETFIRSTPERFQUERYIDINTELPROC pglGetFirstPerfQueryIdINTEL;
    PFNGLGETFIXEDVPROC pglGetFixedv;
    PFNGLGETFIXEDVOESPROC pglGetFixedvOES;
    PFNGLGETFLOATI_VPROC pglGetFloati_v;
    PFNGLGETFLOATVPROC pglGetFloatv;
    PFNGLGETFOGFUNCSGISPROC pglGetFogFuncSGIS;
    PFNGLGETFRAGDATAINDEXPROC pglGetFragDataIndex;
    PFNGLGETFRAGDATALOCATIONPROC pglGetFragDataLocation;
    PFNGLGETFRAGMENTLIGHTFVSGIXPROC pglGetFragmentLightfvSGIX;
    PFNGLGETFRAGMENTLIGHTIVSGIXPROC pglGetFragmentLightivSGIX;
    PFNGLGETFRAGMENTMATERIALFVSGIXPROC pglGetFragmentMaterialfvSGIX;
    PFNGLGETFRAGMENTMATERIALIVSGIXPROC pglGetFragmentMaterialivSGIX;
    PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVPROC pglGetFramebufferAttachmentParameteriv;
    PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVOESPROC pglGetFramebufferAttachmentParameterivOES;
    PFNGLGETFRAMEBUFFERPARAMETERIVPROC pglGetFramebufferParameteriv;
    PFNGLGETFRAMEBUFFERPARAMETERIVEXTPROC pglGetFramebufferParameterivEXT;
    PFNGLGETGRAPHICSRESETSTATUSARBPROC pglGetGraphicsResetStatusARB;
    PFNGLGETGRAPHICSRESETSTATUSEXTPROC pglGetGraphicsResetStatusEXT;
    PFNGLGETHANDLEARBPROC pglGetHandleARB;
    PFNGLGETHISTOGRAMPROC pglGetHistogram;
    PFNGLGETHISTOGRAMEXTPROC pglGetHistogramEXT;
    PFNGLGETHISTOGRAMPARAMETERFVPROC pglGetHistogramParameterfv;
    PFNGLGETHISTOGRAMPARAMETERFVEXTPROC pglGetHistogramParameterfvEXT;
    PFNGLGETHISTOGRAMPARAMETERIVPROC pglGetHistogramParameteriv;
    PFNGLGETHISTOGRAMPARAMETERIVEXTPROC pglGetHistogramParameterivEXT;
    PFNGLGETHISTOGRAMPARAMETERXVOESPROC pglGetHistogramParameterxvOES;
    PFNGLGETIMAGEHANDLEARBPROC pglGetImageHandleARB;
    PFNGLGETIMAGEHANDLENVPROC pglGetImageHandleNV;
    PFNGLGETIMAGETRANSFORMPARAMETERFVHPPROC pglGetImageTransformParameterfvHP;
    PFNGLGETIMAGETRANSFORMPARAMETERIVHPPROC pglGetImageTransformParameterivHP;
    PFNGLGETINFOLOGARBPROC pglGetInfoLogARB;
    PFNGLGETINSTRUMENTSSGIXPROC pglGetInstrumentsSGIX;
    PFNGLGETINTEGER64I_VPROC pglGetInteger64i_v;
    PFNGLGETINTEGER64VPROC pglGetInteger64v;
    PFNGLGETINTEGERI_VPROC pglGetIntegeri_v;
    PFNGLGETINTEGERI_VEXTPROC pglGetIntegeri_vEXT;
    PFNGLGETINTEGERUI64I_VNVPROC pglGetIntegerui64i_vNV;
    PFNGLGETINTEGERUI64VNVPROC pglGetIntegerui64vNV;
    PFNGLGETINTEGERVPROC pglGetIntegerv;
    PFNGLGETINTERNALFORMATI64VPROC pglGetInternalformati64v;
    PFNGLGETINTERNALFORMATIVPROC pglGetInternalformativ;
    PFNGLGETINVARIANTBOOLEANVEXTPROC pglGetInvariantBooleanvEXT;
    PFNGLGETINVARIANTFLOATVEXTPROC pglGetInvariantFloatvEXT;
    PFNGLGETINVARIANTINTEGERVEXTPROC pglGetInvariantIntegervEXT;
    PFNGLGETLIGHTFVPROC pglGetLightfv;
    PFNGLGETLIGHTIVPROC pglGetLightiv;
    PFNGLGETLIGHTXOESPROC pglGetLightxOES;
    PFNGLGETLIGHTXVPROC pglGetLightxv;
    PFNGLGETLIGHTXVOESPROC pglGetLightxvOES;
    PFNGLGETLISTPARAMETERFVSGIXPROC pglGetListParameterfvSGIX;
    PFNGLGETLISTPARAMETERIVSGIXPROC pglGetListParameterivSGIX;
    PFNGLGETLOCALCONSTANTBOOLEANVEXTPROC pglGetLocalConstantBooleanvEXT;
    PFNGLGETLOCALCONSTANTFLOATVEXTPROC pglGetLocalConstantFloatvEXT;
    PFNGLGETLOCALCONSTANTINTEGERVEXTPROC pglGetLocalConstantIntegervEXT;
    PFNGLGETMAPATTRIBPARAMETERFVNVPROC pglGetMapAttribParameterfvNV;
    PFNGLGETMAPATTRIBPARAMETERIVNVPROC pglGetMapAttribParameterivNV;
    PFNGLGETMAPCONTROLPOINTSNVPROC pglGetMapControlPointsNV;
    PFNGLGETMAPPARAMETERFVNVPROC pglGetMapParameterfvNV;
    PFNGLGETMAPPARAMETERIVNVPROC pglGetMapParameterivNV;
    PFNGLGETMAPDVPROC pglGetMapdv;
    PFNGLGETMAPFVPROC pglGetMapfv;
    PFNGLGETMAPIVPROC pglGetMapiv;
    PFNGLGETMAPXVOESPROC pglGetMapxvOES;
    PFNGLGETMATERIALFVPROC pglGetMaterialfv;
    PFNGLGETMATERIALIVPROC pglGetMaterialiv;
    PFNGLGETMATERIALXOESPROC pglGetMaterialxOES;
    PFNGLGETMATERIALXVPROC pglGetMaterialxv;
    PFNGLGETMATERIALXVOESPROC pglGetMaterialxvOES;
    PFNGLGETMINMAXPROC pglGetMinmax;
    PFNGLGETMINMAXEXTPROC pglGetMinmaxEXT;
    PFNGLGETMINMAXPARAMETERFVPROC pglGetMinmaxParameterfv;
    PFNGLGETMINMAXPARAMETERFVEXTPROC pglGetMinmaxParameterfvEXT;
    PFNGLGETMINMAXPARAMETERIVPROC pglGetMinmaxParameteriv;
    PFNGLGETMINMAXPARAMETERIVEXTPROC pglGetMinmaxParameterivEXT;
    PFNGLGETMULTITEXENVFVEXTPROC pglGetMultiTexEnvfvEXT;
    PFNGLGETMULTITEXENVIVEXTPROC pglGetMultiTexEnvivEXT;
    PFNGLGETMULTITEXGENDVEXTPROC pglGetMultiTexGendvEXT;
    PFNGLGETMULTITEXGENFVEXTPROC pglGetMultiTexGenfvEXT;
    PFNGLGETMULTITEXGENIVEXTPROC pglGetMultiTexGenivEXT;
    PFNGLGETMULTITEXIMAGEEXTPROC pglGetMultiTexImageEXT;
    PFNGLGETMULTITEXLEVELPARAMETERFVEXTPROC pglGetMultiTexLevelParameterfvEXT;
    PFNGLGETMULTITEXLEVELPARAMETERIVEXTPROC pglGetMultiTexLevelParameterivEXT;
    PFNGLGETMULTITEXPARAMETERIIVEXTPROC pglGetMultiTexParameterIivEXT;
    PFNGLGETMULTITEXPARAMETERIUIVEXTPROC pglGetMultiTexParameterIuivEXT;
    PFNGLGETMULTITEXPARAMETERFVEXTPROC pglGetMultiTexParameterfvEXT;
    PFNGLGETMULTITEXPARAMETERIVEXTPROC pglGetMultiTexParameterivEXT;
    PFNGLGETMULTISAMPLEFVPROC pglGetMultisamplefv;
    PFNGLGETNAMEDBUFFERPARAMETERIVEXTPROC pglGetNamedBufferParameterivEXT;
    PFNGLGETNAMEDBUFFERPARAMETERUI64VNVPROC pglGetNamedBufferParameterui64vNV;
    PFNGLGETNAMEDBUFFERPOINTERVEXTPROC pglGetNamedBufferPointervEXT;
    PFNGLGETNAMEDBUFFERSUBDATAEXTPROC pglGetNamedBufferSubDataEXT;
    PFNGLGETNAMEDFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC pglGetNamedFramebufferAttachmentParameterivEXT;
    PFNGLGETNAMEDFRAMEBUFFERPARAMETERIVEXTPROC pglGetNamedFramebufferParameterivEXT;
    PFNGLGETNAMEDPROGRAMLOCALPARAMETERIIVEXTPROC pglGetNamedProgramLocalParameterIivEXT;
    PFNGLGETNAMEDPROGRAMLOCALPARAMETERIUIVEXTPROC pglGetNamedProgramLocalParameterIuivEXT;
    PFNGLGETNAMEDPROGRAMLOCALPARAMETERDVEXTPROC pglGetNamedProgramLocalParameterdvEXT;
    PFNGLGETNAMEDPROGRAMLOCALPARAMETERFVEXTPROC pglGetNamedProgramLocalParameterfvEXT;
    PFNGLGETNAMEDPROGRAMSTRINGEXTPROC pglGetNamedProgramStringEXT;
    PFNGLGETNAMEDPROGRAMIVEXTPROC pglGetNamedProgramivEXT;
    PFNGLGETNAMEDRENDERBUFFERPARAMETERIVEXTPROC pglGetNamedRenderbufferParameterivEXT;
    PFNGLGETNAMEDSTRINGARBPROC pglGetNamedStringARB;
    PFNGLGETNAMEDSTRINGIVARBPROC pglGetNamedStringivARB;
    PFNGLGETNEXTPERFQUERYIDINTELPROC pglGetNextPerfQueryIdINTEL;
    PFNGLGETOBJECTBUFFERFVATIPROC pglGetObjectBufferfvATI;
    PFNGLGETOBJECTBUFFERIVATIPROC pglGetObjectBufferivATI;
    PFNGLGETOBJECTLABELPROC pglGetObjectLabel;
    PFNGLGETOBJECTLABELEXTPROC pglGetObjectLabelEXT;
    PFNGLGETOBJECTPARAMETERFVARBPROC pglGetObjectParameterfvARB;
    PFNGLGETOBJECTPARAMETERIVAPPLEPROC pglGetObjectParameterivAPPLE;
    PFNGLGETOBJECTPARAMETERIVARBPROC pglGetObjectParameterivARB;
    PFNGLGETOBJECTPTRLABELPROC pglGetObjectPtrLabel;
    PFNGLGETOCCLUSIONQUERYIVNVPROC pglGetOcclusionQueryivNV;
    PFNGLGETOCCLUSIONQUERYUIVNVPROC pglGetOcclusionQueryuivNV;
    PFNGLGETPATHCOLORGENFVNVPROC pglGetPathColorGenfvNV;
    PFNGLGETPATHCOLORGENIVNVPROC pglGetPathColorGenivNV;
    PFNGLGETPATHCOMMANDSNVPROC pglGetPathCommandsNV;
    PFNGLGETPATHCOORDSNVPROC pglGetPathCoordsNV;
    PFNGLGETPATHDASHARRAYNVPROC pglGetPathDashArrayNV;
    PFNGLGETPATHLENGTHNVPROC pglGetPathLengthNV;
    PFNGLGETPATHMETRICRANGENVPROC pglGetPathMetricRangeNV;
    PFNGLGETPATHMETRICSNVPROC pglGetPathMetricsNV;
    PFNGLGETPATHPARAMETERFVNVPROC pglGetPathParameterfvNV;
    PFNGLGETPATHPARAMETERIVNVPROC pglGetPathParameterivNV;
    PFNGLGETPATHSPACINGNVPROC pglGetPathSpacingNV;
    PFNGLGETPATHTEXGENFVNVPROC pglGetPathTexGenfvNV;
    PFNGLGETPATHTEXGENIVNVPROC pglGetPathTexGenivNV;
    PFNGLGETPERFCOUNTERINFOINTELPROC pglGetPerfCounterInfoINTEL;
    PFNGLGETPERFMONITORCOUNTERDATAAMDPROC pglGetPerfMonitorCounterDataAMD;
    PFNGLGETPERFMONITORCOUNTERINFOAMDPROC pglGetPerfMonitorCounterInfoAMD;
    PFNGLGETPERFMONITORCOUNTERSTRINGAMDPROC pglGetPerfMonitorCounterStringAMD;
    PFNGLGETPERFMONITORCOUNTERSAMDPROC pglGetPerfMonitorCountersAMD;
    PFNGLGETPERFMONITORGROUPSTRINGAMDPROC pglGetPerfMonitorGroupStringAMD;
    PFNGLGETPERFMONITORGROUPSAMDPROC pglGetPerfMonitorGroupsAMD;
    PFNGLGETPERFQUERYDATAINTELPROC pglGetPerfQueryDataINTEL;
    PFNGLGETPERFQUERYIDBYNAMEINTELPROC pglGetPerfQueryIdByNameINTEL;
    PFNGLGETPERFQUERYINFOINTELPROC pglGetPerfQueryInfoINTEL;
    PFNGLGETPIXELMAPFVPROC pglGetPixelMapfv;
    PFNGLGETPIXELMAPUIVPROC pglGetPixelMapuiv;
    PFNGLGETPIXELMAPUSVPROC pglGetPixelMapusv;
    PFNGLGETPIXELMAPXVPROC pglGetPixelMapxv;
    PFNGLGETPIXELTEXGENPARAMETERFVSGISPROC pglGetPixelTexGenParameterfvSGIS;
    PFNGLGETPIXELTEXGENPARAMETERIVSGISPROC pglGetPixelTexGenParameterivSGIS;
    PFNGLGETPIXELTRANSFORMPARAMETERFVEXTPROC pglGetPixelTransformParameterfvEXT;
    PFNGLGETPIXELTRANSFORMPARAMETERIVEXTPROC pglGetPixelTransformParameterivEXT;
    PFNGLGETPOINTERINDEXEDVEXTPROC pglGetPointerIndexedvEXT;
    PFNGLGETPOINTERI_VEXTPROC pglGetPointeri_vEXT;
    PFNGLGETPOINTERVPROC pglGetPointerv;
    PFNGLGETPOLYGONSTIPPLEPROC pglGetPolygonStipple;
    PFNGLGETPROGRAMBINARYPROC pglGetProgramBinary;
    PFNGLGETPROGRAMENVPARAMETERIIVNVPROC pglGetProgramEnvParameterIivNV;
    PFNGLGETPROGRAMENVPARAMETERIUIVNVPROC pglGetProgramEnvParameterIuivNV;
    PFNGLGETPROGRAMENVPARAMETERDVARBPROC pglGetProgramEnvParameterdvARB;
    PFNGLGETPROGRAMENVPARAMETERFVARBPROC pglGetProgramEnvParameterfvARB;
    PFNGLGETPROGRAMINFOLOGPROC pglGetProgramInfoLog;
    PFNGLGETPROGRAMINTERFACEIVPROC pglGetProgramInterfaceiv;
    PFNGLGETPROGRAMLOCALPARAMETERIIVNVPROC pglGetProgramLocalParameterIivNV;
    PFNGLGETPROGRAMLOCALPARAMETERIUIVNVPROC pglGetProgramLocalParameterIuivNV;
    PFNGLGETPROGRAMLOCALPARAMETERDVARBPROC pglGetProgramLocalParameterdvARB;
    PFNGLGETPROGRAMLOCALPARAMETERFVARBPROC pglGetProgramLocalParameterfvARB;
    PFNGLGETPROGRAMNAMEDPARAMETERDVNVPROC pglGetProgramNamedParameterdvNV;
    PFNGLGETPROGRAMNAMEDPARAMETERFVNVPROC pglGetProgramNamedParameterfvNV;
    PFNGLGETPROGRAMPARAMETERDVNVPROC pglGetProgramParameterdvNV;
    PFNGLGETPROGRAMPARAMETERFVNVPROC pglGetProgramParameterfvNV;
    PFNGLGETPROGRAMPIPELINEINFOLOGPROC pglGetProgramPipelineInfoLog;
    PFNGLGETPROGRAMPIPELINEINFOLOGEXTPROC pglGetProgramPipelineInfoLogEXT;
    PFNGLGETPROGRAMPIPELINEIVPROC pglGetProgramPipelineiv;
    PFNGLGETPROGRAMPIPELINEIVEXTPROC pglGetProgramPipelineivEXT;
    PFNGLGETPROGRAMRESOURCEINDEXPROC pglGetProgramResourceIndex;
    PFNGLGETPROGRAMRESOURCELOCATIONPROC pglGetProgramResourceLocation;
    PFNGLGETPROGRAMRESOURCELOCATIONINDEXPROC pglGetProgramResourceLocationIndex;
    PFNGLGETPROGRAMRESOURCENAMEPROC pglGetProgramResourceName;
    PFNGLGETPROGRAMRESOURCEIVPROC pglGetProgramResourceiv;
    PFNGLGETPROGRAMSTAGEIVPROC pglGetProgramStageiv;
    PFNGLGETPROGRAMSTRINGARBPROC pglGetProgramStringARB;
    PFNGLGETPROGRAMSTRINGNVPROC pglGetProgramStringNV;
    PFNGLGETPROGRAMSUBROUTINEPARAMETERUIVNVPROC pglGetProgramSubroutineParameteruivNV;
    PFNGLGETPROGRAMIVPROC pglGetProgramiv;
    PFNGLGETPROGRAMIVARBPROC pglGetProgramivARB;
    PFNGLGETPROGRAMIVNVPROC pglGetProgramivNV;
    PFNGLGETQUERYINDEXEDIVPROC pglGetQueryIndexediv;
    PFNGLGETQUERYOBJECTI64VPROC pglGetQueryObjecti64v;
    PFNGLGETQUERYOBJECTIVPROC pglGetQueryObjectiv;
    PFNGLGETQUERYOBJECTUI64VPROC pglGetQueryObjectui64v;
    PFNGLGETQUERYOBJECTUIVPROC pglGetQueryObjectuiv;
    PFNGLGETQUERYOBJECTUIVEXTPROC pglGetQueryObjectuivEXT;
    PFNGLGETQUERYIVPROC pglGetQueryiv;
    PFNGLGETQUERYIVEXTPROC pglGetQueryivEXT;
    PFNGLGETRENDERBUFFERPARAMETERIVPROC pglGetRenderbufferParameteriv;
    PFNGLGETRENDERBUFFERPARAMETERIVOESPROC pglGetRenderbufferParameterivOES;
    PFNGLGETSAMPLERPARAMETERIIVPROC pglGetSamplerParameterIiv;
    PFNGLGETSAMPLERPARAMETERIUIVPROC pglGetSamplerParameterIuiv;
    PFNGLGETSAMPLERPARAMETERFVPROC pglGetSamplerParameterfv;
    PFNGLGETSAMPLERPARAMETERIVPROC pglGetSamplerParameteriv;
    PFNGLGETSEPARABLEFILTERPROC pglGetSeparableFilter;
    PFNGLGETSEPARABLEFILTEREXTPROC pglGetSeparableFilterEXT;
    PFNGLGETSHADERINFOLOGPROC pglGetShaderInfoLog;
    PFNGLGETSHADERPRECISIONFORMATPROC pglGetShaderPrecisionFormat;
    PFNGLGETSHADERSOURCEPROC pglGetShaderSource;
    PFNGLGETSHADERIVPROC pglGetShaderiv;
    PFNGLGETSHARPENTEXFUNCSGISPROC pglGetSharpenTexFuncSGIS;
    PFNGLGETSTRINGPROC pglGetString;
    PFNGLGETSTRINGIPROC pglGetStringi;
    PFNGLGETSUBROUTINEINDEXPROC pglGetSubroutineIndex;
    PFNGLGETSUBROUTINEUNIFORMLOCATIONPROC pglGetSubroutineUniformLocation;
    PFNGLGETSYNCIVPROC pglGetSynciv;
    PFNGLGETTEXBUMPPARAMETERFVATIPROC pglGetTexBumpParameterfvATI;
    PFNGLGETTEXBUMPPARAMETERIVATIPROC pglGetTexBumpParameterivATI;
    PFNGLGETTEXENVFVPROC pglGetTexEnvfv;
    PFNGLGETTEXENVIVPROC pglGetTexEnviv;
    PFNGLGETTEXENVXVPROC pglGetTexEnvxv;
    PFNGLGETTEXENVXVOESPROC pglGetTexEnvxvOES;
    PFNGLGETTEXFILTERFUNCSGISPROC pglGetTexFilterFuncSGIS;
    PFNGLGETTEXGENDVPROC pglGetTexGendv;
    PFNGLGETTEXGENFVPROC pglGetTexGenfv;
    PFNGLGETTEXGENFVOESPROC pglGetTexGenfvOES;
    PFNGLGETTEXGENIVPROC pglGetTexGeniv;
    PFNGLGETTEXGENIVOESPROC pglGetTexGenivOES;
    PFNGLGETTEXGENXVOESPROC pglGetTexGenxvOES;
    PFNGLGETTEXIMAGEPROC pglGetTexImage;
    PFNGLGETTEXLEVELPARAMETERFVPROC pglGetTexLevelParameterfv;
    PFNGLGETTEXLEVELPARAMETERIVPROC pglGetTexLevelParameteriv;
    PFNGLGETTEXLEVELPARAMETERXVOESPROC pglGetTexLevelParameterxvOES;
    PFNGLGETTEXPARAMETERIIVPROC pglGetTexParameterIiv;
    PFNGLGETTEXPARAMETERIUIVPROC pglGetTexParameterIuiv;
    PFNGLGETTEXPARAMETERPOINTERVAPPLEPROC pglGetTexParameterPointervAPPLE;
    PFNGLGETTEXPARAMETERFVPROC pglGetTexParameterfv;
    PFNGLGETTEXPARAMETERIVPROC pglGetTexParameteriv;
    PFNGLGETTEXPARAMETERXVPROC pglGetTexParameterxv;
    PFNGLGETTEXPARAMETERXVOESPROC pglGetTexParameterxvOES;
    PFNGLGETTEXTUREHANDLEARBPROC pglGetTextureHandleARB;
    PFNGLGETTEXTUREHANDLENVPROC pglGetTextureHandleNV;
    PFNGLGETTEXTUREIMAGEEXTPROC pglGetTextureImageEXT;
    PFNGLGETTEXTURELEVELPARAMETERFVEXTPROC pglGetTextureLevelParameterfvEXT;
    PFNGLGETTEXTURELEVELPARAMETERIVEXTPROC pglGetTextureLevelParameterivEXT;
    PFNGLGETTEXTUREPARAMETERIIVEXTPROC pglGetTextureParameterIivEXT;
    PFNGLGETTEXTUREPARAMETERIUIVEXTPROC pglGetTextureParameterIuivEXT;
    PFNGLGETTEXTUREPARAMETERFVEXTPROC pglGetTextureParameterfvEXT;
    PFNGLGETTEXTUREPARAMETERIVEXTPROC pglGetTextureParameterivEXT;
    PFNGLGETTEXTURESAMPLERHANDLEARBPROC pglGetTextureSamplerHandleARB;
    PFNGLGETTEXTURESAMPLERHANDLENVPROC pglGetTextureSamplerHandleNV;
    PFNGLGETTRACKMATRIXIVNVPROC pglGetTrackMatrixivNV;
    PFNGLGETTRANSFORMFEEDBACKVARYINGPROC pglGetTransformFeedbackVarying;
    PFNGLGETTRANSFORMFEEDBACKVARYINGNVPROC pglGetTransformFeedbackVaryingNV;
    PFNGLGETTRANSLATEDSHADERSOURCEANGLEPROC pglGetTranslatedShaderSourceANGLE;
    PFNGLGETUNIFORMBLOCKINDEXPROC pglGetUniformBlockIndex;
    PFNGLGETUNIFORMBUFFERSIZEEXTPROC pglGetUniformBufferSizeEXT;
    PFNGLGETUNIFORMINDICESPROC pglGetUniformIndices;
    PFNGLGETUNIFORMLOCATIONPROC pglGetUniformLocation;
    PFNGLGETUNIFORMOFFSETEXTPROC pglGetUniformOffsetEXT;
    PFNGLGETUNIFORMSUBROUTINEUIVPROC pglGetUniformSubroutineuiv;
    PFNGLGETUNIFORMDVPROC pglGetUniformdv;
    PFNGLGETUNIFORMFVPROC pglGetUniformfv;
    PFNGLGETUNIFORMI64VNVPROC pglGetUniformi64vNV;
    PFNGLGETUNIFORMIVPROC pglGetUniformiv;
    PFNGLGETUNIFORMUI64VNVPROC pglGetUniformui64vNV;
    PFNGLGETUNIFORMUIVPROC pglGetUniformuiv;
    PFNGLGETVARIANTARRAYOBJECTFVATIPROC pglGetVariantArrayObjectfvATI;
    PFNGLGETVARIANTARRAYOBJECTIVATIPROC pglGetVariantArrayObjectivATI;
    PFNGLGETVARIANTBOOLEANVEXTPROC pglGetVariantBooleanvEXT;
    PFNGLGETVARIANTFLOATVEXTPROC pglGetVariantFloatvEXT;
    PFNGLGETVARIANTINTEGERVEXTPROC pglGetVariantIntegervEXT;
    PFNGLGETVARIANTPOINTERVEXTPROC pglGetVariantPointervEXT;
    PFNGLGETVARYINGLOCATIONNVPROC pglGetVaryingLocationNV;
    PFNGLGETVERTEXARRAYINTEGERI_VEXTPROC pglGetVertexArrayIntegeri_vEXT;
    PFNGLGETVERTEXARRAYINTEGERVEXTPROC pglGetVertexArrayIntegervEXT;
    PFNGLGETVERTEXARRAYPOINTERI_VEXTPROC pglGetVertexArrayPointeri_vEXT;
    PFNGLGETVERTEXARRAYPOINTERVEXTPROC pglGetVertexArrayPointervEXT;
    PFNGLGETVERTEXATTRIBARRAYOBJECTFVATIPROC pglGetVertexAttribArrayObjectfvATI;
    PFNGLGETVERTEXATTRIBARRAYOBJECTIVATIPROC pglGetVertexAttribArrayObjectivATI;
    PFNGLGETVERTEXATTRIBIIVPROC pglGetVertexAttribIiv;
    PFNGLGETVERTEXATTRIBIUIVPROC pglGetVertexAttribIuiv;
    PFNGLGETVERTEXATTRIBLDVPROC pglGetVertexAttribLdv;
    PFNGLGETVERTEXATTRIBLI64VNVPROC pglGetVertexAttribLi64vNV;
    PFNGLGETVERTEXATTRIBLUI64VARBPROC pglGetVertexAttribLui64vARB;
    PFNGLGETVERTEXATTRIBLUI64VNVPROC pglGetVertexAttribLui64vNV;
    PFNGLGETVERTEXATTRIBPOINTERVPROC pglGetVertexAttribPointerv;
    PFNGLGETVERTEXATTRIBDVPROC pglGetVertexAttribdv;
    PFNGLGETVERTEXATTRIBFVPROC pglGetVertexAttribfv;
    PFNGLGETVERTEXATTRIBIVPROC pglGetVertexAttribiv;
    PFNGLGETVIDEOCAPTURESTREAMDVNVPROC pglGetVideoCaptureStreamdvNV;
    PFNGLGETVIDEOCAPTURESTREAMFVNVPROC pglGetVideoCaptureStreamfvNV;
    PFNGLGETVIDEOCAPTURESTREAMIVNVPROC pglGetVideoCaptureStreamivNV;
    PFNGLGETVIDEOCAPTUREIVNVPROC pglGetVideoCaptureivNV;
    PFNGLGETVIDEOI64VNVPROC pglGetVideoi64vNV;
    PFNGLGETVIDEOIVNVPROC pglGetVideoivNV;
    PFNGLGETVIDEOUI64VNVPROC pglGetVideoui64vNV;
    PFNGLGETVIDEOUIVNVPROC pglGetVideouivNV;
    PFNGLGETNCOLORTABLEARBPROC pglGetnColorTableARB;
    PFNGLGETNCOMPRESSEDTEXIMAGEARBPROC pglGetnCompressedTexImageARB;
    PFNGLGETNCONVOLUTIONFILTERARBPROC pglGetnConvolutionFilterARB;
    PFNGLGETNHISTOGRAMARBPROC pglGetnHistogramARB;
    PFNGLGETNMAPDVARBPROC pglGetnMapdvARB;
    PFNGLGETNMAPFVARBPROC pglGetnMapfvARB;
    PFNGLGETNMAPIVARBPROC pglGetnMapivARB;
    PFNGLGETNMINMAXARBPROC pglGetnMinmaxARB;
    PFNGLGETNPIXELMAPFVARBPROC pglGetnPixelMapfvARB;
    PFNGLGETNPIXELMAPUIVARBPROC pglGetnPixelMapuivARB;
    PFNGLGETNPIXELMAPUSVARBPROC pglGetnPixelMapusvARB;
    PFNGLGETNPOLYGONSTIPPLEARBPROC pglGetnPolygonStippleARB;
    PFNGLGETNSEPARABLEFILTERARBPROC pglGetnSeparableFilterARB;
    PFNGLGETNTEXIMAGEARBPROC pglGetnTexImageARB;
    PFNGLGETNUNIFORMDVARBPROC pglGetnUniformdvARB;
    PFNGLGETNUNIFORMFVARBPROC pglGetnUniformfvARB;
    PFNGLGETNUNIFORMFVEXTPROC pglGetnUniformfvEXT;
    PFNGLGETNUNIFORMIVARBPROC pglGetnUniformivARB;
    PFNGLGETNUNIFORMIVEXTPROC pglGetnUniformivEXT;
    PFNGLGETNUNIFORMUIVARBPROC pglGetnUniformuivARB;
    PFNGLGLOBALALPHAFACTORBSUNPROC pglGlobalAlphaFactorbSUN;
    PFNGLGLOBALALPHAFACTORDSUNPROC pglGlobalAlphaFactordSUN;
    PFNGLGLOBALALPHAFACTORFSUNPROC pglGlobalAlphaFactorfSUN;
    PFNGLGLOBALALPHAFACTORISUNPROC pglGlobalAlphaFactoriSUN;
    PFNGLGLOBALALPHAFACTORSSUNPROC pglGlobalAlphaFactorsSUN;
    PFNGLGLOBALALPHAFACTORUBSUNPROC pglGlobalAlphaFactorubSUN;
    PFNGLGLOBALALPHAFACTORUISUNPROC pglGlobalAlphaFactoruiSUN;
    PFNGLGLOBALALPHAFACTORUSSUNPROC pglGlobalAlphaFactorusSUN;
    PFNGLHINTPROC pglHint;
    PFNGLHINTPGIPROC pglHintPGI;
    PFNGLHISTOGRAMPROC pglHistogram;
    PFNGLIGLOOINTERFACESGIXPROC pglIglooInterfaceSGIX;
    PFNGLIMAGETRANSFORMPARAMETERFHPPROC pglImageTransformParameterfHP;
    PFNGLIMAGETRANSFORMPARAMETERFVHPPROC pglImageTransformParameterfvHP;
    PFNGLIMAGETRANSFORMPARAMETERIHPPROC pglImageTransformParameteriHP;
    PFNGLIMAGETRANSFORMPARAMETERIVHPPROC pglImageTransformParameterivHP;
    PFNGLIMPORTSYNCEXTPROC pglImportSyncEXT;
    PFNGLINDEXFORMATNVPROC pglIndexFormatNV;
    PFNGLINDEXFUNCEXTPROC pglIndexFuncEXT;
    PFNGLINDEXMASKPROC pglIndexMask;
    PFNGLINDEXMATERIALEXTPROC pglIndexMaterialEXT;
    PFNGLINDEXPOINTERPROC pglIndexPointer;
    PFNGLINDEXPOINTEREXTPROC pglIndexPointerEXT;
    PFNGLINDEXPOINTERLISTIBMPROC pglIndexPointerListIBM;
    PFNGLINDEXDPROC pglIndexd;
    PFNGLINDEXDVPROC pglIndexdv;
    PFNGLINDEXFPROC pglIndexf;
    PFNGLINDEXFVPROC pglIndexfv;
    PFNGLINDEXIPROC pglIndexi;
    PFNGLINDEXIVPROC pglIndexiv;
    PFNGLINDEXSPROC pglIndexs;
    PFNGLINDEXSVPROC pglIndexsv;
    PFNGLINDEXUBPROC pglIndexub;
    PFNGLINDEXUBVPROC pglIndexubv;
    PFNGLINDEXXOESPROC pglIndexxOES;
    PFNGLINDEXXVOESPROC pglIndexxvOES;
    PFNGLINITNAMESPROC pglInitNames;
    PFNGLINSERTCOMPONENTEXTPROC pglInsertComponentEXT;
    PFNGLINSERTEVENTMARKEREXTPROC pglInsertEventMarkerEXT;
    PFNGLINSTRUMENTSBUFFERSGIXPROC pglInstrumentsBufferSGIX;
    PFNGLINTERLEAVEDARRAYSPROC pglInterleavedArrays;
    PFNGLINTERPOLATEPATHSNVPROC pglInterpolatePathsNV;
    PFNGLINVALIDATEBUFFERDATAPROC pglInvalidateBufferData;
    PFNGLINVALIDATEBUFFERSUBDATAPROC pglInvalidateBufferSubData;
    PFNGLINVALIDATEFRAMEBUFFERPROC pglInvalidateFramebuffer;
    PFNGLINVALIDATESUBFRAMEBUFFERPROC pglInvalidateSubFramebuffer;
    PFNGLINVALIDATETEXIMAGEPROC pglInvalidateTexImage;
    PFNGLINVALIDATETEXSUBIMAGEPROC pglInvalidateTexSubImage;
    PFNGLISASYNCMARKERSGIXPROC pglIsAsyncMarkerSGIX;
    PFNGLISBUFFERPROC pglIsBuffer;
    PFNGLISBUFFERRESIDENTNVPROC pglIsBufferResidentNV;
    PFNGLISENABLEDPROC pglIsEnabled;
    PFNGLISENABLEDIPROC pglIsEnabledi;
    PFNGLISFENCEAPPLEPROC pglIsFenceAPPLE;
    PFNGLISFENCENVPROC pglIsFenceNV;
    PFNGLISFRAMEBUFFERPROC pglIsFramebuffer;
    PFNGLISFRAMEBUFFEROESPROC pglIsFramebufferOES;
    PFNGLISIMAGEHANDLERESIDENTARBPROC pglIsImageHandleResidentARB;
    PFNGLISIMAGEHANDLERESIDENTNVPROC pglIsImageHandleResidentNV;
    PFNGLISLISTPROC pglIsList;
    PFNGLISNAMEAMDPROC pglIsNameAMD;
    PFNGLISNAMEDBUFFERRESIDENTNVPROC pglIsNamedBufferResidentNV;
    PFNGLISNAMEDSTRINGARBPROC pglIsNamedStringARB;
    PFNGLISOBJECTBUFFERATIPROC pglIsObjectBufferATI;
    PFNGLISOCCLUSIONQUERYNVPROC pglIsOcclusionQueryNV;
    PFNGLISPATHNVPROC pglIsPathNV;
    PFNGLISPOINTINFILLPATHNVPROC pglIsPointInFillPathNV;
    PFNGLISPOINTINSTROKEPATHNVPROC pglIsPointInStrokePathNV;
    PFNGLISPROGRAMPROC pglIsProgram;
    PFNGLISPROGRAMARBPROC pglIsProgramARB;
    PFNGLISPROGRAMPIPELINEPROC pglIsProgramPipeline;
    PFNGLISPROGRAMPIPELINEEXTPROC pglIsProgramPipelineEXT;
    PFNGLISQUERYPROC pglIsQuery;
    PFNGLISQUERYEXTPROC pglIsQueryEXT;
    PFNGLISRENDERBUFFERPROC pglIsRenderbuffer;
    PFNGLISRENDERBUFFEROESPROC pglIsRenderbufferOES;
    PFNGLISSAMPLERPROC pglIsSampler;
    PFNGLISSHADERPROC pglIsShader;
    PFNGLISSYNCPROC pglIsSync;
    PFNGLISTEXTUREPROC pglIsTexture;
    PFNGLISTEXTUREEXTPROC pglIsTextureEXT;
    PFNGLISTEXTUREHANDLERESIDENTARBPROC pglIsTextureHandleResidentARB;
    PFNGLISTEXTUREHANDLERESIDENTNVPROC pglIsTextureHandleResidentNV;
    PFNGLISTRANSFORMFEEDBACKPROC pglIsTransformFeedback;
    PFNGLISVARIANTENABLEDEXTPROC pglIsVariantEnabledEXT;
    PFNGLISVERTEXARRAYPROC pglIsVertexArray;
    PFNGLISVERTEXATTRIBENABLEDAPPLEPROC pglIsVertexAttribEnabledAPPLE;
    PFNGLLABELOBJECTEXTPROC pglLabelObjectEXT;
    PFNGLLIGHTENVISGIXPROC pglLightEnviSGIX;
    PFNGLLIGHTMODELFPROC pglLightModelf;
    PFNGLLIGHTMODELFVPROC pglLightModelfv;
    PFNGLLIGHTMODELIPROC pglLightModeli;
    PFNGLLIGHTMODELIVPROC pglLightModeliv;
    PFNGLLIGHTMODELXPROC pglLightModelx;
    PFNGLLIGHTMODELXOESPROC pglLightModelxOES;
    PFNGLLIGHTMODELXVPROC pglLightModelxv;
    PFNGLLIGHTMODELXVOESPROC pglLightModelxvOES;
    PFNGLLIGHTFPROC pglLightf;
    PFNGLLIGHTFVPROC pglLightfv;
    PFNGLLIGHTIPROC pglLighti;
    PFNGLLIGHTIVPROC pglLightiv;
    PFNGLLIGHTXPROC pglLightx;
    PFNGLLIGHTXOESPROC pglLightxOES;
    PFNGLLIGHTXVPROC pglLightxv;
    PFNGLLIGHTXVOESPROC pglLightxvOES;
    PFNGLLINESTIPPLEPROC pglLineStipple;
    PFNGLLINEWIDTHPROC pglLineWidth;
    PFNGLLINEWIDTHXPROC pglLineWidthx;
    PFNGLLINEWIDTHXOESPROC pglLineWidthxOES;
    PFNGLLINKPROGRAMPROC pglLinkProgram;
    PFNGLLISTBASEPROC pglListBase;
    PFNGLLISTPARAMETERFSGIXPROC pglListParameterfSGIX;
    PFNGLLISTPARAMETERFVSGIXPROC pglListParameterfvSGIX;
    PFNGLLISTPARAMETERISGIXPROC pglListParameteriSGIX;
    PFNGLLISTPARAMETERIVSGIXPROC pglListParameterivSGIX;
    PFNGLLOADIDENTITYPROC pglLoadIdentity;
    PFNGLLOADIDENTITYDEFORMATIONMAPSGIXPROC pglLoadIdentityDeformationMapSGIX;
    PFNGLLOADMATRIXDPROC pglLoadMatrixd;
    PFNGLLOADMATRIXFPROC pglLoadMatrixf;
    PFNGLLOADMATRIXXPROC pglLoadMatrixx;
    PFNGLLOADMATRIXXOESPROC pglLoadMatrixxOES;
    PFNGLLOADNAMEPROC pglLoadName;
    PFNGLLOADPALETTEFROMMODELVIEWMATRIXOESPROC pglLoadPaletteFromModelViewMatrixOES;
    PFNGLLOADPROGRAMNVPROC pglLoadProgramNV;
    PFNGLLOADTRANSPOSEMATRIXDPROC pglLoadTransposeMatrixd;
    PFNGLLOADTRANSPOSEMATRIXFPROC pglLoadTransposeMatrixf;
    PFNGLLOADTRANSPOSEMATRIXXOESPROC pglLoadTransposeMatrixxOES;
    PFNGLLOCKARRAYSEXTPROC pglLockArraysEXT;
    PFNGLLOGICOPPROC pglLogicOp;
    PFNGLMAKEBUFFERNONRESIDENTNVPROC pglMakeBufferNonResidentNV;
    PFNGLMAKEBUFFERRESIDENTNVPROC pglMakeBufferResidentNV;
    PFNGLMAKEIMAGEHANDLENONRESIDENTARBPROC pglMakeImageHandleNonResidentARB;
    PFNGLMAKEIMAGEHANDLENONRESIDENTNVPROC pglMakeImageHandleNonResidentNV;
    PFNGLMAKEIMAGEHANDLERESIDENTARBPROC pglMakeImageHandleResidentARB;
    PFNGLMAKEIMAGEHANDLERESIDENTNVPROC pglMakeImageHandleResidentNV;
    PFNGLMAKENAMEDBUFFERNONRESIDENTNVPROC pglMakeNamedBufferNonResidentNV;
    PFNGLMAKENAMEDBUFFERRESIDENTNVPROC pglMakeNamedBufferResidentNV;
    PFNGLMAKETEXTUREHANDLENONRESIDENTARBPROC pglMakeTextureHandleNonResidentARB;
    PFNGLMAKETEXTUREHANDLENONRESIDENTNVPROC pglMakeTextureHandleNonResidentNV;
    PFNGLMAKETEXTUREHANDLERESIDENTARBPROC pglMakeTextureHandleResidentARB;
    PFNGLMAKETEXTUREHANDLERESIDENTNVPROC pglMakeTextureHandleResidentNV;
    PFNGLMAP1DPROC pglMap1d;
    PFNGLMAP1FPROC pglMap1f;
    PFNGLMAP1XOESPROC pglMap1xOES;
    PFNGLMAP2DPROC pglMap2d;
    PFNGLMAP2FPROC pglMap2f;
    PFNGLMAP2XOESPROC pglMap2xOES;
    PFNGLMAPBUFFERPROC pglMapBuffer;
    PFNGLMAPBUFFERRANGEPROC pglMapBufferRange;
    PFNGLMAPCONTROLPOINTSNVPROC pglMapControlPointsNV;
    PFNGLMAPGRID1DPROC pglMapGrid1d;
    PFNGLMAPGRID1FPROC pglMapGrid1f;
    PFNGLMAPGRID1XOESPROC pglMapGrid1xOES;
    PFNGLMAPGRID2DPROC pglMapGrid2d;
    PFNGLMAPGRID2FPROC pglMapGrid2f;
    PFNGLMAPGRID2XOESPROC pglMapGrid2xOES;
    PFNGLMAPNAMEDBUFFEREXTPROC pglMapNamedBufferEXT;
    PFNGLMAPNAMEDBUFFERRANGEEXTPROC pglMapNamedBufferRangeEXT;
    PFNGLMAPOBJECTBUFFERATIPROC pglMapObjectBufferATI;
    PFNGLMAPPARAMETERFVNVPROC pglMapParameterfvNV;
    PFNGLMAPPARAMETERIVNVPROC pglMapParameterivNV;
    PFNGLMAPTEXTURE2DINTELPROC pglMapTexture2DINTEL;
    PFNGLMAPVERTEXATTRIB1DAPPLEPROC pglMapVertexAttrib1dAPPLE;
    PFNGLMAPVERTEXATTRIB1FAPPLEPROC pglMapVertexAttrib1fAPPLE;
    PFNGLMAPVERTEXATTRIB2DAPPLEPROC pglMapVertexAttrib2dAPPLE;
    PFNGLMAPVERTEXATTRIB2FAPPLEPROC pglMapVertexAttrib2fAPPLE;
    PFNGLMATERIALFPROC pglMaterialf;
    PFNGLMATERIALFVPROC pglMaterialfv;
    PFNGLMATERIALIPROC pglMateriali;
    PFNGLMATERIALIVPROC pglMaterialiv;
    PFNGLMATERIALXPROC pglMaterialx;
    PFNGLMATERIALXOESPROC pglMaterialxOES;
    PFNGLMATERIALXVPROC pglMaterialxv;
    PFNGLMATERIALXVOESPROC pglMaterialxvOES;
    PFNGLMATRIXFRUSTUMEXTPROC pglMatrixFrustumEXT;
    PFNGLMATRIXINDEXPOINTERARBPROC pglMatrixIndexPointerARB;
    PFNGLMATRIXINDEXPOINTEROESPROC pglMatrixIndexPointerOES;
    PFNGLMATRIXINDEXUBVARBPROC pglMatrixIndexubvARB;
    PFNGLMATRIXINDEXUIVARBPROC pglMatrixIndexuivARB;
    PFNGLMATRIXINDEXUSVARBPROC pglMatrixIndexusvARB;
    PFNGLMATRIXLOADIDENTITYEXTPROC pglMatrixLoadIdentityEXT;
    PFNGLMATRIXLOADTRANSPOSEDEXTPROC pglMatrixLoadTransposedEXT;
    PFNGLMATRIXLOADTRANSPOSEFEXTPROC pglMatrixLoadTransposefEXT;
    PFNGLMATRIXLOADDEXTPROC pglMatrixLoaddEXT;
    PFNGLMATRIXLOADFEXTPROC pglMatrixLoadfEXT;
    PFNGLMATRIXMODEPROC pglMatrixMode;
    PFNGLMATRIXMULTTRANSPOSEDEXTPROC pglMatrixMultTransposedEXT;
    PFNGLMATRIXMULTTRANSPOSEFEXTPROC pglMatrixMultTransposefEXT;
    PFNGLMATRIXMULTDEXTPROC pglMatrixMultdEXT;
    PFNGLMATRIXMULTFEXTPROC pglMatrixMultfEXT;
    PFNGLMATRIXORTHOEXTPROC pglMatrixOrthoEXT;
    PFNGLMATRIXPOPEXTPROC pglMatrixPopEXT;
    PFNGLMATRIXPUSHEXTPROC pglMatrixPushEXT;
    PFNGLMATRIXROTATEDEXTPROC pglMatrixRotatedEXT;
    PFNGLMATRIXROTATEFEXTPROC pglMatrixRotatefEXT;
    PFNGLMATRIXSCALEDEXTPROC pglMatrixScaledEXT;
    PFNGLMATRIXSCALEFEXTPROC pglMatrixScalefEXT;
    PFNGLMATRIXTRANSLATEDEXTPROC pglMatrixTranslatedEXT;
    PFNGLMATRIXTRANSLATEFEXTPROC pglMatrixTranslatefEXT;
    PFNGLMEMORYBARRIERPROC pglMemoryBarrier;
    PFNGLMINSAMPLESHADINGPROC pglMinSampleShading;
    PFNGLMINMAXPROC pglMinmax;
    PFNGLMULTMATRIXDPROC pglMultMatrixd;
    PFNGLMULTMATRIXFPROC pglMultMatrixf;
    PFNGLMULTMATRIXXPROC pglMultMatrixx;
    PFNGLMULTMATRIXXOESPROC pglMultMatrixxOES;
    PFNGLMULTTRANSPOSEMATRIXDPROC pglMultTransposeMatrixd;
    PFNGLMULTTRANSPOSEMATRIXFPROC pglMultTransposeMatrixf;
    PFNGLMULTTRANSPOSEMATRIXXOESPROC pglMultTransposeMatrixxOES;
    PFNGLMULTIDRAWARRAYSPROC pglMultiDrawArrays;
    PFNGLMULTIDRAWARRAYSINDIRECTPROC pglMultiDrawArraysIndirect;
    PFNGLMULTIDRAWARRAYSINDIRECTBINDLESSNVPROC pglMultiDrawArraysIndirectBindlessNV;
    PFNGLMULTIDRAWARRAYSINDIRECTCOUNTARBPROC pglMultiDrawArraysIndirectCountARB;
    PFNGLMULTIDRAWELEMENTARRAYAPPLEPROC pglMultiDrawElementArrayAPPLE;
    PFNGLMULTIDRAWELEMENTSPROC pglMultiDrawElements;
    PFNGLMULTIDRAWELEMENTSBASEVERTEXPROC pglMultiDrawElementsBaseVertex;
    PFNGLMULTIDRAWELEMENTSINDIRECTPROC pglMultiDrawElementsIndirect;
    PFNGLMULTIDRAWELEMENTSINDIRECTBINDLESSNVPROC pglMultiDrawElementsIndirectBindlessNV;
    PFNGLMULTIDRAWELEMENTSINDIRECTCOUNTARBPROC pglMultiDrawElementsIndirectCountARB;
    PFNGLMULTIDRAWRANGEELEMENTARRAYAPPLEPROC pglMultiDrawRangeElementArrayAPPLE;
    PFNGLMULTIMODEDRAWARRAYSIBMPROC pglMultiModeDrawArraysIBM;
    PFNGLMULTIMODEDRAWELEMENTSIBMPROC pglMultiModeDrawElementsIBM;
    PFNGLMULTITEXBUFFEREXTPROC pglMultiTexBufferEXT;
    PFNGLMULTITEXCOORD1BOESPROC pglMultiTexCoord1bOES;
    PFNGLMULTITEXCOORD1BVOESPROC pglMultiTexCoord1bvOES;
    PFNGLMULTITEXCOORD1DPROC pglMultiTexCoord1d;
    PFNGLMULTITEXCOORD1DVPROC pglMultiTexCoord1dv;
    PFNGLMULTITEXCOORD1FPROC pglMultiTexCoord1f;
    PFNGLMULTITEXCOORD1FVPROC pglMultiTexCoord1fv;
    PFNGLMULTITEXCOORD1HNVPROC pglMultiTexCoord1hNV;
    PFNGLMULTITEXCOORD1HVNVPROC pglMultiTexCoord1hvNV;
    PFNGLMULTITEXCOORD1IPROC pglMultiTexCoord1i;
    PFNGLMULTITEXCOORD1IVPROC pglMultiTexCoord1iv;
    PFNGLMULTITEXCOORD1SPROC pglMultiTexCoord1s;
    PFNGLMULTITEXCOORD1SVPROC pglMultiTexCoord1sv;
    PFNGLMULTITEXCOORD1XOESPROC pglMultiTexCoord1xOES;
    PFNGLMULTITEXCOORD1XVOESPROC pglMultiTexCoord1xvOES;
    PFNGLMULTITEXCOORD2BOESPROC pglMultiTexCoord2bOES;
    PFNGLMULTITEXCOORD2BVOESPROC pglMultiTexCoord2bvOES;
    PFNGLMULTITEXCOORD2DPROC pglMultiTexCoord2d;
    PFNGLMULTITEXCOORD2DVPROC pglMultiTexCoord2dv;
    PFNGLMULTITEXCOORD2FPROC pglMultiTexCoord2f;
    PFNGLMULTITEXCOORD2FVPROC pglMultiTexCoord2fv;
    PFNGLMULTITEXCOORD2HNVPROC pglMultiTexCoord2hNV;
    PFNGLMULTITEXCOORD2HVNVPROC pglMultiTexCoord2hvNV;
    PFNGLMULTITEXCOORD2IPROC pglMultiTexCoord2i;
    PFNGLMULTITEXCOORD2IVPROC pglMultiTexCoord2iv;
    PFNGLMULTITEXCOORD2SPROC pglMultiTexCoord2s;
    PFNGLMULTITEXCOORD2SVPROC pglMultiTexCoord2sv;
    PFNGLMULTITEXCOORD2XOESPROC pglMultiTexCoord2xOES;
    PFNGLMULTITEXCOORD2XVOESPROC pglMultiTexCoord2xvOES;
    PFNGLMULTITEXCOORD3BOESPROC pglMultiTexCoord3bOES;
    PFNGLMULTITEXCOORD3BVOESPROC pglMultiTexCoord3bvOES;
    PFNGLMULTITEXCOORD3DPROC pglMultiTexCoord3d;
    PFNGLMULTITEXCOORD3DVPROC pglMultiTexCoord3dv;
    PFNGLMULTITEXCOORD3FPROC pglMultiTexCoord3f;
    PFNGLMULTITEXCOORD3FVPROC pglMultiTexCoord3fv;
    PFNGLMULTITEXCOORD3HNVPROC pglMultiTexCoord3hNV;
    PFNGLMULTITEXCOORD3HVNVPROC pglMultiTexCoord3hvNV;
    PFNGLMULTITEXCOORD3IPROC pglMultiTexCoord3i;
    PFNGLMULTITEXCOORD3IVPROC pglMultiTexCoord3iv;
    PFNGLMULTITEXCOORD3SPROC pglMultiTexCoord3s;
    PFNGLMULTITEXCOORD3SVPROC pglMultiTexCoord3sv;
    PFNGLMULTITEXCOORD3XOESPROC pglMultiTexCoord3xOES;
    PFNGLMULTITEXCOORD3XVOESPROC pglMultiTexCoord3xvOES;
    PFNGLMULTITEXCOORD4BOESPROC pglMultiTexCoord4bOES;
    PFNGLMULTITEXCOORD4BVOESPROC pglMultiTexCoord4bvOES;
    PFNGLMULTITEXCOORD4DPROC pglMultiTexCoord4d;
    PFNGLMULTITEXCOORD4DVPROC pglMultiTexCoord4dv;
    PFNGLMULTITEXCOORD4FPROC pglMultiTexCoord4f;
    PFNGLMULTITEXCOORD4FVPROC pglMultiTexCoord4fv;
    PFNGLMULTITEXCOORD4HNVPROC pglMultiTexCoord4hNV;
    PFNGLMULTITEXCOORD4HVNVPROC pglMultiTexCoord4hvNV;
    PFNGLMULTITEXCOORD4IPROC pglMultiTexCoord4i;
    PFNGLMULTITEXCOORD4IVPROC pglMultiTexCoord4iv;
    PFNGLMULTITEXCOORD4SPROC pglMultiTexCoord4s;
    PFNGLMULTITEXCOORD4SVPROC pglMultiTexCoord4sv;
    PFNGLMULTITEXCOORD4XPROC pglMultiTexCoord4x;
    PFNGLMULTITEXCOORD4XOESPROC pglMultiTexCoord4xOES;
    PFNGLMULTITEXCOORD4XVOESPROC pglMultiTexCoord4xvOES;
    PFNGLMULTITEXCOORDP1UIPROC pglMultiTexCoordP1ui;
    PFNGLMULTITEXCOORDP1UIVPROC pglMultiTexCoordP1uiv;
    PFNGLMULTITEXCOORDP2UIPROC pglMultiTexCoordP2ui;
    PFNGLMULTITEXCOORDP2UIVPROC pglMultiTexCoordP2uiv;
    PFNGLMULTITEXCOORDP3UIPROC pglMultiTexCoordP3ui;
    PFNGLMULTITEXCOORDP3UIVPROC pglMultiTexCoordP3uiv;
    PFNGLMULTITEXCOORDP4UIPROC pglMultiTexCoordP4ui;
    PFNGLMULTITEXCOORDP4UIVPROC pglMultiTexCoordP4uiv;
    PFNGLMULTITEXCOORDPOINTEREXTPROC pglMultiTexCoordPointerEXT;
    PFNGLMULTITEXENVFEXTPROC pglMultiTexEnvfEXT;
    PFNGLMULTITEXENVFVEXTPROC pglMultiTexEnvfvEXT;
    PFNGLMULTITEXENVIEXTPROC pglMultiTexEnviEXT;
    PFNGLMULTITEXENVIVEXTPROC pglMultiTexEnvivEXT;
    PFNGLMULTITEXGENDEXTPROC pglMultiTexGendEXT;
    PFNGLMULTITEXGENDVEXTPROC pglMultiTexGendvEXT;
    PFNGLMULTITEXGENFEXTPROC pglMultiTexGenfEXT;
    PFNGLMULTITEXGENFVEXTPROC pglMultiTexGenfvEXT;
    PFNGLMULTITEXGENIEXTPROC pglMultiTexGeniEXT;
    PFNGLMULTITEXGENIVEXTPROC pglMultiTexGenivEXT;
    PFNGLMULTITEXIMAGE1DEXTPROC pglMultiTexImage1DEXT;
    PFNGLMULTITEXIMAGE2DEXTPROC pglMultiTexImage2DEXT;
    PFNGLMULTITEXIMAGE3DEXTPROC pglMultiTexImage3DEXT;
    PFNGLMULTITEXPARAMETERIIVEXTPROC pglMultiTexParameterIivEXT;
    PFNGLMULTITEXPARAMETERIUIVEXTPROC pglMultiTexParameterIuivEXT;
    PFNGLMULTITEXPARAMETERFEXTPROC pglMultiTexParameterfEXT;
    PFNGLMULTITEXPARAMETERFVEXTPROC pglMultiTexParameterfvEXT;
    PFNGLMULTITEXPARAMETERIEXTPROC pglMultiTexParameteriEXT;
    PFNGLMULTITEXPARAMETERIVEXTPROC pglMultiTexParameterivEXT;
    PFNGLMULTITEXRENDERBUFFEREXTPROC pglMultiTexRenderbufferEXT;
    PFNGLMULTITEXSUBIMAGE1DEXTPROC pglMultiTexSubImage1DEXT;
    PFNGLMULTITEXSUBIMAGE2DEXTPROC pglMultiTexSubImage2DEXT;
    PFNGLMULTITEXSUBIMAGE3DEXTPROC pglMultiTexSubImage3DEXT;
    PFNGLNAMEDBUFFERDATAEXTPROC pglNamedBufferDataEXT;
    PFNGLNAMEDBUFFERSTORAGEEXTPROC pglNamedBufferStorageEXT;
    PFNGLNAMEDBUFFERSUBDATAEXTPROC pglNamedBufferSubDataEXT;
    PFNGLNAMEDCOPYBUFFERSUBDATAEXTPROC pglNamedCopyBufferSubDataEXT;
    PFNGLNAMEDFRAMEBUFFERPARAMETERIEXTPROC pglNamedFramebufferParameteriEXT;
    PFNGLNAMEDFRAMEBUFFERRENDERBUFFEREXTPROC pglNamedFramebufferRenderbufferEXT;
    PFNGLNAMEDFRAMEBUFFERTEXTURE1DEXTPROC pglNamedFramebufferTexture1DEXT;
    PFNGLNAMEDFRAMEBUFFERTEXTURE2DEXTPROC pglNamedFramebufferTexture2DEXT;
    PFNGLNAMEDFRAMEBUFFERTEXTURE3DEXTPROC pglNamedFramebufferTexture3DEXT;
    PFNGLNAMEDFRAMEBUFFERTEXTUREEXTPROC pglNamedFramebufferTextureEXT;
    PFNGLNAMEDFRAMEBUFFERTEXTUREFACEEXTPROC pglNamedFramebufferTextureFaceEXT;
    PFNGLNAMEDFRAMEBUFFERTEXTURELAYEREXTPROC pglNamedFramebufferTextureLayerEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETER4DEXTPROC pglNamedProgramLocalParameter4dEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETER4DVEXTPROC pglNamedProgramLocalParameter4dvEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETER4FEXTPROC pglNamedProgramLocalParameter4fEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETER4FVEXTPROC pglNamedProgramLocalParameter4fvEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERI4IEXTPROC pglNamedProgramLocalParameterI4iEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERI4IVEXTPROC pglNamedProgramLocalParameterI4ivEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIEXTPROC pglNamedProgramLocalParameterI4uiEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIVEXTPROC pglNamedProgramLocalParameterI4uivEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERS4FVEXTPROC pglNamedProgramLocalParameters4fvEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERSI4IVEXTPROC pglNamedProgramLocalParametersI4ivEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERSI4UIVEXTPROC pglNamedProgramLocalParametersI4uivEXT;
    PFNGLNAMEDPROGRAMSTRINGEXTPROC pglNamedProgramStringEXT;
    PFNGLNAMEDRENDERBUFFERSTORAGEEXTPROC pglNamedRenderbufferStorageEXT;
    PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLECOVERAGEEXTPROC pglNamedRenderbufferStorageMultisampleCoverageEXT;
    PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC pglNamedRenderbufferStorageMultisampleEXT;
    PFNGLNAMEDSTRINGARBPROC pglNamedStringARB;
    PFNGLNEWLISTPROC pglNewList;
    PFNGLNEWOBJECTBUFFERATIPROC pglNewObjectBufferATI;
    PFNGLNORMAL3BPROC pglNormal3b;
    PFNGLNORMAL3BVPROC pglNormal3bv;
    PFNGLNORMAL3DPROC pglNormal3d;
    PFNGLNORMAL3DVPROC pglNormal3dv;
    PFNGLNORMAL3FPROC pglNormal3f;
    PFNGLNORMAL3FVERTEX3FSUNPROC pglNormal3fVertex3fSUN;
    PFNGLNORMAL3FVERTEX3FVSUNPROC pglNormal3fVertex3fvSUN;
    PFNGLNORMAL3FVPROC pglNormal3fv;
    PFNGLNORMAL3HNVPROC pglNormal3hNV;
    PFNGLNORMAL3HVNVPROC pglNormal3hvNV;
    PFNGLNORMAL3IPROC pglNormal3i;
    PFNGLNORMAL3IVPROC pglNormal3iv;
    PFNGLNORMAL3SPROC pglNormal3s;
    PFNGLNORMAL3SVPROC pglNormal3sv;
    PFNGLNORMAL3XPROC pglNormal3x;
    PFNGLNORMAL3XOESPROC pglNormal3xOES;
    PFNGLNORMAL3XVOESPROC pglNormal3xvOES;
    PFNGLNORMALFORMATNVPROC pglNormalFormatNV;
    PFNGLNORMALP3UIPROC pglNormalP3ui;
    PFNGLNORMALP3UIVPROC pglNormalP3uiv;
    PFNGLNORMALPOINTERPROC pglNormalPointer;
    PFNGLNORMALPOINTEREXTPROC pglNormalPointerEXT;
    PFNGLNORMALPOINTERLISTIBMPROC pglNormalPointerListIBM;
    PFNGLNORMALPOINTERVINTELPROC pglNormalPointervINTEL;
    PFNGLNORMALSTREAM3BATIPROC pglNormalStream3bATI;
    PFNGLNORMALSTREAM3BVATIPROC pglNormalStream3bvATI;
    PFNGLNORMALSTREAM3DATIPROC pglNormalStream3dATI;
    PFNGLNORMALSTREAM3DVATIPROC pglNormalStream3dvATI;
    PFNGLNORMALSTREAM3FATIPROC pglNormalStream3fATI;
    PFNGLNORMALSTREAM3FVATIPROC pglNormalStream3fvATI;
    PFNGLNORMALSTREAM3IATIPROC pglNormalStream3iATI;
    PFNGLNORMALSTREAM3IVATIPROC pglNormalStream3ivATI;
    PFNGLNORMALSTREAM3SATIPROC pglNormalStream3sATI;
    PFNGLNORMALSTREAM3SVATIPROC pglNormalStream3svATI;
    PFNGLOBJECTLABELPROC pglObjectLabel;
    PFNGLOBJECTPTRLABELPROC pglObjectPtrLabel;
    PFNGLOBJECTPURGEABLEAPPLEPROC pglObjectPurgeableAPPLE;
    PFNGLOBJECTUNPURGEABLEAPPLEPROC pglObjectUnpurgeableAPPLE;
    PFNGLORTHOPROC pglOrtho;
    PFNGLORTHOFPROC pglOrthof;
    PFNGLORTHOFOESPROC pglOrthofOES;
    PFNGLORTHOXPROC pglOrthox;
    PFNGLORTHOXOESPROC pglOrthoxOES;
    PFNGLPNTRIANGLESFATIPROC pglPNTrianglesfATI;
    PFNGLPNTRIANGLESIATIPROC pglPNTrianglesiATI;
    PFNGLPASSTEXCOORDATIPROC pglPassTexCoordATI;
    PFNGLPASSTHROUGHPROC pglPassThrough;
    PFNGLPASSTHROUGHXOESPROC pglPassThroughxOES;
    PFNGLPATCHPARAMETERFVPROC pglPatchParameterfv;
    PFNGLPATCHPARAMETERIPROC pglPatchParameteri;
    PFNGLPATHCOLORGENNVPROC pglPathColorGenNV;
    PFNGLPATHCOMMANDSNVPROC pglPathCommandsNV;
    PFNGLPATHCOORDSNVPROC pglPathCoordsNV;
    PFNGLPATHCOVERDEPTHFUNCNVPROC pglPathCoverDepthFuncNV;
    PFNGLPATHDASHARRAYNVPROC pglPathDashArrayNV;
    PFNGLPATHFOGGENNVPROC pglPathFogGenNV;
    PFNGLPATHGLYPHRANGENVPROC pglPathGlyphRangeNV;
    PFNGLPATHGLYPHSNVPROC pglPathGlyphsNV;
    PFNGLPATHPARAMETERFNVPROC pglPathParameterfNV;
    PFNGLPATHPARAMETERFVNVPROC pglPathParameterfvNV;
    PFNGLPATHPARAMETERINVPROC pglPathParameteriNV;
    PFNGLPATHPARAMETERIVNVPROC pglPathParameterivNV;
    PFNGLPATHSTENCILDEPTHOFFSETNVPROC pglPathStencilDepthOffsetNV;
    PFNGLPATHSTENCILFUNCNVPROC pglPathStencilFuncNV;
    PFNGLPATHSTRINGNVPROC pglPathStringNV;
    PFNGLPATHSUBCOMMANDSNVPROC pglPathSubCommandsNV;
    PFNGLPATHSUBCOORDSNVPROC pglPathSubCoordsNV;
    PFNGLPATHTEXGENNVPROC pglPathTexGenNV;
    PFNGLPAUSETRANSFORMFEEDBACKPROC pglPauseTransformFeedback;
    PFNGLPIXELDATARANGENVPROC pglPixelDataRangeNV;
    PFNGLPIXELMAPFVPROC pglPixelMapfv;
    PFNGLPIXELMAPUIVPROC pglPixelMapuiv;
    PFNGLPIXELMAPUSVPROC pglPixelMapusv;
    PFNGLPIXELMAPXPROC pglPixelMapx;
    PFNGLPIXELSTOREFPROC pglPixelStoref;
    PFNGLPIXELSTOREIPROC pglPixelStorei;
    PFNGLPIXELSTOREXPROC pglPixelStorex;
    PFNGLPIXELTEXGENPARAMETERFSGISPROC pglPixelTexGenParameterfSGIS;
    PFNGLPIXELTEXGENPARAMETERFVSGISPROC pglPixelTexGenParameterfvSGIS;
    PFNGLPIXELTEXGENPARAMETERISGISPROC pglPixelTexGenParameteriSGIS;
    PFNGLPIXELTEXGENPARAMETERIVSGISPROC pglPixelTexGenParameterivSGIS;
    PFNGLPIXELTEXGENSGIXPROC pglPixelTexGenSGIX;
    PFNGLPIXELTRANSFERFPROC pglPixelTransferf;
    PFNGLPIXELTRANSFERIPROC pglPixelTransferi;
    PFNGLPIXELTRANSFERXOESPROC pglPixelTransferxOES;
    PFNGLPIXELTRANSFORMPARAMETERFEXTPROC pglPixelTransformParameterfEXT;
    PFNGLPIXELTRANSFORMPARAMETERFVEXTPROC pglPixelTransformParameterfvEXT;
    PFNGLPIXELTRANSFORMPARAMETERIEXTPROC pglPixelTransformParameteriEXT;
    PFNGLPIXELTRANSFORMPARAMETERIVEXTPROC pglPixelTransformParameterivEXT;
    PFNGLPIXELZOOMPROC pglPixelZoom;
    PFNGLPIXELZOOMXOESPROC pglPixelZoomxOES;
    PFNGLPOINTALONGPATHNVPROC pglPointAlongPathNV;
    PFNGLPOINTPARAMETERFPROC pglPointParameterf;
    PFNGLPOINTPARAMETERFVPROC pglPointParameterfv;
    PFNGLPOINTPARAMETERIPROC pglPointParameteri;
    PFNGLPOINTPARAMETERIVPROC pglPointParameteriv;
    PFNGLPOINTPARAMETERXPROC pglPointParameterx;
    PFNGLPOINTPARAMETERXOESPROC pglPointParameterxOES;
    PFNGLPOINTPARAMETERXVPROC pglPointParameterxv;
    PFNGLPOINTPARAMETERXVOESPROC pglPointParameterxvOES;
    PFNGLPOINTSIZEPROC pglPointSize;
    PFNGLPOINTSIZEPOINTEROESPROC pglPointSizePointerOES;
    PFNGLPOINTSIZEXPROC pglPointSizex;
    PFNGLPOINTSIZEXOESPROC pglPointSizexOES;
    PFNGLPOLLASYNCSGIXPROC pglPollAsyncSGIX;
    PFNGLPOLLINSTRUMENTSSGIXPROC pglPollInstrumentsSGIX;
    PFNGLPOLYGONMODEPROC pglPolygonMode;
    PFNGLPOLYGONOFFSETPROC pglPolygonOffset;
    PFNGLPOLYGONOFFSETEXTPROC pglPolygonOffsetEXT;
    PFNGLPOLYGONOFFSETXPROC pglPolygonOffsetx;
    PFNGLPOLYGONOFFSETXOESPROC pglPolygonOffsetxOES;
    PFNGLPOLYGONSTIPPLEPROC pglPolygonStipple;
    PFNGLPOPATTRIBPROC pglPopAttrib;
    PFNGLPOPCLIENTATTRIBPROC pglPopClientAttrib;
    PFNGLPOPDEBUGGROUPPROC pglPopDebugGroup;
    PFNGLPOPGROUPMARKEREXTPROC pglPopGroupMarkerEXT;
    PFNGLPOPMATRIXPROC pglPopMatrix;
    PFNGLPOPNAMEPROC pglPopName;
    PFNGLPRESENTFRAMEDUALFILLNVPROC pglPresentFrameDualFillNV;
    PFNGLPRESENTFRAMEKEYEDNVPROC pglPresentFrameKeyedNV;
    PFNGLPRIMITIVERESTARTINDEXPROC pglPrimitiveRestartIndex;
    PFNGLPRIMITIVERESTARTINDEXNVPROC pglPrimitiveRestartIndexNV;
    PFNGLPRIMITIVERESTARTNVPROC pglPrimitiveRestartNV;
    PFNGLPRIORITIZETEXTURESPROC pglPrioritizeTextures;
    PFNGLPRIORITIZETEXTURESXOESPROC pglPrioritizeTexturesxOES;
    PFNGLPROGRAMBINARYPROC pglProgramBinary;
    PFNGLPROGRAMBUFFERPARAMETERSIIVNVPROC pglProgramBufferParametersIivNV;
    PFNGLPROGRAMBUFFERPARAMETERSIUIVNVPROC pglProgramBufferParametersIuivNV;
    PFNGLPROGRAMBUFFERPARAMETERSFVNVPROC pglProgramBufferParametersfvNV;
    PFNGLPROGRAMENVPARAMETER4DARBPROC pglProgramEnvParameter4dARB;
    PFNGLPROGRAMENVPARAMETER4DVARBPROC pglProgramEnvParameter4dvARB;
    PFNGLPROGRAMENVPARAMETER4FARBPROC pglProgramEnvParameter4fARB;
    PFNGLPROGRAMENVPARAMETER4FVARBPROC pglProgramEnvParameter4fvARB;
    PFNGLPROGRAMENVPARAMETERI4INVPROC pglProgramEnvParameterI4iNV;
    PFNGLPROGRAMENVPARAMETERI4IVNVPROC pglProgramEnvParameterI4ivNV;
    PFNGLPROGRAMENVPARAMETERI4UINVPROC pglProgramEnvParameterI4uiNV;
    PFNGLPROGRAMENVPARAMETERI4UIVNVPROC pglProgramEnvParameterI4uivNV;
    PFNGLPROGRAMENVPARAMETERS4FVEXTPROC pglProgramEnvParameters4fvEXT;
    PFNGLPROGRAMENVPARAMETERSI4IVNVPROC pglProgramEnvParametersI4ivNV;
    PFNGLPROGRAMENVPARAMETERSI4UIVNVPROC pglProgramEnvParametersI4uivNV;
    PFNGLPROGRAMLOCALPARAMETER4DARBPROC pglProgramLocalParameter4dARB;
    PFNGLPROGRAMLOCALPARAMETER4DVARBPROC pglProgramLocalParameter4dvARB;
    PFNGLPROGRAMLOCALPARAMETER4FARBPROC pglProgramLocalParameter4fARB;
    PFNGLPROGRAMLOCALPARAMETER4FVARBPROC pglProgramLocalParameter4fvARB;
    PFNGLPROGRAMLOCALPARAMETERI4INVPROC pglProgramLocalParameterI4iNV;
    PFNGLPROGRAMLOCALPARAMETERI4IVNVPROC pglProgramLocalParameterI4ivNV;
    PFNGLPROGRAMLOCALPARAMETERI4UINVPROC pglProgramLocalParameterI4uiNV;
    PFNGLPROGRAMLOCALPARAMETERI4UIVNVPROC pglProgramLocalParameterI4uivNV;
    PFNGLPROGRAMLOCALPARAMETERS4FVEXTPROC pglProgramLocalParameters4fvEXT;
    PFNGLPROGRAMLOCALPARAMETERSI4IVNVPROC pglProgramLocalParametersI4ivNV;
    PFNGLPROGRAMLOCALPARAMETERSI4UIVNVPROC pglProgramLocalParametersI4uivNV;
    PFNGLPROGRAMNAMEDPARAMETER4DNVPROC pglProgramNamedParameter4dNV;
    PFNGLPROGRAMNAMEDPARAMETER4DVNVPROC pglProgramNamedParameter4dvNV;
    PFNGLPROGRAMNAMEDPARAMETER4FNVPROC pglProgramNamedParameter4fNV;
    PFNGLPROGRAMNAMEDPARAMETER4FVNVPROC pglProgramNamedParameter4fvNV;
    PFNGLPROGRAMPARAMETER4DNVPROC pglProgramParameter4dNV;
    PFNGLPROGRAMPARAMETER4DVNVPROC pglProgramParameter4dvNV;
    PFNGLPROGRAMPARAMETER4FNVPROC pglProgramParameter4fNV;
    PFNGLPROGRAMPARAMETER4FVNVPROC pglProgramParameter4fvNV;
    PFNGLPROGRAMPARAMETERIPROC pglProgramParameteri;
    PFNGLPROGRAMPARAMETERS4DVNVPROC pglProgramParameters4dvNV;
    PFNGLPROGRAMPARAMETERS4FVNVPROC pglProgramParameters4fvNV;
    PFNGLPROGRAMSTRINGARBPROC pglProgramStringARB;
    PFNGLPROGRAMSUBROUTINEPARAMETERSUIVNVPROC pglProgramSubroutineParametersuivNV;
    PFNGLPROGRAMUNIFORM1DPROC pglProgramUniform1d;
    PFNGLPROGRAMUNIFORM1DEXTPROC pglProgramUniform1dEXT;
    PFNGLPROGRAMUNIFORM1DVPROC pglProgramUniform1dv;
    PFNGLPROGRAMUNIFORM1DVEXTPROC pglProgramUniform1dvEXT;
    PFNGLPROGRAMUNIFORM1FPROC pglProgramUniform1f;
    PFNGLPROGRAMUNIFORM1FVPROC pglProgramUniform1fv;
    PFNGLPROGRAMUNIFORM1IPROC pglProgramUniform1i;
    PFNGLPROGRAMUNIFORM1I64NVPROC pglProgramUniform1i64NV;
    PFNGLPROGRAMUNIFORM1I64VNVPROC pglProgramUniform1i64vNV;
    PFNGLPROGRAMUNIFORM1IVPROC pglProgramUniform1iv;
    PFNGLPROGRAMUNIFORM1UIPROC pglProgramUniform1ui;
    PFNGLPROGRAMUNIFORM1UI64NVPROC pglProgramUniform1ui64NV;
    PFNGLPROGRAMUNIFORM1UI64VNVPROC pglProgramUniform1ui64vNV;
    PFNGLPROGRAMUNIFORM1UIVPROC pglProgramUniform1uiv;
    PFNGLPROGRAMUNIFORM2DPROC pglProgramUniform2d;
    PFNGLPROGRAMUNIFORM2DEXTPROC pglProgramUniform2dEXT;
    PFNGLPROGRAMUNIFORM2DVPROC pglProgramUniform2dv;
    PFNGLPROGRAMUNIFORM2DVEXTPROC pglProgramUniform2dvEXT;
    PFNGLPROGRAMUNIFORM2FPROC pglProgramUniform2f;
    PFNGLPROGRAMUNIFORM2FVPROC pglProgramUniform2fv;
    PFNGLPROGRAMUNIFORM2IPROC pglProgramUniform2i;
    PFNGLPROGRAMUNIFORM2I64NVPROC pglProgramUniform2i64NV;
    PFNGLPROGRAMUNIFORM2I64VNVPROC pglProgramUniform2i64vNV;
    PFNGLPROGRAMUNIFORM2IVPROC pglProgramUniform2iv;
    PFNGLPROGRAMUNIFORM2UIPROC pglProgramUniform2ui;
    PFNGLPROGRAMUNIFORM2UI64NVPROC pglProgramUniform2ui64NV;
    PFNGLPROGRAMUNIFORM2UI64VNVPROC pglProgramUniform2ui64vNV;
    PFNGLPROGRAMUNIFORM2UIVPROC pglProgramUniform2uiv;
    PFNGLPROGRAMUNIFORM3DPROC pglProgramUniform3d;
    PFNGLPROGRAMUNIFORM3DEXTPROC pglProgramUniform3dEXT;
    PFNGLPROGRAMUNIFORM3DVPROC pglProgramUniform3dv;
    PFNGLPROGRAMUNIFORM3DVEXTPROC pglProgramUniform3dvEXT;
    PFNGLPROGRAMUNIFORM3FPROC pglProgramUniform3f;
    PFNGLPROGRAMUNIFORM3FVPROC pglProgramUniform3fv;
    PFNGLPROGRAMUNIFORM3IPROC pglProgramUniform3i;
    PFNGLPROGRAMUNIFORM3I64NVPROC pglProgramUniform3i64NV;
    PFNGLPROGRAMUNIFORM3I64VNVPROC pglProgramUniform3i64vNV;
    PFNGLPROGRAMUNIFORM3IVPROC pglProgramUniform3iv;
    PFNGLPROGRAMUNIFORM3UIPROC pglProgramUniform3ui;
    PFNGLPROGRAMUNIFORM3UI64NVPROC pglProgramUniform3ui64NV;
    PFNGLPROGRAMUNIFORM3UI64VNVPROC pglProgramUniform3ui64vNV;
    PFNGLPROGRAMUNIFORM3UIVPROC pglProgramUniform3uiv;
    PFNGLPROGRAMUNIFORM4DPROC pglProgramUniform4d;
    PFNGLPROGRAMUNIFORM4DEXTPROC pglProgramUniform4dEXT;
    PFNGLPROGRAMUNIFORM4DVPROC pglProgramUniform4dv;
    PFNGLPROGRAMUNIFORM4DVEXTPROC pglProgramUniform4dvEXT;
    PFNGLPROGRAMUNIFORM4FPROC pglProgramUniform4f;
    PFNGLPROGRAMUNIFORM4FVPROC pglProgramUniform4fv;
    PFNGLPROGRAMUNIFORM4IPROC pglProgramUniform4i;
    PFNGLPROGRAMUNIFORM4I64NVPROC pglProgramUniform4i64NV;
    PFNGLPROGRAMUNIFORM4I64VNVPROC pglProgramUniform4i64vNV;
    PFNGLPROGRAMUNIFORM4IVPROC pglProgramUniform4iv;
    PFNGLPROGRAMUNIFORM4UIPROC pglProgramUniform4ui;
    PFNGLPROGRAMUNIFORM4UI64NVPROC pglProgramUniform4ui64NV;
    PFNGLPROGRAMUNIFORM4UI64VNVPROC pglProgramUniform4ui64vNV;
    PFNGLPROGRAMUNIFORM4UIVPROC pglProgramUniform4uiv;
    PFNGLPROGRAMUNIFORMHANDLEUI64ARBPROC pglProgramUniformHandleui64ARB;
    PFNGLPROGRAMUNIFORMHANDLEUI64NVPROC pglProgramUniformHandleui64NV;
    PFNGLPROGRAMUNIFORMHANDLEUI64VARBPROC pglProgramUniformHandleui64vARB;
    PFNGLPROGRAMUNIFORMHANDLEUI64VNVPROC pglProgramUniformHandleui64vNV;
    PFNGLPROGRAMUNIFORMMATRIX2DVPROC pglProgramUniformMatrix2dv;
    PFNGLPROGRAMUNIFORMMATRIX2DVEXTPROC pglProgramUniformMatrix2dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX2FVPROC pglProgramUniformMatrix2fv;
    PFNGLPROGRAMUNIFORMMATRIX2X3DVPROC pglProgramUniformMatrix2x3dv;
    PFNGLPROGRAMUNIFORMMATRIX2X3DVEXTPROC pglProgramUniformMatrix2x3dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX2X3FVPROC pglProgramUniformMatrix2x3fv;
    PFNGLPROGRAMUNIFORMMATRIX2X4DVPROC pglProgramUniformMatrix2x4dv;
    PFNGLPROGRAMUNIFORMMATRIX2X4DVEXTPROC pglProgramUniformMatrix2x4dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX2X4FVPROC pglProgramUniformMatrix2x4fv;
    PFNGLPROGRAMUNIFORMMATRIX3DVPROC pglProgramUniformMatrix3dv;
    PFNGLPROGRAMUNIFORMMATRIX3DVEXTPROC pglProgramUniformMatrix3dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX3FVPROC pglProgramUniformMatrix3fv;
    PFNGLPROGRAMUNIFORMMATRIX3X2DVPROC pglProgramUniformMatrix3x2dv;
    PFNGLPROGRAMUNIFORMMATRIX3X2DVEXTPROC pglProgramUniformMatrix3x2dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX3X2FVPROC pglProgramUniformMatrix3x2fv;
    PFNGLPROGRAMUNIFORMMATRIX3X4DVPROC pglProgramUniformMatrix3x4dv;
    PFNGLPROGRAMUNIFORMMATRIX3X4DVEXTPROC pglProgramUniformMatrix3x4dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX3X4FVPROC pglProgramUniformMatrix3x4fv;
    PFNGLPROGRAMUNIFORMMATRIX4DVPROC pglProgramUniformMatrix4dv;
    PFNGLPROGRAMUNIFORMMATRIX4DVEXTPROC pglProgramUniformMatrix4dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX4FVPROC pglProgramUniformMatrix4fv;
    PFNGLPROGRAMUNIFORMMATRIX4X2DVPROC pglProgramUniformMatrix4x2dv;
    PFNGLPROGRAMUNIFORMMATRIX4X2DVEXTPROC pglProgramUniformMatrix4x2dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX4X2FVPROC pglProgramUniformMatrix4x2fv;
    PFNGLPROGRAMUNIFORMMATRIX4X3DVPROC pglProgramUniformMatrix4x3dv;
    PFNGLPROGRAMUNIFORMMATRIX4X3DVEXTPROC pglProgramUniformMatrix4x3dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX4X3FVPROC pglProgramUniformMatrix4x3fv;
    PFNGLPROGRAMUNIFORMUI64NVPROC pglProgramUniformui64NV;
    PFNGLPROGRAMUNIFORMUI64VNVPROC pglProgramUniformui64vNV;
    PFNGLPROGRAMVERTEXLIMITNVPROC pglProgramVertexLimitNV;
    PFNGLPROVOKINGVERTEXPROC pglProvokingVertex;
    PFNGLPUSHATTRIBPROC pglPushAttrib;
    PFNGLPUSHCLIENTATTRIBPROC pglPushClientAttrib;
    PFNGLPUSHCLIENTATTRIBDEFAULTEXTPROC pglPushClientAttribDefaultEXT;
    PFNGLPUSHDEBUGGROUPPROC pglPushDebugGroup;
    PFNGLPUSHGROUPMARKEREXTPROC pglPushGroupMarkerEXT;
    PFNGLPUSHMATRIXPROC pglPushMatrix;
    PFNGLPUSHNAMEPROC pglPushName;
    PFNGLQUERYCOUNTERPROC pglQueryCounter;
    PFNGLQUERYMATRIXXOESPROC pglQueryMatrixxOES;
    PFNGLQUERYOBJECTPARAMETERUIAMDPROC pglQueryObjectParameteruiAMD;
    PFNGLRASTERPOS2DPROC pglRasterPos2d;
    PFNGLRASTERPOS2DVPROC pglRasterPos2dv;
    PFNGLRASTERPOS2FPROC pglRasterPos2f;
    PFNGLRASTERPOS2FVPROC pglRasterPos2fv;
    PFNGLRASTERPOS2IPROC pglRasterPos2i;
    PFNGLRASTERPOS2IVPROC pglRasterPos2iv;
    PFNGLRASTERPOS2SPROC pglRasterPos2s;
    PFNGLRASTERPOS2SVPROC pglRasterPos2sv;
    PFNGLRASTERPOS2XOESPROC pglRasterPos2xOES;
    PFNGLRASTERPOS2XVOESPROC pglRasterPos2xvOES;
    PFNGLRASTERPOS3DPROC pglRasterPos3d;
    PFNGLRASTERPOS3DVPROC pglRasterPos3dv;
    PFNGLRASTERPOS3FPROC pglRasterPos3f;
    PFNGLRASTERPOS3FVPROC pglRasterPos3fv;
    PFNGLRASTERPOS3IPROC pglRasterPos3i;
    PFNGLRASTERPOS3IVPROC pglRasterPos3iv;
    PFNGLRASTERPOS3SPROC pglRasterPos3s;
    PFNGLRASTERPOS3SVPROC pglRasterPos3sv;
    PFNGLRASTERPOS3XOESPROC pglRasterPos3xOES;
    PFNGLRASTERPOS3XVOESPROC pglRasterPos3xvOES;
    PFNGLRASTERPOS4DPROC pglRasterPos4d;
    PFNGLRASTERPOS4DVPROC pglRasterPos4dv;
    PFNGLRASTERPOS4FPROC pglRasterPos4f;
    PFNGLRASTERPOS4FVPROC pglRasterPos4fv;
    PFNGLRASTERPOS4IPROC pglRasterPos4i;
    PFNGLRASTERPOS4IVPROC pglRasterPos4iv;
    PFNGLRASTERPOS4SPROC pglRasterPos4s;
    PFNGLRASTERPOS4SVPROC pglRasterPos4sv;
    PFNGLRASTERPOS4XOESPROC pglRasterPos4xOES;
    PFNGLRASTERPOS4XVOESPROC pglRasterPos4xvOES;
    PFNGLREADBUFFERPROC pglReadBuffer;
    PFNGLREADBUFFERINDEXEDEXTPROC pglReadBufferIndexedEXT;
    PFNGLREADBUFFERNVPROC pglReadBufferNV;
    PFNGLREADINSTRUMENTSSGIXPROC pglReadInstrumentsSGIX;
    PFNGLREADPIXELSPROC pglReadPixels;
    PFNGLREADNPIXELSARBPROC pglReadnPixelsARB;
    PFNGLREADNPIXELSEXTPROC pglReadnPixelsEXT;
    PFNGLRECTDPROC pglRectd;
    PFNGLRECTDVPROC pglRectdv;
    PFNGLRECTFPROC pglRectf;
    PFNGLRECTFVPROC pglRectfv;
    PFNGLRECTIPROC pglRecti;
    PFNGLRECTIVPROC pglRectiv;
    PFNGLRECTSPROC pglRects;
    PFNGLRECTSVPROC pglRectsv;
    PFNGLRECTXOESPROC pglRectxOES;
    PFNGLRECTXVOESPROC pglRectxvOES;
    PFNGLREFERENCEPLANESGIXPROC pglReferencePlaneSGIX;
    PFNGLRELEASESHADERCOMPILERPROC pglReleaseShaderCompiler;
    PFNGLRENDERMODEPROC pglRenderMode;
    PFNGLRENDERBUFFERSTORAGEPROC pglRenderbufferStorage;
    PFNGLRENDERBUFFERSTORAGEMULTISAMPLEPROC pglRenderbufferStorageMultisample;
    PFNGLRENDERBUFFERSTORAGEMULTISAMPLEANGLEPROC pglRenderbufferStorageMultisampleANGLE;
    PFNGLRENDERBUFFERSTORAGEMULTISAMPLEAPPLEPROC pglRenderbufferStorageMultisampleAPPLE;
    PFNGLRENDERBUFFERSTORAGEMULTISAMPLECOVERAGENVPROC pglRenderbufferStorageMultisampleCoverageNV;
    PFNGLRENDERBUFFERSTORAGEMULTISAMPLEIMGPROC pglRenderbufferStorageMultisampleIMG;
    PFNGLRENDERBUFFERSTORAGEOESPROC pglRenderbufferStorageOES;
    PFNGLREPLACEMENTCODEPOINTERSUNPROC pglReplacementCodePointerSUN;
    PFNGLREPLACEMENTCODEUBSUNPROC pglReplacementCodeubSUN;
    PFNGLREPLACEMENTCODEUBVSUNPROC pglReplacementCodeubvSUN;
    PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FSUNPROC pglReplacementCodeuiColor3fVertex3fSUN;
    PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FVSUNPROC pglReplacementCodeuiColor3fVertex3fvSUN;
    PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FSUNPROC pglReplacementCodeuiColor4fNormal3fVertex3fSUN;
    PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FVSUNPROC pglReplacementCodeuiColor4fNormal3fVertex3fvSUN;
    PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FSUNPROC pglReplacementCodeuiColor4ubVertex3fSUN;
    PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FVSUNPROC pglReplacementCodeuiColor4ubVertex3fvSUN;
    PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FSUNPROC pglReplacementCodeuiNormal3fVertex3fSUN;
    PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FVSUNPROC pglReplacementCodeuiNormal3fVertex3fvSUN;
    PFNGLREPLACEMENTCODEUISUNPROC pglReplacementCodeuiSUN;
    PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC pglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN;
    PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC pglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN;
    PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FSUNPROC pglReplacementCodeuiTexCoord2fNormal3fVertex3fSUN;
    PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FVSUNPROC pglReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN;
    PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FSUNPROC pglReplacementCodeuiTexCoord2fVertex3fSUN;
    PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FVSUNPROC pglReplacementCodeuiTexCoord2fVertex3fvSUN;
    PFNGLREPLACEMENTCODEUIVERTEX3FSUNPROC pglReplacementCodeuiVertex3fSUN;
    PFNGLREPLACEMENTCODEUIVERTEX3FVSUNPROC pglReplacementCodeuiVertex3fvSUN;
    PFNGLREPLACEMENTCODEUIVSUNPROC pglReplacementCodeuivSUN;
    PFNGLREPLACEMENTCODEUSSUNPROC pglReplacementCodeusSUN;
    PFNGLREPLACEMENTCODEUSVSUNPROC pglReplacementCodeusvSUN;
    PFNGLREQUESTRESIDENTPROGRAMSNVPROC pglRequestResidentProgramsNV;
    PFNGLRESETHISTOGRAMPROC pglResetHistogram;
    PFNGLRESETMINMAXPROC pglResetMinmax;
    PFNGLRESIZEBUFFERSMESAPROC pglResizeBuffersMESA;
    PFNGLRESOLVEMULTISAMPLEFRAMEBUFFERAPPLEPROC pglResolveMultisampleFramebufferAPPLE;
    PFNGLRESUMETRANSFORMFEEDBACKPROC pglResumeTransformFeedback;
    PFNGLROTATEDPROC pglRotated;
    PFNGLROTATEFPROC pglRotatef;
    PFNGLROTATEXPROC pglRotatex;
    PFNGLROTATEXOESPROC pglRotatexOES;
    PFNGLSAMPLECOVERAGEPROC pglSampleCoverage;
    PFNGLSAMPLECOVERAGEOESPROC pglSampleCoverageOES;
    PFNGLSAMPLECOVERAGEXPROC pglSampleCoveragex;
    PFNGLSAMPLECOVERAGEXOESPROC pglSampleCoveragexOES;
    PFNGLSAMPLEMAPATIPROC pglSampleMapATI;
    PFNGLSAMPLEMASKEXTPROC pglSampleMaskEXT;
    PFNGLSAMPLEMASKINDEXEDNVPROC pglSampleMaskIndexedNV;
    PFNGLSAMPLEMASKIPROC pglSampleMaski;
    PFNGLSAMPLEPATTERNEXTPROC pglSamplePatternEXT;
    PFNGLSAMPLERPARAMETERIIVPROC pglSamplerParameterIiv;
    PFNGLSAMPLERPARAMETERIUIVPROC pglSamplerParameterIuiv;
    PFNGLSAMPLERPARAMETERFPROC pglSamplerParameterf;
    PFNGLSAMPLERPARAMETERFVPROC pglSamplerParameterfv;
    PFNGLSAMPLERPARAMETERIPROC pglSamplerParameteri;
    PFNGLSAMPLERPARAMETERIVPROC pglSamplerParameteriv;
    PFNGLSCALEDPROC pglScaled;
    PFNGLSCALEFPROC pglScalef;
    PFNGLSCALEXPROC pglScalex;
    PFNGLSCALEXOESPROC pglScalexOES;
    PFNGLSCISSORPROC pglScissor;
    PFNGLSCISSORARRAYVPROC pglScissorArrayv;
    PFNGLSCISSORINDEXEDPROC pglScissorIndexed;
    PFNGLSCISSORINDEXEDVPROC pglScissorIndexedv;
    PFNGLSECONDARYCOLOR3BPROC pglSecondaryColor3b;
    PFNGLSECONDARYCOLOR3BVPROC pglSecondaryColor3bv;
    PFNGLSECONDARYCOLOR3DPROC pglSecondaryColor3d;
    PFNGLSECONDARYCOLOR3DVPROC pglSecondaryColor3dv;
    PFNGLSECONDARYCOLOR3FPROC pglSecondaryColor3f;
    PFNGLSECONDARYCOLOR3FVPROC pglSecondaryColor3fv;
    PFNGLSECONDARYCOLOR3HNVPROC pglSecondaryColor3hNV;
    PFNGLSECONDARYCOLOR3HVNVPROC pglSecondaryColor3hvNV;
    PFNGLSECONDARYCOLOR3IPROC pglSecondaryColor3i;
    PFNGLSECONDARYCOLOR3IVPROC pglSecondaryColor3iv;
    PFNGLSECONDARYCOLOR3SPROC pglSecondaryColor3s;
    PFNGLSECONDARYCOLOR3SVPROC pglSecondaryColor3sv;
    PFNGLSECONDARYCOLOR3UBPROC pglSecondaryColor3ub;
    PFNGLSECONDARYCOLOR3UBVPROC pglSecondaryColor3ubv;
    PFNGLSECONDARYCOLOR3UIPROC pglSecondaryColor3ui;
    PFNGLSECONDARYCOLOR3UIVPROC pglSecondaryColor3uiv;
    PFNGLSECONDARYCOLOR3USPROC pglSecondaryColor3us;
    PFNGLSECONDARYCOLOR3USVPROC pglSecondaryColor3usv;
    PFNGLSECONDARYCOLORFORMATNVPROC pglSecondaryColorFormatNV;
    PFNGLSECONDARYCOLORP3UIPROC pglSecondaryColorP3ui;
    PFNGLSECONDARYCOLORP3UIVPROC pglSecondaryColorP3uiv;
    PFNGLSECONDARYCOLORPOINTERPROC pglSecondaryColorPointer;
    PFNGLSECONDARYCOLORPOINTERLISTIBMPROC pglSecondaryColorPointerListIBM;
    PFNGLSELECTBUFFERPROC pglSelectBuffer;
    PFNGLSELECTPERFMONITORCOUNTERSAMDPROC pglSelectPerfMonitorCountersAMD;
    PFNGLSEPARABLEFILTER2DPROC pglSeparableFilter2D;
    PFNGLSETFENCEAPPLEPROC pglSetFenceAPPLE;
    PFNGLSETFENCENVPROC pglSetFenceNV;
    PFNGLSETFRAGMENTSHADERCONSTANTATIPROC pglSetFragmentShaderConstantATI;
    PFNGLSETINVARIANTEXTPROC pglSetInvariantEXT;
    PFNGLSETLOCALCONSTANTEXTPROC pglSetLocalConstantEXT;
    PFNGLSETMULTISAMPLEFVAMDPROC pglSetMultisamplefvAMD;
    PFNGLSHADEMODELPROC pglShadeModel;
    PFNGLSHADERBINARYPROC pglShaderBinary;
    PFNGLSHADEROP1EXTPROC pglShaderOp1EXT;
    PFNGLSHADEROP2EXTPROC pglShaderOp2EXT;
    PFNGLSHADEROP3EXTPROC pglShaderOp3EXT;
    PFNGLSHADERSOURCEPROC pglShaderSource;
    PFNGLSHADERSTORAGEBLOCKBINDINGPROC pglShaderStorageBlockBinding;
    PFNGLSHARPENTEXFUNCSGISPROC pglSharpenTexFuncSGIS;
    PFNGLSPRITEPARAMETERFSGIXPROC pglSpriteParameterfSGIX;
    PFNGLSPRITEPARAMETERFVSGIXPROC pglSpriteParameterfvSGIX;
    PFNGLSPRITEPARAMETERISGIXPROC pglSpriteParameteriSGIX;
    PFNGLSPRITEPARAMETERIVSGIXPROC pglSpriteParameterivSGIX;
    PFNGLSTARTINSTRUMENTSSGIXPROC pglStartInstrumentsSGIX;
    PFNGLSTARTTILINGQCOMPROC pglStartTilingQCOM;
    PFNGLSTENCILCLEARTAGEXTPROC pglStencilClearTagEXT;
    PFNGLSTENCILFILLPATHINSTANCEDNVPROC pglStencilFillPathInstancedNV;
    PFNGLSTENCILFILLPATHNVPROC pglStencilFillPathNV;
    PFNGLSTENCILFUNCPROC pglStencilFunc;
    PFNGLSTENCILFUNCSEPARATEPROC pglStencilFuncSeparate;
    PFNGLSTENCILFUNCSEPARATEATIPROC pglStencilFuncSeparateATI;
    PFNGLSTENCILMASKPROC pglStencilMask;
    PFNGLSTENCILMASKSEPARATEPROC pglStencilMaskSeparate;
    PFNGLSTENCILOPPROC pglStencilOp;
    PFNGLSTENCILOPSEPARATEPROC pglStencilOpSeparate;
    PFNGLSTENCILOPVALUEAMDPROC pglStencilOpValueAMD;
    PFNGLSTENCILSTROKEPATHINSTANCEDNVPROC pglStencilStrokePathInstancedNV;
    PFNGLSTENCILSTROKEPATHNVPROC pglStencilStrokePathNV;
    PFNGLSTOPINSTRUMENTSSGIXPROC pglStopInstrumentsSGIX;
    PFNGLSTRINGMARKERGREMEDYPROC pglStringMarkerGREMEDY;
    PFNGLSWIZZLEEXTPROC pglSwizzleEXT;
    PFNGLSYNCTEXTUREINTELPROC pglSyncTextureINTEL;
    PFNGLTAGSAMPLEBUFFERSGIXPROC pglTagSampleBufferSGIX;
    PFNGLTANGENT3BEXTPROC pglTangent3bEXT;
    PFNGLTANGENT3BVEXTPROC pglTangent3bvEXT;
    PFNGLTANGENT3DEXTPROC pglTangent3dEXT;
    PFNGLTANGENT3DVEXTPROC pglTangent3dvEXT;
    PFNGLTANGENT3FEXTPROC pglTangent3fEXT;
    PFNGLTANGENT3FVEXTPROC pglTangent3fvEXT;
    PFNGLTANGENT3IEXTPROC pglTangent3iEXT;
    PFNGLTANGENT3IVEXTPROC pglTangent3ivEXT;
    PFNGLTANGENT3SEXTPROC pglTangent3sEXT;
    PFNGLTANGENT3SVEXTPROC pglTangent3svEXT;
    PFNGLTANGENTPOINTEREXTPROC pglTangentPointerEXT;
    PFNGLTBUFFERMASK3DFXPROC pglTbufferMask3DFX;
    PFNGLTESSELLATIONFACTORAMDPROC pglTessellationFactorAMD;
    PFNGLTESSELLATIONMODEAMDPROC pglTessellationModeAMD;
    PFNGLTESTFENCEAPPLEPROC pglTestFenceAPPLE;
    PFNGLTESTFENCENVPROC pglTestFenceNV;
    PFNGLTESTOBJECTAPPLEPROC pglTestObjectAPPLE;
    PFNGLTEXBUFFERPROC pglTexBuffer;
    PFNGLTEXBUFFERRANGEPROC pglTexBufferRange;
    PFNGLTEXBUMPPARAMETERFVATIPROC pglTexBumpParameterfvATI;
    PFNGLTEXBUMPPARAMETERIVATIPROC pglTexBumpParameterivATI;
    PFNGLTEXCOORD1BOESPROC pglTexCoord1bOES;
    PFNGLTEXCOORD1BVOESPROC pglTexCoord1bvOES;
    PFNGLTEXCOORD1DPROC pglTexCoord1d;
    PFNGLTEXCOORD1DVPROC pglTexCoord1dv;
    PFNGLTEXCOORD1FPROC pglTexCoord1f;
    PFNGLTEXCOORD1FVPROC pglTexCoord1fv;
    PFNGLTEXCOORD1HNVPROC pglTexCoord1hNV;
    PFNGLTEXCOORD1HVNVPROC pglTexCoord1hvNV;
    PFNGLTEXCOORD1IPROC pglTexCoord1i;
    PFNGLTEXCOORD1IVPROC pglTexCoord1iv;
    PFNGLTEXCOORD1SPROC pglTexCoord1s;
    PFNGLTEXCOORD1SVPROC pglTexCoord1sv;
    PFNGLTEXCOORD1XOESPROC pglTexCoord1xOES;
    PFNGLTEXCOORD1XVOESPROC pglTexCoord1xvOES;
    PFNGLTEXCOORD2BOESPROC pglTexCoord2bOES;
    PFNGLTEXCOORD2BVOESPROC pglTexCoord2bvOES;
    PFNGLTEXCOORD2DPROC pglTexCoord2d;
    PFNGLTEXCOORD2DVPROC pglTexCoord2dv;
    PFNGLTEXCOORD2FPROC pglTexCoord2f;
    PFNGLTEXCOORD2FCOLOR3FVERTEX3FSUNPROC pglTexCoord2fColor3fVertex3fSUN;
    PFNGLTEXCOORD2FCOLOR3FVERTEX3FVSUNPROC pglTexCoord2fColor3fVertex3fvSUN;
    PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC pglTexCoord2fColor4fNormal3fVertex3fSUN;
    PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC pglTexCoord2fColor4fNormal3fVertex3fvSUN;
    PFNGLTEXCOORD2FCOLOR4UBVERTEX3FSUNPROC pglTexCoord2fColor4ubVertex3fSUN;
    PFNGLTEXCOORD2FCOLOR4UBVERTEX3FVSUNPROC pglTexCoord2fColor4ubVertex3fvSUN;
    PFNGLTEXCOORD2FNORMAL3FVERTEX3FSUNPROC pglTexCoord2fNormal3fVertex3fSUN;
    PFNGLTEXCOORD2FNORMAL3FVERTEX3FVSUNPROC pglTexCoord2fNormal3fVertex3fvSUN;
    PFNGLTEXCOORD2FVERTEX3FSUNPROC pglTexCoord2fVertex3fSUN;
    PFNGLTEXCOORD2FVERTEX3FVSUNPROC pglTexCoord2fVertex3fvSUN;
    PFNGLTEXCOORD2FVPROC pglTexCoord2fv;
    PFNGLTEXCOORD2HNVPROC pglTexCoord2hNV;
    PFNGLTEXCOORD2HVNVPROC pglTexCoord2hvNV;
    PFNGLTEXCOORD2IPROC pglTexCoord2i;
    PFNGLTEXCOORD2IVPROC pglTexCoord2iv;
    PFNGLTEXCOORD2SPROC pglTexCoord2s;
    PFNGLTEXCOORD2SVPROC pglTexCoord2sv;
    PFNGLTEXCOORD2XOESPROC pglTexCoord2xOES;
    PFNGLTEXCOORD2XVOESPROC pglTexCoord2xvOES;
    PFNGLTEXCOORD3BOESPROC pglTexCoord3bOES;
    PFNGLTEXCOORD3BVOESPROC pglTexCoord3bvOES;
    PFNGLTEXCOORD3DPROC pglTexCoord3d;
    PFNGLTEXCOORD3DVPROC pglTexCoord3dv;
    PFNGLTEXCOORD3FPROC pglTexCoord3f;
    PFNGLTEXCOORD3FVPROC pglTexCoord3fv;
    PFNGLTEXCOORD3HNVPROC pglTexCoord3hNV;
    PFNGLTEXCOORD3HVNVPROC pglTexCoord3hvNV;
    PFNGLTEXCOORD3IPROC pglTexCoord3i;
    PFNGLTEXCOORD3IVPROC pglTexCoord3iv;
    PFNGLTEXCOORD3SPROC pglTexCoord3s;
    PFNGLTEXCOORD3SVPROC pglTexCoord3sv;
    PFNGLTEXCOORD3XOESPROC pglTexCoord3xOES;
    PFNGLTEXCOORD3XVOESPROC pglTexCoord3xvOES;
    PFNGLTEXCOORD4BOESPROC pglTexCoord4bOES;
    PFNGLTEXCOORD4BVOESPROC pglTexCoord4bvOES;
    PFNGLTEXCOORD4DPROC pglTexCoord4d;
    PFNGLTEXCOORD4DVPROC pglTexCoord4dv;
    PFNGLTEXCOORD4FPROC pglTexCoord4f;
    PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FSUNPROC pglTexCoord4fColor4fNormal3fVertex4fSUN;
    PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FVSUNPROC pglTexCoord4fColor4fNormal3fVertex4fvSUN;
    PFNGLTEXCOORD4FVERTEX4FSUNPROC pglTexCoord4fVertex4fSUN;
    PFNGLTEXCOORD4FVERTEX4FVSUNPROC pglTexCoord4fVertex4fvSUN;
    PFNGLTEXCOORD4FVPROC pglTexCoord4fv;
    PFNGLTEXCOORD4HNVPROC pglTexCoord4hNV;
    PFNGLTEXCOORD4HVNVPROC pglTexCoord4hvNV;
    PFNGLTEXCOORD4IPROC pglTexCoord4i;
    PFNGLTEXCOORD4IVPROC pglTexCoord4iv;
    PFNGLTEXCOORD4SPROC pglTexCoord4s;
    PFNGLTEXCOORD4SVPROC pglTexCoord4sv;
    PFNGLTEXCOORD4XOESPROC pglTexCoord4xOES;
    PFNGLTEXCOORD4XVOESPROC pglTexCoord4xvOES;
    PFNGLTEXCOORDFORMATNVPROC pglTexCoordFormatNV;
    PFNGLTEXCOORDP1UIPROC pglTexCoordP1ui;
    PFNGLTEXCOORDP1UIVPROC pglTexCoordP1uiv;
    PFNGLTEXCOORDP2UIPROC pglTexCoordP2ui;
    PFNGLTEXCOORDP2UIVPROC pglTexCoordP2uiv;
    PFNGLTEXCOORDP3UIPROC pglTexCoordP3ui;
    PFNGLTEXCOORDP3UIVPROC pglTexCoordP3uiv;
    PFNGLTEXCOORDP4UIPROC pglTexCoordP4ui;
    PFNGLTEXCOORDP4UIVPROC pglTexCoordP4uiv;
    PFNGLTEXCOORDPOINTERPROC pglTexCoordPointer;
    PFNGLTEXCOORDPOINTEREXTPROC pglTexCoordPointerEXT;
    PFNGLTEXCOORDPOINTERLISTIBMPROC pglTexCoordPointerListIBM;
    PFNGLTEXCOORDPOINTERVINTELPROC pglTexCoordPointervINTEL;
    PFNGLTEXENVFPROC pglTexEnvf;
    PFNGLTEXENVFVPROC pglTexEnvfv;
    PFNGLTEXENVIPROC pglTexEnvi;
    PFNGLTEXENVIVPROC pglTexEnviv;
    PFNGLTEXENVXPROC pglTexEnvx;
    PFNGLTEXENVXOESPROC pglTexEnvxOES;
    PFNGLTEXENVXVPROC pglTexEnvxv;
    PFNGLTEXENVXVOESPROC pglTexEnvxvOES;
    PFNGLTEXFILTERFUNCSGISPROC pglTexFilterFuncSGIS;
    PFNGLTEXGENDPROC pglTexGend;
    PFNGLTEXGENDVPROC pglTexGendv;
    PFNGLTEXGENFPROC pglTexGenf;
    PFNGLTEXGENFOESPROC pglTexGenfOES;
    PFNGLTEXGENFVPROC pglTexGenfv;
    PFNGLTEXGENFVOESPROC pglTexGenfvOES;
    PFNGLTEXGENIPROC pglTexGeni;
    PFNGLTEXGENIOESPROC pglTexGeniOES;
    PFNGLTEXGENIVPROC pglTexGeniv;
    PFNGLTEXGENIVOESPROC pglTexGenivOES;
    PFNGLTEXGENXOESPROC pglTexGenxOES;
    PFNGLTEXGENXVOESPROC pglTexGenxvOES;
    PFNGLTEXIMAGE1DPROC pglTexImage1D;
    PFNGLTEXIMAGE2DPROC pglTexImage2D;
    PFNGLTEXIMAGE2DMULTISAMPLEPROC pglTexImage2DMultisample;
    PFNGLTEXIMAGE2DMULTISAMPLECOVERAGENVPROC pglTexImage2DMultisampleCoverageNV;
    PFNGLTEXIMAGE3DPROC pglTexImage3D;
    PFNGLTEXIMAGE3DMULTISAMPLEPROC pglTexImage3DMultisample;
    PFNGLTEXIMAGE3DMULTISAMPLECOVERAGENVPROC pglTexImage3DMultisampleCoverageNV;
    PFNGLTEXIMAGE4DSGISPROC pglTexImage4DSGIS;
    PFNGLTEXPAGECOMMITMENTARBPROC pglTexPageCommitmentARB;
    PFNGLTEXPARAMETERIIVPROC pglTexParameterIiv;
    PFNGLTEXPARAMETERIUIVPROC pglTexParameterIuiv;
    PFNGLTEXPARAMETERFPROC pglTexParameterf;
    PFNGLTEXPARAMETERFVPROC pglTexParameterfv;
    PFNGLTEXPARAMETERIPROC pglTexParameteri;
    PFNGLTEXPARAMETERIVPROC pglTexParameteriv;
    PFNGLTEXPARAMETERXPROC pglTexParameterx;
    PFNGLTEXPARAMETERXOESPROC pglTexParameterxOES;
    PFNGLTEXPARAMETERXVPROC pglTexParameterxv;
    PFNGLTEXPARAMETERXVOESPROC pglTexParameterxvOES;
    PFNGLTEXRENDERBUFFERNVPROC pglTexRenderbufferNV;
    PFNGLTEXSTORAGE1DPROC pglTexStorage1D;
    PFNGLTEXSTORAGE2DPROC pglTexStorage2D;
    PFNGLTEXSTORAGE2DMULTISAMPLEPROC pglTexStorage2DMultisample;
    PFNGLTEXSTORAGE3DPROC pglTexStorage3D;
    PFNGLTEXSTORAGE3DMULTISAMPLEPROC pglTexStorage3DMultisample;
    PFNGLTEXSTORAGESPARSEAMDPROC pglTexStorageSparseAMD;
    PFNGLTEXSUBIMAGE1DPROC pglTexSubImage1D;
    PFNGLTEXSUBIMAGE2DPROC pglTexSubImage2D;
    PFNGLTEXSUBIMAGE3DPROC pglTexSubImage3D;
    PFNGLTEXSUBIMAGE4DSGISPROC pglTexSubImage4DSGIS;
    PFNGLTEXTUREBARRIERNVPROC pglTextureBarrierNV;
    PFNGLTEXTUREBUFFEREXTPROC pglTextureBufferEXT;
    PFNGLTEXTUREBUFFERRANGEEXTPROC pglTextureBufferRangeEXT;
    PFNGLTEXTURECOLORMASKSGISPROC pglTextureColorMaskSGIS;
    PFNGLTEXTUREIMAGE1DEXTPROC pglTextureImage1DEXT;
    PFNGLTEXTUREIMAGE2DEXTPROC pglTextureImage2DEXT;
    PFNGLTEXTUREIMAGE2DMULTISAMPLECOVERAGENVPROC pglTextureImage2DMultisampleCoverageNV;
    PFNGLTEXTUREIMAGE2DMULTISAMPLENVPROC pglTextureImage2DMultisampleNV;
    PFNGLTEXTUREIMAGE3DEXTPROC pglTextureImage3DEXT;
    PFNGLTEXTUREIMAGE3DMULTISAMPLECOVERAGENVPROC pglTextureImage3DMultisampleCoverageNV;
    PFNGLTEXTUREIMAGE3DMULTISAMPLENVPROC pglTextureImage3DMultisampleNV;
    PFNGLTEXTURELIGHTEXTPROC pglTextureLightEXT;
    PFNGLTEXTUREMATERIALEXTPROC pglTextureMaterialEXT;
    PFNGLTEXTURENORMALEXTPROC pglTextureNormalEXT;
    PFNGLTEXTUREPAGECOMMITMENTEXTPROC pglTexturePageCommitmentEXT;
    PFNGLTEXTUREPARAMETERIIVEXTPROC pglTextureParameterIivEXT;
    PFNGLTEXTUREPARAMETERIUIVEXTPROC pglTextureParameterIuivEXT;
    PFNGLTEXTUREPARAMETERFEXTPROC pglTextureParameterfEXT;
    PFNGLTEXTUREPARAMETERFVEXTPROC pglTextureParameterfvEXT;
    PFNGLTEXTUREPARAMETERIEXTPROC pglTextureParameteriEXT;
    PFNGLTEXTUREPARAMETERIVEXTPROC pglTextureParameterivEXT;
    PFNGLTEXTURERANGEAPPLEPROC pglTextureRangeAPPLE;
    PFNGLTEXTURERENDERBUFFEREXTPROC pglTextureRenderbufferEXT;
    PFNGLTEXTURESTORAGE1DEXTPROC pglTextureStorage1DEXT;
    PFNGLTEXTURESTORAGE2DEXTPROC pglTextureStorage2DEXT;
    PFNGLTEXTURESTORAGE2DMULTISAMPLEEXTPROC pglTextureStorage2DMultisampleEXT;
    PFNGLTEXTURESTORAGE3DEXTPROC pglTextureStorage3DEXT;
    PFNGLTEXTURESTORAGE3DMULTISAMPLEEXTPROC pglTextureStorage3DMultisampleEXT;
    PFNGLTEXTURESTORAGESPARSEAMDPROC pglTextureStorageSparseAMD;
    PFNGLTEXTURESUBIMAGE1DEXTPROC pglTextureSubImage1DEXT;
    PFNGLTEXTURESUBIMAGE2DEXTPROC pglTextureSubImage2DEXT;
    PFNGLTEXTURESUBIMAGE3DEXTPROC pglTextureSubImage3DEXT;
    PFNGLTEXTUREVIEWPROC pglTextureView;
    PFNGLTRACKMATRIXNVPROC pglTrackMatrixNV;
    PFNGLTRANSFORMFEEDBACKATTRIBSNVPROC pglTransformFeedbackAttribsNV;
    PFNGLTRANSFORMFEEDBACKSTREAMATTRIBSNVPROC pglTransformFeedbackStreamAttribsNV;
    PFNGLTRANSFORMFEEDBACKVARYINGSPROC pglTransformFeedbackVaryings;
    PFNGLTRANSFORMFEEDBACKVARYINGSNVPROC pglTransformFeedbackVaryingsNV;
    PFNGLTRANSFORMPATHNVPROC pglTransformPathNV;
    PFNGLTRANSLATEDPROC pglTranslated;
    PFNGLTRANSLATEFPROC pglTranslatef;
    PFNGLTRANSLATEXPROC pglTranslatex;
    PFNGLTRANSLATEXOESPROC pglTranslatexOES;
    PFNGLUNIFORM1DPROC pglUniform1d;
    PFNGLUNIFORM1DVPROC pglUniform1dv;
    PFNGLUNIFORM1FPROC pglUniform1f;
    PFNGLUNIFORM1FVPROC pglUniform1fv;
    PFNGLUNIFORM1IPROC pglUniform1i;
    PFNGLUNIFORM1I64NVPROC pglUniform1i64NV;
    PFNGLUNIFORM1I64VNVPROC pglUniform1i64vNV;
    PFNGLUNIFORM1IVPROC pglUniform1iv;
    PFNGLUNIFORM1UIPROC pglUniform1ui;
    PFNGLUNIFORM1UI64NVPROC pglUniform1ui64NV;
    PFNGLUNIFORM1UI64VNVPROC pglUniform1ui64vNV;
    PFNGLUNIFORM1UIVPROC pglUniform1uiv;
    PFNGLUNIFORM2DPROC pglUniform2d;
    PFNGLUNIFORM2DVPROC pglUniform2dv;
    PFNGLUNIFORM2FPROC pglUniform2f;
    PFNGLUNIFORM2FVPROC pglUniform2fv;
    PFNGLUNIFORM2IPROC pglUniform2i;
    PFNGLUNIFORM2I64NVPROC pglUniform2i64NV;
    PFNGLUNIFORM2I64VNVPROC pglUniform2i64vNV;
    PFNGLUNIFORM2IVPROC pglUniform2iv;
    PFNGLUNIFORM2UIPROC pglUniform2ui;
    PFNGLUNIFORM2UI64NVPROC pglUniform2ui64NV;
    PFNGLUNIFORM2UI64VNVPROC pglUniform2ui64vNV;
    PFNGLUNIFORM2UIVPROC pglUniform2uiv;
    PFNGLUNIFORM3DPROC pglUniform3d;
    PFNGLUNIFORM3DVPROC pglUniform3dv;
    PFNGLUNIFORM3FPROC pglUniform3f;
    PFNGLUNIFORM3FVPROC pglUniform3fv;
    PFNGLUNIFORM3IPROC pglUniform3i;
    PFNGLUNIFORM3I64NVPROC pglUniform3i64NV;
    PFNGLUNIFORM3I64VNVPROC pglUniform3i64vNV;
    PFNGLUNIFORM3IVPROC pglUniform3iv;
    PFNGLUNIFORM3UIPROC pglUniform3ui;
    PFNGLUNIFORM3UI64NVPROC pglUniform3ui64NV;
    PFNGLUNIFORM3UI64VNVPROC pglUniform3ui64vNV;
    PFNGLUNIFORM3UIVPROC pglUniform3uiv;
    PFNGLUNIFORM4DPROC pglUniform4d;
    PFNGLUNIFORM4DVPROC pglUniform4dv;
    PFNGLUNIFORM4FPROC pglUniform4f;
    PFNGLUNIFORM4FVPROC pglUniform4fv;
    PFNGLUNIFORM4IPROC pglUniform4i;
    PFNGLUNIFORM4I64NVPROC pglUniform4i64NV;
    PFNGLUNIFORM4I64VNVPROC pglUniform4i64vNV;
    PFNGLUNIFORM4IVPROC pglUniform4iv;
    PFNGLUNIFORM4UIPROC pglUniform4ui;
    PFNGLUNIFORM4UI64NVPROC pglUniform4ui64NV;
    PFNGLUNIFORM4UI64VNVPROC pglUniform4ui64vNV;
    PFNGLUNIFORM4UIVPROC pglUniform4uiv;
    PFNGLUNIFORMBLOCKBINDINGPROC pglUniformBlockBinding;
    PFNGLUNIFORMBUFFEREXTPROC pglUniformBufferEXT;
    PFNGLUNIFORMHANDLEUI64ARBPROC pglUniformHandleui64ARB;
    PFNGLUNIFORMHANDLEUI64NVPROC pglUniformHandleui64NV;
    PFNGLUNIFORMHANDLEUI64VARBPROC pglUniformHandleui64vARB;
    PFNGLUNIFORMHANDLEUI64VNVPROC pglUniformHandleui64vNV;
    PFNGLUNIFORMMATRIX2DVPROC pglUniformMatrix2dv;
    PFNGLUNIFORMMATRIX2FVPROC pglUniformMatrix2fv;
    PFNGLUNIFORMMATRIX2X3DVPROC pglUniformMatrix2x3dv;
    PFNGLUNIFORMMATRIX2X3FVPROC pglUniformMatrix2x3fv;
    PFNGLUNIFORMMATRIX2X4DVPROC pglUniformMatrix2x4dv;
    PFNGLUNIFORMMATRIX2X4FVPROC pglUniformMatrix2x4fv;
    PFNGLUNIFORMMATRIX3DVPROC pglUniformMatrix3dv;
    PFNGLUNIFORMMATRIX3FVPROC pglUniformMatrix3fv;
    PFNGLUNIFORMMATRIX3X2DVPROC pglUniformMatrix3x2dv;
    PFNGLUNIFORMMATRIX3X2FVPROC pglUniformMatrix3x2fv;
    PFNGLUNIFORMMATRIX3X4DVPROC pglUniformMatrix3x4dv;
    PFNGLUNIFORMMATRIX3X4FVPROC pglUniformMatrix3x4fv;
    PFNGLUNIFORMMATRIX4DVPROC pglUniformMatrix4dv;
    PFNGLUNIFORMMATRIX4FVPROC pglUniformMatrix4fv;
    PFNGLUNIFORMMATRIX4X2DVPROC pglUniformMatrix4x2dv;
    PFNGLUNIFORMMATRIX4X2FVPROC pglUniformMatrix4x2fv;
    PFNGLUNIFORMMATRIX4X3DVPROC pglUniformMatrix4x3dv;
    PFNGLUNIFORMMATRIX4X3FVPROC pglUniformMatrix4x3fv;
    PFNGLUNIFORMSUBROUTINESUIVPROC pglUniformSubroutinesuiv;
    PFNGLUNIFORMUI64NVPROC pglUniformui64NV;
    PFNGLUNIFORMUI64VNVPROC pglUniformui64vNV;
    PFNGLUNLOCKARRAYSEXTPROC pglUnlockArraysEXT;
    PFNGLUNMAPBUFFERPROC pglUnmapBuffer;
    PFNGLUNMAPNAMEDBUFFEREXTPROC pglUnmapNamedBufferEXT;
    PFNGLUNMAPOBJECTBUFFERATIPROC pglUnmapObjectBufferATI;
    PFNGLUNMAPTEXTURE2DINTELPROC pglUnmapTexture2DINTEL;
    PFNGLUPDATEOBJECTBUFFERATIPROC pglUpdateObjectBufferATI;
    PFNGLUSEPROGRAMPROC pglUseProgram;
    PFNGLUSEPROGRAMSTAGESPROC pglUseProgramStages;
    PFNGLUSEPROGRAMSTAGESEXTPROC pglUseProgramStagesEXT;
    PFNGLUSESHADERPROGRAMEXTPROC pglUseShaderProgramEXT;
    PFNGLVDPAUFININVPROC pglVDPAUFiniNV;
    PFNGLVDPAUGETSURFACEIVNVPROC pglVDPAUGetSurfaceivNV;
    PFNGLVDPAUINITNVPROC pglVDPAUInitNV;
    PFNGLVDPAUISSURFACENVPROC pglVDPAUIsSurfaceNV;
    PFNGLVDPAUMAPSURFACESNVPROC pglVDPAUMapSurfacesNV;
    PFNGLVDPAUREGISTEROUTPUTSURFACENVPROC pglVDPAURegisterOutputSurfaceNV;
    PFNGLVDPAUREGISTERVIDEOSURFACENVPROC pglVDPAURegisterVideoSurfaceNV;
    PFNGLVDPAUSURFACEACCESSNVPROC pglVDPAUSurfaceAccessNV;
    PFNGLVDPAUUNMAPSURFACESNVPROC pglVDPAUUnmapSurfacesNV;
    PFNGLVDPAUUNREGISTERSURFACENVPROC pglVDPAUUnregisterSurfaceNV;
    PFNGLVALIDATEPROGRAMPROC pglValidateProgram;
    PFNGLVALIDATEPROGRAMPIPELINEPROC pglValidateProgramPipeline;
    PFNGLVALIDATEPROGRAMPIPELINEEXTPROC pglValidateProgramPipelineEXT;
    PFNGLVARIANTARRAYOBJECTATIPROC pglVariantArrayObjectATI;
    PFNGLVARIANTPOINTEREXTPROC pglVariantPointerEXT;
    PFNGLVARIANTBVEXTPROC pglVariantbvEXT;
    PFNGLVARIANTDVEXTPROC pglVariantdvEXT;
    PFNGLVARIANTFVEXTPROC pglVariantfvEXT;
    PFNGLVARIANTIVEXTPROC pglVariantivEXT;
    PFNGLVARIANTSVEXTPROC pglVariantsvEXT;
    PFNGLVARIANTUBVEXTPROC pglVariantubvEXT;
    PFNGLVARIANTUIVEXTPROC pglVariantuivEXT;
    PFNGLVARIANTUSVEXTPROC pglVariantusvEXT;
    PFNGLVERTEX2BOESPROC pglVertex2bOES;
    PFNGLVERTEX2BVOESPROC pglVertex2bvOES;
    PFNGLVERTEX2DPROC pglVertex2d;
    PFNGLVERTEX2DVPROC pglVertex2dv;
    PFNGLVERTEX2FPROC pglVertex2f;
    PFNGLVERTEX2FVPROC pglVertex2fv;
    PFNGLVERTEX2HNVPROC pglVertex2hNV;
    PFNGLVERTEX2HVNVPROC pglVertex2hvNV;
    PFNGLVERTEX2IPROC pglVertex2i;
    PFNGLVERTEX2IVPROC pglVertex2iv;
    PFNGLVERTEX2SPROC pglVertex2s;
    PFNGLVERTEX2SVPROC pglVertex2sv;
    PFNGLVERTEX2XOESPROC pglVertex2xOES;
    PFNGLVERTEX2XVOESPROC pglVertex2xvOES;
    PFNGLVERTEX3BOESPROC pglVertex3bOES;
    PFNGLVERTEX3BVOESPROC pglVertex3bvOES;
    PFNGLVERTEX3DPROC pglVertex3d;
    PFNGLVERTEX3DVPROC pglVertex3dv;
    PFNGLVERTEX3FPROC pglVertex3f;
    PFNGLVERTEX3FVPROC pglVertex3fv;
    PFNGLVERTEX3HNVPROC pglVertex3hNV;
    PFNGLVERTEX3HVNVPROC pglVertex3hvNV;
    PFNGLVERTEX3IPROC pglVertex3i;
    PFNGLVERTEX3IVPROC pglVertex3iv;
    PFNGLVERTEX3SPROC pglVertex3s;
    PFNGLVERTEX3SVPROC pglVertex3sv;
    PFNGLVERTEX3XOESPROC pglVertex3xOES;
    PFNGLVERTEX3XVOESPROC pglVertex3xvOES;
    PFNGLVERTEX4BOESPROC pglVertex4bOES;
    PFNGLVERTEX4BVOESPROC pglVertex4bvOES;
    PFNGLVERTEX4DPROC pglVertex4d;
    PFNGLVERTEX4DVPROC pglVertex4dv;
    PFNGLVERTEX4FPROC pglVertex4f;
    PFNGLVERTEX4FVPROC pglVertex4fv;
    PFNGLVERTEX4HNVPROC pglVertex4hNV;
    PFNGLVERTEX4HVNVPROC pglVertex4hvNV;
    PFNGLVERTEX4IPROC pglVertex4i;
    PFNGLVERTEX4IVPROC pglVertex4iv;
    PFNGLVERTEX4SPROC pglVertex4s;
    PFNGLVERTEX4SVPROC pglVertex4sv;
    PFNGLVERTEX4XOESPROC pglVertex4xOES;
    PFNGLVERTEX4XVOESPROC pglVertex4xvOES;
    PFNGLVERTEXARRAYBINDVERTEXBUFFEREXTPROC pglVertexArrayBindVertexBufferEXT;
    PFNGLVERTEXARRAYCOLOROFFSETEXTPROC pglVertexArrayColorOffsetEXT;
    PFNGLVERTEXARRAYEDGEFLAGOFFSETEXTPROC pglVertexArrayEdgeFlagOffsetEXT;
    PFNGLVERTEXARRAYFOGCOORDOFFSETEXTPROC pglVertexArrayFogCoordOffsetEXT;
    PFNGLVERTEXARRAYINDEXOFFSETEXTPROC pglVertexArrayIndexOffsetEXT;
    PFNGLVERTEXARRAYMULTITEXCOORDOFFSETEXTPROC pglVertexArrayMultiTexCoordOffsetEXT;
    PFNGLVERTEXARRAYNORMALOFFSETEXTPROC pglVertexArrayNormalOffsetEXT;
    PFNGLVERTEXARRAYPARAMETERIAPPLEPROC pglVertexArrayParameteriAPPLE;
    PFNGLVERTEXARRAYRANGEAPPLEPROC pglVertexArrayRangeAPPLE;
    PFNGLVERTEXARRAYRANGENVPROC pglVertexArrayRangeNV;
    PFNGLVERTEXARRAYSECONDARYCOLOROFFSETEXTPROC pglVertexArraySecondaryColorOffsetEXT;
    PFNGLVERTEXARRAYTEXCOORDOFFSETEXTPROC pglVertexArrayTexCoordOffsetEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBBINDINGEXTPROC pglVertexArrayVertexAttribBindingEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBDIVISOREXTPROC pglVertexArrayVertexAttribDivisorEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBFORMATEXTPROC pglVertexArrayVertexAttribFormatEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBIFORMATEXTPROC pglVertexArrayVertexAttribIFormatEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBIOFFSETEXTPROC pglVertexArrayVertexAttribIOffsetEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBLFORMATEXTPROC pglVertexArrayVertexAttribLFormatEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBLOFFSETEXTPROC pglVertexArrayVertexAttribLOffsetEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBOFFSETEXTPROC pglVertexArrayVertexAttribOffsetEXT;
    PFNGLVERTEXARRAYVERTEXBINDINGDIVISOREXTPROC pglVertexArrayVertexBindingDivisorEXT;
    PFNGLVERTEXARRAYVERTEXOFFSETEXTPROC pglVertexArrayVertexOffsetEXT;
    PFNGLVERTEXATTRIB1DPROC pglVertexAttrib1d;
    PFNGLVERTEXATTRIB1DVPROC pglVertexAttrib1dv;
    PFNGLVERTEXATTRIB1FPROC pglVertexAttrib1f;
    PFNGLVERTEXATTRIB1FVPROC pglVertexAttrib1fv;
    PFNGLVERTEXATTRIB1HNVPROC pglVertexAttrib1hNV;
    PFNGLVERTEXATTRIB1HVNVPROC pglVertexAttrib1hvNV;
    PFNGLVERTEXATTRIB1SPROC pglVertexAttrib1s;
    PFNGLVERTEXATTRIB1SVPROC pglVertexAttrib1sv;
    PFNGLVERTEXATTRIB2DPROC pglVertexAttrib2d;
    PFNGLVERTEXATTRIB2DVPROC pglVertexAttrib2dv;
    PFNGLVERTEXATTRIB2FPROC pglVertexAttrib2f;
    PFNGLVERTEXATTRIB2FVPROC pglVertexAttrib2fv;
    PFNGLVERTEXATTRIB2HNVPROC pglVertexAttrib2hNV;
    PFNGLVERTEXATTRIB2HVNVPROC pglVertexAttrib2hvNV;
    PFNGLVERTEXATTRIB2SPROC pglVertexAttrib2s;
    PFNGLVERTEXATTRIB2SVPROC pglVertexAttrib2sv;
    PFNGLVERTEXATTRIB3DPROC pglVertexAttrib3d;
    PFNGLVERTEXATTRIB3DVPROC pglVertexAttrib3dv;
    PFNGLVERTEXATTRIB3FPROC pglVertexAttrib3f;
    PFNGLVERTEXATTRIB3FVPROC pglVertexAttrib3fv;
    PFNGLVERTEXATTRIB3HNVPROC pglVertexAttrib3hNV;
    PFNGLVERTEXATTRIB3HVNVPROC pglVertexAttrib3hvNV;
    PFNGLVERTEXATTRIB3SPROC pglVertexAttrib3s;
    PFNGLVERTEXATTRIB3SVPROC pglVertexAttrib3sv;
    PFNGLVERTEXATTRIB4NBVPROC pglVertexAttrib4Nbv;
    PFNGLVERTEXATTRIB4NIVPROC pglVertexAttrib4Niv;
    PFNGLVERTEXATTRIB4NSVPROC pglVertexAttrib4Nsv;
    PFNGLVERTEXATTRIB4NUBPROC pglVertexAttrib4Nub;
    PFNGLVERTEXATTRIB4NUBVPROC pglVertexAttrib4Nubv;
    PFNGLVERTEXATTRIB4NUIVPROC pglVertexAttrib4Nuiv;
    PFNGLVERTEXATTRIB4NUSVPROC pglVertexAttrib4Nusv;
    PFNGLVERTEXATTRIB4BVPROC pglVertexAttrib4bv;
    PFNGLVERTEXATTRIB4DPROC pglVertexAttrib4d;
    PFNGLVERTEXATTRIB4DVPROC pglVertexAttrib4dv;
    PFNGLVERTEXATTRIB4FPROC pglVertexAttrib4f;
    PFNGLVERTEXATTRIB4FVPROC pglVertexAttrib4fv;
    PFNGLVERTEXATTRIB4HNVPROC pglVertexAttrib4hNV;
    PFNGLVERTEXATTRIB4HVNVPROC pglVertexAttrib4hvNV;
    PFNGLVERTEXATTRIB4IVPROC pglVertexAttrib4iv;
    PFNGLVERTEXATTRIB4SPROC pglVertexAttrib4s;
    PFNGLVERTEXATTRIB4SVPROC pglVertexAttrib4sv;
    PFNGLVERTEXATTRIB4UBVPROC pglVertexAttrib4ubv;
    PFNGLVERTEXATTRIB4UIVPROC pglVertexAttrib4uiv;
    PFNGLVERTEXATTRIB4USVPROC pglVertexAttrib4usv;
    PFNGLVERTEXATTRIBARRAYOBJECTATIPROC pglVertexAttribArrayObjectATI;
    PFNGLVERTEXATTRIBBINDINGPROC pglVertexAttribBinding;
    PFNGLVERTEXATTRIBDIVISORPROC pglVertexAttribDivisor;
    PFNGLVERTEXATTRIBFORMATPROC pglVertexAttribFormat;
    PFNGLVERTEXATTRIBFORMATNVPROC pglVertexAttribFormatNV;
    PFNGLVERTEXATTRIBI1IPROC pglVertexAttribI1i;
    PFNGLVERTEXATTRIBI1IVPROC pglVertexAttribI1iv;
    PFNGLVERTEXATTRIBI1UIPROC pglVertexAttribI1ui;
    PFNGLVERTEXATTRIBI1UIVPROC pglVertexAttribI1uiv;
    PFNGLVERTEXATTRIBI2IPROC pglVertexAttribI2i;
    PFNGLVERTEXATTRIBI2IVPROC pglVertexAttribI2iv;
    PFNGLVERTEXATTRIBI2UIPROC pglVertexAttribI2ui;
    PFNGLVERTEXATTRIBI2UIVPROC pglVertexAttribI2uiv;
    PFNGLVERTEXATTRIBI3IPROC pglVertexAttribI3i;
    PFNGLVERTEXATTRIBI3IVPROC pglVertexAttribI3iv;
    PFNGLVERTEXATTRIBI3UIPROC pglVertexAttribI3ui;
    PFNGLVERTEXATTRIBI3UIVPROC pglVertexAttribI3uiv;
    PFNGLVERTEXATTRIBI4BVPROC pglVertexAttribI4bv;
    PFNGLVERTEXATTRIBI4IPROC pglVertexAttribI4i;
    PFNGLVERTEXATTRIBI4IVPROC pglVertexAttribI4iv;
    PFNGLVERTEXATTRIBI4SVPROC pglVertexAttribI4sv;
    PFNGLVERTEXATTRIBI4UBVPROC pglVertexAttribI4ubv;
    PFNGLVERTEXATTRIBI4UIPROC pglVertexAttribI4ui;
    PFNGLVERTEXATTRIBI4UIVPROC pglVertexAttribI4uiv;
    PFNGLVERTEXATTRIBI4USVPROC pglVertexAttribI4usv;
    PFNGLVERTEXATTRIBIFORMATPROC pglVertexAttribIFormat;
    PFNGLVERTEXATTRIBIFORMATNVPROC pglVertexAttribIFormatNV;
    PFNGLVERTEXATTRIBIPOINTERPROC pglVertexAttribIPointer;
    PFNGLVERTEXATTRIBL1DPROC pglVertexAttribL1d;
    PFNGLVERTEXATTRIBL1DVPROC pglVertexAttribL1dv;
    PFNGLVERTEXATTRIBL1I64NVPROC pglVertexAttribL1i64NV;
    PFNGLVERTEXATTRIBL1I64VNVPROC pglVertexAttribL1i64vNV;
    PFNGLVERTEXATTRIBL1UI64ARBPROC pglVertexAttribL1ui64ARB;
    PFNGLVERTEXATTRIBL1UI64NVPROC pglVertexAttribL1ui64NV;
    PFNGLVERTEXATTRIBL1UI64VARBPROC pglVertexAttribL1ui64vARB;
    PFNGLVERTEXATTRIBL1UI64VNVPROC pglVertexAttribL1ui64vNV;
    PFNGLVERTEXATTRIBL2DPROC pglVertexAttribL2d;
    PFNGLVERTEXATTRIBL2DVPROC pglVertexAttribL2dv;
    PFNGLVERTEXATTRIBL2I64NVPROC pglVertexAttribL2i64NV;
    PFNGLVERTEXATTRIBL2I64VNVPROC pglVertexAttribL2i64vNV;
    PFNGLVERTEXATTRIBL2UI64NVPROC pglVertexAttribL2ui64NV;
    PFNGLVERTEXATTRIBL2UI64VNVPROC pglVertexAttribL2ui64vNV;
    PFNGLVERTEXATTRIBL3DPROC pglVertexAttribL3d;
    PFNGLVERTEXATTRIBL3DVPROC pglVertexAttribL3dv;
    PFNGLVERTEXATTRIBL3I64NVPROC pglVertexAttribL3i64NV;
    PFNGLVERTEXATTRIBL3I64VNVPROC pglVertexAttribL3i64vNV;
    PFNGLVERTEXATTRIBL3UI64NVPROC pglVertexAttribL3ui64NV;
    PFNGLVERTEXATTRIBL3UI64VNVPROC pglVertexAttribL3ui64vNV;
    PFNGLVERTEXATTRIBL4DPROC pglVertexAttribL4d;
    PFNGLVERTEXATTRIBL4DVPROC pglVertexAttribL4dv;
    PFNGLVERTEXATTRIBL4I64NVPROC pglVertexAttribL4i64NV;
    PFNGLVERTEXATTRIBL4I64VNVPROC pglVertexAttribL4i64vNV;
    PFNGLVERTEXATTRIBL4UI64NVPROC pglVertexAttribL4ui64NV;
    PFNGLVERTEXATTRIBL4UI64VNVPROC pglVertexAttribL4ui64vNV;
    PFNGLVERTEXATTRIBLFORMATPROC pglVertexAttribLFormat;
    PFNGLVERTEXATTRIBLFORMATNVPROC pglVertexAttribLFormatNV;
    PFNGLVERTEXATTRIBLPOINTERPROC pglVertexAttribLPointer;
    PFNGLVERTEXATTRIBP1UIPROC pglVertexAttribP1ui;
    PFNGLVERTEXATTRIBP1UIVPROC pglVertexAttribP1uiv;
    PFNGLVERTEXATTRIBP2UIPROC pglVertexAttribP2ui;
    PFNGLVERTEXATTRIBP2UIVPROC pglVertexAttribP2uiv;
    PFNGLVERTEXATTRIBP3UIPROC pglVertexAttribP3ui;
    PFNGLVERTEXATTRIBP3UIVPROC pglVertexAttribP3uiv;
    PFNGLVERTEXATTRIBP4UIPROC pglVertexAttribP4ui;
    PFNGLVERTEXATTRIBP4UIVPROC pglVertexAttribP4uiv;
    PFNGLVERTEXATTRIBPARAMETERIAMDPROC pglVertexAttribParameteriAMD;
    PFNGLVERTEXATTRIBPOINTERPROC pglVertexAttribPointer;
    PFNGLVERTEXATTRIBPOINTERNVPROC pglVertexAttribPointerNV;
    PFNGLVERTEXATTRIBS1DVNVPROC pglVertexAttribs1dvNV;
    PFNGLVERTEXATTRIBS1FVNVPROC pglVertexAttribs1fvNV;
    PFNGLVERTEXATTRIBS1HVNVPROC pglVertexAttribs1hvNV;
    PFNGLVERTEXATTRIBS1SVNVPROC pglVertexAttribs1svNV;
    PFNGLVERTEXATTRIBS2DVNVPROC pglVertexAttribs2dvNV;
    PFNGLVERTEXATTRIBS2FVNVPROC pglVertexAttribs2fvNV;
    PFNGLVERTEXATTRIBS2HVNVPROC pglVertexAttribs2hvNV;
    PFNGLVERTEXATTRIBS2SVNVPROC pglVertexAttribs2svNV;
    PFNGLVERTEXATTRIBS3DVNVPROC pglVertexAttribs3dvNV;
    PFNGLVERTEXATTRIBS3FVNVPROC pglVertexAttribs3fvNV;
    PFNGLVERTEXATTRIBS3HVNVPROC pglVertexAttribs3hvNV;
    PFNGLVERTEXATTRIBS3SVNVPROC pglVertexAttribs3svNV;
    PFNGLVERTEXATTRIBS4DVNVPROC pglVertexAttribs4dvNV;
    PFNGLVERTEXATTRIBS4FVNVPROC pglVertexAttribs4fvNV;
    PFNGLVERTEXATTRIBS4HVNVPROC pglVertexAttribs4hvNV;
    PFNGLVERTEXATTRIBS4SVNVPROC pglVertexAttribs4svNV;
    PFNGLVERTEXATTRIBS4UBVNVPROC pglVertexAttribs4ubvNV;
    PFNGLVERTEXBINDINGDIVISORPROC pglVertexBindingDivisor;
    PFNGLVERTEXBLENDARBPROC pglVertexBlendARB;
    PFNGLVERTEXBLENDENVFATIPROC pglVertexBlendEnvfATI;
    PFNGLVERTEXBLENDENVIATIPROC pglVertexBlendEnviATI;
    PFNGLVERTEXFORMATNVPROC pglVertexFormatNV;
    PFNGLVERTEXP2UIPROC pglVertexP2ui;
    PFNGLVERTEXP2UIVPROC pglVertexP2uiv;
    PFNGLVERTEXP3UIPROC pglVertexP3ui;
    PFNGLVERTEXP3UIVPROC pglVertexP3uiv;
    PFNGLVERTEXP4UIPROC pglVertexP4ui;
    PFNGLVERTEXP4UIVPROC pglVertexP4uiv;
    PFNGLVERTEXPOINTERPROC pglVertexPointer;
    PFNGLVERTEXPOINTEREXTPROC pglVertexPointerEXT;
    PFNGLVERTEXPOINTERLISTIBMPROC pglVertexPointerListIBM;
    PFNGLVERTEXPOINTERVINTELPROC pglVertexPointervINTEL;
    PFNGLVERTEXSTREAM1DATIPROC pglVertexStream1dATI;
    PFNGLVERTEXSTREAM1DVATIPROC pglVertexStream1dvATI;
    PFNGLVERTEXSTREAM1FATIPROC pglVertexStream1fATI;
    PFNGLVERTEXSTREAM1FVATIPROC pglVertexStream1fvATI;
    PFNGLVERTEXSTREAM1IATIPROC pglVertexStream1iATI;
    PFNGLVERTEXSTREAM1IVATIPROC pglVertexStream1ivATI;
    PFNGLVERTEXSTREAM1SATIPROC pglVertexStream1sATI;
    PFNGLVERTEXSTREAM1SVATIPROC pglVertexStream1svATI;
    PFNGLVERTEXSTREAM2DATIPROC pglVertexStream2dATI;
    PFNGLVERTEXSTREAM2DVATIPROC pglVertexStream2dvATI;
    PFNGLVERTEXSTREAM2FATIPROC pglVertexStream2fATI;
    PFNGLVERTEXSTREAM2FVATIPROC pglVertexStream2fvATI;
    PFNGLVERTEXSTREAM2IATIPROC pglVertexStream2iATI;
    PFNGLVERTEXSTREAM2IVATIPROC pglVertexStream2ivATI;
    PFNGLVERTEXSTREAM2SATIPROC pglVertexStream2sATI;
    PFNGLVERTEXSTREAM2SVATIPROC pglVertexStream2svATI;
    PFNGLVERTEXSTREAM3DATIPROC pglVertexStream3dATI;
    PFNGLVERTEXSTREAM3DVATIPROC pglVertexStream3dvATI;
    PFNGLVERTEXSTREAM3FATIPROC pglVertexStream3fATI;
    PFNGLVERTEXSTREAM3FVATIPROC pglVertexStream3fvATI;
    PFNGLVERTEXSTREAM3IATIPROC pglVertexStream3iATI;
    PFNGLVERTEXSTREAM3IVATIPROC pglVertexStream3ivATI;
    PFNGLVERTEXSTREAM3SATIPROC pglVertexStream3sATI;
    PFNGLVERTEXSTREAM3SVATIPROC pglVertexStream3svATI;
    PFNGLVERTEXSTREAM4DATIPROC pglVertexStream4dATI;
    PFNGLVERTEXSTREAM4DVATIPROC pglVertexStream4dvATI;
    PFNGLVERTEXSTREAM4FATIPROC pglVertexStream4fATI;
    PFNGLVERTEXSTREAM4FVATIPROC pglVertexStream4fvATI;
    PFNGLVERTEXSTREAM4IATIPROC pglVertexStream4iATI;
    PFNGLVERTEXSTREAM4IVATIPROC pglVertexStream4ivATI;
    PFNGLVERTEXSTREAM4SATIPROC pglVertexStream4sATI;
    PFNGLVERTEXSTREAM4SVATIPROC pglVertexStream4svATI;
    PFNGLVERTEXWEIGHTPOINTEREXTPROC pglVertexWeightPointerEXT;
    PFNGLVERTEXWEIGHTFEXTPROC pglVertexWeightfEXT;
    PFNGLVERTEXWEIGHTFVEXTPROC pglVertexWeightfvEXT;
    PFNGLVERTEXWEIGHTHNVPROC pglVertexWeighthNV;
    PFNGLVERTEXWEIGHTHVNVPROC pglVertexWeighthvNV;
    PFNGLVIDEOCAPTURENVPROC pglVideoCaptureNV;
    PFNGLVIDEOCAPTURESTREAMPARAMETERDVNVPROC pglVideoCaptureStreamParameterdvNV;
    PFNGLVIDEOCAPTURESTREAMPARAMETERFVNVPROC pglVideoCaptureStreamParameterfvNV;
    PFNGLVIDEOCAPTURESTREAMPARAMETERIVNVPROC pglVideoCaptureStreamParameterivNV;
    PFNGLVIEWPORTPROC pglViewport;
    PFNGLVIEWPORTARRAYVPROC pglViewportArrayv;
    PFNGLVIEWPORTINDEXEDFPROC pglViewportIndexedf;
    PFNGLVIEWPORTINDEXEDFVPROC pglViewportIndexedfv;
    PFNGLWAITSYNCPROC pglWaitSync;
    PFNGLWEIGHTPATHSNVPROC pglWeightPathsNV;
    PFNGLWEIGHTPOINTERARBPROC pglWeightPointerARB;
    PFNGLWEIGHTPOINTEROESPROC pglWeightPointerOES;
    PFNGLWEIGHTBVARBPROC pglWeightbvARB;
    PFNGLWEIGHTDVARBPROC pglWeightdvARB;
    PFNGLWEIGHTFVARBPROC pglWeightfvARB;
    PFNGLWEIGHTIVARBPROC pglWeightivARB;
    PFNGLWEIGHTSVARBPROC pglWeightsvARB;
    PFNGLWEIGHTUBVARBPROC pglWeightubvARB;
    PFNGLWEIGHTUIVARBPROC pglWeightuivARB;
    PFNGLWEIGHTUSVARBPROC pglWeightusvARB;
    PFNGLWINDOWPOS2DPROC pglWindowPos2d;
    PFNGLWINDOWPOS2DVPROC pglWindowPos2dv;
    PFNGLWINDOWPOS2FPROC pglWindowPos2f;
    PFNGLWINDOWPOS2FVPROC pglWindowPos2fv;
    PFNGLWINDOWPOS2IPROC pglWindowPos2i;
    PFNGLWINDOWPOS2IVPROC pglWindowPos2iv;
    PFNGLWINDOWPOS2SPROC pglWindowPos2s;
    PFNGLWINDOWPOS2SVPROC pglWindowPos2sv;
    PFNGLWINDOWPOS3DPROC pglWindowPos3d;
    PFNGLWINDOWPOS3DVPROC pglWindowPos3dv;
    PFNGLWINDOWPOS3FPROC pglWindowPos3f;
    PFNGLWINDOWPOS3FVPROC pglWindowPos3fv;
    PFNGLWINDOWPOS3IPROC pglWindowPos3i;
    PFNGLWINDOWPOS3IVPROC pglWindowPos3iv;
    PFNGLWINDOWPOS3SPROC pglWindowPos3s;
    PFNGLWINDOWPOS3SVPROC pglWindowPos3sv;
    PFNGLWINDOWPOS4DMESAPROC pglWindowPos4dMESA;
    PFNGLWINDOWPOS4DVMESAPROC pglWindowPos4dvMESA;
    PFNGLWINDOWPOS4FMESAPROC pglWindowPos4fMESA;
    PFNGLWINDOWPOS4FVMESAPROC pglWindowPos4fvMESA;
    PFNGLWINDOWPOS4IMESAPROC pglWindowPos4iMESA;
    PFNGLWINDOWPOS4IVMESAPROC pglWindowPos4ivMESA;
    PFNGLWINDOWPOS4SMESAPROC pglWindowPos4sMESA;
    PFNGLWINDOWPOS4SVMESAPROC pglWindowPos4svMESA;
    PFNGLWRITEMASKEXTPROC pglWriteMaskEXT;
};

#if USING_DISPATCH_TABLE
static inline struct dispatch_table *
get_dispatch_table(void);

#endif
enum gl_provider {
    gl_provider_terminator = 0,
    Desktop_OpenGL_1_0,
    Desktop_OpenGL_1_1,
    Desktop_OpenGL_1_2,
    Desktop_OpenGL_1_3,
    Desktop_OpenGL_1_4,
    Desktop_OpenGL_1_5,
    Desktop_OpenGL_2_0,
    Desktop_OpenGL_2_1,
    Desktop_OpenGL_3_0,
    Desktop_OpenGL_3_1,
    Desktop_OpenGL_3_2,
    Desktop_OpenGL_3_3,
    Desktop_OpenGL_4_0,
    Desktop_OpenGL_4_1,
    Desktop_OpenGL_4_2,
    Desktop_OpenGL_4_3,
    Desktop_OpenGL_4_4,
    GL_extension_GL_3DFX_tbuffer,
    GL_extension_GL_AMD_debug_output,
    GL_extension_GL_AMD_draw_buffers_blend,
    GL_extension_GL_AMD_interleaved_elements,
    GL_extension_GL_AMD_multi_draw_indirect,
    GL_extension_GL_AMD_name_gen_delete,
    GL_extension_GL_AMD_occlusion_query_event,
    GL_extension_GL_AMD_performance_monitor,
    GL_extension_GL_AMD_sample_positions,
    GL_extension_GL_AMD_sparse_texture,
    GL_extension_GL_AMD_stencil_operation_extended,
    GL_extension_GL_AMD_vertex_shader_tessellator,
    GL_extension_GL_ANGLE_framebuffer_blit,
    GL_extension_GL_ANGLE_framebuffer_multisample,
    GL_extension_GL_ANGLE_instanced_arrays,
    GL_extension_GL_ANGLE_translated_shader_source,
    GL_extension_GL_APPLE_copy_texture_levels,
    GL_extension_GL_APPLE_element_array,
    GL_extension_GL_APPLE_fence,
    GL_extension_GL_APPLE_flush_buffer_range,
    GL_extension_GL_APPLE_framebuffer_multisample,
    GL_extension_GL_APPLE_object_purgeable,
    GL_extension_GL_APPLE_sync,
    GL_extension_GL_APPLE_texture_range,
    GL_extension_GL_APPLE_vertex_array_object,
    GL_extension_GL_APPLE_vertex_array_range,
    GL_extension_GL_APPLE_vertex_program_evaluators,
    GL_extension_GL_ARB_ES2_compatibility,
    GL_extension_GL_ARB_base_instance,
    GL_extension_GL_ARB_bindless_texture,
    GL_extension_GL_ARB_blend_func_extended,
    GL_extension_GL_ARB_buffer_storage,
    GL_extension_GL_ARB_cl_event,
    GL_extension_GL_ARB_clear_buffer_object,
    GL_extension_GL_ARB_clear_texture,
    GL_extension_GL_ARB_color_buffer_float,
    GL_extension_GL_ARB_compute_shader,
    GL_extension_GL_ARB_compute_variable_group_size,
    GL_extension_GL_ARB_copy_buffer,
    GL_extension_GL_ARB_copy_image,
    GL_extension_GL_ARB_debug_output,
    GL_extension_GL_ARB_draw_buffers,
    GL_extension_GL_ARB_draw_buffers_blend,
    GL_extension_GL_ARB_draw_elements_base_vertex,
    GL_extension_GL_ARB_draw_indirect,
    GL_extension_GL_ARB_draw_instanced,
    GL_extension_GL_ARB_fragment_program,
    GL_extension_GL_ARB_framebuffer_no_attachments,
    GL_extension_GL_ARB_framebuffer_object,
    GL_extension_GL_ARB_geometry_shader4,
    GL_extension_GL_ARB_get_program_binary,
    GL_extension_GL_ARB_gpu_shader_fp64,
    GL_extension_GL_ARB_imaging,
    GL_extension_GL_ARB_indirect_parameters,
    GL_extension_GL_ARB_instanced_arrays,
    GL_extension_GL_ARB_internalformat_query2,
    GL_extension_GL_ARB_internalformat_query,
    GL_extension_GL_ARB_invalidate_subdata,
    GL_extension_GL_ARB_map_buffer_range,
    GL_extension_GL_ARB_matrix_palette,
    GL_extension_GL_ARB_multi_bind,
    GL_extension_GL_ARB_multi_draw_indirect,
    GL_extension_GL_ARB_multisample,
    GL_extension_GL_ARB_multitexture,
    GL_extension_GL_ARB_occlusion_query,
    GL_extension_GL_ARB_point_parameters,
    GL_extension_GL_ARB_program_interface_query,
    GL_extension_GL_ARB_provoking_vertex,
    GL_extension_GL_ARB_robustness,
    GL_extension_GL_ARB_sample_shading,
    GL_extension_GL_ARB_sampler_objects,
    GL_extension_GL_ARB_separate_shader_objects,
    GL_extension_GL_ARB_shader_atomic_counters,
    GL_extension_GL_ARB_shader_image_load_store,
    GL_extension_GL_ARB_shader_objects,
    GL_extension_GL_ARB_shader_storage_buffer_object,
    GL_extension_GL_ARB_shader_subroutine,
    GL_extension_GL_ARB_shading_language_include,
    GL_extension_GL_ARB_sparse_texture,
    GL_extension_GL_ARB_sync,
    GL_extension_GL_ARB_tessellation_shader,
    GL_extension_GL_ARB_texture_buffer_object,
    GL_extension_GL_ARB_texture_buffer_range,
    GL_extension_GL_ARB_texture_compression,
    GL_extension_GL_ARB_texture_multisample,
    GL_extension_GL_ARB_texture_storage,
    GL_extension_GL_ARB_texture_storage_multisample,
    GL_extension_GL_ARB_texture_view,
    GL_extension_GL_ARB_timer_query,
    GL_extension_GL_ARB_transform_feedback2,
    GL_extension_GL_ARB_transform_feedback3,
    GL_extension_GL_ARB_transform_feedback_instanced,
    GL_extension_GL_ARB_transpose_matrix,
    GL_extension_GL_ARB_uniform_buffer_object,
    GL_extension_GL_ARB_vertex_array_object,
    GL_extension_GL_ARB_vertex_attrib_64bit,
    GL_extension_GL_ARB_vertex_attrib_binding,
    GL_extension_GL_ARB_vertex_blend,
    GL_extension_GL_ARB_vertex_buffer_object,
    GL_extension_GL_ARB_vertex_program,
    GL_extension_GL_ARB_vertex_shader,
    GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
    GL_extension_GL_ARB_viewport_array,
    GL_extension_GL_ARB_window_pos,
    GL_extension_GL_ATI_draw_buffers,
    GL_extension_GL_ATI_element_array,
    GL_extension_GL_ATI_envmap_bumpmap,
    GL_extension_GL_ATI_fragment_shader,
    GL_extension_GL_ATI_map_object_buffer,
    GL_extension_GL_ATI_pn_triangles,
    GL_extension_GL_ATI_separate_stencil,
    GL_extension_GL_ATI_vertex_array_object,
    GL_extension_GL_ATI_vertex_attrib_array_object,
    GL_extension_GL_ATI_vertex_streams,
    GL_extension_GL_EXT_bindable_uniform,
    GL_extension_GL_EXT_blend_color,
    GL_extension_GL_EXT_blend_equation_separate,
    GL_extension_GL_EXT_blend_func_separate,
    GL_extension_GL_EXT_blend_minmax,
    GL_extension_GL_EXT_color_subtable,
    GL_extension_GL_EXT_compiled_vertex_array,
    GL_extension_GL_EXT_convolution,
    GL_extension_GL_EXT_coordinate_frame,
    GL_extension_GL_EXT_copy_texture,
    GL_extension_GL_EXT_cull_vertex,
    GL_extension_GL_EXT_debug_label,
    GL_extension_GL_EXT_debug_marker,
    GL_extension_GL_EXT_depth_bounds_test,
    GL_extension_GL_EXT_direct_state_access,
    GL_extension_GL_EXT_discard_framebuffer,
    GL_extension_GL_EXT_disjoint_timer_query,
    GL_extension_GL_EXT_draw_buffers2,
    GL_extension_GL_EXT_draw_buffers,
    GL_extension_GL_EXT_draw_instanced,
    GL_extension_GL_EXT_draw_range_elements,
    GL_extension_GL_EXT_fog_coord,
    GL_extension_GL_EXT_framebuffer_blit,
    GL_extension_GL_EXT_framebuffer_multisample,
    GL_extension_GL_EXT_framebuffer_object,
    GL_extension_GL_EXT_geometry_shader4,
    GL_extension_GL_EXT_gpu_program_parameters,
    GL_extension_GL_EXT_gpu_shader4,
    GL_extension_GL_EXT_histogram,
    GL_extension_GL_EXT_index_func,
    GL_extension_GL_EXT_index_material,
    GL_extension_GL_EXT_instanced_arrays,
    GL_extension_GL_EXT_light_texture,
    GL_extension_GL_EXT_map_buffer_range,
    GL_extension_GL_EXT_multi_draw_arrays,
    GL_extension_GL_EXT_multisample,
    GL_extension_GL_EXT_multisampled_render_to_texture,
    GL_extension_GL_EXT_multiview_draw_buffers,
    GL_extension_GL_EXT_occlusion_query_boolean,
    GL_extension_GL_EXT_paletted_texture,
    GL_extension_GL_EXT_pixel_transform,
    GL_extension_GL_EXT_point_parameters,
    GL_extension_GL_EXT_polygon_offset,
    GL_extension_GL_EXT_provoking_vertex,
    GL_extension_GL_EXT_robustness,
    GL_extension_GL_EXT_secondary_color,
    GL_extension_GL_EXT_separate_shader_objects,
    GL_extension_GL_EXT_shader_image_load_store,
    GL_extension_GL_EXT_stencil_clear_tag,
    GL_extension_GL_EXT_stencil_two_side,
    GL_extension_GL_EXT_subtexture,
    GL_extension_GL_EXT_texture3D,
    GL_extension_GL_EXT_texture_buffer_object,
    GL_extension_GL_EXT_texture_integer,
    GL_extension_GL_EXT_texture_object,
    GL_extension_GL_EXT_texture_perturb_normal,
    GL_extension_GL_EXT_texture_storage,
    GL_extension_GL_EXT_timer_query,
    GL_extension_GL_EXT_transform_feedback,
    GL_extension_GL_EXT_vertex_array,
    GL_extension_GL_EXT_vertex_attrib_64bit,
    GL_extension_GL_EXT_vertex_shader,
    GL_extension_GL_EXT_vertex_weighting,
    GL_extension_GL_EXT_x11_sync_object,
    GL_extension_GL_GREMEDY_frame_terminator,
    GL_extension_GL_GREMEDY_string_marker,
    GL_extension_GL_HP_image_transform,
    GL_extension_GL_IBM_multimode_draw_arrays,
    GL_extension_GL_IBM_static_data,
    GL_extension_GL_IBM_vertex_array_lists,
    GL_extension_GL_IMG_multisampled_render_to_texture,
    GL_extension_GL_IMG_user_clip_plane,
    GL_extension_GL_INGR_blend_func_separate,
    GL_extension_GL_INTEL_map_texture,
    GL_extension_GL_INTEL_parallel_arrays,
    GL_extension_GL_INTEL_performance_query,
    GL_extension_GL_KHR_debug,
    GL_extension_GL_MESA_resize_buffers,
    GL_extension_GL_MESA_window_pos,
    GL_extension_GL_NVX_conditional_render,
    GL_extension_GL_NV_bindless_multi_draw_indirect,
    GL_extension_GL_NV_bindless_texture,
    GL_extension_GL_NV_blend_equation_advanced,
    GL_extension_GL_NV_conditional_render,
    GL_extension_GL_NV_copy_buffer,
    GL_extension_GL_NV_copy_image,
    GL_extension_GL_NV_coverage_sample,
    GL_extension_GL_NV_depth_buffer_float,
    GL_extension_GL_NV_draw_buffers,
    GL_extension_GL_NV_draw_instanced,
    GL_extension_GL_NV_draw_texture,
    GL_extension_GL_NV_evaluators,
    GL_extension_GL_NV_explicit_multisample,
    GL_extension_GL_NV_fence,
    GL_extension_GL_NV_fragment_program,
    GL_extension_GL_NV_framebuffer_blit,
    GL_extension_GL_NV_framebuffer_multisample,
    GL_extension_GL_NV_framebuffer_multisample_coverage,
    GL_extension_GL_NV_geometry_program4,
    GL_extension_GL_NV_gpu_program4,
    GL_extension_GL_NV_gpu_program5,
    GL_extension_GL_NV_gpu_shader5,
    GL_extension_GL_NV_half_float,
    GL_extension_GL_NV_instanced_arrays,
    GL_extension_GL_NV_non_square_matrices,
    GL_extension_GL_NV_occlusion_query,
    GL_extension_GL_NV_parameter_buffer_object,
    GL_extension_GL_NV_path_rendering,
    GL_extension_GL_NV_pixel_data_range,
    GL_extension_GL_NV_point_sprite,
    GL_extension_GL_NV_present_video,
    GL_extension_GL_NV_primitive_restart,
    GL_extension_GL_NV_read_buffer,
    GL_extension_GL_NV_register_combiners2,
    GL_extension_GL_NV_register_combiners,
    GL_extension_GL_NV_shader_buffer_load,
    GL_extension_GL_NV_texture_barrier,
    GL_extension_GL_NV_texture_multisample,
    GL_extension_GL_NV_transform_feedback2,
    GL_extension_GL_NV_transform_feedback,
    GL_extension_GL_NV_vdpau_interop,
    GL_extension_GL_NV_vertex_array_range,
    GL_extension_GL_NV_vertex_attrib_integer_64bit,
    GL_extension_GL_NV_vertex_buffer_unified_memory,
    GL_extension_GL_NV_vertex_program4,
    GL_extension_GL_NV_vertex_program,
    GL_extension_GL_NV_video_capture,
    GL_extension_GL_OES_EGL_image,
    GL_extension_GL_OES_blend_equation_separate,
    GL_extension_GL_OES_blend_func_separate,
    GL_extension_GL_OES_blend_subtract,
    GL_extension_GL_OES_byte_coordinates,
    GL_extension_GL_OES_draw_texture,
    GL_extension_GL_OES_fixed_point,
    GL_extension_GL_OES_framebuffer_object,
    GL_extension_GL_OES_get_program_binary,
    GL_extension_GL_OES_mapbuffer,
    GL_extension_GL_OES_matrix_palette,
    GL_extension_GL_OES_point_size_array,
    GL_extension_GL_OES_query_matrix,
    GL_extension_GL_OES_single_precision,
    GL_extension_GL_OES_texture_3D,
    GL_extension_GL_OES_texture_cube_map,
    GL_extension_GL_OES_vertex_array_object,
    GL_extension_GL_PGI_misc_hints,
    GL_extension_GL_QCOM_alpha_test,
    GL_extension_GL_QCOM_driver_control,
    GL_extension_GL_QCOM_extended_get2,
    GL_extension_GL_QCOM_extended_get,
    GL_extension_GL_QCOM_tiled_rendering,
    GL_extension_GL_SGIS_detail_texture,
    GL_extension_GL_SGIS_fog_function,
    GL_extension_GL_SGIS_multisample,
    GL_extension_GL_SGIS_pixel_texture,
    GL_extension_GL_SGIS_point_parameters,
    GL_extension_GL_SGIS_sharpen_texture,
    GL_extension_GL_SGIS_texture4D,
    GL_extension_GL_SGIS_texture_color_mask,
    GL_extension_GL_SGIS_texture_filter4,
    GL_extension_GL_SGIX_async,
    GL_extension_GL_SGIX_flush_raster,
    GL_extension_GL_SGIX_fragment_lighting,
    GL_extension_GL_SGIX_framezoom,
    GL_extension_GL_SGIX_igloo_interface,
    GL_extension_GL_SGIX_instruments,
    GL_extension_GL_SGIX_list_priority,
    GL_extension_GL_SGIX_pixel_texture,
    GL_extension_GL_SGIX_polynomial_ffd,
    GL_extension_GL_SGIX_reference_plane,
    GL_extension_GL_SGIX_sprite,
    GL_extension_GL_SGIX_tag_sample_buffer,
    GL_extension_GL_SGI_color_table,
    GL_extension_GL_SUNX_constant_data,
    GL_extension_GL_SUN_global_alpha,
    GL_extension_GL_SUN_mesh_array,
    GL_extension_GL_SUN_triangle_list,
    GL_extension_GL_SUN_vertex,
    OpenGL_ES_1_0,
    OpenGL_ES_2_0,
    OpenGL_ES_3_0,
    always_present,
};

static const char *enum_strings[] = {
    [Desktop_OpenGL_1_0] = "Desktop OpenGL 1.0",
    [Desktop_OpenGL_1_1] = "Desktop OpenGL 1.1",
    [Desktop_OpenGL_1_2] = "Desktop OpenGL 1.2",
    [Desktop_OpenGL_1_3] = "Desktop OpenGL 1.3",
    [Desktop_OpenGL_1_4] = "Desktop OpenGL 1.4",
    [Desktop_OpenGL_1_5] = "Desktop OpenGL 1.5",
    [Desktop_OpenGL_2_0] = "Desktop OpenGL 2.0",
    [Desktop_OpenGL_2_1] = "Desktop OpenGL 2.1",
    [Desktop_OpenGL_3_0] = "Desktop OpenGL 3.0",
    [Desktop_OpenGL_3_1] = "Desktop OpenGL 3.1",
    [Desktop_OpenGL_3_2] = "Desktop OpenGL 3.2",
    [Desktop_OpenGL_3_3] = "Desktop OpenGL 3.3",
    [Desktop_OpenGL_4_0] = "Desktop OpenGL 4.0",
    [Desktop_OpenGL_4_1] = "Desktop OpenGL 4.1",
    [Desktop_OpenGL_4_2] = "Desktop OpenGL 4.2",
    [Desktop_OpenGL_4_3] = "Desktop OpenGL 4.3",
    [Desktop_OpenGL_4_4] = "Desktop OpenGL 4.4",
    [GL_extension_GL_3DFX_tbuffer] = "GL extension \"GL_3DFX_tbuffer\"",
    [GL_extension_GL_AMD_debug_output] = "GL extension \"GL_AMD_debug_output\"",
    [GL_extension_GL_AMD_draw_buffers_blend] = "GL extension \"GL_AMD_draw_buffers_blend\"",
    [GL_extension_GL_AMD_interleaved_elements] = "GL extension \"GL_AMD_interleaved_elements\"",
    [GL_extension_GL_AMD_multi_draw_indirect] = "GL extension \"GL_AMD_multi_draw_indirect\"",
    [GL_extension_GL_AMD_name_gen_delete] = "GL extension \"GL_AMD_name_gen_delete\"",
    [GL_extension_GL_AMD_occlusion_query_event] = "GL extension \"GL_AMD_occlusion_query_event\"",
    [GL_extension_GL_AMD_performance_monitor] = "GL extension \"GL_AMD_performance_monitor\"",
    [GL_extension_GL_AMD_sample_positions] = "GL extension \"GL_AMD_sample_positions\"",
    [GL_extension_GL_AMD_sparse_texture] = "GL extension \"GL_AMD_sparse_texture\"",
    [GL_extension_GL_AMD_stencil_operation_extended] = "GL extension \"GL_AMD_stencil_operation_extended\"",
    [GL_extension_GL_AMD_vertex_shader_tessellator] = "GL extension \"GL_AMD_vertex_shader_tessellator\"",
    [GL_extension_GL_ANGLE_framebuffer_blit] = "GL extension \"GL_ANGLE_framebuffer_blit\"",
    [GL_extension_GL_ANGLE_framebuffer_multisample] = "GL extension \"GL_ANGLE_framebuffer_multisample\"",
    [GL_extension_GL_ANGLE_instanced_arrays] = "GL extension \"GL_ANGLE_instanced_arrays\"",
    [GL_extension_GL_ANGLE_translated_shader_source] = "GL extension \"GL_ANGLE_translated_shader_source\"",
    [GL_extension_GL_APPLE_copy_texture_levels] = "GL extension \"GL_APPLE_copy_texture_levels\"",
    [GL_extension_GL_APPLE_element_array] = "GL extension \"GL_APPLE_element_array\"",
    [GL_extension_GL_APPLE_fence] = "GL extension \"GL_APPLE_fence\"",
    [GL_extension_GL_APPLE_flush_buffer_range] = "GL extension \"GL_APPLE_flush_buffer_range\"",
    [GL_extension_GL_APPLE_framebuffer_multisample] = "GL extension \"GL_APPLE_framebuffer_multisample\"",
    [GL_extension_GL_APPLE_object_purgeable] = "GL extension \"GL_APPLE_object_purgeable\"",
    [GL_extension_GL_APPLE_sync] = "GL extension \"GL_APPLE_sync\"",
    [GL_extension_GL_APPLE_texture_range] = "GL extension \"GL_APPLE_texture_range\"",
    [GL_extension_GL_APPLE_vertex_array_object] = "GL extension \"GL_APPLE_vertex_array_object\"",
    [GL_extension_GL_APPLE_vertex_array_range] = "GL extension \"GL_APPLE_vertex_array_range\"",
    [GL_extension_GL_APPLE_vertex_program_evaluators] = "GL extension \"GL_APPLE_vertex_program_evaluators\"",
    [GL_extension_GL_ARB_ES2_compatibility] = "GL extension \"GL_ARB_ES2_compatibility\"",
    [GL_extension_GL_ARB_base_instance] = "GL extension \"GL_ARB_base_instance\"",
    [GL_extension_GL_ARB_bindless_texture] = "GL extension \"GL_ARB_bindless_texture\"",
    [GL_extension_GL_ARB_blend_func_extended] = "GL extension \"GL_ARB_blend_func_extended\"",
    [GL_extension_GL_ARB_buffer_storage] = "GL extension \"GL_ARB_buffer_storage\"",
    [GL_extension_GL_ARB_cl_event] = "GL extension \"GL_ARB_cl_event\"",
    [GL_extension_GL_ARB_clear_buffer_object] = "GL extension \"GL_ARB_clear_buffer_object\"",
    [GL_extension_GL_ARB_clear_texture] = "GL extension \"GL_ARB_clear_texture\"",
    [GL_extension_GL_ARB_color_buffer_float] = "GL extension \"GL_ARB_color_buffer_float\"",
    [GL_extension_GL_ARB_compute_shader] = "GL extension \"GL_ARB_compute_shader\"",
    [GL_extension_GL_ARB_compute_variable_group_size] = "GL extension \"GL_ARB_compute_variable_group_size\"",
    [GL_extension_GL_ARB_copy_buffer] = "GL extension \"GL_ARB_copy_buffer\"",
    [GL_extension_GL_ARB_copy_image] = "GL extension \"GL_ARB_copy_image\"",
    [GL_extension_GL_ARB_debug_output] = "GL extension \"GL_ARB_debug_output\"",
    [GL_extension_GL_ARB_draw_buffers] = "GL extension \"GL_ARB_draw_buffers\"",
    [GL_extension_GL_ARB_draw_buffers_blend] = "GL extension \"GL_ARB_draw_buffers_blend\"",
    [GL_extension_GL_ARB_draw_elements_base_vertex] = "GL extension \"GL_ARB_draw_elements_base_vertex\"",
    [GL_extension_GL_ARB_draw_indirect] = "GL extension \"GL_ARB_draw_indirect\"",
    [GL_extension_GL_ARB_draw_instanced] = "GL extension \"GL_ARB_draw_instanced\"",
    [GL_extension_GL_ARB_fragment_program] = "GL extension \"GL_ARB_fragment_program\"",
    [GL_extension_GL_ARB_framebuffer_no_attachments] = "GL extension \"GL_ARB_framebuffer_no_attachments\"",
    [GL_extension_GL_ARB_framebuffer_object] = "GL extension \"GL_ARB_framebuffer_object\"",
    [GL_extension_GL_ARB_geometry_shader4] = "GL extension \"GL_ARB_geometry_shader4\"",
    [GL_extension_GL_ARB_get_program_binary] = "GL extension \"GL_ARB_get_program_binary\"",
    [GL_extension_GL_ARB_gpu_shader_fp64] = "GL extension \"GL_ARB_gpu_shader_fp64\"",
    [GL_extension_GL_ARB_imaging] = "GL extension \"GL_ARB_imaging\"",
    [GL_extension_GL_ARB_indirect_parameters] = "GL extension \"GL_ARB_indirect_parameters\"",
    [GL_extension_GL_ARB_instanced_arrays] = "GL extension \"GL_ARB_instanced_arrays\"",
    [GL_extension_GL_ARB_internalformat_query2] = "GL extension \"GL_ARB_internalformat_query2\"",
    [GL_extension_GL_ARB_internalformat_query] = "GL extension \"GL_ARB_internalformat_query\"",
    [GL_extension_GL_ARB_invalidate_subdata] = "GL extension \"GL_ARB_invalidate_subdata\"",
    [GL_extension_GL_ARB_map_buffer_range] = "GL extension \"GL_ARB_map_buffer_range\"",
    [GL_extension_GL_ARB_matrix_palette] = "GL extension \"GL_ARB_matrix_palette\"",
    [GL_extension_GL_ARB_multi_bind] = "GL extension \"GL_ARB_multi_bind\"",
    [GL_extension_GL_ARB_multi_draw_indirect] = "GL extension \"GL_ARB_multi_draw_indirect\"",
    [GL_extension_GL_ARB_multisample] = "GL extension \"GL_ARB_multisample\"",
    [GL_extension_GL_ARB_multitexture] = "GL extension \"GL_ARB_multitexture\"",
    [GL_extension_GL_ARB_occlusion_query] = "GL extension \"GL_ARB_occlusion_query\"",
    [GL_extension_GL_ARB_point_parameters] = "GL extension \"GL_ARB_point_parameters\"",
    [GL_extension_GL_ARB_program_interface_query] = "GL extension \"GL_ARB_program_interface_query\"",
    [GL_extension_GL_ARB_provoking_vertex] = "GL extension \"GL_ARB_provoking_vertex\"",
    [GL_extension_GL_ARB_robustness] = "GL extension \"GL_ARB_robustness\"",
    [GL_extension_GL_ARB_sample_shading] = "GL extension \"GL_ARB_sample_shading\"",
    [GL_extension_GL_ARB_sampler_objects] = "GL extension \"GL_ARB_sampler_objects\"",
    [GL_extension_GL_ARB_separate_shader_objects] = "GL extension \"GL_ARB_separate_shader_objects\"",
    [GL_extension_GL_ARB_shader_atomic_counters] = "GL extension \"GL_ARB_shader_atomic_counters\"",
    [GL_extension_GL_ARB_shader_image_load_store] = "GL extension \"GL_ARB_shader_image_load_store\"",
    [GL_extension_GL_ARB_shader_objects] = "GL extension \"GL_ARB_shader_objects\"",
    [GL_extension_GL_ARB_shader_storage_buffer_object] = "GL extension \"GL_ARB_shader_storage_buffer_object\"",
    [GL_extension_GL_ARB_shader_subroutine] = "GL extension \"GL_ARB_shader_subroutine\"",
    [GL_extension_GL_ARB_shading_language_include] = "GL extension \"GL_ARB_shading_language_include\"",
    [GL_extension_GL_ARB_sparse_texture] = "GL extension \"GL_ARB_sparse_texture\"",
    [GL_extension_GL_ARB_sync] = "GL extension \"GL_ARB_sync\"",
    [GL_extension_GL_ARB_tessellation_shader] = "GL extension \"GL_ARB_tessellation_shader\"",
    [GL_extension_GL_ARB_texture_buffer_object] = "GL extension \"GL_ARB_texture_buffer_object\"",
    [GL_extension_GL_ARB_texture_buffer_range] = "GL extension \"GL_ARB_texture_buffer_range\"",
    [GL_extension_GL_ARB_texture_compression] = "GL extension \"GL_ARB_texture_compression\"",
    [GL_extension_GL_ARB_texture_multisample] = "GL extension \"GL_ARB_texture_multisample\"",
    [GL_extension_GL_ARB_texture_storage] = "GL extension \"GL_ARB_texture_storage\"",
    [GL_extension_GL_ARB_texture_storage_multisample] = "GL extension \"GL_ARB_texture_storage_multisample\"",
    [GL_extension_GL_ARB_texture_view] = "GL extension \"GL_ARB_texture_view\"",
    [GL_extension_GL_ARB_timer_query] = "GL extension \"GL_ARB_timer_query\"",
    [GL_extension_GL_ARB_transform_feedback2] = "GL extension \"GL_ARB_transform_feedback2\"",
    [GL_extension_GL_ARB_transform_feedback3] = "GL extension \"GL_ARB_transform_feedback3\"",
    [GL_extension_GL_ARB_transform_feedback_instanced] = "GL extension \"GL_ARB_transform_feedback_instanced\"",
    [GL_extension_GL_ARB_transpose_matrix] = "GL extension \"GL_ARB_transpose_matrix\"",
    [GL_extension_GL_ARB_uniform_buffer_object] = "GL extension \"GL_ARB_uniform_buffer_object\"",
    [GL_extension_GL_ARB_vertex_array_object] = "GL extension \"GL_ARB_vertex_array_object\"",
    [GL_extension_GL_ARB_vertex_attrib_64bit] = "GL extension \"GL_ARB_vertex_attrib_64bit\"",
    [GL_extension_GL_ARB_vertex_attrib_binding] = "GL extension \"GL_ARB_vertex_attrib_binding\"",
    [GL_extension_GL_ARB_vertex_blend] = "GL extension \"GL_ARB_vertex_blend\"",
    [GL_extension_GL_ARB_vertex_buffer_object] = "GL extension \"GL_ARB_vertex_buffer_object\"",
    [GL_extension_GL_ARB_vertex_program] = "GL extension \"GL_ARB_vertex_program\"",
    [GL_extension_GL_ARB_vertex_shader] = "GL extension \"GL_ARB_vertex_shader\"",
    [GL_extension_GL_ARB_vertex_type_2_10_10_10_rev] = "GL extension \"GL_ARB_vertex_type_2_10_10_10_rev\"",
    [GL_extension_GL_ARB_viewport_array] = "GL extension \"GL_ARB_viewport_array\"",
    [GL_extension_GL_ARB_window_pos] = "GL extension \"GL_ARB_window_pos\"",
    [GL_extension_GL_ATI_draw_buffers] = "GL extension \"GL_ATI_draw_buffers\"",
    [GL_extension_GL_ATI_element_array] = "GL extension \"GL_ATI_element_array\"",
    [GL_extension_GL_ATI_envmap_bumpmap] = "GL extension \"GL_ATI_envmap_bumpmap\"",
    [GL_extension_GL_ATI_fragment_shader] = "GL extension \"GL_ATI_fragment_shader\"",
    [GL_extension_GL_ATI_map_object_buffer] = "GL extension \"GL_ATI_map_object_buffer\"",
    [GL_extension_GL_ATI_pn_triangles] = "GL extension \"GL_ATI_pn_triangles\"",
    [GL_extension_GL_ATI_separate_stencil] = "GL extension \"GL_ATI_separate_stencil\"",
    [GL_extension_GL_ATI_vertex_array_object] = "GL extension \"GL_ATI_vertex_array_object\"",
    [GL_extension_GL_ATI_vertex_attrib_array_object] = "GL extension \"GL_ATI_vertex_attrib_array_object\"",
    [GL_extension_GL_ATI_vertex_streams] = "GL extension \"GL_ATI_vertex_streams\"",
    [GL_extension_GL_EXT_bindable_uniform] = "GL extension \"GL_EXT_bindable_uniform\"",
    [GL_extension_GL_EXT_blend_color] = "GL extension \"GL_EXT_blend_color\"",
    [GL_extension_GL_EXT_blend_equation_separate] = "GL extension \"GL_EXT_blend_equation_separate\"",
    [GL_extension_GL_EXT_blend_func_separate] = "GL extension \"GL_EXT_blend_func_separate\"",
    [GL_extension_GL_EXT_blend_minmax] = "GL extension \"GL_EXT_blend_minmax\"",
    [GL_extension_GL_EXT_color_subtable] = "GL extension \"GL_EXT_color_subtable\"",
    [GL_extension_GL_EXT_compiled_vertex_array] = "GL extension \"GL_EXT_compiled_vertex_array\"",
    [GL_extension_GL_EXT_convolution] = "GL extension \"GL_EXT_convolution\"",
    [GL_extension_GL_EXT_coordinate_frame] = "GL extension \"GL_EXT_coordinate_frame\"",
    [GL_extension_GL_EXT_copy_texture] = "GL extension \"GL_EXT_copy_texture\"",
    [GL_extension_GL_EXT_cull_vertex] = "GL extension \"GL_EXT_cull_vertex\"",
    [GL_extension_GL_EXT_debug_label] = "GL extension \"GL_EXT_debug_label\"",
    [GL_extension_GL_EXT_debug_marker] = "GL extension \"GL_EXT_debug_marker\"",
    [GL_extension_GL_EXT_depth_bounds_test] = "GL extension \"GL_EXT_depth_bounds_test\"",
    [GL_extension_GL_EXT_direct_state_access] = "GL extension \"GL_EXT_direct_state_access\"",
    [GL_extension_GL_EXT_discard_framebuffer] = "GL extension \"GL_EXT_discard_framebuffer\"",
    [GL_extension_GL_EXT_disjoint_timer_query] = "GL extension \"GL_EXT_disjoint_timer_query\"",
    [GL_extension_GL_EXT_draw_buffers2] = "GL extension \"GL_EXT_draw_buffers2\"",
    [GL_extension_GL_EXT_draw_buffers] = "GL extension \"GL_EXT_draw_buffers\"",
    [GL_extension_GL_EXT_draw_instanced] = "GL extension \"GL_EXT_draw_instanced\"",
    [GL_extension_GL_EXT_draw_range_elements] = "GL extension \"GL_EXT_draw_range_elements\"",
    [GL_extension_GL_EXT_fog_coord] = "GL extension \"GL_EXT_fog_coord\"",
    [GL_extension_GL_EXT_framebuffer_blit] = "GL extension \"GL_EXT_framebuffer_blit\"",
    [GL_extension_GL_EXT_framebuffer_multisample] = "GL extension \"GL_EXT_framebuffer_multisample\"",
    [GL_extension_GL_EXT_framebuffer_object] = "GL extension \"GL_EXT_framebuffer_object\"",
    [GL_extension_GL_EXT_geometry_shader4] = "GL extension \"GL_EXT_geometry_shader4\"",
    [GL_extension_GL_EXT_gpu_program_parameters] = "GL extension \"GL_EXT_gpu_program_parameters\"",
    [GL_extension_GL_EXT_gpu_shader4] = "GL extension \"GL_EXT_gpu_shader4\"",
    [GL_extension_GL_EXT_histogram] = "GL extension \"GL_EXT_histogram\"",
    [GL_extension_GL_EXT_index_func] = "GL extension \"GL_EXT_index_func\"",
    [GL_extension_GL_EXT_index_material] = "GL extension \"GL_EXT_index_material\"",
    [GL_extension_GL_EXT_instanced_arrays] = "GL extension \"GL_EXT_instanced_arrays\"",
    [GL_extension_GL_EXT_light_texture] = "GL extension \"GL_EXT_light_texture\"",
    [GL_extension_GL_EXT_map_buffer_range] = "GL extension \"GL_EXT_map_buffer_range\"",
    [GL_extension_GL_EXT_multi_draw_arrays] = "GL extension \"GL_EXT_multi_draw_arrays\"",
    [GL_extension_GL_EXT_multisample] = "GL extension \"GL_EXT_multisample\"",
    [GL_extension_GL_EXT_multisampled_render_to_texture] = "GL extension \"GL_EXT_multisampled_render_to_texture\"",
    [GL_extension_GL_EXT_multiview_draw_buffers] = "GL extension \"GL_EXT_multiview_draw_buffers\"",
    [GL_extension_GL_EXT_occlusion_query_boolean] = "GL extension \"GL_EXT_occlusion_query_boolean\"",
    [GL_extension_GL_EXT_paletted_texture] = "GL extension \"GL_EXT_paletted_texture\"",
    [GL_extension_GL_EXT_pixel_transform] = "GL extension \"GL_EXT_pixel_transform\"",
    [GL_extension_GL_EXT_point_parameters] = "GL extension \"GL_EXT_point_parameters\"",
    [GL_extension_GL_EXT_polygon_offset] = "GL extension \"GL_EXT_polygon_offset\"",
    [GL_extension_GL_EXT_provoking_vertex] = "GL extension \"GL_EXT_provoking_vertex\"",
    [GL_extension_GL_EXT_robustness] = "GL extension \"GL_EXT_robustness\"",
    [GL_extension_GL_EXT_secondary_color] = "GL extension \"GL_EXT_secondary_color\"",
    [GL_extension_GL_EXT_separate_shader_objects] = "GL extension \"GL_EXT_separate_shader_objects\"",
    [GL_extension_GL_EXT_shader_image_load_store] = "GL extension \"GL_EXT_shader_image_load_store\"",
    [GL_extension_GL_EXT_stencil_clear_tag] = "GL extension \"GL_EXT_stencil_clear_tag\"",
    [GL_extension_GL_EXT_stencil_two_side] = "GL extension \"GL_EXT_stencil_two_side\"",
    [GL_extension_GL_EXT_subtexture] = "GL extension \"GL_EXT_subtexture\"",
    [GL_extension_GL_EXT_texture3D] = "GL extension \"GL_EXT_texture3D\"",
    [GL_extension_GL_EXT_texture_buffer_object] = "GL extension \"GL_EXT_texture_buffer_object\"",
    [GL_extension_GL_EXT_texture_integer] = "GL extension \"GL_EXT_texture_integer\"",
    [GL_extension_GL_EXT_texture_object] = "GL extension \"GL_EXT_texture_object\"",
    [GL_extension_GL_EXT_texture_perturb_normal] = "GL extension \"GL_EXT_texture_perturb_normal\"",
    [GL_extension_GL_EXT_texture_storage] = "GL extension \"GL_EXT_texture_storage\"",
    [GL_extension_GL_EXT_timer_query] = "GL extension \"GL_EXT_timer_query\"",
    [GL_extension_GL_EXT_transform_feedback] = "GL extension \"GL_EXT_transform_feedback\"",
    [GL_extension_GL_EXT_vertex_array] = "GL extension \"GL_EXT_vertex_array\"",
    [GL_extension_GL_EXT_vertex_attrib_64bit] = "GL extension \"GL_EXT_vertex_attrib_64bit\"",
    [GL_extension_GL_EXT_vertex_shader] = "GL extension \"GL_EXT_vertex_shader\"",
    [GL_extension_GL_EXT_vertex_weighting] = "GL extension \"GL_EXT_vertex_weighting\"",
    [GL_extension_GL_EXT_x11_sync_object] = "GL extension \"GL_EXT_x11_sync_object\"",
    [GL_extension_GL_GREMEDY_frame_terminator] = "GL extension \"GL_GREMEDY_frame_terminator\"",
    [GL_extension_GL_GREMEDY_string_marker] = "GL extension \"GL_GREMEDY_string_marker\"",
    [GL_extension_GL_HP_image_transform] = "GL extension \"GL_HP_image_transform\"",
    [GL_extension_GL_IBM_multimode_draw_arrays] = "GL extension \"GL_IBM_multimode_draw_arrays\"",
    [GL_extension_GL_IBM_static_data] = "GL extension \"GL_IBM_static_data\"",
    [GL_extension_GL_IBM_vertex_array_lists] = "GL extension \"GL_IBM_vertex_array_lists\"",
    [GL_extension_GL_IMG_multisampled_render_to_texture] = "GL extension \"GL_IMG_multisampled_render_to_texture\"",
    [GL_extension_GL_IMG_user_clip_plane] = "GL extension \"GL_IMG_user_clip_plane\"",
    [GL_extension_GL_INGR_blend_func_separate] = "GL extension \"GL_INGR_blend_func_separate\"",
    [GL_extension_GL_INTEL_map_texture] = "GL extension \"GL_INTEL_map_texture\"",
    [GL_extension_GL_INTEL_parallel_arrays] = "GL extension \"GL_INTEL_parallel_arrays\"",
    [GL_extension_GL_INTEL_performance_query] = "GL extension \"GL_INTEL_performance_query\"",
    [GL_extension_GL_KHR_debug] = "GL extension \"GL_KHR_debug\"",
    [GL_extension_GL_MESA_resize_buffers] = "GL extension \"GL_MESA_resize_buffers\"",
    [GL_extension_GL_MESA_window_pos] = "GL extension \"GL_MESA_window_pos\"",
    [GL_extension_GL_NVX_conditional_render] = "GL extension \"GL_NVX_conditional_render\"",
    [GL_extension_GL_NV_bindless_multi_draw_indirect] = "GL extension \"GL_NV_bindless_multi_draw_indirect\"",
    [GL_extension_GL_NV_bindless_texture] = "GL extension \"GL_NV_bindless_texture\"",
    [GL_extension_GL_NV_blend_equation_advanced] = "GL extension \"GL_NV_blend_equation_advanced\"",
    [GL_extension_GL_NV_conditional_render] = "GL extension \"GL_NV_conditional_render\"",
    [GL_extension_GL_NV_copy_buffer] = "GL extension \"GL_NV_copy_buffer\"",
    [GL_extension_GL_NV_copy_image] = "GL extension \"GL_NV_copy_image\"",
    [GL_extension_GL_NV_coverage_sample] = "GL extension \"GL_NV_coverage_sample\"",
    [GL_extension_GL_NV_depth_buffer_float] = "GL extension \"GL_NV_depth_buffer_float\"",
    [GL_extension_GL_NV_draw_buffers] = "GL extension \"GL_NV_draw_buffers\"",
    [GL_extension_GL_NV_draw_instanced] = "GL extension \"GL_NV_draw_instanced\"",
    [GL_extension_GL_NV_draw_texture] = "GL extension \"GL_NV_draw_texture\"",
    [GL_extension_GL_NV_evaluators] = "GL extension \"GL_NV_evaluators\"",
    [GL_extension_GL_NV_explicit_multisample] = "GL extension \"GL_NV_explicit_multisample\"",
    [GL_extension_GL_NV_fence] = "GL extension \"GL_NV_fence\"",
    [GL_extension_GL_NV_fragment_program] = "GL extension \"GL_NV_fragment_program\"",
    [GL_extension_GL_NV_framebuffer_blit] = "GL extension \"GL_NV_framebuffer_blit\"",
    [GL_extension_GL_NV_framebuffer_multisample] = "GL extension \"GL_NV_framebuffer_multisample\"",
    [GL_extension_GL_NV_framebuffer_multisample_coverage] = "GL extension \"GL_NV_framebuffer_multisample_coverage\"",
    [GL_extension_GL_NV_geometry_program4] = "GL extension \"GL_NV_geometry_program4\"",
    [GL_extension_GL_NV_gpu_program4] = "GL extension \"GL_NV_gpu_program4\"",
    [GL_extension_GL_NV_gpu_program5] = "GL extension \"GL_NV_gpu_program5\"",
    [GL_extension_GL_NV_gpu_shader5] = "GL extension \"GL_NV_gpu_shader5\"",
    [GL_extension_GL_NV_half_float] = "GL extension \"GL_NV_half_float\"",
    [GL_extension_GL_NV_instanced_arrays] = "GL extension \"GL_NV_instanced_arrays\"",
    [GL_extension_GL_NV_non_square_matrices] = "GL extension \"GL_NV_non_square_matrices\"",
    [GL_extension_GL_NV_occlusion_query] = "GL extension \"GL_NV_occlusion_query\"",
    [GL_extension_GL_NV_parameter_buffer_object] = "GL extension \"GL_NV_parameter_buffer_object\"",
    [GL_extension_GL_NV_path_rendering] = "GL extension \"GL_NV_path_rendering\"",
    [GL_extension_GL_NV_pixel_data_range] = "GL extension \"GL_NV_pixel_data_range\"",
    [GL_extension_GL_NV_point_sprite] = "GL extension \"GL_NV_point_sprite\"",
    [GL_extension_GL_NV_present_video] = "GL extension \"GL_NV_present_video\"",
    [GL_extension_GL_NV_primitive_restart] = "GL extension \"GL_NV_primitive_restart\"",
    [GL_extension_GL_NV_read_buffer] = "GL extension \"GL_NV_read_buffer\"",
    [GL_extension_GL_NV_register_combiners2] = "GL extension \"GL_NV_register_combiners2\"",
    [GL_extension_GL_NV_register_combiners] = "GL extension \"GL_NV_register_combiners\"",
    [GL_extension_GL_NV_shader_buffer_load] = "GL extension \"GL_NV_shader_buffer_load\"",
    [GL_extension_GL_NV_texture_barrier] = "GL extension \"GL_NV_texture_barrier\"",
    [GL_extension_GL_NV_texture_multisample] = "GL extension \"GL_NV_texture_multisample\"",
    [GL_extension_GL_NV_transform_feedback2] = "GL extension \"GL_NV_transform_feedback2\"",
    [GL_extension_GL_NV_transform_feedback] = "GL extension \"GL_NV_transform_feedback\"",
    [GL_extension_GL_NV_vdpau_interop] = "GL extension \"GL_NV_vdpau_interop\"",
    [GL_extension_GL_NV_vertex_array_range] = "GL extension \"GL_NV_vertex_array_range\"",
    [GL_extension_GL_NV_vertex_attrib_integer_64bit] = "GL extension \"GL_NV_vertex_attrib_integer_64bit\"",
    [GL_extension_GL_NV_vertex_buffer_unified_memory] = "GL extension \"GL_NV_vertex_buffer_unified_memory\"",
    [GL_extension_GL_NV_vertex_program4] = "GL extension \"GL_NV_vertex_program4\"",
    [GL_extension_GL_NV_vertex_program] = "GL extension \"GL_NV_vertex_program\"",
    [GL_extension_GL_NV_video_capture] = "GL extension \"GL_NV_video_capture\"",
    [GL_extension_GL_OES_EGL_image] = "GL extension \"GL_OES_EGL_image\"",
    [GL_extension_GL_OES_blend_equation_separate] = "GL extension \"GL_OES_blend_equation_separate\"",
    [GL_extension_GL_OES_blend_func_separate] = "GL extension \"GL_OES_blend_func_separate\"",
    [GL_extension_GL_OES_blend_subtract] = "GL extension \"GL_OES_blend_subtract\"",
    [GL_extension_GL_OES_byte_coordinates] = "GL extension \"GL_OES_byte_coordinates\"",
    [GL_extension_GL_OES_draw_texture] = "GL extension \"GL_OES_draw_texture\"",
    [GL_extension_GL_OES_fixed_point] = "GL extension \"GL_OES_fixed_point\"",
    [GL_extension_GL_OES_framebuffer_object] = "GL extension \"GL_OES_framebuffer_object\"",
    [GL_extension_GL_OES_get_program_binary] = "GL extension \"GL_OES_get_program_binary\"",
    [GL_extension_GL_OES_mapbuffer] = "GL extension \"GL_OES_mapbuffer\"",
    [GL_extension_GL_OES_matrix_palette] = "GL extension \"GL_OES_matrix_palette\"",
    [GL_extension_GL_OES_point_size_array] = "GL extension \"GL_OES_point_size_array\"",
    [GL_extension_GL_OES_query_matrix] = "GL extension \"GL_OES_query_matrix\"",
    [GL_extension_GL_OES_single_precision] = "GL extension \"GL_OES_single_precision\"",
    [GL_extension_GL_OES_texture_3D] = "GL extension \"GL_OES_texture_3D\"",
    [GL_extension_GL_OES_texture_cube_map] = "GL extension \"GL_OES_texture_cube_map\"",
    [GL_extension_GL_OES_vertex_array_object] = "GL extension \"GL_OES_vertex_array_object\"",
    [GL_extension_GL_PGI_misc_hints] = "GL extension \"GL_PGI_misc_hints\"",
    [GL_extension_GL_QCOM_alpha_test] = "GL extension \"GL_QCOM_alpha_test\"",
    [GL_extension_GL_QCOM_driver_control] = "GL extension \"GL_QCOM_driver_control\"",
    [GL_extension_GL_QCOM_extended_get2] = "GL extension \"GL_QCOM_extended_get2\"",
    [GL_extension_GL_QCOM_extended_get] = "GL extension \"GL_QCOM_extended_get\"",
    [GL_extension_GL_QCOM_tiled_rendering] = "GL extension \"GL_QCOM_tiled_rendering\"",
    [GL_extension_GL_SGIS_detail_texture] = "GL extension \"GL_SGIS_detail_texture\"",
    [GL_extension_GL_SGIS_fog_function] = "GL extension \"GL_SGIS_fog_function\"",
    [GL_extension_GL_SGIS_multisample] = "GL extension \"GL_SGIS_multisample\"",
    [GL_extension_GL_SGIS_pixel_texture] = "GL extension \"GL_SGIS_pixel_texture\"",
    [GL_extension_GL_SGIS_point_parameters] = "GL extension \"GL_SGIS_point_parameters\"",
    [GL_extension_GL_SGIS_sharpen_texture] = "GL extension \"GL_SGIS_sharpen_texture\"",
    [GL_extension_GL_SGIS_texture4D] = "GL extension \"GL_SGIS_texture4D\"",
    [GL_extension_GL_SGIS_texture_color_mask] = "GL extension \"GL_SGIS_texture_color_mask\"",
    [GL_extension_GL_SGIS_texture_filter4] = "GL extension \"GL_SGIS_texture_filter4\"",
    [GL_extension_GL_SGIX_async] = "GL extension \"GL_SGIX_async\"",
    [GL_extension_GL_SGIX_flush_raster] = "GL extension \"GL_SGIX_flush_raster\"",
    [GL_extension_GL_SGIX_fragment_lighting] = "GL extension \"GL_SGIX_fragment_lighting\"",
    [GL_extension_GL_SGIX_framezoom] = "GL extension \"GL_SGIX_framezoom\"",
    [GL_extension_GL_SGIX_igloo_interface] = "GL extension \"GL_SGIX_igloo_interface\"",
    [GL_extension_GL_SGIX_instruments] = "GL extension \"GL_SGIX_instruments\"",
    [GL_extension_GL_SGIX_list_priority] = "GL extension \"GL_SGIX_list_priority\"",
    [GL_extension_GL_SGIX_pixel_texture] = "GL extension \"GL_SGIX_pixel_texture\"",
    [GL_extension_GL_SGIX_polynomial_ffd] = "GL extension \"GL_SGIX_polynomial_ffd\"",
    [GL_extension_GL_SGIX_reference_plane] = "GL extension \"GL_SGIX_reference_plane\"",
    [GL_extension_GL_SGIX_sprite] = "GL extension \"GL_SGIX_sprite\"",
    [GL_extension_GL_SGIX_tag_sample_buffer] = "GL extension \"GL_SGIX_tag_sample_buffer\"",
    [GL_extension_GL_SGI_color_table] = "GL extension \"GL_SGI_color_table\"",
    [GL_extension_GL_SUNX_constant_data] = "GL extension \"GL_SUNX_constant_data\"",
    [GL_extension_GL_SUN_global_alpha] = "GL extension \"GL_SUN_global_alpha\"",
    [GL_extension_GL_SUN_mesh_array] = "GL extension \"GL_SUN_mesh_array\"",
    [GL_extension_GL_SUN_triangle_list] = "GL extension \"GL_SUN_triangle_list\"",
    [GL_extension_GL_SUN_vertex] = "GL extension \"GL_SUN_vertex\"",
    [OpenGL_ES_1_0] = "OpenGL ES 1.0",
    [OpenGL_ES_2_0] = "OpenGL ES 2.0",
    [OpenGL_ES_3_0] = "OpenGL ES 3.0",
    [always_present] = "always present",
};

static const char entrypoint_strings[] = 
   "glAccum\0"
   "glAccumxOES\0"
   "glActiveProgramEXT\0"
   "glActiveShaderProgram\0"
   "glActiveShaderProgramEXT\0"
   "glActiveStencilFaceEXT\0"
   "glActiveTexture\0"
   "glActiveTextureARB\0"
   "glActiveVaryingNV\0"
   "glAlphaFragmentOp1ATI\0"
   "glAlphaFragmentOp2ATI\0"
   "glAlphaFragmentOp3ATI\0"
   "glAlphaFunc\0"
   "glAlphaFuncQCOM\0"
   "glAlphaFuncx\0"
   "glAlphaFuncxOES\0"
   "glApplyTextureEXT\0"
   "glAreProgramsResidentNV\0"
   "glAreTexturesResident\0"
   "glAreTexturesResidentEXT\0"
   "glArrayElement\0"
   "glArrayElementEXT\0"
   "glArrayObjectATI\0"
   "glAsyncMarkerSGIX\0"
   "glAttachObjectARB\0"
   "glAttachShader\0"
   "glBegin\0"
   "glBeginConditionalRender\0"
   "glBeginConditionalRenderNV\0"
   "glBeginConditionalRenderNVX\0"
   "glBeginFragmentShaderATI\0"
   "glBeginOcclusionQueryNV\0"
   "glBeginPerfMonitorAMD\0"
   "glBeginPerfQueryINTEL\0"
   "glBeginQuery\0"
   "glBeginQueryARB\0"
   "glBeginQueryEXT\0"
   "glBeginQueryIndexed\0"
   "glBeginTransformFeedback\0"
   "glBeginTransformFeedbackEXT\0"
   "glBeginTransformFeedbackNV\0"
   "glBeginVertexShaderEXT\0"
   "glBeginVideoCaptureNV\0"
   "glBindAttribLocation\0"
   "glBindAttribLocationARB\0"
   "glBindBuffer\0"
   "glBindBufferARB\0"
   "glBindBufferBase\0"
   "glBindBufferBaseEXT\0"
   "glBindBufferBaseNV\0"
   "glBindBufferOffsetEXT\0"
   "glBindBufferOffsetNV\0"
   "glBindBufferRange\0"
   "glBindBufferRangeEXT\0"
   "glBindBufferRangeNV\0"
   "glBindBuffersBase\0"
   "glBindBuffersRange\0"
   "glBindFragDataLocation\0"
   "glBindFragDataLocationEXT\0"
   "glBindFragDataLocationIndexed\0"
   "glBindFragmentShaderATI\0"
   "glBindFramebuffer\0"
   "glBindFramebufferEXT\0"
   "glBindFramebufferOES\0"
   "glBindImageTexture\0"
   "glBindImageTextureEXT\0"
   "glBindImageTextures\0"
   "glBindLightParameterEXT\0"
   "glBindMaterialParameterEXT\0"
   "glBindMultiTextureEXT\0"
   "glBindParameterEXT\0"
   "glBindProgramARB\0"
   "glBindProgramNV\0"
   "glBindProgramPipeline\0"
   "glBindProgramPipelineEXT\0"
   "glBindRenderbuffer\0"
   "glBindRenderbufferEXT\0"
   "glBindRenderbufferOES\0"
   "glBindSampler\0"
   "glBindSamplers\0"
   "glBindTexGenParameterEXT\0"
   "glBindTexture\0"
   "glBindTextureEXT\0"
   "glBindTextureUnitParameterEXT\0"
   "glBindTextures\0"
   "glBindTransformFeedback\0"
   "glBindTransformFeedbackNV\0"
   "glBindVertexArray\0"
   "glBindVertexArrayAPPLE\0"
   "glBindVertexArrayOES\0"
   "glBindVertexBuffer\0"
   "glBindVertexBuffers\0"
   "glBindVertexShaderEXT\0"
   "glBindVideoCaptureStreamBufferNV\0"
   "glBindVideoCaptureStreamTextureNV\0"
   "glBinormal3bEXT\0"
   "glBinormal3bvEXT\0"
   "glBinormal3dEXT\0"
   "glBinormal3dvEXT\0"
   "glBinormal3fEXT\0"
   "glBinormal3fvEXT\0"
   "glBinormal3iEXT\0"
   "glBinormal3ivEXT\0"
   "glBinormal3sEXT\0"
   "glBinormal3svEXT\0"
   "glBinormalPointerEXT\0"
   "glBitmap\0"
   "glBitmapxOES\0"
   "glBlendBarrierNV\0"
   "glBlendColor\0"
   "glBlendColorEXT\0"
   "glBlendColorxOES\0"
   "glBlendEquation\0"
   "glBlendEquationEXT\0"
   "glBlendEquationIndexedAMD\0"
   "glBlendEquationOES\0"
   "glBlendEquationSeparate\0"
   "glBlendEquationSeparateEXT\0"
   "glBlendEquationSeparateIndexedAMD\0"
   "glBlendEquationSeparateOES\0"
   "glBlendEquationSeparatei\0"
   "glBlendEquationSeparateiARB\0"
   "glBlendEquationi\0"
   "glBlendEquationiARB\0"
   "glBlendFunc\0"
   "glBlendFuncIndexedAMD\0"
   "glBlendFuncSeparate\0"
   "glBlendFuncSeparateEXT\0"
   "glBlendFuncSeparateINGR\0"
   "glBlendFuncSeparateIndexedAMD\0"
   "glBlendFuncSeparateOES\0"
   "glBlendFuncSeparatei\0"
   "glBlendFuncSeparateiARB\0"
   "glBlendFunci\0"
   "glBlendFunciARB\0"
   "glBlendParameteriNV\0"
   "glBlitFramebuffer\0"
   "glBlitFramebufferANGLE\0"
   "glBlitFramebufferEXT\0"
   "glBlitFramebufferNV\0"
   "glBufferAddressRangeNV\0"
   "glBufferData\0"
   "glBufferDataARB\0"
   "glBufferParameteriAPPLE\0"
   "glBufferStorage\0"
   "glBufferSubData\0"
   "glBufferSubDataARB\0"
   "glCallList\0"
   "glCallLists\0"
   "glCheckFramebufferStatus\0"
   "glCheckFramebufferStatusEXT\0"
   "glCheckFramebufferStatusOES\0"
   "glCheckNamedFramebufferStatusEXT\0"
   "glClampColor\0"
   "glClampColorARB\0"
   "glClear\0"
   "glClearAccum\0"
   "glClearAccumxOES\0"
   "glClearBufferData\0"
   "glClearBufferSubData\0"
   "glClearBufferfi\0"
   "glClearBufferfv\0"
   "glClearBufferiv\0"
   "glClearBufferuiv\0"
   "glClearColor\0"
   "glClearColorIiEXT\0"
   "glClearColorIuiEXT\0"
   "glClearColorx\0"
   "glClearColorxOES\0"
   "glClearDepth\0"
   "glClearDepthdNV\0"
   "glClearDepthf\0"
   "glClearDepthfOES\0"
   "glClearDepthx\0"
   "glClearDepthxOES\0"
   "glClearIndex\0"
   "glClearNamedBufferDataEXT\0"
   "glClearNamedBufferSubDataEXT\0"
   "glClearStencil\0"
   "glClearTexImage\0"
   "glClearTexSubImage\0"
   "glClientActiveTexture\0"
   "glClientActiveTextureARB\0"
   "glClientActiveVertexStreamATI\0"
   "glClientAttribDefaultEXT\0"
   "glClientWaitSync\0"
   "glClientWaitSyncAPPLE\0"
   "glClipPlane\0"
   "glClipPlanef\0"
   "glClipPlanefIMG\0"
   "glClipPlanefOES\0"
   "glClipPlanex\0"
   "glClipPlanexIMG\0"
   "glClipPlanexOES\0"
   "glColor3b\0"
   "glColor3bv\0"
   "glColor3d\0"
   "glColor3dv\0"
   "glColor3f\0"
   "glColor3fVertex3fSUN\0"
   "glColor3fVertex3fvSUN\0"
   "glColor3fv\0"
   "glColor3hNV\0"
   "glColor3hvNV\0"
   "glColor3i\0"
   "glColor3iv\0"
   "glColor3s\0"
   "glColor3sv\0"
   "glColor3ub\0"
   "glColor3ubv\0"
   "glColor3ui\0"
   "glColor3uiv\0"
   "glColor3us\0"
   "glColor3usv\0"
   "glColor3xOES\0"
   "glColor3xvOES\0"
   "glColor4b\0"
   "glColor4bv\0"
   "glColor4d\0"
   "glColor4dv\0"
   "glColor4f\0"
   "glColor4fNormal3fVertex3fSUN\0"
   "glColor4fNormal3fVertex3fvSUN\0"
   "glColor4fv\0"
   "glColor4hNV\0"
   "glColor4hvNV\0"
   "glColor4i\0"
   "glColor4iv\0"
   "glColor4s\0"
   "glColor4sv\0"
   "glColor4ub\0"
   "glColor4ubVertex2fSUN\0"
   "glColor4ubVertex2fvSUN\0"
   "glColor4ubVertex3fSUN\0"
   "glColor4ubVertex3fvSUN\0"
   "glColor4ubv\0"
   "glColor4ui\0"
   "glColor4uiv\0"
   "glColor4us\0"
   "glColor4usv\0"
   "glColor4x\0"
   "glColor4xOES\0"
   "glColor4xvOES\0"
   "glColorFormatNV\0"
   "glColorFragmentOp1ATI\0"
   "glColorFragmentOp2ATI\0"
   "glColorFragmentOp3ATI\0"
   "glColorMask\0"
   "glColorMaskIndexedEXT\0"
   "glColorMaski\0"
   "glColorMaterial\0"
   "glColorP3ui\0"
   "glColorP3uiv\0"
   "glColorP4ui\0"
   "glColorP4uiv\0"
   "glColorPointer\0"
   "glColorPointerEXT\0"
   "glColorPointerListIBM\0"
   "glColorPointervINTEL\0"
   "glColorSubTable\0"
   "glColorSubTableEXT\0"
   "glColorTable\0"
   "glColorTableEXT\0"
   "glColorTableParameterfv\0"
   "glColorTableParameterfvSGI\0"
   "glColorTableParameteriv\0"
   "glColorTableParameterivSGI\0"
   "glColorTableSGI\0"
   "glCombinerInputNV\0"
   "glCombinerOutputNV\0"
   "glCombinerParameterfNV\0"
   "glCombinerParameterfvNV\0"
   "glCombinerParameteriNV\0"
   "glCombinerParameterivNV\0"
   "glCombinerStageParameterfvNV\0"
   "glCompileShader\0"
   "glCompileShaderARB\0"
   "glCompileShaderIncludeARB\0"
   "glCompressedMultiTexImage1DEXT\0"
   "glCompressedMultiTexImage2DEXT\0"
   "glCompressedMultiTexImage3DEXT\0"
   "glCompressedMultiTexSubImage1DEXT\0"
   "glCompressedMultiTexSubImage2DEXT\0"
   "glCompressedMultiTexSubImage3DEXT\0"
   "glCompressedTexImage1D\0"
   "glCompressedTexImage1DARB\0"
   "glCompressedTexImage2D\0"
   "glCompressedTexImage2DARB\0"
   "glCompressedTexImage3D\0"
   "glCompressedTexImage3DARB\0"
   "glCompressedTexImage3DOES\0"
   "glCompressedTexSubImage1D\0"
   "glCompressedTexSubImage1DARB\0"
   "glCompressedTexSubImage2D\0"
   "glCompressedTexSubImage2DARB\0"
   "glCompressedTexSubImage3D\0"
   "glCompressedTexSubImage3DARB\0"
   "glCompressedTexSubImage3DOES\0"
   "glCompressedTextureImage1DEXT\0"
   "glCompressedTextureImage2DEXT\0"
   "glCompressedTextureImage3DEXT\0"
   "glCompressedTextureSubImage1DEXT\0"
   "glCompressedTextureSubImage2DEXT\0"
   "glCompressedTextureSubImage3DEXT\0"
   "glConvolutionFilter1D\0"
   "glConvolutionFilter1DEXT\0"
   "glConvolutionFilter2D\0"
   "glConvolutionFilter2DEXT\0"
   "glConvolutionParameterf\0"
   "glConvolutionParameterfEXT\0"
   "glConvolutionParameterfv\0"
   "glConvolutionParameterfvEXT\0"
   "glConvolutionParameteri\0"
   "glConvolutionParameteriEXT\0"
   "glConvolutionParameteriv\0"
   "glConvolutionParameterivEXT\0"
   "glConvolutionParameterxOES\0"
   "glConvolutionParameterxvOES\0"
   "glCopyBufferSubData\0"
   "glCopyBufferSubDataNV\0"
   "glCopyColorSubTable\0"
   "glCopyColorSubTableEXT\0"
   "glCopyColorTable\0"
   "glCopyColorTableSGI\0"
   "glCopyConvolutionFilter1D\0"
   "glCopyConvolutionFilter1DEXT\0"
   "glCopyConvolutionFilter2D\0"
   "glCopyConvolutionFilter2DEXT\0"
   "glCopyImageSubData\0"
   "glCopyImageSubDataNV\0"
   "glCopyMultiTexImage1DEXT\0"
   "glCopyMultiTexImage2DEXT\0"
   "glCopyMultiTexSubImage1DEXT\0"
   "glCopyMultiTexSubImage2DEXT\0"
   "glCopyMultiTexSubImage3DEXT\0"
   "glCopyPathNV\0"
   "glCopyPixels\0"
   "glCopyTexImage1D\0"
   "glCopyTexImage1DEXT\0"
   "glCopyTexImage2D\0"
   "glCopyTexImage2DEXT\0"
   "glCopyTexSubImage1D\0"
   "glCopyTexSubImage1DEXT\0"
   "glCopyTexSubImage2D\0"
   "glCopyTexSubImage2DEXT\0"
   "glCopyTexSubImage3D\0"
   "glCopyTexSubImage3DEXT\0"
   "glCopyTexSubImage3DOES\0"
   "glCopyTextureImage1DEXT\0"
   "glCopyTextureImage2DEXT\0"
   "glCopyTextureLevelsAPPLE\0"
   "glCopyTextureSubImage1DEXT\0"
   "glCopyTextureSubImage2DEXT\0"
   "glCopyTextureSubImage3DEXT\0"
   "glCoverFillPathInstancedNV\0"
   "glCoverFillPathNV\0"
   "glCoverStrokePathInstancedNV\0"
   "glCoverStrokePathNV\0"
   "glCoverageMaskNV\0"
   "glCoverageOperationNV\0"
   "glCreatePerfQueryINTEL\0"
   "glCreateProgram\0"
   "glCreateProgramObjectARB\0"
   "glCreateShader\0"
   "glCreateShaderObjectARB\0"
   "glCreateShaderProgramEXT\0"
   "glCreateShaderProgramv\0"
   "glCreateShaderProgramvEXT\0"
   "glCreateSyncFromCLeventARB\0"
   "glCullFace\0"
   "glCullParameterdvEXT\0"
   "glCullParameterfvEXT\0"
   "glCurrentPaletteMatrixARB\0"
   "glCurrentPaletteMatrixOES\0"
   "glDebugMessageCallback\0"
   "glDebugMessageCallbackAMD\0"
   "glDebugMessageCallbackARB\0"
   "glDebugMessageCallbackKHR\0"
   "glDebugMessageControl\0"
   "glDebugMessageControlARB\0"
   "glDebugMessageControlKHR\0"
   "glDebugMessageEnableAMD\0"
   "glDebugMessageInsert\0"
   "glDebugMessageInsertAMD\0"
   "glDebugMessageInsertARB\0"
   "glDebugMessageInsertKHR\0"
   "glDeformSGIX\0"
   "glDeformationMap3dSGIX\0"
   "glDeformationMap3fSGIX\0"
   "glDeleteAsyncMarkersSGIX\0"
   "glDeleteBuffers\0"
   "glDeleteBuffersARB\0"
   "glDeleteFencesAPPLE\0"
   "glDeleteFencesNV\0"
   "glDeleteFragmentShaderATI\0"
   "glDeleteFramebuffers\0"
   "glDeleteFramebuffersEXT\0"
   "glDeleteFramebuffersOES\0"
   "glDeleteLists\0"
   "glDeleteNamedStringARB\0"
   "glDeleteNamesAMD\0"
   "glDeleteObjectARB\0"
   "glDeleteOcclusionQueriesNV\0"
   "glDeletePathsNV\0"
   "glDeletePerfMonitorsAMD\0"
   "glDeletePerfQueryINTEL\0"
   "glDeleteProgram\0"
   "glDeleteProgramPipelines\0"
   "glDeleteProgramPipelinesEXT\0"
   "glDeleteProgramsARB\0"
   "glDeleteProgramsNV\0"
   "glDeleteQueries\0"
   "glDeleteQueriesARB\0"
   "glDeleteQueriesEXT\0"
   "glDeleteRenderbuffers\0"
   "glDeleteRenderbuffersEXT\0"
   "glDeleteRenderbuffersOES\0"
   "glDeleteSamplers\0"
   "glDeleteShader\0"
   "glDeleteSync\0"
   "glDeleteSyncAPPLE\0"
   "glDeleteTextures\0"
   "glDeleteTexturesEXT\0"
   "glDeleteTransformFeedbacks\0"
   "glDeleteTransformFeedbacksNV\0"
   "glDeleteVertexArrays\0"
   "glDeleteVertexArraysAPPLE\0"
   "glDeleteVertexArraysOES\0"
   "glDeleteVertexShaderEXT\0"
   "glDepthBoundsEXT\0"
   "glDepthBoundsdNV\0"
   "glDepthFunc\0"
   "glDepthMask\0"
   "glDepthRange\0"
   "glDepthRangeArrayv\0"
   "glDepthRangeIndexed\0"
   "glDepthRangedNV\0"
   "glDepthRangef\0"
   "glDepthRangefOES\0"
   "glDepthRangex\0"
   "glDepthRangexOES\0"
   "glDetachObjectARB\0"
   "glDetachShader\0"
   "glDetailTexFuncSGIS\0"
   "glDisable\0"
   "glDisableClientState\0"
   "glDisableClientStateIndexedEXT\0"
   "glDisableClientStateiEXT\0"
   "glDisableDriverControlQCOM\0"
   "glDisableIndexedEXT\0"
   "glDisableVariantClientStateEXT\0"
   "glDisableVertexArrayAttribEXT\0"
   "glDisableVertexArrayEXT\0"
   "glDisableVertexAttribAPPLE\0"
   "glDisableVertexAttribArray\0"
   "glDisableVertexAttribArrayARB\0"
   "glDisablei\0"
   "glDiscardFramebufferEXT\0"
   "glDispatchCompute\0"
   "glDispatchComputeGroupSizeARB\0"
   "glDispatchComputeIndirect\0"
   "glDrawArrays\0"
   "glDrawArraysEXT\0"
   "glDrawArraysIndirect\0"
   "glDrawArraysInstanced\0"
   "glDrawArraysInstancedANGLE\0"
   "glDrawArraysInstancedARB\0"
   "glDrawArraysInstancedBaseInstance\0"
   "glDrawArraysInstancedEXT\0"
   "glDrawArraysInstancedNV\0"
   "glDrawBuffer\0"
   "glDrawBuffers\0"
   "glDrawBuffersARB\0"
   "glDrawBuffersATI\0"
   "glDrawBuffersEXT\0"
   "glDrawBuffersIndexedEXT\0"
   "glDrawBuffersNV\0"
   "glDrawElementArrayAPPLE\0"
   "glDrawElementArrayATI\0"
   "glDrawElements\0"
   "glDrawElementsBaseVertex\0"
   "glDrawElementsIndirect\0"
   "glDrawElementsInstanced\0"
   "glDrawElementsInstancedANGLE\0"
   "glDrawElementsInstancedARB\0"
   "glDrawElementsInstancedBaseInstance\0"
   "glDrawElementsInstancedBaseVertex\0"
   "glDrawElementsInstancedBaseVertexBaseInstance\0"
   "glDrawElementsInstancedEXT\0"
   "glDrawElementsInstancedNV\0"
   "glDrawMeshArraysSUN\0"
   "glDrawPixels\0"
   "glDrawRangeElementArrayAPPLE\0"
   "glDrawRangeElementArrayATI\0"
   "glDrawRangeElements\0"
   "glDrawRangeElementsBaseVertex\0"
   "glDrawRangeElementsEXT\0"
   "glDrawTexfOES\0"
   "glDrawTexfvOES\0"
   "glDrawTexiOES\0"
   "glDrawTexivOES\0"
   "glDrawTexsOES\0"
   "glDrawTexsvOES\0"
   "glDrawTextureNV\0"
   "glDrawTexxOES\0"
   "glDrawTexxvOES\0"
   "glDrawTransformFeedback\0"
   "glDrawTransformFeedbackInstanced\0"
   "glDrawTransformFeedbackNV\0"
   "glDrawTransformFeedbackStream\0"
   "glDrawTransformFeedbackStreamInstanced\0"
   "glEGLImageTargetRenderbufferStorageOES\0"
   "glEGLImageTargetTexture2DOES\0"
   "glEdgeFlag\0"
   "glEdgeFlagFormatNV\0"
   "glEdgeFlagPointer\0"
   "glEdgeFlagPointerEXT\0"
   "glEdgeFlagPointerListIBM\0"
   "glEdgeFlagv\0"
   "glElementPointerAPPLE\0"
   "glElementPointerATI\0"
   "glEnable\0"
   "glEnableClientState\0"
   "glEnableClientStateIndexedEXT\0"
   "glEnableClientStateiEXT\0"
   "glEnableDriverControlQCOM\0"
   "glEnableIndexedEXT\0"
   "glEnableVariantClientStateEXT\0"
   "glEnableVertexArrayAttribEXT\0"
   "glEnableVertexArrayEXT\0"
   "glEnableVertexAttribAPPLE\0"
   "glEnableVertexAttribArray\0"
   "glEnableVertexAttribArrayARB\0"
   "glEnablei\0"
   "glEnd\0"
   "glEndConditionalRender\0"
   "glEndConditionalRenderNV\0"
   "glEndConditionalRenderNVX\0"
   "glEndFragmentShaderATI\0"
   "glEndList\0"
   "glEndOcclusionQueryNV\0"
   "glEndPerfMonitorAMD\0"
   "glEndPerfQueryINTEL\0"
   "glEndQuery\0"
   "glEndQueryARB\0"
   "glEndQueryEXT\0"
   "glEndQueryIndexed\0"
   "glEndTilingQCOM\0"
   "glEndTransformFeedback\0"
   "glEndTransformFeedbackEXT\0"
   "glEndTransformFeedbackNV\0"
   "glEndVertexShaderEXT\0"
   "glEndVideoCaptureNV\0"
   "glEvalCoord1d\0"
   "glEvalCoord1dv\0"
   "glEvalCoord1f\0"
   "glEvalCoord1fv\0"
   "glEvalCoord1xOES\0"
   "glEvalCoord1xvOES\0"
   "glEvalCoord2d\0"
   "glEvalCoord2dv\0"
   "glEvalCoord2f\0"
   "glEvalCoord2fv\0"
   "glEvalCoord2xOES\0"
   "glEvalCoord2xvOES\0"
   "glEvalMapsNV\0"
   "glEvalMesh1\0"
   "glEvalMesh2\0"
   "glEvalPoint1\0"
   "glEvalPoint2\0"
   "glExecuteProgramNV\0"
   "glExtGetBufferPointervQCOM\0"
   "glExtGetBuffersQCOM\0"
   "glExtGetFramebuffersQCOM\0"
   "glExtGetProgramBinarySourceQCOM\0"
   "glExtGetProgramsQCOM\0"
   "glExtGetRenderbuffersQCOM\0"
   "glExtGetShadersQCOM\0"
   "glExtGetTexLevelParameterivQCOM\0"
   "glExtGetTexSubImageQCOM\0"
   "glExtGetTexturesQCOM\0"
   "glExtIsProgramBinaryQCOM\0"
   "glExtTexObjectStateOverrideiQCOM\0"
   "glExtractComponentEXT\0"
   "glFeedbackBuffer\0"
   "glFeedbackBufferxOES\0"
   "glFenceSync\0"
   "glFenceSyncAPPLE\0"
   "glFinalCombinerInputNV\0"
   "glFinish\0"
   "glFinishAsyncSGIX\0"
   "glFinishFenceAPPLE\0"
   "glFinishFenceNV\0"
   "glFinishObjectAPPLE\0"
   "glFinishTextureSUNX\0"
   "glFlush\0"
   "glFlushMappedBufferRange\0"
   "glFlushMappedBufferRangeAPPLE\0"
   "glFlushMappedBufferRangeEXT\0"
   "glFlushMappedNamedBufferRangeEXT\0"
   "glFlushPixelDataRangeNV\0"
   "glFlushRasterSGIX\0"
   "glFlushStaticDataIBM\0"
   "glFlushVertexArrayRangeAPPLE\0"
   "glFlushVertexArrayRangeNV\0"
   "glFogCoordFormatNV\0"
   "glFogCoordPointer\0"
   "glFogCoordPointerEXT\0"
   "glFogCoordPointerListIBM\0"
   "glFogCoordd\0"
   "glFogCoorddEXT\0"
   "glFogCoorddv\0"
   "glFogCoorddvEXT\0"
   "glFogCoordf\0"
   "glFogCoordfEXT\0"
   "glFogCoordfv\0"
   "glFogCoordfvEXT\0"
   "glFogCoordhNV\0"
   "glFogCoordhvNV\0"
   "glFogFuncSGIS\0"
   "glFogf\0"
   "glFogfv\0"
   "glFogi\0"
   "glFogiv\0"
   "glFogx\0"
   "glFogxOES\0"
   "glFogxv\0"
   "glFogxvOES\0"
   "glFragmentColorMaterialSGIX\0"
   "glFragmentLightModelfSGIX\0"
   "glFragmentLightModelfvSGIX\0"
   "glFragmentLightModeliSGIX\0"
   "glFragmentLightModelivSGIX\0"
   "glFragmentLightfSGIX\0"
   "glFragmentLightfvSGIX\0"
   "glFragmentLightiSGIX\0"
   "glFragmentLightivSGIX\0"
   "glFragmentMaterialfSGIX\0"
   "glFragmentMaterialfvSGIX\0"
   "glFragmentMaterialiSGIX\0"
   "glFragmentMaterialivSGIX\0"
   "glFrameTerminatorGREMEDY\0"
   "glFrameZoomSGIX\0"
   "glFramebufferDrawBufferEXT\0"
   "glFramebufferDrawBuffersEXT\0"
   "glFramebufferParameteri\0"
   "glFramebufferReadBufferEXT\0"
   "glFramebufferRenderbuffer\0"
   "glFramebufferRenderbufferEXT\0"
   "glFramebufferRenderbufferOES\0"
   "glFramebufferTexture\0"
   "glFramebufferTexture1D\0"
   "glFramebufferTexture1DEXT\0"
   "glFramebufferTexture2D\0"
   "glFramebufferTexture2DEXT\0"
   "glFramebufferTexture2DMultisampleEXT\0"
   "glFramebufferTexture2DMultisampleIMG\0"
   "glFramebufferTexture2DOES\0"
   "glFramebufferTexture3D\0"
   "glFramebufferTexture3DEXT\0"
   "glFramebufferTexture3DOES\0"
   "glFramebufferTextureARB\0"
   "glFramebufferTextureEXT\0"
   "glFramebufferTextureFaceARB\0"
   "glFramebufferTextureFaceEXT\0"
   "glFramebufferTextureLayer\0"
   "glFramebufferTextureLayerARB\0"
   "glFramebufferTextureLayerEXT\0"
   "glFreeObjectBufferATI\0"
   "glFrontFace\0"
   "glFrustum\0"
   "glFrustumf\0"
   "glFrustumfOES\0"
   "glFrustumx\0"
   "glFrustumxOES\0"
   "glGenAsyncMarkersSGIX\0"
   "glGenBuffers\0"
   "glGenBuffersARB\0"
   "glGenFencesAPPLE\0"
   "glGenFencesNV\0"
   "glGenFragmentShadersATI\0"
   "glGenFramebuffers\0"
   "glGenFramebuffersEXT\0"
   "glGenFramebuffersOES\0"
   "glGenLists\0"
   "glGenNamesAMD\0"
   "glGenOcclusionQueriesNV\0"
   "glGenPathsNV\0"
   "glGenPerfMonitorsAMD\0"
   "glGenProgramPipelines\0"
   "glGenProgramPipelinesEXT\0"
   "glGenProgramsARB\0"
   "glGenProgramsNV\0"
   "glGenQueries\0"
   "glGenQueriesARB\0"
   "glGenQueriesEXT\0"
   "glGenRenderbuffers\0"
   "glGenRenderbuffersEXT\0"
   "glGenRenderbuffersOES\0"
   "glGenSamplers\0"
   "glGenSymbolsEXT\0"
   "glGenTextures\0"
   "glGenTexturesEXT\0"
   "glGenTransformFeedbacks\0"
   "glGenTransformFeedbacksNV\0"
   "glGenVertexArrays\0"
   "glGenVertexArraysAPPLE\0"
   "glGenVertexArraysOES\0"
   "glGenVertexShadersEXT\0"
   "glGenerateMipmap\0"
   "glGenerateMipmapEXT\0"
   "glGenerateMipmapOES\0"
   "glGenerateMultiTexMipmapEXT\0"
   "glGenerateTextureMipmapEXT\0"
   "glGetActiveAtomicCounterBufferiv\0"
   "glGetActiveAttrib\0"
   "glGetActiveAttribARB\0"
   "glGetActiveSubroutineName\0"
   "glGetActiveSubroutineUniformName\0"
   "glGetActiveSubroutineUniformiv\0"
   "glGetActiveUniform\0"
   "glGetActiveUniformARB\0"
   "glGetActiveUniformBlockName\0"
   "glGetActiveUniformBlockiv\0"
   "glGetActiveUniformName\0"
   "glGetActiveUniformsiv\0"
   "glGetActiveVaryingNV\0"
   "glGetArrayObjectfvATI\0"
   "glGetArrayObjectivATI\0"
   "glGetAttachedObjectsARB\0"
   "glGetAttachedShaders\0"
   "glGetAttribLocation\0"
   "glGetAttribLocationARB\0"
   "glGetBooleanIndexedvEXT\0"
   "glGetBooleani_v\0"
   "glGetBooleanv\0"
   "glGetBufferParameteri64v\0"
   "glGetBufferParameteriv\0"
   "glGetBufferParameterivARB\0"
   "glGetBufferParameterui64vNV\0"
   "glGetBufferPointerv\0"
   "glGetBufferPointervARB\0"
   "glGetBufferPointervOES\0"
   "glGetBufferSubData\0"
   "glGetBufferSubDataARB\0"
   "glGetClipPlane\0"
   "glGetClipPlanef\0"
   "glGetClipPlanefOES\0"
   "glGetClipPlanex\0"
   "glGetClipPlanexOES\0"
   "glGetColorTable\0"
   "glGetColorTableEXT\0"
   "glGetColorTableParameterfv\0"
   "glGetColorTableParameterfvEXT\0"
   "glGetColorTableParameterfvSGI\0"
   "glGetColorTableParameteriv\0"
   "glGetColorTableParameterivEXT\0"
   "glGetColorTableParameterivSGI\0"
   "glGetColorTableSGI\0"
   "glGetCombinerInputParameterfvNV\0"
   "glGetCombinerInputParameterivNV\0"
   "glGetCombinerOutputParameterfvNV\0"
   "glGetCombinerOutputParameterivNV\0"
   "glGetCombinerStageParameterfvNV\0"
   "glGetCompressedMultiTexImageEXT\0"
   "glGetCompressedTexImage\0"
   "glGetCompressedTexImageARB\0"
   "glGetCompressedTextureImageEXT\0"
   "glGetConvolutionFilter\0"
   "glGetConvolutionFilterEXT\0"
   "glGetConvolutionParameterfv\0"
   "glGetConvolutionParameterfvEXT\0"
   "glGetConvolutionParameteriv\0"
   "glGetConvolutionParameterivEXT\0"
   "glGetConvolutionParameterxvOES\0"
   "glGetDebugMessageLog\0"
   "glGetDebugMessageLogAMD\0"
   "glGetDebugMessageLogARB\0"
   "glGetDebugMessageLogKHR\0"
   "glGetDetailTexFuncSGIS\0"
   "glGetDoubleIndexedvEXT\0"
   "glGetDoublei_v\0"
   "glGetDoublei_vEXT\0"
   "glGetDoublev\0"
   "glGetDriverControlStringQCOM\0"
   "glGetDriverControlsQCOM\0"
   "glGetError\0"
   "glGetFenceivNV\0"
   "glGetFinalCombinerInputParameterfvNV\0"
   "glGetFinalCombinerInputParameterivNV\0"
   "glGetFirstPerfQueryIdINTEL\0"
   "glGetFixedv\0"
   "glGetFixedvOES\0"
   "glGetFloatIndexedvEXT\0"
   "glGetFloati_v\0"
   "glGetFloati_vEXT\0"
   "glGetFloatv\0"
   "glGetFogFuncSGIS\0"
   "glGetFragDataIndex\0"
   "glGetFragDataLocation\0"
   "glGetFragDataLocationEXT\0"
   "glGetFragmentLightfvSGIX\0"
   "glGetFragmentLightivSGIX\0"
   "glGetFragmentMaterialfvSGIX\0"
   "glGetFragmentMaterialivSGIX\0"
   "glGetFramebufferAttachmentParameteriv\0"
   "glGetFramebufferAttachmentParameterivEXT\0"
   "glGetFramebufferAttachmentParameterivOES\0"
   "glGetFramebufferParameteriv\0"
   "glGetFramebufferParameterivEXT\0"
   "glGetGraphicsResetStatusARB\0"
   "glGetGraphicsResetStatusEXT\0"
   "glGetHandleARB\0"
   "glGetHistogram\0"
   "glGetHistogramEXT\0"
   "glGetHistogramParameterfv\0"
   "glGetHistogramParameterfvEXT\0"
   "glGetHistogramParameteriv\0"
   "glGetHistogramParameterivEXT\0"
   "glGetHistogramParameterxvOES\0"
   "glGetImageHandleARB\0"
   "glGetImageHandleNV\0"
   "glGetImageTransformParameterfvHP\0"
   "glGetImageTransformParameterivHP\0"
   "glGetInfoLogARB\0"
   "glGetInstrumentsSGIX\0"
   "glGetInteger64i_v\0"
   "glGetInteger64v\0"
   "glGetInteger64vAPPLE\0"
   "glGetIntegerIndexedvEXT\0"
   "glGetIntegeri_v\0"
   "glGetIntegeri_vEXT\0"
   "glGetIntegerui64i_vNV\0"
   "glGetIntegerui64vNV\0"
   "glGetIntegerv\0"
   "glGetInternalformati64v\0"
   "glGetInternalformativ\0"
   "glGetInvariantBooleanvEXT\0"
   "glGetInvariantFloatvEXT\0"
   "glGetInvariantIntegervEXT\0"
   "glGetLightfv\0"
   "glGetLightiv\0"
   "glGetLightxOES\0"
   "glGetLightxv\0"
   "glGetLightxvOES\0"
   "glGetListParameterfvSGIX\0"
   "glGetListParameterivSGIX\0"
   "glGetLocalConstantBooleanvEXT\0"
   "glGetLocalConstantFloatvEXT\0"
   "glGetLocalConstantIntegervEXT\0"
   "glGetMapAttribParameterfvNV\0"
   "glGetMapAttribParameterivNV\0"
   "glGetMapControlPointsNV\0"
   "glGetMapParameterfvNV\0"
   "glGetMapParameterivNV\0"
   "glGetMapdv\0"
   "glGetMapfv\0"
   "glGetMapiv\0"
   "glGetMapxvOES\0"
   "glGetMaterialfv\0"
   "glGetMaterialiv\0"
   "glGetMaterialxOES\0"
   "glGetMaterialxv\0"
   "glGetMaterialxvOES\0"
   "glGetMinmax\0"
   "glGetMinmaxEXT\0"
   "glGetMinmaxParameterfv\0"
   "glGetMinmaxParameterfvEXT\0"
   "glGetMinmaxParameteriv\0"
   "glGetMinmaxParameterivEXT\0"
   "glGetMultiTexEnvfvEXT\0"
   "glGetMultiTexEnvivEXT\0"
   "glGetMultiTexGendvEXT\0"
   "glGetMultiTexGenfvEXT\0"
   "glGetMultiTexGenivEXT\0"
   "glGetMultiTexImageEXT\0"
   "glGetMultiTexLevelParameterfvEXT\0"
   "glGetMultiTexLevelParameterivEXT\0"
   "glGetMultiTexParameterIivEXT\0"
   "glGetMultiTexParameterIuivEXT\0"
   "glGetMultiTexParameterfvEXT\0"
   "glGetMultiTexParameterivEXT\0"
   "glGetMultisamplefv\0"
   "glGetMultisamplefvNV\0"
   "glGetNamedBufferParameterivEXT\0"
   "glGetNamedBufferParameterui64vNV\0"
   "glGetNamedBufferPointervEXT\0"
   "glGetNamedBufferSubDataEXT\0"
   "glGetNamedFramebufferAttachmentParameterivEXT\0"
   "glGetNamedFramebufferParameterivEXT\0"
   "glGetNamedProgramLocalParameterIivEXT\0"
   "glGetNamedProgramLocalParameterIuivEXT\0"
   "glGetNamedProgramLocalParameterdvEXT\0"
   "glGetNamedProgramLocalParameterfvEXT\0"
   "glGetNamedProgramStringEXT\0"
   "glGetNamedProgramivEXT\0"
   "glGetNamedRenderbufferParameterivEXT\0"
   "glGetNamedStringARB\0"
   "glGetNamedStringivARB\0"
   "glGetNextPerfQueryIdINTEL\0"
   "glGetObjectBufferfvATI\0"
   "glGetObjectBufferivATI\0"
   "glGetObjectLabel\0"
   "glGetObjectLabelEXT\0"
   "glGetObjectLabelKHR\0"
   "glGetObjectParameterfvARB\0"
   "glGetObjectParameterivAPPLE\0"
   "glGetObjectParameterivARB\0"
   "glGetObjectPtrLabel\0"
   "glGetObjectPtrLabelKHR\0"
   "glGetOcclusionQueryivNV\0"
   "glGetOcclusionQueryuivNV\0"
   "glGetPathColorGenfvNV\0"
   "glGetPathColorGenivNV\0"
   "glGetPathCommandsNV\0"
   "glGetPathCoordsNV\0"
   "glGetPathDashArrayNV\0"
   "glGetPathLengthNV\0"
   "glGetPathMetricRangeNV\0"
   "glGetPathMetricsNV\0"
   "glGetPathParameterfvNV\0"
   "glGetPathParameterivNV\0"
   "glGetPathSpacingNV\0"
   "glGetPathTexGenfvNV\0"
   "glGetPathTexGenivNV\0"
   "glGetPerfCounterInfoINTEL\0"
   "glGetPerfMonitorCounterDataAMD\0"
   "glGetPerfMonitorCounterInfoAMD\0"
   "glGetPerfMonitorCounterStringAMD\0"
   "glGetPerfMonitorCountersAMD\0"
   "glGetPerfMonitorGroupStringAMD\0"
   "glGetPerfMonitorGroupsAMD\0"
   "glGetPerfQueryDataINTEL\0"
   "glGetPerfQueryIdByNameINTEL\0"
   "glGetPerfQueryInfoINTEL\0"
   "glGetPixelMapfv\0"
   "glGetPixelMapuiv\0"
   "glGetPixelMapusv\0"
   "glGetPixelMapxv\0"
   "glGetPixelTexGenParameterfvSGIS\0"
   "glGetPixelTexGenParameterivSGIS\0"
   "glGetPixelTransformParameterfvEXT\0"
   "glGetPixelTransformParameterivEXT\0"
   "glGetPointerIndexedvEXT\0"
   "glGetPointeri_vEXT\0"
   "glGetPointerv\0"
   "glGetPointervEXT\0"
   "glGetPointervKHR\0"
   "glGetPolygonStipple\0"
   "glGetProgramBinary\0"
   "glGetProgramBinaryOES\0"
   "glGetProgramEnvParameterIivNV\0"
   "glGetProgramEnvParameterIuivNV\0"
   "glGetProgramEnvParameterdvARB\0"
   "glGetProgramEnvParameterfvARB\0"
   "glGetProgramInfoLog\0"
   "glGetProgramInterfaceiv\0"
   "glGetProgramLocalParameterIivNV\0"
   "glGetProgramLocalParameterIuivNV\0"
   "glGetProgramLocalParameterdvARB\0"
   "glGetProgramLocalParameterfvARB\0"
   "glGetProgramNamedParameterdvNV\0"
   "glGetProgramNamedParameterfvNV\0"
   "glGetProgramParameterdvNV\0"
   "glGetProgramParameterfvNV\0"
   "glGetProgramPipelineInfoLog\0"
   "glGetProgramPipelineInfoLogEXT\0"
   "glGetProgramPipelineiv\0"
   "glGetProgramPipelineivEXT\0"
   "glGetProgramResourceIndex\0"
   "glGetProgramResourceLocation\0"
   "glGetProgramResourceLocationIndex\0"
   "glGetProgramResourceName\0"
   "glGetProgramResourceiv\0"
   "glGetProgramStageiv\0"
   "glGetProgramStringARB\0"
   "glGetProgramStringNV\0"
   "glGetProgramSubroutineParameteruivNV\0"
   "glGetProgramiv\0"
   "glGetProgramivARB\0"
   "glGetProgramivNV\0"
   "glGetQueryIndexediv\0"
   "glGetQueryObjecti64v\0"
   "glGetQueryObjecti64vEXT\0"
   "glGetQueryObjectiv\0"
   "glGetQueryObjectivARB\0"
   "glGetQueryObjectivEXT\0"
   "glGetQueryObjectui64v\0"
   "glGetQueryObjectui64vEXT\0"
   "glGetQueryObjectuiv\0"
   "glGetQueryObjectuivARB\0"
   "glGetQueryObjectuivEXT\0"
   "glGetQueryiv\0"
   "glGetQueryivARB\0"
   "glGetQueryivEXT\0"
   "glGetRenderbufferParameteriv\0"
   "glGetRenderbufferParameterivEXT\0"
   "glGetRenderbufferParameterivOES\0"
   "glGetSamplerParameterIiv\0"
   "glGetSamplerParameterIuiv\0"
   "glGetSamplerParameterfv\0"
   "glGetSamplerParameteriv\0"
   "glGetSeparableFilter\0"
   "glGetSeparableFilterEXT\0"
   "glGetShaderInfoLog\0"
   "glGetShaderPrecisionFormat\0"
   "glGetShaderSource\0"
   "glGetShaderSourceARB\0"
   "glGetShaderiv\0"
   "glGetSharpenTexFuncSGIS\0"
   "glGetString\0"
   "glGetStringi\0"
   "glGetSubroutineIndex\0"
   "glGetSubroutineUniformLocation\0"
   "glGetSynciv\0"
   "glGetSyncivAPPLE\0"
   "glGetTexBumpParameterfvATI\0"
   "glGetTexBumpParameterivATI\0"
   "glGetTexEnvfv\0"
   "glGetTexEnviv\0"
   "glGetTexEnvxv\0"
   "glGetTexEnvxvOES\0"
   "glGetTexFilterFuncSGIS\0"
   "glGetTexGendv\0"
   "glGetTexGenfv\0"
   "glGetTexGenfvOES\0"
   "glGetTexGeniv\0"
   "glGetTexGenivOES\0"
   "glGetTexGenxvOES\0"
   "glGetTexImage\0"
   "glGetTexLevelParameterfv\0"
   "glGetTexLevelParameteriv\0"
   "glGetTexLevelParameterxvOES\0"
   "glGetTexParameterIiv\0"
   "glGetTexParameterIivEXT\0"
   "glGetTexParameterIuiv\0"
   "glGetTexParameterIuivEXT\0"
   "glGetTexParameterPointervAPPLE\0"
   "glGetTexParameterfv\0"
   "glGetTexParameteriv\0"
   "glGetTexParameterxv\0"
   "glGetTexParameterxvOES\0"
   "glGetTextureHandleARB\0"
   "glGetTextureHandleNV\0"
   "glGetTextureImageEXT\0"
   "glGetTextureLevelParameterfvEXT\0"
   "glGetTextureLevelParameterivEXT\0"
   "glGetTextureParameterIivEXT\0"
   "glGetTextureParameterIuivEXT\0"
   "glGetTextureParameterfvEXT\0"
   "glGetTextureParameterivEXT\0"
   "glGetTextureSamplerHandleARB\0"
   "glGetTextureSamplerHandleNV\0"
   "glGetTrackMatrixivNV\0"
   "glGetTransformFeedbackVarying\0"
   "glGetTransformFeedbackVaryingEXT\0"
   "glGetTransformFeedbackVaryingNV\0"
   "glGetTranslatedShaderSourceANGLE\0"
   "glGetUniformBlockIndex\0"
   "glGetUniformBufferSizeEXT\0"
   "glGetUniformIndices\0"
   "glGetUniformLocation\0"
   "glGetUniformLocationARB\0"
   "glGetUniformOffsetEXT\0"
   "glGetUniformSubroutineuiv\0"
   "glGetUniformdv\0"
   "glGetUniformfv\0"
   "glGetUniformfvARB\0"
   "glGetUniformi64vNV\0"
   "glGetUniformiv\0"
   "glGetUniformivARB\0"
   "glGetUniformui64vNV\0"
   "glGetUniformuiv\0"
   "glGetUniformuivEXT\0"
   "glGetVariantArrayObjectfvATI\0"
   "glGetVariantArrayObjectivATI\0"
   "glGetVariantBooleanvEXT\0"
   "glGetVariantFloatvEXT\0"
   "glGetVariantIntegervEXT\0"
   "glGetVariantPointervEXT\0"
   "glGetVaryingLocationNV\0"
   "glGetVertexArrayIntegeri_vEXT\0"
   "glGetVertexArrayIntegervEXT\0"
   "glGetVertexArrayPointeri_vEXT\0"
   "glGetVertexArrayPointervEXT\0"
   "glGetVertexAttribArrayObjectfvATI\0"
   "glGetVertexAttribArrayObjectivATI\0"
   "glGetVertexAttribIiv\0"
   "glGetVertexAttribIivEXT\0"
   "glGetVertexAttribIuiv\0"
   "glGetVertexAttribIuivEXT\0"
   "glGetVertexAttribLdv\0"
   "glGetVertexAttribLdvEXT\0"
   "glGetVertexAttribLi64vNV\0"
   "glGetVertexAttribLui64vARB\0"
   "glGetVertexAttribLui64vNV\0"
   "glGetVertexAttribPointerv\0"
   "glGetVertexAttribPointervARB\0"
   "glGetVertexAttribPointervNV\0"
   "glGetVertexAttribdv\0"
   "glGetVertexAttribdvARB\0"
   "glGetVertexAttribdvNV\0"
   "glGetVertexAttribfv\0"
   "glGetVertexAttribfvARB\0"
   "glGetVertexAttribfvNV\0"
   "glGetVertexAttribiv\0"
   "glGetVertexAttribivARB\0"
   "glGetVertexAttribivNV\0"
   "glGetVideoCaptureStreamdvNV\0"
   "glGetVideoCaptureStreamfvNV\0"
   "glGetVideoCaptureStreamivNV\0"
   "glGetVideoCaptureivNV\0"
   "glGetVideoi64vNV\0"
   "glGetVideoivNV\0"
   "glGetVideoui64vNV\0"
   "glGetVideouivNV\0"
   "glGetnColorTableARB\0"
   "glGetnCompressedTexImageARB\0"
   "glGetnConvolutionFilterARB\0"
   "glGetnHistogramARB\0"
   "glGetnMapdvARB\0"
   "glGetnMapfvARB\0"
   "glGetnMapivARB\0"
   "glGetnMinmaxARB\0"
   "glGetnPixelMapfvARB\0"
   "glGetnPixelMapuivARB\0"
   "glGetnPixelMapusvARB\0"
   "glGetnPolygonStippleARB\0"
   "glGetnSeparableFilterARB\0"
   "glGetnTexImageARB\0"
   "glGetnUniformdvARB\0"
   "glGetnUniformfvARB\0"
   "glGetnUniformfvEXT\0"
   "glGetnUniformivARB\0"
   "glGetnUniformivEXT\0"
   "glGetnUniformuivARB\0"
   "glGlobalAlphaFactorbSUN\0"
   "glGlobalAlphaFactordSUN\0"
   "glGlobalAlphaFactorfSUN\0"
   "glGlobalAlphaFactoriSUN\0"
   "glGlobalAlphaFactorsSUN\0"
   "glGlobalAlphaFactorubSUN\0"
   "glGlobalAlphaFactoruiSUN\0"
   "glGlobalAlphaFactorusSUN\0"
   "glHint\0"
   "glHintPGI\0"
   "glHistogram\0"
   "glHistogramEXT\0"
   "glIglooInterfaceSGIX\0"
   "glImageTransformParameterfHP\0"
   "glImageTransformParameterfvHP\0"
   "glImageTransformParameteriHP\0"
   "glImageTransformParameterivHP\0"
   "glImportSyncEXT\0"
   "glIndexFormatNV\0"
   "glIndexFuncEXT\0"
   "glIndexMask\0"
   "glIndexMaterialEXT\0"
   "glIndexPointer\0"
   "glIndexPointerEXT\0"
   "glIndexPointerListIBM\0"
   "glIndexd\0"
   "glIndexdv\0"
   "glIndexf\0"
   "glIndexfv\0"
   "glIndexi\0"
   "glIndexiv\0"
   "glIndexs\0"
   "glIndexsv\0"
   "glIndexub\0"
   "glIndexubv\0"
   "glIndexxOES\0"
   "glIndexxvOES\0"
   "glInitNames\0"
   "glInsertComponentEXT\0"
   "glInsertEventMarkerEXT\0"
   "glInstrumentsBufferSGIX\0"
   "glInterleavedArrays\0"
   "glInterpolatePathsNV\0"
   "glInvalidateBufferData\0"
   "glInvalidateBufferSubData\0"
   "glInvalidateFramebuffer\0"
   "glInvalidateSubFramebuffer\0"
   "glInvalidateTexImage\0"
   "glInvalidateTexSubImage\0"
   "glIsAsyncMarkerSGIX\0"
   "glIsBuffer\0"
   "glIsBufferARB\0"
   "glIsBufferResidentNV\0"
   "glIsEnabled\0"
   "glIsEnabledIndexedEXT\0"
   "glIsEnabledi\0"
   "glIsFenceAPPLE\0"
   "glIsFenceNV\0"
   "glIsFramebuffer\0"
   "glIsFramebufferEXT\0"
   "glIsFramebufferOES\0"
   "glIsImageHandleResidentARB\0"
   "glIsImageHandleResidentNV\0"
   "glIsList\0"
   "glIsNameAMD\0"
   "glIsNamedBufferResidentNV\0"
   "glIsNamedStringARB\0"
   "glIsObjectBufferATI\0"
   "glIsOcclusionQueryNV\0"
   "glIsPathNV\0"
   "glIsPointInFillPathNV\0"
   "glIsPointInStrokePathNV\0"
   "glIsProgram\0"
   "glIsProgramARB\0"
   "glIsProgramNV\0"
   "glIsProgramPipeline\0"
   "glIsProgramPipelineEXT\0"
   "glIsQuery\0"
   "glIsQueryARB\0"
   "glIsQueryEXT\0"
   "glIsRenderbuffer\0"
   "glIsRenderbufferEXT\0"
   "glIsRenderbufferOES\0"
   "glIsSampler\0"
   "glIsShader\0"
   "glIsSync\0"
   "glIsSyncAPPLE\0"
   "glIsTexture\0"
   "glIsTextureEXT\0"
   "glIsTextureHandleResidentARB\0"
   "glIsTextureHandleResidentNV\0"
   "glIsTransformFeedback\0"
   "glIsTransformFeedbackNV\0"
   "glIsVariantEnabledEXT\0"
   "glIsVertexArray\0"
   "glIsVertexArrayAPPLE\0"
   "glIsVertexArrayOES\0"
   "glIsVertexAttribEnabledAPPLE\0"
   "glLabelObjectEXT\0"
   "glLightEnviSGIX\0"
   "glLightModelf\0"
   "glLightModelfv\0"
   "glLightModeli\0"
   "glLightModeliv\0"
   "glLightModelx\0"
   "glLightModelxOES\0"
   "glLightModelxv\0"
   "glLightModelxvOES\0"
   "glLightf\0"
   "glLightfv\0"
   "glLighti\0"
   "glLightiv\0"
   "glLightx\0"
   "glLightxOES\0"
   "glLightxv\0"
   "glLightxvOES\0"
   "glLineStipple\0"
   "glLineWidth\0"
   "glLineWidthx\0"
   "glLineWidthxOES\0"
   "glLinkProgram\0"
   "glLinkProgramARB\0"
   "glListBase\0"
   "glListParameterfSGIX\0"
   "glListParameterfvSGIX\0"
   "glListParameteriSGIX\0"
   "glListParameterivSGIX\0"
   "glLoadIdentity\0"
   "glLoadIdentityDeformationMapSGIX\0"
   "glLoadMatrixd\0"
   "glLoadMatrixf\0"
   "glLoadMatrixx\0"
   "glLoadMatrixxOES\0"
   "glLoadName\0"
   "glLoadPaletteFromModelViewMatrixOES\0"
   "glLoadProgramNV\0"
   "glLoadTransposeMatrixd\0"
   "glLoadTransposeMatrixdARB\0"
   "glLoadTransposeMatrixf\0"
   "glLoadTransposeMatrixfARB\0"
   "glLoadTransposeMatrixxOES\0"
   "glLockArraysEXT\0"
   "glLogicOp\0"
   "glMakeBufferNonResidentNV\0"
   "glMakeBufferResidentNV\0"
   "glMakeImageHandleNonResidentARB\0"
   "glMakeImageHandleNonResidentNV\0"
   "glMakeImageHandleResidentARB\0"
   "glMakeImageHandleResidentNV\0"
   "glMakeNamedBufferNonResidentNV\0"
   "glMakeNamedBufferResidentNV\0"
   "glMakeTextureHandleNonResidentARB\0"
   "glMakeTextureHandleNonResidentNV\0"
   "glMakeTextureHandleResidentARB\0"
   "glMakeTextureHandleResidentNV\0"
   "glMap1d\0"
   "glMap1f\0"
   "glMap1xOES\0"
   "glMap2d\0"
   "glMap2f\0"
   "glMap2xOES\0"
   "glMapBuffer\0"
   "glMapBufferARB\0"
   "glMapBufferOES\0"
   "glMapBufferRange\0"
   "glMapBufferRangeEXT\0"
   "glMapControlPointsNV\0"
   "glMapGrid1d\0"
   "glMapGrid1f\0"
   "glMapGrid1xOES\0"
   "glMapGrid2d\0"
   "glMapGrid2f\0"
   "glMapGrid2xOES\0"
   "glMapNamedBufferEXT\0"
   "glMapNamedBufferRangeEXT\0"
   "glMapObjectBufferATI\0"
   "glMapParameterfvNV\0"
   "glMapParameterivNV\0"
   "glMapTexture2DINTEL\0"
   "glMapVertexAttrib1dAPPLE\0"
   "glMapVertexAttrib1fAPPLE\0"
   "glMapVertexAttrib2dAPPLE\0"
   "glMapVertexAttrib2fAPPLE\0"
   "glMaterialf\0"
   "glMaterialfv\0"
   "glMateriali\0"
   "glMaterialiv\0"
   "glMaterialx\0"
   "glMaterialxOES\0"
   "glMaterialxv\0"
   "glMaterialxvOES\0"
   "glMatrixFrustumEXT\0"
   "glMatrixIndexPointerARB\0"
   "glMatrixIndexPointerOES\0"
   "glMatrixIndexubvARB\0"
   "glMatrixIndexuivARB\0"
   "glMatrixIndexusvARB\0"
   "glMatrixLoadIdentityEXT\0"
   "glMatrixLoadTransposedEXT\0"
   "glMatrixLoadTransposefEXT\0"
   "glMatrixLoaddEXT\0"
   "glMatrixLoadfEXT\0"
   "glMatrixMode\0"
   "glMatrixMultTransposedEXT\0"
   "glMatrixMultTransposefEXT\0"
   "glMatrixMultdEXT\0"
   "glMatrixMultfEXT\0"
   "glMatrixOrthoEXT\0"
   "glMatrixPopEXT\0"
   "glMatrixPushEXT\0"
   "glMatrixRotatedEXT\0"
   "glMatrixRotatefEXT\0"
   "glMatrixScaledEXT\0"
   "glMatrixScalefEXT\0"
   "glMatrixTranslatedEXT\0"
   "glMatrixTranslatefEXT\0"
   "glMemoryBarrier\0"
   "glMemoryBarrierEXT\0"
   "glMinSampleShading\0"
   "glMinSampleShadingARB\0"
   "glMinmax\0"
   "glMinmaxEXT\0"
   "glMultMatrixd\0"
   "glMultMatrixf\0"
   "glMultMatrixx\0"
   "glMultMatrixxOES\0"
   "glMultTransposeMatrixd\0"
   "glMultTransposeMatrixdARB\0"
   "glMultTransposeMatrixf\0"
   "glMultTransposeMatrixfARB\0"
   "glMultTransposeMatrixxOES\0"
   "glMultiDrawArrays\0"
   "glMultiDrawArraysEXT\0"
   "glMultiDrawArraysIndirect\0"
   "glMultiDrawArraysIndirectAMD\0"
   "glMultiDrawArraysIndirectBindlessNV\0"
   "glMultiDrawArraysIndirectCountARB\0"
   "glMultiDrawElementArrayAPPLE\0"
   "glMultiDrawElements\0"
   "glMultiDrawElementsBaseVertex\0"
   "glMultiDrawElementsEXT\0"
   "glMultiDrawElementsIndirect\0"
   "glMultiDrawElementsIndirectAMD\0"
   "glMultiDrawElementsIndirectBindlessNV\0"
   "glMultiDrawElementsIndirectCountARB\0"
   "glMultiDrawRangeElementArrayAPPLE\0"
   "glMultiModeDrawArraysIBM\0"
   "glMultiModeDrawElementsIBM\0"
   "glMultiTexBufferEXT\0"
   "glMultiTexCoord1bOES\0"
   "glMultiTexCoord1bvOES\0"
   "glMultiTexCoord1d\0"
   "glMultiTexCoord1dARB\0"
   "glMultiTexCoord1dv\0"
   "glMultiTexCoord1dvARB\0"
   "glMultiTexCoord1f\0"
   "glMultiTexCoord1fARB\0"
   "glMultiTexCoord1fv\0"
   "glMultiTexCoord1fvARB\0"
   "glMultiTexCoord1hNV\0"
   "glMultiTexCoord1hvNV\0"
   "glMultiTexCoord1i\0"
   "glMultiTexCoord1iARB\0"
   "glMultiTexCoord1iv\0"
   "glMultiTexCoord1ivARB\0"
   "glMultiTexCoord1s\0"
   "glMultiTexCoord1sARB\0"
   "glMultiTexCoord1sv\0"
   "glMultiTexCoord1svARB\0"
   "glMultiTexCoord1xOES\0"
   "glMultiTexCoord1xvOES\0"
   "glMultiTexCoord2bOES\0"
   "glMultiTexCoord2bvOES\0"
   "glMultiTexCoord2d\0"
   "glMultiTexCoord2dARB\0"
   "glMultiTexCoord2dv\0"
   "glMultiTexCoord2dvARB\0"
   "glMultiTexCoord2f\0"
   "glMultiTexCoord2fARB\0"
   "glMultiTexCoord2fv\0"
   "glMultiTexCoord2fvARB\0"
   "glMultiTexCoord2hNV\0"
   "glMultiTexCoord2hvNV\0"
   "glMultiTexCoord2i\0"
   "glMultiTexCoord2iARB\0"
   "glMultiTexCoord2iv\0"
   "glMultiTexCoord2ivARB\0"
   "glMultiTexCoord2s\0"
   "glMultiTexCoord2sARB\0"
   "glMultiTexCoord2sv\0"
   "glMultiTexCoord2svARB\0"
   "glMultiTexCoord2xOES\0"
   "glMultiTexCoord2xvOES\0"
   "glMultiTexCoord3bOES\0"
   "glMultiTexCoord3bvOES\0"
   "glMultiTexCoord3d\0"
   "glMultiTexCoord3dARB\0"
   "glMultiTexCoord3dv\0"
   "glMultiTexCoord3dvARB\0"
   "glMultiTexCoord3f\0"
   "glMultiTexCoord3fARB\0"
   "glMultiTexCoord3fv\0"
   "glMultiTexCoord3fvARB\0"
   "glMultiTexCoord3hNV\0"
   "glMultiTexCoord3hvNV\0"
   "glMultiTexCoord3i\0"
   "glMultiTexCoord3iARB\0"
   "glMultiTexCoord3iv\0"
   "glMultiTexCoord3ivARB\0"
   "glMultiTexCoord3s\0"
   "glMultiTexCoord3sARB\0"
   "glMultiTexCoord3sv\0"
   "glMultiTexCoord3svARB\0"
   "glMultiTexCoord3xOES\0"
   "glMultiTexCoord3xvOES\0"
   "glMultiTexCoord4bOES\0"
   "glMultiTexCoord4bvOES\0"
   "glMultiTexCoord4d\0"
   "glMultiTexCoord4dARB\0"
   "glMultiTexCoord4dv\0"
   "glMultiTexCoord4dvARB\0"
   "glMultiTexCoord4f\0"
   "glMultiTexCoord4fARB\0"
   "glMultiTexCoord4fv\0"
   "glMultiTexCoord4fvARB\0"
   "glMultiTexCoord4hNV\0"
   "glMultiTexCoord4hvNV\0"
   "glMultiTexCoord4i\0"
   "glMultiTexCoord4iARB\0"
   "glMultiTexCoord4iv\0"
   "glMultiTexCoord4ivARB\0"
   "glMultiTexCoord4s\0"
   "glMultiTexCoord4sARB\0"
   "glMultiTexCoord4sv\0"
   "glMultiTexCoord4svARB\0"
   "glMultiTexCoord4x\0"
   "glMultiTexCoord4xOES\0"
   "glMultiTexCoord4xvOES\0"
   "glMultiTexCoordP1ui\0"
   "glMultiTexCoordP1uiv\0"
   "glMultiTexCoordP2ui\0"
   "glMultiTexCoordP2uiv\0"
   "glMultiTexCoordP3ui\0"
   "glMultiTexCoordP3uiv\0"
   "glMultiTexCoordP4ui\0"
   "glMultiTexCoordP4uiv\0"
   "glMultiTexCoordPointerEXT\0"
   "glMultiTexEnvfEXT\0"
   "glMultiTexEnvfvEXT\0"
   "glMultiTexEnviEXT\0"
   "glMultiTexEnvivEXT\0"
   "glMultiTexGendEXT\0"
   "glMultiTexGendvEXT\0"
   "glMultiTexGenfEXT\0"
   "glMultiTexGenfvEXT\0"
   "glMultiTexGeniEXT\0"
   "glMultiTexGenivEXT\0"
   "glMultiTexImage1DEXT\0"
   "glMultiTexImage2DEXT\0"
   "glMultiTexImage3DEXT\0"
   "glMultiTexParameterIivEXT\0"
   "glMultiTexParameterIuivEXT\0"
   "glMultiTexParameterfEXT\0"
   "glMultiTexParameterfvEXT\0"
   "glMultiTexParameteriEXT\0"
   "glMultiTexParameterivEXT\0"
   "glMultiTexRenderbufferEXT\0"
   "glMultiTexSubImage1DEXT\0"
   "glMultiTexSubImage2DEXT\0"
   "glMultiTexSubImage3DEXT\0"
   "glNamedBufferDataEXT\0"
   "glNamedBufferStorageEXT\0"
   "glNamedBufferSubDataEXT\0"
   "glNamedCopyBufferSubDataEXT\0"
   "glNamedFramebufferParameteriEXT\0"
   "glNamedFramebufferRenderbufferEXT\0"
   "glNamedFramebufferTexture1DEXT\0"
   "glNamedFramebufferTexture2DEXT\0"
   "glNamedFramebufferTexture3DEXT\0"
   "glNamedFramebufferTextureEXT\0"
   "glNamedFramebufferTextureFaceEXT\0"
   "glNamedFramebufferTextureLayerEXT\0"
   "glNamedProgramLocalParameter4dEXT\0"
   "glNamedProgramLocalParameter4dvEXT\0"
   "glNamedProgramLocalParameter4fEXT\0"
   "glNamedProgramLocalParameter4fvEXT\0"
   "glNamedProgramLocalParameterI4iEXT\0"
   "glNamedProgramLocalParameterI4ivEXT\0"
   "glNamedProgramLocalParameterI4uiEXT\0"
   "glNamedProgramLocalParameterI4uivEXT\0"
   "glNamedProgramLocalParameters4fvEXT\0"
   "glNamedProgramLocalParametersI4ivEXT\0"
   "glNamedProgramLocalParametersI4uivEXT\0"
   "glNamedProgramStringEXT\0"
   "glNamedRenderbufferStorageEXT\0"
   "glNamedRenderbufferStorageMultisampleCoverageEXT\0"
   "glNamedRenderbufferStorageMultisampleEXT\0"
   "glNamedStringARB\0"
   "glNewList\0"
   "glNewObjectBufferATI\0"
   "glNormal3b\0"
   "glNormal3bv\0"
   "glNormal3d\0"
   "glNormal3dv\0"
   "glNormal3f\0"
   "glNormal3fVertex3fSUN\0"
   "glNormal3fVertex3fvSUN\0"
   "glNormal3fv\0"
   "glNormal3hNV\0"
   "glNormal3hvNV\0"
   "glNormal3i\0"
   "glNormal3iv\0"
   "glNormal3s\0"
   "glNormal3sv\0"
   "glNormal3x\0"
   "glNormal3xOES\0"
   "glNormal3xvOES\0"
   "glNormalFormatNV\0"
   "glNormalP3ui\0"
   "glNormalP3uiv\0"
   "glNormalPointer\0"
   "glNormalPointerEXT\0"
   "glNormalPointerListIBM\0"
   "glNormalPointervINTEL\0"
   "glNormalStream3bATI\0"
   "glNormalStream3bvATI\0"
   "glNormalStream3dATI\0"
   "glNormalStream3dvATI\0"
   "glNormalStream3fATI\0"
   "glNormalStream3fvATI\0"
   "glNormalStream3iATI\0"
   "glNormalStream3ivATI\0"
   "glNormalStream3sATI\0"
   "glNormalStream3svATI\0"
   "glObjectLabel\0"
   "glObjectLabelKHR\0"
   "glObjectPtrLabel\0"
   "glObjectPtrLabelKHR\0"
   "glObjectPurgeableAPPLE\0"
   "glObjectUnpurgeableAPPLE\0"
   "glOrtho\0"
   "glOrthof\0"
   "glOrthofOES\0"
   "glOrthox\0"
   "glOrthoxOES\0"
   "glPNTrianglesfATI\0"
   "glPNTrianglesiATI\0"
   "glPassTexCoordATI\0"
   "glPassThrough\0"
   "glPassThroughxOES\0"
   "glPatchParameterfv\0"
   "glPatchParameteri\0"
   "glPathColorGenNV\0"
   "glPathCommandsNV\0"
   "glPathCoordsNV\0"
   "glPathCoverDepthFuncNV\0"
   "glPathDashArrayNV\0"
   "glPathFogGenNV\0"
   "glPathGlyphRangeNV\0"
   "glPathGlyphsNV\0"
   "glPathParameterfNV\0"
   "glPathParameterfvNV\0"
   "glPathParameteriNV\0"
   "glPathParameterivNV\0"
   "glPathStencilDepthOffsetNV\0"
   "glPathStencilFuncNV\0"
   "glPathStringNV\0"
   "glPathSubCommandsNV\0"
   "glPathSubCoordsNV\0"
   "glPathTexGenNV\0"
   "glPauseTransformFeedback\0"
   "glPauseTransformFeedbackNV\0"
   "glPixelDataRangeNV\0"
   "glPixelMapfv\0"
   "glPixelMapuiv\0"
   "glPixelMapusv\0"
   "glPixelMapx\0"
   "glPixelStoref\0"
   "glPixelStorei\0"
   "glPixelStorex\0"
   "glPixelTexGenParameterfSGIS\0"
   "glPixelTexGenParameterfvSGIS\0"
   "glPixelTexGenParameteriSGIS\0"
   "glPixelTexGenParameterivSGIS\0"
   "glPixelTexGenSGIX\0"
   "glPixelTransferf\0"
   "glPixelTransferi\0"
   "glPixelTransferxOES\0"
   "glPixelTransformParameterfEXT\0"
   "glPixelTransformParameterfvEXT\0"
   "glPixelTransformParameteriEXT\0"
   "glPixelTransformParameterivEXT\0"
   "glPixelZoom\0"
   "glPixelZoomxOES\0"
   "glPointAlongPathNV\0"
   "glPointParameterf\0"
   "glPointParameterfARB\0"
   "glPointParameterfEXT\0"
   "glPointParameterfSGIS\0"
   "glPointParameterfv\0"
   "glPointParameterfvARB\0"
   "glPointParameterfvEXT\0"
   "glPointParameterfvSGIS\0"
   "glPointParameteri\0"
   "glPointParameteriNV\0"
   "glPointParameteriv\0"
   "glPointParameterivNV\0"
   "glPointParameterx\0"
   "glPointParameterxOES\0"
   "glPointParameterxv\0"
   "glPointParameterxvOES\0"
   "glPointSize\0"
   "glPointSizePointerOES\0"
   "glPointSizex\0"
   "glPointSizexOES\0"
   "glPollAsyncSGIX\0"
   "glPollInstrumentsSGIX\0"
   "glPolygonMode\0"
   "glPolygonOffset\0"
   "glPolygonOffsetEXT\0"
   "glPolygonOffsetx\0"
   "glPolygonOffsetxOES\0"
   "glPolygonStipple\0"
   "glPopAttrib\0"
   "glPopClientAttrib\0"
   "glPopDebugGroup\0"
   "glPopDebugGroupKHR\0"
   "glPopGroupMarkerEXT\0"
   "glPopMatrix\0"
   "glPopName\0"
   "glPresentFrameDualFillNV\0"
   "glPresentFrameKeyedNV\0"
   "glPrimitiveRestartIndex\0"
   "glPrimitiveRestartIndexNV\0"
   "glPrimitiveRestartNV\0"
   "glPrioritizeTextures\0"
   "glPrioritizeTexturesEXT\0"
   "glPrioritizeTexturesxOES\0"
   "glProgramBinary\0"
   "glProgramBinaryOES\0"
   "glProgramBufferParametersIivNV\0"
   "glProgramBufferParametersIuivNV\0"
   "glProgramBufferParametersfvNV\0"
   "glProgramEnvParameter4dARB\0"
   "glProgramEnvParameter4dvARB\0"
   "glProgramEnvParameter4fARB\0"
   "glProgramEnvParameter4fvARB\0"
   "glProgramEnvParameterI4iNV\0"
   "glProgramEnvParameterI4ivNV\0"
   "glProgramEnvParameterI4uiNV\0"
   "glProgramEnvParameterI4uivNV\0"
   "glProgramEnvParameters4fvEXT\0"
   "glProgramEnvParametersI4ivNV\0"
   "glProgramEnvParametersI4uivNV\0"
   "glProgramLocalParameter4dARB\0"
   "glProgramLocalParameter4dvARB\0"
   "glProgramLocalParameter4fARB\0"
   "glProgramLocalParameter4fvARB\0"
   "glProgramLocalParameterI4iNV\0"
   "glProgramLocalParameterI4ivNV\0"
   "glProgramLocalParameterI4uiNV\0"
   "glProgramLocalParameterI4uivNV\0"
   "glProgramLocalParameters4fvEXT\0"
   "glProgramLocalParametersI4ivNV\0"
   "glProgramLocalParametersI4uivNV\0"
   "glProgramNamedParameter4dNV\0"
   "glProgramNamedParameter4dvNV\0"
   "glProgramNamedParameter4fNV\0"
   "glProgramNamedParameter4fvNV\0"
   "glProgramParameter4dNV\0"
   "glProgramParameter4dvNV\0"
   "glProgramParameter4fNV\0"
   "glProgramParameter4fvNV\0"
   "glProgramParameteri\0"
   "glProgramParameteriARB\0"
   "glProgramParameteriEXT\0"
   "glProgramParameters4dvNV\0"
   "glProgramParameters4fvNV\0"
   "glProgramStringARB\0"
   "glProgramSubroutineParametersuivNV\0"
   "glProgramUniform1d\0"
   "glProgramUniform1dEXT\0"
   "glProgramUniform1dv\0"
   "glProgramUniform1dvEXT\0"
   "glProgramUniform1f\0"
   "glProgramUniform1fEXT\0"
   "glProgramUniform1fv\0"
   "glProgramUniform1fvEXT\0"
   "glProgramUniform1i\0"
   "glProgramUniform1i64NV\0"
   "glProgramUniform1i64vNV\0"
   "glProgramUniform1iEXT\0"
   "glProgramUniform1iv\0"
   "glProgramUniform1ivEXT\0"
   "glProgramUniform1ui\0"
   "glProgramUniform1ui64NV\0"
   "glProgramUniform1ui64vNV\0"
   "glProgramUniform1uiEXT\0"
   "glProgramUniform1uiv\0"
   "glProgramUniform1uivEXT\0"
   "glProgramUniform2d\0"
   "glProgramUniform2dEXT\0"
   "glProgramUniform2dv\0"
   "glProgramUniform2dvEXT\0"
   "glProgramUniform2f\0"
   "glProgramUniform2fEXT\0"
   "glProgramUniform2fv\0"
   "glProgramUniform2fvEXT\0"
   "glProgramUniform2i\0"
   "glProgramUniform2i64NV\0"
   "glProgramUniform2i64vNV\0"
   "glProgramUniform2iEXT\0"
   "glProgramUniform2iv\0"
   "glProgramUniform2ivEXT\0"
   "glProgramUniform2ui\0"
   "glProgramUniform2ui64NV\0"
   "glProgramUniform2ui64vNV\0"
   "glProgramUniform2uiEXT\0"
   "glProgramUniform2uiv\0"
   "glProgramUniform2uivEXT\0"
   "glProgramUniform3d\0"
   "glProgramUniform3dEXT\0"
   "glProgramUniform3dv\0"
   "glProgramUniform3dvEXT\0"
   "glProgramUniform3f\0"
   "glProgramUniform3fEXT\0"
   "glProgramUniform3fv\0"
   "glProgramUniform3fvEXT\0"
   "glProgramUniform3i\0"
   "glProgramUniform3i64NV\0"
   "glProgramUniform3i64vNV\0"
   "glProgramUniform3iEXT\0"
   "glProgramUniform3iv\0"
   "glProgramUniform3ivEXT\0"
   "glProgramUniform3ui\0"
   "glProgramUniform3ui64NV\0"
   "glProgramUniform3ui64vNV\0"
   "glProgramUniform3uiEXT\0"
   "glProgramUniform3uiv\0"
   "glProgramUniform3uivEXT\0"
   "glProgramUniform4d\0"
   "glProgramUniform4dEXT\0"
   "glProgramUniform4dv\0"
   "glProgramUniform4dvEXT\0"
   "glProgramUniform4f\0"
   "glProgramUniform4fEXT\0"
   "glProgramUniform4fv\0"
   "glProgramUniform4fvEXT\0"
   "glProgramUniform4i\0"
   "glProgramUniform4i64NV\0"
   "glProgramUniform4i64vNV\0"
   "glProgramUniform4iEXT\0"
   "glProgramUniform4iv\0"
   "glProgramUniform4ivEXT\0"
   "glProgramUniform4ui\0"
   "glProgramUniform4ui64NV\0"
   "glProgramUniform4ui64vNV\0"
   "glProgramUniform4uiEXT\0"
   "glProgramUniform4uiv\0"
   "glProgramUniform4uivEXT\0"
   "glProgramUniformHandleui64ARB\0"
   "glProgramUniformHandleui64NV\0"
   "glProgramUniformHandleui64vARB\0"
   "glProgramUniformHandleui64vNV\0"
   "glProgramUniformMatrix2dv\0"
   "glProgramUniformMatrix2dvEXT\0"
   "glProgramUniformMatrix2fv\0"
   "glProgramUniformMatrix2fvEXT\0"
   "glProgramUniformMatrix2x3dv\0"
   "glProgramUniformMatrix2x3dvEXT\0"
   "glProgramUniformMatrix2x3fv\0"
   "glProgramUniformMatrix2x3fvEXT\0"
   "glProgramUniformMatrix2x4dv\0"
   "glProgramUniformMatrix2x4dvEXT\0"
   "glProgramUniformMatrix2x4fv\0"
   "glProgramUniformMatrix2x4fvEXT\0"
   "glProgramUniformMatrix3dv\0"
   "glProgramUniformMatrix3dvEXT\0"
   "glProgramUniformMatrix3fv\0"
   "glProgramUniformMatrix3fvEXT\0"
   "glProgramUniformMatrix3x2dv\0"
   "glProgramUniformMatrix3x2dvEXT\0"
   "glProgramUniformMatrix3x2fv\0"
   "glProgramUniformMatrix3x2fvEXT\0"
   "glProgramUniformMatrix3x4dv\0"
   "glProgramUniformMatrix3x4dvEXT\0"
   "glProgramUniformMatrix3x4fv\0"
   "glProgramUniformMatrix3x4fvEXT\0"
   "glProgramUniformMatrix4dv\0"
   "glProgramUniformMatrix4dvEXT\0"
   "glProgramUniformMatrix4fv\0"
   "glProgramUniformMatrix4fvEXT\0"
   "glProgramUniformMatrix4x2dv\0"
   "glProgramUniformMatrix4x2dvEXT\0"
   "glProgramUniformMatrix4x2fv\0"
   "glProgramUniformMatrix4x2fvEXT\0"
   "glProgramUniformMatrix4x3dv\0"
   "glProgramUniformMatrix4x3dvEXT\0"
   "glProgramUniformMatrix4x3fv\0"
   "glProgramUniformMatrix4x3fvEXT\0"
   "glProgramUniformui64NV\0"
   "glProgramUniformui64vNV\0"
   "glProgramVertexLimitNV\0"
   "glProvokingVertex\0"
   "glProvokingVertexEXT\0"
   "glPushAttrib\0"
   "glPushClientAttrib\0"
   "glPushClientAttribDefaultEXT\0"
   "glPushDebugGroup\0"
   "glPushDebugGroupKHR\0"
   "glPushGroupMarkerEXT\0"
   "glPushMatrix\0"
   "glPushName\0"
   "glQueryCounter\0"
   "glQueryCounterEXT\0"
   "glQueryMatrixxOES\0"
   "glQueryObjectParameteruiAMD\0"
   "glRasterPos2d\0"
   "glRasterPos2dv\0"
   "glRasterPos2f\0"
   "glRasterPos2fv\0"
   "glRasterPos2i\0"
   "glRasterPos2iv\0"
   "glRasterPos2s\0"
   "glRasterPos2sv\0"
   "glRasterPos2xOES\0"
   "glRasterPos2xvOES\0"
   "glRasterPos3d\0"
   "glRasterPos3dv\0"
   "glRasterPos3f\0"
   "glRasterPos3fv\0"
   "glRasterPos3i\0"
   "glRasterPos3iv\0"
   "glRasterPos3s\0"
   "glRasterPos3sv\0"
   "glRasterPos3xOES\0"
   "glRasterPos3xvOES\0"
   "glRasterPos4d\0"
   "glRasterPos4dv\0"
   "glRasterPos4f\0"
   "glRasterPos4fv\0"
   "glRasterPos4i\0"
   "glRasterPos4iv\0"
   "glRasterPos4s\0"
   "glRasterPos4sv\0"
   "glRasterPos4xOES\0"
   "glRasterPos4xvOES\0"
   "glReadBuffer\0"
   "glReadBufferIndexedEXT\0"
   "glReadBufferNV\0"
   "glReadInstrumentsSGIX\0"
   "glReadPixels\0"
   "glReadnPixelsARB\0"
   "glReadnPixelsEXT\0"
   "glRectd\0"
   "glRectdv\0"
   "glRectf\0"
   "glRectfv\0"
   "glRecti\0"
   "glRectiv\0"
   "glRects\0"
   "glRectsv\0"
   "glRectxOES\0"
   "glRectxvOES\0"
   "glReferencePlaneSGIX\0"
   "glReleaseShaderCompiler\0"
   "glRenderMode\0"
   "glRenderbufferStorage\0"
   "glRenderbufferStorageEXT\0"
   "glRenderbufferStorageMultisample\0"
   "glRenderbufferStorageMultisampleANGLE\0"
   "glRenderbufferStorageMultisampleAPPLE\0"
   "glRenderbufferStorageMultisampleCoverageNV\0"
   "glRenderbufferStorageMultisampleEXT\0"
   "glRenderbufferStorageMultisampleIMG\0"
   "glRenderbufferStorageMultisampleNV\0"
   "glRenderbufferStorageOES\0"
   "glReplacementCodePointerSUN\0"
   "glReplacementCodeubSUN\0"
   "glReplacementCodeubvSUN\0"
   "glReplacementCodeuiColor3fVertex3fSUN\0"
   "glReplacementCodeuiColor3fVertex3fvSUN\0"
   "glReplacementCodeuiColor4fNormal3fVertex3fSUN\0"
   "glReplacementCodeuiColor4fNormal3fVertex3fvSUN\0"
   "glReplacementCodeuiColor4ubVertex3fSUN\0"
   "glReplacementCodeuiColor4ubVertex3fvSUN\0"
   "glReplacementCodeuiNormal3fVertex3fSUN\0"
   "glReplacementCodeuiNormal3fVertex3fvSUN\0"
   "glReplacementCodeuiSUN\0"
   "glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN\0"
   "glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN\0"
   "glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN\0"
   "glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN\0"
   "glReplacementCodeuiTexCoord2fVertex3fSUN\0"
   "glReplacementCodeuiTexCoord2fVertex3fvSUN\0"
   "glReplacementCodeuiVertex3fSUN\0"
   "glReplacementCodeuiVertex3fvSUN\0"
   "glReplacementCodeuivSUN\0"
   "glReplacementCodeusSUN\0"
   "glReplacementCodeusvSUN\0"
   "glRequestResidentProgramsNV\0"
   "glResetHistogram\0"
   "glResetHistogramEXT\0"
   "glResetMinmax\0"
   "glResetMinmaxEXT\0"
   "glResizeBuffersMESA\0"
   "glResolveMultisampleFramebufferAPPLE\0"
   "glResumeTransformFeedback\0"
   "glResumeTransformFeedbackNV\0"
   "glRotated\0"
   "glRotatef\0"
   "glRotatex\0"
   "glRotatexOES\0"
   "glSampleCoverage\0"
   "glSampleCoverageARB\0"
   "glSampleCoverageOES\0"
   "glSampleCoveragex\0"
   "glSampleCoveragexOES\0"
   "glSampleMapATI\0"
   "glSampleMaskEXT\0"
   "glSampleMaskIndexedNV\0"
   "glSampleMaskSGIS\0"
   "glSampleMaski\0"
   "glSamplePatternEXT\0"
   "glSamplePatternSGIS\0"
   "glSamplerParameterIiv\0"
   "glSamplerParameterIuiv\0"
   "glSamplerParameterf\0"
   "glSamplerParameterfv\0"
   "glSamplerParameteri\0"
   "glSamplerParameteriv\0"
   "glScaled\0"
   "glScalef\0"
   "glScalex\0"
   "glScalexOES\0"
   "glScissor\0"
   "glScissorArrayv\0"
   "glScissorIndexed\0"
   "glScissorIndexedv\0"
   "glSecondaryColor3b\0"
   "glSecondaryColor3bEXT\0"
   "glSecondaryColor3bv\0"
   "glSecondaryColor3bvEXT\0"
   "glSecondaryColor3d\0"
   "glSecondaryColor3dEXT\0"
   "glSecondaryColor3dv\0"
   "glSecondaryColor3dvEXT\0"
   "glSecondaryColor3f\0"
   "glSecondaryColor3fEXT\0"
   "glSecondaryColor3fv\0"
   "glSecondaryColor3fvEXT\0"
   "glSecondaryColor3hNV\0"
   "glSecondaryColor3hvNV\0"
   "glSecondaryColor3i\0"
   "glSecondaryColor3iEXT\0"
   "glSecondaryColor3iv\0"
   "glSecondaryColor3ivEXT\0"
   "glSecondaryColor3s\0"
   "glSecondaryColor3sEXT\0"
   "glSecondaryColor3sv\0"
   "glSecondaryColor3svEXT\0"
   "glSecondaryColor3ub\0"
   "glSecondaryColor3ubEXT\0"
   "glSecondaryColor3ubv\0"
   "glSecondaryColor3ubvEXT\0"
   "glSecondaryColor3ui\0"
   "glSecondaryColor3uiEXT\0"
   "glSecondaryColor3uiv\0"
   "glSecondaryColor3uivEXT\0"
   "glSecondaryColor3us\0"
   "glSecondaryColor3usEXT\0"
   "glSecondaryColor3usv\0"
   "glSecondaryColor3usvEXT\0"
   "glSecondaryColorFormatNV\0"
   "glSecondaryColorP3ui\0"
   "glSecondaryColorP3uiv\0"
   "glSecondaryColorPointer\0"
   "glSecondaryColorPointerEXT\0"
   "glSecondaryColorPointerListIBM\0"
   "glSelectBuffer\0"
   "glSelectPerfMonitorCountersAMD\0"
   "glSeparableFilter2D\0"
   "glSeparableFilter2DEXT\0"
   "glSetFenceAPPLE\0"
   "glSetFenceNV\0"
   "glSetFragmentShaderConstantATI\0"
   "glSetInvariantEXT\0"
   "glSetLocalConstantEXT\0"
   "glSetMultisamplefvAMD\0"
   "glShadeModel\0"
   "glShaderBinary\0"
   "glShaderOp1EXT\0"
   "glShaderOp2EXT\0"
   "glShaderOp3EXT\0"
   "glShaderSource\0"
   "glShaderSourceARB\0"
   "glShaderStorageBlockBinding\0"
   "glSharpenTexFuncSGIS\0"
   "glSpriteParameterfSGIX\0"
   "glSpriteParameterfvSGIX\0"
   "glSpriteParameteriSGIX\0"
   "glSpriteParameterivSGIX\0"
   "glStartInstrumentsSGIX\0"
   "glStartTilingQCOM\0"
   "glStencilClearTagEXT\0"
   "glStencilFillPathInstancedNV\0"
   "glStencilFillPathNV\0"
   "glStencilFunc\0"
   "glStencilFuncSeparate\0"
   "glStencilFuncSeparateATI\0"
   "glStencilMask\0"
   "glStencilMaskSeparate\0"
   "glStencilOp\0"
   "glStencilOpSeparate\0"
   "glStencilOpSeparateATI\0"
   "glStencilOpValueAMD\0"
   "glStencilStrokePathInstancedNV\0"
   "glStencilStrokePathNV\0"
   "glStopInstrumentsSGIX\0"
   "glStringMarkerGREMEDY\0"
   "glSwizzleEXT\0"
   "glSyncTextureINTEL\0"
   "glTagSampleBufferSGIX\0"
   "glTangent3bEXT\0"
   "glTangent3bvEXT\0"
   "glTangent3dEXT\0"
   "glTangent3dvEXT\0"
   "glTangent3fEXT\0"
   "glTangent3fvEXT\0"
   "glTangent3iEXT\0"
   "glTangent3ivEXT\0"
   "glTangent3sEXT\0"
   "glTangent3svEXT\0"
   "glTangentPointerEXT\0"
   "glTbufferMask3DFX\0"
   "glTessellationFactorAMD\0"
   "glTessellationModeAMD\0"
   "glTestFenceAPPLE\0"
   "glTestFenceNV\0"
   "glTestObjectAPPLE\0"
   "glTexBuffer\0"
   "glTexBufferARB\0"
   "glTexBufferEXT\0"
   "glTexBufferRange\0"
   "glTexBumpParameterfvATI\0"
   "glTexBumpParameterivATI\0"
   "glTexCoord1bOES\0"
   "glTexCoord1bvOES\0"
   "glTexCoord1d\0"
   "glTexCoord1dv\0"
   "glTexCoord1f\0"
   "glTexCoord1fv\0"
   "glTexCoord1hNV\0"
   "glTexCoord1hvNV\0"
   "glTexCoord1i\0"
   "glTexCoord1iv\0"
   "glTexCoord1s\0"
   "glTexCoord1sv\0"
   "glTexCoord1xOES\0"
   "glTexCoord1xvOES\0"
   "glTexCoord2bOES\0"
   "glTexCoord2bvOES\0"
   "glTexCoord2d\0"
   "glTexCoord2dv\0"
   "glTexCoord2f\0"
   "glTexCoord2fColor3fVertex3fSUN\0"
   "glTexCoord2fColor3fVertex3fvSUN\0"
   "glTexCoord2fColor4fNormal3fVertex3fSUN\0"
   "glTexCoord2fColor4fNormal3fVertex3fvSUN\0"
   "glTexCoord2fColor4ubVertex3fSUN\0"
   "glTexCoord2fColor4ubVertex3fvSUN\0"
   "glTexCoord2fNormal3fVertex3fSUN\0"
   "glTexCoord2fNormal3fVertex3fvSUN\0"
   "glTexCoord2fVertex3fSUN\0"
   "glTexCoord2fVertex3fvSUN\0"
   "glTexCoord2fv\0"
   "glTexCoord2hNV\0"
   "glTexCoord2hvNV\0"
   "glTexCoord2i\0"
   "glTexCoord2iv\0"
   "glTexCoord2s\0"
   "glTexCoord2sv\0"
   "glTexCoord2xOES\0"
   "glTexCoord2xvOES\0"
   "glTexCoord3bOES\0"
   "glTexCoord3bvOES\0"
   "glTexCoord3d\0"
   "glTexCoord3dv\0"
   "glTexCoord3f\0"
   "glTexCoord3fv\0"
   "glTexCoord3hNV\0"
   "glTexCoord3hvNV\0"
   "glTexCoord3i\0"
   "glTexCoord3iv\0"
   "glTexCoord3s\0"
   "glTexCoord3sv\0"
   "glTexCoord3xOES\0"
   "glTexCoord3xvOES\0"
   "glTexCoord4bOES\0"
   "glTexCoord4bvOES\0"
   "glTexCoord4d\0"
   "glTexCoord4dv\0"
   "glTexCoord4f\0"
   "glTexCoord4fColor4fNormal3fVertex4fSUN\0"
   "glTexCoord4fColor4fNormal3fVertex4fvSUN\0"
   "glTexCoord4fVertex4fSUN\0"
   "glTexCoord4fVertex4fvSUN\0"
   "glTexCoord4fv\0"
   "glTexCoord4hNV\0"
   "glTexCoord4hvNV\0"
   "glTexCoord4i\0"
   "glTexCoord4iv\0"
   "glTexCoord4s\0"
   "glTexCoord4sv\0"
   "glTexCoord4xOES\0"
   "glTexCoord4xvOES\0"
   "glTexCoordFormatNV\0"
   "glTexCoordP1ui\0"
   "glTexCoordP1uiv\0"
   "glTexCoordP2ui\0"
   "glTexCoordP2uiv\0"
   "glTexCoordP3ui\0"
   "glTexCoordP3uiv\0"
   "glTexCoordP4ui\0"
   "glTexCoordP4uiv\0"
   "glTexCoordPointer\0"
   "glTexCoordPointerEXT\0"
   "glTexCoordPointerListIBM\0"
   "glTexCoordPointervINTEL\0"
   "glTexEnvf\0"
   "glTexEnvfv\0"
   "glTexEnvi\0"
   "glTexEnviv\0"
   "glTexEnvx\0"
   "glTexEnvxOES\0"
   "glTexEnvxv\0"
   "glTexEnvxvOES\0"
   "glTexFilterFuncSGIS\0"
   "glTexGend\0"
   "glTexGendv\0"
   "glTexGenf\0"
   "glTexGenfOES\0"
   "glTexGenfv\0"
   "glTexGenfvOES\0"
   "glTexGeni\0"
   "glTexGeniOES\0"
   "glTexGeniv\0"
   "glTexGenivOES\0"
   "glTexGenxOES\0"
   "glTexGenxvOES\0"
   "glTexImage1D\0"
   "glTexImage2D\0"
   "glTexImage2DMultisample\0"
   "glTexImage2DMultisampleCoverageNV\0"
   "glTexImage3D\0"
   "glTexImage3DEXT\0"
   "glTexImage3DMultisample\0"
   "glTexImage3DMultisampleCoverageNV\0"
   "glTexImage3DOES\0"
   "glTexImage4DSGIS\0"
   "glTexPageCommitmentARB\0"
   "glTexParameterIiv\0"
   "glTexParameterIivEXT\0"
   "glTexParameterIuiv\0"
   "glTexParameterIuivEXT\0"
   "glTexParameterf\0"
   "glTexParameterfv\0"
   "glTexParameteri\0"
   "glTexParameteriv\0"
   "glTexParameterx\0"
   "glTexParameterxOES\0"
   "glTexParameterxv\0"
   "glTexParameterxvOES\0"
   "glTexRenderbufferNV\0"
   "glTexStorage1D\0"
   "glTexStorage1DEXT\0"
   "glTexStorage2D\0"
   "glTexStorage2DEXT\0"
   "glTexStorage2DMultisample\0"
   "glTexStorage3D\0"
   "glTexStorage3DEXT\0"
   "glTexStorage3DMultisample\0"
   "glTexStorageSparseAMD\0"
   "glTexSubImage1D\0"
   "glTexSubImage1DEXT\0"
   "glTexSubImage2D\0"
   "glTexSubImage2DEXT\0"
   "glTexSubImage3D\0"
   "glTexSubImage3DEXT\0"
   "glTexSubImage3DOES\0"
   "glTexSubImage4DSGIS\0"
   "glTextureBarrierNV\0"
   "glTextureBufferEXT\0"
   "glTextureBufferRangeEXT\0"
   "glTextureColorMaskSGIS\0"
   "glTextureImage1DEXT\0"
   "glTextureImage2DEXT\0"
   "glTextureImage2DMultisampleCoverageNV\0"
   "glTextureImage2DMultisampleNV\0"
   "glTextureImage3DEXT\0"
   "glTextureImage3DMultisampleCoverageNV\0"
   "glTextureImage3DMultisampleNV\0"
   "glTextureLightEXT\0"
   "glTextureMaterialEXT\0"
   "glTextureNormalEXT\0"
   "glTexturePageCommitmentEXT\0"
   "glTextureParameterIivEXT\0"
   "glTextureParameterIuivEXT\0"
   "glTextureParameterfEXT\0"
   "glTextureParameterfvEXT\0"
   "glTextureParameteriEXT\0"
   "glTextureParameterivEXT\0"
   "glTextureRangeAPPLE\0"
   "glTextureRenderbufferEXT\0"
   "glTextureStorage1DEXT\0"
   "glTextureStorage2DEXT\0"
   "glTextureStorage2DMultisampleEXT\0"
   "glTextureStorage3DEXT\0"
   "glTextureStorage3DMultisampleEXT\0"
   "glTextureStorageSparseAMD\0"
   "glTextureSubImage1DEXT\0"
   "glTextureSubImage2DEXT\0"
   "glTextureSubImage3DEXT\0"
   "glTextureView\0"
   "glTrackMatrixNV\0"
   "glTransformFeedbackAttribsNV\0"
   "glTransformFeedbackStreamAttribsNV\0"
   "glTransformFeedbackVaryings\0"
   "glTransformFeedbackVaryingsEXT\0"
   "glTransformFeedbackVaryingsNV\0"
   "glTransformPathNV\0"
   "glTranslated\0"
   "glTranslatef\0"
   "glTranslatex\0"
   "glTranslatexOES\0"
   "glUniform1d\0"
   "glUniform1dv\0"
   "glUniform1f\0"
   "glUniform1fARB\0"
   "glUniform1fv\0"
   "glUniform1fvARB\0"
   "glUniform1i\0"
   "glUniform1i64NV\0"
   "glUniform1i64vNV\0"
   "glUniform1iARB\0"
   "glUniform1iv\0"
   "glUniform1ivARB\0"
   "glUniform1ui\0"
   "glUniform1ui64NV\0"
   "glUniform1ui64vNV\0"
   "glUniform1uiEXT\0"
   "glUniform1uiv\0"
   "glUniform1uivEXT\0"
   "glUniform2d\0"
   "glUniform2dv\0"
   "glUniform2f\0"
   "glUniform2fARB\0"
   "glUniform2fv\0"
   "glUniform2fvARB\0"
   "glUniform2i\0"
   "glUniform2i64NV\0"
   "glUniform2i64vNV\0"
   "glUniform2iARB\0"
   "glUniform2iv\0"
   "glUniform2ivARB\0"
   "glUniform2ui\0"
   "glUniform2ui64NV\0"
   "glUniform2ui64vNV\0"
   "glUniform2uiEXT\0"
   "glUniform2uiv\0"
   "glUniform2uivEXT\0"
   "glUniform3d\0"
   "glUniform3dv\0"
   "glUniform3f\0"
   "glUniform3fARB\0"
   "glUniform3fv\0"
   "glUniform3fvARB\0"
   "glUniform3i\0"
   "glUniform3i64NV\0"
   "glUniform3i64vNV\0"
   "glUniform3iARB\0"
   "glUniform3iv\0"
   "glUniform3ivARB\0"
   "glUniform3ui\0"
   "glUniform3ui64NV\0"
   "glUniform3ui64vNV\0"
   "glUniform3uiEXT\0"
   "glUniform3uiv\0"
   "glUniform3uivEXT\0"
   "glUniform4d\0"
   "glUniform4dv\0"
   "glUniform4f\0"
   "glUniform4fARB\0"
   "glUniform4fv\0"
   "glUniform4fvARB\0"
   "glUniform4i\0"
   "glUniform4i64NV\0"
   "glUniform4i64vNV\0"
   "glUniform4iARB\0"
   "glUniform4iv\0"
   "glUniform4ivARB\0"
   "glUniform4ui\0"
   "glUniform4ui64NV\0"
   "glUniform4ui64vNV\0"
   "glUniform4uiEXT\0"
   "glUniform4uiv\0"
   "glUniform4uivEXT\0"
   "glUniformBlockBinding\0"
   "glUniformBufferEXT\0"
   "glUniformHandleui64ARB\0"
   "glUniformHandleui64NV\0"
   "glUniformHandleui64vARB\0"
   "glUniformHandleui64vNV\0"
   "glUniformMatrix2dv\0"
   "glUniformMatrix2fv\0"
   "glUniformMatrix2fvARB\0"
   "glUniformMatrix2x3dv\0"
   "glUniformMatrix2x3fv\0"
   "glUniformMatrix2x3fvNV\0"
   "glUniformMatrix2x4dv\0"
   "glUniformMatrix2x4fv\0"
   "glUniformMatrix2x4fvNV\0"
   "glUniformMatrix3dv\0"
   "glUniformMatrix3fv\0"
   "glUniformMatrix3fvARB\0"
   "glUniformMatrix3x2dv\0"
   "glUniformMatrix3x2fv\0"
   "glUniformMatrix3x2fvNV\0"
   "glUniformMatrix3x4dv\0"
   "glUniformMatrix3x4fv\0"
   "glUniformMatrix3x4fvNV\0"
   "glUniformMatrix4dv\0"
   "glUniformMatrix4fv\0"
   "glUniformMatrix4fvARB\0"
   "glUniformMatrix4x2dv\0"
   "glUniformMatrix4x2fv\0"
   "glUniformMatrix4x2fvNV\0"
   "glUniformMatrix4x3dv\0"
   "glUniformMatrix4x3fv\0"
   "glUniformMatrix4x3fvNV\0"
   "glUniformSubroutinesuiv\0"
   "glUniformui64NV\0"
   "glUniformui64vNV\0"
   "glUnlockArraysEXT\0"
   "glUnmapBuffer\0"
   "glUnmapBufferARB\0"
   "glUnmapBufferOES\0"
   "glUnmapNamedBufferEXT\0"
   "glUnmapObjectBufferATI\0"
   "glUnmapTexture2DINTEL\0"
   "glUpdateObjectBufferATI\0"
   "glUseProgram\0"
   "glUseProgramObjectARB\0"
   "glUseProgramStages\0"
   "glUseProgramStagesEXT\0"
   "glUseShaderProgramEXT\0"
   "glVDPAUFiniNV\0"
   "glVDPAUGetSurfaceivNV\0"
   "glVDPAUInitNV\0"
   "glVDPAUIsSurfaceNV\0"
   "glVDPAUMapSurfacesNV\0"
   "glVDPAURegisterOutputSurfaceNV\0"
   "glVDPAURegisterVideoSurfaceNV\0"
   "glVDPAUSurfaceAccessNV\0"
   "glVDPAUUnmapSurfacesNV\0"
   "glVDPAUUnregisterSurfaceNV\0"
   "glValidateProgram\0"
   "glValidateProgramARB\0"
   "glValidateProgramPipeline\0"
   "glValidateProgramPipelineEXT\0"
   "glVariantArrayObjectATI\0"
   "glVariantPointerEXT\0"
   "glVariantbvEXT\0"
   "glVariantdvEXT\0"
   "glVariantfvEXT\0"
   "glVariantivEXT\0"
   "glVariantsvEXT\0"
   "glVariantubvEXT\0"
   "glVariantuivEXT\0"
   "glVariantusvEXT\0"
   "glVertex2bOES\0"
   "glVertex2bvOES\0"
   "glVertex2d\0"
   "glVertex2dv\0"
   "glVertex2f\0"
   "glVertex2fv\0"
   "glVertex2hNV\0"
   "glVertex2hvNV\0"
   "glVertex2i\0"
   "glVertex2iv\0"
   "glVertex2s\0"
   "glVertex2sv\0"
   "glVertex2xOES\0"
   "glVertex2xvOES\0"
   "glVertex3bOES\0"
   "glVertex3bvOES\0"
   "glVertex3d\0"
   "glVertex3dv\0"
   "glVertex3f\0"
   "glVertex3fv\0"
   "glVertex3hNV\0"
   "glVertex3hvNV\0"
   "glVertex3i\0"
   "glVertex3iv\0"
   "glVertex3s\0"
   "glVertex3sv\0"
   "glVertex3xOES\0"
   "glVertex3xvOES\0"
   "glVertex4bOES\0"
   "glVertex4bvOES\0"
   "glVertex4d\0"
   "glVertex4dv\0"
   "glVertex4f\0"
   "glVertex4fv\0"
   "glVertex4hNV\0"
   "glVertex4hvNV\0"
   "glVertex4i\0"
   "glVertex4iv\0"
   "glVertex4s\0"
   "glVertex4sv\0"
   "glVertex4xOES\0"
   "glVertex4xvOES\0"
   "glVertexArrayBindVertexBufferEXT\0"
   "glVertexArrayColorOffsetEXT\0"
   "glVertexArrayEdgeFlagOffsetEXT\0"
   "glVertexArrayFogCoordOffsetEXT\0"
   "glVertexArrayIndexOffsetEXT\0"
   "glVertexArrayMultiTexCoordOffsetEXT\0"
   "glVertexArrayNormalOffsetEXT\0"
   "glVertexArrayParameteriAPPLE\0"
   "glVertexArrayRangeAPPLE\0"
   "glVertexArrayRangeNV\0"
   "glVertexArraySecondaryColorOffsetEXT\0"
   "glVertexArrayTexCoordOffsetEXT\0"
   "glVertexArrayVertexAttribBindingEXT\0"
   "glVertexArrayVertexAttribDivisorEXT\0"
   "glVertexArrayVertexAttribFormatEXT\0"
   "glVertexArrayVertexAttribIFormatEXT\0"
   "glVertexArrayVertexAttribIOffsetEXT\0"
   "glVertexArrayVertexAttribLFormatEXT\0"
   "glVertexArrayVertexAttribLOffsetEXT\0"
   "glVertexArrayVertexAttribOffsetEXT\0"
   "glVertexArrayVertexBindingDivisorEXT\0"
   "glVertexArrayVertexOffsetEXT\0"
   "glVertexAttrib1d\0"
   "glVertexAttrib1dARB\0"
   "glVertexAttrib1dNV\0"
   "glVertexAttrib1dv\0"
   "glVertexAttrib1dvARB\0"
   "glVertexAttrib1dvNV\0"
   "glVertexAttrib1f\0"
   "glVertexAttrib1fARB\0"
   "glVertexAttrib1fNV\0"
   "glVertexAttrib1fv\0"
   "glVertexAttrib1fvARB\0"
   "glVertexAttrib1fvNV\0"
   "glVertexAttrib1hNV\0"
   "glVertexAttrib1hvNV\0"
   "glVertexAttrib1s\0"
   "glVertexAttrib1sARB\0"
   "glVertexAttrib1sNV\0"
   "glVertexAttrib1sv\0"
   "glVertexAttrib1svARB\0"
   "glVertexAttrib1svNV\0"
   "glVertexAttrib2d\0"
   "glVertexAttrib2dARB\0"
   "glVertexAttrib2dNV\0"
   "glVertexAttrib2dv\0"
   "glVertexAttrib2dvARB\0"
   "glVertexAttrib2dvNV\0"
   "glVertexAttrib2f\0"
   "glVertexAttrib2fARB\0"
   "glVertexAttrib2fNV\0"
   "glVertexAttrib2fv\0"
   "glVertexAttrib2fvARB\0"
   "glVertexAttrib2fvNV\0"
   "glVertexAttrib2hNV\0"
   "glVertexAttrib2hvNV\0"
   "glVertexAttrib2s\0"
   "glVertexAttrib2sARB\0"
   "glVertexAttrib2sNV\0"
   "glVertexAttrib2sv\0"
   "glVertexAttrib2svARB\0"
   "glVertexAttrib2svNV\0"
   "glVertexAttrib3d\0"
   "glVertexAttrib3dARB\0"
   "glVertexAttrib3dNV\0"
   "glVertexAttrib3dv\0"
   "glVertexAttrib3dvARB\0"
   "glVertexAttrib3dvNV\0"
   "glVertexAttrib3f\0"
   "glVertexAttrib3fARB\0"
   "glVertexAttrib3fNV\0"
   "glVertexAttrib3fv\0"
   "glVertexAttrib3fvARB\0"
   "glVertexAttrib3fvNV\0"
   "glVertexAttrib3hNV\0"
   "glVertexAttrib3hvNV\0"
   "glVertexAttrib3s\0"
   "glVertexAttrib3sARB\0"
   "glVertexAttrib3sNV\0"
   "glVertexAttrib3sv\0"
   "glVertexAttrib3svARB\0"
   "glVertexAttrib3svNV\0"
   "glVertexAttrib4Nbv\0"
   "glVertexAttrib4NbvARB\0"
   "glVertexAttrib4Niv\0"
   "glVertexAttrib4NivARB\0"
   "glVertexAttrib4Nsv\0"
   "glVertexAttrib4NsvARB\0"
   "glVertexAttrib4Nub\0"
   "glVertexAttrib4NubARB\0"
   "glVertexAttrib4Nubv\0"
   "glVertexAttrib4NubvARB\0"
   "glVertexAttrib4Nuiv\0"
   "glVertexAttrib4NuivARB\0"
   "glVertexAttrib4Nusv\0"
   "glVertexAttrib4NusvARB\0"
   "glVertexAttrib4bv\0"
   "glVertexAttrib4bvARB\0"
   "glVertexAttrib4d\0"
   "glVertexAttrib4dARB\0"
   "glVertexAttrib4dNV\0"
   "glVertexAttrib4dv\0"
   "glVertexAttrib4dvARB\0"
   "glVertexAttrib4dvNV\0"
   "glVertexAttrib4f\0"
   "glVertexAttrib4fARB\0"
   "glVertexAttrib4fNV\0"
   "glVertexAttrib4fv\0"
   "glVertexAttrib4fvARB\0"
   "glVertexAttrib4fvNV\0"
   "glVertexAttrib4hNV\0"
   "glVertexAttrib4hvNV\0"
   "glVertexAttrib4iv\0"
   "glVertexAttrib4ivARB\0"
   "glVertexAttrib4s\0"
   "glVertexAttrib4sARB\0"
   "glVertexAttrib4sNV\0"
   "glVertexAttrib4sv\0"
   "glVertexAttrib4svARB\0"
   "glVertexAttrib4svNV\0"
   "glVertexAttrib4ubNV\0"
   "glVertexAttrib4ubv\0"
   "glVertexAttrib4ubvARB\0"
   "glVertexAttrib4ubvNV\0"
   "glVertexAttrib4uiv\0"
   "glVertexAttrib4uivARB\0"
   "glVertexAttrib4usv\0"
   "glVertexAttrib4usvARB\0"
   "glVertexAttribArrayObjectATI\0"
   "glVertexAttribBinding\0"
   "glVertexAttribDivisor\0"
   "glVertexAttribDivisorANGLE\0"
   "glVertexAttribDivisorARB\0"
   "glVertexAttribDivisorEXT\0"
   "glVertexAttribDivisorNV\0"
   "glVertexAttribFormat\0"
   "glVertexAttribFormatNV\0"
   "glVertexAttribI1i\0"
   "glVertexAttribI1iEXT\0"
   "glVertexAttribI1iv\0"
   "glVertexAttribI1ivEXT\0"
   "glVertexAttribI1ui\0"
   "glVertexAttribI1uiEXT\0"
   "glVertexAttribI1uiv\0"
   "glVertexAttribI1uivEXT\0"
   "glVertexAttribI2i\0"
   "glVertexAttribI2iEXT\0"
   "glVertexAttribI2iv\0"
   "glVertexAttribI2ivEXT\0"
   "glVertexAttribI2ui\0"
   "glVertexAttribI2uiEXT\0"
   "glVertexAttribI2uiv\0"
   "glVertexAttribI2uivEXT\0"
   "glVertexAttribI3i\0"
   "glVertexAttribI3iEXT\0"
   "glVertexAttribI3iv\0"
   "glVertexAttribI3ivEXT\0"
   "glVertexAttribI3ui\0"
   "glVertexAttribI3uiEXT\0"
   "glVertexAttribI3uiv\0"
   "glVertexAttribI3uivEXT\0"
   "glVertexAttribI4bv\0"
   "glVertexAttribI4bvEXT\0"
   "glVertexAttribI4i\0"
   "glVertexAttribI4iEXT\0"
   "glVertexAttribI4iv\0"
   "glVertexAttribI4ivEXT\0"
   "glVertexAttribI4sv\0"
   "glVertexAttribI4svEXT\0"
   "glVertexAttribI4ubv\0"
   "glVertexAttribI4ubvEXT\0"
   "glVertexAttribI4ui\0"
   "glVertexAttribI4uiEXT\0"
   "glVertexAttribI4uiv\0"
   "glVertexAttribI4uivEXT\0"
   "glVertexAttribI4usv\0"
   "glVertexAttribI4usvEXT\0"
   "glVertexAttribIFormat\0"
   "glVertexAttribIFormatNV\0"
   "glVertexAttribIPointer\0"
   "glVertexAttribIPointerEXT\0"
   "glVertexAttribL1d\0"
   "glVertexAttribL1dEXT\0"
   "glVertexAttribL1dv\0"
   "glVertexAttribL1dvEXT\0"
   "glVertexAttribL1i64NV\0"
   "glVertexAttribL1i64vNV\0"
   "glVertexAttribL1ui64ARB\0"
   "glVertexAttribL1ui64NV\0"
   "glVertexAttribL1ui64vARB\0"
   "glVertexAttribL1ui64vNV\0"
   "glVertexAttribL2d\0"
   "glVertexAttribL2dEXT\0"
   "glVertexAttribL2dv\0"
   "glVertexAttribL2dvEXT\0"
   "glVertexAttribL2i64NV\0"
   "glVertexAttribL2i64vNV\0"
   "glVertexAttribL2ui64NV\0"
   "glVertexAttribL2ui64vNV\0"
   "glVertexAttribL3d\0"
   "glVertexAttribL3dEXT\0"
   "glVertexAttribL3dv\0"
   "glVertexAttribL3dvEXT\0"
   "glVertexAttribL3i64NV\0"
   "glVertexAttribL3i64vNV\0"
   "glVertexAttribL3ui64NV\0"
   "glVertexAttribL3ui64vNV\0"
   "glVertexAttribL4d\0"
   "glVertexAttribL4dEXT\0"
   "glVertexAttribL4dv\0"
   "glVertexAttribL4dvEXT\0"
   "glVertexAttribL4i64NV\0"
   "glVertexAttribL4i64vNV\0"
   "glVertexAttribL4ui64NV\0"
   "glVertexAttribL4ui64vNV\0"
   "glVertexAttribLFormat\0"
   "glVertexAttribLFormatNV\0"
   "glVertexAttribLPointer\0"
   "glVertexAttribLPointerEXT\0"
   "glVertexAttribP1ui\0"
   "glVertexAttribP1uiv\0"
   "glVertexAttribP2ui\0"
   "glVertexAttribP2uiv\0"
   "glVertexAttribP3ui\0"
   "glVertexAttribP3uiv\0"
   "glVertexAttribP4ui\0"
   "glVertexAttribP4uiv\0"
   "glVertexAttribParameteriAMD\0"
   "glVertexAttribPointer\0"
   "glVertexAttribPointerARB\0"
   "glVertexAttribPointerNV\0"
   "glVertexAttribs1dvNV\0"
   "glVertexAttribs1fvNV\0"
   "glVertexAttribs1hvNV\0"
   "glVertexAttribs1svNV\0"
   "glVertexAttribs2dvNV\0"
   "glVertexAttribs2fvNV\0"
   "glVertexAttribs2hvNV\0"
   "glVertexAttribs2svNV\0"
   "glVertexAttribs3dvNV\0"
   "glVertexAttribs3fvNV\0"
   "glVertexAttribs3hvNV\0"
   "glVertexAttribs3svNV\0"
   "glVertexAttribs4dvNV\0"
   "glVertexAttribs4fvNV\0"
   "glVertexAttribs4hvNV\0"
   "glVertexAttribs4svNV\0"
   "glVertexAttribs4ubvNV\0"
   "glVertexBindingDivisor\0"
   "glVertexBlendARB\0"
   "glVertexBlendEnvfATI\0"
   "glVertexBlendEnviATI\0"
   "glVertexFormatNV\0"
   "glVertexP2ui\0"
   "glVertexP2uiv\0"
   "glVertexP3ui\0"
   "glVertexP3uiv\0"
   "glVertexP4ui\0"
   "glVertexP4uiv\0"
   "glVertexPointer\0"
   "glVertexPointerEXT\0"
   "glVertexPointerListIBM\0"
   "glVertexPointervINTEL\0"
   "glVertexStream1dATI\0"
   "glVertexStream1dvATI\0"
   "glVertexStream1fATI\0"
   "glVertexStream1fvATI\0"
   "glVertexStream1iATI\0"
   "glVertexStream1ivATI\0"
   "glVertexStream1sATI\0"
   "glVertexStream1svATI\0"
   "glVertexStream2dATI\0"
   "glVertexStream2dvATI\0"
   "glVertexStream2fATI\0"
   "glVertexStream2fvATI\0"
   "glVertexStream2iATI\0"
   "glVertexStream2ivATI\0"
   "glVertexStream2sATI\0"
   "glVertexStream2svATI\0"
   "glVertexStream3dATI\0"
   "glVertexStream3dvATI\0"
   "glVertexStream3fATI\0"
   "glVertexStream3fvATI\0"
   "glVertexStream3iATI\0"
   "glVertexStream3ivATI\0"
   "glVertexStream3sATI\0"
   "glVertexStream3svATI\0"
   "glVertexStream4dATI\0"
   "glVertexStream4dvATI\0"
   "glVertexStream4fATI\0"
   "glVertexStream4fvATI\0"
   "glVertexStream4iATI\0"
   "glVertexStream4ivATI\0"
   "glVertexStream4sATI\0"
   "glVertexStream4svATI\0"
   "glVertexWeightPointerEXT\0"
   "glVertexWeightfEXT\0"
   "glVertexWeightfvEXT\0"
   "glVertexWeighthNV\0"
   "glVertexWeighthvNV\0"
   "glVideoCaptureNV\0"
   "glVideoCaptureStreamParameterdvNV\0"
   "glVideoCaptureStreamParameterfvNV\0"
   "glVideoCaptureStreamParameterivNV\0"
   "glViewport\0"
   "glViewportArrayv\0"
   "glViewportIndexedf\0"
   "glViewportIndexedfv\0"
   "glWaitSync\0"
   "glWaitSyncAPPLE\0"
   "glWeightPathsNV\0"
   "glWeightPointerARB\0"
   "glWeightPointerOES\0"
   "glWeightbvARB\0"
   "glWeightdvARB\0"
   "glWeightfvARB\0"
   "glWeightivARB\0"
   "glWeightsvARB\0"
   "glWeightubvARB\0"
   "glWeightuivARB\0"
   "glWeightusvARB\0"
   "glWindowPos2d\0"
   "glWindowPos2dARB\0"
   "glWindowPos2dMESA\0"
   "glWindowPos2dv\0"
   "glWindowPos2dvARB\0"
   "glWindowPos2dvMESA\0"
   "glWindowPos2f\0"
   "glWindowPos2fARB\0"
   "glWindowPos2fMESA\0"
   "glWindowPos2fv\0"
   "glWindowPos2fvARB\0"
   "glWindowPos2fvMESA\0"
   "glWindowPos2i\0"
   "glWindowPos2iARB\0"
   "glWindowPos2iMESA\0"
   "glWindowPos2iv\0"
   "glWindowPos2ivARB\0"
   "glWindowPos2ivMESA\0"
   "glWindowPos2s\0"
   "glWindowPos2sARB\0"
   "glWindowPos2sMESA\0"
   "glWindowPos2sv\0"
   "glWindowPos2svARB\0"
   "glWindowPos2svMESA\0"
   "glWindowPos3d\0"
   "glWindowPos3dARB\0"
   "glWindowPos3dMESA\0"
   "glWindowPos3dv\0"
   "glWindowPos3dvARB\0"
   "glWindowPos3dvMESA\0"
   "glWindowPos3f\0"
   "glWindowPos3fARB\0"
   "glWindowPos3fMESA\0"
   "glWindowPos3fv\0"
   "glWindowPos3fvARB\0"
   "glWindowPos3fvMESA\0"
   "glWindowPos3i\0"
   "glWindowPos3iARB\0"
   "glWindowPos3iMESA\0"
   "glWindowPos3iv\0"
   "glWindowPos3ivARB\0"
   "glWindowPos3ivMESA\0"
   "glWindowPos3s\0"
   "glWindowPos3sARB\0"
   "glWindowPos3sMESA\0"
   "glWindowPos3sv\0"
   "glWindowPos3svARB\0"
   "glWindowPos3svMESA\0"
   "glWindowPos4dMESA\0"
   "glWindowPos4dvMESA\0"
   "glWindowPos4fMESA\0"
   "glWindowPos4fvMESA\0"
   "glWindowPos4iMESA\0"
   "glWindowPos4ivMESA\0"
   "glWindowPos4sMESA\0"
   "glWindowPos4svMESA\0"
   "glWriteMaskEXT\0"
    ;

static void *gl_provider_resolver(const char *name,
                                   const enum gl_provider *providers,
                                   const uint16_t *entrypoints)
{
    int i;
    for (i = 0; providers[i] != gl_provider_terminator; i++) {
        switch (providers[i]) {
        case Desktop_OpenGL_1_0:
            if (epoxy_is_desktop_gl())
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 10);
            break;
        case Desktop_OpenGL_1_1:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 11)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 11);
            break;
        case Desktop_OpenGL_1_2:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 12)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 12);
            break;
        case Desktop_OpenGL_1_3:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 13)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 13);
            break;
        case Desktop_OpenGL_1_4:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 14)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 14);
            break;
        case Desktop_OpenGL_1_5:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 15)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 15);
            break;
        case Desktop_OpenGL_2_0:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 20)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 20);
            break;
        case Desktop_OpenGL_2_1:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 21)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 21);
            break;
        case Desktop_OpenGL_3_0:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 30)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 30);
            break;
        case Desktop_OpenGL_3_1:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 31)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 31);
            break;
        case Desktop_OpenGL_3_2:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 32)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 32);
            break;
        case Desktop_OpenGL_3_3:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 33)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 33);
            break;
        case Desktop_OpenGL_4_0:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 40)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 40);
            break;
        case Desktop_OpenGL_4_1:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 41)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 41);
            break;
        case Desktop_OpenGL_4_2:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 42)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 42);
            break;
        case Desktop_OpenGL_4_3:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 43)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 43);
            break;
        case Desktop_OpenGL_4_4:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 44)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 44);
            break;
        case GL_extension_GL_3DFX_tbuffer:
            if (epoxy_conservative_has_gl_extension("GL_3DFX_tbuffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_debug_output:
            if (epoxy_conservative_has_gl_extension("GL_AMD_debug_output"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_draw_buffers_blend:
            if (epoxy_conservative_has_gl_extension("GL_AMD_draw_buffers_blend"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_interleaved_elements:
            if (epoxy_conservative_has_gl_extension("GL_AMD_interleaved_elements"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_multi_draw_indirect:
            if (epoxy_conservative_has_gl_extension("GL_AMD_multi_draw_indirect"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_name_gen_delete:
            if (epoxy_conservative_has_gl_extension("GL_AMD_name_gen_delete"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_occlusion_query_event:
            if (epoxy_conservative_has_gl_extension("GL_AMD_occlusion_query_event"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_performance_monitor:
            if (epoxy_conservative_has_gl_extension("GL_AMD_performance_monitor"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_sample_positions:
            if (epoxy_conservative_has_gl_extension("GL_AMD_sample_positions"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_sparse_texture:
            if (epoxy_conservative_has_gl_extension("GL_AMD_sparse_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_stencil_operation_extended:
            if (epoxy_conservative_has_gl_extension("GL_AMD_stencil_operation_extended"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_vertex_shader_tessellator:
            if (epoxy_conservative_has_gl_extension("GL_AMD_vertex_shader_tessellator"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ANGLE_framebuffer_blit:
            if (epoxy_conservative_has_gl_extension("GL_ANGLE_framebuffer_blit"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ANGLE_framebuffer_multisample:
            if (epoxy_conservative_has_gl_extension("GL_ANGLE_framebuffer_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ANGLE_instanced_arrays:
            if (epoxy_conservative_has_gl_extension("GL_ANGLE_instanced_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ANGLE_translated_shader_source:
            if (epoxy_conservative_has_gl_extension("GL_ANGLE_translated_shader_source"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_copy_texture_levels:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_copy_texture_levels"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_element_array:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_element_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_fence:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_fence"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_flush_buffer_range:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_flush_buffer_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_framebuffer_multisample:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_framebuffer_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_object_purgeable:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_object_purgeable"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_sync:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_sync"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_texture_range:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_texture_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_vertex_array_object:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_vertex_array_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_vertex_array_range:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_vertex_array_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_vertex_program_evaluators:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_vertex_program_evaluators"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_ES2_compatibility:
            if (epoxy_conservative_has_gl_extension("GL_ARB_ES2_compatibility"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_base_instance:
            if (epoxy_conservative_has_gl_extension("GL_ARB_base_instance"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_bindless_texture:
            if (epoxy_conservative_has_gl_extension("GL_ARB_bindless_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_blend_func_extended:
            if (epoxy_conservative_has_gl_extension("GL_ARB_blend_func_extended"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_buffer_storage:
            if (epoxy_conservative_has_gl_extension("GL_ARB_buffer_storage"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_cl_event:
            if (epoxy_conservative_has_gl_extension("GL_ARB_cl_event"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_clear_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_clear_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_clear_texture:
            if (epoxy_conservative_has_gl_extension("GL_ARB_clear_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_color_buffer_float:
            if (epoxy_conservative_has_gl_extension("GL_ARB_color_buffer_float"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_compute_shader:
            if (epoxy_conservative_has_gl_extension("GL_ARB_compute_shader"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_compute_variable_group_size:
            if (epoxy_conservative_has_gl_extension("GL_ARB_compute_variable_group_size"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_copy_buffer:
            if (epoxy_conservative_has_gl_extension("GL_ARB_copy_buffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_copy_image:
            if (epoxy_conservative_has_gl_extension("GL_ARB_copy_image"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_debug_output:
            if (epoxy_conservative_has_gl_extension("GL_ARB_debug_output"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_draw_buffers:
            if (epoxy_conservative_has_gl_extension("GL_ARB_draw_buffers"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_draw_buffers_blend:
            if (epoxy_conservative_has_gl_extension("GL_ARB_draw_buffers_blend"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_draw_elements_base_vertex:
            if (epoxy_conservative_has_gl_extension("GL_ARB_draw_elements_base_vertex"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_draw_indirect:
            if (epoxy_conservative_has_gl_extension("GL_ARB_draw_indirect"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_draw_instanced:
            if (epoxy_conservative_has_gl_extension("GL_ARB_draw_instanced"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_fragment_program:
            if (epoxy_conservative_has_gl_extension("GL_ARB_fragment_program"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_framebuffer_no_attachments:
            if (epoxy_conservative_has_gl_extension("GL_ARB_framebuffer_no_attachments"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_framebuffer_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_framebuffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_geometry_shader4:
            if (epoxy_conservative_has_gl_extension("GL_ARB_geometry_shader4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_get_program_binary:
            if (epoxy_conservative_has_gl_extension("GL_ARB_get_program_binary"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_gpu_shader_fp64:
            if (epoxy_conservative_has_gl_extension("GL_ARB_gpu_shader_fp64"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_imaging:
            if (epoxy_conservative_has_gl_extension("GL_ARB_imaging"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_indirect_parameters:
            if (epoxy_conservative_has_gl_extension("GL_ARB_indirect_parameters"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_instanced_arrays:
            if (epoxy_conservative_has_gl_extension("GL_ARB_instanced_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_internalformat_query2:
            if (epoxy_conservative_has_gl_extension("GL_ARB_internalformat_query2"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_internalformat_query:
            if (epoxy_conservative_has_gl_extension("GL_ARB_internalformat_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_invalidate_subdata:
            if (epoxy_conservative_has_gl_extension("GL_ARB_invalidate_subdata"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_map_buffer_range:
            if (epoxy_conservative_has_gl_extension("GL_ARB_map_buffer_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_matrix_palette:
            if (epoxy_conservative_has_gl_extension("GL_ARB_matrix_palette"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_multi_bind:
            if (epoxy_conservative_has_gl_extension("GL_ARB_multi_bind"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_multi_draw_indirect:
            if (epoxy_conservative_has_gl_extension("GL_ARB_multi_draw_indirect"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_multisample:
            if (epoxy_conservative_has_gl_extension("GL_ARB_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_multitexture:
            if (epoxy_conservative_has_gl_extension("GL_ARB_multitexture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_occlusion_query:
            if (epoxy_conservative_has_gl_extension("GL_ARB_occlusion_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_point_parameters:
            if (epoxy_conservative_has_gl_extension("GL_ARB_point_parameters"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_program_interface_query:
            if (epoxy_conservative_has_gl_extension("GL_ARB_program_interface_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_provoking_vertex:
            if (epoxy_conservative_has_gl_extension("GL_ARB_provoking_vertex"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_robustness:
            if (epoxy_conservative_has_gl_extension("GL_ARB_robustness"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_sample_shading:
            if (epoxy_conservative_has_gl_extension("GL_ARB_sample_shading"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_sampler_objects:
            if (epoxy_conservative_has_gl_extension("GL_ARB_sampler_objects"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_separate_shader_objects:
            if (epoxy_conservative_has_gl_extension("GL_ARB_separate_shader_objects"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_shader_atomic_counters:
            if (epoxy_conservative_has_gl_extension("GL_ARB_shader_atomic_counters"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_shader_image_load_store:
            if (epoxy_conservative_has_gl_extension("GL_ARB_shader_image_load_store"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_shader_objects:
            if (epoxy_conservative_has_gl_extension("GL_ARB_shader_objects"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_shader_storage_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_shader_storage_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_shader_subroutine:
            if (epoxy_conservative_has_gl_extension("GL_ARB_shader_subroutine"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_shading_language_include:
            if (epoxy_conservative_has_gl_extension("GL_ARB_shading_language_include"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_sparse_texture:
            if (epoxy_conservative_has_gl_extension("GL_ARB_sparse_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_sync:
            if (epoxy_conservative_has_gl_extension("GL_ARB_sync"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_tessellation_shader:
            if (epoxy_conservative_has_gl_extension("GL_ARB_tessellation_shader"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_buffer_range:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_buffer_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_compression:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_compression"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_multisample:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_storage:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_storage"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_storage_multisample:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_storage_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_view:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_view"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_timer_query:
            if (epoxy_conservative_has_gl_extension("GL_ARB_timer_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_transform_feedback2:
            if (epoxy_conservative_has_gl_extension("GL_ARB_transform_feedback2"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_transform_feedback3:
            if (epoxy_conservative_has_gl_extension("GL_ARB_transform_feedback3"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_transform_feedback_instanced:
            if (epoxy_conservative_has_gl_extension("GL_ARB_transform_feedback_instanced"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_transpose_matrix:
            if (epoxy_conservative_has_gl_extension("GL_ARB_transpose_matrix"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_uniform_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_uniform_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_array_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_array_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_attrib_64bit:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_attrib_64bit"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_attrib_binding:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_attrib_binding"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_blend:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_blend"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_program:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_program"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_shader:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_shader"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_type_2_10_10_10_rev:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_type_2_10_10_10_rev"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_viewport_array:
            if (epoxy_conservative_has_gl_extension("GL_ARB_viewport_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_window_pos:
            if (epoxy_conservative_has_gl_extension("GL_ARB_window_pos"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_draw_buffers:
            if (epoxy_conservative_has_gl_extension("GL_ATI_draw_buffers"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_element_array:
            if (epoxy_conservative_has_gl_extension("GL_ATI_element_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_envmap_bumpmap:
            if (epoxy_conservative_has_gl_extension("GL_ATI_envmap_bumpmap"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_fragment_shader:
            if (epoxy_conservative_has_gl_extension("GL_ATI_fragment_shader"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_map_object_buffer:
            if (epoxy_conservative_has_gl_extension("GL_ATI_map_object_buffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_pn_triangles:
            if (epoxy_conservative_has_gl_extension("GL_ATI_pn_triangles"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_separate_stencil:
            if (epoxy_conservative_has_gl_extension("GL_ATI_separate_stencil"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_vertex_array_object:
            if (epoxy_conservative_has_gl_extension("GL_ATI_vertex_array_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_vertex_attrib_array_object:
            if (epoxy_conservative_has_gl_extension("GL_ATI_vertex_attrib_array_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_vertex_streams:
            if (epoxy_conservative_has_gl_extension("GL_ATI_vertex_streams"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_bindable_uniform:
            if (epoxy_conservative_has_gl_extension("GL_EXT_bindable_uniform"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_blend_color:
            if (epoxy_conservative_has_gl_extension("GL_EXT_blend_color"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_blend_equation_separate:
            if (epoxy_conservative_has_gl_extension("GL_EXT_blend_equation_separate"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_blend_func_separate:
            if (epoxy_conservative_has_gl_extension("GL_EXT_blend_func_separate"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_blend_minmax:
            if (epoxy_conservative_has_gl_extension("GL_EXT_blend_minmax"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_color_subtable:
            if (epoxy_conservative_has_gl_extension("GL_EXT_color_subtable"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_compiled_vertex_array:
            if (epoxy_conservative_has_gl_extension("GL_EXT_compiled_vertex_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_convolution:
            if (epoxy_conservative_has_gl_extension("GL_EXT_convolution"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_coordinate_frame:
            if (epoxy_conservative_has_gl_extension("GL_EXT_coordinate_frame"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_copy_texture:
            if (epoxy_conservative_has_gl_extension("GL_EXT_copy_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_cull_vertex:
            if (epoxy_conservative_has_gl_extension("GL_EXT_cull_vertex"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_debug_label:
            if (epoxy_conservative_has_gl_extension("GL_EXT_debug_label"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_debug_marker:
            if (epoxy_conservative_has_gl_extension("GL_EXT_debug_marker"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_depth_bounds_test:
            if (epoxy_conservative_has_gl_extension("GL_EXT_depth_bounds_test"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_direct_state_access:
            if (epoxy_conservative_has_gl_extension("GL_EXT_direct_state_access"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_discard_framebuffer:
            if (epoxy_conservative_has_gl_extension("GL_EXT_discard_framebuffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_disjoint_timer_query:
            if (epoxy_conservative_has_gl_extension("GL_EXT_disjoint_timer_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_draw_buffers2:
            if (epoxy_conservative_has_gl_extension("GL_EXT_draw_buffers2"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_draw_buffers:
            if (epoxy_conservative_has_gl_extension("GL_EXT_draw_buffers"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_draw_instanced:
            if (epoxy_conservative_has_gl_extension("GL_EXT_draw_instanced"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_draw_range_elements:
            if (epoxy_conservative_has_gl_extension("GL_EXT_draw_range_elements"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_fog_coord:
            if (epoxy_conservative_has_gl_extension("GL_EXT_fog_coord"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_framebuffer_blit:
            if (epoxy_conservative_has_gl_extension("GL_EXT_framebuffer_blit"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_framebuffer_multisample:
            if (epoxy_conservative_has_gl_extension("GL_EXT_framebuffer_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_framebuffer_object:
            if (epoxy_conservative_has_gl_extension("GL_EXT_framebuffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_geometry_shader4:
            if (epoxy_conservative_has_gl_extension("GL_EXT_geometry_shader4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_gpu_program_parameters:
            if (epoxy_conservative_has_gl_extension("GL_EXT_gpu_program_parameters"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_gpu_shader4:
            if (epoxy_conservative_has_gl_extension("GL_EXT_gpu_shader4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_histogram:
            if (epoxy_conservative_has_gl_extension("GL_EXT_histogram"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_index_func:
            if (epoxy_conservative_has_gl_extension("GL_EXT_index_func"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_index_material:
            if (epoxy_conservative_has_gl_extension("GL_EXT_index_material"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_instanced_arrays:
            if (epoxy_conservative_has_gl_extension("GL_EXT_instanced_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_light_texture:
            if (epoxy_conservative_has_gl_extension("GL_EXT_light_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_map_buffer_range:
            if (epoxy_conservative_has_gl_extension("GL_EXT_map_buffer_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_multi_draw_arrays:
            if (epoxy_conservative_has_gl_extension("GL_EXT_multi_draw_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_multisample:
            if (epoxy_conservative_has_gl_extension("GL_EXT_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_multisampled_render_to_texture:
            if (epoxy_conservative_has_gl_extension("GL_EXT_multisampled_render_to_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_multiview_draw_buffers:
            if (epoxy_conservative_has_gl_extension("GL_EXT_multiview_draw_buffers"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_occlusion_query_boolean:
            if (epoxy_conservative_has_gl_extension("GL_EXT_occlusion_query_boolean"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_paletted_texture:
            if (epoxy_conservative_has_gl_extension("GL_EXT_paletted_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_pixel_transform:
            if (epoxy_conservative_has_gl_extension("GL_EXT_pixel_transform"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_point_parameters:
            if (epoxy_conservative_has_gl_extension("GL_EXT_point_parameters"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_polygon_offset:
            if (epoxy_conservative_has_gl_extension("GL_EXT_polygon_offset"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_provoking_vertex:
            if (epoxy_conservative_has_gl_extension("GL_EXT_provoking_vertex"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_robustness:
            if (epoxy_conservative_has_gl_extension("GL_EXT_robustness"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_secondary_color:
            if (epoxy_conservative_has_gl_extension("GL_EXT_secondary_color"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_separate_shader_objects:
            if (epoxy_conservative_has_gl_extension("GL_EXT_separate_shader_objects"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_shader_image_load_store:
            if (epoxy_conservative_has_gl_extension("GL_EXT_shader_image_load_store"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_stencil_clear_tag:
            if (epoxy_conservative_has_gl_extension("GL_EXT_stencil_clear_tag"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_stencil_two_side:
            if (epoxy_conservative_has_gl_extension("GL_EXT_stencil_two_side"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_subtexture:
            if (epoxy_conservative_has_gl_extension("GL_EXT_subtexture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_texture3D:
            if (epoxy_conservative_has_gl_extension("GL_EXT_texture3D"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_texture_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_EXT_texture_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_texture_integer:
            if (epoxy_conservative_has_gl_extension("GL_EXT_texture_integer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_texture_object:
            if (epoxy_conservative_has_gl_extension("GL_EXT_texture_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_texture_perturb_normal:
            if (epoxy_conservative_has_gl_extension("GL_EXT_texture_perturb_normal"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_texture_storage:
            if (epoxy_conservative_has_gl_extension("GL_EXT_texture_storage"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_timer_query:
            if (epoxy_conservative_has_gl_extension("GL_EXT_timer_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_transform_feedback:
            if (epoxy_conservative_has_gl_extension("GL_EXT_transform_feedback"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_vertex_array:
            if (epoxy_conservative_has_gl_extension("GL_EXT_vertex_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_vertex_attrib_64bit:
            if (epoxy_conservative_has_gl_extension("GL_EXT_vertex_attrib_64bit"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_vertex_shader:
            if (epoxy_conservative_has_gl_extension("GL_EXT_vertex_shader"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_vertex_weighting:
            if (epoxy_conservative_has_gl_extension("GL_EXT_vertex_weighting"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_x11_sync_object:
            if (epoxy_conservative_has_gl_extension("GL_EXT_x11_sync_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_GREMEDY_frame_terminator:
            if (epoxy_conservative_has_gl_extension("GL_GREMEDY_frame_terminator"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_GREMEDY_string_marker:
            if (epoxy_conservative_has_gl_extension("GL_GREMEDY_string_marker"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_HP_image_transform:
            if (epoxy_conservative_has_gl_extension("GL_HP_image_transform"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_IBM_multimode_draw_arrays:
            if (epoxy_conservative_has_gl_extension("GL_IBM_multimode_draw_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_IBM_static_data:
            if (epoxy_conservative_has_gl_extension("GL_IBM_static_data"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_IBM_vertex_array_lists:
            if (epoxy_conservative_has_gl_extension("GL_IBM_vertex_array_lists"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_IMG_multisampled_render_to_texture:
            if (epoxy_conservative_has_gl_extension("GL_IMG_multisampled_render_to_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_IMG_user_clip_plane:
            if (epoxy_conservative_has_gl_extension("GL_IMG_user_clip_plane"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_INGR_blend_func_separate:
            if (epoxy_conservative_has_gl_extension("GL_INGR_blend_func_separate"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_INTEL_map_texture:
            if (epoxy_conservative_has_gl_extension("GL_INTEL_map_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_INTEL_parallel_arrays:
            if (epoxy_conservative_has_gl_extension("GL_INTEL_parallel_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_INTEL_performance_query:
            if (epoxy_conservative_has_gl_extension("GL_INTEL_performance_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_KHR_debug:
            if (epoxy_conservative_has_gl_extension("GL_KHR_debug"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_MESA_resize_buffers:
            if (epoxy_conservative_has_gl_extension("GL_MESA_resize_buffers"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_MESA_window_pos:
            if (epoxy_conservative_has_gl_extension("GL_MESA_window_pos"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NVX_conditional_render:
            if (epoxy_conservative_has_gl_extension("GL_NVX_conditional_render"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_bindless_multi_draw_indirect:
            if (epoxy_conservative_has_gl_extension("GL_NV_bindless_multi_draw_indirect"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_bindless_texture:
            if (epoxy_conservative_has_gl_extension("GL_NV_bindless_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_blend_equation_advanced:
            if (epoxy_conservative_has_gl_extension("GL_NV_blend_equation_advanced"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_conditional_render:
            if (epoxy_conservative_has_gl_extension("GL_NV_conditional_render"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_copy_buffer:
            if (epoxy_conservative_has_gl_extension("GL_NV_copy_buffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_copy_image:
            if (epoxy_conservative_has_gl_extension("GL_NV_copy_image"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_coverage_sample:
            if (epoxy_conservative_has_gl_extension("GL_NV_coverage_sample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_depth_buffer_float:
            if (epoxy_conservative_has_gl_extension("GL_NV_depth_buffer_float"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_draw_buffers:
            if (epoxy_conservative_has_gl_extension("GL_NV_draw_buffers"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_draw_instanced:
            if (epoxy_conservative_has_gl_extension("GL_NV_draw_instanced"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_draw_texture:
            if (epoxy_conservative_has_gl_extension("GL_NV_draw_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_evaluators:
            if (epoxy_conservative_has_gl_extension("GL_NV_evaluators"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_explicit_multisample:
            if (epoxy_conservative_has_gl_extension("GL_NV_explicit_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_fence:
            if (epoxy_conservative_has_gl_extension("GL_NV_fence"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_fragment_program:
            if (epoxy_conservative_has_gl_extension("GL_NV_fragment_program"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_framebuffer_blit:
            if (epoxy_conservative_has_gl_extension("GL_NV_framebuffer_blit"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_framebuffer_multisample:
            if (epoxy_conservative_has_gl_extension("GL_NV_framebuffer_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_framebuffer_multisample_coverage:
            if (epoxy_conservative_has_gl_extension("GL_NV_framebuffer_multisample_coverage"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_geometry_program4:
            if (epoxy_conservative_has_gl_extension("GL_NV_geometry_program4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_gpu_program4:
            if (epoxy_conservative_has_gl_extension("GL_NV_gpu_program4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_gpu_program5:
            if (epoxy_conservative_has_gl_extension("GL_NV_gpu_program5"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_gpu_shader5:
            if (epoxy_conservative_has_gl_extension("GL_NV_gpu_shader5"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_half_float:
            if (epoxy_conservative_has_gl_extension("GL_NV_half_float"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_instanced_arrays:
            if (epoxy_conservative_has_gl_extension("GL_NV_instanced_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_non_square_matrices:
            if (epoxy_conservative_has_gl_extension("GL_NV_non_square_matrices"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_occlusion_query:
            if (epoxy_conservative_has_gl_extension("GL_NV_occlusion_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_parameter_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_NV_parameter_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_path_rendering:
            if (epoxy_conservative_has_gl_extension("GL_NV_path_rendering"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_pixel_data_range:
            if (epoxy_conservative_has_gl_extension("GL_NV_pixel_data_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_point_sprite:
            if (epoxy_conservative_has_gl_extension("GL_NV_point_sprite"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_present_video:
            if (epoxy_conservative_has_gl_extension("GL_NV_present_video"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_primitive_restart:
            if (epoxy_conservative_has_gl_extension("GL_NV_primitive_restart"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_read_buffer:
            if (epoxy_conservative_has_gl_extension("GL_NV_read_buffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_register_combiners2:
            if (epoxy_conservative_has_gl_extension("GL_NV_register_combiners2"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_register_combiners:
            if (epoxy_conservative_has_gl_extension("GL_NV_register_combiners"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_shader_buffer_load:
            if (epoxy_conservative_has_gl_extension("GL_NV_shader_buffer_load"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_texture_barrier:
            if (epoxy_conservative_has_gl_extension("GL_NV_texture_barrier"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_texture_multisample:
            if (epoxy_conservative_has_gl_extension("GL_NV_texture_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_transform_feedback2:
            if (epoxy_conservative_has_gl_extension("GL_NV_transform_feedback2"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_transform_feedback:
            if (epoxy_conservative_has_gl_extension("GL_NV_transform_feedback"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_vdpau_interop:
            if (epoxy_conservative_has_gl_extension("GL_NV_vdpau_interop"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_vertex_array_range:
            if (epoxy_conservative_has_gl_extension("GL_NV_vertex_array_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_vertex_attrib_integer_64bit:
            if (epoxy_conservative_has_gl_extension("GL_NV_vertex_attrib_integer_64bit"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_vertex_buffer_unified_memory:
            if (epoxy_conservative_has_gl_extension("GL_NV_vertex_buffer_unified_memory"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_vertex_program4:
            if (epoxy_conservative_has_gl_extension("GL_NV_vertex_program4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_vertex_program:
            if (epoxy_conservative_has_gl_extension("GL_NV_vertex_program"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_video_capture:
            if (epoxy_conservative_has_gl_extension("GL_NV_video_capture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_EGL_image:
            if (epoxy_conservative_has_gl_extension("GL_OES_EGL_image"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_blend_equation_separate:
            if (epoxy_conservative_has_gl_extension("GL_OES_blend_equation_separate"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_blend_func_separate:
            if (epoxy_conservative_has_gl_extension("GL_OES_blend_func_separate"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_blend_subtract:
            if (epoxy_conservative_has_gl_extension("GL_OES_blend_subtract"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_byte_coordinates:
            if (epoxy_conservative_has_gl_extension("GL_OES_byte_coordinates"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_draw_texture:
            if (epoxy_conservative_has_gl_extension("GL_OES_draw_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_fixed_point:
            if (epoxy_conservative_has_gl_extension("GL_OES_fixed_point"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_framebuffer_object:
            if (epoxy_conservative_has_gl_extension("GL_OES_framebuffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_get_program_binary:
            if (epoxy_conservative_has_gl_extension("GL_OES_get_program_binary"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_mapbuffer:
            if (epoxy_conservative_has_gl_extension("GL_OES_mapbuffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_matrix_palette:
            if (epoxy_conservative_has_gl_extension("GL_OES_matrix_palette"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_point_size_array:
            if (epoxy_conservative_has_gl_extension("GL_OES_point_size_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_query_matrix:
            if (epoxy_conservative_has_gl_extension("GL_OES_query_matrix"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_single_precision:
            if (epoxy_conservative_has_gl_extension("GL_OES_single_precision"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_texture_3D:
            if (epoxy_conservative_has_gl_extension("GL_OES_texture_3D"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_texture_cube_map:
            if (epoxy_conservative_has_gl_extension("GL_OES_texture_cube_map"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_vertex_array_object:
            if (epoxy_conservative_has_gl_extension("GL_OES_vertex_array_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_PGI_misc_hints:
            if (epoxy_conservative_has_gl_extension("GL_PGI_misc_hints"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_QCOM_alpha_test:
            if (epoxy_conservative_has_gl_extension("GL_QCOM_alpha_test"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_QCOM_driver_control:
            if (epoxy_conservative_has_gl_extension("GL_QCOM_driver_control"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_QCOM_extended_get2:
            if (epoxy_conservative_has_gl_extension("GL_QCOM_extended_get2"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_QCOM_extended_get:
            if (epoxy_conservative_has_gl_extension("GL_QCOM_extended_get"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_QCOM_tiled_rendering:
            if (epoxy_conservative_has_gl_extension("GL_QCOM_tiled_rendering"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_detail_texture:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_detail_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_fog_function:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_fog_function"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_multisample:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_pixel_texture:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_pixel_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_point_parameters:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_point_parameters"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_sharpen_texture:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_sharpen_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_texture4D:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_texture4D"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_texture_color_mask:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_texture_color_mask"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_texture_filter4:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_texture_filter4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_async:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_async"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_flush_raster:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_flush_raster"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_fragment_lighting:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_fragment_lighting"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_framezoom:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_framezoom"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_igloo_interface:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_igloo_interface"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_instruments:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_instruments"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_list_priority:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_list_priority"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_pixel_texture:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_pixel_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_polynomial_ffd:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_polynomial_ffd"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_reference_plane:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_reference_plane"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_sprite:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_sprite"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_tag_sample_buffer:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_tag_sample_buffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGI_color_table:
            if (epoxy_conservative_has_gl_extension("GL_SGI_color_table"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SUNX_constant_data:
            if (epoxy_conservative_has_gl_extension("GL_SUNX_constant_data"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SUN_global_alpha:
            if (epoxy_conservative_has_gl_extension("GL_SUN_global_alpha"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SUN_mesh_array:
            if (epoxy_conservative_has_gl_extension("GL_SUN_mesh_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SUN_triangle_list:
            if (epoxy_conservative_has_gl_extension("GL_SUN_triangle_list"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SUN_vertex:
            if (epoxy_conservative_has_gl_extension("GL_SUN_vertex"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case OpenGL_ES_1_0:
            if (!epoxy_is_desktop_gl() && epoxy_gl_version() >= 10 && epoxy_gl_version() < 20)
                return epoxy_gles1_dlsym(entrypoint_strings + entrypoints[i]);
            break;
        case OpenGL_ES_2_0:
            if (!epoxy_is_desktop_gl() && epoxy_gl_version() >= 20)
                return epoxy_gles2_dlsym(entrypoint_strings + entrypoints[i]);
            break;
        case OpenGL_ES_3_0:
            if (!epoxy_is_desktop_gl() && epoxy_gl_version() >= 30)
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case always_present:
            if (true)
                return epoxy_get_bootstrap_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case gl_provider_terminator:
            abort(); /* Not reached */
        }
    }

    epoxy_print_failure_reasons(name, enum_strings, (const int *)providers);
    abort();
}

static void *
gl_single_resolver(enum gl_provider provider, uint16_t entrypoint_offset) __attribute__((noinline));

static void *
gl_single_resolver(enum gl_provider provider, uint16_t entrypoint_offset)
{
    enum gl_provider providers[] = {
        provider,
        gl_provider_terminator
    };
    return gl_provider_resolver(entrypoint_strings + entrypoint_offset,
                                providers, &entrypoint_offset);
}

static PFNGLACCUMPROC
epoxy_glAccum_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 0 /* glAccum */);
}

static PFNGLACCUMXOESPROC
epoxy_glAccumxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 8 /* glAccumxOES */);
}

static PFNGLACTIVEPROGRAMEXTPROC
epoxy_glActiveProgramEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 20 /* glActiveProgramEXT */);
}

static PFNGLACTIVESHADERPROGRAMPROC
epoxy_glActiveShaderProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39 /* "glActiveShaderProgram" */,
        39 /* "glActiveShaderProgram" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39 /* "glActiveShaderProgram" */,
                                providers, entrypoints);
}

static PFNGLACTIVESHADERPROGRAMEXTPROC
epoxy_glActiveShaderProgramEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 61 /* glActiveShaderProgramEXT */);
}

static PFNGLACTIVESTENCILFACEEXTPROC
epoxy_glActiveStencilFaceEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_stencil_two_side, 86 /* glActiveStencilFaceEXT */);
}

static PFNGLACTIVETEXTUREPROC
epoxy_glActiveTexture_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        109 /* "glActiveTexture" */,
        109 /* "glActiveTexture" */,
        109 /* "glActiveTexture" */,
        125 /* "glActiveTextureARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 109 /* "glActiveTexture" */,
                                providers, entrypoints);
}

static PFNGLACTIVEVARYINGNVPROC
epoxy_glActiveVaryingNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 144 /* glActiveVaryingNV */);
}

static PFNGLALPHAFRAGMENTOP1ATIPROC
epoxy_glAlphaFragmentOp1ATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 162 /* glAlphaFragmentOp1ATI */);
}

static PFNGLALPHAFRAGMENTOP2ATIPROC
epoxy_glAlphaFragmentOp2ATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 184 /* glAlphaFragmentOp2ATI */);
}

static PFNGLALPHAFRAGMENTOP3ATIPROC
epoxy_glAlphaFragmentOp3ATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 206 /* glAlphaFragmentOp3ATI */);
}

static PFNGLALPHAFUNCPROC
epoxy_glAlphaFunc_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        228 /* "glAlphaFunc" */,
        228 /* "glAlphaFunc" */,
    };
    return gl_provider_resolver(entrypoint_strings + 228 /* "glAlphaFunc" */,
                                providers, entrypoints);
}

static PFNGLALPHAFUNCQCOMPROC
epoxy_glAlphaFuncQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_alpha_test, 240 /* glAlphaFuncQCOM */);
}

static PFNGLALPHAFUNCXPROC
epoxy_glAlphaFuncx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 256 /* glAlphaFuncx */);
}

static PFNGLALPHAFUNCXOESPROC
epoxy_glAlphaFuncxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 269 /* glAlphaFuncxOES */);
}

static PFNGLAPPLYTEXTUREEXTPROC
epoxy_glApplyTextureEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_light_texture, 285 /* glApplyTextureEXT */);
}

static PFNGLAREPROGRAMSRESIDENTNVPROC
epoxy_glAreProgramsResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 303 /* glAreProgramsResidentNV */);
}

static PFNGLARETEXTURESRESIDENTPROC
epoxy_glAreTexturesResident_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 327 /* glAreTexturesResident */);
}

static PFNGLARETEXTURESRESIDENTEXTPROC
epoxy_glAreTexturesResidentEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_object, 349 /* glAreTexturesResidentEXT */);
}

static PFNGLARRAYELEMENTPROC
epoxy_glArrayElement_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_vertex_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        374 /* "glArrayElement" */,
        389 /* "glArrayElementEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 374 /* "glArrayElement" */,
                                providers, entrypoints);
}

static PFNGLARRAYOBJECTATIPROC
epoxy_glArrayObjectATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 407 /* glArrayObjectATI */);
}

static PFNGLASYNCMARKERSGIXPROC
epoxy_glAsyncMarkerSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_async, 424 /* glAsyncMarkerSGIX */);
}

static PFNGLATTACHSHADERPROC
epoxy_glAttachShader_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        460 /* "glAttachShader" */,
        460 /* "glAttachShader" */,
        442 /* "glAttachObjectARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 460 /* "glAttachShader" */,
                                providers, entrypoints);
}

static PFNGLBEGINPROC
epoxy_glBegin_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 475 /* glBegin */);
}

static PFNGLBEGINCONDITIONALRENDERPROC
epoxy_glBeginConditionalRender_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_conditional_render,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        483 /* "glBeginConditionalRender" */,
        508 /* "glBeginConditionalRenderNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 483 /* "glBeginConditionalRender" */,
                                providers, entrypoints);
}

static PFNGLBEGINCONDITIONALRENDERNVXPROC
epoxy_glBeginConditionalRenderNVX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NVX_conditional_render, 535 /* glBeginConditionalRenderNVX */);
}

static PFNGLBEGINFRAGMENTSHADERATIPROC
epoxy_glBeginFragmentShaderATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 563 /* glBeginFragmentShaderATI */);
}

static PFNGLBEGINOCCLUSIONQUERYNVPROC
epoxy_glBeginOcclusionQueryNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 588 /* glBeginOcclusionQueryNV */);
}

static PFNGLBEGINPERFMONITORAMDPROC
epoxy_glBeginPerfMonitorAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 612 /* glBeginPerfMonitorAMD */);
}

static PFNGLBEGINPERFQUERYINTELPROC
epoxy_glBeginPerfQueryINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 634 /* glBeginPerfQueryINTEL */);
}

static PFNGLBEGINQUERYPROC
epoxy_glBeginQuery_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        656 /* "glBeginQuery" */,
        656 /* "glBeginQuery" */,
        669 /* "glBeginQueryARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 656 /* "glBeginQuery" */,
                                providers, entrypoints);
}

static PFNGLBEGINQUERYEXTPROC
epoxy_glBeginQueryEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        685 /* "glBeginQueryEXT" */,
        685 /* "glBeginQueryEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 685 /* "glBeginQueryEXT" */,
                                providers, entrypoints);
}

static PFNGLBEGINQUERYINDEXEDPROC
epoxy_glBeginQueryIndexed_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback3,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        701 /* "glBeginQueryIndexed" */,
        701 /* "glBeginQueryIndexed" */,
    };
    return gl_provider_resolver(entrypoint_strings + 701 /* "glBeginQueryIndexed" */,
                                providers, entrypoints);
}

static PFNGLBEGINTRANSFORMFEEDBACKPROC
epoxy_glBeginTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_transform_feedback,
        GL_extension_GL_EXT_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        721 /* "glBeginTransformFeedback" */,
        721 /* "glBeginTransformFeedback" */,
        774 /* "glBeginTransformFeedbackNV" */,
        746 /* "glBeginTransformFeedbackEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 721 /* "glBeginTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLBEGINVERTEXSHADEREXTPROC
epoxy_glBeginVertexShaderEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 801 /* glBeginVertexShaderEXT */);
}

static PFNGLBEGINVIDEOCAPTURENVPROC
epoxy_glBeginVideoCaptureNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 824 /* glBeginVideoCaptureNV */);
}

static PFNGLBINDATTRIBLOCATIONPROC
epoxy_glBindAttribLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        846 /* "glBindAttribLocation" */,
        846 /* "glBindAttribLocation" */,
        867 /* "glBindAttribLocationARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 846 /* "glBindAttribLocation" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERPROC
epoxy_glBindBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        891 /* "glBindBuffer" */,
        891 /* "glBindBuffer" */,
        891 /* "glBindBuffer" */,
        904 /* "glBindBufferARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 891 /* "glBindBuffer" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERBASEPROC
epoxy_glBindBufferBase_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_transform_feedback,
        GL_extension_GL_EXT_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        920 /* "glBindBufferBase" */,
        920 /* "glBindBufferBase" */,
        957 /* "glBindBufferBaseNV" */,
        937 /* "glBindBufferBaseEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 920 /* "glBindBufferBase" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFEROFFSETEXTPROC
epoxy_glBindBufferOffsetEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_transform_feedback,
        GL_extension_GL_NV_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        976 /* "glBindBufferOffsetEXT" */,
        998 /* "glBindBufferOffsetNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 976 /* "glBindBufferOffsetEXT" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERRANGEPROC
epoxy_glBindBufferRange_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_transform_feedback,
        GL_extension_GL_NV_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1019 /* "glBindBufferRange" */,
        1019 /* "glBindBufferRange" */,
        1037 /* "glBindBufferRangeEXT" */,
        1058 /* "glBindBufferRangeNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1019 /* "glBindBufferRange" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERSBASEPROC
epoxy_glBindBuffersBase_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_bind,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1078 /* "glBindBuffersBase" */,
        1078 /* "glBindBuffersBase" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1078 /* "glBindBuffersBase" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERSRANGEPROC
epoxy_glBindBuffersRange_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_bind,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1096 /* "glBindBuffersRange" */,
        1096 /* "glBindBuffersRange" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1096 /* "glBindBuffersRange" */,
                                providers, entrypoints);
}

static PFNGLBINDFRAGDATALOCATIONPROC
epoxy_glBindFragDataLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1115 /* "glBindFragDataLocation" */,
        1138 /* "glBindFragDataLocationEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1115 /* "glBindFragDataLocation" */,
                                providers, entrypoints);
}

static PFNGLBINDFRAGDATALOCATIONINDEXEDPROC
epoxy_glBindFragDataLocationIndexed_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_blend_func_extended,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1164 /* "glBindFragDataLocationIndexed" */,
        1164 /* "glBindFragDataLocationIndexed" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1164 /* "glBindFragDataLocationIndexed" */,
                                providers, entrypoints);
}

static PFNGLBINDFRAGMENTSHADERATIPROC
epoxy_glBindFragmentShaderATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 1194 /* glBindFragmentShaderATI */);
}

static PFNGLBINDFRAMEBUFFERPROC
epoxy_glBindFramebuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1218 /* "glBindFramebuffer" */,
        1218 /* "glBindFramebuffer" */,
        1218 /* "glBindFramebuffer" */,
        1236 /* "glBindFramebufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1218 /* "glBindFramebuffer" */,
                                providers, entrypoints);
}

static PFNGLBINDFRAMEBUFFEREXTPROC
epoxy_glBindFramebufferEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1236 /* "glBindFramebufferEXT" */,
        1218 /* "glBindFramebuffer" */,
        1218 /* "glBindFramebuffer" */,
        1218 /* "glBindFramebuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1236 /* "glBindFramebufferEXT" */,
                                providers, entrypoints);
}

static PFNGLBINDFRAMEBUFFEROESPROC
epoxy_glBindFramebufferOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 1257 /* glBindFramebufferOES */);
}

static PFNGLBINDIMAGETEXTUREPROC
epoxy_glBindImageTexture_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_2,
        GL_extension_GL_ARB_shader_image_load_store,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1278 /* "glBindImageTexture" */,
        1278 /* "glBindImageTexture" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1278 /* "glBindImageTexture" */,
                                providers, entrypoints);
}

static PFNGLBINDIMAGETEXTUREEXTPROC
epoxy_glBindImageTextureEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_shader_image_load_store, 1297 /* glBindImageTextureEXT */);
}

static PFNGLBINDIMAGETEXTURESPROC
epoxy_glBindImageTextures_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_bind,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1319 /* "glBindImageTextures" */,
        1319 /* "glBindImageTextures" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1319 /* "glBindImageTextures" */,
                                providers, entrypoints);
}

static PFNGLBINDLIGHTPARAMETEREXTPROC
epoxy_glBindLightParameterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 1339 /* glBindLightParameterEXT */);
}

static PFNGLBINDMATERIALPARAMETEREXTPROC
epoxy_glBindMaterialParameterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 1363 /* glBindMaterialParameterEXT */);
}

static PFNGLBINDMULTITEXTUREEXTPROC
epoxy_glBindMultiTextureEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 1390 /* glBindMultiTextureEXT */);
}

static PFNGLBINDPARAMETEREXTPROC
epoxy_glBindParameterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 1412 /* glBindParameterEXT */);
}

static PFNGLBINDPROGRAMARBPROC
epoxy_glBindProgramARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1431 /* "glBindProgramARB" */,
        1431 /* "glBindProgramARB" */,
        1448 /* "glBindProgramNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1431 /* "glBindProgramARB" */,
                                providers, entrypoints);
}

static PFNGLBINDPROGRAMPIPELINEPROC
epoxy_glBindProgramPipeline_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1464 /* "glBindProgramPipeline" */,
        1464 /* "glBindProgramPipeline" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1464 /* "glBindProgramPipeline" */,
                                providers, entrypoints);
}

static PFNGLBINDPROGRAMPIPELINEEXTPROC
epoxy_glBindProgramPipelineEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 1486 /* glBindProgramPipelineEXT */);
}

static PFNGLBINDRENDERBUFFERPROC
epoxy_glBindRenderbuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1511 /* "glBindRenderbuffer" */,
        1511 /* "glBindRenderbuffer" */,
        1511 /* "glBindRenderbuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1511 /* "glBindRenderbuffer" */,
                                providers, entrypoints);
}

static PFNGLBINDRENDERBUFFEREXTPROC
epoxy_glBindRenderbufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_framebuffer_object, 1530 /* glBindRenderbufferEXT */);
}

static PFNGLBINDRENDERBUFFEROESPROC
epoxy_glBindRenderbufferOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 1552 /* glBindRenderbufferOES */);
}

static PFNGLBINDSAMPLERPROC
epoxy_glBindSampler_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1574 /* "glBindSampler" */,
        1574 /* "glBindSampler" */,
        1574 /* "glBindSampler" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1574 /* "glBindSampler" */,
                                providers, entrypoints);
}

static PFNGLBINDSAMPLERSPROC
epoxy_glBindSamplers_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_bind,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1588 /* "glBindSamplers" */,
        1588 /* "glBindSamplers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1588 /* "glBindSamplers" */,
                                providers, entrypoints);
}

static PFNGLBINDTEXGENPARAMETEREXTPROC
epoxy_glBindTexGenParameterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 1603 /* glBindTexGenParameterEXT */);
}

static PFNGLBINDTEXTUREPROC
epoxy_glBindTexture_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_texture_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1628 /* "glBindTexture" */,
        1628 /* "glBindTexture" */,
        1628 /* "glBindTexture" */,
        1642 /* "glBindTextureEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1628 /* "glBindTexture" */,
                                providers, entrypoints);
}

static PFNGLBINDTEXTUREUNITPARAMETEREXTPROC
epoxy_glBindTextureUnitParameterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 1659 /* glBindTextureUnitParameterEXT */);
}

static PFNGLBINDTEXTURESPROC
epoxy_glBindTextures_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_bind,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1689 /* "glBindTextures" */,
        1689 /* "glBindTextures" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1689 /* "glBindTextures" */,
                                providers, entrypoints);
}

static PFNGLBINDTRANSFORMFEEDBACKPROC
epoxy_glBindTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback2,
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1704 /* "glBindTransformFeedback" */,
        1704 /* "glBindTransformFeedback" */,
        1704 /* "glBindTransformFeedback" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1704 /* "glBindTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLBINDTRANSFORMFEEDBACKNVPROC
epoxy_glBindTransformFeedbackNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback2, 1728 /* glBindTransformFeedbackNV */);
}

static PFNGLBINDVERTEXARRAYPROC
epoxy_glBindVertexArray_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_OES_vertex_array_object,
        GL_extension_GL_APPLE_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1754 /* "glBindVertexArray" */,
        1754 /* "glBindVertexArray" */,
        1754 /* "glBindVertexArray" */,
        1795 /* "glBindVertexArrayOES" */,
        1772 /* "glBindVertexArrayAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1754 /* "glBindVertexArray" */,
                                providers, entrypoints);
}

static PFNGLBINDVERTEXARRAYAPPLEPROC
epoxy_glBindVertexArrayAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_vertex_array_object,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1772 /* "glBindVertexArrayAPPLE" */,
        1754 /* "glBindVertexArray" */,
        1754 /* "glBindVertexArray" */,
        1754 /* "glBindVertexArray" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1772 /* "glBindVertexArrayAPPLE" */,
                                providers, entrypoints);
}

static PFNGLBINDVERTEXBUFFERPROC
epoxy_glBindVertexBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_binding,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1816 /* "glBindVertexBuffer" */,
        1816 /* "glBindVertexBuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1816 /* "glBindVertexBuffer" */,
                                providers, entrypoints);
}

static PFNGLBINDVERTEXBUFFERSPROC
epoxy_glBindVertexBuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_bind,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1835 /* "glBindVertexBuffers" */,
        1835 /* "glBindVertexBuffers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1835 /* "glBindVertexBuffers" */,
                                providers, entrypoints);
}

static PFNGLBINDVERTEXSHADEREXTPROC
epoxy_glBindVertexShaderEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 1855 /* glBindVertexShaderEXT */);
}

static PFNGLBINDVIDEOCAPTURESTREAMBUFFERNVPROC
epoxy_glBindVideoCaptureStreamBufferNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 1877 /* glBindVideoCaptureStreamBufferNV */);
}

static PFNGLBINDVIDEOCAPTURESTREAMTEXTURENVPROC
epoxy_glBindVideoCaptureStreamTextureNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 1910 /* glBindVideoCaptureStreamTextureNV */);
}

static PFNGLBINORMAL3BEXTPROC
epoxy_glBinormal3bEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 1944 /* glBinormal3bEXT */);
}

static PFNGLBINORMAL3BVEXTPROC
epoxy_glBinormal3bvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 1960 /* glBinormal3bvEXT */);
}

static PFNGLBINORMAL3DEXTPROC
epoxy_glBinormal3dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 1977 /* glBinormal3dEXT */);
}

static PFNGLBINORMAL3DVEXTPROC
epoxy_glBinormal3dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 1993 /* glBinormal3dvEXT */);
}

static PFNGLBINORMAL3FEXTPROC
epoxy_glBinormal3fEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2010 /* glBinormal3fEXT */);
}

static PFNGLBINORMAL3FVEXTPROC
epoxy_glBinormal3fvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2026 /* glBinormal3fvEXT */);
}

static PFNGLBINORMAL3IEXTPROC
epoxy_glBinormal3iEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2043 /* glBinormal3iEXT */);
}

static PFNGLBINORMAL3IVEXTPROC
epoxy_glBinormal3ivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2059 /* glBinormal3ivEXT */);
}

static PFNGLBINORMAL3SEXTPROC
epoxy_glBinormal3sEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2076 /* glBinormal3sEXT */);
}

static PFNGLBINORMAL3SVEXTPROC
epoxy_glBinormal3svEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2092 /* glBinormal3svEXT */);
}

static PFNGLBINORMALPOINTEREXTPROC
epoxy_glBinormalPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2109 /* glBinormalPointerEXT */);
}

static PFNGLBITMAPPROC
epoxy_glBitmap_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 2130 /* glBitmap */);
}

static PFNGLBITMAPXOESPROC
epoxy_glBitmapxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 2139 /* glBitmapxOES */);
}

static PFNGLBLENDBARRIERNVPROC
epoxy_glBlendBarrierNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_blend_equation_advanced, 2152 /* glBlendBarrierNV */);
}

static PFNGLBLENDCOLORPROC
epoxy_glBlendColor_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_imaging,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_blend_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2169 /* "glBlendColor" */,
        2169 /* "glBlendColor" */,
        2169 /* "glBlendColor" */,
        2182 /* "glBlendColorEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2169 /* "glBlendColor" */,
                                providers, entrypoints);
}

static PFNGLBLENDCOLORXOESPROC
epoxy_glBlendColorxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 2198 /* glBlendColorxOES */);
}

static PFNGLBLENDEQUATIONPROC
epoxy_glBlendEquation_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_imaging,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_blend_minmax,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2215 /* "glBlendEquation" */,
        2215 /* "glBlendEquation" */,
        2215 /* "glBlendEquation" */,
        2231 /* "glBlendEquationEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2215 /* "glBlendEquation" */,
                                providers, entrypoints);
}

static PFNGLBLENDEQUATIONOESPROC
epoxy_glBlendEquationOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_blend_subtract, 2276 /* glBlendEquationOES */);
}

static PFNGLBLENDEQUATIONSEPARATEPROC
epoxy_glBlendEquationSeparate_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_blend_equation_separate,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2295 /* "glBlendEquationSeparate" */,
        2295 /* "glBlendEquationSeparate" */,
        2319 /* "glBlendEquationSeparateEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2295 /* "glBlendEquationSeparate" */,
                                providers, entrypoints);
}

static PFNGLBLENDEQUATIONSEPARATEOESPROC
epoxy_glBlendEquationSeparateOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_blend_equation_separate, 2380 /* glBlendEquationSeparateOES */);
}

static PFNGLBLENDEQUATIONSEPARATEIPROC
epoxy_glBlendEquationSeparatei_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_AMD_draw_buffers_blend,
        GL_extension_GL_ARB_draw_buffers_blend,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2407 /* "glBlendEquationSeparatei" */,
        2346 /* "glBlendEquationSeparateIndexedAMD" */,
        2432 /* "glBlendEquationSeparateiARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2407 /* "glBlendEquationSeparatei" */,
                                providers, entrypoints);
}

static PFNGLBLENDEQUATIONIPROC
epoxy_glBlendEquationi_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_draw_buffers_blend,
        GL_extension_GL_AMD_draw_buffers_blend,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2460 /* "glBlendEquationi" */,
        2477 /* "glBlendEquationiARB" */,
        2250 /* "glBlendEquationIndexedAMD" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2460 /* "glBlendEquationi" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCPROC
epoxy_glBlendFunc_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2497 /* "glBlendFunc" */,
        2497 /* "glBlendFunc" */,
        2497 /* "glBlendFunc" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2497 /* "glBlendFunc" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCSEPARATEPROC
epoxy_glBlendFuncSeparate_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        OpenGL_ES_2_0,
        GL_extension_GL_INGR_blend_func_separate,
        GL_extension_GL_EXT_blend_func_separate,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2531 /* "glBlendFuncSeparate" */,
        2531 /* "glBlendFuncSeparate" */,
        2574 /* "glBlendFuncSeparateINGR" */,
        2551 /* "glBlendFuncSeparateEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2531 /* "glBlendFuncSeparate" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCSEPARATEOESPROC
epoxy_glBlendFuncSeparateOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_blend_func_separate, 2628 /* glBlendFuncSeparateOES */);
}

static PFNGLBLENDFUNCSEPARATEIPROC
epoxy_glBlendFuncSeparatei_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_draw_buffers_blend,
        GL_extension_GL_AMD_draw_buffers_blend,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2651 /* "glBlendFuncSeparatei" */,
        2672 /* "glBlendFuncSeparateiARB" */,
        2598 /* "glBlendFuncSeparateIndexedAMD" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2651 /* "glBlendFuncSeparatei" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCIPROC
epoxy_glBlendFunci_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_draw_buffers_blend,
        GL_extension_GL_AMD_draw_buffers_blend,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2696 /* "glBlendFunci" */,
        2709 /* "glBlendFunciARB" */,
        2509 /* "glBlendFuncIndexedAMD" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2696 /* "glBlendFunci" */,
                                providers, entrypoints);
}

static PFNGLBLENDPARAMETERINVPROC
epoxy_glBlendParameteriNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_blend_equation_advanced, 2725 /* glBlendParameteriNV */);
}

static PFNGLBLITFRAMEBUFFERPROC
epoxy_glBlitFramebuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_NV_framebuffer_blit,
        GL_extension_GL_EXT_framebuffer_blit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2745 /* "glBlitFramebuffer" */,
        2745 /* "glBlitFramebuffer" */,
        2745 /* "glBlitFramebuffer" */,
        2807 /* "glBlitFramebufferNV" */,
        2786 /* "glBlitFramebufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2745 /* "glBlitFramebuffer" */,
                                providers, entrypoints);
}

static PFNGLBLITFRAMEBUFFERANGLEPROC
epoxy_glBlitFramebufferANGLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ANGLE_framebuffer_blit, 2763 /* glBlitFramebufferANGLE */);
}

static PFNGLBUFFERADDRESSRANGENVPROC
epoxy_glBufferAddressRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 2827 /* glBufferAddressRangeNV */);
}

static PFNGLBUFFERDATAPROC
epoxy_glBufferData_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2850 /* "glBufferData" */,
        2850 /* "glBufferData" */,
        2850 /* "glBufferData" */,
        2863 /* "glBufferDataARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2850 /* "glBufferData" */,
                                providers, entrypoints);
}

static PFNGLBUFFERPARAMETERIAPPLEPROC
epoxy_glBufferParameteriAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_flush_buffer_range, 2879 /* glBufferParameteriAPPLE */);
}

static PFNGLBUFFERSTORAGEPROC
epoxy_glBufferStorage_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_buffer_storage,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2903 /* "glBufferStorage" */,
        2903 /* "glBufferStorage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2903 /* "glBufferStorage" */,
                                providers, entrypoints);
}

static PFNGLBUFFERSUBDATAPROC
epoxy_glBufferSubData_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2919 /* "glBufferSubData" */,
        2919 /* "glBufferSubData" */,
        2919 /* "glBufferSubData" */,
        2935 /* "glBufferSubDataARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2919 /* "glBufferSubData" */,
                                providers, entrypoints);
}

static PFNGLCALLLISTPROC
epoxy_glCallList_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 2954 /* glCallList */);
}

static PFNGLCALLLISTSPROC
epoxy_glCallLists_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 2965 /* glCallLists */);
}

static PFNGLCHECKFRAMEBUFFERSTATUSPROC
epoxy_glCheckFramebufferStatus_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2977 /* "glCheckFramebufferStatus" */,
        2977 /* "glCheckFramebufferStatus" */,
        2977 /* "glCheckFramebufferStatus" */,
        3002 /* "glCheckFramebufferStatusEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2977 /* "glCheckFramebufferStatus" */,
                                providers, entrypoints);
}

static PFNGLCHECKFRAMEBUFFERSTATUSOESPROC
epoxy_glCheckFramebufferStatusOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 3030 /* glCheckFramebufferStatusOES */);
}

static PFNGLCHECKNAMEDFRAMEBUFFERSTATUSEXTPROC
epoxy_glCheckNamedFramebufferStatusEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 3058 /* glCheckNamedFramebufferStatusEXT */);
}

static PFNGLCLAMPCOLORPROC
epoxy_glClampColor_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_color_buffer_float,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3091 /* "glClampColor" */,
        3104 /* "glClampColorARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3091 /* "glClampColor" */,
                                providers, entrypoints);
}

static PFNGLCLEARPROC
epoxy_glClear_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3120 /* "glClear" */,
        3120 /* "glClear" */,
        3120 /* "glClear" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3120 /* "glClear" */,
                                providers, entrypoints);
}

static PFNGLCLEARACCUMPROC
epoxy_glClearAccum_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3128 /* glClearAccum */);
}

static PFNGLCLEARACCUMXOESPROC
epoxy_glClearAccumxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 3141 /* glClearAccumxOES */);
}

static PFNGLCLEARBUFFERDATAPROC
epoxy_glClearBufferData_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_clear_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3158 /* "glClearBufferData" */,
        3158 /* "glClearBufferData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3158 /* "glClearBufferData" */,
                                providers, entrypoints);
}

static PFNGLCLEARBUFFERSUBDATAPROC
epoxy_glClearBufferSubData_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_clear_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3176 /* "glClearBufferSubData" */,
        3176 /* "glClearBufferSubData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3176 /* "glClearBufferSubData" */,
                                providers, entrypoints);
}

static PFNGLCLEARBUFFERFIPROC
epoxy_glClearBufferfi_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3197 /* "glClearBufferfi" */,
        3197 /* "glClearBufferfi" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3197 /* "glClearBufferfi" */,
                                providers, entrypoints);
}

static PFNGLCLEARBUFFERFVPROC
epoxy_glClearBufferfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3213 /* "glClearBufferfv" */,
        3213 /* "glClearBufferfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3213 /* "glClearBufferfv" */,
                                providers, entrypoints);
}

static PFNGLCLEARBUFFERIVPROC
epoxy_glClearBufferiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3229 /* "glClearBufferiv" */,
        3229 /* "glClearBufferiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3229 /* "glClearBufferiv" */,
                                providers, entrypoints);
}

static PFNGLCLEARBUFFERUIVPROC
epoxy_glClearBufferuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3245 /* "glClearBufferuiv" */,
        3245 /* "glClearBufferuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3245 /* "glClearBufferuiv" */,
                                providers, entrypoints);
}

static PFNGLCLEARCOLORPROC
epoxy_glClearColor_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3262 /* "glClearColor" */,
        3262 /* "glClearColor" */,
        3262 /* "glClearColor" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3262 /* "glClearColor" */,
                                providers, entrypoints);
}

static PFNGLCLEARCOLORIIEXTPROC
epoxy_glClearColorIiEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_integer, 3275 /* glClearColorIiEXT */);
}

static PFNGLCLEARCOLORIUIEXTPROC
epoxy_glClearColorIuiEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_integer, 3293 /* glClearColorIuiEXT */);
}

static PFNGLCLEARCOLORXPROC
epoxy_glClearColorx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 3312 /* glClearColorx */);
}

static PFNGLCLEARCOLORXOESPROC
epoxy_glClearColorxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 3326 /* glClearColorxOES */);
}

static PFNGLCLEARDEPTHPROC
epoxy_glClearDepth_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3343 /* glClearDepth */);
}

static PFNGLCLEARDEPTHDNVPROC
epoxy_glClearDepthdNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_depth_buffer_float, 3356 /* glClearDepthdNV */);
}

static PFNGLCLEARDEPTHFPROC
epoxy_glClearDepthf_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        GL_extension_GL_ARB_ES2_compatibility,
        OpenGL_ES_2_0,
        Desktop_OpenGL_4_1,
        GL_extension_GL_OES_single_precision,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3372 /* "glClearDepthf" */,
        3372 /* "glClearDepthf" */,
        3372 /* "glClearDepthf" */,
        3372 /* "glClearDepthf" */,
        3386 /* "glClearDepthfOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3372 /* "glClearDepthf" */,
                                providers, entrypoints);
}

static PFNGLCLEARDEPTHXPROC
epoxy_glClearDepthx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 3403 /* glClearDepthx */);
}

static PFNGLCLEARDEPTHXOESPROC
epoxy_glClearDepthxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 3417 /* glClearDepthxOES */);
}

static PFNGLCLEARINDEXPROC
epoxy_glClearIndex_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3434 /* glClearIndex */);
}

static PFNGLCLEARNAMEDBUFFERDATAEXTPROC
epoxy_glClearNamedBufferDataEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 3447 /* glClearNamedBufferDataEXT */);
}

static PFNGLCLEARNAMEDBUFFERSUBDATAEXTPROC
epoxy_glClearNamedBufferSubDataEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 3473 /* glClearNamedBufferSubDataEXT */);
}

static PFNGLCLEARSTENCILPROC
epoxy_glClearStencil_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3502 /* "glClearStencil" */,
        3502 /* "glClearStencil" */,
        3502 /* "glClearStencil" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3502 /* "glClearStencil" */,
                                providers, entrypoints);
}

static PFNGLCLEARTEXIMAGEPROC
epoxy_glClearTexImage_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_4,
        GL_extension_GL_ARB_clear_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3517 /* "glClearTexImage" */,
        3517 /* "glClearTexImage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3517 /* "glClearTexImage" */,
                                providers, entrypoints);
}

static PFNGLCLEARTEXSUBIMAGEPROC
epoxy_glClearTexSubImage_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_4,
        GL_extension_GL_ARB_clear_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3533 /* "glClearTexSubImage" */,
        3533 /* "glClearTexSubImage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3533 /* "glClearTexSubImage" */,
                                providers, entrypoints);
}

static PFNGLCLIENTACTIVETEXTUREPROC
epoxy_glClientActiveTexture_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3552 /* "glClientActiveTexture" */,
        3552 /* "glClientActiveTexture" */,
        3574 /* "glClientActiveTextureARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3552 /* "glClientActiveTexture" */,
                                providers, entrypoints);
}

static PFNGLCLIENTACTIVEVERTEXSTREAMATIPROC
epoxy_glClientActiveVertexStreamATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 3599 /* glClientActiveVertexStreamATI */);
}

static PFNGLCLIENTATTRIBDEFAULTEXTPROC
epoxy_glClientAttribDefaultEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 3629 /* glClientAttribDefaultEXT */);
}

static PFNGLCLIENTWAITSYNCPROC
epoxy_glClientWaitSync_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_2,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3654 /* "glClientWaitSync" */,
        3654 /* "glClientWaitSync" */,
        3654 /* "glClientWaitSync" */,
        3671 /* "glClientWaitSyncAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3654 /* "glClientWaitSync" */,
                                providers, entrypoints);
}

static PFNGLCLIPPLANEPROC
epoxy_glClipPlane_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3693 /* glClipPlane */);
}

static PFNGLCLIPPLANEFPROC
epoxy_glClipPlanef_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 3705 /* glClipPlanef */);
}

static PFNGLCLIPPLANEFIMGPROC
epoxy_glClipPlanefIMG_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IMG_user_clip_plane, 3718 /* glClipPlanefIMG */);
}

static PFNGLCLIPPLANEFOESPROC
epoxy_glClipPlanefOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_single_precision, 3734 /* glClipPlanefOES */);
}

static PFNGLCLIPPLANEXPROC
epoxy_glClipPlanex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 3750 /* glClipPlanex */);
}

static PFNGLCLIPPLANEXIMGPROC
epoxy_glClipPlanexIMG_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IMG_user_clip_plane, 3763 /* glClipPlanexIMG */);
}

static PFNGLCLIPPLANEXOESPROC
epoxy_glClipPlanexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 3779 /* glClipPlanexOES */);
}

static PFNGLCOLOR3BPROC
epoxy_glColor3b_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3795 /* glColor3b */);
}

static PFNGLCOLOR3BVPROC
epoxy_glColor3bv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3805 /* glColor3bv */);
}

static PFNGLCOLOR3DPROC
epoxy_glColor3d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3816 /* glColor3d */);
}

static PFNGLCOLOR3DVPROC
epoxy_glColor3dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3826 /* glColor3dv */);
}

static PFNGLCOLOR3FPROC
epoxy_glColor3f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3837 /* glColor3f */);
}

static PFNGLCOLOR3FVERTEX3FSUNPROC
epoxy_glColor3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 3847 /* glColor3fVertex3fSUN */);
}

static PFNGLCOLOR3FVERTEX3FVSUNPROC
epoxy_glColor3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 3868 /* glColor3fVertex3fvSUN */);
}

static PFNGLCOLOR3FVPROC
epoxy_glColor3fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3890 /* glColor3fv */);
}

static PFNGLCOLOR3HNVPROC
epoxy_glColor3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 3901 /* glColor3hNV */);
}

static PFNGLCOLOR3HVNVPROC
epoxy_glColor3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 3913 /* glColor3hvNV */);
}

static PFNGLCOLOR3IPROC
epoxy_glColor3i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3926 /* glColor3i */);
}

static PFNGLCOLOR3IVPROC
epoxy_glColor3iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3936 /* glColor3iv */);
}

static PFNGLCOLOR3SPROC
epoxy_glColor3s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3947 /* glColor3s */);
}

static PFNGLCOLOR3SVPROC
epoxy_glColor3sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3957 /* glColor3sv */);
}

static PFNGLCOLOR3UBPROC
epoxy_glColor3ub_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3968 /* glColor3ub */);
}

static PFNGLCOLOR3UBVPROC
epoxy_glColor3ubv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3979 /* glColor3ubv */);
}

static PFNGLCOLOR3UIPROC
epoxy_glColor3ui_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3991 /* glColor3ui */);
}

static PFNGLCOLOR3UIVPROC
epoxy_glColor3uiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4002 /* glColor3uiv */);
}

static PFNGLCOLOR3USPROC
epoxy_glColor3us_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4014 /* glColor3us */);
}

static PFNGLCOLOR3USVPROC
epoxy_glColor3usv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4025 /* glColor3usv */);
}

static PFNGLCOLOR3XOESPROC
epoxy_glColor3xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 4037 /* glColor3xOES */);
}

static PFNGLCOLOR3XVOESPROC
epoxy_glColor3xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 4050 /* glColor3xvOES */);
}

static PFNGLCOLOR4BPROC
epoxy_glColor4b_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4064 /* glColor4b */);
}

static PFNGLCOLOR4BVPROC
epoxy_glColor4bv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4074 /* glColor4bv */);
}

static PFNGLCOLOR4DPROC
epoxy_glColor4d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4085 /* glColor4d */);
}

static PFNGLCOLOR4DVPROC
epoxy_glColor4dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4095 /* glColor4dv */);
}

static PFNGLCOLOR4FPROC
epoxy_glColor4f_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4106 /* "glColor4f" */,
        4106 /* "glColor4f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4106 /* "glColor4f" */,
                                providers, entrypoints);
}

static PFNGLCOLOR4FNORMAL3FVERTEX3FSUNPROC
epoxy_glColor4fNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 4116 /* glColor4fNormal3fVertex3fSUN */);
}

static PFNGLCOLOR4FNORMAL3FVERTEX3FVSUNPROC
epoxy_glColor4fNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 4145 /* glColor4fNormal3fVertex3fvSUN */);
}

static PFNGLCOLOR4FVPROC
epoxy_glColor4fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4175 /* glColor4fv */);
}

static PFNGLCOLOR4HNVPROC
epoxy_glColor4hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 4186 /* glColor4hNV */);
}

static PFNGLCOLOR4HVNVPROC
epoxy_glColor4hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 4198 /* glColor4hvNV */);
}

static PFNGLCOLOR4IPROC
epoxy_glColor4i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4211 /* glColor4i */);
}

static PFNGLCOLOR4IVPROC
epoxy_glColor4iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4221 /* glColor4iv */);
}

static PFNGLCOLOR4SPROC
epoxy_glColor4s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4232 /* glColor4s */);
}

static PFNGLCOLOR4SVPROC
epoxy_glColor4sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4242 /* glColor4sv */);
}

static PFNGLCOLOR4UBPROC
epoxy_glColor4ub_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4253 /* "glColor4ub" */,
        4253 /* "glColor4ub" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4253 /* "glColor4ub" */,
                                providers, entrypoints);
}

static PFNGLCOLOR4UBVERTEX2FSUNPROC
epoxy_glColor4ubVertex2fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 4264 /* glColor4ubVertex2fSUN */);
}

static PFNGLCOLOR4UBVERTEX2FVSUNPROC
epoxy_glColor4ubVertex2fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 4286 /* glColor4ubVertex2fvSUN */);
}

static PFNGLCOLOR4UBVERTEX3FSUNPROC
epoxy_glColor4ubVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 4309 /* glColor4ubVertex3fSUN */);
}

static PFNGLCOLOR4UBVERTEX3FVSUNPROC
epoxy_glColor4ubVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 4331 /* glColor4ubVertex3fvSUN */);
}

static PFNGLCOLOR4UBVPROC
epoxy_glColor4ubv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4354 /* glColor4ubv */);
}

static PFNGLCOLOR4UIPROC
epoxy_glColor4ui_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4366 /* glColor4ui */);
}

static PFNGLCOLOR4UIVPROC
epoxy_glColor4uiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4377 /* glColor4uiv */);
}

static PFNGLCOLOR4USPROC
epoxy_glColor4us_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4389 /* glColor4us */);
}

static PFNGLCOLOR4USVPROC
epoxy_glColor4usv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4400 /* glColor4usv */);
}

static PFNGLCOLOR4XPROC
epoxy_glColor4x_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 4412 /* glColor4x */);
}

static PFNGLCOLOR4XOESPROC
epoxy_glColor4xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 4422 /* glColor4xOES */);
}

static PFNGLCOLOR4XVOESPROC
epoxy_glColor4xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 4435 /* glColor4xvOES */);
}

static PFNGLCOLORFORMATNVPROC
epoxy_glColorFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 4449 /* glColorFormatNV */);
}

static PFNGLCOLORFRAGMENTOP1ATIPROC
epoxy_glColorFragmentOp1ATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 4465 /* glColorFragmentOp1ATI */);
}

static PFNGLCOLORFRAGMENTOP2ATIPROC
epoxy_glColorFragmentOp2ATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 4487 /* glColorFragmentOp2ATI */);
}

static PFNGLCOLORFRAGMENTOP3ATIPROC
epoxy_glColorFragmentOp3ATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 4509 /* glColorFragmentOp3ATI */);
}

static PFNGLCOLORMASKPROC
epoxy_glColorMask_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4531 /* "glColorMask" */,
        4531 /* "glColorMask" */,
        4531 /* "glColorMask" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4531 /* "glColorMask" */,
                                providers, entrypoints);
}

static PFNGLCOLORMASKIPROC
epoxy_glColorMaski_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_draw_buffers2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4565 /* "glColorMaski" */,
        4543 /* "glColorMaskIndexedEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4565 /* "glColorMaski" */,
                                providers, entrypoints);
}

static PFNGLCOLORMATERIALPROC
epoxy_glColorMaterial_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4578 /* glColorMaterial */);
}

static PFNGLCOLORP3UIPROC
epoxy_glColorP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4594 /* "glColorP3ui" */,
        4594 /* "glColorP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4594 /* "glColorP3ui" */,
                                providers, entrypoints);
}

static PFNGLCOLORP3UIVPROC
epoxy_glColorP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4606 /* "glColorP3uiv" */,
        4606 /* "glColorP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4606 /* "glColorP3uiv" */,
                                providers, entrypoints);
}

static PFNGLCOLORP4UIPROC
epoxy_glColorP4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4619 /* "glColorP4ui" */,
        4619 /* "glColorP4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4619 /* "glColorP4ui" */,
                                providers, entrypoints);
}

static PFNGLCOLORP4UIVPROC
epoxy_glColorP4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4631 /* "glColorP4uiv" */,
        4631 /* "glColorP4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4631 /* "glColorP4uiv" */,
                                providers, entrypoints);
}

static PFNGLCOLORPOINTERPROC
epoxy_glColorPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4644 /* "glColorPointer" */,
        4644 /* "glColorPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4644 /* "glColorPointer" */,
                                providers, entrypoints);
}

static PFNGLCOLORPOINTEREXTPROC
epoxy_glColorPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_array, 4659 /* glColorPointerEXT */);
}

static PFNGLCOLORPOINTERLISTIBMPROC
epoxy_glColorPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 4677 /* glColorPointerListIBM */);
}

static PFNGLCOLORPOINTERVINTELPROC
epoxy_glColorPointervINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_parallel_arrays, 4699 /* glColorPointervINTEL */);
}

static PFNGLCOLORSUBTABLEPROC
epoxy_glColorSubTable_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_color_subtable,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4720 /* "glColorSubTable" */,
        4736 /* "glColorSubTableEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4720 /* "glColorSubTable" */,
                                providers, entrypoints);
}

static PFNGLCOLORTABLEPROC
epoxy_glColorTable_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_SGI_color_table,
        GL_extension_GL_EXT_paletted_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4755 /* "glColorTable" */,
        4886 /* "glColorTableSGI" */,
        4768 /* "glColorTableEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4755 /* "glColorTable" */,
                                providers, entrypoints);
}

static PFNGLCOLORTABLEPARAMETERFVPROC
epoxy_glColorTableParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_SGI_color_table,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4784 /* "glColorTableParameterfv" */,
        4808 /* "glColorTableParameterfvSGI" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4784 /* "glColorTableParameterfv" */,
                                providers, entrypoints);
}

static PFNGLCOLORTABLEPARAMETERIVPROC
epoxy_glColorTableParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_SGI_color_table,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4835 /* "glColorTableParameteriv" */,
        4859 /* "glColorTableParameterivSGI" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4835 /* "glColorTableParameteriv" */,
                                providers, entrypoints);
}

static PFNGLCOMBINERINPUTNVPROC
epoxy_glCombinerInputNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 4902 /* glCombinerInputNV */);
}

static PFNGLCOMBINEROUTPUTNVPROC
epoxy_glCombinerOutputNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 4920 /* glCombinerOutputNV */);
}

static PFNGLCOMBINERPARAMETERFNVPROC
epoxy_glCombinerParameterfNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 4939 /* glCombinerParameterfNV */);
}

static PFNGLCOMBINERPARAMETERFVNVPROC
epoxy_glCombinerParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 4962 /* glCombinerParameterfvNV */);
}

static PFNGLCOMBINERPARAMETERINVPROC
epoxy_glCombinerParameteriNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 4986 /* glCombinerParameteriNV */);
}

static PFNGLCOMBINERPARAMETERIVNVPROC
epoxy_glCombinerParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 5009 /* glCombinerParameterivNV */);
}

static PFNGLCOMBINERSTAGEPARAMETERFVNVPROC
epoxy_glCombinerStageParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners2, 5033 /* glCombinerStageParameterfvNV */);
}

static PFNGLCOMPILESHADERPROC
epoxy_glCompileShader_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5062 /* "glCompileShader" */,
        5062 /* "glCompileShader" */,
        5078 /* "glCompileShaderARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5062 /* "glCompileShader" */,
                                providers, entrypoints);
}

static PFNGLCOMPILESHADERINCLUDEARBPROC
epoxy_glCompileShaderIncludeARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shading_language_include, 5097 /* glCompileShaderIncludeARB */);
}

static PFNGLCOMPRESSEDMULTITEXIMAGE1DEXTPROC
epoxy_glCompressedMultiTexImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5123 /* glCompressedMultiTexImage1DEXT */);
}

static PFNGLCOMPRESSEDMULTITEXIMAGE2DEXTPROC
epoxy_glCompressedMultiTexImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5154 /* glCompressedMultiTexImage2DEXT */);
}

static PFNGLCOMPRESSEDMULTITEXIMAGE3DEXTPROC
epoxy_glCompressedMultiTexImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5185 /* glCompressedMultiTexImage3DEXT */);
}

static PFNGLCOMPRESSEDMULTITEXSUBIMAGE1DEXTPROC
epoxy_glCompressedMultiTexSubImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5216 /* glCompressedMultiTexSubImage1DEXT */);
}

static PFNGLCOMPRESSEDMULTITEXSUBIMAGE2DEXTPROC
epoxy_glCompressedMultiTexSubImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5250 /* glCompressedMultiTexSubImage2DEXT */);
}

static PFNGLCOMPRESSEDMULTITEXSUBIMAGE3DEXTPROC
epoxy_glCompressedMultiTexSubImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5284 /* glCompressedMultiTexSubImage3DEXT */);
}

static PFNGLCOMPRESSEDTEXIMAGE1DPROC
epoxy_glCompressedTexImage1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5318 /* "glCompressedTexImage1D" */,
        5341 /* "glCompressedTexImage1DARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5318 /* "glCompressedTexImage1D" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXIMAGE2DPROC
epoxy_glCompressedTexImage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5367 /* "glCompressedTexImage2D" */,
        5367 /* "glCompressedTexImage2D" */,
        5367 /* "glCompressedTexImage2D" */,
        5390 /* "glCompressedTexImage2DARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5367 /* "glCompressedTexImage2D" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXIMAGE3DPROC
epoxy_glCompressedTexImage3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_3,
        GL_extension_GL_OES_texture_3D,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5416 /* "glCompressedTexImage3D" */,
        5416 /* "glCompressedTexImage3D" */,
        5465 /* "glCompressedTexImage3DOES" */,
        5439 /* "glCompressedTexImage3DARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5416 /* "glCompressedTexImage3D" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXSUBIMAGE1DPROC
epoxy_glCompressedTexSubImage1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5491 /* "glCompressedTexSubImage1D" */,
        5517 /* "glCompressedTexSubImage1DARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5491 /* "glCompressedTexSubImage1D" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXSUBIMAGE2DPROC
epoxy_glCompressedTexSubImage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5546 /* "glCompressedTexSubImage2D" */,
        5546 /* "glCompressedTexSubImage2D" */,
        5546 /* "glCompressedTexSubImage2D" */,
        5572 /* "glCompressedTexSubImage2DARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5546 /* "glCompressedTexSubImage2D" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXSUBIMAGE3DPROC
epoxy_glCompressedTexSubImage3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_3,
        GL_extension_GL_OES_texture_3D,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5601 /* "glCompressedTexSubImage3D" */,
        5601 /* "glCompressedTexSubImage3D" */,
        5656 /* "glCompressedTexSubImage3DOES" */,
        5627 /* "glCompressedTexSubImage3DARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5601 /* "glCompressedTexSubImage3D" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXTUREIMAGE1DEXTPROC
epoxy_glCompressedTextureImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5685 /* glCompressedTextureImage1DEXT */);
}

static PFNGLCOMPRESSEDTEXTUREIMAGE2DEXTPROC
epoxy_glCompressedTextureImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5715 /* glCompressedTextureImage2DEXT */);
}

static PFNGLCOMPRESSEDTEXTUREIMAGE3DEXTPROC
epoxy_glCompressedTextureImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5745 /* glCompressedTextureImage3DEXT */);
}

static PFNGLCOMPRESSEDTEXTURESUBIMAGE1DEXTPROC
epoxy_glCompressedTextureSubImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5775 /* glCompressedTextureSubImage1DEXT */);
}

static PFNGLCOMPRESSEDTEXTURESUBIMAGE2DEXTPROC
epoxy_glCompressedTextureSubImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5808 /* glCompressedTextureSubImage2DEXT */);
}

static PFNGLCOMPRESSEDTEXTURESUBIMAGE3DEXTPROC
epoxy_glCompressedTextureSubImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5841 /* glCompressedTextureSubImage3DEXT */);
}

static PFNGLCONVOLUTIONFILTER1DPROC
epoxy_glConvolutionFilter1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5874 /* "glConvolutionFilter1D" */,
        5896 /* "glConvolutionFilter1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5874 /* "glConvolutionFilter1D" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONFILTER2DPROC
epoxy_glConvolutionFilter2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5921 /* "glConvolutionFilter2D" */,
        5943 /* "glConvolutionFilter2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5921 /* "glConvolutionFilter2D" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERFPROC
epoxy_glConvolutionParameterf_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5968 /* "glConvolutionParameterf" */,
        5992 /* "glConvolutionParameterfEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5968 /* "glConvolutionParameterf" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERFVPROC
epoxy_glConvolutionParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6019 /* "glConvolutionParameterfv" */,
        6044 /* "glConvolutionParameterfvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6019 /* "glConvolutionParameterfv" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERIPROC
epoxy_glConvolutionParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6072 /* "glConvolutionParameteri" */,
        6096 /* "glConvolutionParameteriEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6072 /* "glConvolutionParameteri" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERIVPROC
epoxy_glConvolutionParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6123 /* "glConvolutionParameteriv" */,
        6148 /* "glConvolutionParameterivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6123 /* "glConvolutionParameteriv" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERXOESPROC
epoxy_glConvolutionParameterxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 6176 /* glConvolutionParameterxOES */);
}

static PFNGLCONVOLUTIONPARAMETERXVOESPROC
epoxy_glConvolutionParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 6203 /* glConvolutionParameterxvOES */);
}

static PFNGLCOPYBUFFERSUBDATAPROC
epoxy_glCopyBufferSubData_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_1,
        GL_extension_GL_ARB_copy_buffer,
        GL_extension_GL_NV_copy_buffer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6231 /* "glCopyBufferSubData" */,
        6231 /* "glCopyBufferSubData" */,
        6231 /* "glCopyBufferSubData" */,
        6251 /* "glCopyBufferSubDataNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6231 /* "glCopyBufferSubData" */,
                                providers, entrypoints);
}

static PFNGLCOPYCOLORSUBTABLEPROC
epoxy_glCopyColorSubTable_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_color_subtable,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6273 /* "glCopyColorSubTable" */,
        6293 /* "glCopyColorSubTableEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6273 /* "glCopyColorSubTable" */,
                                providers, entrypoints);
}

static PFNGLCOPYCOLORTABLEPROC
epoxy_glCopyColorTable_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_SGI_color_table,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6316 /* "glCopyColorTable" */,
        6333 /* "glCopyColorTableSGI" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6316 /* "glCopyColorTable" */,
                                providers, entrypoints);
}

static PFNGLCOPYCONVOLUTIONFILTER1DPROC
epoxy_glCopyConvolutionFilter1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6353 /* "glCopyConvolutionFilter1D" */,
        6379 /* "glCopyConvolutionFilter1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6353 /* "glCopyConvolutionFilter1D" */,
                                providers, entrypoints);
}

static PFNGLCOPYCONVOLUTIONFILTER2DPROC
epoxy_glCopyConvolutionFilter2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6408 /* "glCopyConvolutionFilter2D" */,
        6434 /* "glCopyConvolutionFilter2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6408 /* "glCopyConvolutionFilter2D" */,
                                providers, entrypoints);
}

static PFNGLCOPYIMAGESUBDATAPROC
epoxy_glCopyImageSubData_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_copy_image,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6463 /* "glCopyImageSubData" */,
        6463 /* "glCopyImageSubData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6463 /* "glCopyImageSubData" */,
                                providers, entrypoints);
}

static PFNGLCOPYIMAGESUBDATANVPROC
epoxy_glCopyImageSubDataNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_copy_image, 6482 /* glCopyImageSubDataNV */);
}

static PFNGLCOPYMULTITEXIMAGE1DEXTPROC
epoxy_glCopyMultiTexImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6503 /* glCopyMultiTexImage1DEXT */);
}

static PFNGLCOPYMULTITEXIMAGE2DEXTPROC
epoxy_glCopyMultiTexImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6528 /* glCopyMultiTexImage2DEXT */);
}

static PFNGLCOPYMULTITEXSUBIMAGE1DEXTPROC
epoxy_glCopyMultiTexSubImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6553 /* glCopyMultiTexSubImage1DEXT */);
}

static PFNGLCOPYMULTITEXSUBIMAGE2DEXTPROC
epoxy_glCopyMultiTexSubImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6581 /* glCopyMultiTexSubImage2DEXT */);
}

static PFNGLCOPYMULTITEXSUBIMAGE3DEXTPROC
epoxy_glCopyMultiTexSubImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6609 /* glCopyMultiTexSubImage3DEXT */);
}

static PFNGLCOPYPATHNVPROC
epoxy_glCopyPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 6637 /* glCopyPathNV */);
}

static PFNGLCOPYPIXELSPROC
epoxy_glCopyPixels_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 6650 /* glCopyPixels */);
}

static PFNGLCOPYTEXIMAGE1DPROC
epoxy_glCopyTexImage1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_copy_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6663 /* "glCopyTexImage1D" */,
        6680 /* "glCopyTexImage1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6663 /* "glCopyTexImage1D" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXIMAGE2DPROC
epoxy_glCopyTexImage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_copy_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6700 /* "glCopyTexImage2D" */,
        6700 /* "glCopyTexImage2D" */,
        6700 /* "glCopyTexImage2D" */,
        6717 /* "glCopyTexImage2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6700 /* "glCopyTexImage2D" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXSUBIMAGE1DPROC
epoxy_glCopyTexSubImage1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_copy_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6737 /* "glCopyTexSubImage1D" */,
        6757 /* "glCopyTexSubImage1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6737 /* "glCopyTexSubImage1D" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXSUBIMAGE2DPROC
epoxy_glCopyTexSubImage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_copy_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6780 /* "glCopyTexSubImage2D" */,
        6780 /* "glCopyTexSubImage2D" */,
        6780 /* "glCopyTexSubImage2D" */,
        6800 /* "glCopyTexSubImage2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6780 /* "glCopyTexSubImage2D" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXSUBIMAGE3DPROC
epoxy_glCopyTexSubImage3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_2,
        GL_extension_GL_EXT_copy_texture,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6823 /* "glCopyTexSubImage3D" */,
        6823 /* "glCopyTexSubImage3D" */,
        6843 /* "glCopyTexSubImage3DEXT" */,
        6866 /* "glCopyTexSubImage3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6823 /* "glCopyTexSubImage3D" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXTUREIMAGE1DEXTPROC
epoxy_glCopyTextureImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6889 /* glCopyTextureImage1DEXT */);
}

static PFNGLCOPYTEXTUREIMAGE2DEXTPROC
epoxy_glCopyTextureImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6913 /* glCopyTextureImage2DEXT */);
}

static PFNGLCOPYTEXTURELEVELSAPPLEPROC
epoxy_glCopyTextureLevelsAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_copy_texture_levels, 6937 /* glCopyTextureLevelsAPPLE */);
}

static PFNGLCOPYTEXTURESUBIMAGE1DEXTPROC
epoxy_glCopyTextureSubImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6962 /* glCopyTextureSubImage1DEXT */);
}

static PFNGLCOPYTEXTURESUBIMAGE2DEXTPROC
epoxy_glCopyTextureSubImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6989 /* glCopyTextureSubImage2DEXT */);
}

static PFNGLCOPYTEXTURESUBIMAGE3DEXTPROC
epoxy_glCopyTextureSubImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 7016 /* glCopyTextureSubImage3DEXT */);
}

static PFNGLCOVERFILLPATHINSTANCEDNVPROC
epoxy_glCoverFillPathInstancedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 7043 /* glCoverFillPathInstancedNV */);
}

static PFNGLCOVERFILLPATHNVPROC
epoxy_glCoverFillPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 7070 /* glCoverFillPathNV */);
}

static PFNGLCOVERSTROKEPATHINSTANCEDNVPROC
epoxy_glCoverStrokePathInstancedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 7088 /* glCoverStrokePathInstancedNV */);
}

static PFNGLCOVERSTROKEPATHNVPROC
epoxy_glCoverStrokePathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 7117 /* glCoverStrokePathNV */);
}

static PFNGLCOVERAGEMASKNVPROC
epoxy_glCoverageMaskNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_coverage_sample, 7137 /* glCoverageMaskNV */);
}

static PFNGLCOVERAGEOPERATIONNVPROC
epoxy_glCoverageOperationNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_coverage_sample, 7154 /* glCoverageOperationNV */);
}

static PFNGLCREATEPERFQUERYINTELPROC
epoxy_glCreatePerfQueryINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 7176 /* glCreatePerfQueryINTEL */);
}

static PFNGLCREATEPROGRAMPROC
epoxy_glCreateProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7199 /* "glCreateProgram" */,
        7199 /* "glCreateProgram" */,
        7215 /* "glCreateProgramObjectARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7199 /* "glCreateProgram" */,
                                providers, entrypoints);
}

static PFNGLCREATESHADERPROC
epoxy_glCreateShader_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7240 /* "glCreateShader" */,
        7240 /* "glCreateShader" */,
        7255 /* "glCreateShaderObjectARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7240 /* "glCreateShader" */,
                                providers, entrypoints);
}

static PFNGLCREATESHADERPROGRAMEXTPROC
epoxy_glCreateShaderProgramEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 7279 /* glCreateShaderProgramEXT */);
}

static PFNGLCREATESHADERPROGRAMVPROC
epoxy_glCreateShaderProgramv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7304 /* "glCreateShaderProgramv" */,
        7304 /* "glCreateShaderProgramv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7304 /* "glCreateShaderProgramv" */,
                                providers, entrypoints);
}

static PFNGLCREATESHADERPROGRAMVEXTPROC
epoxy_glCreateShaderProgramvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 7327 /* glCreateShaderProgramvEXT */);
}

static PFNGLCREATESYNCFROMCLEVENTARBPROC
epoxy_glCreateSyncFromCLeventARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_cl_event, 7353 /* glCreateSyncFromCLeventARB */);
}

static PFNGLCULLFACEPROC
epoxy_glCullFace_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7380 /* "glCullFace" */,
        7380 /* "glCullFace" */,
        7380 /* "glCullFace" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7380 /* "glCullFace" */,
                                providers, entrypoints);
}

static PFNGLCULLPARAMETERDVEXTPROC
epoxy_glCullParameterdvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_cull_vertex, 7391 /* glCullParameterdvEXT */);
}

static PFNGLCULLPARAMETERFVEXTPROC
epoxy_glCullParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_cull_vertex, 7412 /* glCullParameterfvEXT */);
}

static PFNGLCURRENTPALETTEMATRIXARBPROC
epoxy_glCurrentPaletteMatrixARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_matrix_palette, 7433 /* glCurrentPaletteMatrixARB */);
}

static PFNGLCURRENTPALETTEMATRIXOESPROC
epoxy_glCurrentPaletteMatrixOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_matrix_palette, 7459 /* glCurrentPaletteMatrixOES */);
}

static PFNGLDEBUGMESSAGECALLBACKPROC
epoxy_glDebugMessageCallback_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_debug_output,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7485 /* "glDebugMessageCallback" */,
        7485 /* "glDebugMessageCallback" */,
        7534 /* "glDebugMessageCallbackARB" */,
        7560 /* "glDebugMessageCallbackKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7485 /* "glDebugMessageCallback" */,
                                providers, entrypoints);
}

static PFNGLDEBUGMESSAGECALLBACKAMDPROC
epoxy_glDebugMessageCallbackAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_debug_output, 7508 /* glDebugMessageCallbackAMD */);
}

static PFNGLDEBUGMESSAGECONTROLPROC
epoxy_glDebugMessageControl_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_debug_output,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7586 /* "glDebugMessageControl" */,
        7586 /* "glDebugMessageControl" */,
        7608 /* "glDebugMessageControlARB" */,
        7633 /* "glDebugMessageControlKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7586 /* "glDebugMessageControl" */,
                                providers, entrypoints);
}

static PFNGLDEBUGMESSAGEENABLEAMDPROC
epoxy_glDebugMessageEnableAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_debug_output, 7658 /* glDebugMessageEnableAMD */);
}

static PFNGLDEBUGMESSAGEINSERTPROC
epoxy_glDebugMessageInsert_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_ARB_debug_output,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7682 /* "glDebugMessageInsert" */,
        7682 /* "glDebugMessageInsert" */,
        7751 /* "glDebugMessageInsertKHR" */,
        7727 /* "glDebugMessageInsertARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7682 /* "glDebugMessageInsert" */,
                                providers, entrypoints);
}

static PFNGLDEBUGMESSAGEINSERTAMDPROC
epoxy_glDebugMessageInsertAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_debug_output, 7703 /* glDebugMessageInsertAMD */);
}

static PFNGLDEFORMSGIXPROC
epoxy_glDeformSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_polynomial_ffd, 7775 /* glDeformSGIX */);
}

static PFNGLDEFORMATIONMAP3DSGIXPROC
epoxy_glDeformationMap3dSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_polynomial_ffd, 7788 /* glDeformationMap3dSGIX */);
}

static PFNGLDEFORMATIONMAP3FSGIXPROC
epoxy_glDeformationMap3fSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_polynomial_ffd, 7811 /* glDeformationMap3fSGIX */);
}

static PFNGLDELETEASYNCMARKERSSGIXPROC
epoxy_glDeleteAsyncMarkersSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_async, 7834 /* glDeleteAsyncMarkersSGIX */);
}

static PFNGLDELETEBUFFERSPROC
epoxy_glDeleteBuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7859 /* "glDeleteBuffers" */,
        7859 /* "glDeleteBuffers" */,
        7859 /* "glDeleteBuffers" */,
        7875 /* "glDeleteBuffersARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7859 /* "glDeleteBuffers" */,
                                providers, entrypoints);
}

static PFNGLDELETEFENCESAPPLEPROC
epoxy_glDeleteFencesAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 7894 /* glDeleteFencesAPPLE */);
}

static PFNGLDELETEFENCESNVPROC
epoxy_glDeleteFencesNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 7914 /* glDeleteFencesNV */);
}

static PFNGLDELETEFRAGMENTSHADERATIPROC
epoxy_glDeleteFragmentShaderATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 7931 /* glDeleteFragmentShaderATI */);
}

static PFNGLDELETEFRAMEBUFFERSPROC
epoxy_glDeleteFramebuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7957 /* "glDeleteFramebuffers" */,
        7957 /* "glDeleteFramebuffers" */,
        7957 /* "glDeleteFramebuffers" */,
        7978 /* "glDeleteFramebuffersEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7957 /* "glDeleteFramebuffers" */,
                                providers, entrypoints);
}

static PFNGLDELETEFRAMEBUFFERSOESPROC
epoxy_glDeleteFramebuffersOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 8002 /* glDeleteFramebuffersOES */);
}

static PFNGLDELETELISTSPROC
epoxy_glDeleteLists_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 8026 /* glDeleteLists */);
}

static PFNGLDELETENAMEDSTRINGARBPROC
epoxy_glDeleteNamedStringARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shading_language_include, 8040 /* glDeleteNamedStringARB */);
}

static PFNGLDELETENAMESAMDPROC
epoxy_glDeleteNamesAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_name_gen_delete, 8063 /* glDeleteNamesAMD */);
}

static PFNGLDELETEOBJECTARBPROC
epoxy_glDeleteObjectARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shader_objects, 8080 /* glDeleteObjectARB */);
}

static PFNGLDELETEOCCLUSIONQUERIESNVPROC
epoxy_glDeleteOcclusionQueriesNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 8098 /* glDeleteOcclusionQueriesNV */);
}

static PFNGLDELETEPATHSNVPROC
epoxy_glDeletePathsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 8125 /* glDeletePathsNV */);
}

static PFNGLDELETEPERFMONITORSAMDPROC
epoxy_glDeletePerfMonitorsAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 8141 /* glDeletePerfMonitorsAMD */);
}

static PFNGLDELETEPERFQUERYINTELPROC
epoxy_glDeletePerfQueryINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 8165 /* glDeletePerfQueryINTEL */);
}

static PFNGLDELETEPROGRAMPROC
epoxy_glDeleteProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8188 /* "glDeleteProgram" */,
        8188 /* "glDeleteProgram" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8188 /* "glDeleteProgram" */,
                                providers, entrypoints);
}

static PFNGLDELETEPROGRAMPIPELINESPROC
epoxy_glDeleteProgramPipelines_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8204 /* "glDeleteProgramPipelines" */,
        8204 /* "glDeleteProgramPipelines" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8204 /* "glDeleteProgramPipelines" */,
                                providers, entrypoints);
}

static PFNGLDELETEPROGRAMPIPELINESEXTPROC
epoxy_glDeleteProgramPipelinesEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 8229 /* glDeleteProgramPipelinesEXT */);
}

static PFNGLDELETEPROGRAMSARBPROC
epoxy_glDeleteProgramsARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8257 /* "glDeleteProgramsARB" */,
        8257 /* "glDeleteProgramsARB" */,
        8277 /* "glDeleteProgramsNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8257 /* "glDeleteProgramsARB" */,
                                providers, entrypoints);
}

static PFNGLDELETEQUERIESPROC
epoxy_glDeleteQueries_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8296 /* "glDeleteQueries" */,
        8296 /* "glDeleteQueries" */,
        8312 /* "glDeleteQueriesARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8296 /* "glDeleteQueries" */,
                                providers, entrypoints);
}

static PFNGLDELETEQUERIESEXTPROC
epoxy_glDeleteQueriesEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8331 /* "glDeleteQueriesEXT" */,
        8331 /* "glDeleteQueriesEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8331 /* "glDeleteQueriesEXT" */,
                                providers, entrypoints);
}

static PFNGLDELETERENDERBUFFERSPROC
epoxy_glDeleteRenderbuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8350 /* "glDeleteRenderbuffers" */,
        8350 /* "glDeleteRenderbuffers" */,
        8350 /* "glDeleteRenderbuffers" */,
        8372 /* "glDeleteRenderbuffersEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8350 /* "glDeleteRenderbuffers" */,
                                providers, entrypoints);
}

static PFNGLDELETERENDERBUFFERSOESPROC
epoxy_glDeleteRenderbuffersOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 8397 /* glDeleteRenderbuffersOES */);
}

static PFNGLDELETESAMPLERSPROC
epoxy_glDeleteSamplers_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8422 /* "glDeleteSamplers" */,
        8422 /* "glDeleteSamplers" */,
        8422 /* "glDeleteSamplers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8422 /* "glDeleteSamplers" */,
                                providers, entrypoints);
}

static PFNGLDELETESHADERPROC
epoxy_glDeleteShader_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8439 /* "glDeleteShader" */,
        8439 /* "glDeleteShader" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8439 /* "glDeleteShader" */,
                                providers, entrypoints);
}

static PFNGLDELETESYNCPROC
epoxy_glDeleteSync_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_2,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8454 /* "glDeleteSync" */,
        8454 /* "glDeleteSync" */,
        8454 /* "glDeleteSync" */,
        8467 /* "glDeleteSyncAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8454 /* "glDeleteSync" */,
                                providers, entrypoints);
}

static PFNGLDELETETEXTURESPROC
epoxy_glDeleteTextures_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8485 /* "glDeleteTextures" */,
        8485 /* "glDeleteTextures" */,
        8485 /* "glDeleteTextures" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8485 /* "glDeleteTextures" */,
                                providers, entrypoints);
}

static PFNGLDELETETEXTURESEXTPROC
epoxy_glDeleteTexturesEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_object, 8502 /* glDeleteTexturesEXT */);
}

static PFNGLDELETETRANSFORMFEEDBACKSPROC
epoxy_glDeleteTransformFeedbacks_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback2,
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_0,
        GL_extension_GL_NV_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8522 /* "glDeleteTransformFeedbacks" */,
        8522 /* "glDeleteTransformFeedbacks" */,
        8522 /* "glDeleteTransformFeedbacks" */,
        8549 /* "glDeleteTransformFeedbacksNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8522 /* "glDeleteTransformFeedbacks" */,
                                providers, entrypoints);
}

static PFNGLDELETEVERTEXARRAYSPROC
epoxy_glDeleteVertexArrays_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_OES_vertex_array_object,
        GL_extension_GL_APPLE_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8578 /* "glDeleteVertexArrays" */,
        8578 /* "glDeleteVertexArrays" */,
        8578 /* "glDeleteVertexArrays" */,
        8625 /* "glDeleteVertexArraysOES" */,
        8599 /* "glDeleteVertexArraysAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8578 /* "glDeleteVertexArrays" */,
                                providers, entrypoints);
}

static PFNGLDELETEVERTEXSHADEREXTPROC
epoxy_glDeleteVertexShaderEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 8649 /* glDeleteVertexShaderEXT */);
}

static PFNGLDEPTHBOUNDSEXTPROC
epoxy_glDepthBoundsEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_depth_bounds_test, 8673 /* glDepthBoundsEXT */);
}

static PFNGLDEPTHBOUNDSDNVPROC
epoxy_glDepthBoundsdNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_depth_buffer_float, 8690 /* glDepthBoundsdNV */);
}

static PFNGLDEPTHFUNCPROC
epoxy_glDepthFunc_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8707 /* "glDepthFunc" */,
        8707 /* "glDepthFunc" */,
        8707 /* "glDepthFunc" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8707 /* "glDepthFunc" */,
                                providers, entrypoints);
}

static PFNGLDEPTHMASKPROC
epoxy_glDepthMask_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8719 /* "glDepthMask" */,
        8719 /* "glDepthMask" */,
        8719 /* "glDepthMask" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8719 /* "glDepthMask" */,
                                providers, entrypoints);
}

static PFNGLDEPTHRANGEPROC
epoxy_glDepthRange_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 8731 /* glDepthRange */);
}

static PFNGLDEPTHRANGEARRAYVPROC
epoxy_glDepthRangeArrayv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_viewport_array,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8744 /* "glDepthRangeArrayv" */,
        8744 /* "glDepthRangeArrayv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8744 /* "glDepthRangeArrayv" */,
                                providers, entrypoints);
}

static PFNGLDEPTHRANGEINDEXEDPROC
epoxy_glDepthRangeIndexed_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_viewport_array,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8763 /* "glDepthRangeIndexed" */,
        8763 /* "glDepthRangeIndexed" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8763 /* "glDepthRangeIndexed" */,
                                providers, entrypoints);
}

static PFNGLDEPTHRANGEDNVPROC
epoxy_glDepthRangedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_depth_buffer_float, 8783 /* glDepthRangedNV */);
}

static PFNGLDEPTHRANGEFPROC
epoxy_glDepthRangef_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        GL_extension_GL_ARB_ES2_compatibility,
        OpenGL_ES_2_0,
        Desktop_OpenGL_4_1,
        GL_extension_GL_OES_single_precision,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8799 /* "glDepthRangef" */,
        8799 /* "glDepthRangef" */,
        8799 /* "glDepthRangef" */,
        8799 /* "glDepthRangef" */,
        8813 /* "glDepthRangefOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8799 /* "glDepthRangef" */,
                                providers, entrypoints);
}

static PFNGLDEPTHRANGEXPROC
epoxy_glDepthRangex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 8830 /* glDepthRangex */);
}

static PFNGLDEPTHRANGEXOESPROC
epoxy_glDepthRangexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 8844 /* glDepthRangexOES */);
}

static PFNGLDETACHSHADERPROC
epoxy_glDetachShader_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8879 /* "glDetachShader" */,
        8879 /* "glDetachShader" */,
        8861 /* "glDetachObjectARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8879 /* "glDetachShader" */,
                                providers, entrypoints);
}

static PFNGLDETAILTEXFUNCSGISPROC
epoxy_glDetailTexFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_detail_texture, 8894 /* glDetailTexFuncSGIS */);
}

static PFNGLDISABLEPROC
epoxy_glDisable_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8914 /* "glDisable" */,
        8914 /* "glDisable" */,
        8914 /* "glDisable" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8914 /* "glDisable" */,
                                providers, entrypoints);
}

static PFNGLDISABLECLIENTSTATEPROC
epoxy_glDisableClientState_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8924 /* "glDisableClientState" */,
        8924 /* "glDisableClientState" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8924 /* "glDisableClientState" */,
                                providers, entrypoints);
}

static PFNGLDISABLECLIENTSTATEINDEXEDEXTPROC
epoxy_glDisableClientStateIndexedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 8945 /* glDisableClientStateIndexedEXT */);
}

static PFNGLDISABLECLIENTSTATEIEXTPROC
epoxy_glDisableClientStateiEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 8976 /* glDisableClientStateiEXT */);
}

static PFNGLDISABLEDRIVERCONTROLQCOMPROC
epoxy_glDisableDriverControlQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_driver_control, 9001 /* glDisableDriverControlQCOM */);
}

static PFNGLDISABLEVARIANTCLIENTSTATEEXTPROC
epoxy_glDisableVariantClientStateEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 9048 /* glDisableVariantClientStateEXT */);
}

static PFNGLDISABLEVERTEXARRAYATTRIBEXTPROC
epoxy_glDisableVertexArrayAttribEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 9079 /* glDisableVertexArrayAttribEXT */);
}

static PFNGLDISABLEVERTEXARRAYEXTPROC
epoxy_glDisableVertexArrayEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 9109 /* glDisableVertexArrayEXT */);
}

static PFNGLDISABLEVERTEXATTRIBAPPLEPROC
epoxy_glDisableVertexAttribAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 9133 /* glDisableVertexAttribAPPLE */);
}

static PFNGLDISABLEVERTEXATTRIBARRAYPROC
epoxy_glDisableVertexAttribArray_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9160 /* "glDisableVertexAttribArray" */,
        9160 /* "glDisableVertexAttribArray" */,
        9187 /* "glDisableVertexAttribArrayARB" */,
        9187 /* "glDisableVertexAttribArrayARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9160 /* "glDisableVertexAttribArray" */,
                                providers, entrypoints);
}

static PFNGLDISABLEIPROC
epoxy_glDisablei_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_draw_buffers2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9217 /* "glDisablei" */,
        9028 /* "glDisableIndexedEXT" */,
        9028 /* "glDisableIndexedEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9217 /* "glDisablei" */,
                                providers, entrypoints);
}

static PFNGLDISCARDFRAMEBUFFEREXTPROC
epoxy_glDiscardFramebufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_discard_framebuffer, 9228 /* glDiscardFramebufferEXT */);
}

static PFNGLDISPATCHCOMPUTEPROC
epoxy_glDispatchCompute_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_compute_shader,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9252 /* "glDispatchCompute" */,
        9252 /* "glDispatchCompute" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9252 /* "glDispatchCompute" */,
                                providers, entrypoints);
}

static PFNGLDISPATCHCOMPUTEGROUPSIZEARBPROC
epoxy_glDispatchComputeGroupSizeARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_compute_variable_group_size, 9270 /* glDispatchComputeGroupSizeARB */);
}

static PFNGLDISPATCHCOMPUTEINDIRECTPROC
epoxy_glDispatchComputeIndirect_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_compute_shader,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9300 /* "glDispatchComputeIndirect" */,
        9300 /* "glDispatchComputeIndirect" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9300 /* "glDispatchComputeIndirect" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSPROC
epoxy_glDrawArrays_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_vertex_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9326 /* "glDrawArrays" */,
        9326 /* "glDrawArrays" */,
        9326 /* "glDrawArrays" */,
        9339 /* "glDrawArraysEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9326 /* "glDrawArrays" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSINDIRECTPROC
epoxy_glDrawArraysIndirect_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_indirect,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9355 /* "glDrawArraysIndirect" */,
        9355 /* "glDrawArraysIndirect" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9355 /* "glDrawArraysIndirect" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSINSTANCEDPROC
epoxy_glDrawArraysInstanced_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_1,
        GL_extension_GL_ARB_draw_instanced,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_EXT_instanced_arrays,
        GL_extension_GL_EXT_draw_instanced,
        GL_extension_GL_NV_draw_instanced,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9376 /* "glDrawArraysInstanced" */,
        9376 /* "glDrawArraysInstanced" */,
        9425 /* "glDrawArraysInstancedARB" */,
        9398 /* "glDrawArraysInstancedANGLE" */,
        9484 /* "glDrawArraysInstancedEXT" */,
        9484 /* "glDrawArraysInstancedEXT" */,
        9509 /* "glDrawArraysInstancedNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9376 /* "glDrawArraysInstanced" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSINSTANCEDBASEINSTANCEPROC
epoxy_glDrawArraysInstancedBaseInstance_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_base_instance,
        Desktop_OpenGL_4_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9450 /* "glDrawArraysInstancedBaseInstance" */,
        9450 /* "glDrawArraysInstancedBaseInstance" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9450 /* "glDrawArraysInstancedBaseInstance" */,
                                providers, entrypoints);
}

static PFNGLDRAWBUFFERPROC
epoxy_glDrawBuffer_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 9533 /* glDrawBuffer */);
}

static PFNGLDRAWBUFFERSPROC
epoxy_glDrawBuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ATI_draw_buffers,
        GL_extension_GL_EXT_draw_buffers,
        GL_extension_GL_ARB_draw_buffers,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9546 /* "glDrawBuffers" */,
        9546 /* "glDrawBuffers" */,
        9577 /* "glDrawBuffersATI" */,
        9594 /* "glDrawBuffersEXT" */,
        9560 /* "glDrawBuffersARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9546 /* "glDrawBuffers" */,
                                providers, entrypoints);
}

static PFNGLDRAWBUFFERSINDEXEDEXTPROC
epoxy_glDrawBuffersIndexedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_multiview_draw_buffers, 9611 /* glDrawBuffersIndexedEXT */);
}

static PFNGLDRAWBUFFERSNVPROC
epoxy_glDrawBuffersNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_draw_buffers, 9635 /* glDrawBuffersNV */);
}

static PFNGLDRAWELEMENTARRAYAPPLEPROC
epoxy_glDrawElementArrayAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_element_array, 9651 /* glDrawElementArrayAPPLE */);
}

static PFNGLDRAWELEMENTARRAYATIPROC
epoxy_glDrawElementArrayATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_element_array, 9675 /* glDrawElementArrayATI */);
}

static PFNGLDRAWELEMENTSPROC
epoxy_glDrawElements_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9697 /* "glDrawElements" */,
        9697 /* "glDrawElements" */,
        9697 /* "glDrawElements" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9697 /* "glDrawElements" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSBASEVERTEXPROC
epoxy_glDrawElementsBaseVertex_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_elements_base_vertex,
        Desktop_OpenGL_3_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9712 /* "glDrawElementsBaseVertex" */,
        9712 /* "glDrawElementsBaseVertex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9712 /* "glDrawElementsBaseVertex" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINDIRECTPROC
epoxy_glDrawElementsIndirect_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_indirect,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9737 /* "glDrawElementsIndirect" */,
        9737 /* "glDrawElementsIndirect" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9737 /* "glDrawElementsIndirect" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINSTANCEDPROC
epoxy_glDrawElementsInstanced_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_1,
        GL_extension_GL_EXT_instanced_arrays,
        GL_extension_GL_EXT_draw_instanced,
        GL_extension_GL_ARB_draw_instanced,
        GL_extension_GL_NV_draw_instanced,
        GL_extension_GL_ANGLE_instanced_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9760 /* "glDrawElementsInstanced" */,
        9760 /* "glDrawElementsInstanced" */,
        9956 /* "glDrawElementsInstancedEXT" */,
        9956 /* "glDrawElementsInstancedEXT" */,
        9813 /* "glDrawElementsInstancedARB" */,
        9983 /* "glDrawElementsInstancedNV" */,
        9784 /* "glDrawElementsInstancedANGLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9760 /* "glDrawElementsInstanced" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINSTANCEDBASEINSTANCEPROC
epoxy_glDrawElementsInstancedBaseInstance_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_base_instance,
        Desktop_OpenGL_4_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9840 /* "glDrawElementsInstancedBaseInstance" */,
        9840 /* "glDrawElementsInstancedBaseInstance" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9840 /* "glDrawElementsInstancedBaseInstance" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXPROC
epoxy_glDrawElementsInstancedBaseVertex_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_elements_base_vertex,
        Desktop_OpenGL_3_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9876 /* "glDrawElementsInstancedBaseVertex" */,
        9876 /* "glDrawElementsInstancedBaseVertex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9876 /* "glDrawElementsInstancedBaseVertex" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXBASEINSTANCEPROC
epoxy_glDrawElementsInstancedBaseVertexBaseInstance_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_base_instance,
        Desktop_OpenGL_4_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9910 /* "glDrawElementsInstancedBaseVertexBaseInstance" */,
        9910 /* "glDrawElementsInstancedBaseVertexBaseInstance" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9910 /* "glDrawElementsInstancedBaseVertexBaseInstance" */,
                                providers, entrypoints);
}

static PFNGLDRAWMESHARRAYSSUNPROC
epoxy_glDrawMeshArraysSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_mesh_array, 10009 /* glDrawMeshArraysSUN */);
}

static PFNGLDRAWPIXELSPROC
epoxy_glDrawPixels_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 10029 /* glDrawPixels */);
}

static PFNGLDRAWRANGEELEMENTARRAYAPPLEPROC
epoxy_glDrawRangeElementArrayAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_element_array, 10042 /* glDrawRangeElementArrayAPPLE */);
}

static PFNGLDRAWRANGEELEMENTARRAYATIPROC
epoxy_glDrawRangeElementArrayATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_element_array, 10071 /* glDrawRangeElementArrayATI */);
}

static PFNGLDRAWRANGEELEMENTSPROC
epoxy_glDrawRangeElements_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_2,
        GL_extension_GL_EXT_draw_range_elements,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10098 /* "glDrawRangeElements" */,
        10098 /* "glDrawRangeElements" */,
        10148 /* "glDrawRangeElementsEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10098 /* "glDrawRangeElements" */,
                                providers, entrypoints);
}

static PFNGLDRAWRANGEELEMENTSBASEVERTEXPROC
epoxy_glDrawRangeElementsBaseVertex_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_elements_base_vertex,
        Desktop_OpenGL_3_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10118 /* "glDrawRangeElementsBaseVertex" */,
        10118 /* "glDrawRangeElementsBaseVertex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10118 /* "glDrawRangeElementsBaseVertex" */,
                                providers, entrypoints);
}

static PFNGLDRAWTEXFOESPROC
epoxy_glDrawTexfOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10171 /* glDrawTexfOES */);
}

static PFNGLDRAWTEXFVOESPROC
epoxy_glDrawTexfvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10185 /* glDrawTexfvOES */);
}

static PFNGLDRAWTEXIOESPROC
epoxy_glDrawTexiOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10200 /* glDrawTexiOES */);
}

static PFNGLDRAWTEXIVOESPROC
epoxy_glDrawTexivOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10214 /* glDrawTexivOES */);
}

static PFNGLDRAWTEXSOESPROC
epoxy_glDrawTexsOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10229 /* glDrawTexsOES */);
}

static PFNGLDRAWTEXSVOESPROC
epoxy_glDrawTexsvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10243 /* glDrawTexsvOES */);
}

static PFNGLDRAWTEXTURENVPROC
epoxy_glDrawTextureNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_draw_texture, 10258 /* glDrawTextureNV */);
}

static PFNGLDRAWTEXXOESPROC
epoxy_glDrawTexxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10274 /* glDrawTexxOES */);
}

static PFNGLDRAWTEXXVOESPROC
epoxy_glDrawTexxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10288 /* glDrawTexxvOES */);
}

static PFNGLDRAWTRANSFORMFEEDBACKPROC
epoxy_glDrawTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback2,
        Desktop_OpenGL_4_0,
        GL_extension_GL_NV_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10303 /* "glDrawTransformFeedback" */,
        10303 /* "glDrawTransformFeedback" */,
        10360 /* "glDrawTransformFeedbackNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10303 /* "glDrawTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLDRAWTRANSFORMFEEDBACKINSTANCEDPROC
epoxy_glDrawTransformFeedbackInstanced_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback_instanced,
        Desktop_OpenGL_4_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10327 /* "glDrawTransformFeedbackInstanced" */,
        10327 /* "glDrawTransformFeedbackInstanced" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10327 /* "glDrawTransformFeedbackInstanced" */,
                                providers, entrypoints);
}

static PFNGLDRAWTRANSFORMFEEDBACKSTREAMPROC
epoxy_glDrawTransformFeedbackStream_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback3,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10386 /* "glDrawTransformFeedbackStream" */,
        10386 /* "glDrawTransformFeedbackStream" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10386 /* "glDrawTransformFeedbackStream" */,
                                providers, entrypoints);
}

static PFNGLDRAWTRANSFORMFEEDBACKSTREAMINSTANCEDPROC
epoxy_glDrawTransformFeedbackStreamInstanced_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback_instanced,
        Desktop_OpenGL_4_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10416 /* "glDrawTransformFeedbackStreamInstanced" */,
        10416 /* "glDrawTransformFeedbackStreamInstanced" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10416 /* "glDrawTransformFeedbackStreamInstanced" */,
                                providers, entrypoints);
}

static PFNGLEGLIMAGETARGETRENDERBUFFERSTORAGEOESPROC
epoxy_glEGLImageTargetRenderbufferStorageOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_EGL_image, 10455 /* glEGLImageTargetRenderbufferStorageOES */);
}

static PFNGLEGLIMAGETARGETTEXTURE2DOESPROC
epoxy_glEGLImageTargetTexture2DOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_EGL_image, 10494 /* glEGLImageTargetTexture2DOES */);
}

static PFNGLEDGEFLAGPROC
epoxy_glEdgeFlag_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 10523 /* glEdgeFlag */);
}

static PFNGLEDGEFLAGFORMATNVPROC
epoxy_glEdgeFlagFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 10534 /* glEdgeFlagFormatNV */);
}

static PFNGLEDGEFLAGPOINTERPROC
epoxy_glEdgeFlagPointer_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 10553 /* glEdgeFlagPointer */);
}

static PFNGLEDGEFLAGPOINTEREXTPROC
epoxy_glEdgeFlagPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_array, 10571 /* glEdgeFlagPointerEXT */);
}

static PFNGLEDGEFLAGPOINTERLISTIBMPROC
epoxy_glEdgeFlagPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 10592 /* glEdgeFlagPointerListIBM */);
}

static PFNGLEDGEFLAGVPROC
epoxy_glEdgeFlagv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 10617 /* glEdgeFlagv */);
}

static PFNGLELEMENTPOINTERAPPLEPROC
epoxy_glElementPointerAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_element_array, 10629 /* glElementPointerAPPLE */);
}

static PFNGLELEMENTPOINTERATIPROC
epoxy_glElementPointerATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_element_array, 10651 /* glElementPointerATI */);
}

static PFNGLENABLEPROC
epoxy_glEnable_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10671 /* "glEnable" */,
        10671 /* "glEnable" */,
        10671 /* "glEnable" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10671 /* "glEnable" */,
                                providers, entrypoints);
}

static PFNGLENABLECLIENTSTATEPROC
epoxy_glEnableClientState_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10680 /* "glEnableClientState" */,
        10680 /* "glEnableClientState" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10680 /* "glEnableClientState" */,
                                providers, entrypoints);
}

static PFNGLENABLECLIENTSTATEINDEXEDEXTPROC
epoxy_glEnableClientStateIndexedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 10700 /* glEnableClientStateIndexedEXT */);
}

static PFNGLENABLECLIENTSTATEIEXTPROC
epoxy_glEnableClientStateiEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 10730 /* glEnableClientStateiEXT */);
}

static PFNGLENABLEDRIVERCONTROLQCOMPROC
epoxy_glEnableDriverControlQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_driver_control, 10754 /* glEnableDriverControlQCOM */);
}

static PFNGLENABLEVARIANTCLIENTSTATEEXTPROC
epoxy_glEnableVariantClientStateEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 10799 /* glEnableVariantClientStateEXT */);
}

static PFNGLENABLEVERTEXARRAYATTRIBEXTPROC
epoxy_glEnableVertexArrayAttribEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 10829 /* glEnableVertexArrayAttribEXT */);
}

static PFNGLENABLEVERTEXARRAYEXTPROC
epoxy_glEnableVertexArrayEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 10858 /* glEnableVertexArrayEXT */);
}

static PFNGLENABLEVERTEXATTRIBAPPLEPROC
epoxy_glEnableVertexAttribAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 10881 /* glEnableVertexAttribAPPLE */);
}

static PFNGLENABLEVERTEXATTRIBARRAYPROC
epoxy_glEnableVertexAttribArray_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10907 /* "glEnableVertexAttribArray" */,
        10907 /* "glEnableVertexAttribArray" */,
        10933 /* "glEnableVertexAttribArrayARB" */,
        10933 /* "glEnableVertexAttribArrayARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10907 /* "glEnableVertexAttribArray" */,
                                providers, entrypoints);
}

static PFNGLENABLEIPROC
epoxy_glEnablei_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_draw_buffers2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10962 /* "glEnablei" */,
        10780 /* "glEnableIndexedEXT" */,
        10780 /* "glEnableIndexedEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10962 /* "glEnablei" */,
                                providers, entrypoints);
}

static PFNGLENDPROC
epoxy_glEnd_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 10972 /* glEnd */);
}

static PFNGLENDCONDITIONALRENDERPROC
epoxy_glEndConditionalRender_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_conditional_render,
        GL_extension_GL_NVX_conditional_render,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10978 /* "glEndConditionalRender" */,
        11001 /* "glEndConditionalRenderNV" */,
        11026 /* "glEndConditionalRenderNVX" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10978 /* "glEndConditionalRender" */,
                                providers, entrypoints);
}

static PFNGLENDFRAGMENTSHADERATIPROC
epoxy_glEndFragmentShaderATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 11052 /* glEndFragmentShaderATI */);
}

static PFNGLENDLISTPROC
epoxy_glEndList_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11075 /* glEndList */);
}

static PFNGLENDOCCLUSIONQUERYNVPROC
epoxy_glEndOcclusionQueryNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 11085 /* glEndOcclusionQueryNV */);
}

static PFNGLENDPERFMONITORAMDPROC
epoxy_glEndPerfMonitorAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 11107 /* glEndPerfMonitorAMD */);
}

static PFNGLENDPERFQUERYINTELPROC
epoxy_glEndPerfQueryINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 11127 /* glEndPerfQueryINTEL */);
}

static PFNGLENDQUERYPROC
epoxy_glEndQuery_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11147 /* "glEndQuery" */,
        11147 /* "glEndQuery" */,
        11158 /* "glEndQueryARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11147 /* "glEndQuery" */,
                                providers, entrypoints);
}

static PFNGLENDQUERYEXTPROC
epoxy_glEndQueryEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11172 /* "glEndQueryEXT" */,
        11172 /* "glEndQueryEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11172 /* "glEndQueryEXT" */,
                                providers, entrypoints);
}

static PFNGLENDQUERYINDEXEDPROC
epoxy_glEndQueryIndexed_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback3,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11186 /* "glEndQueryIndexed" */,
        11186 /* "glEndQueryIndexed" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11186 /* "glEndQueryIndexed" */,
                                providers, entrypoints);
}

static PFNGLENDTILINGQCOMPROC
epoxy_glEndTilingQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_tiled_rendering, 11204 /* glEndTilingQCOM */);
}

static PFNGLENDTRANSFORMFEEDBACKPROC
epoxy_glEndTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_transform_feedback,
        GL_extension_GL_EXT_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11220 /* "glEndTransformFeedback" */,
        11220 /* "glEndTransformFeedback" */,
        11269 /* "glEndTransformFeedbackNV" */,
        11243 /* "glEndTransformFeedbackEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11220 /* "glEndTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLENDVERTEXSHADEREXTPROC
epoxy_glEndVertexShaderEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 11294 /* glEndVertexShaderEXT */);
}

static PFNGLENDVIDEOCAPTURENVPROC
epoxy_glEndVideoCaptureNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 11315 /* glEndVideoCaptureNV */);
}

static PFNGLEVALCOORD1DPROC
epoxy_glEvalCoord1d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11335 /* glEvalCoord1d */);
}

static PFNGLEVALCOORD1DVPROC
epoxy_glEvalCoord1dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11349 /* glEvalCoord1dv */);
}

static PFNGLEVALCOORD1FPROC
epoxy_glEvalCoord1f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11364 /* glEvalCoord1f */);
}

static PFNGLEVALCOORD1FVPROC
epoxy_glEvalCoord1fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11378 /* glEvalCoord1fv */);
}

static PFNGLEVALCOORD1XOESPROC
epoxy_glEvalCoord1xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 11393 /* glEvalCoord1xOES */);
}

static PFNGLEVALCOORD1XVOESPROC
epoxy_glEvalCoord1xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 11410 /* glEvalCoord1xvOES */);
}

static PFNGLEVALCOORD2DPROC
epoxy_glEvalCoord2d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11428 /* glEvalCoord2d */);
}

static PFNGLEVALCOORD2DVPROC
epoxy_glEvalCoord2dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11442 /* glEvalCoord2dv */);
}

static PFNGLEVALCOORD2FPROC
epoxy_glEvalCoord2f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11457 /* glEvalCoord2f */);
}

static PFNGLEVALCOORD2FVPROC
epoxy_glEvalCoord2fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11471 /* glEvalCoord2fv */);
}

static PFNGLEVALCOORD2XOESPROC
epoxy_glEvalCoord2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 11486 /* glEvalCoord2xOES */);
}

static PFNGLEVALCOORD2XVOESPROC
epoxy_glEvalCoord2xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 11503 /* glEvalCoord2xvOES */);
}

static PFNGLEVALMAPSNVPROC
epoxy_glEvalMapsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 11521 /* glEvalMapsNV */);
}

static PFNGLEVALMESH1PROC
epoxy_glEvalMesh1_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11534 /* glEvalMesh1 */);
}

static PFNGLEVALMESH2PROC
epoxy_glEvalMesh2_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11546 /* glEvalMesh2 */);
}

static PFNGLEVALPOINT1PROC
epoxy_glEvalPoint1_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11558 /* glEvalPoint1 */);
}

static PFNGLEVALPOINT2PROC
epoxy_glEvalPoint2_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11571 /* glEvalPoint2 */);
}

static PFNGLEXECUTEPROGRAMNVPROC
epoxy_glExecuteProgramNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 11584 /* glExecuteProgramNV */);
}

static PFNGLEXTGETBUFFERPOINTERVQCOMPROC
epoxy_glExtGetBufferPointervQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11603 /* glExtGetBufferPointervQCOM */);
}

static PFNGLEXTGETBUFFERSQCOMPROC
epoxy_glExtGetBuffersQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11630 /* glExtGetBuffersQCOM */);
}

static PFNGLEXTGETFRAMEBUFFERSQCOMPROC
epoxy_glExtGetFramebuffersQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11650 /* glExtGetFramebuffersQCOM */);
}

static PFNGLEXTGETPROGRAMBINARYSOURCEQCOMPROC
epoxy_glExtGetProgramBinarySourceQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get2, 11675 /* glExtGetProgramBinarySourceQCOM */);
}

static PFNGLEXTGETPROGRAMSQCOMPROC
epoxy_glExtGetProgramsQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get2, 11707 /* glExtGetProgramsQCOM */);
}

static PFNGLEXTGETRENDERBUFFERSQCOMPROC
epoxy_glExtGetRenderbuffersQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11728 /* glExtGetRenderbuffersQCOM */);
}

static PFNGLEXTGETSHADERSQCOMPROC
epoxy_glExtGetShadersQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get2, 11754 /* glExtGetShadersQCOM */);
}

static PFNGLEXTGETTEXLEVELPARAMETERIVQCOMPROC
epoxy_glExtGetTexLevelParameterivQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11774 /* glExtGetTexLevelParameterivQCOM */);
}

static PFNGLEXTGETTEXSUBIMAGEQCOMPROC
epoxy_glExtGetTexSubImageQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11806 /* glExtGetTexSubImageQCOM */);
}

static PFNGLEXTGETTEXTURESQCOMPROC
epoxy_glExtGetTexturesQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11830 /* glExtGetTexturesQCOM */);
}

static PFNGLEXTISPROGRAMBINARYQCOMPROC
epoxy_glExtIsProgramBinaryQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get2, 11851 /* glExtIsProgramBinaryQCOM */);
}

static PFNGLEXTTEXOBJECTSTATEOVERRIDEIQCOMPROC
epoxy_glExtTexObjectStateOverrideiQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11876 /* glExtTexObjectStateOverrideiQCOM */);
}

static PFNGLEXTRACTCOMPONENTEXTPROC
epoxy_glExtractComponentEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 11909 /* glExtractComponentEXT */);
}

static PFNGLFEEDBACKBUFFERPROC
epoxy_glFeedbackBuffer_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11931 /* glFeedbackBuffer */);
}

static PFNGLFEEDBACKBUFFERXOESPROC
epoxy_glFeedbackBufferxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 11948 /* glFeedbackBufferxOES */);
}

static PFNGLFENCESYNCPROC
epoxy_glFenceSync_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_2,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11969 /* "glFenceSync" */,
        11969 /* "glFenceSync" */,
        11969 /* "glFenceSync" */,
        11981 /* "glFenceSyncAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11969 /* "glFenceSync" */,
                                providers, entrypoints);
}

static PFNGLFINALCOMBINERINPUTNVPROC
epoxy_glFinalCombinerInputNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 11998 /* glFinalCombinerInputNV */);
}

static PFNGLFINISHPROC
epoxy_glFinish_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12021 /* "glFinish" */,
        12021 /* "glFinish" */,
        12021 /* "glFinish" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12021 /* "glFinish" */,
                                providers, entrypoints);
}

static PFNGLFINISHASYNCSGIXPROC
epoxy_glFinishAsyncSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_async, 12030 /* glFinishAsyncSGIX */);
}

static PFNGLFINISHFENCEAPPLEPROC
epoxy_glFinishFenceAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 12048 /* glFinishFenceAPPLE */);
}

static PFNGLFINISHFENCENVPROC
epoxy_glFinishFenceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 12067 /* glFinishFenceNV */);
}

static PFNGLFINISHOBJECTAPPLEPROC
epoxy_glFinishObjectAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 12083 /* glFinishObjectAPPLE */);
}

static PFNGLFINISHTEXTURESUNXPROC
epoxy_glFinishTextureSUNX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUNX_constant_data, 12103 /* glFinishTextureSUNX */);
}

static PFNGLFLUSHPROC
epoxy_glFlush_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12123 /* "glFlush" */,
        12123 /* "glFlush" */,
        12123 /* "glFlush" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12123 /* "glFlush" */,
                                providers, entrypoints);
}

static PFNGLFLUSHMAPPEDBUFFERRANGEPROC
epoxy_glFlushMappedBufferRange_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_map_buffer_range,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_map_buffer_range,
        GL_extension_GL_APPLE_flush_buffer_range,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12131 /* "glFlushMappedBufferRange" */,
        12131 /* "glFlushMappedBufferRange" */,
        12131 /* "glFlushMappedBufferRange" */,
        12186 /* "glFlushMappedBufferRangeEXT" */,
        12156 /* "glFlushMappedBufferRangeAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12131 /* "glFlushMappedBufferRange" */,
                                providers, entrypoints);
}

static PFNGLFLUSHMAPPEDNAMEDBUFFERRANGEEXTPROC
epoxy_glFlushMappedNamedBufferRangeEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 12214 /* glFlushMappedNamedBufferRangeEXT */);
}

static PFNGLFLUSHPIXELDATARANGENVPROC
epoxy_glFlushPixelDataRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_pixel_data_range, 12247 /* glFlushPixelDataRangeNV */);
}

static PFNGLFLUSHRASTERSGIXPROC
epoxy_glFlushRasterSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_flush_raster, 12271 /* glFlushRasterSGIX */);
}

static PFNGLFLUSHSTATICDATAIBMPROC
epoxy_glFlushStaticDataIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_static_data, 12289 /* glFlushStaticDataIBM */);
}

static PFNGLFLUSHVERTEXARRAYRANGEAPPLEPROC
epoxy_glFlushVertexArrayRangeAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_array_range, 12310 /* glFlushVertexArrayRangeAPPLE */);
}

static PFNGLFLUSHVERTEXARRAYRANGENVPROC
epoxy_glFlushVertexArrayRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_array_range, 12339 /* glFlushVertexArrayRangeNV */);
}

static PFNGLFOGCOORDFORMATNVPROC
epoxy_glFogCoordFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 12365 /* glFogCoordFormatNV */);
}

static PFNGLFOGCOORDPOINTERPROC
epoxy_glFogCoordPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_fog_coord,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12384 /* "glFogCoordPointer" */,
        12402 /* "glFogCoordPointerEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12384 /* "glFogCoordPointer" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDPOINTERLISTIBMPROC
epoxy_glFogCoordPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 12423 /* glFogCoordPointerListIBM */);
}

static PFNGLFOGCOORDDPROC
epoxy_glFogCoordd_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_fog_coord,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12448 /* "glFogCoordd" */,
        12460 /* "glFogCoorddEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12448 /* "glFogCoordd" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDDVPROC
epoxy_glFogCoorddv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_fog_coord,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12475 /* "glFogCoorddv" */,
        12488 /* "glFogCoorddvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12475 /* "glFogCoorddv" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDFPROC
epoxy_glFogCoordf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_fog_coord,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12504 /* "glFogCoordf" */,
        12516 /* "glFogCoordfEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12504 /* "glFogCoordf" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDFVPROC
epoxy_glFogCoordfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_fog_coord,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12531 /* "glFogCoordfv" */,
        12544 /* "glFogCoordfvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12531 /* "glFogCoordfv" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDHNVPROC
epoxy_glFogCoordhNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 12560 /* glFogCoordhNV */);
}

static PFNGLFOGCOORDHVNVPROC
epoxy_glFogCoordhvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 12574 /* glFogCoordhvNV */);
}

static PFNGLFOGFUNCSGISPROC
epoxy_glFogFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_fog_function, 12589 /* glFogFuncSGIS */);
}

static PFNGLFOGFPROC
epoxy_glFogf_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12603 /* "glFogf" */,
        12603 /* "glFogf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12603 /* "glFogf" */,
                                providers, entrypoints);
}

static PFNGLFOGFVPROC
epoxy_glFogfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12610 /* "glFogfv" */,
        12610 /* "glFogfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12610 /* "glFogfv" */,
                                providers, entrypoints);
}

static PFNGLFOGIPROC
epoxy_glFogi_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 12618 /* glFogi */);
}

static PFNGLFOGIVPROC
epoxy_glFogiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 12625 /* glFogiv */);
}

static PFNGLFOGXPROC
epoxy_glFogx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 12633 /* glFogx */);
}

static PFNGLFOGXOESPROC
epoxy_glFogxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 12640 /* glFogxOES */);
}

static PFNGLFOGXVPROC
epoxy_glFogxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 12650 /* glFogxv */);
}

static PFNGLFOGXVOESPROC
epoxy_glFogxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 12658 /* glFogxvOES */);
}

static PFNGLFRAGMENTCOLORMATERIALSGIXPROC
epoxy_glFragmentColorMaterialSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12669 /* glFragmentColorMaterialSGIX */);
}

static PFNGLFRAGMENTLIGHTMODELFSGIXPROC
epoxy_glFragmentLightModelfSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12697 /* glFragmentLightModelfSGIX */);
}

static PFNGLFRAGMENTLIGHTMODELFVSGIXPROC
epoxy_glFragmentLightModelfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12723 /* glFragmentLightModelfvSGIX */);
}

static PFNGLFRAGMENTLIGHTMODELISGIXPROC
epoxy_glFragmentLightModeliSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12750 /* glFragmentLightModeliSGIX */);
}

static PFNGLFRAGMENTLIGHTMODELIVSGIXPROC
epoxy_glFragmentLightModelivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12776 /* glFragmentLightModelivSGIX */);
}

static PFNGLFRAGMENTLIGHTFSGIXPROC
epoxy_glFragmentLightfSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12803 /* glFragmentLightfSGIX */);
}

static PFNGLFRAGMENTLIGHTFVSGIXPROC
epoxy_glFragmentLightfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12824 /* glFragmentLightfvSGIX */);
}

static PFNGLFRAGMENTLIGHTISGIXPROC
epoxy_glFragmentLightiSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12846 /* glFragmentLightiSGIX */);
}

static PFNGLFRAGMENTLIGHTIVSGIXPROC
epoxy_glFragmentLightivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12867 /* glFragmentLightivSGIX */);
}

static PFNGLFRAGMENTMATERIALFSGIXPROC
epoxy_glFragmentMaterialfSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12889 /* glFragmentMaterialfSGIX */);
}

static PFNGLFRAGMENTMATERIALFVSGIXPROC
epoxy_glFragmentMaterialfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12913 /* glFragmentMaterialfvSGIX */);
}

static PFNGLFRAGMENTMATERIALISGIXPROC
epoxy_glFragmentMaterialiSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12938 /* glFragmentMaterialiSGIX */);
}

static PFNGLFRAGMENTMATERIALIVSGIXPROC
epoxy_glFragmentMaterialivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12962 /* glFragmentMaterialivSGIX */);
}

static PFNGLFRAMETERMINATORGREMEDYPROC
epoxy_glFrameTerminatorGREMEDY_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_GREMEDY_frame_terminator, 12987 /* glFrameTerminatorGREMEDY */);
}

static PFNGLFRAMEZOOMSGIXPROC
epoxy_glFrameZoomSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_framezoom, 13012 /* glFrameZoomSGIX */);
}

static PFNGLFRAMEBUFFERDRAWBUFFEREXTPROC
epoxy_glFramebufferDrawBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 13028 /* glFramebufferDrawBufferEXT */);
}

static PFNGLFRAMEBUFFERDRAWBUFFERSEXTPROC
epoxy_glFramebufferDrawBuffersEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 13055 /* glFramebufferDrawBuffersEXT */);
}

static PFNGLFRAMEBUFFERPARAMETERIPROC
epoxy_glFramebufferParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_framebuffer_no_attachments,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13083 /* "glFramebufferParameteri" */,
        13083 /* "glFramebufferParameteri" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13083 /* "glFramebufferParameteri" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERREADBUFFEREXTPROC
epoxy_glFramebufferReadBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 13107 /* glFramebufferReadBufferEXT */);
}

static PFNGLFRAMEBUFFERRENDERBUFFERPROC
epoxy_glFramebufferRenderbuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13134 /* "glFramebufferRenderbuffer" */,
        13134 /* "glFramebufferRenderbuffer" */,
        13134 /* "glFramebufferRenderbuffer" */,
        13160 /* "glFramebufferRenderbufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13134 /* "glFramebufferRenderbuffer" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERRENDERBUFFEROESPROC
epoxy_glFramebufferRenderbufferOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 13189 /* glFramebufferRenderbufferOES */);
}

static PFNGLFRAMEBUFFERTEXTUREPROC
epoxy_glFramebufferTexture_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_NV_geometry_program4,
        GL_extension_GL_ARB_geometry_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13218 /* "glFramebufferTexture" */,
        13536 /* "glFramebufferTextureEXT" */,
        13512 /* "glFramebufferTextureARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13218 /* "glFramebufferTexture" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURE1DPROC
epoxy_glFramebufferTexture1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13239 /* "glFramebufferTexture1D" */,
        13239 /* "glFramebufferTexture1D" */,
        13262 /* "glFramebufferTexture1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13239 /* "glFramebufferTexture1D" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURE2DPROC
epoxy_glFramebufferTexture2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13288 /* "glFramebufferTexture2D" */,
        13288 /* "glFramebufferTexture2D" */,
        13288 /* "glFramebufferTexture2D" */,
        13311 /* "glFramebufferTexture2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13288 /* "glFramebufferTexture2D" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEEXTPROC
epoxy_glFramebufferTexture2DMultisampleEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_multisampled_render_to_texture, 13337 /* glFramebufferTexture2DMultisampleEXT */);
}

static PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEIMGPROC
epoxy_glFramebufferTexture2DMultisampleIMG_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IMG_multisampled_render_to_texture, 13374 /* glFramebufferTexture2DMultisampleIMG */);
}

static PFNGLFRAMEBUFFERTEXTURE2DOESPROC
epoxy_glFramebufferTexture2DOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 13411 /* glFramebufferTexture2DOES */);
}

static PFNGLFRAMEBUFFERTEXTURE3DPROC
epoxy_glFramebufferTexture3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_OES_texture_3D,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13437 /* "glFramebufferTexture3D" */,
        13437 /* "glFramebufferTexture3D" */,
        13486 /* "glFramebufferTexture3DOES" */,
        13460 /* "glFramebufferTexture3DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13437 /* "glFramebufferTexture3D" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTUREFACEARBPROC
epoxy_glFramebufferTextureFaceARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_geometry_shader4,
        GL_extension_GL_NV_geometry_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13560 /* "glFramebufferTextureFaceARB" */,
        13588 /* "glFramebufferTextureFaceEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13560 /* "glFramebufferTextureFaceARB" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURELAYERPROC
epoxy_glFramebufferTextureLayer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_ARB_geometry_shader4,
        GL_extension_GL_NV_geometry_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13616 /* "glFramebufferTextureLayer" */,
        13616 /* "glFramebufferTextureLayer" */,
        13616 /* "glFramebufferTextureLayer" */,
        13642 /* "glFramebufferTextureLayerARB" */,
        13671 /* "glFramebufferTextureLayerEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13616 /* "glFramebufferTextureLayer" */,
                                providers, entrypoints);
}

static PFNGLFREEOBJECTBUFFERATIPROC
epoxy_glFreeObjectBufferATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 13700 /* glFreeObjectBufferATI */);
}

static PFNGLFRONTFACEPROC
epoxy_glFrontFace_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13722 /* "glFrontFace" */,
        13722 /* "glFrontFace" */,
        13722 /* "glFrontFace" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13722 /* "glFrontFace" */,
                                providers, entrypoints);
}

static PFNGLFRUSTUMPROC
epoxy_glFrustum_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 13734 /* glFrustum */);
}

static PFNGLFRUSTUMFPROC
epoxy_glFrustumf_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 13744 /* glFrustumf */);
}

static PFNGLFRUSTUMFOESPROC
epoxy_glFrustumfOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_single_precision, 13755 /* glFrustumfOES */);
}

static PFNGLFRUSTUMXPROC
epoxy_glFrustumx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 13769 /* glFrustumx */);
}

static PFNGLFRUSTUMXOESPROC
epoxy_glFrustumxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 13780 /* glFrustumxOES */);
}

static PFNGLGENASYNCMARKERSSGIXPROC
epoxy_glGenAsyncMarkersSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_async, 13794 /* glGenAsyncMarkersSGIX */);
}

static PFNGLGENBUFFERSPROC
epoxy_glGenBuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13816 /* "glGenBuffers" */,
        13816 /* "glGenBuffers" */,
        13816 /* "glGenBuffers" */,
        13829 /* "glGenBuffersARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13816 /* "glGenBuffers" */,
                                providers, entrypoints);
}

static PFNGLGENFENCESAPPLEPROC
epoxy_glGenFencesAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 13845 /* glGenFencesAPPLE */);
}

static PFNGLGENFENCESNVPROC
epoxy_glGenFencesNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 13862 /* glGenFencesNV */);
}

static PFNGLGENFRAGMENTSHADERSATIPROC
epoxy_glGenFragmentShadersATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 13876 /* glGenFragmentShadersATI */);
}

static PFNGLGENFRAMEBUFFERSPROC
epoxy_glGenFramebuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13900 /* "glGenFramebuffers" */,
        13900 /* "glGenFramebuffers" */,
        13900 /* "glGenFramebuffers" */,
        13918 /* "glGenFramebuffersEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13900 /* "glGenFramebuffers" */,
                                providers, entrypoints);
}

static PFNGLGENFRAMEBUFFERSOESPROC
epoxy_glGenFramebuffersOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 13939 /* glGenFramebuffersOES */);
}

static PFNGLGENLISTSPROC
epoxy_glGenLists_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 13960 /* glGenLists */);
}

static PFNGLGENNAMESAMDPROC
epoxy_glGenNamesAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_name_gen_delete, 13971 /* glGenNamesAMD */);
}

static PFNGLGENOCCLUSIONQUERIESNVPROC
epoxy_glGenOcclusionQueriesNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 13985 /* glGenOcclusionQueriesNV */);
}

static PFNGLGENPATHSNVPROC
epoxy_glGenPathsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 14009 /* glGenPathsNV */);
}

static PFNGLGENPERFMONITORSAMDPROC
epoxy_glGenPerfMonitorsAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 14022 /* glGenPerfMonitorsAMD */);
}

static PFNGLGENPROGRAMPIPELINESPROC
epoxy_glGenProgramPipelines_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14043 /* "glGenProgramPipelines" */,
        14043 /* "glGenProgramPipelines" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14043 /* "glGenProgramPipelines" */,
                                providers, entrypoints);
}

static PFNGLGENPROGRAMPIPELINESEXTPROC
epoxy_glGenProgramPipelinesEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 14065 /* glGenProgramPipelinesEXT */);
}

static PFNGLGENPROGRAMSARBPROC
epoxy_glGenProgramsARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14090 /* "glGenProgramsARB" */,
        14090 /* "glGenProgramsARB" */,
        14107 /* "glGenProgramsNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14090 /* "glGenProgramsARB" */,
                                providers, entrypoints);
}

static PFNGLGENQUERIESPROC
epoxy_glGenQueries_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14123 /* "glGenQueries" */,
        14123 /* "glGenQueries" */,
        14136 /* "glGenQueriesARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14123 /* "glGenQueries" */,
                                providers, entrypoints);
}

static PFNGLGENQUERIESEXTPROC
epoxy_glGenQueriesEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14152 /* "glGenQueriesEXT" */,
        14152 /* "glGenQueriesEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14152 /* "glGenQueriesEXT" */,
                                providers, entrypoints);
}

static PFNGLGENRENDERBUFFERSPROC
epoxy_glGenRenderbuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14168 /* "glGenRenderbuffers" */,
        14168 /* "glGenRenderbuffers" */,
        14168 /* "glGenRenderbuffers" */,
        14187 /* "glGenRenderbuffersEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14168 /* "glGenRenderbuffers" */,
                                providers, entrypoints);
}

static PFNGLGENRENDERBUFFERSOESPROC
epoxy_glGenRenderbuffersOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 14209 /* glGenRenderbuffersOES */);
}

static PFNGLGENSAMPLERSPROC
epoxy_glGenSamplers_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14231 /* "glGenSamplers" */,
        14231 /* "glGenSamplers" */,
        14231 /* "glGenSamplers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14231 /* "glGenSamplers" */,
                                providers, entrypoints);
}

static PFNGLGENSYMBOLSEXTPROC
epoxy_glGenSymbolsEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 14245 /* glGenSymbolsEXT */);
}

static PFNGLGENTEXTURESPROC
epoxy_glGenTextures_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14261 /* "glGenTextures" */,
        14261 /* "glGenTextures" */,
        14261 /* "glGenTextures" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14261 /* "glGenTextures" */,
                                providers, entrypoints);
}

static PFNGLGENTEXTURESEXTPROC
epoxy_glGenTexturesEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_object, 14275 /* glGenTexturesEXT */);
}

static PFNGLGENTRANSFORMFEEDBACKSPROC
epoxy_glGenTransformFeedbacks_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback2,
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_0,
        GL_extension_GL_NV_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14292 /* "glGenTransformFeedbacks" */,
        14292 /* "glGenTransformFeedbacks" */,
        14292 /* "glGenTransformFeedbacks" */,
        14316 /* "glGenTransformFeedbacksNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14292 /* "glGenTransformFeedbacks" */,
                                providers, entrypoints);
}

static PFNGLGENVERTEXARRAYSPROC
epoxy_glGenVertexArrays_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_APPLE_vertex_array_object,
        GL_extension_GL_OES_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14342 /* "glGenVertexArrays" */,
        14342 /* "glGenVertexArrays" */,
        14342 /* "glGenVertexArrays" */,
        14360 /* "glGenVertexArraysAPPLE" */,
        14383 /* "glGenVertexArraysOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14342 /* "glGenVertexArrays" */,
                                providers, entrypoints);
}

static PFNGLGENVERTEXSHADERSEXTPROC
epoxy_glGenVertexShadersEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 14404 /* glGenVertexShadersEXT */);
}

static PFNGLGENERATEMIPMAPPROC
epoxy_glGenerateMipmap_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14426 /* "glGenerateMipmap" */,
        14426 /* "glGenerateMipmap" */,
        14426 /* "glGenerateMipmap" */,
        14443 /* "glGenerateMipmapEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14426 /* "glGenerateMipmap" */,
                                providers, entrypoints);
}

static PFNGLGENERATEMIPMAPOESPROC
epoxy_glGenerateMipmapOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 14463 /* glGenerateMipmapOES */);
}

static PFNGLGENERATEMULTITEXMIPMAPEXTPROC
epoxy_glGenerateMultiTexMipmapEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 14483 /* glGenerateMultiTexMipmapEXT */);
}

static PFNGLGENERATETEXTUREMIPMAPEXTPROC
epoxy_glGenerateTextureMipmapEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 14511 /* glGenerateTextureMipmapEXT */);
}

static PFNGLGETACTIVEATOMICCOUNTERBUFFERIVPROC
epoxy_glGetActiveAtomicCounterBufferiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_2,
        GL_extension_GL_ARB_shader_atomic_counters,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14538 /* "glGetActiveAtomicCounterBufferiv" */,
        14538 /* "glGetActiveAtomicCounterBufferiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14538 /* "glGetActiveAtomicCounterBufferiv" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEATTRIBPROC
epoxy_glGetActiveAttrib_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14571 /* "glGetActiveAttrib" */,
        14571 /* "glGetActiveAttrib" */,
        14589 /* "glGetActiveAttribARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14571 /* "glGetActiveAttrib" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVESUBROUTINENAMEPROC
epoxy_glGetActiveSubroutineName_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_subroutine,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14610 /* "glGetActiveSubroutineName" */,
        14610 /* "glGetActiveSubroutineName" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14610 /* "glGetActiveSubroutineName" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVESUBROUTINEUNIFORMNAMEPROC
epoxy_glGetActiveSubroutineUniformName_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_subroutine,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14636 /* "glGetActiveSubroutineUniformName" */,
        14636 /* "glGetActiveSubroutineUniformName" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14636 /* "glGetActiveSubroutineUniformName" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVESUBROUTINEUNIFORMIVPROC
epoxy_glGetActiveSubroutineUniformiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_subroutine,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14669 /* "glGetActiveSubroutineUniformiv" */,
        14669 /* "glGetActiveSubroutineUniformiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14669 /* "glGetActiveSubroutineUniformiv" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEUNIFORMPROC
epoxy_glGetActiveUniform_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14700 /* "glGetActiveUniform" */,
        14700 /* "glGetActiveUniform" */,
        14719 /* "glGetActiveUniformARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14700 /* "glGetActiveUniform" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEUNIFORMBLOCKNAMEPROC
epoxy_glGetActiveUniformBlockName_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_1,
        GL_extension_GL_ARB_uniform_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14741 /* "glGetActiveUniformBlockName" */,
        14741 /* "glGetActiveUniformBlockName" */,
        14741 /* "glGetActiveUniformBlockName" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14741 /* "glGetActiveUniformBlockName" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEUNIFORMBLOCKIVPROC
epoxy_glGetActiveUniformBlockiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_1,
        GL_extension_GL_ARB_uniform_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14769 /* "glGetActiveUniformBlockiv" */,
        14769 /* "glGetActiveUniformBlockiv" */,
        14769 /* "glGetActiveUniformBlockiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14769 /* "glGetActiveUniformBlockiv" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEUNIFORMNAMEPROC
epoxy_glGetActiveUniformName_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_1,
        GL_extension_GL_ARB_uniform_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14795 /* "glGetActiveUniformName" */,
        14795 /* "glGetActiveUniformName" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14795 /* "glGetActiveUniformName" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEUNIFORMSIVPROC
epoxy_glGetActiveUniformsiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_1,
        GL_extension_GL_ARB_uniform_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14818 /* "glGetActiveUniformsiv" */,
        14818 /* "glGetActiveUniformsiv" */,
        14818 /* "glGetActiveUniformsiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14818 /* "glGetActiveUniformsiv" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEVARYINGNVPROC
epoxy_glGetActiveVaryingNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 14840 /* glGetActiveVaryingNV */);
}

static PFNGLGETARRAYOBJECTFVATIPROC
epoxy_glGetArrayObjectfvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 14861 /* glGetArrayObjectfvATI */);
}

static PFNGLGETARRAYOBJECTIVATIPROC
epoxy_glGetArrayObjectivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 14883 /* glGetArrayObjectivATI */);
}

static PFNGLGETATTACHEDOBJECTSARBPROC
epoxy_glGetAttachedObjectsARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shader_objects, 14905 /* glGetAttachedObjectsARB */);
}

static PFNGLGETATTACHEDSHADERSPROC
epoxy_glGetAttachedShaders_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14929 /* "glGetAttachedShaders" */,
        14929 /* "glGetAttachedShaders" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14929 /* "glGetAttachedShaders" */,
                                providers, entrypoints);
}

static PFNGLGETATTRIBLOCATIONPROC
epoxy_glGetAttribLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14950 /* "glGetAttribLocation" */,
        14950 /* "glGetAttribLocation" */,
        14970 /* "glGetAttribLocationARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14950 /* "glGetAttribLocation" */,
                                providers, entrypoints);
}

static PFNGLGETBOOLEANI_VPROC
epoxy_glGetBooleani_v_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_draw_buffers2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15017 /* "glGetBooleani_v" */,
        14993 /* "glGetBooleanIndexedvEXT" */,
        14993 /* "glGetBooleanIndexedvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15017 /* "glGetBooleani_v" */,
                                providers, entrypoints);
}

static PFNGLGETBOOLEANVPROC
epoxy_glGetBooleanv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15033 /* "glGetBooleanv" */,
        15033 /* "glGetBooleanv" */,
        15033 /* "glGetBooleanv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15033 /* "glGetBooleanv" */,
                                providers, entrypoints);
}

static PFNGLGETBUFFERPARAMETERI64VPROC
epoxy_glGetBufferParameteri64v_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15047 /* "glGetBufferParameteri64v" */,
        15047 /* "glGetBufferParameteri64v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15047 /* "glGetBufferParameteri64v" */,
                                providers, entrypoints);
}

static PFNGLGETBUFFERPARAMETERIVPROC
epoxy_glGetBufferParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15072 /* "glGetBufferParameteriv" */,
        15072 /* "glGetBufferParameteriv" */,
        15072 /* "glGetBufferParameteriv" */,
        15095 /* "glGetBufferParameterivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15072 /* "glGetBufferParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETBUFFERPARAMETERUI64VNVPROC
epoxy_glGetBufferParameterui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 15121 /* glGetBufferParameterui64vNV */);
}

static PFNGLGETBUFFERPOINTERVPROC
epoxy_glGetBufferPointerv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_OES_mapbuffer,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15149 /* "glGetBufferPointerv" */,
        15149 /* "glGetBufferPointerv" */,
        15192 /* "glGetBufferPointervOES" */,
        15169 /* "glGetBufferPointervARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15149 /* "glGetBufferPointerv" */,
                                providers, entrypoints);
}

static PFNGLGETBUFFERSUBDATAPROC
epoxy_glGetBufferSubData_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15215 /* "glGetBufferSubData" */,
        15234 /* "glGetBufferSubDataARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15215 /* "glGetBufferSubData" */,
                                providers, entrypoints);
}

static PFNGLGETCLIPPLANEPROC
epoxy_glGetClipPlane_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 15256 /* glGetClipPlane */);
}

static PFNGLGETCLIPPLANEFPROC
epoxy_glGetClipPlanef_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 15271 /* glGetClipPlanef */);
}

static PFNGLGETCLIPPLANEFOESPROC
epoxy_glGetClipPlanefOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_single_precision, 15287 /* glGetClipPlanefOES */);
}

static PFNGLGETCLIPPLANEXPROC
epoxy_glGetClipPlanex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 15306 /* glGetClipPlanex */);
}

static PFNGLGETCLIPPLANEXOESPROC
epoxy_glGetClipPlanexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 15322 /* glGetClipPlanexOES */);
}

static PFNGLGETCOLORTABLEPROC
epoxy_glGetColorTable_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_paletted_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15341 /* "glGetColorTable" */,
        15357 /* "glGetColorTableEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15341 /* "glGetColorTable" */,
                                providers, entrypoints);
}

static PFNGLGETCOLORTABLEPARAMETERFVPROC
epoxy_glGetColorTableParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_paletted_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15376 /* "glGetColorTableParameterfv" */,
        15403 /* "glGetColorTableParameterfvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15376 /* "glGetColorTableParameterfv" */,
                                providers, entrypoints);
}

static PFNGLGETCOLORTABLEPARAMETERFVSGIPROC
epoxy_glGetColorTableParameterfvSGI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGI_color_table, 15433 /* glGetColorTableParameterfvSGI */);
}

static PFNGLGETCOLORTABLEPARAMETERIVPROC
epoxy_glGetColorTableParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_paletted_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15463 /* "glGetColorTableParameteriv" */,
        15490 /* "glGetColorTableParameterivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15463 /* "glGetColorTableParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETCOLORTABLEPARAMETERIVSGIPROC
epoxy_glGetColorTableParameterivSGI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGI_color_table, 15520 /* glGetColorTableParameterivSGI */);
}

static PFNGLGETCOLORTABLESGIPROC
epoxy_glGetColorTableSGI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGI_color_table, 15550 /* glGetColorTableSGI */);
}

static PFNGLGETCOMBINERINPUTPARAMETERFVNVPROC
epoxy_glGetCombinerInputParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 15569 /* glGetCombinerInputParameterfvNV */);
}

static PFNGLGETCOMBINERINPUTPARAMETERIVNVPROC
epoxy_glGetCombinerInputParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 15601 /* glGetCombinerInputParameterivNV */);
}

static PFNGLGETCOMBINEROUTPUTPARAMETERFVNVPROC
epoxy_glGetCombinerOutputParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 15633 /* glGetCombinerOutputParameterfvNV */);
}

static PFNGLGETCOMBINEROUTPUTPARAMETERIVNVPROC
epoxy_glGetCombinerOutputParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 15666 /* glGetCombinerOutputParameterivNV */);
}

static PFNGLGETCOMBINERSTAGEPARAMETERFVNVPROC
epoxy_glGetCombinerStageParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners2, 15699 /* glGetCombinerStageParameterfvNV */);
}

static PFNGLGETCOMPRESSEDMULTITEXIMAGEEXTPROC
epoxy_glGetCompressedMultiTexImageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 15731 /* glGetCompressedMultiTexImageEXT */);
}

static PFNGLGETCOMPRESSEDTEXIMAGEPROC
epoxy_glGetCompressedTexImage_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15763 /* "glGetCompressedTexImage" */,
        15787 /* "glGetCompressedTexImageARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15763 /* "glGetCompressedTexImage" */,
                                providers, entrypoints);
}

static PFNGLGETCOMPRESSEDTEXTUREIMAGEEXTPROC
epoxy_glGetCompressedTextureImageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 15814 /* glGetCompressedTextureImageEXT */);
}

static PFNGLGETCONVOLUTIONFILTERPROC
epoxy_glGetConvolutionFilter_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 15845 /* glGetConvolutionFilter */);
}

static PFNGLGETCONVOLUTIONFILTEREXTPROC
epoxy_glGetConvolutionFilterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_convolution, 15868 /* glGetConvolutionFilterEXT */);
}

static PFNGLGETCONVOLUTIONPARAMETERFVPROC
epoxy_glGetConvolutionParameterfv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 15894 /* glGetConvolutionParameterfv */);
}

static PFNGLGETCONVOLUTIONPARAMETERFVEXTPROC
epoxy_glGetConvolutionParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_convolution, 15922 /* glGetConvolutionParameterfvEXT */);
}

static PFNGLGETCONVOLUTIONPARAMETERIVPROC
epoxy_glGetConvolutionParameteriv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 15953 /* glGetConvolutionParameteriv */);
}

static PFNGLGETCONVOLUTIONPARAMETERIVEXTPROC
epoxy_glGetConvolutionParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_convolution, 15981 /* glGetConvolutionParameterivEXT */);
}

static PFNGLGETCONVOLUTIONPARAMETERXVOESPROC
epoxy_glGetConvolutionParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 16012 /* glGetConvolutionParameterxvOES */);
}

static PFNGLGETDEBUGMESSAGELOGPROC
epoxy_glGetDebugMessageLog_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_ARB_debug_output,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16043 /* "glGetDebugMessageLog" */,
        16043 /* "glGetDebugMessageLog" */,
        16112 /* "glGetDebugMessageLogKHR" */,
        16088 /* "glGetDebugMessageLogARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16043 /* "glGetDebugMessageLog" */,
                                providers, entrypoints);
}

static PFNGLGETDEBUGMESSAGELOGAMDPROC
epoxy_glGetDebugMessageLogAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_debug_output, 16064 /* glGetDebugMessageLogAMD */);
}

static PFNGLGETDETAILTEXFUNCSGISPROC
epoxy_glGetDetailTexFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_detail_texture, 16136 /* glGetDetailTexFuncSGIS */);
}

static PFNGLGETDOUBLEI_VPROC
epoxy_glGetDoublei_v_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_viewport_array,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16182 /* "glGetDoublei_v" */,
        16182 /* "glGetDoublei_v" */,
        16159 /* "glGetDoubleIndexedvEXT" */,
        16197 /* "glGetDoublei_vEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16182 /* "glGetDoublei_v" */,
                                providers, entrypoints);
}

static PFNGLGETDOUBLEVPROC
epoxy_glGetDoublev_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 16215 /* glGetDoublev */);
}

static PFNGLGETDRIVERCONTROLSTRINGQCOMPROC
epoxy_glGetDriverControlStringQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_driver_control, 16228 /* glGetDriverControlStringQCOM */);
}

static PFNGLGETDRIVERCONTROLSQCOMPROC
epoxy_glGetDriverControlsQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_driver_control, 16257 /* glGetDriverControlsQCOM */);
}

static PFNGLGETERRORPROC
epoxy_glGetError_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16281 /* "glGetError" */,
        16281 /* "glGetError" */,
        16281 /* "glGetError" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16281 /* "glGetError" */,
                                providers, entrypoints);
}

static PFNGLGETFENCEIVNVPROC
epoxy_glGetFenceivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 16292 /* glGetFenceivNV */);
}

static PFNGLGETFINALCOMBINERINPUTPARAMETERFVNVPROC
epoxy_glGetFinalCombinerInputParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 16307 /* glGetFinalCombinerInputParameterfvNV */);
}

static PFNGLGETFINALCOMBINERINPUTPARAMETERIVNVPROC
epoxy_glGetFinalCombinerInputParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 16344 /* glGetFinalCombinerInputParameterivNV */);
}

static PFNGLGETFIRSTPERFQUERYIDINTELPROC
epoxy_glGetFirstPerfQueryIdINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 16381 /* glGetFirstPerfQueryIdINTEL */);
}

static PFNGLGETFIXEDVPROC
epoxy_glGetFixedv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 16408 /* glGetFixedv */);
}

static PFNGLGETFIXEDVOESPROC
epoxy_glGetFixedvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 16420 /* glGetFixedvOES */);
}

static PFNGLGETFLOATI_VPROC
epoxy_glGetFloati_v_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_viewport_array,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16457 /* "glGetFloati_v" */,
        16457 /* "glGetFloati_v" */,
        16435 /* "glGetFloatIndexedvEXT" */,
        16471 /* "glGetFloati_vEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16457 /* "glGetFloati_v" */,
                                providers, entrypoints);
}

static PFNGLGETFLOATVPROC
epoxy_glGetFloatv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16488 /* "glGetFloatv" */,
        16488 /* "glGetFloatv" */,
        16488 /* "glGetFloatv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16488 /* "glGetFloatv" */,
                                providers, entrypoints);
}

static PFNGLGETFOGFUNCSGISPROC
epoxy_glGetFogFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_fog_function, 16500 /* glGetFogFuncSGIS */);
}

static PFNGLGETFRAGDATAINDEXPROC
epoxy_glGetFragDataIndex_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_blend_func_extended,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16517 /* "glGetFragDataIndex" */,
        16517 /* "glGetFragDataIndex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16517 /* "glGetFragDataIndex" */,
                                providers, entrypoints);
}

static PFNGLGETFRAGDATALOCATIONPROC
epoxy_glGetFragDataLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16536 /* "glGetFragDataLocation" */,
        16536 /* "glGetFragDataLocation" */,
        16558 /* "glGetFragDataLocationEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16536 /* "glGetFragDataLocation" */,
                                providers, entrypoints);
}

static PFNGLGETFRAGMENTLIGHTFVSGIXPROC
epoxy_glGetFragmentLightfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 16583 /* glGetFragmentLightfvSGIX */);
}

static PFNGLGETFRAGMENTLIGHTIVSGIXPROC
epoxy_glGetFragmentLightivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 16608 /* glGetFragmentLightivSGIX */);
}

static PFNGLGETFRAGMENTMATERIALFVSGIXPROC
epoxy_glGetFragmentMaterialfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 16633 /* glGetFragmentMaterialfvSGIX */);
}

static PFNGLGETFRAGMENTMATERIALIVSGIXPROC
epoxy_glGetFragmentMaterialivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 16661 /* glGetFragmentMaterialivSGIX */);
}

static PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVPROC
epoxy_glGetFramebufferAttachmentParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16689 /* "glGetFramebufferAttachmentParameteriv" */,
        16689 /* "glGetFramebufferAttachmentParameteriv" */,
        16689 /* "glGetFramebufferAttachmentParameteriv" */,
        16727 /* "glGetFramebufferAttachmentParameterivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16689 /* "glGetFramebufferAttachmentParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVOESPROC
epoxy_glGetFramebufferAttachmentParameterivOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 16768 /* glGetFramebufferAttachmentParameterivOES */);
}

static PFNGLGETFRAMEBUFFERPARAMETERIVPROC
epoxy_glGetFramebufferParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_framebuffer_no_attachments,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16809 /* "glGetFramebufferParameteriv" */,
        16809 /* "glGetFramebufferParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16809 /* "glGetFramebufferParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETFRAMEBUFFERPARAMETERIVEXTPROC
epoxy_glGetFramebufferParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 16837 /* glGetFramebufferParameterivEXT */);
}

static PFNGLGETGRAPHICSRESETSTATUSARBPROC
epoxy_glGetGraphicsResetStatusARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 16868 /* glGetGraphicsResetStatusARB */);
}

static PFNGLGETGRAPHICSRESETSTATUSEXTPROC
epoxy_glGetGraphicsResetStatusEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_robustness, 16896 /* glGetGraphicsResetStatusEXT */);
}

static PFNGLGETHANDLEARBPROC
epoxy_glGetHandleARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shader_objects, 16924 /* glGetHandleARB */);
}

static PFNGLGETHISTOGRAMPROC
epoxy_glGetHistogram_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 16939 /* glGetHistogram */);
}

static PFNGLGETHISTOGRAMEXTPROC
epoxy_glGetHistogramEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_histogram, 16954 /* glGetHistogramEXT */);
}

static PFNGLGETHISTOGRAMPARAMETERFVPROC
epoxy_glGetHistogramParameterfv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 16972 /* glGetHistogramParameterfv */);
}

static PFNGLGETHISTOGRAMPARAMETERFVEXTPROC
epoxy_glGetHistogramParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_histogram, 16998 /* glGetHistogramParameterfvEXT */);
}

static PFNGLGETHISTOGRAMPARAMETERIVPROC
epoxy_glGetHistogramParameteriv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 17027 /* glGetHistogramParameteriv */);
}

static PFNGLGETHISTOGRAMPARAMETERIVEXTPROC
epoxy_glGetHistogramParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_histogram, 17053 /* glGetHistogramParameterivEXT */);
}

static PFNGLGETHISTOGRAMPARAMETERXVOESPROC
epoxy_glGetHistogramParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 17082 /* glGetHistogramParameterxvOES */);
}

static PFNGLGETIMAGEHANDLEARBPROC
epoxy_glGetImageHandleARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 17111 /* glGetImageHandleARB */);
}

static PFNGLGETIMAGEHANDLENVPROC
epoxy_glGetImageHandleNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 17131 /* glGetImageHandleNV */);
}

static PFNGLGETIMAGETRANSFORMPARAMETERFVHPPROC
epoxy_glGetImageTransformParameterfvHP_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_HP_image_transform, 17150 /* glGetImageTransformParameterfvHP */);
}

static PFNGLGETIMAGETRANSFORMPARAMETERIVHPPROC
epoxy_glGetImageTransformParameterivHP_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_HP_image_transform, 17183 /* glGetImageTransformParameterivHP */);
}

static PFNGLGETINFOLOGARBPROC
epoxy_glGetInfoLogARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shader_objects, 17216 /* glGetInfoLogARB */);
}

static PFNGLGETINSTRUMENTSSGIXPROC
epoxy_glGetInstrumentsSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_instruments, 17232 /* glGetInstrumentsSGIX */);
}

static PFNGLGETINTEGER64I_VPROC
epoxy_glGetInteger64i_v_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17253 /* "glGetInteger64i_v" */,
        17253 /* "glGetInteger64i_v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17253 /* "glGetInteger64i_v" */,
                                providers, entrypoints);
}

static PFNGLGETINTEGER64VPROC
epoxy_glGetInteger64v_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_2,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17271 /* "glGetInteger64v" */,
        17271 /* "glGetInteger64v" */,
        17271 /* "glGetInteger64v" */,
        17287 /* "glGetInteger64vAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17271 /* "glGetInteger64v" */,
                                providers, entrypoints);
}

static PFNGLGETINTEGERI_VPROC
epoxy_glGetIntegeri_v_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_draw_buffers2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17332 /* "glGetIntegeri_v" */,
        17332 /* "glGetIntegeri_v" */,
        17308 /* "glGetIntegerIndexedvEXT" */,
        17308 /* "glGetIntegerIndexedvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17332 /* "glGetIntegeri_v" */,
                                providers, entrypoints);
}

static PFNGLGETINTEGERI_VEXTPROC
epoxy_glGetIntegeri_vEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_multiview_draw_buffers, 17348 /* glGetIntegeri_vEXT */);
}

static PFNGLGETINTEGERUI64I_VNVPROC
epoxy_glGetIntegerui64i_vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 17367 /* glGetIntegerui64i_vNV */);
}

static PFNGLGETINTEGERUI64VNVPROC
epoxy_glGetIntegerui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 17389 /* glGetIntegerui64vNV */);
}

static PFNGLGETINTEGERVPROC
epoxy_glGetIntegerv_resolver(void)
{
    return gl_single_resolver(always_present, 17409 /* glGetIntegerv */);
}

static PFNGLGETINTERNALFORMATI64VPROC
epoxy_glGetInternalformati64v_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_internalformat_query2,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17423 /* "glGetInternalformati64v" */,
        17423 /* "glGetInternalformati64v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17423 /* "glGetInternalformati64v" */,
                                providers, entrypoints);
}

static PFNGLGETINTERNALFORMATIVPROC
epoxy_glGetInternalformativ_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_2,
        GL_extension_GL_ARB_internalformat_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17447 /* "glGetInternalformativ" */,
        17447 /* "glGetInternalformativ" */,
        17447 /* "glGetInternalformativ" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17447 /* "glGetInternalformativ" */,
                                providers, entrypoints);
}

static PFNGLGETINVARIANTBOOLEANVEXTPROC
epoxy_glGetInvariantBooleanvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 17469 /* glGetInvariantBooleanvEXT */);
}

static PFNGLGETINVARIANTFLOATVEXTPROC
epoxy_glGetInvariantFloatvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 17495 /* glGetInvariantFloatvEXT */);
}

static PFNGLGETINVARIANTINTEGERVEXTPROC
epoxy_glGetInvariantIntegervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 17519 /* glGetInvariantIntegervEXT */);
}

static PFNGLGETLIGHTFVPROC
epoxy_glGetLightfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17545 /* "glGetLightfv" */,
        17545 /* "glGetLightfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17545 /* "glGetLightfv" */,
                                providers, entrypoints);
}

static PFNGLGETLIGHTIVPROC
epoxy_glGetLightiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 17558 /* glGetLightiv */);
}

static PFNGLGETLIGHTXOESPROC
epoxy_glGetLightxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 17571 /* glGetLightxOES */);
}

static PFNGLGETLIGHTXVPROC
epoxy_glGetLightxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 17586 /* glGetLightxv */);
}

static PFNGLGETLIGHTXVOESPROC
epoxy_glGetLightxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 17599 /* glGetLightxvOES */);
}

static PFNGLGETLISTPARAMETERFVSGIXPROC
epoxy_glGetListParameterfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_list_priority, 17615 /* glGetListParameterfvSGIX */);
}

static PFNGLGETLISTPARAMETERIVSGIXPROC
epoxy_glGetListParameterivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_list_priority, 17640 /* glGetListParameterivSGIX */);
}

static PFNGLGETLOCALCONSTANTBOOLEANVEXTPROC
epoxy_glGetLocalConstantBooleanvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 17665 /* glGetLocalConstantBooleanvEXT */);
}

static PFNGLGETLOCALCONSTANTFLOATVEXTPROC
epoxy_glGetLocalConstantFloatvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 17695 /* glGetLocalConstantFloatvEXT */);
}

static PFNGLGETLOCALCONSTANTINTEGERVEXTPROC
epoxy_glGetLocalConstantIntegervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 17723 /* glGetLocalConstantIntegervEXT */);
}

static PFNGLGETMAPATTRIBPARAMETERFVNVPROC
epoxy_glGetMapAttribParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 17753 /* glGetMapAttribParameterfvNV */);
}

static PFNGLGETMAPATTRIBPARAMETERIVNVPROC
epoxy_glGetMapAttribParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 17781 /* glGetMapAttribParameterivNV */);
}

static PFNGLGETMAPCONTROLPOINTSNVPROC
epoxy_glGetMapControlPointsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 17809 /* glGetMapControlPointsNV */);
}

static PFNGLGETMAPPARAMETERFVNVPROC
epoxy_glGetMapParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 17833 /* glGetMapParameterfvNV */);
}

static PFNGLGETMAPPARAMETERIVNVPROC
epoxy_glGetMapParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 17855 /* glGetMapParameterivNV */);
}

static PFNGLGETMAPDVPROC
epoxy_glGetMapdv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 17877 /* glGetMapdv */);
}

static PFNGLGETMAPFVPROC
epoxy_glGetMapfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 17888 /* glGetMapfv */);
}

static PFNGLGETMAPIVPROC
epoxy_glGetMapiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 17899 /* glGetMapiv */);
}

static PFNGLGETMAPXVOESPROC
epoxy_glGetMapxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 17910 /* glGetMapxvOES */);
}

static PFNGLGETMATERIALFVPROC
epoxy_glGetMaterialfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17924 /* "glGetMaterialfv" */,
        17924 /* "glGetMaterialfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17924 /* "glGetMaterialfv" */,
                                providers, entrypoints);
}

static PFNGLGETMATERIALIVPROC
epoxy_glGetMaterialiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 17940 /* glGetMaterialiv */);
}

static PFNGLGETMATERIALXOESPROC
epoxy_glGetMaterialxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 17956 /* glGetMaterialxOES */);
}

static PFNGLGETMATERIALXVPROC
epoxy_glGetMaterialxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 17974 /* glGetMaterialxv */);
}

static PFNGLGETMATERIALXVOESPROC
epoxy_glGetMaterialxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 17990 /* glGetMaterialxvOES */);
}

static PFNGLGETMINMAXPROC
epoxy_glGetMinmax_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 18009 /* glGetMinmax */);
}

static PFNGLGETMINMAXEXTPROC
epoxy_glGetMinmaxEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_histogram, 18021 /* glGetMinmaxEXT */);
}

static PFNGLGETMINMAXPARAMETERFVPROC
epoxy_glGetMinmaxParameterfv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 18036 /* glGetMinmaxParameterfv */);
}

static PFNGLGETMINMAXPARAMETERFVEXTPROC
epoxy_glGetMinmaxParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_histogram, 18059 /* glGetMinmaxParameterfvEXT */);
}

static PFNGLGETMINMAXPARAMETERIVPROC
epoxy_glGetMinmaxParameteriv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 18085 /* glGetMinmaxParameteriv */);
}

static PFNGLGETMINMAXPARAMETERIVEXTPROC
epoxy_glGetMinmaxParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_histogram, 18108 /* glGetMinmaxParameterivEXT */);
}

static PFNGLGETMULTITEXENVFVEXTPROC
epoxy_glGetMultiTexEnvfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18134 /* glGetMultiTexEnvfvEXT */);
}

static PFNGLGETMULTITEXENVIVEXTPROC
epoxy_glGetMultiTexEnvivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18156 /* glGetMultiTexEnvivEXT */);
}

static PFNGLGETMULTITEXGENDVEXTPROC
epoxy_glGetMultiTexGendvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18178 /* glGetMultiTexGendvEXT */);
}

static PFNGLGETMULTITEXGENFVEXTPROC
epoxy_glGetMultiTexGenfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18200 /* glGetMultiTexGenfvEXT */);
}

static PFNGLGETMULTITEXGENIVEXTPROC
epoxy_glGetMultiTexGenivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18222 /* glGetMultiTexGenivEXT */);
}

static PFNGLGETMULTITEXIMAGEEXTPROC
epoxy_glGetMultiTexImageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18244 /* glGetMultiTexImageEXT */);
}

static PFNGLGETMULTITEXLEVELPARAMETERFVEXTPROC
epoxy_glGetMultiTexLevelParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18266 /* glGetMultiTexLevelParameterfvEXT */);
}

static PFNGLGETMULTITEXLEVELPARAMETERIVEXTPROC
epoxy_glGetMultiTexLevelParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18299 /* glGetMultiTexLevelParameterivEXT */);
}

static PFNGLGETMULTITEXPARAMETERIIVEXTPROC
epoxy_glGetMultiTexParameterIivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18332 /* glGetMultiTexParameterIivEXT */);
}

static PFNGLGETMULTITEXPARAMETERIUIVEXTPROC
epoxy_glGetMultiTexParameterIuivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18361 /* glGetMultiTexParameterIuivEXT */);
}

static PFNGLGETMULTITEXPARAMETERFVEXTPROC
epoxy_glGetMultiTexParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18391 /* glGetMultiTexParameterfvEXT */);
}

static PFNGLGETMULTITEXPARAMETERIVEXTPROC
epoxy_glGetMultiTexParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18419 /* glGetMultiTexParameterivEXT */);
}

static PFNGLGETMULTISAMPLEFVPROC
epoxy_glGetMultisamplefv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_multisample,
        Desktop_OpenGL_3_2,
        GL_extension_GL_NV_explicit_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        18447 /* "glGetMultisamplefv" */,
        18447 /* "glGetMultisamplefv" */,
        18466 /* "glGetMultisamplefvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 18447 /* "glGetMultisamplefv" */,
                                providers, entrypoints);
}

static PFNGLGETNAMEDBUFFERPARAMETERIVEXTPROC
epoxy_glGetNamedBufferParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18487 /* glGetNamedBufferParameterivEXT */);
}

static PFNGLGETNAMEDBUFFERPARAMETERUI64VNVPROC
epoxy_glGetNamedBufferParameterui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 18518 /* glGetNamedBufferParameterui64vNV */);
}

static PFNGLGETNAMEDBUFFERPOINTERVEXTPROC
epoxy_glGetNamedBufferPointervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18551 /* glGetNamedBufferPointervEXT */);
}

static PFNGLGETNAMEDBUFFERSUBDATAEXTPROC
epoxy_glGetNamedBufferSubDataEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18579 /* glGetNamedBufferSubDataEXT */);
}

static PFNGLGETNAMEDFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC
epoxy_glGetNamedFramebufferAttachmentParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18606 /* glGetNamedFramebufferAttachmentParameterivEXT */);
}

static PFNGLGETNAMEDFRAMEBUFFERPARAMETERIVEXTPROC
epoxy_glGetNamedFramebufferParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18652 /* glGetNamedFramebufferParameterivEXT */);
}

static PFNGLGETNAMEDPROGRAMLOCALPARAMETERIIVEXTPROC
epoxy_glGetNamedProgramLocalParameterIivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18688 /* glGetNamedProgramLocalParameterIivEXT */);
}

static PFNGLGETNAMEDPROGRAMLOCALPARAMETERIUIVEXTPROC
epoxy_glGetNamedProgramLocalParameterIuivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18726 /* glGetNamedProgramLocalParameterIuivEXT */);
}

static PFNGLGETNAMEDPROGRAMLOCALPARAMETERDVEXTPROC
epoxy_glGetNamedProgramLocalParameterdvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18765 /* glGetNamedProgramLocalParameterdvEXT */);
}

static PFNGLGETNAMEDPROGRAMLOCALPARAMETERFVEXTPROC
epoxy_glGetNamedProgramLocalParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18802 /* glGetNamedProgramLocalParameterfvEXT */);
}

static PFNGLGETNAMEDPROGRAMSTRINGEXTPROC
epoxy_glGetNamedProgramStringEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18839 /* glGetNamedProgramStringEXT */);
}

static PFNGLGETNAMEDPROGRAMIVEXTPROC
epoxy_glGetNamedProgramivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18866 /* glGetNamedProgramivEXT */);
}

static PFNGLGETNAMEDRENDERBUFFERPARAMETERIVEXTPROC
epoxy_glGetNamedRenderbufferParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18889 /* glGetNamedRenderbufferParameterivEXT */);
}

static PFNGLGETNAMEDSTRINGARBPROC
epoxy_glGetNamedStringARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shading_language_include, 18926 /* glGetNamedStringARB */);
}

static PFNGLGETNAMEDSTRINGIVARBPROC
epoxy_glGetNamedStringivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shading_language_include, 18946 /* glGetNamedStringivARB */);
}

static PFNGLGETNEXTPERFQUERYIDINTELPROC
epoxy_glGetNextPerfQueryIdINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 18968 /* glGetNextPerfQueryIdINTEL */);
}

static PFNGLGETOBJECTBUFFERFVATIPROC
epoxy_glGetObjectBufferfvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 18994 /* glGetObjectBufferfvATI */);
}

static PFNGLGETOBJECTBUFFERIVATIPROC
epoxy_glGetObjectBufferivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 19017 /* glGetObjectBufferivATI */);
}

static PFNGLGETOBJECTLABELPROC
epoxy_glGetObjectLabel_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        19040 /* "glGetObjectLabel" */,
        19040 /* "glGetObjectLabel" */,
        19077 /* "glGetObjectLabelKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 19040 /* "glGetObjectLabel" */,
                                providers, entrypoints);
}

static PFNGLGETOBJECTLABELEXTPROC
epoxy_glGetObjectLabelEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_debug_label, 19057 /* glGetObjectLabelEXT */);
}

static PFNGLGETOBJECTPARAMETERFVARBPROC
epoxy_glGetObjectParameterfvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shader_objects, 19097 /* glGetObjectParameterfvARB */);
}

static PFNGLGETOBJECTPARAMETERIVAPPLEPROC
epoxy_glGetObjectParameterivAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_object_purgeable, 19123 /* glGetObjectParameterivAPPLE */);
}

static PFNGLGETOBJECTPARAMETERIVARBPROC
epoxy_glGetObjectParameterivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shader_objects, 19151 /* glGetObjectParameterivARB */);
}

static PFNGLGETOBJECTPTRLABELPROC
epoxy_glGetObjectPtrLabel_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        19177 /* "glGetObjectPtrLabel" */,
        19177 /* "glGetObjectPtrLabel" */,
        19197 /* "glGetObjectPtrLabelKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 19177 /* "glGetObjectPtrLabel" */,
                                providers, entrypoints);
}

static PFNGLGETOCCLUSIONQUERYIVNVPROC
epoxy_glGetOcclusionQueryivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 19220 /* glGetOcclusionQueryivNV */);
}

static PFNGLGETOCCLUSIONQUERYUIVNVPROC
epoxy_glGetOcclusionQueryuivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 19244 /* glGetOcclusionQueryuivNV */);
}

static PFNGLGETPATHCOLORGENFVNVPROC
epoxy_glGetPathColorGenfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19269 /* glGetPathColorGenfvNV */);
}

static PFNGLGETPATHCOLORGENIVNVPROC
epoxy_glGetPathColorGenivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19291 /* glGetPathColorGenivNV */);
}

static PFNGLGETPATHCOMMANDSNVPROC
epoxy_glGetPathCommandsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19313 /* glGetPathCommandsNV */);
}

static PFNGLGETPATHCOORDSNVPROC
epoxy_glGetPathCoordsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19333 /* glGetPathCoordsNV */);
}

static PFNGLGETPATHDASHARRAYNVPROC
epoxy_glGetPathDashArrayNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19351 /* glGetPathDashArrayNV */);
}

static PFNGLGETPATHLENGTHNVPROC
epoxy_glGetPathLengthNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19372 /* glGetPathLengthNV */);
}

static PFNGLGETPATHMETRICRANGENVPROC
epoxy_glGetPathMetricRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19390 /* glGetPathMetricRangeNV */);
}

static PFNGLGETPATHMETRICSNVPROC
epoxy_glGetPathMetricsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19413 /* glGetPathMetricsNV */);
}

static PFNGLGETPATHPARAMETERFVNVPROC
epoxy_glGetPathParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19432 /* glGetPathParameterfvNV */);
}

static PFNGLGETPATHPARAMETERIVNVPROC
epoxy_glGetPathParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19455 /* glGetPathParameterivNV */);
}

static PFNGLGETPATHSPACINGNVPROC
epoxy_glGetPathSpacingNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19478 /* glGetPathSpacingNV */);
}

static PFNGLGETPATHTEXGENFVNVPROC
epoxy_glGetPathTexGenfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19497 /* glGetPathTexGenfvNV */);
}

static PFNGLGETPATHTEXGENIVNVPROC
epoxy_glGetPathTexGenivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19517 /* glGetPathTexGenivNV */);
}

static PFNGLGETPERFCOUNTERINFOINTELPROC
epoxy_glGetPerfCounterInfoINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 19537 /* glGetPerfCounterInfoINTEL */);
}

static PFNGLGETPERFMONITORCOUNTERDATAAMDPROC
epoxy_glGetPerfMonitorCounterDataAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 19563 /* glGetPerfMonitorCounterDataAMD */);
}

static PFNGLGETPERFMONITORCOUNTERINFOAMDPROC
epoxy_glGetPerfMonitorCounterInfoAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 19594 /* glGetPerfMonitorCounterInfoAMD */);
}

static PFNGLGETPERFMONITORCOUNTERSTRINGAMDPROC
epoxy_glGetPerfMonitorCounterStringAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 19625 /* glGetPerfMonitorCounterStringAMD */);
}

static PFNGLGETPERFMONITORCOUNTERSAMDPROC
epoxy_glGetPerfMonitorCountersAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 19658 /* glGetPerfMonitorCountersAMD */);
}

static PFNGLGETPERFMONITORGROUPSTRINGAMDPROC
epoxy_glGetPerfMonitorGroupStringAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 19686 /* glGetPerfMonitorGroupStringAMD */);
}

static PFNGLGETPERFMONITORGROUPSAMDPROC
epoxy_glGetPerfMonitorGroupsAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 19717 /* glGetPerfMonitorGroupsAMD */);
}

static PFNGLGETPERFQUERYDATAINTELPROC
epoxy_glGetPerfQueryDataINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 19743 /* glGetPerfQueryDataINTEL */);
}

static PFNGLGETPERFQUERYIDBYNAMEINTELPROC
epoxy_glGetPerfQueryIdByNameINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 19767 /* glGetPerfQueryIdByNameINTEL */);
}

static PFNGLGETPERFQUERYINFOINTELPROC
epoxy_glGetPerfQueryInfoINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 19795 /* glGetPerfQueryInfoINTEL */);
}

static PFNGLGETPIXELMAPFVPROC
epoxy_glGetPixelMapfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 19819 /* glGetPixelMapfv */);
}

static PFNGLGETPIXELMAPUIVPROC
epoxy_glGetPixelMapuiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 19835 /* glGetPixelMapuiv */);
}

static PFNGLGETPIXELMAPUSVPROC
epoxy_glGetPixelMapusv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 19852 /* glGetPixelMapusv */);
}

static PFNGLGETPIXELMAPXVPROC
epoxy_glGetPixelMapxv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 19869 /* glGetPixelMapxv */);
}

static PFNGLGETPIXELTEXGENPARAMETERFVSGISPROC
epoxy_glGetPixelTexGenParameterfvSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_pixel_texture, 19885 /* glGetPixelTexGenParameterfvSGIS */);
}

static PFNGLGETPIXELTEXGENPARAMETERIVSGISPROC
epoxy_glGetPixelTexGenParameterivSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_pixel_texture, 19917 /* glGetPixelTexGenParameterivSGIS */);
}

static PFNGLGETPIXELTRANSFORMPARAMETERFVEXTPROC
epoxy_glGetPixelTransformParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_pixel_transform, 19949 /* glGetPixelTransformParameterfvEXT */);
}

static PFNGLGETPIXELTRANSFORMPARAMETERIVEXTPROC
epoxy_glGetPixelTransformParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_pixel_transform, 19983 /* glGetPixelTransformParameterivEXT */);
}

static PFNGLGETPOINTERINDEXEDVEXTPROC
epoxy_glGetPointerIndexedvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 20017 /* glGetPointerIndexedvEXT */);
}

static PFNGLGETPOINTERI_VEXTPROC
epoxy_glGetPointeri_vEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 20041 /* glGetPointeri_vEXT */);
}

static PFNGLGETPOINTERVPROC
epoxy_glGetPointerv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_vertex_array,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20060 /* "glGetPointerv" */,
        20060 /* "glGetPointerv" */,
        20060 /* "glGetPointerv" */,
        20060 /* "glGetPointerv" */,
        20074 /* "glGetPointervEXT" */,
        20091 /* "glGetPointervKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20060 /* "glGetPointerv" */,
                                providers, entrypoints);
}

static PFNGLGETPOLYGONSTIPPLEPROC
epoxy_glGetPolygonStipple_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 20108 /* glGetPolygonStipple */);
}

static PFNGLGETPROGRAMBINARYPROC
epoxy_glGetProgramBinary_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_get_program_binary,
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_1,
        GL_extension_GL_OES_get_program_binary,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20128 /* "glGetProgramBinary" */,
        20128 /* "glGetProgramBinary" */,
        20128 /* "glGetProgramBinary" */,
        20147 /* "glGetProgramBinaryOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20128 /* "glGetProgramBinary" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMENVPARAMETERIIVNVPROC
epoxy_glGetProgramEnvParameterIivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 20169 /* glGetProgramEnvParameterIivNV */);
}

static PFNGLGETPROGRAMENVPARAMETERIUIVNVPROC
epoxy_glGetProgramEnvParameterIuivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 20199 /* glGetProgramEnvParameterIuivNV */);
}

static PFNGLGETPROGRAMENVPARAMETERDVARBPROC
epoxy_glGetProgramEnvParameterdvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20230 /* "glGetProgramEnvParameterdvARB" */,
        20230 /* "glGetProgramEnvParameterdvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20230 /* "glGetProgramEnvParameterdvARB" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMENVPARAMETERFVARBPROC
epoxy_glGetProgramEnvParameterfvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20260 /* "glGetProgramEnvParameterfvARB" */,
        20260 /* "glGetProgramEnvParameterfvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20260 /* "glGetProgramEnvParameterfvARB" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMINFOLOGPROC
epoxy_glGetProgramInfoLog_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20290 /* "glGetProgramInfoLog" */,
        20290 /* "glGetProgramInfoLog" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20290 /* "glGetProgramInfoLog" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMINTERFACEIVPROC
epoxy_glGetProgramInterfaceiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_program_interface_query,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20310 /* "glGetProgramInterfaceiv" */,
        20310 /* "glGetProgramInterfaceiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20310 /* "glGetProgramInterfaceiv" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMLOCALPARAMETERIIVNVPROC
epoxy_glGetProgramLocalParameterIivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 20334 /* glGetProgramLocalParameterIivNV */);
}

static PFNGLGETPROGRAMLOCALPARAMETERIUIVNVPROC
epoxy_glGetProgramLocalParameterIuivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 20366 /* glGetProgramLocalParameterIuivNV */);
}

static PFNGLGETPROGRAMLOCALPARAMETERDVARBPROC
epoxy_glGetProgramLocalParameterdvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20399 /* "glGetProgramLocalParameterdvARB" */,
        20399 /* "glGetProgramLocalParameterdvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20399 /* "glGetProgramLocalParameterdvARB" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMLOCALPARAMETERFVARBPROC
epoxy_glGetProgramLocalParameterfvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20431 /* "glGetProgramLocalParameterfvARB" */,
        20431 /* "glGetProgramLocalParameterfvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20431 /* "glGetProgramLocalParameterfvARB" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMNAMEDPARAMETERDVNVPROC
epoxy_glGetProgramNamedParameterdvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fragment_program, 20463 /* glGetProgramNamedParameterdvNV */);
}

static PFNGLGETPROGRAMNAMEDPARAMETERFVNVPROC
epoxy_glGetProgramNamedParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fragment_program, 20494 /* glGetProgramNamedParameterfvNV */);
}

static PFNGLGETPROGRAMPARAMETERDVNVPROC
epoxy_glGetProgramParameterdvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 20525 /* glGetProgramParameterdvNV */);
}

static PFNGLGETPROGRAMPARAMETERFVNVPROC
epoxy_glGetProgramParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 20551 /* glGetProgramParameterfvNV */);
}

static PFNGLGETPROGRAMPIPELINEINFOLOGPROC
epoxy_glGetProgramPipelineInfoLog_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20577 /* "glGetProgramPipelineInfoLog" */,
        20577 /* "glGetProgramPipelineInfoLog" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20577 /* "glGetProgramPipelineInfoLog" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMPIPELINEINFOLOGEXTPROC
epoxy_glGetProgramPipelineInfoLogEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 20605 /* glGetProgramPipelineInfoLogEXT */);
}

static PFNGLGETPROGRAMPIPELINEIVPROC
epoxy_glGetProgramPipelineiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20636 /* "glGetProgramPipelineiv" */,
        20636 /* "glGetProgramPipelineiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20636 /* "glGetProgramPipelineiv" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMPIPELINEIVEXTPROC
epoxy_glGetProgramPipelineivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 20659 /* glGetProgramPipelineivEXT */);
}

static PFNGLGETPROGRAMRESOURCEINDEXPROC
epoxy_glGetProgramResourceIndex_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_program_interface_query,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20685 /* "glGetProgramResourceIndex" */,
        20685 /* "glGetProgramResourceIndex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20685 /* "glGetProgramResourceIndex" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMRESOURCELOCATIONPROC
epoxy_glGetProgramResourceLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_program_interface_query,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20711 /* "glGetProgramResourceLocation" */,
        20711 /* "glGetProgramResourceLocation" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20711 /* "glGetProgramResourceLocation" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMRESOURCELOCATIONINDEXPROC
epoxy_glGetProgramResourceLocationIndex_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_program_interface_query,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20740 /* "glGetProgramResourceLocationIndex" */,
        20740 /* "glGetProgramResourceLocationIndex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20740 /* "glGetProgramResourceLocationIndex" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMRESOURCENAMEPROC
epoxy_glGetProgramResourceName_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_program_interface_query,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20774 /* "glGetProgramResourceName" */,
        20774 /* "glGetProgramResourceName" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20774 /* "glGetProgramResourceName" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMRESOURCEIVPROC
epoxy_glGetProgramResourceiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_program_interface_query,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20799 /* "glGetProgramResourceiv" */,
        20799 /* "glGetProgramResourceiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20799 /* "glGetProgramResourceiv" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMSTAGEIVPROC
epoxy_glGetProgramStageiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_subroutine,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20822 /* "glGetProgramStageiv" */,
        20822 /* "glGetProgramStageiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20822 /* "glGetProgramStageiv" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMSTRINGARBPROC
epoxy_glGetProgramStringARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20842 /* "glGetProgramStringARB" */,
        20842 /* "glGetProgramStringARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20842 /* "glGetProgramStringARB" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMSTRINGNVPROC
epoxy_glGetProgramStringNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 20864 /* glGetProgramStringNV */);
}

static PFNGLGETPROGRAMSUBROUTINEPARAMETERUIVNVPROC
epoxy_glGetProgramSubroutineParameteruivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program5, 20885 /* glGetProgramSubroutineParameteruivNV */);
}

static PFNGLGETPROGRAMIVPROC
epoxy_glGetProgramiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20922 /* "glGetProgramiv" */,
        20922 /* "glGetProgramiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20922 /* "glGetProgramiv" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMIVARBPROC
epoxy_glGetProgramivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20937 /* "glGetProgramivARB" */,
        20937 /* "glGetProgramivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20937 /* "glGetProgramivARB" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMIVNVPROC
epoxy_glGetProgramivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 20955 /* glGetProgramivNV */);
}

static PFNGLGETQUERYINDEXEDIVPROC
epoxy_glGetQueryIndexediv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback3,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20972 /* "glGetQueryIndexediv" */,
        20972 /* "glGetQueryIndexediv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20972 /* "glGetQueryIndexediv" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTI64VPROC
epoxy_glGetQueryObjecti64v_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_timer_query,
        Desktop_OpenGL_3_3,
        GL_extension_GL_EXT_disjoint_timer_query,
        GL_extension_GL_EXT_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20992 /* "glGetQueryObjecti64v" */,
        20992 /* "glGetQueryObjecti64v" */,
        21013 /* "glGetQueryObjecti64vEXT" */,
        21013 /* "glGetQueryObjecti64vEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20992 /* "glGetQueryObjecti64v" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTIVPROC
epoxy_glGetQueryObjectiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_5,
        GL_extension_GL_EXT_disjoint_timer_query,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21037 /* "glGetQueryObjectiv" */,
        21078 /* "glGetQueryObjectivEXT" */,
        21056 /* "glGetQueryObjectivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21037 /* "glGetQueryObjectiv" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTUI64VPROC
epoxy_glGetQueryObjectui64v_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_timer_query,
        Desktop_OpenGL_3_3,
        GL_extension_GL_EXT_disjoint_timer_query,
        GL_extension_GL_EXT_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21100 /* "glGetQueryObjectui64v" */,
        21100 /* "glGetQueryObjectui64v" */,
        21122 /* "glGetQueryObjectui64vEXT" */,
        21122 /* "glGetQueryObjectui64vEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21100 /* "glGetQueryObjectui64v" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTUIVPROC
epoxy_glGetQueryObjectuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21147 /* "glGetQueryObjectuiv" */,
        21147 /* "glGetQueryObjectuiv" */,
        21167 /* "glGetQueryObjectuivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21147 /* "glGetQueryObjectuiv" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTUIVEXTPROC
epoxy_glGetQueryObjectuivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21190 /* "glGetQueryObjectuivEXT" */,
        21190 /* "glGetQueryObjectuivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21190 /* "glGetQueryObjectuivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYIVPROC
epoxy_glGetQueryiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21213 /* "glGetQueryiv" */,
        21213 /* "glGetQueryiv" */,
        21226 /* "glGetQueryivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21213 /* "glGetQueryiv" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYIVEXTPROC
epoxy_glGetQueryivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21242 /* "glGetQueryivEXT" */,
        21242 /* "glGetQueryivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21242 /* "glGetQueryivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETRENDERBUFFERPARAMETERIVPROC
epoxy_glGetRenderbufferParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21258 /* "glGetRenderbufferParameteriv" */,
        21258 /* "glGetRenderbufferParameteriv" */,
        21258 /* "glGetRenderbufferParameteriv" */,
        21287 /* "glGetRenderbufferParameterivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21258 /* "glGetRenderbufferParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETRENDERBUFFERPARAMETERIVOESPROC
epoxy_glGetRenderbufferParameterivOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 21319 /* glGetRenderbufferParameterivOES */);
}

static PFNGLGETSAMPLERPARAMETERIIVPROC
epoxy_glGetSamplerParameterIiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21351 /* "glGetSamplerParameterIiv" */,
        21351 /* "glGetSamplerParameterIiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21351 /* "glGetSamplerParameterIiv" */,
                                providers, entrypoints);
}

static PFNGLGETSAMPLERPARAMETERIUIVPROC
epoxy_glGetSamplerParameterIuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21376 /* "glGetSamplerParameterIuiv" */,
        21376 /* "glGetSamplerParameterIuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21376 /* "glGetSamplerParameterIuiv" */,
                                providers, entrypoints);
}

static PFNGLGETSAMPLERPARAMETERFVPROC
epoxy_glGetSamplerParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21402 /* "glGetSamplerParameterfv" */,
        21402 /* "glGetSamplerParameterfv" */,
        21402 /* "glGetSamplerParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21402 /* "glGetSamplerParameterfv" */,
                                providers, entrypoints);
}

static PFNGLGETSAMPLERPARAMETERIVPROC
epoxy_glGetSamplerParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21426 /* "glGetSamplerParameteriv" */,
        21426 /* "glGetSamplerParameteriv" */,
        21426 /* "glGetSamplerParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21426 /* "glGetSamplerParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETSEPARABLEFILTERPROC
epoxy_glGetSeparableFilter_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 21450 /* glGetSeparableFilter */);
}

static PFNGLGETSEPARABLEFILTEREXTPROC
epoxy_glGetSeparableFilterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_convolution, 21471 /* glGetSeparableFilterEXT */);
}

static PFNGLGETSHADERINFOLOGPROC
epoxy_glGetShaderInfoLog_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21495 /* "glGetShaderInfoLog" */,
        21495 /* "glGetShaderInfoLog" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21495 /* "glGetShaderInfoLog" */,
                                providers, entrypoints);
}

static PFNGLGETSHADERPRECISIONFORMATPROC
epoxy_glGetShaderPrecisionFormat_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_ES2_compatibility,
        OpenGL_ES_2_0,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21514 /* "glGetShaderPrecisionFormat" */,
        21514 /* "glGetShaderPrecisionFormat" */,
        21514 /* "glGetShaderPrecisionFormat" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21514 /* "glGetShaderPrecisionFormat" */,
                                providers, entrypoints);
}

static PFNGLGETSHADERSOURCEPROC
epoxy_glGetShaderSource_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21541 /* "glGetShaderSource" */,
        21541 /* "glGetShaderSource" */,
        21559 /* "glGetShaderSourceARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21541 /* "glGetShaderSource" */,
                                providers, entrypoints);
}

static PFNGLGETSHADERIVPROC
epoxy_glGetShaderiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21580 /* "glGetShaderiv" */,
        21580 /* "glGetShaderiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21580 /* "glGetShaderiv" */,
                                providers, entrypoints);
}

static PFNGLGETSHARPENTEXFUNCSGISPROC
epoxy_glGetSharpenTexFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_sharpen_texture, 21594 /* glGetSharpenTexFuncSGIS */);
}

static PFNGLGETSTRINGPROC
epoxy_glGetString_resolver(void)
{
    return gl_single_resolver(always_present, 21618 /* glGetString */);
}

static PFNGLGETSTRINGIPROC
epoxy_glGetStringi_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21630 /* "glGetStringi" */,
        21630 /* "glGetStringi" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21630 /* "glGetStringi" */,
                                providers, entrypoints);
}

static PFNGLGETSUBROUTINEINDEXPROC
epoxy_glGetSubroutineIndex_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_subroutine,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21643 /* "glGetSubroutineIndex" */,
        21643 /* "glGetSubroutineIndex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21643 /* "glGetSubroutineIndex" */,
                                providers, entrypoints);
}

static PFNGLGETSUBROUTINEUNIFORMLOCATIONPROC
epoxy_glGetSubroutineUniformLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_subroutine,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21664 /* "glGetSubroutineUniformLocation" */,
        21664 /* "glGetSubroutineUniformLocation" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21664 /* "glGetSubroutineUniformLocation" */,
                                providers, entrypoints);
}

static PFNGLGETSYNCIVPROC
epoxy_glGetSynciv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_2,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21695 /* "glGetSynciv" */,
        21695 /* "glGetSynciv" */,
        21695 /* "glGetSynciv" */,
        21707 /* "glGetSyncivAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21695 /* "glGetSynciv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXBUMPPARAMETERFVATIPROC
epoxy_glGetTexBumpParameterfvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_envmap_bumpmap, 21724 /* glGetTexBumpParameterfvATI */);
}

static PFNGLGETTEXBUMPPARAMETERIVATIPROC
epoxy_glGetTexBumpParameterivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_envmap_bumpmap, 21751 /* glGetTexBumpParameterivATI */);
}

static PFNGLGETTEXENVFVPROC
epoxy_glGetTexEnvfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21778 /* "glGetTexEnvfv" */,
        21778 /* "glGetTexEnvfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21778 /* "glGetTexEnvfv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXENVIVPROC
epoxy_glGetTexEnviv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21792 /* "glGetTexEnviv" */,
        21792 /* "glGetTexEnviv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21792 /* "glGetTexEnviv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXENVXVPROC
epoxy_glGetTexEnvxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 21806 /* glGetTexEnvxv */);
}

static PFNGLGETTEXENVXVOESPROC
epoxy_glGetTexEnvxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 21820 /* glGetTexEnvxvOES */);
}

static PFNGLGETTEXFILTERFUNCSGISPROC
epoxy_glGetTexFilterFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_texture_filter4, 21837 /* glGetTexFilterFuncSGIS */);
}

static PFNGLGETTEXGENDVPROC
epoxy_glGetTexGendv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 21860 /* glGetTexGendv */);
}

static PFNGLGETTEXGENFVPROC
epoxy_glGetTexGenfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 21874 /* glGetTexGenfv */);
}

static PFNGLGETTEXGENFVOESPROC
epoxy_glGetTexGenfvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_texture_cube_map, 21888 /* glGetTexGenfvOES */);
}

static PFNGLGETTEXGENIVPROC
epoxy_glGetTexGeniv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 21905 /* glGetTexGeniv */);
}

static PFNGLGETTEXGENIVOESPROC
epoxy_glGetTexGenivOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_texture_cube_map, 21919 /* glGetTexGenivOES */);
}

static PFNGLGETTEXGENXVOESPROC
epoxy_glGetTexGenxvOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_fixed_point,
        GL_extension_GL_OES_texture_cube_map,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21936 /* "glGetTexGenxvOES" */,
        21936 /* "glGetTexGenxvOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21936 /* "glGetTexGenxvOES" */,
                                providers, entrypoints);
}

static PFNGLGETTEXIMAGEPROC
epoxy_glGetTexImage_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 21953 /* glGetTexImage */);
}

static PFNGLGETTEXLEVELPARAMETERFVPROC
epoxy_glGetTexLevelParameterfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 21967 /* glGetTexLevelParameterfv */);
}

static PFNGLGETTEXLEVELPARAMETERIVPROC
epoxy_glGetTexLevelParameteriv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 21992 /* glGetTexLevelParameteriv */);
}

static PFNGLGETTEXLEVELPARAMETERXVOESPROC
epoxy_glGetTexLevelParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 22017 /* glGetTexLevelParameterxvOES */);
}

static PFNGLGETTEXPARAMETERIIVPROC
epoxy_glGetTexParameterIiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_texture_integer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22045 /* "glGetTexParameterIiv" */,
        22066 /* "glGetTexParameterIivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22045 /* "glGetTexParameterIiv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXPARAMETERIUIVPROC
epoxy_glGetTexParameterIuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_texture_integer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22090 /* "glGetTexParameterIuiv" */,
        22112 /* "glGetTexParameterIuivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22090 /* "glGetTexParameterIuiv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXPARAMETERPOINTERVAPPLEPROC
epoxy_glGetTexParameterPointervAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_texture_range, 22137 /* glGetTexParameterPointervAPPLE */);
}

static PFNGLGETTEXPARAMETERFVPROC
epoxy_glGetTexParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22168 /* "glGetTexParameterfv" */,
        22168 /* "glGetTexParameterfv" */,
        22168 /* "glGetTexParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22168 /* "glGetTexParameterfv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXPARAMETERIVPROC
epoxy_glGetTexParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22188 /* "glGetTexParameteriv" */,
        22188 /* "glGetTexParameteriv" */,
        22188 /* "glGetTexParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22188 /* "glGetTexParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXPARAMETERXVPROC
epoxy_glGetTexParameterxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 22208 /* glGetTexParameterxv */);
}

static PFNGLGETTEXPARAMETERXVOESPROC
epoxy_glGetTexParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 22228 /* glGetTexParameterxvOES */);
}

static PFNGLGETTEXTUREHANDLEARBPROC
epoxy_glGetTextureHandleARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 22251 /* glGetTextureHandleARB */);
}

static PFNGLGETTEXTUREHANDLENVPROC
epoxy_glGetTextureHandleNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 22273 /* glGetTextureHandleNV */);
}

static PFNGLGETTEXTUREIMAGEEXTPROC
epoxy_glGetTextureImageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22294 /* glGetTextureImageEXT */);
}

static PFNGLGETTEXTURELEVELPARAMETERFVEXTPROC
epoxy_glGetTextureLevelParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22315 /* glGetTextureLevelParameterfvEXT */);
}

static PFNGLGETTEXTURELEVELPARAMETERIVEXTPROC
epoxy_glGetTextureLevelParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22347 /* glGetTextureLevelParameterivEXT */);
}

static PFNGLGETTEXTUREPARAMETERIIVEXTPROC
epoxy_glGetTextureParameterIivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22379 /* glGetTextureParameterIivEXT */);
}

static PFNGLGETTEXTUREPARAMETERIUIVEXTPROC
epoxy_glGetTextureParameterIuivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22407 /* glGetTextureParameterIuivEXT */);
}

static PFNGLGETTEXTUREPARAMETERFVEXTPROC
epoxy_glGetTextureParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22436 /* glGetTextureParameterfvEXT */);
}

static PFNGLGETTEXTUREPARAMETERIVEXTPROC
epoxy_glGetTextureParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22463 /* glGetTextureParameterivEXT */);
}

static PFNGLGETTEXTURESAMPLERHANDLEARBPROC
epoxy_glGetTextureSamplerHandleARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 22490 /* glGetTextureSamplerHandleARB */);
}

static PFNGLGETTEXTURESAMPLERHANDLENVPROC
epoxy_glGetTextureSamplerHandleNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 22519 /* glGetTextureSamplerHandleNV */);
}

static PFNGLGETTRACKMATRIXIVNVPROC
epoxy_glGetTrackMatrixivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 22547 /* glGetTrackMatrixivNV */);
}

static PFNGLGETTRANSFORMFEEDBACKVARYINGPROC
epoxy_glGetTransformFeedbackVarying_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22568 /* "glGetTransformFeedbackVarying" */,
        22568 /* "glGetTransformFeedbackVarying" */,
        22598 /* "glGetTransformFeedbackVaryingEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22568 /* "glGetTransformFeedbackVarying" */,
                                providers, entrypoints);
}

static PFNGLGETTRANSFORMFEEDBACKVARYINGNVPROC
epoxy_glGetTransformFeedbackVaryingNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 22631 /* glGetTransformFeedbackVaryingNV */);
}

static PFNGLGETTRANSLATEDSHADERSOURCEANGLEPROC
epoxy_glGetTranslatedShaderSourceANGLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ANGLE_translated_shader_source, 22663 /* glGetTranslatedShaderSourceANGLE */);
}

static PFNGLGETUNIFORMBLOCKINDEXPROC
epoxy_glGetUniformBlockIndex_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_1,
        GL_extension_GL_ARB_uniform_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22696 /* "glGetUniformBlockIndex" */,
        22696 /* "glGetUniformBlockIndex" */,
        22696 /* "glGetUniformBlockIndex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22696 /* "glGetUniformBlockIndex" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMBUFFERSIZEEXTPROC
epoxy_glGetUniformBufferSizeEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_bindable_uniform, 22719 /* glGetUniformBufferSizeEXT */);
}

static PFNGLGETUNIFORMINDICESPROC
epoxy_glGetUniformIndices_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_1,
        GL_extension_GL_ARB_uniform_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22745 /* "glGetUniformIndices" */,
        22745 /* "glGetUniformIndices" */,
        22745 /* "glGetUniformIndices" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22745 /* "glGetUniformIndices" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMLOCATIONPROC
epoxy_glGetUniformLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22765 /* "glGetUniformLocation" */,
        22765 /* "glGetUniformLocation" */,
        22786 /* "glGetUniformLocationARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22765 /* "glGetUniformLocation" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMOFFSETEXTPROC
epoxy_glGetUniformOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_bindable_uniform, 22810 /* glGetUniformOffsetEXT */);
}

static PFNGLGETUNIFORMSUBROUTINEUIVPROC
epoxy_glGetUniformSubroutineuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_subroutine,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22832 /* "glGetUniformSubroutineuiv" */,
        22832 /* "glGetUniformSubroutineuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22832 /* "glGetUniformSubroutineuiv" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMDVPROC
epoxy_glGetUniformdv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22858 /* "glGetUniformdv" */,
        22858 /* "glGetUniformdv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22858 /* "glGetUniformdv" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMFVPROC
epoxy_glGetUniformfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22873 /* "glGetUniformfv" */,
        22873 /* "glGetUniformfv" */,
        22888 /* "glGetUniformfvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22873 /* "glGetUniformfv" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMI64VNVPROC
epoxy_glGetUniformi64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 22906 /* glGetUniformi64vNV */);
}

static PFNGLGETUNIFORMIVPROC
epoxy_glGetUniformiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22925 /* "glGetUniformiv" */,
        22925 /* "glGetUniformiv" */,
        22940 /* "glGetUniformivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22925 /* "glGetUniformiv" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMUI64VNVPROC
epoxy_glGetUniformui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 22958 /* glGetUniformui64vNV */);
}

static PFNGLGETUNIFORMUIVPROC
epoxy_glGetUniformuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22978 /* "glGetUniformuiv" */,
        22978 /* "glGetUniformuiv" */,
        22994 /* "glGetUniformuivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22978 /* "glGetUniformuiv" */,
                                providers, entrypoints);
}

static PFNGLGETVARIANTARRAYOBJECTFVATIPROC
epoxy_glGetVariantArrayObjectfvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 23013 /* glGetVariantArrayObjectfvATI */);
}

static PFNGLGETVARIANTARRAYOBJECTIVATIPROC
epoxy_glGetVariantArrayObjectivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 23042 /* glGetVariantArrayObjectivATI */);
}

static PFNGLGETVARIANTBOOLEANVEXTPROC
epoxy_glGetVariantBooleanvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 23071 /* glGetVariantBooleanvEXT */);
}

static PFNGLGETVARIANTFLOATVEXTPROC
epoxy_glGetVariantFloatvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 23095 /* glGetVariantFloatvEXT */);
}

static PFNGLGETVARIANTINTEGERVEXTPROC
epoxy_glGetVariantIntegervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 23117 /* glGetVariantIntegervEXT */);
}

static PFNGLGETVARIANTPOINTERVEXTPROC
epoxy_glGetVariantPointervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 23141 /* glGetVariantPointervEXT */);
}

static PFNGLGETVARYINGLOCATIONNVPROC
epoxy_glGetVaryingLocationNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 23165 /* glGetVaryingLocationNV */);
}

static PFNGLGETVERTEXARRAYINTEGERI_VEXTPROC
epoxy_glGetVertexArrayIntegeri_vEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 23188 /* glGetVertexArrayIntegeri_vEXT */);
}

static PFNGLGETVERTEXARRAYINTEGERVEXTPROC
epoxy_glGetVertexArrayIntegervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 23218 /* glGetVertexArrayIntegervEXT */);
}

static PFNGLGETVERTEXARRAYPOINTERI_VEXTPROC
epoxy_glGetVertexArrayPointeri_vEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 23246 /* glGetVertexArrayPointeri_vEXT */);
}

static PFNGLGETVERTEXARRAYPOINTERVEXTPROC
epoxy_glGetVertexArrayPointervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 23276 /* glGetVertexArrayPointervEXT */);
}

static PFNGLGETVERTEXATTRIBARRAYOBJECTFVATIPROC
epoxy_glGetVertexAttribArrayObjectfvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_attrib_array_object, 23304 /* glGetVertexAttribArrayObjectfvATI */);
}

static PFNGLGETVERTEXATTRIBARRAYOBJECTIVATIPROC
epoxy_glGetVertexAttribArrayObjectivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_attrib_array_object, 23338 /* glGetVertexAttribArrayObjectivATI */);
}

static PFNGLGETVERTEXATTRIBIIVPROC
epoxy_glGetVertexAttribIiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23372 /* "glGetVertexAttribIiv" */,
        23372 /* "glGetVertexAttribIiv" */,
        23393 /* "glGetVertexAttribIivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23372 /* "glGetVertexAttribIiv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBIUIVPROC
epoxy_glGetVertexAttribIuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23417 /* "glGetVertexAttribIuiv" */,
        23417 /* "glGetVertexAttribIuiv" */,
        23439 /* "glGetVertexAttribIuivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23417 /* "glGetVertexAttribIuiv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBLDVPROC
epoxy_glGetVertexAttribLdv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23464 /* "glGetVertexAttribLdv" */,
        23464 /* "glGetVertexAttribLdv" */,
        23485 /* "glGetVertexAttribLdvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23464 /* "glGetVertexAttribLdv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBLI64VNVPROC
epoxy_glGetVertexAttribLi64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 23509 /* glGetVertexAttribLi64vNV */);
}

static PFNGLGETVERTEXATTRIBLUI64VARBPROC
epoxy_glGetVertexAttribLui64vARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 23534 /* glGetVertexAttribLui64vARB */);
}

static PFNGLGETVERTEXATTRIBLUI64VNVPROC
epoxy_glGetVertexAttribLui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 23561 /* glGetVertexAttribLui64vNV */);
}

static PFNGLGETVERTEXATTRIBPOINTERVPROC
epoxy_glGetVertexAttribPointerv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23587 /* "glGetVertexAttribPointerv" */,
        23587 /* "glGetVertexAttribPointerv" */,
        23642 /* "glGetVertexAttribPointervNV" */,
        23613 /* "glGetVertexAttribPointervARB" */,
        23613 /* "glGetVertexAttribPointervARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23587 /* "glGetVertexAttribPointerv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBDVPROC
epoxy_glGetVertexAttribdv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23670 /* "glGetVertexAttribdv" */,
        23713 /* "glGetVertexAttribdvNV" */,
        23690 /* "glGetVertexAttribdvARB" */,
        23690 /* "glGetVertexAttribdvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23670 /* "glGetVertexAttribdv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBFVPROC
epoxy_glGetVertexAttribfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23735 /* "glGetVertexAttribfv" */,
        23735 /* "glGetVertexAttribfv" */,
        23778 /* "glGetVertexAttribfvNV" */,
        23755 /* "glGetVertexAttribfvARB" */,
        23755 /* "glGetVertexAttribfvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23735 /* "glGetVertexAttribfv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBIVPROC
epoxy_glGetVertexAttribiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23800 /* "glGetVertexAttribiv" */,
        23800 /* "glGetVertexAttribiv" */,
        23843 /* "glGetVertexAttribivNV" */,
        23820 /* "glGetVertexAttribivARB" */,
        23820 /* "glGetVertexAttribivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23800 /* "glGetVertexAttribiv" */,
                                providers, entrypoints);
}

static PFNGLGETVIDEOCAPTURESTREAMDVNVPROC
epoxy_glGetVideoCaptureStreamdvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 23865 /* glGetVideoCaptureStreamdvNV */);
}

static PFNGLGETVIDEOCAPTURESTREAMFVNVPROC
epoxy_glGetVideoCaptureStreamfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 23893 /* glGetVideoCaptureStreamfvNV */);
}

static PFNGLGETVIDEOCAPTURESTREAMIVNVPROC
epoxy_glGetVideoCaptureStreamivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 23921 /* glGetVideoCaptureStreamivNV */);
}

static PFNGLGETVIDEOCAPTUREIVNVPROC
epoxy_glGetVideoCaptureivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 23949 /* glGetVideoCaptureivNV */);
}

static PFNGLGETVIDEOI64VNVPROC
epoxy_glGetVideoi64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_present_video, 23971 /* glGetVideoi64vNV */);
}

static PFNGLGETVIDEOIVNVPROC
epoxy_glGetVideoivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_present_video, 23988 /* glGetVideoivNV */);
}

static PFNGLGETVIDEOUI64VNVPROC
epoxy_glGetVideoui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_present_video, 24003 /* glGetVideoui64vNV */);
}

static PFNGLGETVIDEOUIVNVPROC
epoxy_glGetVideouivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_present_video, 24021 /* glGetVideouivNV */);
}

static PFNGLGETNCOLORTABLEARBPROC
epoxy_glGetnColorTableARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24037 /* glGetnColorTableARB */);
}

static PFNGLGETNCOMPRESSEDTEXIMAGEARBPROC
epoxy_glGetnCompressedTexImageARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24057 /* glGetnCompressedTexImageARB */);
}

static PFNGLGETNCONVOLUTIONFILTERARBPROC
epoxy_glGetnConvolutionFilterARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24085 /* glGetnConvolutionFilterARB */);
}

static PFNGLGETNHISTOGRAMARBPROC
epoxy_glGetnHistogramARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24112 /* glGetnHistogramARB */);
}

static PFNGLGETNMAPDVARBPROC
epoxy_glGetnMapdvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24131 /* glGetnMapdvARB */);
}

static PFNGLGETNMAPFVARBPROC
epoxy_glGetnMapfvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24146 /* glGetnMapfvARB */);
}

static PFNGLGETNMAPIVARBPROC
epoxy_glGetnMapivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24161 /* glGetnMapivARB */);
}

static PFNGLGETNMINMAXARBPROC
epoxy_glGetnMinmaxARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24176 /* glGetnMinmaxARB */);
}

static PFNGLGETNPIXELMAPFVARBPROC
epoxy_glGetnPixelMapfvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24192 /* glGetnPixelMapfvARB */);
}

static PFNGLGETNPIXELMAPUIVARBPROC
epoxy_glGetnPixelMapuivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24212 /* glGetnPixelMapuivARB */);
}

static PFNGLGETNPIXELMAPUSVARBPROC
epoxy_glGetnPixelMapusvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24233 /* glGetnPixelMapusvARB */);
}

static PFNGLGETNPOLYGONSTIPPLEARBPROC
epoxy_glGetnPolygonStippleARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24254 /* glGetnPolygonStippleARB */);
}

static PFNGLGETNSEPARABLEFILTERARBPROC
epoxy_glGetnSeparableFilterARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24278 /* glGetnSeparableFilterARB */);
}

static PFNGLGETNTEXIMAGEARBPROC
epoxy_glGetnTexImageARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24303 /* glGetnTexImageARB */);
}

static PFNGLGETNUNIFORMDVARBPROC
epoxy_glGetnUniformdvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24321 /* glGetnUniformdvARB */);
}

static PFNGLGETNUNIFORMFVARBPROC
epoxy_glGetnUniformfvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24340 /* glGetnUniformfvARB */);
}

static PFNGLGETNUNIFORMFVEXTPROC
epoxy_glGetnUniformfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_robustness, 24359 /* glGetnUniformfvEXT */);
}

static PFNGLGETNUNIFORMIVARBPROC
epoxy_glGetnUniformivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24378 /* glGetnUniformivARB */);
}

static PFNGLGETNUNIFORMIVEXTPROC
epoxy_glGetnUniformivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_robustness, 24397 /* glGetnUniformivEXT */);
}

static PFNGLGETNUNIFORMUIVARBPROC
epoxy_glGetnUniformuivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24416 /* glGetnUniformuivARB */);
}

static PFNGLGLOBALALPHAFACTORBSUNPROC
epoxy_glGlobalAlphaFactorbSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24436 /* glGlobalAlphaFactorbSUN */);
}

static PFNGLGLOBALALPHAFACTORDSUNPROC
epoxy_glGlobalAlphaFactordSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24460 /* glGlobalAlphaFactordSUN */);
}

static PFNGLGLOBALALPHAFACTORFSUNPROC
epoxy_glGlobalAlphaFactorfSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24484 /* glGlobalAlphaFactorfSUN */);
}

static PFNGLGLOBALALPHAFACTORISUNPROC
epoxy_glGlobalAlphaFactoriSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24508 /* glGlobalAlphaFactoriSUN */);
}

static PFNGLGLOBALALPHAFACTORSSUNPROC
epoxy_glGlobalAlphaFactorsSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24532 /* glGlobalAlphaFactorsSUN */);
}

static PFNGLGLOBALALPHAFACTORUBSUNPROC
epoxy_glGlobalAlphaFactorubSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24556 /* glGlobalAlphaFactorubSUN */);
}

static PFNGLGLOBALALPHAFACTORUISUNPROC
epoxy_glGlobalAlphaFactoruiSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24581 /* glGlobalAlphaFactoruiSUN */);
}

static PFNGLGLOBALALPHAFACTORUSSUNPROC
epoxy_glGlobalAlphaFactorusSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24606 /* glGlobalAlphaFactorusSUN */);
}

static PFNGLHINTPROC
epoxy_glHint_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        24631 /* "glHint" */,
        24631 /* "glHint" */,
        24631 /* "glHint" */,
    };
    return gl_provider_resolver(entrypoint_strings + 24631 /* "glHint" */,
                                providers, entrypoints);
}

static PFNGLHINTPGIPROC
epoxy_glHintPGI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_PGI_misc_hints, 24638 /* glHintPGI */);
}

static PFNGLHISTOGRAMPROC
epoxy_glHistogram_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_histogram,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        24648 /* "glHistogram" */,
        24660 /* "glHistogramEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 24648 /* "glHistogram" */,
                                providers, entrypoints);
}

static PFNGLIGLOOINTERFACESGIXPROC
epoxy_glIglooInterfaceSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_igloo_interface, 24675 /* glIglooInterfaceSGIX */);
}

static PFNGLIMAGETRANSFORMPARAMETERFHPPROC
epoxy_glImageTransformParameterfHP_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_HP_image_transform, 24696 /* glImageTransformParameterfHP */);
}

static PFNGLIMAGETRANSFORMPARAMETERFVHPPROC
epoxy_glImageTransformParameterfvHP_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_HP_image_transform, 24725 /* glImageTransformParameterfvHP */);
}

static PFNGLIMAGETRANSFORMPARAMETERIHPPROC
epoxy_glImageTransformParameteriHP_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_HP_image_transform, 24755 /* glImageTransformParameteriHP */);
}

static PFNGLIMAGETRANSFORMPARAMETERIVHPPROC
epoxy_glImageTransformParameterivHP_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_HP_image_transform, 24784 /* glImageTransformParameterivHP */);
}

static PFNGLIMPORTSYNCEXTPROC
epoxy_glImportSyncEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_x11_sync_object, 24814 /* glImportSyncEXT */);
}

static PFNGLINDEXFORMATNVPROC
epoxy_glIndexFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 24830 /* glIndexFormatNV */);
}

static PFNGLINDEXFUNCEXTPROC
epoxy_glIndexFuncEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_index_func, 24846 /* glIndexFuncEXT */);
}

static PFNGLINDEXMASKPROC
epoxy_glIndexMask_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 24861 /* glIndexMask */);
}

static PFNGLINDEXMATERIALEXTPROC
epoxy_glIndexMaterialEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_index_material, 24873 /* glIndexMaterialEXT */);
}

static PFNGLINDEXPOINTERPROC
epoxy_glIndexPointer_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 24892 /* glIndexPointer */);
}

static PFNGLINDEXPOINTEREXTPROC
epoxy_glIndexPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_array, 24907 /* glIndexPointerEXT */);
}

static PFNGLINDEXPOINTERLISTIBMPROC
epoxy_glIndexPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 24925 /* glIndexPointerListIBM */);
}

static PFNGLINDEXDPROC
epoxy_glIndexd_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 24947 /* glIndexd */);
}

static PFNGLINDEXDVPROC
epoxy_glIndexdv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 24956 /* glIndexdv */);
}

static PFNGLINDEXFPROC
epoxy_glIndexf_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 24966 /* glIndexf */);
}

static PFNGLINDEXFVPROC
epoxy_glIndexfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 24975 /* glIndexfv */);
}

static PFNGLINDEXIPROC
epoxy_glIndexi_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 24985 /* glIndexi */);
}

static PFNGLINDEXIVPROC
epoxy_glIndexiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 24994 /* glIndexiv */);
}

static PFNGLINDEXSPROC
epoxy_glIndexs_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 25004 /* glIndexs */);
}

static PFNGLINDEXSVPROC
epoxy_glIndexsv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 25013 /* glIndexsv */);
}

static PFNGLINDEXUBPROC
epoxy_glIndexub_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 25023 /* glIndexub */);
}

static PFNGLINDEXUBVPROC
epoxy_glIndexubv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 25033 /* glIndexubv */);
}

static PFNGLINDEXXOESPROC
epoxy_glIndexxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 25044 /* glIndexxOES */);
}

static PFNGLINDEXXVOESPROC
epoxy_glIndexxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 25056 /* glIndexxvOES */);
}

static PFNGLINITNAMESPROC
epoxy_glInitNames_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 25069 /* glInitNames */);
}

static PFNGLINSERTCOMPONENTEXTPROC
epoxy_glInsertComponentEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 25081 /* glInsertComponentEXT */);
}

static PFNGLINSERTEVENTMARKEREXTPROC
epoxy_glInsertEventMarkerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_debug_marker, 25102 /* glInsertEventMarkerEXT */);
}

static PFNGLINSTRUMENTSBUFFERSGIXPROC
epoxy_glInstrumentsBufferSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_instruments, 25125 /* glInstrumentsBufferSGIX */);
}

static PFNGLINTERLEAVEDARRAYSPROC
epoxy_glInterleavedArrays_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 25149 /* glInterleavedArrays */);
}

static PFNGLINTERPOLATEPATHSNVPROC
epoxy_glInterpolatePathsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 25169 /* glInterpolatePathsNV */);
}

static PFNGLINVALIDATEBUFFERDATAPROC
epoxy_glInvalidateBufferData_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_invalidate_subdata,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25190 /* "glInvalidateBufferData" */,
        25190 /* "glInvalidateBufferData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25190 /* "glInvalidateBufferData" */,
                                providers, entrypoints);
}

static PFNGLINVALIDATEBUFFERSUBDATAPROC
epoxy_glInvalidateBufferSubData_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_invalidate_subdata,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25213 /* "glInvalidateBufferSubData" */,
        25213 /* "glInvalidateBufferSubData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25213 /* "glInvalidateBufferSubData" */,
                                providers, entrypoints);
}

static PFNGLINVALIDATEFRAMEBUFFERPROC
epoxy_glInvalidateFramebuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_invalidate_subdata,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25239 /* "glInvalidateFramebuffer" */,
        25239 /* "glInvalidateFramebuffer" */,
        25239 /* "glInvalidateFramebuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25239 /* "glInvalidateFramebuffer" */,
                                providers, entrypoints);
}

static PFNGLINVALIDATESUBFRAMEBUFFERPROC
epoxy_glInvalidateSubFramebuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_invalidate_subdata,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25263 /* "glInvalidateSubFramebuffer" */,
        25263 /* "glInvalidateSubFramebuffer" */,
        25263 /* "glInvalidateSubFramebuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25263 /* "glInvalidateSubFramebuffer" */,
                                providers, entrypoints);
}

static PFNGLINVALIDATETEXIMAGEPROC
epoxy_glInvalidateTexImage_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_invalidate_subdata,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25290 /* "glInvalidateTexImage" */,
        25290 /* "glInvalidateTexImage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25290 /* "glInvalidateTexImage" */,
                                providers, entrypoints);
}

static PFNGLINVALIDATETEXSUBIMAGEPROC
epoxy_glInvalidateTexSubImage_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_invalidate_subdata,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25311 /* "glInvalidateTexSubImage" */,
        25311 /* "glInvalidateTexSubImage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25311 /* "glInvalidateTexSubImage" */,
                                providers, entrypoints);
}

static PFNGLISASYNCMARKERSGIXPROC
epoxy_glIsAsyncMarkerSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_async, 25335 /* glIsAsyncMarkerSGIX */);
}

static PFNGLISBUFFERPROC
epoxy_glIsBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25355 /* "glIsBuffer" */,
        25355 /* "glIsBuffer" */,
        25355 /* "glIsBuffer" */,
        25366 /* "glIsBufferARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25355 /* "glIsBuffer" */,
                                providers, entrypoints);
}

static PFNGLISBUFFERRESIDENTNVPROC
epoxy_glIsBufferResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 25380 /* glIsBufferResidentNV */);
}

static PFNGLISENABLEDPROC
epoxy_glIsEnabled_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25401 /* "glIsEnabled" */,
        25401 /* "glIsEnabled" */,
        25401 /* "glIsEnabled" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25401 /* "glIsEnabled" */,
                                providers, entrypoints);
}

static PFNGLISENABLEDIPROC
epoxy_glIsEnabledi_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_draw_buffers2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25435 /* "glIsEnabledi" */,
        25413 /* "glIsEnabledIndexedEXT" */,
        25413 /* "glIsEnabledIndexedEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25435 /* "glIsEnabledi" */,
                                providers, entrypoints);
}

static PFNGLISFENCEAPPLEPROC
epoxy_glIsFenceAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 25448 /* glIsFenceAPPLE */);
}

static PFNGLISFENCENVPROC
epoxy_glIsFenceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 25463 /* glIsFenceNV */);
}

static PFNGLISFRAMEBUFFERPROC
epoxy_glIsFramebuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25475 /* "glIsFramebuffer" */,
        25475 /* "glIsFramebuffer" */,
        25475 /* "glIsFramebuffer" */,
        25491 /* "glIsFramebufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25475 /* "glIsFramebuffer" */,
                                providers, entrypoints);
}

static PFNGLISFRAMEBUFFEROESPROC
epoxy_glIsFramebufferOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 25510 /* glIsFramebufferOES */);
}

static PFNGLISIMAGEHANDLERESIDENTARBPROC
epoxy_glIsImageHandleResidentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 25529 /* glIsImageHandleResidentARB */);
}

static PFNGLISIMAGEHANDLERESIDENTNVPROC
epoxy_glIsImageHandleResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 25556 /* glIsImageHandleResidentNV */);
}

static PFNGLISLISTPROC
epoxy_glIsList_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 25582 /* glIsList */);
}

static PFNGLISNAMEAMDPROC
epoxy_glIsNameAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_name_gen_delete, 25591 /* glIsNameAMD */);
}

static PFNGLISNAMEDBUFFERRESIDENTNVPROC
epoxy_glIsNamedBufferResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 25603 /* glIsNamedBufferResidentNV */);
}

static PFNGLISNAMEDSTRINGARBPROC
epoxy_glIsNamedStringARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shading_language_include, 25629 /* glIsNamedStringARB */);
}

static PFNGLISOBJECTBUFFERATIPROC
epoxy_glIsObjectBufferATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 25648 /* glIsObjectBufferATI */);
}

static PFNGLISOCCLUSIONQUERYNVPROC
epoxy_glIsOcclusionQueryNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 25668 /* glIsOcclusionQueryNV */);
}

static PFNGLISPATHNVPROC
epoxy_glIsPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 25689 /* glIsPathNV */);
}

static PFNGLISPOINTINFILLPATHNVPROC
epoxy_glIsPointInFillPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 25700 /* glIsPointInFillPathNV */);
}

static PFNGLISPOINTINSTROKEPATHNVPROC
epoxy_glIsPointInStrokePathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 25722 /* glIsPointInStrokePathNV */);
}

static PFNGLISPROGRAMPROC
epoxy_glIsProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25746 /* "glIsProgram" */,
        25746 /* "glIsProgram" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25746 /* "glIsProgram" */,
                                providers, entrypoints);
}

static PFNGLISPROGRAMARBPROC
epoxy_glIsProgramARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25758 /* "glIsProgramARB" */,
        25758 /* "glIsProgramARB" */,
        25773 /* "glIsProgramNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25758 /* "glIsProgramARB" */,
                                providers, entrypoints);
}

static PFNGLISPROGRAMPIPELINEPROC
epoxy_glIsProgramPipeline_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25787 /* "glIsProgramPipeline" */,
        25787 /* "glIsProgramPipeline" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25787 /* "glIsProgramPipeline" */,
                                providers, entrypoints);
}

static PFNGLISPROGRAMPIPELINEEXTPROC
epoxy_glIsProgramPipelineEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 25807 /* glIsProgramPipelineEXT */);
}

static PFNGLISQUERYPROC
epoxy_glIsQuery_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25830 /* "glIsQuery" */,
        25830 /* "glIsQuery" */,
        25840 /* "glIsQueryARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25830 /* "glIsQuery" */,
                                providers, entrypoints);
}

static PFNGLISQUERYEXTPROC
epoxy_glIsQueryEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25853 /* "glIsQueryEXT" */,
        25853 /* "glIsQueryEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25853 /* "glIsQueryEXT" */,
                                providers, entrypoints);
}

static PFNGLISRENDERBUFFERPROC
epoxy_glIsRenderbuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25866 /* "glIsRenderbuffer" */,
        25866 /* "glIsRenderbuffer" */,
        25866 /* "glIsRenderbuffer" */,
        25883 /* "glIsRenderbufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25866 /* "glIsRenderbuffer" */,
                                providers, entrypoints);
}

static PFNGLISRENDERBUFFEROESPROC
epoxy_glIsRenderbufferOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 25903 /* glIsRenderbufferOES */);
}

static PFNGLISSAMPLERPROC
epoxy_glIsSampler_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25923 /* "glIsSampler" */,
        25923 /* "glIsSampler" */,
        25923 /* "glIsSampler" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25923 /* "glIsSampler" */,
                                providers, entrypoints);
}

static PFNGLISSHADERPROC
epoxy_glIsShader_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25935 /* "glIsShader" */,
        25935 /* "glIsShader" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25935 /* "glIsShader" */,
                                providers, entrypoints);
}

static PFNGLISSYNCPROC
epoxy_glIsSync_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_2,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25946 /* "glIsSync" */,
        25946 /* "glIsSync" */,
        25946 /* "glIsSync" */,
        25955 /* "glIsSyncAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25946 /* "glIsSync" */,
                                providers, entrypoints);
}

static PFNGLISTEXTUREPROC
epoxy_glIsTexture_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25969 /* "glIsTexture" */,
        25969 /* "glIsTexture" */,
        25969 /* "glIsTexture" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25969 /* "glIsTexture" */,
                                providers, entrypoints);
}

static PFNGLISTEXTUREEXTPROC
epoxy_glIsTextureEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_object, 25981 /* glIsTextureEXT */);
}

static PFNGLISTEXTUREHANDLERESIDENTARBPROC
epoxy_glIsTextureHandleResidentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 25996 /* glIsTextureHandleResidentARB */);
}

static PFNGLISTEXTUREHANDLERESIDENTNVPROC
epoxy_glIsTextureHandleResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 26025 /* glIsTextureHandleResidentNV */);
}

static PFNGLISTRANSFORMFEEDBACKPROC
epoxy_glIsTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback2,
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_0,
        GL_extension_GL_NV_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26053 /* "glIsTransformFeedback" */,
        26053 /* "glIsTransformFeedback" */,
        26053 /* "glIsTransformFeedback" */,
        26075 /* "glIsTransformFeedbackNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26053 /* "glIsTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLISVARIANTENABLEDEXTPROC
epoxy_glIsVariantEnabledEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 26099 /* glIsVariantEnabledEXT */);
}

static PFNGLISVERTEXARRAYPROC
epoxy_glIsVertexArray_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_APPLE_vertex_array_object,
        GL_extension_GL_OES_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26121 /* "glIsVertexArray" */,
        26121 /* "glIsVertexArray" */,
        26121 /* "glIsVertexArray" */,
        26137 /* "glIsVertexArrayAPPLE" */,
        26158 /* "glIsVertexArrayOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26121 /* "glIsVertexArray" */,
                                providers, entrypoints);
}

static PFNGLISVERTEXATTRIBENABLEDAPPLEPROC
epoxy_glIsVertexAttribEnabledAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 26177 /* glIsVertexAttribEnabledAPPLE */);
}

static PFNGLLABELOBJECTEXTPROC
epoxy_glLabelObjectEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_debug_label, 26206 /* glLabelObjectEXT */);
}

static PFNGLLIGHTENVISGIXPROC
epoxy_glLightEnviSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 26223 /* glLightEnviSGIX */);
}

static PFNGLLIGHTMODELFPROC
epoxy_glLightModelf_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26239 /* "glLightModelf" */,
        26239 /* "glLightModelf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26239 /* "glLightModelf" */,
                                providers, entrypoints);
}

static PFNGLLIGHTMODELFVPROC
epoxy_glLightModelfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26253 /* "glLightModelfv" */,
        26253 /* "glLightModelfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26253 /* "glLightModelfv" */,
                                providers, entrypoints);
}

static PFNGLLIGHTMODELIPROC
epoxy_glLightModeli_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26268 /* glLightModeli */);
}

static PFNGLLIGHTMODELIVPROC
epoxy_glLightModeliv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26282 /* glLightModeliv */);
}

static PFNGLLIGHTMODELXPROC
epoxy_glLightModelx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 26297 /* glLightModelx */);
}

static PFNGLLIGHTMODELXOESPROC
epoxy_glLightModelxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26311 /* glLightModelxOES */);
}

static PFNGLLIGHTMODELXVPROC
epoxy_glLightModelxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 26328 /* glLightModelxv */);
}

static PFNGLLIGHTMODELXVOESPROC
epoxy_glLightModelxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26343 /* glLightModelxvOES */);
}

static PFNGLLIGHTFPROC
epoxy_glLightf_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26361 /* "glLightf" */,
        26361 /* "glLightf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26361 /* "glLightf" */,
                                providers, entrypoints);
}

static PFNGLLIGHTFVPROC
epoxy_glLightfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26370 /* "glLightfv" */,
        26370 /* "glLightfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26370 /* "glLightfv" */,
                                providers, entrypoints);
}

static PFNGLLIGHTIPROC
epoxy_glLighti_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26380 /* glLighti */);
}

static PFNGLLIGHTIVPROC
epoxy_glLightiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26389 /* glLightiv */);
}

static PFNGLLIGHTXPROC
epoxy_glLightx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 26399 /* glLightx */);
}

static PFNGLLIGHTXOESPROC
epoxy_glLightxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26408 /* glLightxOES */);
}

static PFNGLLIGHTXVPROC
epoxy_glLightxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 26420 /* glLightxv */);
}

static PFNGLLIGHTXVOESPROC
epoxy_glLightxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26430 /* glLightxvOES */);
}

static PFNGLLINESTIPPLEPROC
epoxy_glLineStipple_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26443 /* glLineStipple */);
}

static PFNGLLINEWIDTHPROC
epoxy_glLineWidth_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26457 /* "glLineWidth" */,
        26457 /* "glLineWidth" */,
        26457 /* "glLineWidth" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26457 /* "glLineWidth" */,
                                providers, entrypoints);
}

static PFNGLLINEWIDTHXPROC
epoxy_glLineWidthx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 26469 /* glLineWidthx */);
}

static PFNGLLINEWIDTHXOESPROC
epoxy_glLineWidthxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26482 /* glLineWidthxOES */);
}

static PFNGLLINKPROGRAMPROC
epoxy_glLinkProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26498 /* "glLinkProgram" */,
        26498 /* "glLinkProgram" */,
        26512 /* "glLinkProgramARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26498 /* "glLinkProgram" */,
                                providers, entrypoints);
}

static PFNGLLISTBASEPROC
epoxy_glListBase_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26529 /* glListBase */);
}

static PFNGLLISTPARAMETERFSGIXPROC
epoxy_glListParameterfSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_list_priority, 26540 /* glListParameterfSGIX */);
}

static PFNGLLISTPARAMETERFVSGIXPROC
epoxy_glListParameterfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_list_priority, 26561 /* glListParameterfvSGIX */);
}

static PFNGLLISTPARAMETERISGIXPROC
epoxy_glListParameteriSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_list_priority, 26583 /* glListParameteriSGIX */);
}

static PFNGLLISTPARAMETERIVSGIXPROC
epoxy_glListParameterivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_list_priority, 26604 /* glListParameterivSGIX */);
}

static PFNGLLOADIDENTITYPROC
epoxy_glLoadIdentity_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26626 /* "glLoadIdentity" */,
        26626 /* "glLoadIdentity" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26626 /* "glLoadIdentity" */,
                                providers, entrypoints);
}

static PFNGLLOADIDENTITYDEFORMATIONMAPSGIXPROC
epoxy_glLoadIdentityDeformationMapSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_polynomial_ffd, 26641 /* glLoadIdentityDeformationMapSGIX */);
}

static PFNGLLOADMATRIXDPROC
epoxy_glLoadMatrixd_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26674 /* glLoadMatrixd */);
}

static PFNGLLOADMATRIXFPROC
epoxy_glLoadMatrixf_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26688 /* "glLoadMatrixf" */,
        26688 /* "glLoadMatrixf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26688 /* "glLoadMatrixf" */,
                                providers, entrypoints);
}

static PFNGLLOADMATRIXXPROC
epoxy_glLoadMatrixx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 26702 /* glLoadMatrixx */);
}

static PFNGLLOADMATRIXXOESPROC
epoxy_glLoadMatrixxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26716 /* glLoadMatrixxOES */);
}

static PFNGLLOADNAMEPROC
epoxy_glLoadName_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26733 /* glLoadName */);
}

static PFNGLLOADPALETTEFROMMODELVIEWMATRIXOESPROC
epoxy_glLoadPaletteFromModelViewMatrixOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_matrix_palette, 26744 /* glLoadPaletteFromModelViewMatrixOES */);
}

static PFNGLLOADPROGRAMNVPROC
epoxy_glLoadProgramNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 26780 /* glLoadProgramNV */);
}

static PFNGLLOADTRANSPOSEMATRIXDPROC
epoxy_glLoadTransposeMatrixd_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_transpose_matrix,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26796 /* "glLoadTransposeMatrixd" */,
        26819 /* "glLoadTransposeMatrixdARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26796 /* "glLoadTransposeMatrixd" */,
                                providers, entrypoints);
}

static PFNGLLOADTRANSPOSEMATRIXFPROC
epoxy_glLoadTransposeMatrixf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_transpose_matrix,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26845 /* "glLoadTransposeMatrixf" */,
        26868 /* "glLoadTransposeMatrixfARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26845 /* "glLoadTransposeMatrixf" */,
                                providers, entrypoints);
}

static PFNGLLOADTRANSPOSEMATRIXXOESPROC
epoxy_glLoadTransposeMatrixxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26894 /* glLoadTransposeMatrixxOES */);
}

static PFNGLLOCKARRAYSEXTPROC
epoxy_glLockArraysEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_compiled_vertex_array, 26920 /* glLockArraysEXT */);
}

static PFNGLLOGICOPPROC
epoxy_glLogicOp_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26936 /* "glLogicOp" */,
        26936 /* "glLogicOp" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26936 /* "glLogicOp" */,
                                providers, entrypoints);
}

static PFNGLMAKEBUFFERNONRESIDENTNVPROC
epoxy_glMakeBufferNonResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 26946 /* glMakeBufferNonResidentNV */);
}

static PFNGLMAKEBUFFERRESIDENTNVPROC
epoxy_glMakeBufferResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 26972 /* glMakeBufferResidentNV */);
}

static PFNGLMAKEIMAGEHANDLENONRESIDENTARBPROC
epoxy_glMakeImageHandleNonResidentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 26995 /* glMakeImageHandleNonResidentARB */);
}

static PFNGLMAKEIMAGEHANDLENONRESIDENTNVPROC
epoxy_glMakeImageHandleNonResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 27027 /* glMakeImageHandleNonResidentNV */);
}

static PFNGLMAKEIMAGEHANDLERESIDENTARBPROC
epoxy_glMakeImageHandleResidentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 27058 /* glMakeImageHandleResidentARB */);
}

static PFNGLMAKEIMAGEHANDLERESIDENTNVPROC
epoxy_glMakeImageHandleResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 27087 /* glMakeImageHandleResidentNV */);
}

static PFNGLMAKENAMEDBUFFERNONRESIDENTNVPROC
epoxy_glMakeNamedBufferNonResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 27115 /* glMakeNamedBufferNonResidentNV */);
}

static PFNGLMAKENAMEDBUFFERRESIDENTNVPROC
epoxy_glMakeNamedBufferResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 27146 /* glMakeNamedBufferResidentNV */);
}

static PFNGLMAKETEXTUREHANDLENONRESIDENTARBPROC
epoxy_glMakeTextureHandleNonResidentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 27174 /* glMakeTextureHandleNonResidentARB */);
}

static PFNGLMAKETEXTUREHANDLENONRESIDENTNVPROC
epoxy_glMakeTextureHandleNonResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 27208 /* glMakeTextureHandleNonResidentNV */);
}

static PFNGLMAKETEXTUREHANDLERESIDENTARBPROC
epoxy_glMakeTextureHandleResidentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 27241 /* glMakeTextureHandleResidentARB */);
}

static PFNGLMAKETEXTUREHANDLERESIDENTNVPROC
epoxy_glMakeTextureHandleResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 27272 /* glMakeTextureHandleResidentNV */);
}

static PFNGLMAP1DPROC
epoxy_glMap1d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27302 /* glMap1d */);
}

static PFNGLMAP1FPROC
epoxy_glMap1f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27310 /* glMap1f */);
}

static PFNGLMAP1XOESPROC
epoxy_glMap1xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 27318 /* glMap1xOES */);
}

static PFNGLMAP2DPROC
epoxy_glMap2d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27329 /* glMap2d */);
}

static PFNGLMAP2FPROC
epoxy_glMap2f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27337 /* glMap2f */);
}

static PFNGLMAP2XOESPROC
epoxy_glMap2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 27345 /* glMap2xOES */);
}

static PFNGLMAPBUFFERPROC
epoxy_glMapBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_vertex_buffer_object,
        GL_extension_GL_OES_mapbuffer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        27356 /* "glMapBuffer" */,
        27368 /* "glMapBufferARB" */,
        27383 /* "glMapBufferOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 27356 /* "glMapBuffer" */,
                                providers, entrypoints);
}

static PFNGLMAPBUFFERRANGEPROC
epoxy_glMapBufferRange_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_map_buffer_range,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_map_buffer_range,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        27398 /* "glMapBufferRange" */,
        27398 /* "glMapBufferRange" */,
        27398 /* "glMapBufferRange" */,
        27415 /* "glMapBufferRangeEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 27398 /* "glMapBufferRange" */,
                                providers, entrypoints);
}

static PFNGLMAPCONTROLPOINTSNVPROC
epoxy_glMapControlPointsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 27435 /* glMapControlPointsNV */);
}

static PFNGLMAPGRID1DPROC
epoxy_glMapGrid1d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27456 /* glMapGrid1d */);
}

static PFNGLMAPGRID1FPROC
epoxy_glMapGrid1f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27468 /* glMapGrid1f */);
}

static PFNGLMAPGRID1XOESPROC
epoxy_glMapGrid1xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 27480 /* glMapGrid1xOES */);
}

static PFNGLMAPGRID2DPROC
epoxy_glMapGrid2d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27495 /* glMapGrid2d */);
}

static PFNGLMAPGRID2FPROC
epoxy_glMapGrid2f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27507 /* glMapGrid2f */);
}

static PFNGLMAPGRID2XOESPROC
epoxy_glMapGrid2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 27519 /* glMapGrid2xOES */);
}

static PFNGLMAPNAMEDBUFFEREXTPROC
epoxy_glMapNamedBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 27534 /* glMapNamedBufferEXT */);
}

static PFNGLMAPNAMEDBUFFERRANGEEXTPROC
epoxy_glMapNamedBufferRangeEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 27554 /* glMapNamedBufferRangeEXT */);
}

static PFNGLMAPOBJECTBUFFERATIPROC
epoxy_glMapObjectBufferATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_map_object_buffer, 27579 /* glMapObjectBufferATI */);
}

static PFNGLMAPPARAMETERFVNVPROC
epoxy_glMapParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 27600 /* glMapParameterfvNV */);
}

static PFNGLMAPPARAMETERIVNVPROC
epoxy_glMapParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 27619 /* glMapParameterivNV */);
}

static PFNGLMAPTEXTURE2DINTELPROC
epoxy_glMapTexture2DINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_map_texture, 27638 /* glMapTexture2DINTEL */);
}

static PFNGLMAPVERTEXATTRIB1DAPPLEPROC
epoxy_glMapVertexAttrib1dAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 27658 /* glMapVertexAttrib1dAPPLE */);
}

static PFNGLMAPVERTEXATTRIB1FAPPLEPROC
epoxy_glMapVertexAttrib1fAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 27683 /* glMapVertexAttrib1fAPPLE */);
}

static PFNGLMAPVERTEXATTRIB2DAPPLEPROC
epoxy_glMapVertexAttrib2dAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 27708 /* glMapVertexAttrib2dAPPLE */);
}

static PFNGLMAPVERTEXATTRIB2FAPPLEPROC
epoxy_glMapVertexAttrib2fAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 27733 /* glMapVertexAttrib2fAPPLE */);
}

static PFNGLMATERIALFPROC
epoxy_glMaterialf_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        27758 /* "glMaterialf" */,
        27758 /* "glMaterialf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 27758 /* "glMaterialf" */,
                                providers, entrypoints);
}

static PFNGLMATERIALFVPROC
epoxy_glMaterialfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        27770 /* "glMaterialfv" */,
        27770 /* "glMaterialfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 27770 /* "glMaterialfv" */,
                                providers, entrypoints);
}

static PFNGLMATERIALIPROC
epoxy_glMateriali_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27783 /* glMateriali */);
}

static PFNGLMATERIALIVPROC
epoxy_glMaterialiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27795 /* glMaterialiv */);
}

static PFNGLMATERIALXPROC
epoxy_glMaterialx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 27808 /* glMaterialx */);
}

static PFNGLMATERIALXOESPROC
epoxy_glMaterialxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 27820 /* glMaterialxOES */);
}

static PFNGLMATERIALXVPROC
epoxy_glMaterialxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 27835 /* glMaterialxv */);
}

static PFNGLMATERIALXVOESPROC
epoxy_glMaterialxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 27848 /* glMaterialxvOES */);
}

static PFNGLMATRIXFRUSTUMEXTPROC
epoxy_glMatrixFrustumEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 27864 /* glMatrixFrustumEXT */);
}

static PFNGLMATRIXINDEXPOINTERARBPROC
epoxy_glMatrixIndexPointerARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_matrix_palette, 27883 /* glMatrixIndexPointerARB */);
}

static PFNGLMATRIXINDEXPOINTEROESPROC
epoxy_glMatrixIndexPointerOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_matrix_palette, 27907 /* glMatrixIndexPointerOES */);
}

static PFNGLMATRIXINDEXUBVARBPROC
epoxy_glMatrixIndexubvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_matrix_palette, 27931 /* glMatrixIndexubvARB */);
}

static PFNGLMATRIXINDEXUIVARBPROC
epoxy_glMatrixIndexuivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_matrix_palette, 27951 /* glMatrixIndexuivARB */);
}

static PFNGLMATRIXINDEXUSVARBPROC
epoxy_glMatrixIndexusvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_matrix_palette, 27971 /* glMatrixIndexusvARB */);
}

static PFNGLMATRIXLOADIDENTITYEXTPROC
epoxy_glMatrixLoadIdentityEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 27991 /* glMatrixLoadIdentityEXT */);
}

static PFNGLMATRIXLOADTRANSPOSEDEXTPROC
epoxy_glMatrixLoadTransposedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28015 /* glMatrixLoadTransposedEXT */);
}

static PFNGLMATRIXLOADTRANSPOSEFEXTPROC
epoxy_glMatrixLoadTransposefEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28041 /* glMatrixLoadTransposefEXT */);
}

static PFNGLMATRIXLOADDEXTPROC
epoxy_glMatrixLoaddEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28067 /* glMatrixLoaddEXT */);
}

static PFNGLMATRIXLOADFEXTPROC
epoxy_glMatrixLoadfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28084 /* glMatrixLoadfEXT */);
}

static PFNGLMATRIXMODEPROC
epoxy_glMatrixMode_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28101 /* "glMatrixMode" */,
        28101 /* "glMatrixMode" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28101 /* "glMatrixMode" */,
                                providers, entrypoints);
}

static PFNGLMATRIXMULTTRANSPOSEDEXTPROC
epoxy_glMatrixMultTransposedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28114 /* glMatrixMultTransposedEXT */);
}

static PFNGLMATRIXMULTTRANSPOSEFEXTPROC
epoxy_glMatrixMultTransposefEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28140 /* glMatrixMultTransposefEXT */);
}

static PFNGLMATRIXMULTDEXTPROC
epoxy_glMatrixMultdEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28166 /* glMatrixMultdEXT */);
}

static PFNGLMATRIXMULTFEXTPROC
epoxy_glMatrixMultfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28183 /* glMatrixMultfEXT */);
}

static PFNGLMATRIXORTHOEXTPROC
epoxy_glMatrixOrthoEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28200 /* glMatrixOrthoEXT */);
}

static PFNGLMATRIXPOPEXTPROC
epoxy_glMatrixPopEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28217 /* glMatrixPopEXT */);
}

static PFNGLMATRIXPUSHEXTPROC
epoxy_glMatrixPushEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28232 /* glMatrixPushEXT */);
}

static PFNGLMATRIXROTATEDEXTPROC
epoxy_glMatrixRotatedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28248 /* glMatrixRotatedEXT */);
}

static PFNGLMATRIXROTATEFEXTPROC
epoxy_glMatrixRotatefEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28267 /* glMatrixRotatefEXT */);
}

static PFNGLMATRIXSCALEDEXTPROC
epoxy_glMatrixScaledEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28286 /* glMatrixScaledEXT */);
}

static PFNGLMATRIXSCALEFEXTPROC
epoxy_glMatrixScalefEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28304 /* glMatrixScalefEXT */);
}

static PFNGLMATRIXTRANSLATEDEXTPROC
epoxy_glMatrixTranslatedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28322 /* glMatrixTranslatedEXT */);
}

static PFNGLMATRIXTRANSLATEFEXTPROC
epoxy_glMatrixTranslatefEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28344 /* glMatrixTranslatefEXT */);
}

static PFNGLMEMORYBARRIERPROC
epoxy_glMemoryBarrier_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_2,
        GL_extension_GL_ARB_shader_image_load_store,
        GL_extension_GL_EXT_shader_image_load_store,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28366 /* "glMemoryBarrier" */,
        28366 /* "glMemoryBarrier" */,
        28382 /* "glMemoryBarrierEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28366 /* "glMemoryBarrier" */,
                                providers, entrypoints);
}

static PFNGLMINSAMPLESHADINGPROC
epoxy_glMinSampleShading_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_sample_shading,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28401 /* "glMinSampleShading" */,
        28420 /* "glMinSampleShadingARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28401 /* "glMinSampleShading" */,
                                providers, entrypoints);
}

static PFNGLMINMAXPROC
epoxy_glMinmax_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_histogram,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28442 /* "glMinmax" */,
        28451 /* "glMinmaxEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28442 /* "glMinmax" */,
                                providers, entrypoints);
}

static PFNGLMULTMATRIXDPROC
epoxy_glMultMatrixd_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 28463 /* glMultMatrixd */);
}

static PFNGLMULTMATRIXFPROC
epoxy_glMultMatrixf_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28477 /* "glMultMatrixf" */,
        28477 /* "glMultMatrixf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28477 /* "glMultMatrixf" */,
                                providers, entrypoints);
}

static PFNGLMULTMATRIXXPROC
epoxy_glMultMatrixx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 28491 /* glMultMatrixx */);
}

static PFNGLMULTMATRIXXOESPROC
epoxy_glMultMatrixxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 28505 /* glMultMatrixxOES */);
}

static PFNGLMULTTRANSPOSEMATRIXDPROC
epoxy_glMultTransposeMatrixd_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_transpose_matrix,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28522 /* "glMultTransposeMatrixd" */,
        28545 /* "glMultTransposeMatrixdARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28522 /* "glMultTransposeMatrixd" */,
                                providers, entrypoints);
}

static PFNGLMULTTRANSPOSEMATRIXFPROC
epoxy_glMultTransposeMatrixf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_transpose_matrix,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28571 /* "glMultTransposeMatrixf" */,
        28594 /* "glMultTransposeMatrixfARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28571 /* "glMultTransposeMatrixf" */,
                                providers, entrypoints);
}

static PFNGLMULTTRANSPOSEMATRIXXOESPROC
epoxy_glMultTransposeMatrixxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 28620 /* glMultTransposeMatrixxOES */);
}

static PFNGLMULTIDRAWARRAYSPROC
epoxy_glMultiDrawArrays_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_multi_draw_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28646 /* "glMultiDrawArrays" */,
        28664 /* "glMultiDrawArraysEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28646 /* "glMultiDrawArrays" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWARRAYSINDIRECTPROC
epoxy_glMultiDrawArraysIndirect_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_draw_indirect,
        Desktop_OpenGL_4_3,
        GL_extension_GL_AMD_multi_draw_indirect,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28685 /* "glMultiDrawArraysIndirect" */,
        28685 /* "glMultiDrawArraysIndirect" */,
        28711 /* "glMultiDrawArraysIndirectAMD" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28685 /* "glMultiDrawArraysIndirect" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWARRAYSINDIRECTBINDLESSNVPROC
epoxy_glMultiDrawArraysIndirectBindlessNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_multi_draw_indirect, 28740 /* glMultiDrawArraysIndirectBindlessNV */);
}

static PFNGLMULTIDRAWARRAYSINDIRECTCOUNTARBPROC
epoxy_glMultiDrawArraysIndirectCountARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_indirect_parameters, 28776 /* glMultiDrawArraysIndirectCountARB */);
}

static PFNGLMULTIDRAWELEMENTARRAYAPPLEPROC
epoxy_glMultiDrawElementArrayAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_element_array, 28810 /* glMultiDrawElementArrayAPPLE */);
}

static PFNGLMULTIDRAWELEMENTSPROC
epoxy_glMultiDrawElements_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_multi_draw_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28839 /* "glMultiDrawElements" */,
        28889 /* "glMultiDrawElementsEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28839 /* "glMultiDrawElements" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWELEMENTSBASEVERTEXPROC
epoxy_glMultiDrawElementsBaseVertex_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_elements_base_vertex,
        Desktop_OpenGL_3_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28859 /* "glMultiDrawElementsBaseVertex" */,
        28859 /* "glMultiDrawElementsBaseVertex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28859 /* "glMultiDrawElementsBaseVertex" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWELEMENTSINDIRECTPROC
epoxy_glMultiDrawElementsIndirect_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_draw_indirect,
        Desktop_OpenGL_4_3,
        GL_extension_GL_AMD_multi_draw_indirect,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28912 /* "glMultiDrawElementsIndirect" */,
        28912 /* "glMultiDrawElementsIndirect" */,
        28940 /* "glMultiDrawElementsIndirectAMD" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28912 /* "glMultiDrawElementsIndirect" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWELEMENTSINDIRECTBINDLESSNVPROC
epoxy_glMultiDrawElementsIndirectBindlessNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_multi_draw_indirect, 28971 /* glMultiDrawElementsIndirectBindlessNV */);
}

static PFNGLMULTIDRAWELEMENTSINDIRECTCOUNTARBPROC
epoxy_glMultiDrawElementsIndirectCountARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_indirect_parameters, 29009 /* glMultiDrawElementsIndirectCountARB */);
}

static PFNGLMULTIDRAWRANGEELEMENTARRAYAPPLEPROC
epoxy_glMultiDrawRangeElementArrayAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_element_array, 29045 /* glMultiDrawRangeElementArrayAPPLE */);
}

static PFNGLMULTIMODEDRAWARRAYSIBMPROC
epoxy_glMultiModeDrawArraysIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_multimode_draw_arrays, 29079 /* glMultiModeDrawArraysIBM */);
}

static PFNGLMULTIMODEDRAWELEMENTSIBMPROC
epoxy_glMultiModeDrawElementsIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_multimode_draw_arrays, 29104 /* glMultiModeDrawElementsIBM */);
}

static PFNGLMULTITEXBUFFEREXTPROC
epoxy_glMultiTexBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 29131 /* glMultiTexBufferEXT */);
}

static PFNGLMULTITEXCOORD1BOESPROC
epoxy_glMultiTexCoord1bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 29151 /* glMultiTexCoord1bOES */);
}

static PFNGLMULTITEXCOORD1BVOESPROC
epoxy_glMultiTexCoord1bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 29172 /* glMultiTexCoord1bvOES */);
}

static PFNGLMULTITEXCOORD1DPROC
epoxy_glMultiTexCoord1d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29194 /* "glMultiTexCoord1d" */,
        29212 /* "glMultiTexCoord1dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29194 /* "glMultiTexCoord1d" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1DVPROC
epoxy_glMultiTexCoord1dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29233 /* "glMultiTexCoord1dv" */,
        29252 /* "glMultiTexCoord1dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29233 /* "glMultiTexCoord1dv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1FPROC
epoxy_glMultiTexCoord1f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29274 /* "glMultiTexCoord1f" */,
        29292 /* "glMultiTexCoord1fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29274 /* "glMultiTexCoord1f" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1FVPROC
epoxy_glMultiTexCoord1fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29313 /* "glMultiTexCoord1fv" */,
        29332 /* "glMultiTexCoord1fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29313 /* "glMultiTexCoord1fv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1HNVPROC
epoxy_glMultiTexCoord1hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 29354 /* glMultiTexCoord1hNV */);
}

static PFNGLMULTITEXCOORD1HVNVPROC
epoxy_glMultiTexCoord1hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 29374 /* glMultiTexCoord1hvNV */);
}

static PFNGLMULTITEXCOORD1IPROC
epoxy_glMultiTexCoord1i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29395 /* "glMultiTexCoord1i" */,
        29413 /* "glMultiTexCoord1iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29395 /* "glMultiTexCoord1i" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1IVPROC
epoxy_glMultiTexCoord1iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29434 /* "glMultiTexCoord1iv" */,
        29453 /* "glMultiTexCoord1ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29434 /* "glMultiTexCoord1iv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1SPROC
epoxy_glMultiTexCoord1s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29475 /* "glMultiTexCoord1s" */,
        29493 /* "glMultiTexCoord1sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29475 /* "glMultiTexCoord1s" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1SVPROC
epoxy_glMultiTexCoord1sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29514 /* "glMultiTexCoord1sv" */,
        29533 /* "glMultiTexCoord1svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29514 /* "glMultiTexCoord1sv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1XOESPROC
epoxy_glMultiTexCoord1xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 29555 /* glMultiTexCoord1xOES */);
}

static PFNGLMULTITEXCOORD1XVOESPROC
epoxy_glMultiTexCoord1xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 29576 /* glMultiTexCoord1xvOES */);
}

static PFNGLMULTITEXCOORD2BOESPROC
epoxy_glMultiTexCoord2bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 29598 /* glMultiTexCoord2bOES */);
}

static PFNGLMULTITEXCOORD2BVOESPROC
epoxy_glMultiTexCoord2bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 29619 /* glMultiTexCoord2bvOES */);
}

static PFNGLMULTITEXCOORD2DPROC
epoxy_glMultiTexCoord2d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29641 /* "glMultiTexCoord2d" */,
        29659 /* "glMultiTexCoord2dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29641 /* "glMultiTexCoord2d" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2DVPROC
epoxy_glMultiTexCoord2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29680 /* "glMultiTexCoord2dv" */,
        29699 /* "glMultiTexCoord2dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29680 /* "glMultiTexCoord2dv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2FPROC
epoxy_glMultiTexCoord2f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29721 /* "glMultiTexCoord2f" */,
        29739 /* "glMultiTexCoord2fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29721 /* "glMultiTexCoord2f" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2FVPROC
epoxy_glMultiTexCoord2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29760 /* "glMultiTexCoord2fv" */,
        29779 /* "glMultiTexCoord2fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29760 /* "glMultiTexCoord2fv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2HNVPROC
epoxy_glMultiTexCoord2hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 29801 /* glMultiTexCoord2hNV */);
}

static PFNGLMULTITEXCOORD2HVNVPROC
epoxy_glMultiTexCoord2hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 29821 /* glMultiTexCoord2hvNV */);
}

static PFNGLMULTITEXCOORD2IPROC
epoxy_glMultiTexCoord2i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29842 /* "glMultiTexCoord2i" */,
        29860 /* "glMultiTexCoord2iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29842 /* "glMultiTexCoord2i" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2IVPROC
epoxy_glMultiTexCoord2iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29881 /* "glMultiTexCoord2iv" */,
        29900 /* "glMultiTexCoord2ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29881 /* "glMultiTexCoord2iv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2SPROC
epoxy_glMultiTexCoord2s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29922 /* "glMultiTexCoord2s" */,
        29940 /* "glMultiTexCoord2sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29922 /* "glMultiTexCoord2s" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2SVPROC
epoxy_glMultiTexCoord2sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29961 /* "glMultiTexCoord2sv" */,
        29980 /* "glMultiTexCoord2svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29961 /* "glMultiTexCoord2sv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2XOESPROC
epoxy_glMultiTexCoord2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 30002 /* glMultiTexCoord2xOES */);
}

static PFNGLMULTITEXCOORD2XVOESPROC
epoxy_glMultiTexCoord2xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 30023 /* glMultiTexCoord2xvOES */);
}

static PFNGLMULTITEXCOORD3BOESPROC
epoxy_glMultiTexCoord3bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 30045 /* glMultiTexCoord3bOES */);
}

static PFNGLMULTITEXCOORD3BVOESPROC
epoxy_glMultiTexCoord3bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 30066 /* glMultiTexCoord3bvOES */);
}

static PFNGLMULTITEXCOORD3DPROC
epoxy_glMultiTexCoord3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30088 /* "glMultiTexCoord3d" */,
        30106 /* "glMultiTexCoord3dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30088 /* "glMultiTexCoord3d" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3DVPROC
epoxy_glMultiTexCoord3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30127 /* "glMultiTexCoord3dv" */,
        30146 /* "glMultiTexCoord3dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30127 /* "glMultiTexCoord3dv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3FPROC
epoxy_glMultiTexCoord3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30168 /* "glMultiTexCoord3f" */,
        30186 /* "glMultiTexCoord3fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30168 /* "glMultiTexCoord3f" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3FVPROC
epoxy_glMultiTexCoord3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30207 /* "glMultiTexCoord3fv" */,
        30226 /* "glMultiTexCoord3fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30207 /* "glMultiTexCoord3fv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3HNVPROC
epoxy_glMultiTexCoord3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 30248 /* glMultiTexCoord3hNV */);
}

static PFNGLMULTITEXCOORD3HVNVPROC
epoxy_glMultiTexCoord3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 30268 /* glMultiTexCoord3hvNV */);
}

static PFNGLMULTITEXCOORD3IPROC
epoxy_glMultiTexCoord3i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30289 /* "glMultiTexCoord3i" */,
        30307 /* "glMultiTexCoord3iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30289 /* "glMultiTexCoord3i" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3IVPROC
epoxy_glMultiTexCoord3iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30328 /* "glMultiTexCoord3iv" */,
        30347 /* "glMultiTexCoord3ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30328 /* "glMultiTexCoord3iv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3SPROC
epoxy_glMultiTexCoord3s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30369 /* "glMultiTexCoord3s" */,
        30387 /* "glMultiTexCoord3sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30369 /* "glMultiTexCoord3s" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3SVPROC
epoxy_glMultiTexCoord3sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30408 /* "glMultiTexCoord3sv" */,
        30427 /* "glMultiTexCoord3svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30408 /* "glMultiTexCoord3sv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3XOESPROC
epoxy_glMultiTexCoord3xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 30449 /* glMultiTexCoord3xOES */);
}

static PFNGLMULTITEXCOORD3XVOESPROC
epoxy_glMultiTexCoord3xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 30470 /* glMultiTexCoord3xvOES */);
}

static PFNGLMULTITEXCOORD4BOESPROC
epoxy_glMultiTexCoord4bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 30492 /* glMultiTexCoord4bOES */);
}

static PFNGLMULTITEXCOORD4BVOESPROC
epoxy_glMultiTexCoord4bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 30513 /* glMultiTexCoord4bvOES */);
}

static PFNGLMULTITEXCOORD4DPROC
epoxy_glMultiTexCoord4d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30535 /* "glMultiTexCoord4d" */,
        30553 /* "glMultiTexCoord4dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30535 /* "glMultiTexCoord4d" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4DVPROC
epoxy_glMultiTexCoord4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30574 /* "glMultiTexCoord4dv" */,
        30593 /* "glMultiTexCoord4dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30574 /* "glMultiTexCoord4dv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4FPROC
epoxy_glMultiTexCoord4f_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30615 /* "glMultiTexCoord4f" */,
        30615 /* "glMultiTexCoord4f" */,
        30633 /* "glMultiTexCoord4fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30615 /* "glMultiTexCoord4f" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4FVPROC
epoxy_glMultiTexCoord4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30654 /* "glMultiTexCoord4fv" */,
        30673 /* "glMultiTexCoord4fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30654 /* "glMultiTexCoord4fv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4HNVPROC
epoxy_glMultiTexCoord4hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 30695 /* glMultiTexCoord4hNV */);
}

static PFNGLMULTITEXCOORD4HVNVPROC
epoxy_glMultiTexCoord4hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 30715 /* glMultiTexCoord4hvNV */);
}

static PFNGLMULTITEXCOORD4IPROC
epoxy_glMultiTexCoord4i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30736 /* "glMultiTexCoord4i" */,
        30754 /* "glMultiTexCoord4iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30736 /* "glMultiTexCoord4i" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4IVPROC
epoxy_glMultiTexCoord4iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30775 /* "glMultiTexCoord4iv" */,
        30794 /* "glMultiTexCoord4ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30775 /* "glMultiTexCoord4iv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4SPROC
epoxy_glMultiTexCoord4s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30816 /* "glMultiTexCoord4s" */,
        30834 /* "glMultiTexCoord4sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30816 /* "glMultiTexCoord4s" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4SVPROC
epoxy_glMultiTexCoord4sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30855 /* "glMultiTexCoord4sv" */,
        30874 /* "glMultiTexCoord4svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30855 /* "glMultiTexCoord4sv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4XPROC
epoxy_glMultiTexCoord4x_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 30896 /* glMultiTexCoord4x */);
}

static PFNGLMULTITEXCOORD4XOESPROC
epoxy_glMultiTexCoord4xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 30914 /* glMultiTexCoord4xOES */);
}

static PFNGLMULTITEXCOORD4XVOESPROC
epoxy_glMultiTexCoord4xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 30935 /* glMultiTexCoord4xvOES */);
}

static PFNGLMULTITEXCOORDP1UIPROC
epoxy_glMultiTexCoordP1ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30957 /* "glMultiTexCoordP1ui" */,
        30957 /* "glMultiTexCoordP1ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30957 /* "glMultiTexCoordP1ui" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP1UIVPROC
epoxy_glMultiTexCoordP1uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30977 /* "glMultiTexCoordP1uiv" */,
        30977 /* "glMultiTexCoordP1uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30977 /* "glMultiTexCoordP1uiv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP2UIPROC
epoxy_glMultiTexCoordP2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30998 /* "glMultiTexCoordP2ui" */,
        30998 /* "glMultiTexCoordP2ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30998 /* "glMultiTexCoordP2ui" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP2UIVPROC
epoxy_glMultiTexCoordP2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31018 /* "glMultiTexCoordP2uiv" */,
        31018 /* "glMultiTexCoordP2uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31018 /* "glMultiTexCoordP2uiv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP3UIPROC
epoxy_glMultiTexCoordP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31039 /* "glMultiTexCoordP3ui" */,
        31039 /* "glMultiTexCoordP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31039 /* "glMultiTexCoordP3ui" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP3UIVPROC
epoxy_glMultiTexCoordP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31059 /* "glMultiTexCoordP3uiv" */,
        31059 /* "glMultiTexCoordP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31059 /* "glMultiTexCoordP3uiv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP4UIPROC
epoxy_glMultiTexCoordP4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31080 /* "glMultiTexCoordP4ui" */,
        31080 /* "glMultiTexCoordP4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31080 /* "glMultiTexCoordP4ui" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP4UIVPROC
epoxy_glMultiTexCoordP4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31100 /* "glMultiTexCoordP4uiv" */,
        31100 /* "glMultiTexCoordP4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31100 /* "glMultiTexCoordP4uiv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDPOINTEREXTPROC
epoxy_glMultiTexCoordPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31121 /* glMultiTexCoordPointerEXT */);
}

static PFNGLMULTITEXENVFEXTPROC
epoxy_glMultiTexEnvfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31147 /* glMultiTexEnvfEXT */);
}

static PFNGLMULTITEXENVFVEXTPROC
epoxy_glMultiTexEnvfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31165 /* glMultiTexEnvfvEXT */);
}

static PFNGLMULTITEXENVIEXTPROC
epoxy_glMultiTexEnviEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31184 /* glMultiTexEnviEXT */);
}

static PFNGLMULTITEXENVIVEXTPROC
epoxy_glMultiTexEnvivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31202 /* glMultiTexEnvivEXT */);
}

static PFNGLMULTITEXGENDEXTPROC
epoxy_glMultiTexGendEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31221 /* glMultiTexGendEXT */);
}

static PFNGLMULTITEXGENDVEXTPROC
epoxy_glMultiTexGendvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31239 /* glMultiTexGendvEXT */);
}

static PFNGLMULTITEXGENFEXTPROC
epoxy_glMultiTexGenfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31258 /* glMultiTexGenfEXT */);
}

static PFNGLMULTITEXGENFVEXTPROC
epoxy_glMultiTexGenfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31276 /* glMultiTexGenfvEXT */);
}

static PFNGLMULTITEXGENIEXTPROC
epoxy_glMultiTexGeniEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31295 /* glMultiTexGeniEXT */);
}

static PFNGLMULTITEXGENIVEXTPROC
epoxy_glMultiTexGenivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31313 /* glMultiTexGenivEXT */);
}

static PFNGLMULTITEXIMAGE1DEXTPROC
epoxy_glMultiTexImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31332 /* glMultiTexImage1DEXT */);
}

static PFNGLMULTITEXIMAGE2DEXTPROC
epoxy_glMultiTexImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31353 /* glMultiTexImage2DEXT */);
}

static PFNGLMULTITEXIMAGE3DEXTPROC
epoxy_glMultiTexImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31374 /* glMultiTexImage3DEXT */);
}

static PFNGLMULTITEXPARAMETERIIVEXTPROC
epoxy_glMultiTexParameterIivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31395 /* glMultiTexParameterIivEXT */);
}

static PFNGLMULTITEXPARAMETERIUIVEXTPROC
epoxy_glMultiTexParameterIuivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31421 /* glMultiTexParameterIuivEXT */);
}

static PFNGLMULTITEXPARAMETERFEXTPROC
epoxy_glMultiTexParameterfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31448 /* glMultiTexParameterfEXT */);
}

static PFNGLMULTITEXPARAMETERFVEXTPROC
epoxy_glMultiTexParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31472 /* glMultiTexParameterfvEXT */);
}

static PFNGLMULTITEXPARAMETERIEXTPROC
epoxy_glMultiTexParameteriEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31497 /* glMultiTexParameteriEXT */);
}

static PFNGLMULTITEXPARAMETERIVEXTPROC
epoxy_glMultiTexParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31521 /* glMultiTexParameterivEXT */);
}

static PFNGLMULTITEXRENDERBUFFEREXTPROC
epoxy_glMultiTexRenderbufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31546 /* glMultiTexRenderbufferEXT */);
}

static PFNGLMULTITEXSUBIMAGE1DEXTPROC
epoxy_glMultiTexSubImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31572 /* glMultiTexSubImage1DEXT */);
}

static PFNGLMULTITEXSUBIMAGE2DEXTPROC
epoxy_glMultiTexSubImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31596 /* glMultiTexSubImage2DEXT */);
}

static PFNGLMULTITEXSUBIMAGE3DEXTPROC
epoxy_glMultiTexSubImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31620 /* glMultiTexSubImage3DEXT */);
}

static PFNGLNAMEDBUFFERDATAEXTPROC
epoxy_glNamedBufferDataEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31644 /* glNamedBufferDataEXT */);
}

static PFNGLNAMEDBUFFERSTORAGEEXTPROC
epoxy_glNamedBufferStorageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31665 /* glNamedBufferStorageEXT */);
}

static PFNGLNAMEDBUFFERSUBDATAEXTPROC
epoxy_glNamedBufferSubDataEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31689 /* glNamedBufferSubDataEXT */);
}

static PFNGLNAMEDCOPYBUFFERSUBDATAEXTPROC
epoxy_glNamedCopyBufferSubDataEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31713 /* glNamedCopyBufferSubDataEXT */);
}

static PFNGLNAMEDFRAMEBUFFERPARAMETERIEXTPROC
epoxy_glNamedFramebufferParameteriEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31741 /* glNamedFramebufferParameteriEXT */);
}

static PFNGLNAMEDFRAMEBUFFERRENDERBUFFEREXTPROC
epoxy_glNamedFramebufferRenderbufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31773 /* glNamedFramebufferRenderbufferEXT */);
}

static PFNGLNAMEDFRAMEBUFFERTEXTURE1DEXTPROC
epoxy_glNamedFramebufferTexture1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31807 /* glNamedFramebufferTexture1DEXT */);
}

static PFNGLNAMEDFRAMEBUFFERTEXTURE2DEXTPROC
epoxy_glNamedFramebufferTexture2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31838 /* glNamedFramebufferTexture2DEXT */);
}

static PFNGLNAMEDFRAMEBUFFERTEXTURE3DEXTPROC
epoxy_glNamedFramebufferTexture3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31869 /* glNamedFramebufferTexture3DEXT */);
}

static PFNGLNAMEDFRAMEBUFFERTEXTUREEXTPROC
epoxy_glNamedFramebufferTextureEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31900 /* glNamedFramebufferTextureEXT */);
}

static PFNGLNAMEDFRAMEBUFFERTEXTUREFACEEXTPROC
epoxy_glNamedFramebufferTextureFaceEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31929 /* glNamedFramebufferTextureFaceEXT */);
}

static PFNGLNAMEDFRAMEBUFFERTEXTURELAYEREXTPROC
epoxy_glNamedFramebufferTextureLayerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31962 /* glNamedFramebufferTextureLayerEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETER4DEXTPROC
epoxy_glNamedProgramLocalParameter4dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31996 /* glNamedProgramLocalParameter4dEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETER4DVEXTPROC
epoxy_glNamedProgramLocalParameter4dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32030 /* glNamedProgramLocalParameter4dvEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETER4FEXTPROC
epoxy_glNamedProgramLocalParameter4fEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32065 /* glNamedProgramLocalParameter4fEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETER4FVEXTPROC
epoxy_glNamedProgramLocalParameter4fvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32099 /* glNamedProgramLocalParameter4fvEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERI4IEXTPROC
epoxy_glNamedProgramLocalParameterI4iEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32134 /* glNamedProgramLocalParameterI4iEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERI4IVEXTPROC
epoxy_glNamedProgramLocalParameterI4ivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32169 /* glNamedProgramLocalParameterI4ivEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIEXTPROC
epoxy_glNamedProgramLocalParameterI4uiEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32205 /* glNamedProgramLocalParameterI4uiEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIVEXTPROC
epoxy_glNamedProgramLocalParameterI4uivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32241 /* glNamedProgramLocalParameterI4uivEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERS4FVEXTPROC
epoxy_glNamedProgramLocalParameters4fvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32278 /* glNamedProgramLocalParameters4fvEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERSI4IVEXTPROC
epoxy_glNamedProgramLocalParametersI4ivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32314 /* glNamedProgramLocalParametersI4ivEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERSI4UIVEXTPROC
epoxy_glNamedProgramLocalParametersI4uivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32351 /* glNamedProgramLocalParametersI4uivEXT */);
}

static PFNGLNAMEDPROGRAMSTRINGEXTPROC
epoxy_glNamedProgramStringEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32389 /* glNamedProgramStringEXT */);
}

static PFNGLNAMEDRENDERBUFFERSTORAGEEXTPROC
epoxy_glNamedRenderbufferStorageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32413 /* glNamedRenderbufferStorageEXT */);
}

static PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLECOVERAGEEXTPROC
epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32443 /* glNamedRenderbufferStorageMultisampleCoverageEXT */);
}

static PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC
epoxy_glNamedRenderbufferStorageMultisampleEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32492 /* glNamedRenderbufferStorageMultisampleEXT */);
}

static PFNGLNAMEDSTRINGARBPROC
epoxy_glNamedStringARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shading_language_include, 32533 /* glNamedStringARB */);
}

static PFNGLNEWLISTPROC
epoxy_glNewList_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32550 /* glNewList */);
}

static PFNGLNEWOBJECTBUFFERATIPROC
epoxy_glNewObjectBufferATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 32560 /* glNewObjectBufferATI */);
}

static PFNGLNORMAL3BPROC
epoxy_glNormal3b_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32581 /* glNormal3b */);
}

static PFNGLNORMAL3BVPROC
epoxy_glNormal3bv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32592 /* glNormal3bv */);
}

static PFNGLNORMAL3DPROC
epoxy_glNormal3d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32604 /* glNormal3d */);
}

static PFNGLNORMAL3DVPROC
epoxy_glNormal3dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32615 /* glNormal3dv */);
}

static PFNGLNORMAL3FPROC
epoxy_glNormal3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        32627 /* "glNormal3f" */,
        32627 /* "glNormal3f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 32627 /* "glNormal3f" */,
                                providers, entrypoints);
}

static PFNGLNORMAL3FVERTEX3FSUNPROC
epoxy_glNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 32638 /* glNormal3fVertex3fSUN */);
}

static PFNGLNORMAL3FVERTEX3FVSUNPROC
epoxy_glNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 32660 /* glNormal3fVertex3fvSUN */);
}

static PFNGLNORMAL3FVPROC
epoxy_glNormal3fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32683 /* glNormal3fv */);
}

static PFNGLNORMAL3HNVPROC
epoxy_glNormal3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 32695 /* glNormal3hNV */);
}

static PFNGLNORMAL3HVNVPROC
epoxy_glNormal3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 32708 /* glNormal3hvNV */);
}

static PFNGLNORMAL3IPROC
epoxy_glNormal3i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32722 /* glNormal3i */);
}

static PFNGLNORMAL3IVPROC
epoxy_glNormal3iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32733 /* glNormal3iv */);
}

static PFNGLNORMAL3SPROC
epoxy_glNormal3s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32745 /* glNormal3s */);
}

static PFNGLNORMAL3SVPROC
epoxy_glNormal3sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32756 /* glNormal3sv */);
}

static PFNGLNORMAL3XPROC
epoxy_glNormal3x_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 32768 /* glNormal3x */);
}

static PFNGLNORMAL3XOESPROC
epoxy_glNormal3xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 32779 /* glNormal3xOES */);
}

static PFNGLNORMAL3XVOESPROC
epoxy_glNormal3xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 32793 /* glNormal3xvOES */);
}

static PFNGLNORMALFORMATNVPROC
epoxy_glNormalFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 32808 /* glNormalFormatNV */);
}

static PFNGLNORMALP3UIPROC
epoxy_glNormalP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        32825 /* "glNormalP3ui" */,
        32825 /* "glNormalP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 32825 /* "glNormalP3ui" */,
                                providers, entrypoints);
}

static PFNGLNORMALP3UIVPROC
epoxy_glNormalP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        32838 /* "glNormalP3uiv" */,
        32838 /* "glNormalP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 32838 /* "glNormalP3uiv" */,
                                providers, entrypoints);
}

static PFNGLNORMALPOINTERPROC
epoxy_glNormalPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        32852 /* "glNormalPointer" */,
        32852 /* "glNormalPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 32852 /* "glNormalPointer" */,
                                providers, entrypoints);
}

static PFNGLNORMALPOINTEREXTPROC
epoxy_glNormalPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_array, 32868 /* glNormalPointerEXT */);
}

static PFNGLNORMALPOINTERLISTIBMPROC
epoxy_glNormalPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 32887 /* glNormalPointerListIBM */);
}

static PFNGLNORMALPOINTERVINTELPROC
epoxy_glNormalPointervINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_parallel_arrays, 32910 /* glNormalPointervINTEL */);
}

static PFNGLNORMALSTREAM3BATIPROC
epoxy_glNormalStream3bATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 32932 /* glNormalStream3bATI */);
}

static PFNGLNORMALSTREAM3BVATIPROC
epoxy_glNormalStream3bvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 32952 /* glNormalStream3bvATI */);
}

static PFNGLNORMALSTREAM3DATIPROC
epoxy_glNormalStream3dATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 32973 /* glNormalStream3dATI */);
}

static PFNGLNORMALSTREAM3DVATIPROC
epoxy_glNormalStream3dvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 32993 /* glNormalStream3dvATI */);
}

static PFNGLNORMALSTREAM3FATIPROC
epoxy_glNormalStream3fATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33014 /* glNormalStream3fATI */);
}

static PFNGLNORMALSTREAM3FVATIPROC
epoxy_glNormalStream3fvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33034 /* glNormalStream3fvATI */);
}

static PFNGLNORMALSTREAM3IATIPROC
epoxy_glNormalStream3iATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33055 /* glNormalStream3iATI */);
}

static PFNGLNORMALSTREAM3IVATIPROC
epoxy_glNormalStream3ivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33075 /* glNormalStream3ivATI */);
}

static PFNGLNORMALSTREAM3SATIPROC
epoxy_glNormalStream3sATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33096 /* glNormalStream3sATI */);
}

static PFNGLNORMALSTREAM3SVATIPROC
epoxy_glNormalStream3svATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33116 /* glNormalStream3svATI */);
}

static PFNGLOBJECTLABELPROC
epoxy_glObjectLabel_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33137 /* "glObjectLabel" */,
        33137 /* "glObjectLabel" */,
        33151 /* "glObjectLabelKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33137 /* "glObjectLabel" */,
                                providers, entrypoints);
}

static PFNGLOBJECTPTRLABELPROC
epoxy_glObjectPtrLabel_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33168 /* "glObjectPtrLabel" */,
        33168 /* "glObjectPtrLabel" */,
        33185 /* "glObjectPtrLabelKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33168 /* "glObjectPtrLabel" */,
                                providers, entrypoints);
}

static PFNGLOBJECTPURGEABLEAPPLEPROC
epoxy_glObjectPurgeableAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_object_purgeable, 33205 /* glObjectPurgeableAPPLE */);
}

static PFNGLOBJECTUNPURGEABLEAPPLEPROC
epoxy_glObjectUnpurgeableAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_object_purgeable, 33228 /* glObjectUnpurgeableAPPLE */);
}

static PFNGLORTHOPROC
epoxy_glOrtho_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 33253 /* glOrtho */);
}

static PFNGLORTHOFPROC
epoxy_glOrthof_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 33261 /* glOrthof */);
}

static PFNGLORTHOFOESPROC
epoxy_glOrthofOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_single_precision, 33270 /* glOrthofOES */);
}

static PFNGLORTHOXPROC
epoxy_glOrthox_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 33282 /* glOrthox */);
}

static PFNGLORTHOXOESPROC
epoxy_glOrthoxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 33291 /* glOrthoxOES */);
}

static PFNGLPNTRIANGLESFATIPROC
epoxy_glPNTrianglesfATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_pn_triangles, 33303 /* glPNTrianglesfATI */);
}

static PFNGLPNTRIANGLESIATIPROC
epoxy_glPNTrianglesiATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_pn_triangles, 33321 /* glPNTrianglesiATI */);
}

static PFNGLPASSTEXCOORDATIPROC
epoxy_glPassTexCoordATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 33339 /* glPassTexCoordATI */);
}

static PFNGLPASSTHROUGHPROC
epoxy_glPassThrough_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 33357 /* glPassThrough */);
}

static PFNGLPASSTHROUGHXOESPROC
epoxy_glPassThroughxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 33371 /* glPassThroughxOES */);
}

static PFNGLPATCHPARAMETERFVPROC
epoxy_glPatchParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_tessellation_shader,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33389 /* "glPatchParameterfv" */,
        33389 /* "glPatchParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33389 /* "glPatchParameterfv" */,
                                providers, entrypoints);
}

static PFNGLPATCHPARAMETERIPROC
epoxy_glPatchParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_tessellation_shader,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33408 /* "glPatchParameteri" */,
        33408 /* "glPatchParameteri" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33408 /* "glPatchParameteri" */,
                                providers, entrypoints);
}

static PFNGLPATHCOLORGENNVPROC
epoxy_glPathColorGenNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33426 /* glPathColorGenNV */);
}

static PFNGLPATHCOMMANDSNVPROC
epoxy_glPathCommandsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33443 /* glPathCommandsNV */);
}

static PFNGLPATHCOORDSNVPROC
epoxy_glPathCoordsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33460 /* glPathCoordsNV */);
}

static PFNGLPATHCOVERDEPTHFUNCNVPROC
epoxy_glPathCoverDepthFuncNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33475 /* glPathCoverDepthFuncNV */);
}

static PFNGLPATHDASHARRAYNVPROC
epoxy_glPathDashArrayNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33498 /* glPathDashArrayNV */);
}

static PFNGLPATHFOGGENNVPROC
epoxy_glPathFogGenNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33516 /* glPathFogGenNV */);
}

static PFNGLPATHGLYPHRANGENVPROC
epoxy_glPathGlyphRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33531 /* glPathGlyphRangeNV */);
}

static PFNGLPATHGLYPHSNVPROC
epoxy_glPathGlyphsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33550 /* glPathGlyphsNV */);
}

static PFNGLPATHPARAMETERFNVPROC
epoxy_glPathParameterfNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33565 /* glPathParameterfNV */);
}

static PFNGLPATHPARAMETERFVNVPROC
epoxy_glPathParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33584 /* glPathParameterfvNV */);
}

static PFNGLPATHPARAMETERINVPROC
epoxy_glPathParameteriNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33604 /* glPathParameteriNV */);
}

static PFNGLPATHPARAMETERIVNVPROC
epoxy_glPathParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33623 /* glPathParameterivNV */);
}

static PFNGLPATHSTENCILDEPTHOFFSETNVPROC
epoxy_glPathStencilDepthOffsetNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33643 /* glPathStencilDepthOffsetNV */);
}

static PFNGLPATHSTENCILFUNCNVPROC
epoxy_glPathStencilFuncNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33670 /* glPathStencilFuncNV */);
}

static PFNGLPATHSTRINGNVPROC
epoxy_glPathStringNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33690 /* glPathStringNV */);
}

static PFNGLPATHSUBCOMMANDSNVPROC
epoxy_glPathSubCommandsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33705 /* glPathSubCommandsNV */);
}

static PFNGLPATHSUBCOORDSNVPROC
epoxy_glPathSubCoordsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33725 /* glPathSubCoordsNV */);
}

static PFNGLPATHTEXGENNVPROC
epoxy_glPathTexGenNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33743 /* glPathTexGenNV */);
}

static PFNGLPAUSETRANSFORMFEEDBACKPROC
epoxy_glPauseTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback2,
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_0,
        GL_extension_GL_NV_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33758 /* "glPauseTransformFeedback" */,
        33758 /* "glPauseTransformFeedback" */,
        33758 /* "glPauseTransformFeedback" */,
        33783 /* "glPauseTransformFeedbackNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33758 /* "glPauseTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLPIXELDATARANGENVPROC
epoxy_glPixelDataRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_pixel_data_range, 33810 /* glPixelDataRangeNV */);
}

static PFNGLPIXELMAPFVPROC
epoxy_glPixelMapfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 33829 /* glPixelMapfv */);
}

static PFNGLPIXELMAPUIVPROC
epoxy_glPixelMapuiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 33842 /* glPixelMapuiv */);
}

static PFNGLPIXELMAPUSVPROC
epoxy_glPixelMapusv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 33856 /* glPixelMapusv */);
}

static PFNGLPIXELMAPXPROC
epoxy_glPixelMapx_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 33870 /* glPixelMapx */);
}

static PFNGLPIXELSTOREFPROC
epoxy_glPixelStoref_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 33882 /* glPixelStoref */);
}

static PFNGLPIXELSTOREIPROC
epoxy_glPixelStorei_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33896 /* "glPixelStorei" */,
        33896 /* "glPixelStorei" */,
        33896 /* "glPixelStorei" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33896 /* "glPixelStorei" */,
                                providers, entrypoints);
}

static PFNGLPIXELSTOREXPROC
epoxy_glPixelStorex_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 33910 /* glPixelStorex */);
}

static PFNGLPIXELTEXGENPARAMETERFSGISPROC
epoxy_glPixelTexGenParameterfSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_pixel_texture, 33924 /* glPixelTexGenParameterfSGIS */);
}

static PFNGLPIXELTEXGENPARAMETERFVSGISPROC
epoxy_glPixelTexGenParameterfvSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_pixel_texture, 33952 /* glPixelTexGenParameterfvSGIS */);
}

static PFNGLPIXELTEXGENPARAMETERISGISPROC
epoxy_glPixelTexGenParameteriSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_pixel_texture, 33981 /* glPixelTexGenParameteriSGIS */);
}

static PFNGLPIXELTEXGENPARAMETERIVSGISPROC
epoxy_glPixelTexGenParameterivSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_pixel_texture, 34009 /* glPixelTexGenParameterivSGIS */);
}

static PFNGLPIXELTEXGENSGIXPROC
epoxy_glPixelTexGenSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_pixel_texture, 34038 /* glPixelTexGenSGIX */);
}

static PFNGLPIXELTRANSFERFPROC
epoxy_glPixelTransferf_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34056 /* glPixelTransferf */);
}

static PFNGLPIXELTRANSFERIPROC
epoxy_glPixelTransferi_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34073 /* glPixelTransferi */);
}

static PFNGLPIXELTRANSFERXOESPROC
epoxy_glPixelTransferxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 34090 /* glPixelTransferxOES */);
}

static PFNGLPIXELTRANSFORMPARAMETERFEXTPROC
epoxy_glPixelTransformParameterfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_pixel_transform, 34110 /* glPixelTransformParameterfEXT */);
}

static PFNGLPIXELTRANSFORMPARAMETERFVEXTPROC
epoxy_glPixelTransformParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_pixel_transform, 34140 /* glPixelTransformParameterfvEXT */);
}

static PFNGLPIXELTRANSFORMPARAMETERIEXTPROC
epoxy_glPixelTransformParameteriEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_pixel_transform, 34171 /* glPixelTransformParameteriEXT */);
}

static PFNGLPIXELTRANSFORMPARAMETERIVEXTPROC
epoxy_glPixelTransformParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_pixel_transform, 34201 /* glPixelTransformParameterivEXT */);
}

static PFNGLPIXELZOOMPROC
epoxy_glPixelZoom_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34232 /* glPixelZoom */);
}

static PFNGLPIXELZOOMXOESPROC
epoxy_glPixelZoomxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 34244 /* glPixelZoomxOES */);
}

static PFNGLPOINTALONGPATHNVPROC
epoxy_glPointAlongPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 34260 /* glPointAlongPathNV */);
}

static PFNGLPOINTPARAMETERFPROC
epoxy_glPointParameterf_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_4,
        GL_extension_GL_SGIS_point_parameters,
        GL_extension_GL_EXT_point_parameters,
        GL_extension_GL_ARB_point_parameters,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34279 /* "glPointParameterf" */,
        34279 /* "glPointParameterf" */,
        34339 /* "glPointParameterfSGIS" */,
        34318 /* "glPointParameterfEXT" */,
        34297 /* "glPointParameterfARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34279 /* "glPointParameterf" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERFVPROC
epoxy_glPointParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_point_parameters,
        GL_extension_GL_EXT_point_parameters,
        GL_extension_GL_SGIS_point_parameters,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34361 /* "glPointParameterfv" */,
        34361 /* "glPointParameterfv" */,
        34380 /* "glPointParameterfvARB" */,
        34402 /* "glPointParameterfvEXT" */,
        34424 /* "glPointParameterfvSGIS" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34361 /* "glPointParameterfv" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERIPROC
epoxy_glPointParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_NV_point_sprite,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34447 /* "glPointParameteri" */,
        34465 /* "glPointParameteriNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34447 /* "glPointParameteri" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERIVPROC
epoxy_glPointParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_NV_point_sprite,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34485 /* "glPointParameteriv" */,
        34504 /* "glPointParameterivNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34485 /* "glPointParameteriv" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERXPROC
epoxy_glPointParameterx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 34525 /* glPointParameterx */);
}

static PFNGLPOINTPARAMETERXOESPROC
epoxy_glPointParameterxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 34543 /* glPointParameterxOES */);
}

static PFNGLPOINTPARAMETERXVPROC
epoxy_glPointParameterxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 34564 /* glPointParameterxv */);
}

static PFNGLPOINTPARAMETERXVOESPROC
epoxy_glPointParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 34583 /* glPointParameterxvOES */);
}

static PFNGLPOINTSIZEPROC
epoxy_glPointSize_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34605 /* "glPointSize" */,
        34605 /* "glPointSize" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34605 /* "glPointSize" */,
                                providers, entrypoints);
}

static PFNGLPOINTSIZEPOINTEROESPROC
epoxy_glPointSizePointerOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_point_size_array, 34617 /* glPointSizePointerOES */);
}

static PFNGLPOINTSIZEXPROC
epoxy_glPointSizex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 34639 /* glPointSizex */);
}

static PFNGLPOINTSIZEXOESPROC
epoxy_glPointSizexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 34652 /* glPointSizexOES */);
}

static PFNGLPOLLASYNCSGIXPROC
epoxy_glPollAsyncSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_async, 34668 /* glPollAsyncSGIX */);
}

static PFNGLPOLLINSTRUMENTSSGIXPROC
epoxy_glPollInstrumentsSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_instruments, 34684 /* glPollInstrumentsSGIX */);
}

static PFNGLPOLYGONMODEPROC
epoxy_glPolygonMode_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34706 /* glPolygonMode */);
}

static PFNGLPOLYGONOFFSETPROC
epoxy_glPolygonOffset_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34720 /* "glPolygonOffset" */,
        34720 /* "glPolygonOffset" */,
        34720 /* "glPolygonOffset" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34720 /* "glPolygonOffset" */,
                                providers, entrypoints);
}

static PFNGLPOLYGONOFFSETEXTPROC
epoxy_glPolygonOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_polygon_offset, 34736 /* glPolygonOffsetEXT */);
}

static PFNGLPOLYGONOFFSETXPROC
epoxy_glPolygonOffsetx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 34755 /* glPolygonOffsetx */);
}

static PFNGLPOLYGONOFFSETXOESPROC
epoxy_glPolygonOffsetxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 34772 /* glPolygonOffsetxOES */);
}

static PFNGLPOLYGONSTIPPLEPROC
epoxy_glPolygonStipple_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34792 /* glPolygonStipple */);
}

static PFNGLPOPATTRIBPROC
epoxy_glPopAttrib_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34809 /* glPopAttrib */);
}

static PFNGLPOPCLIENTATTRIBPROC
epoxy_glPopClientAttrib_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 34821 /* glPopClientAttrib */);
}

static PFNGLPOPDEBUGGROUPPROC
epoxy_glPopDebugGroup_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34839 /* "glPopDebugGroup" */,
        34839 /* "glPopDebugGroup" */,
        34855 /* "glPopDebugGroupKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34839 /* "glPopDebugGroup" */,
                                providers, entrypoints);
}

static PFNGLPOPGROUPMARKEREXTPROC
epoxy_glPopGroupMarkerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_debug_marker, 34874 /* glPopGroupMarkerEXT */);
}

static PFNGLPOPMATRIXPROC
epoxy_glPopMatrix_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34894 /* "glPopMatrix" */,
        34894 /* "glPopMatrix" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34894 /* "glPopMatrix" */,
                                providers, entrypoints);
}

static PFNGLPOPNAMEPROC
epoxy_glPopName_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34906 /* glPopName */);
}

static PFNGLPRESENTFRAMEDUALFILLNVPROC
epoxy_glPresentFrameDualFillNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_present_video, 34916 /* glPresentFrameDualFillNV */);
}

static PFNGLPRESENTFRAMEKEYEDNVPROC
epoxy_glPresentFrameKeyedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_present_video, 34941 /* glPresentFrameKeyedNV */);
}

static PFNGLPRIMITIVERESTARTINDEXPROC
epoxy_glPrimitiveRestartIndex_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_3_1, 34963 /* glPrimitiveRestartIndex */);
}

static PFNGLPRIMITIVERESTARTINDEXNVPROC
epoxy_glPrimitiveRestartIndexNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_primitive_restart, 34987 /* glPrimitiveRestartIndexNV */);
}

static PFNGLPRIMITIVERESTARTNVPROC
epoxy_glPrimitiveRestartNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_primitive_restart, 35013 /* glPrimitiveRestartNV */);
}

static PFNGLPRIORITIZETEXTURESPROC
epoxy_glPrioritizeTextures_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_texture_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35034 /* "glPrioritizeTextures" */,
        35055 /* "glPrioritizeTexturesEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35034 /* "glPrioritizeTextures" */,
                                providers, entrypoints);
}

static PFNGLPRIORITIZETEXTURESXOESPROC
epoxy_glPrioritizeTexturesxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 35079 /* glPrioritizeTexturesxOES */);
}

static PFNGLPROGRAMBINARYPROC
epoxy_glProgramBinary_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_get_program_binary,
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_1,
        GL_extension_GL_OES_get_program_binary,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35104 /* "glProgramBinary" */,
        35104 /* "glProgramBinary" */,
        35104 /* "glProgramBinary" */,
        35120 /* "glProgramBinaryOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35104 /* "glProgramBinary" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMBUFFERPARAMETERSIIVNVPROC
epoxy_glProgramBufferParametersIivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_parameter_buffer_object, 35139 /* glProgramBufferParametersIivNV */);
}

static PFNGLPROGRAMBUFFERPARAMETERSIUIVNVPROC
epoxy_glProgramBufferParametersIuivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_parameter_buffer_object, 35170 /* glProgramBufferParametersIuivNV */);
}

static PFNGLPROGRAMBUFFERPARAMETERSFVNVPROC
epoxy_glProgramBufferParametersfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_parameter_buffer_object, 35202 /* glProgramBufferParametersfvNV */);
}

static PFNGLPROGRAMENVPARAMETER4DARBPROC
epoxy_glProgramEnvParameter4dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35232 /* "glProgramEnvParameter4dARB" */,
        35232 /* "glProgramEnvParameter4dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35232 /* "glProgramEnvParameter4dARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMENVPARAMETER4DVARBPROC
epoxy_glProgramEnvParameter4dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35259 /* "glProgramEnvParameter4dvARB" */,
        35259 /* "glProgramEnvParameter4dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35259 /* "glProgramEnvParameter4dvARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMENVPARAMETER4FARBPROC
epoxy_glProgramEnvParameter4fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35287 /* "glProgramEnvParameter4fARB" */,
        35287 /* "glProgramEnvParameter4fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35287 /* "glProgramEnvParameter4fARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMENVPARAMETER4FVARBPROC
epoxy_glProgramEnvParameter4fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35314 /* "glProgramEnvParameter4fvARB" */,
        35314 /* "glProgramEnvParameter4fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35314 /* "glProgramEnvParameter4fvARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMENVPARAMETERI4INVPROC
epoxy_glProgramEnvParameterI4iNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35342 /* glProgramEnvParameterI4iNV */);
}

static PFNGLPROGRAMENVPARAMETERI4IVNVPROC
epoxy_glProgramEnvParameterI4ivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35369 /* glProgramEnvParameterI4ivNV */);
}

static PFNGLPROGRAMENVPARAMETERI4UINVPROC
epoxy_glProgramEnvParameterI4uiNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35397 /* glProgramEnvParameterI4uiNV */);
}

static PFNGLPROGRAMENVPARAMETERI4UIVNVPROC
epoxy_glProgramEnvParameterI4uivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35425 /* glProgramEnvParameterI4uivNV */);
}

static PFNGLPROGRAMENVPARAMETERS4FVEXTPROC
epoxy_glProgramEnvParameters4fvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_gpu_program_parameters, 35454 /* glProgramEnvParameters4fvEXT */);
}

static PFNGLPROGRAMENVPARAMETERSI4IVNVPROC
epoxy_glProgramEnvParametersI4ivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35483 /* glProgramEnvParametersI4ivNV */);
}

static PFNGLPROGRAMENVPARAMETERSI4UIVNVPROC
epoxy_glProgramEnvParametersI4uivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35512 /* glProgramEnvParametersI4uivNV */);
}

static PFNGLPROGRAMLOCALPARAMETER4DARBPROC
epoxy_glProgramLocalParameter4dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35542 /* "glProgramLocalParameter4dARB" */,
        35542 /* "glProgramLocalParameter4dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35542 /* "glProgramLocalParameter4dARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMLOCALPARAMETER4DVARBPROC
epoxy_glProgramLocalParameter4dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35571 /* "glProgramLocalParameter4dvARB" */,
        35571 /* "glProgramLocalParameter4dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35571 /* "glProgramLocalParameter4dvARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMLOCALPARAMETER4FARBPROC
epoxy_glProgramLocalParameter4fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35601 /* "glProgramLocalParameter4fARB" */,
        35601 /* "glProgramLocalParameter4fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35601 /* "glProgramLocalParameter4fARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMLOCALPARAMETER4FVARBPROC
epoxy_glProgramLocalParameter4fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35630 /* "glProgramLocalParameter4fvARB" */,
        35630 /* "glProgramLocalParameter4fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35630 /* "glProgramLocalParameter4fvARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMLOCALPARAMETERI4INVPROC
epoxy_glProgramLocalParameterI4iNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35660 /* glProgramLocalParameterI4iNV */);
}

static PFNGLPROGRAMLOCALPARAMETERI4IVNVPROC
epoxy_glProgramLocalParameterI4ivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35689 /* glProgramLocalParameterI4ivNV */);
}

static PFNGLPROGRAMLOCALPARAMETERI4UINVPROC
epoxy_glProgramLocalParameterI4uiNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35719 /* glProgramLocalParameterI4uiNV */);
}

static PFNGLPROGRAMLOCALPARAMETERI4UIVNVPROC
epoxy_glProgramLocalParameterI4uivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35749 /* glProgramLocalParameterI4uivNV */);
}

static PFNGLPROGRAMLOCALPARAMETERS4FVEXTPROC
epoxy_glProgramLocalParameters4fvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_gpu_program_parameters, 35780 /* glProgramLocalParameters4fvEXT */);
}

static PFNGLPROGRAMLOCALPARAMETERSI4IVNVPROC
epoxy_glProgramLocalParametersI4ivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35811 /* glProgramLocalParametersI4ivNV */);
}

static PFNGLPROGRAMLOCALPARAMETERSI4UIVNVPROC
epoxy_glProgramLocalParametersI4uivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35842 /* glProgramLocalParametersI4uivNV */);
}

static PFNGLPROGRAMNAMEDPARAMETER4DNVPROC
epoxy_glProgramNamedParameter4dNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fragment_program, 35874 /* glProgramNamedParameter4dNV */);
}

static PFNGLPROGRAMNAMEDPARAMETER4DVNVPROC
epoxy_glProgramNamedParameter4dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fragment_program, 35902 /* glProgramNamedParameter4dvNV */);
}

static PFNGLPROGRAMNAMEDPARAMETER4FNVPROC
epoxy_glProgramNamedParameter4fNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fragment_program, 35931 /* glProgramNamedParameter4fNV */);
}

static PFNGLPROGRAMNAMEDPARAMETER4FVNVPROC
epoxy_glProgramNamedParameter4fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fragment_program, 35959 /* glProgramNamedParameter4fvNV */);
}

static PFNGLPROGRAMPARAMETER4DNVPROC
epoxy_glProgramParameter4dNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 35988 /* glProgramParameter4dNV */);
}

static PFNGLPROGRAMPARAMETER4DVNVPROC
epoxy_glProgramParameter4dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 36011 /* glProgramParameter4dvNV */);
}

static PFNGLPROGRAMPARAMETER4FNVPROC
epoxy_glProgramParameter4fNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 36035 /* glProgramParameter4fNV */);
}

static PFNGLPROGRAMPARAMETER4FVNVPROC
epoxy_glProgramParameter4fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 36058 /* glProgramParameter4fvNV */);
}

static PFNGLPROGRAMPARAMETERIPROC
epoxy_glProgramParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_get_program_binary,
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_geometry_shader4,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_ARB_geometry_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36082 /* "glProgramParameteri" */,
        36082 /* "glProgramParameteri" */,
        36082 /* "glProgramParameteri" */,
        36125 /* "glProgramParameteriEXT" */,
        36125 /* "glProgramParameteriEXT" */,
        36102 /* "glProgramParameteriARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36082 /* "glProgramParameteri" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMPARAMETERS4DVNVPROC
epoxy_glProgramParameters4dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 36148 /* glProgramParameters4dvNV */);
}

static PFNGLPROGRAMPARAMETERS4FVNVPROC
epoxy_glProgramParameters4fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 36173 /* glProgramParameters4fvNV */);
}

static PFNGLPROGRAMSTRINGARBPROC
epoxy_glProgramStringARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36198 /* "glProgramStringARB" */,
        36198 /* "glProgramStringARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36198 /* "glProgramStringARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMSUBROUTINEPARAMETERSUIVNVPROC
epoxy_glProgramSubroutineParametersuivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program5, 36217 /* glProgramSubroutineParametersuivNV */);
}

static PFNGLPROGRAMUNIFORM1DPROC
epoxy_glProgramUniform1d_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36252 /* "glProgramUniform1d" */,
        36252 /* "glProgramUniform1d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36252 /* "glProgramUniform1d" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1DEXTPROC
epoxy_glProgramUniform1dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 36271 /* glProgramUniform1dEXT */);
}

static PFNGLPROGRAMUNIFORM1DVPROC
epoxy_glProgramUniform1dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36293 /* "glProgramUniform1dv" */,
        36293 /* "glProgramUniform1dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36293 /* "glProgramUniform1dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1DVEXTPROC
epoxy_glProgramUniform1dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 36313 /* glProgramUniform1dvEXT */);
}

static PFNGLPROGRAMUNIFORM1FPROC
epoxy_glProgramUniform1f_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36336 /* "glProgramUniform1f" */,
        36336 /* "glProgramUniform1f" */,
        36355 /* "glProgramUniform1fEXT" */,
        36355 /* "glProgramUniform1fEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36336 /* "glProgramUniform1f" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1FVPROC
epoxy_glProgramUniform1fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36377 /* "glProgramUniform1fv" */,
        36377 /* "glProgramUniform1fv" */,
        36397 /* "glProgramUniform1fvEXT" */,
        36397 /* "glProgramUniform1fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36377 /* "glProgramUniform1fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1IPROC
epoxy_glProgramUniform1i_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36420 /* "glProgramUniform1i" */,
        36420 /* "glProgramUniform1i" */,
        36486 /* "glProgramUniform1iEXT" */,
        36486 /* "glProgramUniform1iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36420 /* "glProgramUniform1i" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1I64NVPROC
epoxy_glProgramUniform1i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 36439 /* glProgramUniform1i64NV */);
}

static PFNGLPROGRAMUNIFORM1I64VNVPROC
epoxy_glProgramUniform1i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 36462 /* glProgramUniform1i64vNV */);
}

static PFNGLPROGRAMUNIFORM1IVPROC
epoxy_glProgramUniform1iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36508 /* "glProgramUniform1iv" */,
        36508 /* "glProgramUniform1iv" */,
        36528 /* "glProgramUniform1ivEXT" */,
        36528 /* "glProgramUniform1ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36508 /* "glProgramUniform1iv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1UIPROC
epoxy_glProgramUniform1ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36551 /* "glProgramUniform1ui" */,
        36551 /* "glProgramUniform1ui" */,
        36620 /* "glProgramUniform1uiEXT" */,
        36620 /* "glProgramUniform1uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36551 /* "glProgramUniform1ui" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1UI64NVPROC
epoxy_glProgramUniform1ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 36571 /* glProgramUniform1ui64NV */);
}

static PFNGLPROGRAMUNIFORM1UI64VNVPROC
epoxy_glProgramUniform1ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 36595 /* glProgramUniform1ui64vNV */);
}

static PFNGLPROGRAMUNIFORM1UIVPROC
epoxy_glProgramUniform1uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36643 /* "glProgramUniform1uiv" */,
        36643 /* "glProgramUniform1uiv" */,
        36664 /* "glProgramUniform1uivEXT" */,
        36664 /* "glProgramUniform1uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36643 /* "glProgramUniform1uiv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2DPROC
epoxy_glProgramUniform2d_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36688 /* "glProgramUniform2d" */,
        36688 /* "glProgramUniform2d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36688 /* "glProgramUniform2d" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2DEXTPROC
epoxy_glProgramUniform2dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 36707 /* glProgramUniform2dEXT */);
}

static PFNGLPROGRAMUNIFORM2DVPROC
epoxy_glProgramUniform2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36729 /* "glProgramUniform2dv" */,
        36729 /* "glProgramUniform2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36729 /* "glProgramUniform2dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2DVEXTPROC
epoxy_glProgramUniform2dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 36749 /* glProgramUniform2dvEXT */);
}

static PFNGLPROGRAMUNIFORM2FPROC
epoxy_glProgramUniform2f_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36772 /* "glProgramUniform2f" */,
        36772 /* "glProgramUniform2f" */,
        36791 /* "glProgramUniform2fEXT" */,
        36791 /* "glProgramUniform2fEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36772 /* "glProgramUniform2f" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2FVPROC
epoxy_glProgramUniform2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36813 /* "glProgramUniform2fv" */,
        36813 /* "glProgramUniform2fv" */,
        36833 /* "glProgramUniform2fvEXT" */,
        36833 /* "glProgramUniform2fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36813 /* "glProgramUniform2fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2IPROC
epoxy_glProgramUniform2i_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36856 /* "glProgramUniform2i" */,
        36856 /* "glProgramUniform2i" */,
        36922 /* "glProgramUniform2iEXT" */,
        36922 /* "glProgramUniform2iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36856 /* "glProgramUniform2i" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2I64NVPROC
epoxy_glProgramUniform2i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 36875 /* glProgramUniform2i64NV */);
}

static PFNGLPROGRAMUNIFORM2I64VNVPROC
epoxy_glProgramUniform2i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 36898 /* glProgramUniform2i64vNV */);
}

static PFNGLPROGRAMUNIFORM2IVPROC
epoxy_glProgramUniform2iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36944 /* "glProgramUniform2iv" */,
        36944 /* "glProgramUniform2iv" */,
        36964 /* "glProgramUniform2ivEXT" */,
        36964 /* "glProgramUniform2ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36944 /* "glProgramUniform2iv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2UIPROC
epoxy_glProgramUniform2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36987 /* "glProgramUniform2ui" */,
        36987 /* "glProgramUniform2ui" */,
        37056 /* "glProgramUniform2uiEXT" */,
        37056 /* "glProgramUniform2uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36987 /* "glProgramUniform2ui" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2UI64NVPROC
epoxy_glProgramUniform2ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 37007 /* glProgramUniform2ui64NV */);
}

static PFNGLPROGRAMUNIFORM2UI64VNVPROC
epoxy_glProgramUniform2ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 37031 /* glProgramUniform2ui64vNV */);
}

static PFNGLPROGRAMUNIFORM2UIVPROC
epoxy_glProgramUniform2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37079 /* "glProgramUniform2uiv" */,
        37079 /* "glProgramUniform2uiv" */,
        37100 /* "glProgramUniform2uivEXT" */,
        37100 /* "glProgramUniform2uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37079 /* "glProgramUniform2uiv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3DPROC
epoxy_glProgramUniform3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37124 /* "glProgramUniform3d" */,
        37124 /* "glProgramUniform3d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37124 /* "glProgramUniform3d" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3DEXTPROC
epoxy_glProgramUniform3dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 37143 /* glProgramUniform3dEXT */);
}

static PFNGLPROGRAMUNIFORM3DVPROC
epoxy_glProgramUniform3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37165 /* "glProgramUniform3dv" */,
        37165 /* "glProgramUniform3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37165 /* "glProgramUniform3dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3DVEXTPROC
epoxy_glProgramUniform3dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 37185 /* glProgramUniform3dvEXT */);
}

static PFNGLPROGRAMUNIFORM3FPROC
epoxy_glProgramUniform3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37208 /* "glProgramUniform3f" */,
        37208 /* "glProgramUniform3f" */,
        37227 /* "glProgramUniform3fEXT" */,
        37227 /* "glProgramUniform3fEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37208 /* "glProgramUniform3f" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3FVPROC
epoxy_glProgramUniform3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37249 /* "glProgramUniform3fv" */,
        37249 /* "glProgramUniform3fv" */,
        37269 /* "glProgramUniform3fvEXT" */,
        37269 /* "glProgramUniform3fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37249 /* "glProgramUniform3fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3IPROC
epoxy_glProgramUniform3i_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37292 /* "glProgramUniform3i" */,
        37292 /* "glProgramUniform3i" */,
        37358 /* "glProgramUniform3iEXT" */,
        37358 /* "glProgramUniform3iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37292 /* "glProgramUniform3i" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3I64NVPROC
epoxy_glProgramUniform3i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 37311 /* glProgramUniform3i64NV */);
}

static PFNGLPROGRAMUNIFORM3I64VNVPROC
epoxy_glProgramUniform3i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 37334 /* glProgramUniform3i64vNV */);
}

static PFNGLPROGRAMUNIFORM3IVPROC
epoxy_glProgramUniform3iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37380 /* "glProgramUniform3iv" */,
        37380 /* "glProgramUniform3iv" */,
        37400 /* "glProgramUniform3ivEXT" */,
        37400 /* "glProgramUniform3ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37380 /* "glProgramUniform3iv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3UIPROC
epoxy_glProgramUniform3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37423 /* "glProgramUniform3ui" */,
        37423 /* "glProgramUniform3ui" */,
        37492 /* "glProgramUniform3uiEXT" */,
        37492 /* "glProgramUniform3uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37423 /* "glProgramUniform3ui" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3UI64NVPROC
epoxy_glProgramUniform3ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 37443 /* glProgramUniform3ui64NV */);
}

static PFNGLPROGRAMUNIFORM3UI64VNVPROC
epoxy_glProgramUniform3ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 37467 /* glProgramUniform3ui64vNV */);
}

static PFNGLPROGRAMUNIFORM3UIVPROC
epoxy_glProgramUniform3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37515 /* "glProgramUniform3uiv" */,
        37515 /* "glProgramUniform3uiv" */,
        37536 /* "glProgramUniform3uivEXT" */,
        37536 /* "glProgramUniform3uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37515 /* "glProgramUniform3uiv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4DPROC
epoxy_glProgramUniform4d_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37560 /* "glProgramUniform4d" */,
        37560 /* "glProgramUniform4d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37560 /* "glProgramUniform4d" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4DEXTPROC
epoxy_glProgramUniform4dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 37579 /* glProgramUniform4dEXT */);
}

static PFNGLPROGRAMUNIFORM4DVPROC
epoxy_glProgramUniform4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37601 /* "glProgramUniform4dv" */,
        37601 /* "glProgramUniform4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37601 /* "glProgramUniform4dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4DVEXTPROC
epoxy_glProgramUniform4dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 37621 /* glProgramUniform4dvEXT */);
}

static PFNGLPROGRAMUNIFORM4FPROC
epoxy_glProgramUniform4f_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37644 /* "glProgramUniform4f" */,
        37644 /* "glProgramUniform4f" */,
        37663 /* "glProgramUniform4fEXT" */,
        37663 /* "glProgramUniform4fEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37644 /* "glProgramUniform4f" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4FVPROC
epoxy_glProgramUniform4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37685 /* "glProgramUniform4fv" */,
        37685 /* "glProgramUniform4fv" */,
        37705 /* "glProgramUniform4fvEXT" */,
        37705 /* "glProgramUniform4fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37685 /* "glProgramUniform4fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4IPROC
epoxy_glProgramUniform4i_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37728 /* "glProgramUniform4i" */,
        37728 /* "glProgramUniform4i" */,
        37794 /* "glProgramUniform4iEXT" */,
        37794 /* "glProgramUniform4iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37728 /* "glProgramUniform4i" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4I64NVPROC
epoxy_glProgramUniform4i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 37747 /* glProgramUniform4i64NV */);
}

static PFNGLPROGRAMUNIFORM4I64VNVPROC
epoxy_glProgramUniform4i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 37770 /* glProgramUniform4i64vNV */);
}

static PFNGLPROGRAMUNIFORM4IVPROC
epoxy_glProgramUniform4iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37816 /* "glProgramUniform4iv" */,
        37816 /* "glProgramUniform4iv" */,
        37836 /* "glProgramUniform4ivEXT" */,
        37836 /* "glProgramUniform4ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37816 /* "glProgramUniform4iv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4UIPROC
epoxy_glProgramUniform4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37859 /* "glProgramUniform4ui" */,
        37859 /* "glProgramUniform4ui" */,
        37928 /* "glProgramUniform4uiEXT" */,
        37928 /* "glProgramUniform4uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37859 /* "glProgramUniform4ui" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4UI64NVPROC
epoxy_glProgramUniform4ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 37879 /* glProgramUniform4ui64NV */);
}

static PFNGLPROGRAMUNIFORM4UI64VNVPROC
epoxy_glProgramUniform4ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 37903 /* glProgramUniform4ui64vNV */);
}

static PFNGLPROGRAMUNIFORM4UIVPROC
epoxy_glProgramUniform4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37951 /* "glProgramUniform4uiv" */,
        37951 /* "glProgramUniform4uiv" */,
        37972 /* "glProgramUniform4uivEXT" */,
        37972 /* "glProgramUniform4uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37951 /* "glProgramUniform4uiv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMHANDLEUI64ARBPROC
epoxy_glProgramUniformHandleui64ARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 37996 /* glProgramUniformHandleui64ARB */);
}

static PFNGLPROGRAMUNIFORMHANDLEUI64NVPROC
epoxy_glProgramUniformHandleui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 38026 /* glProgramUniformHandleui64NV */);
}

static PFNGLPROGRAMUNIFORMHANDLEUI64VARBPROC
epoxy_glProgramUniformHandleui64vARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 38055 /* glProgramUniformHandleui64vARB */);
}

static PFNGLPROGRAMUNIFORMHANDLEUI64VNVPROC
epoxy_glProgramUniformHandleui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 38086 /* glProgramUniformHandleui64vNV */);
}

static PFNGLPROGRAMUNIFORMMATRIX2DVPROC
epoxy_glProgramUniformMatrix2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38116 /* "glProgramUniformMatrix2dv" */,
        38116 /* "glProgramUniformMatrix2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38116 /* "glProgramUniformMatrix2dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2DVEXTPROC
epoxy_glProgramUniformMatrix2dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38142 /* glProgramUniformMatrix2dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX2FVPROC
epoxy_glProgramUniformMatrix2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38171 /* "glProgramUniformMatrix2fv" */,
        38171 /* "glProgramUniformMatrix2fv" */,
        38197 /* "glProgramUniformMatrix2fvEXT" */,
        38197 /* "glProgramUniformMatrix2fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38171 /* "glProgramUniformMatrix2fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2X3DVPROC
epoxy_glProgramUniformMatrix2x3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38226 /* "glProgramUniformMatrix2x3dv" */,
        38226 /* "glProgramUniformMatrix2x3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38226 /* "glProgramUniformMatrix2x3dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2X3DVEXTPROC
epoxy_glProgramUniformMatrix2x3dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38254 /* glProgramUniformMatrix2x3dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX2X3FVPROC
epoxy_glProgramUniformMatrix2x3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38285 /* "glProgramUniformMatrix2x3fv" */,
        38285 /* "glProgramUniformMatrix2x3fv" */,
        38313 /* "glProgramUniformMatrix2x3fvEXT" */,
        38313 /* "glProgramUniformMatrix2x3fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38285 /* "glProgramUniformMatrix2x3fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2X4DVPROC
epoxy_glProgramUniformMatrix2x4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38344 /* "glProgramUniformMatrix2x4dv" */,
        38344 /* "glProgramUniformMatrix2x4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38344 /* "glProgramUniformMatrix2x4dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2X4DVEXTPROC
epoxy_glProgramUniformMatrix2x4dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38372 /* glProgramUniformMatrix2x4dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX2X4FVPROC
epoxy_glProgramUniformMatrix2x4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38403 /* "glProgramUniformMatrix2x4fv" */,
        38403 /* "glProgramUniformMatrix2x4fv" */,
        38431 /* "glProgramUniformMatrix2x4fvEXT" */,
        38431 /* "glProgramUniformMatrix2x4fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38403 /* "glProgramUniformMatrix2x4fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3DVPROC
epoxy_glProgramUniformMatrix3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38462 /* "glProgramUniformMatrix3dv" */,
        38462 /* "glProgramUniformMatrix3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38462 /* "glProgramUniformMatrix3dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3DVEXTPROC
epoxy_glProgramUniformMatrix3dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38488 /* glProgramUniformMatrix3dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX3FVPROC
epoxy_glProgramUniformMatrix3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38517 /* "glProgramUniformMatrix3fv" */,
        38517 /* "glProgramUniformMatrix3fv" */,
        38543 /* "glProgramUniformMatrix3fvEXT" */,
        38543 /* "glProgramUniformMatrix3fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38517 /* "glProgramUniformMatrix3fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3X2DVPROC
epoxy_glProgramUniformMatrix3x2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38572 /* "glProgramUniformMatrix3x2dv" */,
        38572 /* "glProgramUniformMatrix3x2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38572 /* "glProgramUniformMatrix3x2dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3X2DVEXTPROC
epoxy_glProgramUniformMatrix3x2dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38600 /* glProgramUniformMatrix3x2dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX3X2FVPROC
epoxy_glProgramUniformMatrix3x2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38631 /* "glProgramUniformMatrix3x2fv" */,
        38631 /* "glProgramUniformMatrix3x2fv" */,
        38659 /* "glProgramUniformMatrix3x2fvEXT" */,
        38659 /* "glProgramUniformMatrix3x2fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38631 /* "glProgramUniformMatrix3x2fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3X4DVPROC
epoxy_glProgramUniformMatrix3x4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38690 /* "glProgramUniformMatrix3x4dv" */,
        38690 /* "glProgramUniformMatrix3x4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38690 /* "glProgramUniformMatrix3x4dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3X4DVEXTPROC
epoxy_glProgramUniformMatrix3x4dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38718 /* glProgramUniformMatrix3x4dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX3X4FVPROC
epoxy_glProgramUniformMatrix3x4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38749 /* "glProgramUniformMatrix3x4fv" */,
        38749 /* "glProgramUniformMatrix3x4fv" */,
        38777 /* "glProgramUniformMatrix3x4fvEXT" */,
        38777 /* "glProgramUniformMatrix3x4fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38749 /* "glProgramUniformMatrix3x4fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4DVPROC
epoxy_glProgramUniformMatrix4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38808 /* "glProgramUniformMatrix4dv" */,
        38808 /* "glProgramUniformMatrix4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38808 /* "glProgramUniformMatrix4dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4DVEXTPROC
epoxy_glProgramUniformMatrix4dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38834 /* glProgramUniformMatrix4dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX4FVPROC
epoxy_glProgramUniformMatrix4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38863 /* "glProgramUniformMatrix4fv" */,
        38863 /* "glProgramUniformMatrix4fv" */,
        38889 /* "glProgramUniformMatrix4fvEXT" */,
        38889 /* "glProgramUniformMatrix4fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38863 /* "glProgramUniformMatrix4fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4X2DVPROC
epoxy_glProgramUniformMatrix4x2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38918 /* "glProgramUniformMatrix4x2dv" */,
        38918 /* "glProgramUniformMatrix4x2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38918 /* "glProgramUniformMatrix4x2dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4X2DVEXTPROC
epoxy_glProgramUniformMatrix4x2dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38946 /* glProgramUniformMatrix4x2dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX4X2FVPROC
epoxy_glProgramUniformMatrix4x2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38977 /* "glProgramUniformMatrix4x2fv" */,
        38977 /* "glProgramUniformMatrix4x2fv" */,
        39005 /* "glProgramUniformMatrix4x2fvEXT" */,
        39005 /* "glProgramUniformMatrix4x2fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38977 /* "glProgramUniformMatrix4x2fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4X3DVPROC
epoxy_glProgramUniformMatrix4x3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39036 /* "glProgramUniformMatrix4x3dv" */,
        39036 /* "glProgramUniformMatrix4x3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39036 /* "glProgramUniformMatrix4x3dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4X3DVEXTPROC
epoxy_glProgramUniformMatrix4x3dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 39064 /* glProgramUniformMatrix4x3dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX4X3FVPROC
epoxy_glProgramUniformMatrix4x3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39095 /* "glProgramUniformMatrix4x3fv" */,
        39095 /* "glProgramUniformMatrix4x3fv" */,
        39123 /* "glProgramUniformMatrix4x3fvEXT" */,
        39123 /* "glProgramUniformMatrix4x3fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39095 /* "glProgramUniformMatrix4x3fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMUI64NVPROC
epoxy_glProgramUniformui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 39154 /* glProgramUniformui64NV */);
}

static PFNGLPROGRAMUNIFORMUI64VNVPROC
epoxy_glProgramUniformui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 39177 /* glProgramUniformui64vNV */);
}

static PFNGLPROGRAMVERTEXLIMITNVPROC
epoxy_glProgramVertexLimitNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_geometry_program4, 39201 /* glProgramVertexLimitNV */);
}

static PFNGLPROVOKINGVERTEXPROC
epoxy_glProvokingVertex_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_provoking_vertex,
        Desktop_OpenGL_3_2,
        GL_extension_GL_EXT_provoking_vertex,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39224 /* "glProvokingVertex" */,
        39224 /* "glProvokingVertex" */,
        39242 /* "glProvokingVertexEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39224 /* "glProvokingVertex" */,
                                providers, entrypoints);
}

static PFNGLPUSHATTRIBPROC
epoxy_glPushAttrib_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39263 /* glPushAttrib */);
}

static PFNGLPUSHCLIENTATTRIBPROC
epoxy_glPushClientAttrib_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 39276 /* glPushClientAttrib */);
}

static PFNGLPUSHCLIENTATTRIBDEFAULTEXTPROC
epoxy_glPushClientAttribDefaultEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 39295 /* glPushClientAttribDefaultEXT */);
}

static PFNGLPUSHDEBUGGROUPPROC
epoxy_glPushDebugGroup_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39324 /* "glPushDebugGroup" */,
        39324 /* "glPushDebugGroup" */,
        39341 /* "glPushDebugGroupKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39324 /* "glPushDebugGroup" */,
                                providers, entrypoints);
}

static PFNGLPUSHGROUPMARKEREXTPROC
epoxy_glPushGroupMarkerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_debug_marker, 39361 /* glPushGroupMarkerEXT */);
}

static PFNGLPUSHMATRIXPROC
epoxy_glPushMatrix_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39382 /* "glPushMatrix" */,
        39382 /* "glPushMatrix" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39382 /* "glPushMatrix" */,
                                providers, entrypoints);
}

static PFNGLPUSHNAMEPROC
epoxy_glPushName_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39395 /* glPushName */);
}

static PFNGLQUERYCOUNTERPROC
epoxy_glQueryCounter_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_timer_query,
        Desktop_OpenGL_3_3,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39406 /* "glQueryCounter" */,
        39406 /* "glQueryCounter" */,
        39421 /* "glQueryCounterEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39406 /* "glQueryCounter" */,
                                providers, entrypoints);
}

static PFNGLQUERYMATRIXXOESPROC
epoxy_glQueryMatrixxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_query_matrix, 39439 /* glQueryMatrixxOES */);
}

static PFNGLQUERYOBJECTPARAMETERUIAMDPROC
epoxy_glQueryObjectParameteruiAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_occlusion_query_event, 39457 /* glQueryObjectParameteruiAMD */);
}

static PFNGLRASTERPOS2DPROC
epoxy_glRasterPos2d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39485 /* glRasterPos2d */);
}

static PFNGLRASTERPOS2DVPROC
epoxy_glRasterPos2dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39499 /* glRasterPos2dv */);
}

static PFNGLRASTERPOS2FPROC
epoxy_glRasterPos2f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39514 /* glRasterPos2f */);
}

static PFNGLRASTERPOS2FVPROC
epoxy_glRasterPos2fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39528 /* glRasterPos2fv */);
}

static PFNGLRASTERPOS2IPROC
epoxy_glRasterPos2i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39543 /* glRasterPos2i */);
}

static PFNGLRASTERPOS2IVPROC
epoxy_glRasterPos2iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39557 /* glRasterPos2iv */);
}

static PFNGLRASTERPOS2SPROC
epoxy_glRasterPos2s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39572 /* glRasterPos2s */);
}

static PFNGLRASTERPOS2SVPROC
epoxy_glRasterPos2sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39586 /* glRasterPos2sv */);
}

static PFNGLRASTERPOS2XOESPROC
epoxy_glRasterPos2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 39601 /* glRasterPos2xOES */);
}

static PFNGLRASTERPOS2XVOESPROC
epoxy_glRasterPos2xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 39618 /* glRasterPos2xvOES */);
}

static PFNGLRASTERPOS3DPROC
epoxy_glRasterPos3d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39636 /* glRasterPos3d */);
}

static PFNGLRASTERPOS3DVPROC
epoxy_glRasterPos3dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39650 /* glRasterPos3dv */);
}

static PFNGLRASTERPOS3FPROC
epoxy_glRasterPos3f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39665 /* glRasterPos3f */);
}

static PFNGLRASTERPOS3FVPROC
epoxy_glRasterPos3fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39679 /* glRasterPos3fv */);
}

static PFNGLRASTERPOS3IPROC
epoxy_glRasterPos3i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39694 /* glRasterPos3i */);
}

static PFNGLRASTERPOS3IVPROC
epoxy_glRasterPos3iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39708 /* glRasterPos3iv */);
}

static PFNGLRASTERPOS3SPROC
epoxy_glRasterPos3s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39723 /* glRasterPos3s */);
}

static PFNGLRASTERPOS3SVPROC
epoxy_glRasterPos3sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39737 /* glRasterPos3sv */);
}

static PFNGLRASTERPOS3XOESPROC
epoxy_glRasterPos3xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 39752 /* glRasterPos3xOES */);
}

static PFNGLRASTERPOS3XVOESPROC
epoxy_glRasterPos3xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 39769 /* glRasterPos3xvOES */);
}

static PFNGLRASTERPOS4DPROC
epoxy_glRasterPos4d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39787 /* glRasterPos4d */);
}

static PFNGLRASTERPOS4DVPROC
epoxy_glRasterPos4dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39801 /* glRasterPos4dv */);
}

static PFNGLRASTERPOS4FPROC
epoxy_glRasterPos4f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39816 /* glRasterPos4f */);
}

static PFNGLRASTERPOS4FVPROC
epoxy_glRasterPos4fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39830 /* glRasterPos4fv */);
}

static PFNGLRASTERPOS4IPROC
epoxy_glRasterPos4i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39845 /* glRasterPos4i */);
}

static PFNGLRASTERPOS4IVPROC
epoxy_glRasterPos4iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39859 /* glRasterPos4iv */);
}

static PFNGLRASTERPOS4SPROC
epoxy_glRasterPos4s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39874 /* glRasterPos4s */);
}

static PFNGLRASTERPOS4SVPROC
epoxy_glRasterPos4sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39888 /* glRasterPos4sv */);
}

static PFNGLRASTERPOS4XOESPROC
epoxy_glRasterPos4xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 39903 /* glRasterPos4xOES */);
}

static PFNGLRASTERPOS4XVOESPROC
epoxy_glRasterPos4xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 39920 /* glRasterPos4xvOES */);
}

static PFNGLREADBUFFERPROC
epoxy_glReadBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39938 /* "glReadBuffer" */,
        39938 /* "glReadBuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39938 /* "glReadBuffer" */,
                                providers, entrypoints);
}

static PFNGLREADBUFFERINDEXEDEXTPROC
epoxy_glReadBufferIndexedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_multiview_draw_buffers, 39951 /* glReadBufferIndexedEXT */);
}

static PFNGLREADBUFFERNVPROC
epoxy_glReadBufferNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_read_buffer, 39974 /* glReadBufferNV */);
}

static PFNGLREADINSTRUMENTSSGIXPROC
epoxy_glReadInstrumentsSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_instruments, 39989 /* glReadInstrumentsSGIX */);
}

static PFNGLREADPIXELSPROC
epoxy_glReadPixels_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        40011 /* "glReadPixels" */,
        40011 /* "glReadPixels" */,
        40011 /* "glReadPixels" */,
    };
    return gl_provider_resolver(entrypoint_strings + 40011 /* "glReadPixels" */,
                                providers, entrypoints);
}

static PFNGLREADNPIXELSARBPROC
epoxy_glReadnPixelsARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 40024 /* glReadnPixelsARB */);
}

static PFNGLREADNPIXELSEXTPROC
epoxy_glReadnPixelsEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_robustness, 40041 /* glReadnPixelsEXT */);
}

static PFNGLRECTDPROC
epoxy_glRectd_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40058 /* glRectd */);
}

static PFNGLRECTDVPROC
epoxy_glRectdv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40066 /* glRectdv */);
}

static PFNGLRECTFPROC
epoxy_glRectf_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40075 /* glRectf */);
}

static PFNGLRECTFVPROC
epoxy_glRectfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40083 /* glRectfv */);
}

static PFNGLRECTIPROC
epoxy_glRecti_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40092 /* glRecti */);
}

static PFNGLRECTIVPROC
epoxy_glRectiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40100 /* glRectiv */);
}

static PFNGLRECTSPROC
epoxy_glRects_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40109 /* glRects */);
}

static PFNGLRECTSVPROC
epoxy_glRectsv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40117 /* glRectsv */);
}

static PFNGLRECTXOESPROC
epoxy_glRectxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 40126 /* glRectxOES */);
}

static PFNGLRECTXVOESPROC
epoxy_glRectxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 40137 /* glRectxvOES */);
}

static PFNGLREFERENCEPLANESGIXPROC
epoxy_glReferencePlaneSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_reference_plane, 40149 /* glReferencePlaneSGIX */);
}

static PFNGLRELEASESHADERCOMPILERPROC
epoxy_glReleaseShaderCompiler_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_ES2_compatibility,
        OpenGL_ES_2_0,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        40170 /* "glReleaseShaderCompiler" */,
        40170 /* "glReleaseShaderCompiler" */,
        40170 /* "glReleaseShaderCompiler" */,
    };
    return gl_provider_resolver(entrypoint_strings + 40170 /* "glReleaseShaderCompiler" */,
                                providers, entrypoints);
}

static PFNGLRENDERMODEPROC
epoxy_glRenderMode_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40194 /* glRenderMode */);
}

static PFNGLRENDERBUFFERSTORAGEPROC
epoxy_glRenderbufferStorage_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        40207 /* "glRenderbufferStorage" */,
        40207 /* "glRenderbufferStorage" */,
        40207 /* "glRenderbufferStorage" */,
        40229 /* "glRenderbufferStorageEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 40207 /* "glRenderbufferStorage" */,
                                providers, entrypoints);
}

static PFNGLRENDERBUFFERSTORAGEMULTISAMPLEPROC
epoxy_glRenderbufferStorageMultisample_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_multisample,
        GL_extension_GL_EXT_multisampled_render_to_texture,
        GL_extension_GL_NV_framebuffer_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        40254 /* "glRenderbufferStorageMultisample" */,
        40254 /* "glRenderbufferStorageMultisample" */,
        40254 /* "glRenderbufferStorageMultisample" */,
        40406 /* "glRenderbufferStorageMultisampleEXT" */,
        40406 /* "glRenderbufferStorageMultisampleEXT" */,
        40478 /* "glRenderbufferStorageMultisampleNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 40254 /* "glRenderbufferStorageMultisample" */,
                                providers, entrypoints);
}

static PFNGLRENDERBUFFERSTORAGEMULTISAMPLEANGLEPROC
epoxy_glRenderbufferStorageMultisampleANGLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ANGLE_framebuffer_multisample, 40287 /* glRenderbufferStorageMultisampleANGLE */);
}

static PFNGLRENDERBUFFERSTORAGEMULTISAMPLEAPPLEPROC
epoxy_glRenderbufferStorageMultisampleAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_framebuffer_multisample, 40325 /* glRenderbufferStorageMultisampleAPPLE */);
}

static PFNGLRENDERBUFFERSTORAGEMULTISAMPLECOVERAGENVPROC
epoxy_glRenderbufferStorageMultisampleCoverageNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_framebuffer_multisample_coverage, 40363 /* glRenderbufferStorageMultisampleCoverageNV */);
}

static PFNGLRENDERBUFFERSTORAGEMULTISAMPLEIMGPROC
epoxy_glRenderbufferStorageMultisampleIMG_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IMG_multisampled_render_to_texture, 40442 /* glRenderbufferStorageMultisampleIMG */);
}

static PFNGLRENDERBUFFERSTORAGEOESPROC
epoxy_glRenderbufferStorageOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 40513 /* glRenderbufferStorageOES */);
}

static PFNGLREPLACEMENTCODEPOINTERSUNPROC
epoxy_glReplacementCodePointerSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 40538 /* glReplacementCodePointerSUN */);
}

static PFNGLREPLACEMENTCODEUBSUNPROC
epoxy_glReplacementCodeubSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 40566 /* glReplacementCodeubSUN */);
}

static PFNGLREPLACEMENTCODEUBVSUNPROC
epoxy_glReplacementCodeubvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 40589 /* glReplacementCodeubvSUN */);
}

static PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FSUNPROC
epoxy_glReplacementCodeuiColor3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40613 /* glReplacementCodeuiColor3fVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiColor3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40651 /* glReplacementCodeuiColor3fVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FSUNPROC
epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40690 /* glReplacementCodeuiColor4fNormal3fVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40736 /* glReplacementCodeuiColor4fNormal3fVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FSUNPROC
epoxy_glReplacementCodeuiColor4ubVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40783 /* glReplacementCodeuiColor4ubVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40822 /* glReplacementCodeuiColor4ubVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FSUNPROC
epoxy_glReplacementCodeuiNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40862 /* glReplacementCodeuiNormal3fVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40901 /* glReplacementCodeuiNormal3fVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUISUNPROC
epoxy_glReplacementCodeuiSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 40941 /* glReplacementCodeuiSUN */);
}

static PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC
epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40964 /* glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41020 /* glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FSUNPROC
epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41077 /* glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41126 /* glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FSUNPROC
epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41176 /* glReplacementCodeuiTexCoord2fVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41217 /* glReplacementCodeuiTexCoord2fVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUIVERTEX3FSUNPROC
epoxy_glReplacementCodeuiVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41259 /* glReplacementCodeuiVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUIVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41290 /* glReplacementCodeuiVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUIVSUNPROC
epoxy_glReplacementCodeuivSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 41322 /* glReplacementCodeuivSUN */);
}

static PFNGLREPLACEMENTCODEUSSUNPROC
epoxy_glReplacementCodeusSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 41346 /* glReplacementCodeusSUN */);
}

static PFNGLREPLACEMENTCODEUSVSUNPROC
epoxy_glReplacementCodeusvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 41369 /* glReplacementCodeusvSUN */);
}

static PFNGLREQUESTRESIDENTPROGRAMSNVPROC
epoxy_glRequestResidentProgramsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 41393 /* glRequestResidentProgramsNV */);
}

static PFNGLRESETHISTOGRAMPROC
epoxy_glResetHistogram_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_histogram,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41421 /* "glResetHistogram" */,
        41438 /* "glResetHistogramEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41421 /* "glResetHistogram" */,
                                providers, entrypoints);
}

static PFNGLRESETMINMAXPROC
epoxy_glResetMinmax_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_histogram,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41458 /* "glResetMinmax" */,
        41472 /* "glResetMinmaxEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41458 /* "glResetMinmax" */,
                                providers, entrypoints);
}

static PFNGLRESIZEBUFFERSMESAPROC
epoxy_glResizeBuffersMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_resize_buffers, 41489 /* glResizeBuffersMESA */);
}

static PFNGLRESOLVEMULTISAMPLEFRAMEBUFFERAPPLEPROC
epoxy_glResolveMultisampleFramebufferAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_framebuffer_multisample, 41509 /* glResolveMultisampleFramebufferAPPLE */);
}

static PFNGLRESUMETRANSFORMFEEDBACKPROC
epoxy_glResumeTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback2,
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_0,
        GL_extension_GL_NV_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41546 /* "glResumeTransformFeedback" */,
        41546 /* "glResumeTransformFeedback" */,
        41546 /* "glResumeTransformFeedback" */,
        41572 /* "glResumeTransformFeedbackNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41546 /* "glResumeTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLROTATEDPROC
epoxy_glRotated_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 41600 /* glRotated */);
}

static PFNGLROTATEFPROC
epoxy_glRotatef_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41610 /* "glRotatef" */,
        41610 /* "glRotatef" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41610 /* "glRotatef" */,
                                providers, entrypoints);
}

static PFNGLROTATEXPROC
epoxy_glRotatex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 41620 /* glRotatex */);
}

static PFNGLROTATEXOESPROC
epoxy_glRotatexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 41630 /* glRotatexOES */);
}

static PFNGLSAMPLECOVERAGEPROC
epoxy_glSampleCoverage_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41643 /* "glSampleCoverage" */,
        41643 /* "glSampleCoverage" */,
        41643 /* "glSampleCoverage" */,
        41660 /* "glSampleCoverageARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41643 /* "glSampleCoverage" */,
                                providers, entrypoints);
}

static PFNGLSAMPLECOVERAGEOESPROC
epoxy_glSampleCoverageOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 41680 /* glSampleCoverageOES */);
}

static PFNGLSAMPLECOVERAGEXPROC
epoxy_glSampleCoveragex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 41700 /* glSampleCoveragex */);
}

static PFNGLSAMPLECOVERAGEXOESPROC
epoxy_glSampleCoveragexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 41718 /* glSampleCoveragexOES */);
}

static PFNGLSAMPLEMAPATIPROC
epoxy_glSampleMapATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 41739 /* glSampleMapATI */);
}

static PFNGLSAMPLEMASKEXTPROC
epoxy_glSampleMaskEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_multisample,
        GL_extension_GL_SGIS_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41754 /* "glSampleMaskEXT" */,
        41792 /* "glSampleMaskSGIS" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41754 /* "glSampleMaskEXT" */,
                                providers, entrypoints);
}

static PFNGLSAMPLEMASKINDEXEDNVPROC
epoxy_glSampleMaskIndexedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_explicit_multisample, 41770 /* glSampleMaskIndexedNV */);
}

static PFNGLSAMPLEMASKIPROC
epoxy_glSampleMaski_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_multisample,
        Desktop_OpenGL_3_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41809 /* "glSampleMaski" */,
        41809 /* "glSampleMaski" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41809 /* "glSampleMaski" */,
                                providers, entrypoints);
}

static PFNGLSAMPLEPATTERNEXTPROC
epoxy_glSamplePatternEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_multisample,
        GL_extension_GL_SGIS_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41823 /* "glSamplePatternEXT" */,
        41842 /* "glSamplePatternSGIS" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41823 /* "glSamplePatternEXT" */,
                                providers, entrypoints);
}

static PFNGLSAMPLERPARAMETERIIVPROC
epoxy_glSamplerParameterIiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41862 /* "glSamplerParameterIiv" */,
        41862 /* "glSamplerParameterIiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41862 /* "glSamplerParameterIiv" */,
                                providers, entrypoints);
}

static PFNGLSAMPLERPARAMETERIUIVPROC
epoxy_glSamplerParameterIuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41884 /* "glSamplerParameterIuiv" */,
        41884 /* "glSamplerParameterIuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41884 /* "glSamplerParameterIuiv" */,
                                providers, entrypoints);
}

static PFNGLSAMPLERPARAMETERFPROC
epoxy_glSamplerParameterf_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41907 /* "glSamplerParameterf" */,
        41907 /* "glSamplerParameterf" */,
        41907 /* "glSamplerParameterf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41907 /* "glSamplerParameterf" */,
                                providers, entrypoints);
}

static PFNGLSAMPLERPARAMETERFVPROC
epoxy_glSamplerParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41927 /* "glSamplerParameterfv" */,
        41927 /* "glSamplerParameterfv" */,
        41927 /* "glSamplerParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41927 /* "glSamplerParameterfv" */,
                                providers, entrypoints);
}

static PFNGLSAMPLERPARAMETERIPROC
epoxy_glSamplerParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41948 /* "glSamplerParameteri" */,
        41948 /* "glSamplerParameteri" */,
        41948 /* "glSamplerParameteri" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41948 /* "glSamplerParameteri" */,
                                providers, entrypoints);
}

static PFNGLSAMPLERPARAMETERIVPROC
epoxy_glSamplerParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41968 /* "glSamplerParameteriv" */,
        41968 /* "glSamplerParameteriv" */,
        41968 /* "glSamplerParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41968 /* "glSamplerParameteriv" */,
                                providers, entrypoints);
}

static PFNGLSCALEDPROC
epoxy_glScaled_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 41989 /* glScaled */);
}

static PFNGLSCALEFPROC
epoxy_glScalef_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41998 /* "glScalef" */,
        41998 /* "glScalef" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41998 /* "glScalef" */,
                                providers, entrypoints);
}

static PFNGLSCALEXPROC
epoxy_glScalex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 42007 /* glScalex */);
}

static PFNGLSCALEXOESPROC
epoxy_glScalexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 42016 /* glScalexOES */);
}

static PFNGLSCISSORPROC
epoxy_glScissor_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42028 /* "glScissor" */,
        42028 /* "glScissor" */,
        42028 /* "glScissor" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42028 /* "glScissor" */,
                                providers, entrypoints);
}

static PFNGLSCISSORARRAYVPROC
epoxy_glScissorArrayv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_viewport_array,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42038 /* "glScissorArrayv" */,
        42038 /* "glScissorArrayv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42038 /* "glScissorArrayv" */,
                                providers, entrypoints);
}

static PFNGLSCISSORINDEXEDPROC
epoxy_glScissorIndexed_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_viewport_array,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42054 /* "glScissorIndexed" */,
        42054 /* "glScissorIndexed" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42054 /* "glScissorIndexed" */,
                                providers, entrypoints);
}

static PFNGLSCISSORINDEXEDVPROC
epoxy_glScissorIndexedv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_viewport_array,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42071 /* "glScissorIndexedv" */,
        42071 /* "glScissorIndexedv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42071 /* "glScissorIndexedv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3BPROC
epoxy_glSecondaryColor3b_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42089 /* "glSecondaryColor3b" */,
        42108 /* "glSecondaryColor3bEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42089 /* "glSecondaryColor3b" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3BVPROC
epoxy_glSecondaryColor3bv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42130 /* "glSecondaryColor3bv" */,
        42150 /* "glSecondaryColor3bvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42130 /* "glSecondaryColor3bv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3DPROC
epoxy_glSecondaryColor3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42173 /* "glSecondaryColor3d" */,
        42192 /* "glSecondaryColor3dEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42173 /* "glSecondaryColor3d" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3DVPROC
epoxy_glSecondaryColor3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42214 /* "glSecondaryColor3dv" */,
        42234 /* "glSecondaryColor3dvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42214 /* "glSecondaryColor3dv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3FPROC
epoxy_glSecondaryColor3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42257 /* "glSecondaryColor3f" */,
        42276 /* "glSecondaryColor3fEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42257 /* "glSecondaryColor3f" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3FVPROC
epoxy_glSecondaryColor3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42298 /* "glSecondaryColor3fv" */,
        42318 /* "glSecondaryColor3fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42298 /* "glSecondaryColor3fv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3HNVPROC
epoxy_glSecondaryColor3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 42341 /* glSecondaryColor3hNV */);
}

static PFNGLSECONDARYCOLOR3HVNVPROC
epoxy_glSecondaryColor3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 42362 /* glSecondaryColor3hvNV */);
}

static PFNGLSECONDARYCOLOR3IPROC
epoxy_glSecondaryColor3i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42384 /* "glSecondaryColor3i" */,
        42403 /* "glSecondaryColor3iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42384 /* "glSecondaryColor3i" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3IVPROC
epoxy_glSecondaryColor3iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42425 /* "glSecondaryColor3iv" */,
        42445 /* "glSecondaryColor3ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42425 /* "glSecondaryColor3iv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3SPROC
epoxy_glSecondaryColor3s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42468 /* "glSecondaryColor3s" */,
        42487 /* "glSecondaryColor3sEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42468 /* "glSecondaryColor3s" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3SVPROC
epoxy_glSecondaryColor3sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42509 /* "glSecondaryColor3sv" */,
        42529 /* "glSecondaryColor3svEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42509 /* "glSecondaryColor3sv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3UBPROC
epoxy_glSecondaryColor3ub_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42552 /* "glSecondaryColor3ub" */,
        42572 /* "glSecondaryColor3ubEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42552 /* "glSecondaryColor3ub" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3UBVPROC
epoxy_glSecondaryColor3ubv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42595 /* "glSecondaryColor3ubv" */,
        42616 /* "glSecondaryColor3ubvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42595 /* "glSecondaryColor3ubv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3UIPROC
epoxy_glSecondaryColor3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42640 /* "glSecondaryColor3ui" */,
        42660 /* "glSecondaryColor3uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42640 /* "glSecondaryColor3ui" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3UIVPROC
epoxy_glSecondaryColor3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42683 /* "glSecondaryColor3uiv" */,
        42704 /* "glSecondaryColor3uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42683 /* "glSecondaryColor3uiv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3USPROC
epoxy_glSecondaryColor3us_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42728 /* "glSecondaryColor3us" */,
        42748 /* "glSecondaryColor3usEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42728 /* "glSecondaryColor3us" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3USVPROC
epoxy_glSecondaryColor3usv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42771 /* "glSecondaryColor3usv" */,
        42792 /* "glSecondaryColor3usvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42771 /* "glSecondaryColor3usv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLORFORMATNVPROC
epoxy_glSecondaryColorFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 42816 /* glSecondaryColorFormatNV */);
}

static PFNGLSECONDARYCOLORP3UIPROC
epoxy_glSecondaryColorP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42841 /* "glSecondaryColorP3ui" */,
        42841 /* "glSecondaryColorP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42841 /* "glSecondaryColorP3ui" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLORP3UIVPROC
epoxy_glSecondaryColorP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42862 /* "glSecondaryColorP3uiv" */,
        42862 /* "glSecondaryColorP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42862 /* "glSecondaryColorP3uiv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLORPOINTERPROC
epoxy_glSecondaryColorPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42884 /* "glSecondaryColorPointer" */,
        42908 /* "glSecondaryColorPointerEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42884 /* "glSecondaryColorPointer" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLORPOINTERLISTIBMPROC
epoxy_glSecondaryColorPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 42935 /* glSecondaryColorPointerListIBM */);
}

static PFNGLSELECTBUFFERPROC
epoxy_glSelectBuffer_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 42966 /* glSelectBuffer */);
}

static PFNGLSELECTPERFMONITORCOUNTERSAMDPROC
epoxy_glSelectPerfMonitorCountersAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 42981 /* glSelectPerfMonitorCountersAMD */);
}

static PFNGLSEPARABLEFILTER2DPROC
epoxy_glSeparableFilter2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43012 /* "glSeparableFilter2D" */,
        43032 /* "glSeparableFilter2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43012 /* "glSeparableFilter2D" */,
                                providers, entrypoints);
}

static PFNGLSETFENCEAPPLEPROC
epoxy_glSetFenceAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 43055 /* glSetFenceAPPLE */);
}

static PFNGLSETFENCENVPROC
epoxy_glSetFenceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 43071 /* glSetFenceNV */);
}

static PFNGLSETFRAGMENTSHADERCONSTANTATIPROC
epoxy_glSetFragmentShaderConstantATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 43084 /* glSetFragmentShaderConstantATI */);
}

static PFNGLSETINVARIANTEXTPROC
epoxy_glSetInvariantEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 43115 /* glSetInvariantEXT */);
}

static PFNGLSETLOCALCONSTANTEXTPROC
epoxy_glSetLocalConstantEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 43133 /* glSetLocalConstantEXT */);
}

static PFNGLSETMULTISAMPLEFVAMDPROC
epoxy_glSetMultisamplefvAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_sample_positions, 43155 /* glSetMultisamplefvAMD */);
}

static PFNGLSHADEMODELPROC
epoxy_glShadeModel_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43177 /* "glShadeModel" */,
        43177 /* "glShadeModel" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43177 /* "glShadeModel" */,
                                providers, entrypoints);
}

static PFNGLSHADERBINARYPROC
epoxy_glShaderBinary_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_ES2_compatibility,
        OpenGL_ES_2_0,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43190 /* "glShaderBinary" */,
        43190 /* "glShaderBinary" */,
        43190 /* "glShaderBinary" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43190 /* "glShaderBinary" */,
                                providers, entrypoints);
}

static PFNGLSHADEROP1EXTPROC
epoxy_glShaderOp1EXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 43205 /* glShaderOp1EXT */);
}

static PFNGLSHADEROP2EXTPROC
epoxy_glShaderOp2EXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 43220 /* glShaderOp2EXT */);
}

static PFNGLSHADEROP3EXTPROC
epoxy_glShaderOp3EXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 43235 /* glShaderOp3EXT */);
}

static PFNGLSHADERSOURCEPROC
epoxy_glShaderSource_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43250 /* "glShaderSource" */,
        43250 /* "glShaderSource" */,
        43265 /* "glShaderSourceARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43250 /* "glShaderSource" */,
                                providers, entrypoints);
}

static PFNGLSHADERSTORAGEBLOCKBINDINGPROC
epoxy_glShaderStorageBlockBinding_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_storage_buffer_object,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43283 /* "glShaderStorageBlockBinding" */,
        43283 /* "glShaderStorageBlockBinding" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43283 /* "glShaderStorageBlockBinding" */,
                                providers, entrypoints);
}

static PFNGLSHARPENTEXFUNCSGISPROC
epoxy_glSharpenTexFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_sharpen_texture, 43311 /* glSharpenTexFuncSGIS */);
}

static PFNGLSPRITEPARAMETERFSGIXPROC
epoxy_glSpriteParameterfSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_sprite, 43332 /* glSpriteParameterfSGIX */);
}

static PFNGLSPRITEPARAMETERFVSGIXPROC
epoxy_glSpriteParameterfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_sprite, 43355 /* glSpriteParameterfvSGIX */);
}

static PFNGLSPRITEPARAMETERISGIXPROC
epoxy_glSpriteParameteriSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_sprite, 43379 /* glSpriteParameteriSGIX */);
}

static PFNGLSPRITEPARAMETERIVSGIXPROC
epoxy_glSpriteParameterivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_sprite, 43402 /* glSpriteParameterivSGIX */);
}

static PFNGLSTARTINSTRUMENTSSGIXPROC
epoxy_glStartInstrumentsSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_instruments, 43426 /* glStartInstrumentsSGIX */);
}

static PFNGLSTARTTILINGQCOMPROC
epoxy_glStartTilingQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_tiled_rendering, 43449 /* glStartTilingQCOM */);
}

static PFNGLSTENCILCLEARTAGEXTPROC
epoxy_glStencilClearTagEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_stencil_clear_tag, 43467 /* glStencilClearTagEXT */);
}

static PFNGLSTENCILFILLPATHINSTANCEDNVPROC
epoxy_glStencilFillPathInstancedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 43488 /* glStencilFillPathInstancedNV */);
}

static PFNGLSTENCILFILLPATHNVPROC
epoxy_glStencilFillPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 43517 /* glStencilFillPathNV */);
}

static PFNGLSTENCILFUNCPROC
epoxy_glStencilFunc_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43537 /* "glStencilFunc" */,
        43537 /* "glStencilFunc" */,
        43537 /* "glStencilFunc" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43537 /* "glStencilFunc" */,
                                providers, entrypoints);
}

static PFNGLSTENCILFUNCSEPARATEPROC
epoxy_glStencilFuncSeparate_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43551 /* "glStencilFuncSeparate" */,
        43551 /* "glStencilFuncSeparate" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43551 /* "glStencilFuncSeparate" */,
                                providers, entrypoints);
}

static PFNGLSTENCILFUNCSEPARATEATIPROC
epoxy_glStencilFuncSeparateATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_separate_stencil, 43573 /* glStencilFuncSeparateATI */);
}

static PFNGLSTENCILMASKPROC
epoxy_glStencilMask_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43598 /* "glStencilMask" */,
        43598 /* "glStencilMask" */,
        43598 /* "glStencilMask" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43598 /* "glStencilMask" */,
                                providers, entrypoints);
}

static PFNGLSTENCILMASKSEPARATEPROC
epoxy_glStencilMaskSeparate_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43612 /* "glStencilMaskSeparate" */,
        43612 /* "glStencilMaskSeparate" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43612 /* "glStencilMaskSeparate" */,
                                providers, entrypoints);
}

static PFNGLSTENCILOPPROC
epoxy_glStencilOp_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43634 /* "glStencilOp" */,
        43634 /* "glStencilOp" */,
        43634 /* "glStencilOp" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43634 /* "glStencilOp" */,
                                providers, entrypoints);
}

static PFNGLSTENCILOPSEPARATEPROC
epoxy_glStencilOpSeparate_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ATI_separate_stencil,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43646 /* "glStencilOpSeparate" */,
        43646 /* "glStencilOpSeparate" */,
        43666 /* "glStencilOpSeparateATI" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43646 /* "glStencilOpSeparate" */,
                                providers, entrypoints);
}

static PFNGLSTENCILOPVALUEAMDPROC
epoxy_glStencilOpValueAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_stencil_operation_extended, 43689 /* glStencilOpValueAMD */);
}

static PFNGLSTENCILSTROKEPATHINSTANCEDNVPROC
epoxy_glStencilStrokePathInstancedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 43709 /* glStencilStrokePathInstancedNV */);
}

static PFNGLSTENCILSTROKEPATHNVPROC
epoxy_glStencilStrokePathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 43740 /* glStencilStrokePathNV */);
}

static PFNGLSTOPINSTRUMENTSSGIXPROC
epoxy_glStopInstrumentsSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_instruments, 43762 /* glStopInstrumentsSGIX */);
}

static PFNGLSTRINGMARKERGREMEDYPROC
epoxy_glStringMarkerGREMEDY_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_GREMEDY_string_marker, 43784 /* glStringMarkerGREMEDY */);
}

static PFNGLSWIZZLEEXTPROC
epoxy_glSwizzleEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 43806 /* glSwizzleEXT */);
}

static PFNGLSYNCTEXTUREINTELPROC
epoxy_glSyncTextureINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_map_texture, 43819 /* glSyncTextureINTEL */);
}

static PFNGLTAGSAMPLEBUFFERSGIXPROC
epoxy_glTagSampleBufferSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_tag_sample_buffer, 43838 /* glTagSampleBufferSGIX */);
}

static PFNGLTANGENT3BEXTPROC
epoxy_glTangent3bEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43860 /* glTangent3bEXT */);
}

static PFNGLTANGENT3BVEXTPROC
epoxy_glTangent3bvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43875 /* glTangent3bvEXT */);
}

static PFNGLTANGENT3DEXTPROC
epoxy_glTangent3dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43891 /* glTangent3dEXT */);
}

static PFNGLTANGENT3DVEXTPROC
epoxy_glTangent3dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43906 /* glTangent3dvEXT */);
}

static PFNGLTANGENT3FEXTPROC
epoxy_glTangent3fEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43922 /* glTangent3fEXT */);
}

static PFNGLTANGENT3FVEXTPROC
epoxy_glTangent3fvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43937 /* glTangent3fvEXT */);
}

static PFNGLTANGENT3IEXTPROC
epoxy_glTangent3iEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43953 /* glTangent3iEXT */);
}

static PFNGLTANGENT3IVEXTPROC
epoxy_glTangent3ivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43968 /* glTangent3ivEXT */);
}

static PFNGLTANGENT3SEXTPROC
epoxy_glTangent3sEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43984 /* glTangent3sEXT */);
}

static PFNGLTANGENT3SVEXTPROC
epoxy_glTangent3svEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43999 /* glTangent3svEXT */);
}

static PFNGLTANGENTPOINTEREXTPROC
epoxy_glTangentPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 44015 /* glTangentPointerEXT */);
}

static PFNGLTBUFFERMASK3DFXPROC
epoxy_glTbufferMask3DFX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_3DFX_tbuffer, 44035 /* glTbufferMask3DFX */);
}

static PFNGLTESSELLATIONFACTORAMDPROC
epoxy_glTessellationFactorAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_vertex_shader_tessellator, 44053 /* glTessellationFactorAMD */);
}

static PFNGLTESSELLATIONMODEAMDPROC
epoxy_glTessellationModeAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_vertex_shader_tessellator, 44077 /* glTessellationModeAMD */);
}

static PFNGLTESTFENCEAPPLEPROC
epoxy_glTestFenceAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 44099 /* glTestFenceAPPLE */);
}

static PFNGLTESTFENCENVPROC
epoxy_glTestFenceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 44116 /* glTestFenceNV */);
}

static PFNGLTESTOBJECTAPPLEPROC
epoxy_glTestObjectAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 44130 /* glTestObjectAPPLE */);
}

static PFNGLTEXBUFFERPROC
epoxy_glTexBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_1,
        GL_extension_GL_ARB_texture_buffer_object,
        GL_extension_GL_EXT_texture_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        44148 /* "glTexBuffer" */,
        44160 /* "glTexBufferARB" */,
        44175 /* "glTexBufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 44148 /* "glTexBuffer" */,
                                providers, entrypoints);
}

static PFNGLTEXBUFFERRANGEPROC
epoxy_glTexBufferRange_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_buffer_range,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        44190 /* "glTexBufferRange" */,
        44190 /* "glTexBufferRange" */,
    };
    return gl_provider_resolver(entrypoint_strings + 44190 /* "glTexBufferRange" */,
                                providers, entrypoints);
}

static PFNGLTEXBUMPPARAMETERFVATIPROC
epoxy_glTexBumpParameterfvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_envmap_bumpmap, 44207 /* glTexBumpParameterfvATI */);
}

static PFNGLTEXBUMPPARAMETERIVATIPROC
epoxy_glTexBumpParameterivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_envmap_bumpmap, 44231 /* glTexBumpParameterivATI */);
}

static PFNGLTEXCOORD1BOESPROC
epoxy_glTexCoord1bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 44255 /* glTexCoord1bOES */);
}

static PFNGLTEXCOORD1BVOESPROC
epoxy_glTexCoord1bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 44271 /* glTexCoord1bvOES */);
}

static PFNGLTEXCOORD1DPROC
epoxy_glTexCoord1d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44288 /* glTexCoord1d */);
}

static PFNGLTEXCOORD1DVPROC
epoxy_glTexCoord1dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44301 /* glTexCoord1dv */);
}

static PFNGLTEXCOORD1FPROC
epoxy_glTexCoord1f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44315 /* glTexCoord1f */);
}

static PFNGLTEXCOORD1FVPROC
epoxy_glTexCoord1fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44328 /* glTexCoord1fv */);
}

static PFNGLTEXCOORD1HNVPROC
epoxy_glTexCoord1hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 44342 /* glTexCoord1hNV */);
}

static PFNGLTEXCOORD1HVNVPROC
epoxy_glTexCoord1hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 44357 /* glTexCoord1hvNV */);
}

static PFNGLTEXCOORD1IPROC
epoxy_glTexCoord1i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44373 /* glTexCoord1i */);
}

static PFNGLTEXCOORD1IVPROC
epoxy_glTexCoord1iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44386 /* glTexCoord1iv */);
}

static PFNGLTEXCOORD1SPROC
epoxy_glTexCoord1s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44400 /* glTexCoord1s */);
}

static PFNGLTEXCOORD1SVPROC
epoxy_glTexCoord1sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44413 /* glTexCoord1sv */);
}

static PFNGLTEXCOORD1XOESPROC
epoxy_glTexCoord1xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 44427 /* glTexCoord1xOES */);
}

static PFNGLTEXCOORD1XVOESPROC
epoxy_glTexCoord1xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 44443 /* glTexCoord1xvOES */);
}

static PFNGLTEXCOORD2BOESPROC
epoxy_glTexCoord2bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 44460 /* glTexCoord2bOES */);
}

static PFNGLTEXCOORD2BVOESPROC
epoxy_glTexCoord2bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 44476 /* glTexCoord2bvOES */);
}

static PFNGLTEXCOORD2DPROC
epoxy_glTexCoord2d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44493 /* glTexCoord2d */);
}

static PFNGLTEXCOORD2DVPROC
epoxy_glTexCoord2dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44506 /* glTexCoord2dv */);
}

static PFNGLTEXCOORD2FPROC
epoxy_glTexCoord2f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44520 /* glTexCoord2f */);
}

static PFNGLTEXCOORD2FCOLOR3FVERTEX3FSUNPROC
epoxy_glTexCoord2fColor3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44533 /* glTexCoord2fColor3fVertex3fSUN */);
}

static PFNGLTEXCOORD2FCOLOR3FVERTEX3FVSUNPROC
epoxy_glTexCoord2fColor3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44564 /* glTexCoord2fColor3fVertex3fvSUN */);
}

static PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC
epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44596 /* glTexCoord2fColor4fNormal3fVertex3fSUN */);
}

static PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC
epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44635 /* glTexCoord2fColor4fNormal3fVertex3fvSUN */);
}

static PFNGLTEXCOORD2FCOLOR4UBVERTEX3FSUNPROC
epoxy_glTexCoord2fColor4ubVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44675 /* glTexCoord2fColor4ubVertex3fSUN */);
}

static PFNGLTEXCOORD2FCOLOR4UBVERTEX3FVSUNPROC
epoxy_glTexCoord2fColor4ubVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44707 /* glTexCoord2fColor4ubVertex3fvSUN */);
}

static PFNGLTEXCOORD2FNORMAL3FVERTEX3FSUNPROC
epoxy_glTexCoord2fNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44740 /* glTexCoord2fNormal3fVertex3fSUN */);
}

static PFNGLTEXCOORD2FNORMAL3FVERTEX3FVSUNPROC
epoxy_glTexCoord2fNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44772 /* glTexCoord2fNormal3fVertex3fvSUN */);
}

static PFNGLTEXCOORD2FVERTEX3FSUNPROC
epoxy_glTexCoord2fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44805 /* glTexCoord2fVertex3fSUN */);
}

static PFNGLTEXCOORD2FVERTEX3FVSUNPROC
epoxy_glTexCoord2fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44829 /* glTexCoord2fVertex3fvSUN */);
}

static PFNGLTEXCOORD2FVPROC
epoxy_glTexCoord2fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44854 /* glTexCoord2fv */);
}

static PFNGLTEXCOORD2HNVPROC
epoxy_glTexCoord2hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 44868 /* glTexCoord2hNV */);
}

static PFNGLTEXCOORD2HVNVPROC
epoxy_glTexCoord2hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 44883 /* glTexCoord2hvNV */);
}

static PFNGLTEXCOORD2IPROC
epoxy_glTexCoord2i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44899 /* glTexCoord2i */);
}

static PFNGLTEXCOORD2IVPROC
epoxy_glTexCoord2iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44912 /* glTexCoord2iv */);
}

static PFNGLTEXCOORD2SPROC
epoxy_glTexCoord2s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44926 /* glTexCoord2s */);
}

static PFNGLTEXCOORD2SVPROC
epoxy_glTexCoord2sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44939 /* glTexCoord2sv */);
}

static PFNGLTEXCOORD2XOESPROC
epoxy_glTexCoord2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 44953 /* glTexCoord2xOES */);
}

static PFNGLTEXCOORD2XVOESPROC
epoxy_glTexCoord2xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 44969 /* glTexCoord2xvOES */);
}

static PFNGLTEXCOORD3BOESPROC
epoxy_glTexCoord3bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 44986 /* glTexCoord3bOES */);
}

static PFNGLTEXCOORD3BVOESPROC
epoxy_glTexCoord3bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 45002 /* glTexCoord3bvOES */);
}

static PFNGLTEXCOORD3DPROC
epoxy_glTexCoord3d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45019 /* glTexCoord3d */);
}

static PFNGLTEXCOORD3DVPROC
epoxy_glTexCoord3dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45032 /* glTexCoord3dv */);
}

static PFNGLTEXCOORD3FPROC
epoxy_glTexCoord3f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45046 /* glTexCoord3f */);
}

static PFNGLTEXCOORD3FVPROC
epoxy_glTexCoord3fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45059 /* glTexCoord3fv */);
}

static PFNGLTEXCOORD3HNVPROC
epoxy_glTexCoord3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 45073 /* glTexCoord3hNV */);
}

static PFNGLTEXCOORD3HVNVPROC
epoxy_glTexCoord3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 45088 /* glTexCoord3hvNV */);
}

static PFNGLTEXCOORD3IPROC
epoxy_glTexCoord3i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45104 /* glTexCoord3i */);
}

static PFNGLTEXCOORD3IVPROC
epoxy_glTexCoord3iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45117 /* glTexCoord3iv */);
}

static PFNGLTEXCOORD3SPROC
epoxy_glTexCoord3s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45131 /* glTexCoord3s */);
}

static PFNGLTEXCOORD3SVPROC
epoxy_glTexCoord3sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45144 /* glTexCoord3sv */);
}

static PFNGLTEXCOORD3XOESPROC
epoxy_glTexCoord3xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45158 /* glTexCoord3xOES */);
}

static PFNGLTEXCOORD3XVOESPROC
epoxy_glTexCoord3xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45174 /* glTexCoord3xvOES */);
}

static PFNGLTEXCOORD4BOESPROC
epoxy_glTexCoord4bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 45191 /* glTexCoord4bOES */);
}

static PFNGLTEXCOORD4BVOESPROC
epoxy_glTexCoord4bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 45207 /* glTexCoord4bvOES */);
}

static PFNGLTEXCOORD4DPROC
epoxy_glTexCoord4d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45224 /* glTexCoord4d */);
}

static PFNGLTEXCOORD4DVPROC
epoxy_glTexCoord4dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45237 /* glTexCoord4dv */);
}

static PFNGLTEXCOORD4FPROC
epoxy_glTexCoord4f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45251 /* glTexCoord4f */);
}

static PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FSUNPROC
epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 45264 /* glTexCoord4fColor4fNormal3fVertex4fSUN */);
}

static PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FVSUNPROC
epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 45303 /* glTexCoord4fColor4fNormal3fVertex4fvSUN */);
}

static PFNGLTEXCOORD4FVERTEX4FSUNPROC
epoxy_glTexCoord4fVertex4fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 45343 /* glTexCoord4fVertex4fSUN */);
}

static PFNGLTEXCOORD4FVERTEX4FVSUNPROC
epoxy_glTexCoord4fVertex4fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 45367 /* glTexCoord4fVertex4fvSUN */);
}

static PFNGLTEXCOORD4FVPROC
epoxy_glTexCoord4fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45392 /* glTexCoord4fv */);
}

static PFNGLTEXCOORD4HNVPROC
epoxy_glTexCoord4hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 45406 /* glTexCoord4hNV */);
}

static PFNGLTEXCOORD4HVNVPROC
epoxy_glTexCoord4hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 45421 /* glTexCoord4hvNV */);
}

static PFNGLTEXCOORD4IPROC
epoxy_glTexCoord4i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45437 /* glTexCoord4i */);
}

static PFNGLTEXCOORD4IVPROC
epoxy_glTexCoord4iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45450 /* glTexCoord4iv */);
}

static PFNGLTEXCOORD4SPROC
epoxy_glTexCoord4s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45464 /* glTexCoord4s */);
}

static PFNGLTEXCOORD4SVPROC
epoxy_glTexCoord4sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45477 /* glTexCoord4sv */);
}

static PFNGLTEXCOORD4XOESPROC
epoxy_glTexCoord4xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45491 /* glTexCoord4xOES */);
}

static PFNGLTEXCOORD4XVOESPROC
epoxy_glTexCoord4xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45507 /* glTexCoord4xvOES */);
}

static PFNGLTEXCOORDFORMATNVPROC
epoxy_glTexCoordFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 45524 /* glTexCoordFormatNV */);
}

static PFNGLTEXCOORDP1UIPROC
epoxy_glTexCoordP1ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45543 /* "glTexCoordP1ui" */,
        45543 /* "glTexCoordP1ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45543 /* "glTexCoordP1ui" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP1UIVPROC
epoxy_glTexCoordP1uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45558 /* "glTexCoordP1uiv" */,
        45558 /* "glTexCoordP1uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45558 /* "glTexCoordP1uiv" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP2UIPROC
epoxy_glTexCoordP2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45574 /* "glTexCoordP2ui" */,
        45574 /* "glTexCoordP2ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45574 /* "glTexCoordP2ui" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP2UIVPROC
epoxy_glTexCoordP2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45589 /* "glTexCoordP2uiv" */,
        45589 /* "glTexCoordP2uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45589 /* "glTexCoordP2uiv" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP3UIPROC
epoxy_glTexCoordP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45605 /* "glTexCoordP3ui" */,
        45605 /* "glTexCoordP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45605 /* "glTexCoordP3ui" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP3UIVPROC
epoxy_glTexCoordP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45620 /* "glTexCoordP3uiv" */,
        45620 /* "glTexCoordP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45620 /* "glTexCoordP3uiv" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP4UIPROC
epoxy_glTexCoordP4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45636 /* "glTexCoordP4ui" */,
        45636 /* "glTexCoordP4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45636 /* "glTexCoordP4ui" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP4UIVPROC
epoxy_glTexCoordP4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45651 /* "glTexCoordP4uiv" */,
        45651 /* "glTexCoordP4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45651 /* "glTexCoordP4uiv" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDPOINTERPROC
epoxy_glTexCoordPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45667 /* "glTexCoordPointer" */,
        45667 /* "glTexCoordPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45667 /* "glTexCoordPointer" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDPOINTEREXTPROC
epoxy_glTexCoordPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_array, 45685 /* glTexCoordPointerEXT */);
}

static PFNGLTEXCOORDPOINTERLISTIBMPROC
epoxy_glTexCoordPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 45706 /* glTexCoordPointerListIBM */);
}

static PFNGLTEXCOORDPOINTERVINTELPROC
epoxy_glTexCoordPointervINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_parallel_arrays, 45731 /* glTexCoordPointervINTEL */);
}

static PFNGLTEXENVFPROC
epoxy_glTexEnvf_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45755 /* "glTexEnvf" */,
        45755 /* "glTexEnvf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45755 /* "glTexEnvf" */,
                                providers, entrypoints);
}

static PFNGLTEXENVFVPROC
epoxy_glTexEnvfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45765 /* "glTexEnvfv" */,
        45765 /* "glTexEnvfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45765 /* "glTexEnvfv" */,
                                providers, entrypoints);
}

static PFNGLTEXENVIPROC
epoxy_glTexEnvi_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45776 /* "glTexEnvi" */,
        45776 /* "glTexEnvi" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45776 /* "glTexEnvi" */,
                                providers, entrypoints);
}

static PFNGLTEXENVIVPROC
epoxy_glTexEnviv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45786 /* "glTexEnviv" */,
        45786 /* "glTexEnviv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45786 /* "glTexEnviv" */,
                                providers, entrypoints);
}

static PFNGLTEXENVXPROC
epoxy_glTexEnvx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 45797 /* glTexEnvx */);
}

static PFNGLTEXENVXOESPROC
epoxy_glTexEnvxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45807 /* glTexEnvxOES */);
}

static PFNGLTEXENVXVPROC
epoxy_glTexEnvxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 45820 /* glTexEnvxv */);
}

static PFNGLTEXENVXVOESPROC
epoxy_glTexEnvxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45831 /* glTexEnvxvOES */);
}

static PFNGLTEXFILTERFUNCSGISPROC
epoxy_glTexFilterFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_texture_filter4, 45845 /* glTexFilterFuncSGIS */);
}

static PFNGLTEXGENDPROC
epoxy_glTexGend_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45865 /* glTexGend */);
}

static PFNGLTEXGENDVPROC
epoxy_glTexGendv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45875 /* glTexGendv */);
}

static PFNGLTEXGENFPROC
epoxy_glTexGenf_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45886 /* glTexGenf */);
}

static PFNGLTEXGENFOESPROC
epoxy_glTexGenfOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_texture_cube_map, 45896 /* glTexGenfOES */);
}

static PFNGLTEXGENFVPROC
epoxy_glTexGenfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45909 /* glTexGenfv */);
}

static PFNGLTEXGENFVOESPROC
epoxy_glTexGenfvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_texture_cube_map, 45920 /* glTexGenfvOES */);
}

static PFNGLTEXGENIPROC
epoxy_glTexGeni_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45934 /* glTexGeni */);
}

static PFNGLTEXGENIOESPROC
epoxy_glTexGeniOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_texture_cube_map, 45944 /* glTexGeniOES */);
}

static PFNGLTEXGENIVPROC
epoxy_glTexGeniv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45957 /* glTexGeniv */);
}

static PFNGLTEXGENIVOESPROC
epoxy_glTexGenivOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_texture_cube_map, 45968 /* glTexGenivOES */);
}

static PFNGLTEXGENXOESPROC
epoxy_glTexGenxOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_fixed_point,
        GL_extension_GL_OES_texture_cube_map,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45982 /* "glTexGenxOES" */,
        45982 /* "glTexGenxOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45982 /* "glTexGenxOES" */,
                                providers, entrypoints);
}

static PFNGLTEXGENXVOESPROC
epoxy_glTexGenxvOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_fixed_point,
        GL_extension_GL_OES_texture_cube_map,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45995 /* "glTexGenxvOES" */,
        45995 /* "glTexGenxvOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45995 /* "glTexGenxvOES" */,
                                providers, entrypoints);
}

static PFNGLTEXIMAGE1DPROC
epoxy_glTexImage1D_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 46009 /* glTexImage1D */);
}

static PFNGLTEXIMAGE2DPROC
epoxy_glTexImage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46022 /* "glTexImage2D" */,
        46022 /* "glTexImage2D" */,
        46022 /* "glTexImage2D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46022 /* "glTexImage2D" */,
                                providers, entrypoints);
}

static PFNGLTEXIMAGE2DMULTISAMPLEPROC
epoxy_glTexImage2DMultisample_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_multisample,
        Desktop_OpenGL_3_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46035 /* "glTexImage2DMultisample" */,
        46035 /* "glTexImage2DMultisample" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46035 /* "glTexImage2DMultisample" */,
                                providers, entrypoints);
}

static PFNGLTEXIMAGE2DMULTISAMPLECOVERAGENVPROC
epoxy_glTexImage2DMultisampleCoverageNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_multisample, 46059 /* glTexImage2DMultisampleCoverageNV */);
}

static PFNGLTEXIMAGE3DPROC
epoxy_glTexImage3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_2,
        GL_extension_GL_OES_texture_3D,
        GL_extension_GL_EXT_texture3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46093 /* "glTexImage3D" */,
        46093 /* "glTexImage3D" */,
        46180 /* "glTexImage3DOES" */,
        46106 /* "glTexImage3DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46093 /* "glTexImage3D" */,
                                providers, entrypoints);
}

static PFNGLTEXIMAGE3DMULTISAMPLEPROC
epoxy_glTexImage3DMultisample_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_multisample,
        Desktop_OpenGL_3_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46122 /* "glTexImage3DMultisample" */,
        46122 /* "glTexImage3DMultisample" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46122 /* "glTexImage3DMultisample" */,
                                providers, entrypoints);
}

static PFNGLTEXIMAGE3DMULTISAMPLECOVERAGENVPROC
epoxy_glTexImage3DMultisampleCoverageNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_multisample, 46146 /* glTexImage3DMultisampleCoverageNV */);
}

static PFNGLTEXIMAGE4DSGISPROC
epoxy_glTexImage4DSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_texture4D, 46196 /* glTexImage4DSGIS */);
}

static PFNGLTEXPAGECOMMITMENTARBPROC
epoxy_glTexPageCommitmentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_sparse_texture, 46213 /* glTexPageCommitmentARB */);
}

static PFNGLTEXPARAMETERIIVPROC
epoxy_glTexParameterIiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_texture_integer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46236 /* "glTexParameterIiv" */,
        46254 /* "glTexParameterIivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46236 /* "glTexParameterIiv" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERIUIVPROC
epoxy_glTexParameterIuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_texture_integer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46275 /* "glTexParameterIuiv" */,
        46294 /* "glTexParameterIuivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46275 /* "glTexParameterIuiv" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERFPROC
epoxy_glTexParameterf_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46316 /* "glTexParameterf" */,
        46316 /* "glTexParameterf" */,
        46316 /* "glTexParameterf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46316 /* "glTexParameterf" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERFVPROC
epoxy_glTexParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46332 /* "glTexParameterfv" */,
        46332 /* "glTexParameterfv" */,
        46332 /* "glTexParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46332 /* "glTexParameterfv" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERIPROC
epoxy_glTexParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46349 /* "glTexParameteri" */,
        46349 /* "glTexParameteri" */,
        46349 /* "glTexParameteri" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46349 /* "glTexParameteri" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERIVPROC
epoxy_glTexParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46365 /* "glTexParameteriv" */,
        46365 /* "glTexParameteriv" */,
        46365 /* "glTexParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46365 /* "glTexParameteriv" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERXPROC
epoxy_glTexParameterx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 46382 /* glTexParameterx */);
}

static PFNGLTEXPARAMETERXOESPROC
epoxy_glTexParameterxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 46398 /* glTexParameterxOES */);
}

static PFNGLTEXPARAMETERXVPROC
epoxy_glTexParameterxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 46417 /* glTexParameterxv */);
}

static PFNGLTEXPARAMETERXVOESPROC
epoxy_glTexParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 46434 /* glTexParameterxvOES */);
}

static PFNGLTEXRENDERBUFFERNVPROC
epoxy_glTexRenderbufferNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_explicit_multisample, 46454 /* glTexRenderbufferNV */);
}

static PFNGLTEXSTORAGE1DPROC
epoxy_glTexStorage1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_storage,
        Desktop_OpenGL_4_2,
        GL_extension_GL_EXT_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46474 /* "glTexStorage1D" */,
        46474 /* "glTexStorage1D" */,
        46489 /* "glTexStorage1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46474 /* "glTexStorage1D" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGE2DPROC
epoxy_glTexStorage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_storage,
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_2,
        GL_extension_GL_EXT_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46507 /* "glTexStorage2D" */,
        46507 /* "glTexStorage2D" */,
        46507 /* "glTexStorage2D" */,
        46522 /* "glTexStorage2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46507 /* "glTexStorage2D" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGE2DMULTISAMPLEPROC
epoxy_glTexStorage2DMultisample_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_texture_storage_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46540 /* "glTexStorage2DMultisample" */,
        46540 /* "glTexStorage2DMultisample" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46540 /* "glTexStorage2DMultisample" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGE3DPROC
epoxy_glTexStorage3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_storage,
        OpenGL_ES_3_0,
        Desktop_OpenGL_4_2,
        GL_extension_GL_EXT_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46566 /* "glTexStorage3D" */,
        46566 /* "glTexStorage3D" */,
        46566 /* "glTexStorage3D" */,
        46581 /* "glTexStorage3DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46566 /* "glTexStorage3D" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGE3DMULTISAMPLEPROC
epoxy_glTexStorage3DMultisample_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_texture_storage_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46599 /* "glTexStorage3DMultisample" */,
        46599 /* "glTexStorage3DMultisample" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46599 /* "glTexStorage3DMultisample" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGESPARSEAMDPROC
epoxy_glTexStorageSparseAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_sparse_texture, 46625 /* glTexStorageSparseAMD */);
}

static PFNGLTEXSUBIMAGE1DPROC
epoxy_glTexSubImage1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_subtexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46647 /* "glTexSubImage1D" */,
        46663 /* "glTexSubImage1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46647 /* "glTexSubImage1D" */,
                                providers, entrypoints);
}

static PFNGLTEXSUBIMAGE2DPROC
epoxy_glTexSubImage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_subtexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46682 /* "glTexSubImage2D" */,
        46682 /* "glTexSubImage2D" */,
        46682 /* "glTexSubImage2D" */,
        46698 /* "glTexSubImage2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46682 /* "glTexSubImage2D" */,
                                providers, entrypoints);
}

static PFNGLTEXSUBIMAGE3DPROC
epoxy_glTexSubImage3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_2,
        GL_extension_GL_EXT_texture3D,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46717 /* "glTexSubImage3D" */,
        46717 /* "glTexSubImage3D" */,
        46733 /* "glTexSubImage3DEXT" */,
        46752 /* "glTexSubImage3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46717 /* "glTexSubImage3D" */,
                                providers, entrypoints);
}

static PFNGLTEXSUBIMAGE4DSGISPROC
epoxy_glTexSubImage4DSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_texture4D, 46771 /* glTexSubImage4DSGIS */);
}

static PFNGLTEXTUREBARRIERNVPROC
epoxy_glTextureBarrierNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_barrier, 46791 /* glTextureBarrierNV */);
}

static PFNGLTEXTUREBUFFEREXTPROC
epoxy_glTextureBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 46810 /* glTextureBufferEXT */);
}

static PFNGLTEXTUREBUFFERRANGEEXTPROC
epoxy_glTextureBufferRangeEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 46829 /* glTextureBufferRangeEXT */);
}

static PFNGLTEXTURECOLORMASKSGISPROC
epoxy_glTextureColorMaskSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_texture_color_mask, 46853 /* glTextureColorMaskSGIS */);
}

static PFNGLTEXTUREIMAGE1DEXTPROC
epoxy_glTextureImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 46876 /* glTextureImage1DEXT */);
}

static PFNGLTEXTUREIMAGE2DEXTPROC
epoxy_glTextureImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 46896 /* glTextureImage2DEXT */);
}

static PFNGLTEXTUREIMAGE2DMULTISAMPLECOVERAGENVPROC
epoxy_glTextureImage2DMultisampleCoverageNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_multisample, 46916 /* glTextureImage2DMultisampleCoverageNV */);
}

static PFNGLTEXTUREIMAGE2DMULTISAMPLENVPROC
epoxy_glTextureImage2DMultisampleNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_multisample, 46954 /* glTextureImage2DMultisampleNV */);
}

static PFNGLTEXTUREIMAGE3DEXTPROC
epoxy_glTextureImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 46984 /* glTextureImage3DEXT */);
}

static PFNGLTEXTUREIMAGE3DMULTISAMPLECOVERAGENVPROC
epoxy_glTextureImage3DMultisampleCoverageNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_multisample, 47004 /* glTextureImage3DMultisampleCoverageNV */);
}

static PFNGLTEXTUREIMAGE3DMULTISAMPLENVPROC
epoxy_glTextureImage3DMultisampleNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_multisample, 47042 /* glTextureImage3DMultisampleNV */);
}

static PFNGLTEXTURELIGHTEXTPROC
epoxy_glTextureLightEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_light_texture, 47072 /* glTextureLightEXT */);
}

static PFNGLTEXTUREMATERIALEXTPROC
epoxy_glTextureMaterialEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_light_texture, 47090 /* glTextureMaterialEXT */);
}

static PFNGLTEXTURENORMALEXTPROC
epoxy_glTextureNormalEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_perturb_normal, 47111 /* glTextureNormalEXT */);
}

static PFNGLTEXTUREPAGECOMMITMENTEXTPROC
epoxy_glTexturePageCommitmentEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47130 /* glTexturePageCommitmentEXT */);
}

static PFNGLTEXTUREPARAMETERIIVEXTPROC
epoxy_glTextureParameterIivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47157 /* glTextureParameterIivEXT */);
}

static PFNGLTEXTUREPARAMETERIUIVEXTPROC
epoxy_glTextureParameterIuivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47182 /* glTextureParameterIuivEXT */);
}

static PFNGLTEXTUREPARAMETERFEXTPROC
epoxy_glTextureParameterfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47208 /* glTextureParameterfEXT */);
}

static PFNGLTEXTUREPARAMETERFVEXTPROC
epoxy_glTextureParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47231 /* glTextureParameterfvEXT */);
}

static PFNGLTEXTUREPARAMETERIEXTPROC
epoxy_glTextureParameteriEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47255 /* glTextureParameteriEXT */);
}

static PFNGLTEXTUREPARAMETERIVEXTPROC
epoxy_glTextureParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47278 /* glTextureParameterivEXT */);
}

static PFNGLTEXTURERANGEAPPLEPROC
epoxy_glTextureRangeAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_texture_range, 47302 /* glTextureRangeAPPLE */);
}

static PFNGLTEXTURERENDERBUFFEREXTPROC
epoxy_glTextureRenderbufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47322 /* glTextureRenderbufferEXT */);
}

static PFNGLTEXTURESTORAGE1DEXTPROC
epoxy_glTextureStorage1DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47347 /* "glTextureStorage1DEXT" */,
        47347 /* "glTextureStorage1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47347 /* "glTextureStorage1DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXTURESTORAGE2DEXTPROC
epoxy_glTextureStorage2DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47369 /* "glTextureStorage2DEXT" */,
        47369 /* "glTextureStorage2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47369 /* "glTextureStorage2DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXTURESTORAGE2DMULTISAMPLEEXTPROC
epoxy_glTextureStorage2DMultisampleEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47391 /* glTextureStorage2DMultisampleEXT */);
}

static PFNGLTEXTURESTORAGE3DEXTPROC
epoxy_glTextureStorage3DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47424 /* "glTextureStorage3DEXT" */,
        47424 /* "glTextureStorage3DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47424 /* "glTextureStorage3DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXTURESTORAGE3DMULTISAMPLEEXTPROC
epoxy_glTextureStorage3DMultisampleEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47446 /* glTextureStorage3DMultisampleEXT */);
}

static PFNGLTEXTURESTORAGESPARSEAMDPROC
epoxy_glTextureStorageSparseAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_sparse_texture, 47479 /* glTextureStorageSparseAMD */);
}

static PFNGLTEXTURESUBIMAGE1DEXTPROC
epoxy_glTextureSubImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47505 /* glTextureSubImage1DEXT */);
}

static PFNGLTEXTURESUBIMAGE2DEXTPROC
epoxy_glTextureSubImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47528 /* glTextureSubImage2DEXT */);
}

static PFNGLTEXTURESUBIMAGE3DEXTPROC
epoxy_glTextureSubImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47551 /* glTextureSubImage3DEXT */);
}

static PFNGLTEXTUREVIEWPROC
epoxy_glTextureView_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_view,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47574 /* "glTextureView" */,
        47574 /* "glTextureView" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47574 /* "glTextureView" */,
                                providers, entrypoints);
}

static PFNGLTRACKMATRIXNVPROC
epoxy_glTrackMatrixNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 47588 /* glTrackMatrixNV */);
}

static PFNGLTRANSFORMFEEDBACKATTRIBSNVPROC
epoxy_glTransformFeedbackAttribsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 47604 /* glTransformFeedbackAttribsNV */);
}

static PFNGLTRANSFORMFEEDBACKSTREAMATTRIBSNVPROC
epoxy_glTransformFeedbackStreamAttribsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 47633 /* glTransformFeedbackStreamAttribsNV */);
}

static PFNGLTRANSFORMFEEDBACKVARYINGSPROC
epoxy_glTransformFeedbackVaryings_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47668 /* "glTransformFeedbackVaryings" */,
        47668 /* "glTransformFeedbackVaryings" */,
        47696 /* "glTransformFeedbackVaryingsEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47668 /* "glTransformFeedbackVaryings" */,
                                providers, entrypoints);
}

static PFNGLTRANSFORMFEEDBACKVARYINGSNVPROC
epoxy_glTransformFeedbackVaryingsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 47727 /* glTransformFeedbackVaryingsNV */);
}

static PFNGLTRANSFORMPATHNVPROC
epoxy_glTransformPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 47757 /* glTransformPathNV */);
}

static PFNGLTRANSLATEDPROC
epoxy_glTranslated_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 47775 /* glTranslated */);
}

static PFNGLTRANSLATEFPROC
epoxy_glTranslatef_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47788 /* "glTranslatef" */,
        47788 /* "glTranslatef" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47788 /* "glTranslatef" */,
                                providers, entrypoints);
}

static PFNGLTRANSLATEXPROC
epoxy_glTranslatex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 47801 /* glTranslatex */);
}

static PFNGLTRANSLATEXOESPROC
epoxy_glTranslatexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 47814 /* glTranslatexOES */);
}

static PFNGLUNIFORM1DPROC
epoxy_glUniform1d_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47830 /* "glUniform1d" */,
        47830 /* "glUniform1d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47830 /* "glUniform1d" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1DVPROC
epoxy_glUniform1dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47842 /* "glUniform1dv" */,
        47842 /* "glUniform1dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47842 /* "glUniform1dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1FPROC
epoxy_glUniform1f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47855 /* "glUniform1f" */,
        47855 /* "glUniform1f" */,
        47867 /* "glUniform1fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47855 /* "glUniform1f" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1FVPROC
epoxy_glUniform1fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47882 /* "glUniform1fv" */,
        47882 /* "glUniform1fv" */,
        47895 /* "glUniform1fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47882 /* "glUniform1fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1IPROC
epoxy_glUniform1i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47911 /* "glUniform1i" */,
        47911 /* "glUniform1i" */,
        47956 /* "glUniform1iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47911 /* "glUniform1i" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1I64NVPROC
epoxy_glUniform1i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 47923 /* glUniform1i64NV */);
}

static PFNGLUNIFORM1I64VNVPROC
epoxy_glUniform1i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 47939 /* glUniform1i64vNV */);
}

static PFNGLUNIFORM1IVPROC
epoxy_glUniform1iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47971 /* "glUniform1iv" */,
        47971 /* "glUniform1iv" */,
        47984 /* "glUniform1ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47971 /* "glUniform1iv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1UIPROC
epoxy_glUniform1ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48000 /* "glUniform1ui" */,
        48000 /* "glUniform1ui" */,
        48048 /* "glUniform1uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48000 /* "glUniform1ui" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1UI64NVPROC
epoxy_glUniform1ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48013 /* glUniform1ui64NV */);
}

static PFNGLUNIFORM1UI64VNVPROC
epoxy_glUniform1ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48030 /* glUniform1ui64vNV */);
}

static PFNGLUNIFORM1UIVPROC
epoxy_glUniform1uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48064 /* "glUniform1uiv" */,
        48064 /* "glUniform1uiv" */,
        48078 /* "glUniform1uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48064 /* "glUniform1uiv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2DPROC
epoxy_glUniform2d_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48095 /* "glUniform2d" */,
        48095 /* "glUniform2d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48095 /* "glUniform2d" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2DVPROC
epoxy_glUniform2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48107 /* "glUniform2dv" */,
        48107 /* "glUniform2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48107 /* "glUniform2dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2FPROC
epoxy_glUniform2f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48120 /* "glUniform2f" */,
        48120 /* "glUniform2f" */,
        48132 /* "glUniform2fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48120 /* "glUniform2f" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2FVPROC
epoxy_glUniform2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48147 /* "glUniform2fv" */,
        48147 /* "glUniform2fv" */,
        48160 /* "glUniform2fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48147 /* "glUniform2fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2IPROC
epoxy_glUniform2i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48176 /* "glUniform2i" */,
        48176 /* "glUniform2i" */,
        48221 /* "glUniform2iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48176 /* "glUniform2i" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2I64NVPROC
epoxy_glUniform2i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48188 /* glUniform2i64NV */);
}

static PFNGLUNIFORM2I64VNVPROC
epoxy_glUniform2i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48204 /* glUniform2i64vNV */);
}

static PFNGLUNIFORM2IVPROC
epoxy_glUniform2iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48236 /* "glUniform2iv" */,
        48236 /* "glUniform2iv" */,
        48249 /* "glUniform2ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48236 /* "glUniform2iv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2UIPROC
epoxy_glUniform2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48265 /* "glUniform2ui" */,
        48265 /* "glUniform2ui" */,
        48313 /* "glUniform2uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48265 /* "glUniform2ui" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2UI64NVPROC
epoxy_glUniform2ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48278 /* glUniform2ui64NV */);
}

static PFNGLUNIFORM2UI64VNVPROC
epoxy_glUniform2ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48295 /* glUniform2ui64vNV */);
}

static PFNGLUNIFORM2UIVPROC
epoxy_glUniform2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48329 /* "glUniform2uiv" */,
        48329 /* "glUniform2uiv" */,
        48343 /* "glUniform2uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48329 /* "glUniform2uiv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3DPROC
epoxy_glUniform3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48360 /* "glUniform3d" */,
        48360 /* "glUniform3d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48360 /* "glUniform3d" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3DVPROC
epoxy_glUniform3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48372 /* "glUniform3dv" */,
        48372 /* "glUniform3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48372 /* "glUniform3dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3FPROC
epoxy_glUniform3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48385 /* "glUniform3f" */,
        48385 /* "glUniform3f" */,
        48397 /* "glUniform3fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48385 /* "glUniform3f" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3FVPROC
epoxy_glUniform3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48412 /* "glUniform3fv" */,
        48412 /* "glUniform3fv" */,
        48425 /* "glUniform3fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48412 /* "glUniform3fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3IPROC
epoxy_glUniform3i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48441 /* "glUniform3i" */,
        48441 /* "glUniform3i" */,
        48486 /* "glUniform3iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48441 /* "glUniform3i" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3I64NVPROC
epoxy_glUniform3i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48453 /* glUniform3i64NV */);
}

static PFNGLUNIFORM3I64VNVPROC
epoxy_glUniform3i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48469 /* glUniform3i64vNV */);
}

static PFNGLUNIFORM3IVPROC
epoxy_glUniform3iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48501 /* "glUniform3iv" */,
        48501 /* "glUniform3iv" */,
        48514 /* "glUniform3ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48501 /* "glUniform3iv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3UIPROC
epoxy_glUniform3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48530 /* "glUniform3ui" */,
        48530 /* "glUniform3ui" */,
        48578 /* "glUniform3uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48530 /* "glUniform3ui" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3UI64NVPROC
epoxy_glUniform3ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48543 /* glUniform3ui64NV */);
}

static PFNGLUNIFORM3UI64VNVPROC
epoxy_glUniform3ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48560 /* glUniform3ui64vNV */);
}

static PFNGLUNIFORM3UIVPROC
epoxy_glUniform3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48594 /* "glUniform3uiv" */,
        48594 /* "glUniform3uiv" */,
        48608 /* "glUniform3uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48594 /* "glUniform3uiv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4DPROC
epoxy_glUniform4d_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48625 /* "glUniform4d" */,
        48625 /* "glUniform4d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48625 /* "glUniform4d" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4DVPROC
epoxy_glUniform4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48637 /* "glUniform4dv" */,
        48637 /* "glUniform4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48637 /* "glUniform4dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4FPROC
epoxy_glUniform4f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48650 /* "glUniform4f" */,
        48650 /* "glUniform4f" */,
        48662 /* "glUniform4fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48650 /* "glUniform4f" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4FVPROC
epoxy_glUniform4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48677 /* "glUniform4fv" */,
        48677 /* "glUniform4fv" */,
        48690 /* "glUniform4fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48677 /* "glUniform4fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4IPROC
epoxy_glUniform4i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48706 /* "glUniform4i" */,
        48706 /* "glUniform4i" */,
        48751 /* "glUniform4iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48706 /* "glUniform4i" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4I64NVPROC
epoxy_glUniform4i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48718 /* glUniform4i64NV */);
}

static PFNGLUNIFORM4I64VNVPROC
epoxy_glUniform4i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48734 /* glUniform4i64vNV */);
}

static PFNGLUNIFORM4IVPROC
epoxy_glUniform4iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48766 /* "glUniform4iv" */,
        48766 /* "glUniform4iv" */,
        48779 /* "glUniform4ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48766 /* "glUniform4iv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4UIPROC
epoxy_glUniform4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48795 /* "glUniform4ui" */,
        48795 /* "glUniform4ui" */,
        48843 /* "glUniform4uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48795 /* "glUniform4ui" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4UI64NVPROC
epoxy_glUniform4ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48808 /* glUniform4ui64NV */);
}

static PFNGLUNIFORM4UI64VNVPROC
epoxy_glUniform4ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_shader5, 48825 /* glUniform4ui64vNV */);
}

static PFNGLUNIFORM4UIVPROC
epoxy_glUniform4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48859 /* "glUniform4uiv" */,
        48859 /* "glUniform4uiv" */,
        48873 /* "glUniform4uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48859 /* "glUniform4uiv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMBLOCKBINDINGPROC
epoxy_glUniformBlockBinding_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_1,
        GL_extension_GL_ARB_uniform_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48890 /* "glUniformBlockBinding" */,
        48890 /* "glUniformBlockBinding" */,
        48890 /* "glUniformBlockBinding" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48890 /* "glUniformBlockBinding" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMBUFFEREXTPROC
epoxy_glUniformBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_bindable_uniform, 48912 /* glUniformBufferEXT */);
}

static PFNGLUNIFORMHANDLEUI64ARBPROC
epoxy_glUniformHandleui64ARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 48931 /* glUniformHandleui64ARB */);
}

static PFNGLUNIFORMHANDLEUI64NVPROC
epoxy_glUniformHandleui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 48954 /* glUniformHandleui64NV */);
}

static PFNGLUNIFORMHANDLEUI64VARBPROC
epoxy_glUniformHandleui64vARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 48976 /* glUniformHandleui64vARB */);
}

static PFNGLUNIFORMHANDLEUI64VNVPROC
epoxy_glUniformHandleui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 49000 /* glUniformHandleui64vNV */);
}

static PFNGLUNIFORMMATRIX2DVPROC
epoxy_glUniformMatrix2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49023 /* "glUniformMatrix2dv" */,
        49023 /* "glUniformMatrix2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49023 /* "glUniformMatrix2dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2FVPROC
epoxy_glUniformMatrix2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49042 /* "glUniformMatrix2fv" */,
        49042 /* "glUniformMatrix2fv" */,
        49061 /* "glUniformMatrix2fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49042 /* "glUniformMatrix2fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2X3DVPROC
epoxy_glUniformMatrix2x3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49083 /* "glUniformMatrix2x3dv" */,
        49083 /* "glUniformMatrix2x3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49083 /* "glUniformMatrix2x3dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2X3FVPROC
epoxy_glUniformMatrix2x3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_1,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_non_square_matrices,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49104 /* "glUniformMatrix2x3fv" */,
        49104 /* "glUniformMatrix2x3fv" */,
        49125 /* "glUniformMatrix2x3fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49104 /* "glUniformMatrix2x3fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2X4DVPROC
epoxy_glUniformMatrix2x4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49148 /* "glUniformMatrix2x4dv" */,
        49148 /* "glUniformMatrix2x4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49148 /* "glUniformMatrix2x4dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2X4FVPROC
epoxy_glUniformMatrix2x4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_1,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_non_square_matrices,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49169 /* "glUniformMatrix2x4fv" */,
        49169 /* "glUniformMatrix2x4fv" */,
        49190 /* "glUniformMatrix2x4fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49169 /* "glUniformMatrix2x4fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3DVPROC
epoxy_glUniformMatrix3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49213 /* "glUniformMatrix3dv" */,
        49213 /* "glUniformMatrix3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49213 /* "glUniformMatrix3dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3FVPROC
epoxy_glUniformMatrix3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49232 /* "glUniformMatrix3fv" */,
        49232 /* "glUniformMatrix3fv" */,
        49251 /* "glUniformMatrix3fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49232 /* "glUniformMatrix3fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3X2DVPROC
epoxy_glUniformMatrix3x2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49273 /* "glUniformMatrix3x2dv" */,
        49273 /* "glUniformMatrix3x2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49273 /* "glUniformMatrix3x2dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3X2FVPROC
epoxy_glUniformMatrix3x2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_1,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_non_square_matrices,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49294 /* "glUniformMatrix3x2fv" */,
        49294 /* "glUniformMatrix3x2fv" */,
        49315 /* "glUniformMatrix3x2fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49294 /* "glUniformMatrix3x2fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3X4DVPROC
epoxy_glUniformMatrix3x4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49338 /* "glUniformMatrix3x4dv" */,
        49338 /* "glUniformMatrix3x4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49338 /* "glUniformMatrix3x4dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3X4FVPROC
epoxy_glUniformMatrix3x4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_1,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_non_square_matrices,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49359 /* "glUniformMatrix3x4fv" */,
        49359 /* "glUniformMatrix3x4fv" */,
        49380 /* "glUniformMatrix3x4fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49359 /* "glUniformMatrix3x4fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4DVPROC
epoxy_glUniformMatrix4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49403 /* "glUniformMatrix4dv" */,
        49403 /* "glUniformMatrix4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49403 /* "glUniformMatrix4dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4FVPROC
epoxy_glUniformMatrix4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49422 /* "glUniformMatrix4fv" */,
        49422 /* "glUniformMatrix4fv" */,
        49441 /* "glUniformMatrix4fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49422 /* "glUniformMatrix4fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4X2DVPROC
epoxy_glUniformMatrix4x2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49463 /* "glUniformMatrix4x2dv" */,
        49463 /* "glUniformMatrix4x2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49463 /* "glUniformMatrix4x2dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4X2FVPROC
epoxy_glUniformMatrix4x2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_1,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_non_square_matrices,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49484 /* "glUniformMatrix4x2fv" */,
        49484 /* "glUniformMatrix4x2fv" */,
        49505 /* "glUniformMatrix4x2fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49484 /* "glUniformMatrix4x2fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4X3DVPROC
epoxy_glUniformMatrix4x3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_gpu_shader_fp64,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49528 /* "glUniformMatrix4x3dv" */,
        49528 /* "glUniformMatrix4x3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49528 /* "glUniformMatrix4x3dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4X3FVPROC
epoxy_glUniformMatrix4x3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_1,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_non_square_matrices,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49549 /* "glUniformMatrix4x3fv" */,
        49549 /* "glUniformMatrix4x3fv" */,
        49570 /* "glUniformMatrix4x3fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49549 /* "glUniformMatrix4x3fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMSUBROUTINESUIVPROC
epoxy_glUniformSubroutinesuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_subroutine,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49593 /* "glUniformSubroutinesuiv" */,
        49593 /* "glUniformSubroutinesuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49593 /* "glUniformSubroutinesuiv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMUI64NVPROC
epoxy_glUniformui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 49617 /* glUniformui64NV */);
}

static PFNGLUNIFORMUI64VNVPROC
epoxy_glUniformui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 49633 /* glUniformui64vNV */);
}

static PFNGLUNLOCKARRAYSEXTPROC
epoxy_glUnlockArraysEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_compiled_vertex_array, 49650 /* glUnlockArraysEXT */);
}

static PFNGLUNMAPBUFFERPROC
epoxy_glUnmapBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_vertex_buffer_object,
        GL_extension_GL_OES_mapbuffer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49668 /* "glUnmapBuffer" */,
        49668 /* "glUnmapBuffer" */,
        49682 /* "glUnmapBufferARB" */,
        49699 /* "glUnmapBufferOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49668 /* "glUnmapBuffer" */,
                                providers, entrypoints);
}

static PFNGLUNMAPNAMEDBUFFEREXTPROC
epoxy_glUnmapNamedBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 49716 /* glUnmapNamedBufferEXT */);
}

static PFNGLUNMAPOBJECTBUFFERATIPROC
epoxy_glUnmapObjectBufferATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_map_object_buffer, 49738 /* glUnmapObjectBufferATI */);
}

static PFNGLUNMAPTEXTURE2DINTELPROC
epoxy_glUnmapTexture2DINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_map_texture, 49761 /* glUnmapTexture2DINTEL */);
}

static PFNGLUPDATEOBJECTBUFFERATIPROC
epoxy_glUpdateObjectBufferATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 49783 /* glUpdateObjectBufferATI */);
}

static PFNGLUSEPROGRAMPROC
epoxy_glUseProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49807 /* "glUseProgram" */,
        49807 /* "glUseProgram" */,
        49820 /* "glUseProgramObjectARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49807 /* "glUseProgram" */,
                                providers, entrypoints);
}

static PFNGLUSEPROGRAMSTAGESPROC
epoxy_glUseProgramStages_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49842 /* "glUseProgramStages" */,
        49842 /* "glUseProgramStages" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49842 /* "glUseProgramStages" */,
                                providers, entrypoints);
}

static PFNGLUSEPROGRAMSTAGESEXTPROC
epoxy_glUseProgramStagesEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 49861 /* glUseProgramStagesEXT */);
}

static PFNGLUSESHADERPROGRAMEXTPROC
epoxy_glUseShaderProgramEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 49883 /* glUseShaderProgramEXT */);
}

static PFNGLVDPAUFININVPROC
epoxy_glVDPAUFiniNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 49905 /* glVDPAUFiniNV */);
}

static PFNGLVDPAUGETSURFACEIVNVPROC
epoxy_glVDPAUGetSurfaceivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 49919 /* glVDPAUGetSurfaceivNV */);
}

static PFNGLVDPAUINITNVPROC
epoxy_glVDPAUInitNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 49941 /* glVDPAUInitNV */);
}

static PFNGLVDPAUISSURFACENVPROC
epoxy_glVDPAUIsSurfaceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 49955 /* glVDPAUIsSurfaceNV */);
}

static PFNGLVDPAUMAPSURFACESNVPROC
epoxy_glVDPAUMapSurfacesNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 49974 /* glVDPAUMapSurfacesNV */);
}

static PFNGLVDPAUREGISTEROUTPUTSURFACENVPROC
epoxy_glVDPAURegisterOutputSurfaceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 49995 /* glVDPAURegisterOutputSurfaceNV */);
}

static PFNGLVDPAUREGISTERVIDEOSURFACENVPROC
epoxy_glVDPAURegisterVideoSurfaceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50026 /* glVDPAURegisterVideoSurfaceNV */);
}

static PFNGLVDPAUSURFACEACCESSNVPROC
epoxy_glVDPAUSurfaceAccessNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50056 /* glVDPAUSurfaceAccessNV */);
}

static PFNGLVDPAUUNMAPSURFACESNVPROC
epoxy_glVDPAUUnmapSurfacesNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50079 /* glVDPAUUnmapSurfacesNV */);
}

static PFNGLVDPAUUNREGISTERSURFACENVPROC
epoxy_glVDPAUUnregisterSurfaceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50102 /* glVDPAUUnregisterSurfaceNV */);
}

static PFNGLVALIDATEPROGRAMPROC
epoxy_glValidateProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        50129 /* "glValidateProgram" */,
        50129 /* "glValidateProgram" */,
        50147 /* "glValidateProgramARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 50129 /* "glValidateProgram" */,
                                providers, entrypoints);
}

static PFNGLVALIDATEPROGRAMPIPELINEPROC
epoxy_glValidateProgramPipeline_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_separate_shader_objects,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        50168 /* "glValidateProgramPipeline" */,
        50168 /* "glValidateProgramPipeline" */,
    };
    return gl_provider_resolver(entrypoint_strings + 50168 /* "glValidateProgramPipeline" */,
                                providers, entrypoints);
}

static PFNGLVALIDATEPROGRAMPIPELINEEXTPROC
epoxy_glValidateProgramPipelineEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 50194 /* glValidateProgramPipelineEXT */);
}

static PFNGLVARIANTARRAYOBJECTATIPROC
epoxy_glVariantArrayObjectATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 50223 /* glVariantArrayObjectATI */);
}

static PFNGLVARIANTPOINTEREXTPROC
epoxy_glVariantPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50247 /* glVariantPointerEXT */);
}

static PFNGLVARIANTBVEXTPROC
epoxy_glVariantbvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50267 /* glVariantbvEXT */);
}

static PFNGLVARIANTDVEXTPROC
epoxy_glVariantdvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50282 /* glVariantdvEXT */);
}

static PFNGLVARIANTFVEXTPROC
epoxy_glVariantfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50297 /* glVariantfvEXT */);
}

static PFNGLVARIANTIVEXTPROC
epoxy_glVariantivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50312 /* glVariantivEXT */);
}

static PFNGLVARIANTSVEXTPROC
epoxy_glVariantsvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50327 /* glVariantsvEXT */);
}

static PFNGLVARIANTUBVEXTPROC
epoxy_glVariantubvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50342 /* glVariantubvEXT */);
}

static PFNGLVARIANTUIVEXTPROC
epoxy_glVariantuivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50358 /* glVariantuivEXT */);
}

static PFNGLVARIANTUSVEXTPROC
epoxy_glVariantusvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50374 /* glVariantusvEXT */);
}

static PFNGLVERTEX2BOESPROC
epoxy_glVertex2bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 50390 /* glVertex2bOES */);
}

static PFNGLVERTEX2BVOESPROC
epoxy_glVertex2bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 50404 /* glVertex2bvOES */);
}

static PFNGLVERTEX2DPROC
epoxy_glVertex2d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50419 /* glVertex2d */);
}

static PFNGLVERTEX2DVPROC
epoxy_glVertex2dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50430 /* glVertex2dv */);
}

static PFNGLVERTEX2FPROC
epoxy_glVertex2f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50442 /* glVertex2f */);
}

static PFNGLVERTEX2FVPROC
epoxy_glVertex2fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50453 /* glVertex2fv */);
}

static PFNGLVERTEX2HNVPROC
epoxy_glVertex2hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 50465 /* glVertex2hNV */);
}

static PFNGLVERTEX2HVNVPROC
epoxy_glVertex2hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 50478 /* glVertex2hvNV */);
}

static PFNGLVERTEX2IPROC
epoxy_glVertex2i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50492 /* glVertex2i */);
}

static PFNGLVERTEX2IVPROC
epoxy_glVertex2iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50503 /* glVertex2iv */);
}

static PFNGLVERTEX2SPROC
epoxy_glVertex2s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50515 /* glVertex2s */);
}

static PFNGLVERTEX2SVPROC
epoxy_glVertex2sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50526 /* glVertex2sv */);
}

static PFNGLVERTEX2XOESPROC
epoxy_glVertex2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 50538 /* glVertex2xOES */);
}

static PFNGLVERTEX2XVOESPROC
epoxy_glVertex2xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 50552 /* glVertex2xvOES */);
}

static PFNGLVERTEX3BOESPROC
epoxy_glVertex3bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 50567 /* glVertex3bOES */);
}

static PFNGLVERTEX3BVOESPROC
epoxy_glVertex3bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 50581 /* glVertex3bvOES */);
}

static PFNGLVERTEX3DPROC
epoxy_glVertex3d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50596 /* glVertex3d */);
}

static PFNGLVERTEX3DVPROC
epoxy_glVertex3dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50607 /* glVertex3dv */);
}

static PFNGLVERTEX3FPROC
epoxy_glVertex3f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50619 /* glVertex3f */);
}

static PFNGLVERTEX3FVPROC
epoxy_glVertex3fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50630 /* glVertex3fv */);
}

static PFNGLVERTEX3HNVPROC
epoxy_glVertex3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 50642 /* glVertex3hNV */);
}

static PFNGLVERTEX3HVNVPROC
epoxy_glVertex3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 50655 /* glVertex3hvNV */);
}

static PFNGLVERTEX3IPROC
epoxy_glVertex3i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50669 /* glVertex3i */);
}

static PFNGLVERTEX3IVPROC
epoxy_glVertex3iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50680 /* glVertex3iv */);
}

static PFNGLVERTEX3SPROC
epoxy_glVertex3s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50692 /* glVertex3s */);
}

static PFNGLVERTEX3SVPROC
epoxy_glVertex3sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50703 /* glVertex3sv */);
}

static PFNGLVERTEX3XOESPROC
epoxy_glVertex3xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 50715 /* glVertex3xOES */);
}

static PFNGLVERTEX3XVOESPROC
epoxy_glVertex3xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 50729 /* glVertex3xvOES */);
}

static PFNGLVERTEX4BOESPROC
epoxy_glVertex4bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 50744 /* glVertex4bOES */);
}

static PFNGLVERTEX4BVOESPROC
epoxy_glVertex4bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 50758 /* glVertex4bvOES */);
}

static PFNGLVERTEX4DPROC
epoxy_glVertex4d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50773 /* glVertex4d */);
}

static PFNGLVERTEX4DVPROC
epoxy_glVertex4dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50784 /* glVertex4dv */);
}

static PFNGLVERTEX4FPROC
epoxy_glVertex4f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50796 /* glVertex4f */);
}

static PFNGLVERTEX4FVPROC
epoxy_glVertex4fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50807 /* glVertex4fv */);
}

static PFNGLVERTEX4HNVPROC
epoxy_glVertex4hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 50819 /* glVertex4hNV */);
}

static PFNGLVERTEX4HVNVPROC
epoxy_glVertex4hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 50832 /* glVertex4hvNV */);
}

static PFNGLVERTEX4IPROC
epoxy_glVertex4i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50846 /* glVertex4i */);
}

static PFNGLVERTEX4IVPROC
epoxy_glVertex4iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50857 /* glVertex4iv */);
}

static PFNGLVERTEX4SPROC
epoxy_glVertex4s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50869 /* glVertex4s */);
}

static PFNGLVERTEX4SVPROC
epoxy_glVertex4sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50880 /* glVertex4sv */);
}

static PFNGLVERTEX4XOESPROC
epoxy_glVertex4xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 50892 /* glVertex4xOES */);
}

static PFNGLVERTEX4XVOESPROC
epoxy_glVertex4xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 50906 /* glVertex4xvOES */);
}

static PFNGLVERTEXARRAYBINDVERTEXBUFFEREXTPROC
epoxy_glVertexArrayBindVertexBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 50921 /* glVertexArrayBindVertexBufferEXT */);
}

static PFNGLVERTEXARRAYCOLOROFFSETEXTPROC
epoxy_glVertexArrayColorOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 50954 /* glVertexArrayColorOffsetEXT */);
}

static PFNGLVERTEXARRAYEDGEFLAGOFFSETEXTPROC
epoxy_glVertexArrayEdgeFlagOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 50982 /* glVertexArrayEdgeFlagOffsetEXT */);
}

static PFNGLVERTEXARRAYFOGCOORDOFFSETEXTPROC
epoxy_glVertexArrayFogCoordOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51013 /* glVertexArrayFogCoordOffsetEXT */);
}

static PFNGLVERTEXARRAYINDEXOFFSETEXTPROC
epoxy_glVertexArrayIndexOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51044 /* glVertexArrayIndexOffsetEXT */);
}

static PFNGLVERTEXARRAYMULTITEXCOORDOFFSETEXTPROC
epoxy_glVertexArrayMultiTexCoordOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51072 /* glVertexArrayMultiTexCoordOffsetEXT */);
}

static PFNGLVERTEXARRAYNORMALOFFSETEXTPROC
epoxy_glVertexArrayNormalOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51108 /* glVertexArrayNormalOffsetEXT */);
}

static PFNGLVERTEXARRAYPARAMETERIAPPLEPROC
epoxy_glVertexArrayParameteriAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_array_range, 51137 /* glVertexArrayParameteriAPPLE */);
}

static PFNGLVERTEXARRAYRANGEAPPLEPROC
epoxy_glVertexArrayRangeAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_array_range, 51166 /* glVertexArrayRangeAPPLE */);
}

static PFNGLVERTEXARRAYRANGENVPROC
epoxy_glVertexArrayRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_array_range, 51190 /* glVertexArrayRangeNV */);
}

static PFNGLVERTEXARRAYSECONDARYCOLOROFFSETEXTPROC
epoxy_glVertexArraySecondaryColorOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51211 /* glVertexArraySecondaryColorOffsetEXT */);
}

static PFNGLVERTEXARRAYTEXCOORDOFFSETEXTPROC
epoxy_glVertexArrayTexCoordOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51248 /* glVertexArrayTexCoordOffsetEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBBINDINGEXTPROC
epoxy_glVertexArrayVertexAttribBindingEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51279 /* glVertexArrayVertexAttribBindingEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBDIVISOREXTPROC
epoxy_glVertexArrayVertexAttribDivisorEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51315 /* glVertexArrayVertexAttribDivisorEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBFORMATEXTPROC
epoxy_glVertexArrayVertexAttribFormatEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51351 /* glVertexArrayVertexAttribFormatEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBIFORMATEXTPROC
epoxy_glVertexArrayVertexAttribIFormatEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51386 /* glVertexArrayVertexAttribIFormatEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBIOFFSETEXTPROC
epoxy_glVertexArrayVertexAttribIOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51422 /* glVertexArrayVertexAttribIOffsetEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBLFORMATEXTPROC
epoxy_glVertexArrayVertexAttribLFormatEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51458 /* glVertexArrayVertexAttribLFormatEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBLOFFSETEXTPROC
epoxy_glVertexArrayVertexAttribLOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51494 /* glVertexArrayVertexAttribLOffsetEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBOFFSETEXTPROC
epoxy_glVertexArrayVertexAttribOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51530 /* glVertexArrayVertexAttribOffsetEXT */);
}

static PFNGLVERTEXARRAYVERTEXBINDINGDIVISOREXTPROC
epoxy_glVertexArrayVertexBindingDivisorEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51565 /* glVertexArrayVertexBindingDivisorEXT */);
}

static PFNGLVERTEXARRAYVERTEXOFFSETEXTPROC
epoxy_glVertexArrayVertexOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51602 /* glVertexArrayVertexOffsetEXT */);
}

static PFNGLVERTEXATTRIB1DPROC
epoxy_glVertexAttrib1d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51631 /* "glVertexAttrib1d" */,
        51668 /* "glVertexAttrib1dNV" */,
        51648 /* "glVertexAttrib1dARB" */,
        51648 /* "glVertexAttrib1dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51631 /* "glVertexAttrib1d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1DVPROC
epoxy_glVertexAttrib1dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51687 /* "glVertexAttrib1dv" */,
        51726 /* "glVertexAttrib1dvNV" */,
        51705 /* "glVertexAttrib1dvARB" */,
        51705 /* "glVertexAttrib1dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51687 /* "glVertexAttrib1dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1FPROC
epoxy_glVertexAttrib1f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51746 /* "glVertexAttrib1f" */,
        51746 /* "glVertexAttrib1f" */,
        51783 /* "glVertexAttrib1fNV" */,
        51763 /* "glVertexAttrib1fARB" */,
        51763 /* "glVertexAttrib1fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51746 /* "glVertexAttrib1f" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1FVPROC
epoxy_glVertexAttrib1fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51802 /* "glVertexAttrib1fv" */,
        51802 /* "glVertexAttrib1fv" */,
        51820 /* "glVertexAttrib1fvARB" */,
        51820 /* "glVertexAttrib1fvARB" */,
        51841 /* "glVertexAttrib1fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51802 /* "glVertexAttrib1fv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1HNVPROC
epoxy_glVertexAttrib1hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 51861 /* glVertexAttrib1hNV */);
}

static PFNGLVERTEXATTRIB1HVNVPROC
epoxy_glVertexAttrib1hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 51880 /* glVertexAttrib1hvNV */);
}

static PFNGLVERTEXATTRIB1SPROC
epoxy_glVertexAttrib1s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51900 /* "glVertexAttrib1s" */,
        51917 /* "glVertexAttrib1sARB" */,
        51917 /* "glVertexAttrib1sARB" */,
        51937 /* "glVertexAttrib1sNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51900 /* "glVertexAttrib1s" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1SVPROC
epoxy_glVertexAttrib1sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51956 /* "glVertexAttrib1sv" */,
        51995 /* "glVertexAttrib1svNV" */,
        51974 /* "glVertexAttrib1svARB" */,
        51974 /* "glVertexAttrib1svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51956 /* "glVertexAttrib1sv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2DPROC
epoxy_glVertexAttrib2d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52015 /* "glVertexAttrib2d" */,
        52052 /* "glVertexAttrib2dNV" */,
        52032 /* "glVertexAttrib2dARB" */,
        52032 /* "glVertexAttrib2dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52015 /* "glVertexAttrib2d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2DVPROC
epoxy_glVertexAttrib2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52071 /* "glVertexAttrib2dv" */,
        52089 /* "glVertexAttrib2dvARB" */,
        52089 /* "glVertexAttrib2dvARB" */,
        52110 /* "glVertexAttrib2dvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52071 /* "glVertexAttrib2dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2FPROC
epoxy_glVertexAttrib2f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52130 /* "glVertexAttrib2f" */,
        52130 /* "glVertexAttrib2f" */,
        52167 /* "glVertexAttrib2fNV" */,
        52147 /* "glVertexAttrib2fARB" */,
        52147 /* "glVertexAttrib2fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52130 /* "glVertexAttrib2f" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2FVPROC
epoxy_glVertexAttrib2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52186 /* "glVertexAttrib2fv" */,
        52186 /* "glVertexAttrib2fv" */,
        52225 /* "glVertexAttrib2fvNV" */,
        52204 /* "glVertexAttrib2fvARB" */,
        52204 /* "glVertexAttrib2fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52186 /* "glVertexAttrib2fv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2HNVPROC
epoxy_glVertexAttrib2hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 52245 /* glVertexAttrib2hNV */);
}

static PFNGLVERTEXATTRIB2HVNVPROC
epoxy_glVertexAttrib2hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 52264 /* glVertexAttrib2hvNV */);
}

static PFNGLVERTEXATTRIB2SPROC
epoxy_glVertexAttrib2s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52284 /* "glVertexAttrib2s" */,
        52321 /* "glVertexAttrib2sNV" */,
        52301 /* "glVertexAttrib2sARB" */,
        52301 /* "glVertexAttrib2sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52284 /* "glVertexAttrib2s" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2SVPROC
epoxy_glVertexAttrib2sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52340 /* "glVertexAttrib2sv" */,
        52358 /* "glVertexAttrib2svARB" */,
        52358 /* "glVertexAttrib2svARB" */,
        52379 /* "glVertexAttrib2svNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52340 /* "glVertexAttrib2sv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3DPROC
epoxy_glVertexAttrib3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52399 /* "glVertexAttrib3d" */,
        52436 /* "glVertexAttrib3dNV" */,
        52416 /* "glVertexAttrib3dARB" */,
        52416 /* "glVertexAttrib3dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52399 /* "glVertexAttrib3d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3DVPROC
epoxy_glVertexAttrib3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52455 /* "glVertexAttrib3dv" */,
        52494 /* "glVertexAttrib3dvNV" */,
        52473 /* "glVertexAttrib3dvARB" */,
        52473 /* "glVertexAttrib3dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52455 /* "glVertexAttrib3dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3FPROC
epoxy_glVertexAttrib3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52514 /* "glVertexAttrib3f" */,
        52514 /* "glVertexAttrib3f" */,
        52531 /* "glVertexAttrib3fARB" */,
        52531 /* "glVertexAttrib3fARB" */,
        52551 /* "glVertexAttrib3fNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52514 /* "glVertexAttrib3f" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3FVPROC
epoxy_glVertexAttrib3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52570 /* "glVertexAttrib3fv" */,
        52570 /* "glVertexAttrib3fv" */,
        52609 /* "glVertexAttrib3fvNV" */,
        52588 /* "glVertexAttrib3fvARB" */,
        52588 /* "glVertexAttrib3fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52570 /* "glVertexAttrib3fv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3HNVPROC
epoxy_glVertexAttrib3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 52629 /* glVertexAttrib3hNV */);
}

static PFNGLVERTEXATTRIB3HVNVPROC
epoxy_glVertexAttrib3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 52648 /* glVertexAttrib3hvNV */);
}

static PFNGLVERTEXATTRIB3SPROC
epoxy_glVertexAttrib3s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52668 /* "glVertexAttrib3s" */,
        52685 /* "glVertexAttrib3sARB" */,
        52685 /* "glVertexAttrib3sARB" */,
        52705 /* "glVertexAttrib3sNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52668 /* "glVertexAttrib3s" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3SVPROC
epoxy_glVertexAttrib3sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52724 /* "glVertexAttrib3sv" */,
        52763 /* "glVertexAttrib3svNV" */,
        52742 /* "glVertexAttrib3svARB" */,
        52742 /* "glVertexAttrib3svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52724 /* "glVertexAttrib3sv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NBVPROC
epoxy_glVertexAttrib4Nbv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52783 /* "glVertexAttrib4Nbv" */,
        52802 /* "glVertexAttrib4NbvARB" */,
        52802 /* "glVertexAttrib4NbvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52783 /* "glVertexAttrib4Nbv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NIVPROC
epoxy_glVertexAttrib4Niv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52824 /* "glVertexAttrib4Niv" */,
        52843 /* "glVertexAttrib4NivARB" */,
        52843 /* "glVertexAttrib4NivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52824 /* "glVertexAttrib4Niv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NSVPROC
epoxy_glVertexAttrib4Nsv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52865 /* "glVertexAttrib4Nsv" */,
        52884 /* "glVertexAttrib4NsvARB" */,
        52884 /* "glVertexAttrib4NsvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52865 /* "glVertexAttrib4Nsv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NUBPROC
epoxy_glVertexAttrib4Nub_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52906 /* "glVertexAttrib4Nub" */,
        53538 /* "glVertexAttrib4ubNV" */,
        52925 /* "glVertexAttrib4NubARB" */,
        52925 /* "glVertexAttrib4NubARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52906 /* "glVertexAttrib4Nub" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NUBVPROC
epoxy_glVertexAttrib4Nubv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52947 /* "glVertexAttrib4Nubv" */,
        53599 /* "glVertexAttrib4ubvNV" */,
        52967 /* "glVertexAttrib4NubvARB" */,
        52967 /* "glVertexAttrib4NubvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52947 /* "glVertexAttrib4Nubv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NUIVPROC
epoxy_glVertexAttrib4Nuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52990 /* "glVertexAttrib4Nuiv" */,
        53010 /* "glVertexAttrib4NuivARB" */,
        53010 /* "glVertexAttrib4NuivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52990 /* "glVertexAttrib4Nuiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NUSVPROC
epoxy_glVertexAttrib4Nusv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53033 /* "glVertexAttrib4Nusv" */,
        53053 /* "glVertexAttrib4NusvARB" */,
        53053 /* "glVertexAttrib4NusvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53033 /* "glVertexAttrib4Nusv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4BVPROC
epoxy_glVertexAttrib4bv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53076 /* "glVertexAttrib4bv" */,
        53094 /* "glVertexAttrib4bvARB" */,
        53094 /* "glVertexAttrib4bvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53076 /* "glVertexAttrib4bv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4DPROC
epoxy_glVertexAttrib4d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53115 /* "glVertexAttrib4d" */,
        53152 /* "glVertexAttrib4dNV" */,
        53132 /* "glVertexAttrib4dARB" */,
        53132 /* "glVertexAttrib4dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53115 /* "glVertexAttrib4d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4DVPROC
epoxy_glVertexAttrib4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53171 /* "glVertexAttrib4dv" */,
        53189 /* "glVertexAttrib4dvARB" */,
        53189 /* "glVertexAttrib4dvARB" */,
        53210 /* "glVertexAttrib4dvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53171 /* "glVertexAttrib4dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4FPROC
epoxy_glVertexAttrib4f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53230 /* "glVertexAttrib4f" */,
        53230 /* "glVertexAttrib4f" */,
        53267 /* "glVertexAttrib4fNV" */,
        53247 /* "glVertexAttrib4fARB" */,
        53247 /* "glVertexAttrib4fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53230 /* "glVertexAttrib4f" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4FVPROC
epoxy_glVertexAttrib4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53286 /* "glVertexAttrib4fv" */,
        53286 /* "glVertexAttrib4fv" */,
        53304 /* "glVertexAttrib4fvARB" */,
        53304 /* "glVertexAttrib4fvARB" */,
        53325 /* "glVertexAttrib4fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53286 /* "glVertexAttrib4fv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4HNVPROC
epoxy_glVertexAttrib4hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 53345 /* glVertexAttrib4hNV */);
}

static PFNGLVERTEXATTRIB4HVNVPROC
epoxy_glVertexAttrib4hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 53364 /* glVertexAttrib4hvNV */);
}

static PFNGLVERTEXATTRIB4IVPROC
epoxy_glVertexAttrib4iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53384 /* "glVertexAttrib4iv" */,
        53402 /* "glVertexAttrib4ivARB" */,
        53402 /* "glVertexAttrib4ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53384 /* "glVertexAttrib4iv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4SPROC
epoxy_glVertexAttrib4s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53423 /* "glVertexAttrib4s" */,
        53460 /* "glVertexAttrib4sNV" */,
        53440 /* "glVertexAttrib4sARB" */,
        53440 /* "glVertexAttrib4sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53423 /* "glVertexAttrib4s" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4SVPROC
epoxy_glVertexAttrib4sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53479 /* "glVertexAttrib4sv" */,
        53518 /* "glVertexAttrib4svNV" */,
        53497 /* "glVertexAttrib4svARB" */,
        53497 /* "glVertexAttrib4svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53479 /* "glVertexAttrib4sv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4UBVPROC
epoxy_glVertexAttrib4ubv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53558 /* "glVertexAttrib4ubv" */,
        53577 /* "glVertexAttrib4ubvARB" */,
        53577 /* "glVertexAttrib4ubvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53558 /* "glVertexAttrib4ubv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4UIVPROC
epoxy_glVertexAttrib4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53620 /* "glVertexAttrib4uiv" */,
        53639 /* "glVertexAttrib4uivARB" */,
        53639 /* "glVertexAttrib4uivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53620 /* "glVertexAttrib4uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4USVPROC
epoxy_glVertexAttrib4usv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53661 /* "glVertexAttrib4usv" */,
        53680 /* "glVertexAttrib4usvARB" */,
        53680 /* "glVertexAttrib4usvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53661 /* "glVertexAttrib4usv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBARRAYOBJECTATIPROC
epoxy_glVertexAttribArrayObjectATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_attrib_array_object, 53702 /* glVertexAttribArrayObjectATI */);
}

static PFNGLVERTEXATTRIBBINDINGPROC
epoxy_glVertexAttribBinding_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_binding,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53731 /* "glVertexAttribBinding" */,
        53731 /* "glVertexAttribBinding" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53731 /* "glVertexAttribBinding" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBDIVISORPROC
epoxy_glVertexAttribDivisor_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_3,
        GL_extension_GL_NV_instanced_arrays,
        GL_extension_GL_ARB_instanced_arrays,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_EXT_instanced_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53753 /* "glVertexAttribDivisor" */,
        53753 /* "glVertexAttribDivisor" */,
        53852 /* "glVertexAttribDivisorNV" */,
        53802 /* "glVertexAttribDivisorARB" */,
        53775 /* "glVertexAttribDivisorANGLE" */,
        53827 /* "glVertexAttribDivisorEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53753 /* "glVertexAttribDivisor" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBFORMATPROC
epoxy_glVertexAttribFormat_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_binding,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53876 /* "glVertexAttribFormat" */,
        53876 /* "glVertexAttribFormat" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53876 /* "glVertexAttribFormat" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBFORMATNVPROC
epoxy_glVertexAttribFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 53897 /* glVertexAttribFormatNV */);
}

static PFNGLVERTEXATTRIBI1IPROC
epoxy_glVertexAttribI1i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53920 /* "glVertexAttribI1i" */,
        53938 /* "glVertexAttribI1iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53920 /* "glVertexAttribI1i" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI1IVPROC
epoxy_glVertexAttribI1iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53959 /* "glVertexAttribI1iv" */,
        53978 /* "glVertexAttribI1ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53959 /* "glVertexAttribI1iv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI1UIPROC
epoxy_glVertexAttribI1ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54000 /* "glVertexAttribI1ui" */,
        54019 /* "glVertexAttribI1uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54000 /* "glVertexAttribI1ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI1UIVPROC
epoxy_glVertexAttribI1uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54041 /* "glVertexAttribI1uiv" */,
        54061 /* "glVertexAttribI1uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54041 /* "glVertexAttribI1uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI2IPROC
epoxy_glVertexAttribI2i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54084 /* "glVertexAttribI2i" */,
        54102 /* "glVertexAttribI2iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54084 /* "glVertexAttribI2i" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI2IVPROC
epoxy_glVertexAttribI2iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54123 /* "glVertexAttribI2iv" */,
        54142 /* "glVertexAttribI2ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54123 /* "glVertexAttribI2iv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI2UIPROC
epoxy_glVertexAttribI2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54164 /* "glVertexAttribI2ui" */,
        54183 /* "glVertexAttribI2uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54164 /* "glVertexAttribI2ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI2UIVPROC
epoxy_glVertexAttribI2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54205 /* "glVertexAttribI2uiv" */,
        54225 /* "glVertexAttribI2uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54205 /* "glVertexAttribI2uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI3IPROC
epoxy_glVertexAttribI3i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54248 /* "glVertexAttribI3i" */,
        54266 /* "glVertexAttribI3iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54248 /* "glVertexAttribI3i" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI3IVPROC
epoxy_glVertexAttribI3iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54287 /* "glVertexAttribI3iv" */,
        54306 /* "glVertexAttribI3ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54287 /* "glVertexAttribI3iv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI3UIPROC
epoxy_glVertexAttribI3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54328 /* "glVertexAttribI3ui" */,
        54347 /* "glVertexAttribI3uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54328 /* "glVertexAttribI3ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI3UIVPROC
epoxy_glVertexAttribI3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54369 /* "glVertexAttribI3uiv" */,
        54389 /* "glVertexAttribI3uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54369 /* "glVertexAttribI3uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4BVPROC
epoxy_glVertexAttribI4bv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54412 /* "glVertexAttribI4bv" */,
        54431 /* "glVertexAttribI4bvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54412 /* "glVertexAttribI4bv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4IPROC
epoxy_glVertexAttribI4i_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54453 /* "glVertexAttribI4i" */,
        54453 /* "glVertexAttribI4i" */,
        54471 /* "glVertexAttribI4iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54453 /* "glVertexAttribI4i" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4IVPROC
epoxy_glVertexAttribI4iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54492 /* "glVertexAttribI4iv" */,
        54492 /* "glVertexAttribI4iv" */,
        54511 /* "glVertexAttribI4ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54492 /* "glVertexAttribI4iv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4SVPROC
epoxy_glVertexAttribI4sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54533 /* "glVertexAttribI4sv" */,
        54552 /* "glVertexAttribI4svEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54533 /* "glVertexAttribI4sv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4UBVPROC
epoxy_glVertexAttribI4ubv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54574 /* "glVertexAttribI4ubv" */,
        54594 /* "glVertexAttribI4ubvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54574 /* "glVertexAttribI4ubv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4UIPROC
epoxy_glVertexAttribI4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54617 /* "glVertexAttribI4ui" */,
        54617 /* "glVertexAttribI4ui" */,
        54636 /* "glVertexAttribI4uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54617 /* "glVertexAttribI4ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4UIVPROC
epoxy_glVertexAttribI4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54658 /* "glVertexAttribI4uiv" */,
        54658 /* "glVertexAttribI4uiv" */,
        54678 /* "glVertexAttribI4uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54658 /* "glVertexAttribI4uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4USVPROC
epoxy_glVertexAttribI4usv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54701 /* "glVertexAttribI4usv" */,
        54721 /* "glVertexAttribI4usvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54701 /* "glVertexAttribI4usv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBIFORMATPROC
epoxy_glVertexAttribIFormat_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_binding,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54744 /* "glVertexAttribIFormat" */,
        54744 /* "glVertexAttribIFormat" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54744 /* "glVertexAttribIFormat" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBIFORMATNVPROC
epoxy_glVertexAttribIFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 54766 /* glVertexAttribIFormatNV */);
}

static PFNGLVERTEXATTRIBIPOINTERPROC
epoxy_glVertexAttribIPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54790 /* "glVertexAttribIPointer" */,
        54790 /* "glVertexAttribIPointer" */,
        54813 /* "glVertexAttribIPointerEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54790 /* "glVertexAttribIPointer" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL1DPROC
epoxy_glVertexAttribL1d_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54839 /* "glVertexAttribL1d" */,
        54839 /* "glVertexAttribL1d" */,
        54857 /* "glVertexAttribL1dEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54839 /* "glVertexAttribL1d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL1DVPROC
epoxy_glVertexAttribL1dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54878 /* "glVertexAttribL1dv" */,
        54878 /* "glVertexAttribL1dv" */,
        54897 /* "glVertexAttribL1dvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54878 /* "glVertexAttribL1dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL1I64NVPROC
epoxy_glVertexAttribL1i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 54919 /* glVertexAttribL1i64NV */);
}

static PFNGLVERTEXATTRIBL1I64VNVPROC
epoxy_glVertexAttribL1i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 54941 /* glVertexAttribL1i64vNV */);
}

static PFNGLVERTEXATTRIBL1UI64ARBPROC
epoxy_glVertexAttribL1ui64ARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 54964 /* glVertexAttribL1ui64ARB */);
}

static PFNGLVERTEXATTRIBL1UI64NVPROC
epoxy_glVertexAttribL1ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 54988 /* glVertexAttribL1ui64NV */);
}

static PFNGLVERTEXATTRIBL1UI64VARBPROC
epoxy_glVertexAttribL1ui64vARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 55011 /* glVertexAttribL1ui64vARB */);
}

static PFNGLVERTEXATTRIBL1UI64VNVPROC
epoxy_glVertexAttribL1ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55036 /* glVertexAttribL1ui64vNV */);
}

static PFNGLVERTEXATTRIBL2DPROC
epoxy_glVertexAttribL2d_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55060 /* "glVertexAttribL2d" */,
        55060 /* "glVertexAttribL2d" */,
        55078 /* "glVertexAttribL2dEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55060 /* "glVertexAttribL2d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL2DVPROC
epoxy_glVertexAttribL2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55099 /* "glVertexAttribL2dv" */,
        55099 /* "glVertexAttribL2dv" */,
        55118 /* "glVertexAttribL2dvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55099 /* "glVertexAttribL2dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL2I64NVPROC
epoxy_glVertexAttribL2i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55140 /* glVertexAttribL2i64NV */);
}

static PFNGLVERTEXATTRIBL2I64VNVPROC
epoxy_glVertexAttribL2i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55162 /* glVertexAttribL2i64vNV */);
}

static PFNGLVERTEXATTRIBL2UI64NVPROC
epoxy_glVertexAttribL2ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55185 /* glVertexAttribL2ui64NV */);
}

static PFNGLVERTEXATTRIBL2UI64VNVPROC
epoxy_glVertexAttribL2ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55208 /* glVertexAttribL2ui64vNV */);
}

static PFNGLVERTEXATTRIBL3DPROC
epoxy_glVertexAttribL3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55232 /* "glVertexAttribL3d" */,
        55232 /* "glVertexAttribL3d" */,
        55250 /* "glVertexAttribL3dEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55232 /* "glVertexAttribL3d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL3DVPROC
epoxy_glVertexAttribL3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55271 /* "glVertexAttribL3dv" */,
        55271 /* "glVertexAttribL3dv" */,
        55290 /* "glVertexAttribL3dvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55271 /* "glVertexAttribL3dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL3I64NVPROC
epoxy_glVertexAttribL3i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55312 /* glVertexAttribL3i64NV */);
}

static PFNGLVERTEXATTRIBL3I64VNVPROC
epoxy_glVertexAttribL3i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55334 /* glVertexAttribL3i64vNV */);
}

static PFNGLVERTEXATTRIBL3UI64NVPROC
epoxy_glVertexAttribL3ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55357 /* glVertexAttribL3ui64NV */);
}

static PFNGLVERTEXATTRIBL3UI64VNVPROC
epoxy_glVertexAttribL3ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55380 /* glVertexAttribL3ui64vNV */);
}

static PFNGLVERTEXATTRIBL4DPROC
epoxy_glVertexAttribL4d_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55404 /* "glVertexAttribL4d" */,
        55404 /* "glVertexAttribL4d" */,
        55422 /* "glVertexAttribL4dEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55404 /* "glVertexAttribL4d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL4DVPROC
epoxy_glVertexAttribL4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55443 /* "glVertexAttribL4dv" */,
        55443 /* "glVertexAttribL4dv" */,
        55462 /* "glVertexAttribL4dvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55443 /* "glVertexAttribL4dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL4I64NVPROC
epoxy_glVertexAttribL4i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55484 /* glVertexAttribL4i64NV */);
}

static PFNGLVERTEXATTRIBL4I64VNVPROC
epoxy_glVertexAttribL4i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55506 /* glVertexAttribL4i64vNV */);
}

static PFNGLVERTEXATTRIBL4UI64NVPROC
epoxy_glVertexAttribL4ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55529 /* glVertexAttribL4ui64NV */);
}

static PFNGLVERTEXATTRIBL4UI64VNVPROC
epoxy_glVertexAttribL4ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55552 /* glVertexAttribL4ui64vNV */);
}

static PFNGLVERTEXATTRIBLFORMATPROC
epoxy_glVertexAttribLFormat_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_binding,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55576 /* "glVertexAttribLFormat" */,
        55576 /* "glVertexAttribLFormat" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55576 /* "glVertexAttribLFormat" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBLFORMATNVPROC
epoxy_glVertexAttribLFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55598 /* glVertexAttribLFormatNV */);
}

static PFNGLVERTEXATTRIBLPOINTERPROC
epoxy_glVertexAttribLPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55622 /* "glVertexAttribLPointer" */,
        55622 /* "glVertexAttribLPointer" */,
        55645 /* "glVertexAttribLPointerEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55622 /* "glVertexAttribLPointer" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP1UIPROC
epoxy_glVertexAttribP1ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55671 /* "glVertexAttribP1ui" */,
        55671 /* "glVertexAttribP1ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55671 /* "glVertexAttribP1ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP1UIVPROC
epoxy_glVertexAttribP1uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55690 /* "glVertexAttribP1uiv" */,
        55690 /* "glVertexAttribP1uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55690 /* "glVertexAttribP1uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP2UIPROC
epoxy_glVertexAttribP2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55710 /* "glVertexAttribP2ui" */,
        55710 /* "glVertexAttribP2ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55710 /* "glVertexAttribP2ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP2UIVPROC
epoxy_glVertexAttribP2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55729 /* "glVertexAttribP2uiv" */,
        55729 /* "glVertexAttribP2uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55729 /* "glVertexAttribP2uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP3UIPROC
epoxy_glVertexAttribP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55749 /* "glVertexAttribP3ui" */,
        55749 /* "glVertexAttribP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55749 /* "glVertexAttribP3ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP3UIVPROC
epoxy_glVertexAttribP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55768 /* "glVertexAttribP3uiv" */,
        55768 /* "glVertexAttribP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55768 /* "glVertexAttribP3uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP4UIPROC
epoxy_glVertexAttribP4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55788 /* "glVertexAttribP4ui" */,
        55788 /* "glVertexAttribP4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55788 /* "glVertexAttribP4ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP4UIVPROC
epoxy_glVertexAttribP4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55807 /* "glVertexAttribP4uiv" */,
        55807 /* "glVertexAttribP4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55807 /* "glVertexAttribP4uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBPARAMETERIAMDPROC
epoxy_glVertexAttribParameteriAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_interleaved_elements, 55827 /* glVertexAttribParameteriAMD */);
}

static PFNGLVERTEXATTRIBPOINTERPROC
epoxy_glVertexAttribPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55855 /* "glVertexAttribPointer" */,
        55855 /* "glVertexAttribPointer" */,
        55877 /* "glVertexAttribPointerARB" */,
        55877 /* "glVertexAttribPointerARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55855 /* "glVertexAttribPointer" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBPOINTERNVPROC
epoxy_glVertexAttribPointerNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 55902 /* glVertexAttribPointerNV */);
}

static PFNGLVERTEXATTRIBS1DVNVPROC
epoxy_glVertexAttribs1dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 55926 /* glVertexAttribs1dvNV */);
}

static PFNGLVERTEXATTRIBS1FVNVPROC
epoxy_glVertexAttribs1fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 55947 /* glVertexAttribs1fvNV */);
}

static PFNGLVERTEXATTRIBS1HVNVPROC
epoxy_glVertexAttribs1hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 55968 /* glVertexAttribs1hvNV */);
}

static PFNGLVERTEXATTRIBS1SVNVPROC
epoxy_glVertexAttribs1svNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 55989 /* glVertexAttribs1svNV */);
}

static PFNGLVERTEXATTRIBS2DVNVPROC
epoxy_glVertexAttribs2dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56010 /* glVertexAttribs2dvNV */);
}

static PFNGLVERTEXATTRIBS2FVNVPROC
epoxy_glVertexAttribs2fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56031 /* glVertexAttribs2fvNV */);
}

static PFNGLVERTEXATTRIBS2HVNVPROC
epoxy_glVertexAttribs2hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 56052 /* glVertexAttribs2hvNV */);
}

static PFNGLVERTEXATTRIBS2SVNVPROC
epoxy_glVertexAttribs2svNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56073 /* glVertexAttribs2svNV */);
}

static PFNGLVERTEXATTRIBS3DVNVPROC
epoxy_glVertexAttribs3dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56094 /* glVertexAttribs3dvNV */);
}

static PFNGLVERTEXATTRIBS3FVNVPROC
epoxy_glVertexAttribs3fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56115 /* glVertexAttribs3fvNV */);
}

static PFNGLVERTEXATTRIBS3HVNVPROC
epoxy_glVertexAttribs3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 56136 /* glVertexAttribs3hvNV */);
}

static PFNGLVERTEXATTRIBS3SVNVPROC
epoxy_glVertexAttribs3svNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56157 /* glVertexAttribs3svNV */);
}

static PFNGLVERTEXATTRIBS4DVNVPROC
epoxy_glVertexAttribs4dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56178 /* glVertexAttribs4dvNV */);
}

static PFNGLVERTEXATTRIBS4FVNVPROC
epoxy_glVertexAttribs4fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56199 /* glVertexAttribs4fvNV */);
}

static PFNGLVERTEXATTRIBS4HVNVPROC
epoxy_glVertexAttribs4hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 56220 /* glVertexAttribs4hvNV */);
}

static PFNGLVERTEXATTRIBS4SVNVPROC
epoxy_glVertexAttribs4svNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56241 /* glVertexAttribs4svNV */);
}

static PFNGLVERTEXATTRIBS4UBVNVPROC
epoxy_glVertexAttribs4ubvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56262 /* glVertexAttribs4ubvNV */);
}

static PFNGLVERTEXBINDINGDIVISORPROC
epoxy_glVertexBindingDivisor_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_binding,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56284 /* "glVertexBindingDivisor" */,
        56284 /* "glVertexBindingDivisor" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56284 /* "glVertexBindingDivisor" */,
                                providers, entrypoints);
}

static PFNGLVERTEXBLENDARBPROC
epoxy_glVertexBlendARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 56307 /* glVertexBlendARB */);
}

static PFNGLVERTEXBLENDENVFATIPROC
epoxy_glVertexBlendEnvfATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56324 /* glVertexBlendEnvfATI */);
}

static PFNGLVERTEXBLENDENVIATIPROC
epoxy_glVertexBlendEnviATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56345 /* glVertexBlendEnviATI */);
}

static PFNGLVERTEXFORMATNVPROC
epoxy_glVertexFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 56366 /* glVertexFormatNV */);
}

static PFNGLVERTEXP2UIPROC
epoxy_glVertexP2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56383 /* "glVertexP2ui" */,
        56383 /* "glVertexP2ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56383 /* "glVertexP2ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXP2UIVPROC
epoxy_glVertexP2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56396 /* "glVertexP2uiv" */,
        56396 /* "glVertexP2uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56396 /* "glVertexP2uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXP3UIPROC
epoxy_glVertexP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56410 /* "glVertexP3ui" */,
        56410 /* "glVertexP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56410 /* "glVertexP3ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXP3UIVPROC
epoxy_glVertexP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56423 /* "glVertexP3uiv" */,
        56423 /* "glVertexP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56423 /* "glVertexP3uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXP4UIPROC
epoxy_glVertexP4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56437 /* "glVertexP4ui" */,
        56437 /* "glVertexP4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56437 /* "glVertexP4ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXP4UIVPROC
epoxy_glVertexP4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56450 /* "glVertexP4uiv" */,
        56450 /* "glVertexP4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56450 /* "glVertexP4uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXPOINTERPROC
epoxy_glVertexPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56464 /* "glVertexPointer" */,
        56464 /* "glVertexPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56464 /* "glVertexPointer" */,
                                providers, entrypoints);
}

static PFNGLVERTEXPOINTEREXTPROC
epoxy_glVertexPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_array, 56480 /* glVertexPointerEXT */);
}

static PFNGLVERTEXPOINTERLISTIBMPROC
epoxy_glVertexPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 56499 /* glVertexPointerListIBM */);
}

static PFNGLVERTEXPOINTERVINTELPROC
epoxy_glVertexPointervINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_parallel_arrays, 56522 /* glVertexPointervINTEL */);
}

static PFNGLVERTEXSTREAM1DATIPROC
epoxy_glVertexStream1dATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56544 /* glVertexStream1dATI */);
}

static PFNGLVERTEXSTREAM1DVATIPROC
epoxy_glVertexStream1dvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56564 /* glVertexStream1dvATI */);
}

static PFNGLVERTEXSTREAM1FATIPROC
epoxy_glVertexStream1fATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56585 /* glVertexStream1fATI */);
}

static PFNGLVERTEXSTREAM1FVATIPROC
epoxy_glVertexStream1fvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56605 /* glVertexStream1fvATI */);
}

static PFNGLVERTEXSTREAM1IATIPROC
epoxy_glVertexStream1iATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56626 /* glVertexStream1iATI */);
}

static PFNGLVERTEXSTREAM1IVATIPROC
epoxy_glVertexStream1ivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56646 /* glVertexStream1ivATI */);
}

static PFNGLVERTEXSTREAM1SATIPROC
epoxy_glVertexStream1sATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56667 /* glVertexStream1sATI */);
}

static PFNGLVERTEXSTREAM1SVATIPROC
epoxy_glVertexStream1svATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56687 /* glVertexStream1svATI */);
}

static PFNGLVERTEXSTREAM2DATIPROC
epoxy_glVertexStream2dATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56708 /* glVertexStream2dATI */);
}

static PFNGLVERTEXSTREAM2DVATIPROC
epoxy_glVertexStream2dvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56728 /* glVertexStream2dvATI */);
}

static PFNGLVERTEXSTREAM2FATIPROC
epoxy_glVertexStream2fATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56749 /* glVertexStream2fATI */);
}

static PFNGLVERTEXSTREAM2FVATIPROC
epoxy_glVertexStream2fvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56769 /* glVertexStream2fvATI */);
}

static PFNGLVERTEXSTREAM2IATIPROC
epoxy_glVertexStream2iATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56790 /* glVertexStream2iATI */);
}

static PFNGLVERTEXSTREAM2IVATIPROC
epoxy_glVertexStream2ivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56810 /* glVertexStream2ivATI */);
}

static PFNGLVERTEXSTREAM2SATIPROC
epoxy_glVertexStream2sATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56831 /* glVertexStream2sATI */);
}

static PFNGLVERTEXSTREAM2SVATIPROC
epoxy_glVertexStream2svATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56851 /* glVertexStream2svATI */);
}

static PFNGLVERTEXSTREAM3DATIPROC
epoxy_glVertexStream3dATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56872 /* glVertexStream3dATI */);
}

static PFNGLVERTEXSTREAM3DVATIPROC
epoxy_glVertexStream3dvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56892 /* glVertexStream3dvATI */);
}

static PFNGLVERTEXSTREAM3FATIPROC
epoxy_glVertexStream3fATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56913 /* glVertexStream3fATI */);
}

static PFNGLVERTEXSTREAM3FVATIPROC
epoxy_glVertexStream3fvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56933 /* glVertexStream3fvATI */);
}

static PFNGLVERTEXSTREAM3IATIPROC
epoxy_glVertexStream3iATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56954 /* glVertexStream3iATI */);
}

static PFNGLVERTEXSTREAM3IVATIPROC
epoxy_glVertexStream3ivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56974 /* glVertexStream3ivATI */);
}

static PFNGLVERTEXSTREAM3SATIPROC
epoxy_glVertexStream3sATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56995 /* glVertexStream3sATI */);
}

static PFNGLVERTEXSTREAM3SVATIPROC
epoxy_glVertexStream3svATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57015 /* glVertexStream3svATI */);
}

static PFNGLVERTEXSTREAM4DATIPROC
epoxy_glVertexStream4dATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57036 /* glVertexStream4dATI */);
}

static PFNGLVERTEXSTREAM4DVATIPROC
epoxy_glVertexStream4dvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57056 /* glVertexStream4dvATI */);
}

static PFNGLVERTEXSTREAM4FATIPROC
epoxy_glVertexStream4fATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57077 /* glVertexStream4fATI */);
}

static PFNGLVERTEXSTREAM4FVATIPROC
epoxy_glVertexStream4fvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57097 /* glVertexStream4fvATI */);
}

static PFNGLVERTEXSTREAM4IATIPROC
epoxy_glVertexStream4iATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57118 /* glVertexStream4iATI */);
}

static PFNGLVERTEXSTREAM4IVATIPROC
epoxy_glVertexStream4ivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57138 /* glVertexStream4ivATI */);
}

static PFNGLVERTEXSTREAM4SATIPROC
epoxy_glVertexStream4sATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57159 /* glVertexStream4sATI */);
}

static PFNGLVERTEXSTREAM4SVATIPROC
epoxy_glVertexStream4svATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57179 /* glVertexStream4svATI */);
}

static PFNGLVERTEXWEIGHTPOINTEREXTPROC
epoxy_glVertexWeightPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_weighting, 57200 /* glVertexWeightPointerEXT */);
}

static PFNGLVERTEXWEIGHTFEXTPROC
epoxy_glVertexWeightfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_weighting, 57225 /* glVertexWeightfEXT */);
}

static PFNGLVERTEXWEIGHTFVEXTPROC
epoxy_glVertexWeightfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_weighting, 57244 /* glVertexWeightfvEXT */);
}

static PFNGLVERTEXWEIGHTHNVPROC
epoxy_glVertexWeighthNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 57264 /* glVertexWeighthNV */);
}

static PFNGLVERTEXWEIGHTHVNVPROC
epoxy_glVertexWeighthvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 57282 /* glVertexWeighthvNV */);
}

static PFNGLVIDEOCAPTURENVPROC
epoxy_glVideoCaptureNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 57301 /* glVideoCaptureNV */);
}

static PFNGLVIDEOCAPTURESTREAMPARAMETERDVNVPROC
epoxy_glVideoCaptureStreamParameterdvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 57318 /* glVideoCaptureStreamParameterdvNV */);
}

static PFNGLVIDEOCAPTURESTREAMPARAMETERFVNVPROC
epoxy_glVideoCaptureStreamParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 57352 /* glVideoCaptureStreamParameterfvNV */);
}

static PFNGLVIDEOCAPTURESTREAMPARAMETERIVNVPROC
epoxy_glVideoCaptureStreamParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 57386 /* glVideoCaptureStreamParameterivNV */);
}

static PFNGLVIEWPORTPROC
epoxy_glViewport_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        Desktop_OpenGL_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57420 /* "glViewport" */,
        57420 /* "glViewport" */,
        57420 /* "glViewport" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57420 /* "glViewport" */,
                                providers, entrypoints);
}

static PFNGLVIEWPORTARRAYVPROC
epoxy_glViewportArrayv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_viewport_array,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57431 /* "glViewportArrayv" */,
        57431 /* "glViewportArrayv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57431 /* "glViewportArrayv" */,
                                providers, entrypoints);
}

static PFNGLVIEWPORTINDEXEDFPROC
epoxy_glViewportIndexedf_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_viewport_array,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57448 /* "glViewportIndexedf" */,
        57448 /* "glViewportIndexedf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57448 /* "glViewportIndexedf" */,
                                providers, entrypoints);
}

static PFNGLVIEWPORTINDEXEDFVPROC
epoxy_glViewportIndexedfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_viewport_array,
        Desktop_OpenGL_4_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57467 /* "glViewportIndexedfv" */,
        57467 /* "glViewportIndexedfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57467 /* "glViewportIndexedfv" */,
                                providers, entrypoints);
}

static PFNGLWAITSYNCPROC
epoxy_glWaitSync_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        Desktop_OpenGL_3_2,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57487 /* "glWaitSync" */,
        57487 /* "glWaitSync" */,
        57487 /* "glWaitSync" */,
        57498 /* "glWaitSyncAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57487 /* "glWaitSync" */,
                                providers, entrypoints);
}

static PFNGLWEIGHTPATHSNVPROC
epoxy_glWeightPathsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 57514 /* glWeightPathsNV */);
}

static PFNGLWEIGHTPOINTERARBPROC
epoxy_glWeightPointerARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57530 /* glWeightPointerARB */);
}

static PFNGLWEIGHTPOINTEROESPROC
epoxy_glWeightPointerOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_matrix_palette, 57549 /* glWeightPointerOES */);
}

static PFNGLWEIGHTBVARBPROC
epoxy_glWeightbvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57568 /* glWeightbvARB */);
}

static PFNGLWEIGHTDVARBPROC
epoxy_glWeightdvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57582 /* glWeightdvARB */);
}

static PFNGLWEIGHTFVARBPROC
epoxy_glWeightfvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57596 /* glWeightfvARB */);
}

static PFNGLWEIGHTIVARBPROC
epoxy_glWeightivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57610 /* glWeightivARB */);
}

static PFNGLWEIGHTSVARBPROC
epoxy_glWeightsvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57624 /* glWeightsvARB */);
}

static PFNGLWEIGHTUBVARBPROC
epoxy_glWeightubvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57638 /* glWeightubvARB */);
}

static PFNGLWEIGHTUIVARBPROC
epoxy_glWeightuivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57653 /* glWeightuivARB */);
}

static PFNGLWEIGHTUSVARBPROC
epoxy_glWeightusvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57668 /* glWeightusvARB */);
}

static PFNGLWINDOWPOS2DPROC
epoxy_glWindowPos2d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57683 /* "glWindowPos2d" */,
        57714 /* "glWindowPos2dMESA" */,
        57697 /* "glWindowPos2dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57683 /* "glWindowPos2d" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2DVPROC
epoxy_glWindowPos2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57732 /* "glWindowPos2dv" */,
        57747 /* "glWindowPos2dvARB" */,
        57765 /* "glWindowPos2dvMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57732 /* "glWindowPos2dv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2FPROC
epoxy_glWindowPos2f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57784 /* "glWindowPos2f" */,
        57815 /* "glWindowPos2fMESA" */,
        57798 /* "glWindowPos2fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57784 /* "glWindowPos2f" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2FVPROC
epoxy_glWindowPos2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57833 /* "glWindowPos2fv" */,
        57848 /* "glWindowPos2fvARB" */,
        57866 /* "glWindowPos2fvMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57833 /* "glWindowPos2fv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2IPROC
epoxy_glWindowPos2i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57885 /* "glWindowPos2i" */,
        57899 /* "glWindowPos2iARB" */,
        57916 /* "glWindowPos2iMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57885 /* "glWindowPos2i" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2IVPROC
epoxy_glWindowPos2iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57934 /* "glWindowPos2iv" */,
        57949 /* "glWindowPos2ivARB" */,
        57967 /* "glWindowPos2ivMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57934 /* "glWindowPos2iv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2SPROC
epoxy_glWindowPos2s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57986 /* "glWindowPos2s" */,
        58017 /* "glWindowPos2sMESA" */,
        58000 /* "glWindowPos2sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57986 /* "glWindowPos2s" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2SVPROC
epoxy_glWindowPos2sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58035 /* "glWindowPos2sv" */,
        58068 /* "glWindowPos2svMESA" */,
        58050 /* "glWindowPos2svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58035 /* "glWindowPos2sv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3DPROC
epoxy_glWindowPos3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58087 /* "glWindowPos3d" */,
        58118 /* "glWindowPos3dMESA" */,
        58101 /* "glWindowPos3dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58087 /* "glWindowPos3d" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3DVPROC
epoxy_glWindowPos3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58136 /* "glWindowPos3dv" */,
        58169 /* "glWindowPos3dvMESA" */,
        58151 /* "glWindowPos3dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58136 /* "glWindowPos3dv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3FPROC
epoxy_glWindowPos3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58188 /* "glWindowPos3f" */,
        58219 /* "glWindowPos3fMESA" */,
        58202 /* "glWindowPos3fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58188 /* "glWindowPos3f" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3FVPROC
epoxy_glWindowPos3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58237 /* "glWindowPos3fv" */,
        58252 /* "glWindowPos3fvARB" */,
        58270 /* "glWindowPos3fvMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58237 /* "glWindowPos3fv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3IPROC
epoxy_glWindowPos3i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58289 /* "glWindowPos3i" */,
        58320 /* "glWindowPos3iMESA" */,
        58303 /* "glWindowPos3iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58289 /* "glWindowPos3i" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3IVPROC
epoxy_glWindowPos3iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58338 /* "glWindowPos3iv" */,
        58353 /* "glWindowPos3ivARB" */,
        58371 /* "glWindowPos3ivMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58338 /* "glWindowPos3iv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3SPROC
epoxy_glWindowPos3s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58390 /* "glWindowPos3s" */,
        58404 /* "glWindowPos3sARB" */,
        58421 /* "glWindowPos3sMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58390 /* "glWindowPos3s" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3SVPROC
epoxy_glWindowPos3sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58439 /* "glWindowPos3sv" */,
        58472 /* "glWindowPos3svMESA" */,
        58454 /* "glWindowPos3svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58439 /* "glWindowPos3sv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS4DMESAPROC
epoxy_glWindowPos4dMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58491 /* glWindowPos4dMESA */);
}

static PFNGLWINDOWPOS4DVMESAPROC
epoxy_glWindowPos4dvMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58509 /* glWindowPos4dvMESA */);
}

static PFNGLWINDOWPOS4FMESAPROC
epoxy_glWindowPos4fMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58528 /* glWindowPos4fMESA */);
}

static PFNGLWINDOWPOS4FVMESAPROC
epoxy_glWindowPos4fvMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58546 /* glWindowPos4fvMESA */);
}

static PFNGLWINDOWPOS4IMESAPROC
epoxy_glWindowPos4iMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58565 /* glWindowPos4iMESA */);
}

static PFNGLWINDOWPOS4IVMESAPROC
epoxy_glWindowPos4ivMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58583 /* glWindowPos4ivMESA */);
}

static PFNGLWINDOWPOS4SMESAPROC
epoxy_glWindowPos4sMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58602 /* glWindowPos4sMESA */);
}

static PFNGLWINDOWPOS4SVMESAPROC
epoxy_glWindowPos4svMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58620 /* glWindowPos4svMESA */);
}

static PFNGLWRITEMASKEXTPROC
epoxy_glWriteMaskEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 58639 /* glWriteMaskEXT */);
}

#if USING_DISPATCH_TABLE
static GLAPIENTRY void
epoxy_glAccum_rewrite_stub(GLenum op, GLfloat value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAccum = epoxy_glAccum_resolver();

    dispatch_table->pglAccum(op, value);
}

static GLAPIENTRY void
epoxy_glAccumxOES_rewrite_stub(GLenum op, GLfixed value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAccumxOES = epoxy_glAccumxOES_resolver();

    dispatch_table->pglAccumxOES(op, value);
}

static GLAPIENTRY void
epoxy_glActiveProgramEXT_rewrite_stub(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveProgramEXT = epoxy_glActiveProgramEXT_resolver();

    dispatch_table->pglActiveProgramEXT(program);
}

static GLAPIENTRY void
epoxy_glActiveShaderProgram_rewrite_stub(GLuint pipeline, GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveShaderProgram = epoxy_glActiveShaderProgram_resolver();

    dispatch_table->pglActiveShaderProgram(pipeline, program);
}

static GLAPIENTRY void
epoxy_glActiveShaderProgramEXT_rewrite_stub(GLuint pipeline, GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveShaderProgramEXT = epoxy_glActiveShaderProgramEXT_resolver();

    dispatch_table->pglActiveShaderProgramEXT(pipeline, program);
}

static GLAPIENTRY void
epoxy_glActiveStencilFaceEXT_rewrite_stub(GLenum face)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveStencilFaceEXT = epoxy_glActiveStencilFaceEXT_resolver();

    dispatch_table->pglActiveStencilFaceEXT(face);
}

static GLAPIENTRY void
epoxy_glActiveTexture_rewrite_stub(GLenum texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveTexture = epoxy_glActiveTexture_resolver();

    dispatch_table->pglActiveTexture(texture);
}

static GLAPIENTRY void
epoxy_glActiveVaryingNV_rewrite_stub(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveVaryingNV = epoxy_glActiveVaryingNV_resolver();

    dispatch_table->pglActiveVaryingNV(program, name);
}

static GLAPIENTRY void
epoxy_glAlphaFragmentOp1ATI_rewrite_stub(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFragmentOp1ATI = epoxy_glAlphaFragmentOp1ATI_resolver();

    dispatch_table->pglAlphaFragmentOp1ATI(op, dst, dstMod, arg1, arg1Rep, arg1Mod);
}

static GLAPIENTRY void
epoxy_glAlphaFragmentOp2ATI_rewrite_stub(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFragmentOp2ATI = epoxy_glAlphaFragmentOp2ATI_resolver();

    dispatch_table->pglAlphaFragmentOp2ATI(op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod);
}

static GLAPIENTRY void
epoxy_glAlphaFragmentOp3ATI_rewrite_stub(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFragmentOp3ATI = epoxy_glAlphaFragmentOp3ATI_resolver();

    dispatch_table->pglAlphaFragmentOp3ATI(op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod);
}

static GLAPIENTRY void
epoxy_glAlphaFunc_rewrite_stub(GLenum func, GLfloat ref)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFunc = epoxy_glAlphaFunc_resolver();

    dispatch_table->pglAlphaFunc(func, ref);
}

static GLAPIENTRY void
epoxy_glAlphaFuncQCOM_rewrite_stub(GLenum func, GLclampf ref)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFuncQCOM = epoxy_glAlphaFuncQCOM_resolver();

    dispatch_table->pglAlphaFuncQCOM(func, ref);
}

static GLAPIENTRY void
epoxy_glAlphaFuncx_rewrite_stub(GLenum func, GLfixed ref)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFuncx = epoxy_glAlphaFuncx_resolver();

    dispatch_table->pglAlphaFuncx(func, ref);
}

static GLAPIENTRY void
epoxy_glAlphaFuncxOES_rewrite_stub(GLenum func, GLfixed ref)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFuncxOES = epoxy_glAlphaFuncxOES_resolver();

    dispatch_table->pglAlphaFuncxOES(func, ref);
}

static GLAPIENTRY void
epoxy_glApplyTextureEXT_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglApplyTextureEXT = epoxy_glApplyTextureEXT_resolver();

    dispatch_table->pglApplyTextureEXT(mode);
}

static GLAPIENTRY GLboolean
epoxy_glAreProgramsResidentNV_rewrite_stub(GLsizei n, const GLuint * programs, GLboolean * residences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAreProgramsResidentNV = epoxy_glAreProgramsResidentNV_resolver();

    return dispatch_table->pglAreProgramsResidentNV(n, programs, residences);
}

static GLAPIENTRY GLboolean
epoxy_glAreTexturesResident_rewrite_stub(GLsizei n, const GLuint * textures, GLboolean * residences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAreTexturesResident = epoxy_glAreTexturesResident_resolver();

    return dispatch_table->pglAreTexturesResident(n, textures, residences);
}

static GLAPIENTRY GLboolean
epoxy_glAreTexturesResidentEXT_rewrite_stub(GLsizei n, const GLuint * textures, GLboolean * residences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAreTexturesResidentEXT = epoxy_glAreTexturesResidentEXT_resolver();

    return dispatch_table->pglAreTexturesResidentEXT(n, textures, residences);
}

static GLAPIENTRY void
epoxy_glArrayElement_rewrite_stub(GLint i)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglArrayElement = epoxy_glArrayElement_resolver();

    dispatch_table->pglArrayElement(i);
}

static GLAPIENTRY void
epoxy_glArrayObjectATI_rewrite_stub(GLenum array, GLint size, GLenum type, GLsizei stride, GLuint buffer, GLuint offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglArrayObjectATI = epoxy_glArrayObjectATI_resolver();

    dispatch_table->pglArrayObjectATI(array, size, type, stride, buffer, offset);
}

static GLAPIENTRY void
epoxy_glAsyncMarkerSGIX_rewrite_stub(GLuint marker)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAsyncMarkerSGIX = epoxy_glAsyncMarkerSGIX_resolver();

    dispatch_table->pglAsyncMarkerSGIX(marker);
}

static GLAPIENTRY void
epoxy_glAttachShader_rewrite_stub(GLuint program, GLuint shader)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAttachShader = epoxy_glAttachShader_resolver();

    dispatch_table->pglAttachShader(program, shader);
}

static GLAPIENTRY void
epoxy_glBegin_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBegin = epoxy_glBegin_resolver();

    dispatch_table->pglBegin(mode);
}

static GLAPIENTRY void
epoxy_glBeginConditionalRender_rewrite_stub(GLuint id, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginConditionalRender = epoxy_glBeginConditionalRender_resolver();

    dispatch_table->pglBeginConditionalRender(id, mode);
}

static GLAPIENTRY void
epoxy_glBeginConditionalRenderNVX_rewrite_stub(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginConditionalRenderNVX = epoxy_glBeginConditionalRenderNVX_resolver();

    dispatch_table->pglBeginConditionalRenderNVX(id);
}

static GLAPIENTRY void
epoxy_glBeginFragmentShaderATI_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginFragmentShaderATI = epoxy_glBeginFragmentShaderATI_resolver();

    dispatch_table->pglBeginFragmentShaderATI();
}

static GLAPIENTRY void
epoxy_glBeginOcclusionQueryNV_rewrite_stub(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginOcclusionQueryNV = epoxy_glBeginOcclusionQueryNV_resolver();

    dispatch_table->pglBeginOcclusionQueryNV(id);
}

static GLAPIENTRY void
epoxy_glBeginPerfMonitorAMD_rewrite_stub(GLuint monitor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginPerfMonitorAMD = epoxy_glBeginPerfMonitorAMD_resolver();

    dispatch_table->pglBeginPerfMonitorAMD(monitor);
}

static GLAPIENTRY void
epoxy_glBeginPerfQueryINTEL_rewrite_stub(GLuint queryHandle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginPerfQueryINTEL = epoxy_glBeginPerfQueryINTEL_resolver();

    dispatch_table->pglBeginPerfQueryINTEL(queryHandle);
}

static GLAPIENTRY void
epoxy_glBeginQuery_rewrite_stub(GLenum target, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginQuery = epoxy_glBeginQuery_resolver();

    dispatch_table->pglBeginQuery(target, id);
}

static GLAPIENTRY void
epoxy_glBeginQueryEXT_rewrite_stub(GLenum target, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginQueryEXT = epoxy_glBeginQueryEXT_resolver();

    dispatch_table->pglBeginQueryEXT(target, id);
}

static GLAPIENTRY void
epoxy_glBeginQueryIndexed_rewrite_stub(GLenum target, GLuint index, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginQueryIndexed = epoxy_glBeginQueryIndexed_resolver();

    dispatch_table->pglBeginQueryIndexed(target, index, id);
}

static GLAPIENTRY void
epoxy_glBeginTransformFeedback_rewrite_stub(GLenum primitiveMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginTransformFeedback = epoxy_glBeginTransformFeedback_resolver();

    dispatch_table->pglBeginTransformFeedback(primitiveMode);
}

static GLAPIENTRY void
epoxy_glBeginVertexShaderEXT_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginVertexShaderEXT = epoxy_glBeginVertexShaderEXT_resolver();

    dispatch_table->pglBeginVertexShaderEXT();
}

static GLAPIENTRY void
epoxy_glBeginVideoCaptureNV_rewrite_stub(GLuint video_capture_slot)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginVideoCaptureNV = epoxy_glBeginVideoCaptureNV_resolver();

    dispatch_table->pglBeginVideoCaptureNV(video_capture_slot);
}

static GLAPIENTRY void
epoxy_glBindAttribLocation_rewrite_stub(GLuint program, GLuint index, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindAttribLocation = epoxy_glBindAttribLocation_resolver();

    dispatch_table->pglBindAttribLocation(program, index, name);
}

static GLAPIENTRY void
epoxy_glBindBuffer_rewrite_stub(GLenum target, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBuffer = epoxy_glBindBuffer_resolver();

    dispatch_table->pglBindBuffer(target, buffer);
}

static GLAPIENTRY void
epoxy_glBindBufferBase_rewrite_stub(GLenum target, GLuint index, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBufferBase = epoxy_glBindBufferBase_resolver();

    dispatch_table->pglBindBufferBase(target, index, buffer);
}

static GLAPIENTRY void
epoxy_glBindBufferOffsetEXT_rewrite_stub(GLenum target, GLuint index, GLuint buffer, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBufferOffsetEXT = epoxy_glBindBufferOffsetEXT_resolver();

    dispatch_table->pglBindBufferOffsetEXT(target, index, buffer, offset);
}

static GLAPIENTRY void
epoxy_glBindBufferRange_rewrite_stub(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBufferRange = epoxy_glBindBufferRange_resolver();

    dispatch_table->pglBindBufferRange(target, index, buffer, offset, size);
}

static GLAPIENTRY void
epoxy_glBindBuffersBase_rewrite_stub(GLenum target, GLuint first, GLsizei count, const GLuint * buffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBuffersBase = epoxy_glBindBuffersBase_resolver();

    dispatch_table->pglBindBuffersBase(target, first, count, buffers);
}

static GLAPIENTRY void
epoxy_glBindBuffersRange_rewrite_stub(GLenum target, GLuint first, GLsizei count, const GLuint * buffers, const GLintptr * offsets, const GLsizeiptr * sizes)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBuffersRange = epoxy_glBindBuffersRange_resolver();

    dispatch_table->pglBindBuffersRange(target, first, count, buffers, offsets, sizes);
}

static GLAPIENTRY void
epoxy_glBindFragDataLocation_rewrite_stub(GLuint program, GLuint color, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFragDataLocation = epoxy_glBindFragDataLocation_resolver();

    dispatch_table->pglBindFragDataLocation(program, color, name);
}

static GLAPIENTRY void
epoxy_glBindFragDataLocationIndexed_rewrite_stub(GLuint program, GLuint colorNumber, GLuint index, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFragDataLocationIndexed = epoxy_glBindFragDataLocationIndexed_resolver();

    dispatch_table->pglBindFragDataLocationIndexed(program, colorNumber, index, name);
}

static GLAPIENTRY void
epoxy_glBindFragmentShaderATI_rewrite_stub(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFragmentShaderATI = epoxy_glBindFragmentShaderATI_resolver();

    dispatch_table->pglBindFragmentShaderATI(id);
}

static GLAPIENTRY void
epoxy_glBindFramebuffer_rewrite_stub(GLenum target, GLuint framebuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFramebuffer = epoxy_glBindFramebuffer_resolver();

    dispatch_table->pglBindFramebuffer(target, framebuffer);
}

static GLAPIENTRY void
epoxy_glBindFramebufferEXT_rewrite_stub(GLenum target, GLuint framebuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFramebufferEXT = epoxy_glBindFramebufferEXT_resolver();

    dispatch_table->pglBindFramebufferEXT(target, framebuffer);
}

static GLAPIENTRY void
epoxy_glBindFramebufferOES_rewrite_stub(GLenum target, GLuint framebuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFramebufferOES = epoxy_glBindFramebufferOES_resolver();

    dispatch_table->pglBindFramebufferOES(target, framebuffer);
}

static GLAPIENTRY void
epoxy_glBindImageTexture_rewrite_stub(GLuint unit, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLenum format)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindImageTexture = epoxy_glBindImageTexture_resolver();

    dispatch_table->pglBindImageTexture(unit, texture, level, layered, layer, access, format);
}

static GLAPIENTRY void
epoxy_glBindImageTextureEXT_rewrite_stub(GLuint index, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLint format)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindImageTextureEXT = epoxy_glBindImageTextureEXT_resolver();

    dispatch_table->pglBindImageTextureEXT(index, texture, level, layered, layer, access, format);
}

static GLAPIENTRY void
epoxy_glBindImageTextures_rewrite_stub(GLuint first, GLsizei count, const GLuint * textures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindImageTextures = epoxy_glBindImageTextures_resolver();

    dispatch_table->pglBindImageTextures(first, count, textures);
}

static GLAPIENTRY GLuint
epoxy_glBindLightParameterEXT_rewrite_stub(GLenum light, GLenum value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindLightParameterEXT = epoxy_glBindLightParameterEXT_resolver();

    return dispatch_table->pglBindLightParameterEXT(light, value);
}

static GLAPIENTRY GLuint
epoxy_glBindMaterialParameterEXT_rewrite_stub(GLenum face, GLenum value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindMaterialParameterEXT = epoxy_glBindMaterialParameterEXT_resolver();

    return dispatch_table->pglBindMaterialParameterEXT(face, value);
}

static GLAPIENTRY void
epoxy_glBindMultiTextureEXT_rewrite_stub(GLenum texunit, GLenum target, GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindMultiTextureEXT = epoxy_glBindMultiTextureEXT_resolver();

    dispatch_table->pglBindMultiTextureEXT(texunit, target, texture);
}

static GLAPIENTRY GLuint
epoxy_glBindParameterEXT_rewrite_stub(GLenum value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindParameterEXT = epoxy_glBindParameterEXT_resolver();

    return dispatch_table->pglBindParameterEXT(value);
}

static GLAPIENTRY void
epoxy_glBindProgramARB_rewrite_stub(GLenum target, GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindProgramARB = epoxy_glBindProgramARB_resolver();

    dispatch_table->pglBindProgramARB(target, program);
}

static GLAPIENTRY void
epoxy_glBindProgramPipeline_rewrite_stub(GLuint pipeline)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindProgramPipeline = epoxy_glBindProgramPipeline_resolver();

    dispatch_table->pglBindProgramPipeline(pipeline);
}

static GLAPIENTRY void
epoxy_glBindProgramPipelineEXT_rewrite_stub(GLuint pipeline)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindProgramPipelineEXT = epoxy_glBindProgramPipelineEXT_resolver();

    dispatch_table->pglBindProgramPipelineEXT(pipeline);
}

static GLAPIENTRY void
epoxy_glBindRenderbuffer_rewrite_stub(GLenum target, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindRenderbuffer = epoxy_glBindRenderbuffer_resolver();

    dispatch_table->pglBindRenderbuffer(target, renderbuffer);
}

static GLAPIENTRY void
epoxy_glBindRenderbufferEXT_rewrite_stub(GLenum target, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindRenderbufferEXT = epoxy_glBindRenderbufferEXT_resolver();

    dispatch_table->pglBindRenderbufferEXT(target, renderbuffer);
}

static GLAPIENTRY void
epoxy_glBindRenderbufferOES_rewrite_stub(GLenum target, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindRenderbufferOES = epoxy_glBindRenderbufferOES_resolver();

    dispatch_table->pglBindRenderbufferOES(target, renderbuffer);
}

static GLAPIENTRY void
epoxy_glBindSampler_rewrite_stub(GLuint unit, GLuint sampler)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindSampler = epoxy_glBindSampler_resolver();

    dispatch_table->pglBindSampler(unit, sampler);
}

static GLAPIENTRY void
epoxy_glBindSamplers_rewrite_stub(GLuint first, GLsizei count, const GLuint * samplers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindSamplers = epoxy_glBindSamplers_resolver();

    dispatch_table->pglBindSamplers(first, count, samplers);
}

static GLAPIENTRY GLuint
epoxy_glBindTexGenParameterEXT_rewrite_stub(GLenum unit, GLenum coord, GLenum value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindTexGenParameterEXT = epoxy_glBindTexGenParameterEXT_resolver();

    return dispatch_table->pglBindTexGenParameterEXT(unit, coord, value);
}

static GLAPIENTRY void
epoxy_glBindTexture_rewrite_stub(GLenum target, GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindTexture = epoxy_glBindTexture_resolver();

    dispatch_table->pglBindTexture(target, texture);
}

static GLAPIENTRY GLuint
epoxy_glBindTextureUnitParameterEXT_rewrite_stub(GLenum unit, GLenum value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindTextureUnitParameterEXT = epoxy_glBindTextureUnitParameterEXT_resolver();

    return dispatch_table->pglBindTextureUnitParameterEXT(unit, value);
}

static GLAPIENTRY void
epoxy_glBindTextures_rewrite_stub(GLuint first, GLsizei count, const GLuint * textures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindTextures = epoxy_glBindTextures_resolver();

    dispatch_table->pglBindTextures(first, count, textures);
}

static GLAPIENTRY void
epoxy_glBindTransformFeedback_rewrite_stub(GLenum target, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindTransformFeedback = epoxy_glBindTransformFeedback_resolver();

    dispatch_table->pglBindTransformFeedback(target, id);
}

static GLAPIENTRY void
epoxy_glBindTransformFeedbackNV_rewrite_stub(GLenum target, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindTransformFeedbackNV = epoxy_glBindTransformFeedbackNV_resolver();

    dispatch_table->pglBindTransformFeedbackNV(target, id);
}

static GLAPIENTRY void
epoxy_glBindVertexArray_rewrite_stub(GLuint array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVertexArray = epoxy_glBindVertexArray_resolver();

    dispatch_table->pglBindVertexArray(array);
}

static GLAPIENTRY void
epoxy_glBindVertexArrayAPPLE_rewrite_stub(GLuint array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVertexArrayAPPLE = epoxy_glBindVertexArrayAPPLE_resolver();

    dispatch_table->pglBindVertexArrayAPPLE(array);
}

static GLAPIENTRY void
epoxy_glBindVertexBuffer_rewrite_stub(GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVertexBuffer = epoxy_glBindVertexBuffer_resolver();

    dispatch_table->pglBindVertexBuffer(bindingindex, buffer, offset, stride);
}

static GLAPIENTRY void
epoxy_glBindVertexBuffers_rewrite_stub(GLuint first, GLsizei count, const GLuint * buffers, const GLintptr * offsets, const GLsizei * strides)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVertexBuffers = epoxy_glBindVertexBuffers_resolver();

    dispatch_table->pglBindVertexBuffers(first, count, buffers, offsets, strides);
}

static GLAPIENTRY void
epoxy_glBindVertexShaderEXT_rewrite_stub(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVertexShaderEXT = epoxy_glBindVertexShaderEXT_resolver();

    dispatch_table->pglBindVertexShaderEXT(id);
}

static GLAPIENTRY void
epoxy_glBindVideoCaptureStreamBufferNV_rewrite_stub(GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLintptrARB offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVideoCaptureStreamBufferNV = epoxy_glBindVideoCaptureStreamBufferNV_resolver();

    dispatch_table->pglBindVideoCaptureStreamBufferNV(video_capture_slot, stream, frame_region, offset);
}

static GLAPIENTRY void
epoxy_glBindVideoCaptureStreamTextureNV_rewrite_stub(GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLenum target, GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVideoCaptureStreamTextureNV = epoxy_glBindVideoCaptureStreamTextureNV_resolver();

    dispatch_table->pglBindVideoCaptureStreamTextureNV(video_capture_slot, stream, frame_region, target, texture);
}

static GLAPIENTRY void
epoxy_glBinormal3bEXT_rewrite_stub(GLbyte bx, GLbyte by, GLbyte bz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3bEXT = epoxy_glBinormal3bEXT_resolver();

    dispatch_table->pglBinormal3bEXT(bx, by, bz);
}

static GLAPIENTRY void
epoxy_glBinormal3bvEXT_rewrite_stub(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3bvEXT = epoxy_glBinormal3bvEXT_resolver();

    dispatch_table->pglBinormal3bvEXT(v);
}

static GLAPIENTRY void
epoxy_glBinormal3dEXT_rewrite_stub(GLdouble bx, GLdouble by, GLdouble bz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3dEXT = epoxy_glBinormal3dEXT_resolver();

    dispatch_table->pglBinormal3dEXT(bx, by, bz);
}

static GLAPIENTRY void
epoxy_glBinormal3dvEXT_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3dvEXT = epoxy_glBinormal3dvEXT_resolver();

    dispatch_table->pglBinormal3dvEXT(v);
}

static GLAPIENTRY void
epoxy_glBinormal3fEXT_rewrite_stub(GLfloat bx, GLfloat by, GLfloat bz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3fEXT = epoxy_glBinormal3fEXT_resolver();

    dispatch_table->pglBinormal3fEXT(bx, by, bz);
}

static GLAPIENTRY void
epoxy_glBinormal3fvEXT_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3fvEXT = epoxy_glBinormal3fvEXT_resolver();

    dispatch_table->pglBinormal3fvEXT(v);
}

static GLAPIENTRY void
epoxy_glBinormal3iEXT_rewrite_stub(GLint bx, GLint by, GLint bz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3iEXT = epoxy_glBinormal3iEXT_resolver();

    dispatch_table->pglBinormal3iEXT(bx, by, bz);
}

static GLAPIENTRY void
epoxy_glBinormal3ivEXT_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3ivEXT = epoxy_glBinormal3ivEXT_resolver();

    dispatch_table->pglBinormal3ivEXT(v);
}

static GLAPIENTRY void
epoxy_glBinormal3sEXT_rewrite_stub(GLshort bx, GLshort by, GLshort bz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3sEXT = epoxy_glBinormal3sEXT_resolver();

    dispatch_table->pglBinormal3sEXT(bx, by, bz);
}

static GLAPIENTRY void
epoxy_glBinormal3svEXT_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3svEXT = epoxy_glBinormal3svEXT_resolver();

    dispatch_table->pglBinormal3svEXT(v);
}

static GLAPIENTRY void
epoxy_glBinormalPointerEXT_rewrite_stub(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormalPointerEXT = epoxy_glBinormalPointerEXT_resolver();

    dispatch_table->pglBinormalPointerEXT(type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glBitmap_rewrite_stub(GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte * bitmap)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBitmap = epoxy_glBitmap_resolver();

    dispatch_table->pglBitmap(width, height, xorig, yorig, xmove, ymove, bitmap);
}

static GLAPIENTRY void
epoxy_glBitmapxOES_rewrite_stub(GLsizei width, GLsizei height, GLfixed xorig, GLfixed yorig, GLfixed xmove, GLfixed ymove, const GLubyte * bitmap)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBitmapxOES = epoxy_glBitmapxOES_resolver();

    dispatch_table->pglBitmapxOES(width, height, xorig, yorig, xmove, ymove, bitmap);
}

static GLAPIENTRY void
epoxy_glBlendBarrierNV_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendBarrierNV = epoxy_glBlendBarrierNV_resolver();

    dispatch_table->pglBlendBarrierNV();
}

static GLAPIENTRY void
epoxy_glBlendColor_rewrite_stub(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendColor = epoxy_glBlendColor_resolver();

    dispatch_table->pglBlendColor(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glBlendColorxOES_rewrite_stub(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendColorxOES = epoxy_glBlendColorxOES_resolver();

    dispatch_table->pglBlendColorxOES(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glBlendEquation_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquation = epoxy_glBlendEquation_resolver();

    dispatch_table->pglBlendEquation(mode);
}

static GLAPIENTRY void
epoxy_glBlendEquationOES_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationOES = epoxy_glBlendEquationOES_resolver();

    dispatch_table->pglBlendEquationOES(mode);
}

static GLAPIENTRY void
epoxy_glBlendEquationSeparate_rewrite_stub(GLenum modeRGB, GLenum modeAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationSeparate = epoxy_glBlendEquationSeparate_resolver();

    dispatch_table->pglBlendEquationSeparate(modeRGB, modeAlpha);
}

static GLAPIENTRY void
epoxy_glBlendEquationSeparateOES_rewrite_stub(GLenum modeRGB, GLenum modeAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationSeparateOES = epoxy_glBlendEquationSeparateOES_resolver();

    dispatch_table->pglBlendEquationSeparateOES(modeRGB, modeAlpha);
}

static GLAPIENTRY void
epoxy_glBlendEquationSeparatei_rewrite_stub(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationSeparatei = epoxy_glBlendEquationSeparatei_resolver();

    dispatch_table->pglBlendEquationSeparatei(buf, modeRGB, modeAlpha);
}

static GLAPIENTRY void
epoxy_glBlendEquationi_rewrite_stub(GLuint buf, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationi = epoxy_glBlendEquationi_resolver();

    dispatch_table->pglBlendEquationi(buf, mode);
}

static GLAPIENTRY void
epoxy_glBlendFunc_rewrite_stub(GLenum sfactor, GLenum dfactor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFunc = epoxy_glBlendFunc_resolver();

    dispatch_table->pglBlendFunc(sfactor, dfactor);
}

static GLAPIENTRY void
epoxy_glBlendFuncSeparate_rewrite_stub(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFuncSeparate = epoxy_glBlendFuncSeparate_resolver();

    dispatch_table->pglBlendFuncSeparate(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
}

static GLAPIENTRY void
epoxy_glBlendFuncSeparateOES_rewrite_stub(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFuncSeparateOES = epoxy_glBlendFuncSeparateOES_resolver();

    dispatch_table->pglBlendFuncSeparateOES(srcRGB, dstRGB, srcAlpha, dstAlpha);
}

static GLAPIENTRY void
epoxy_glBlendFuncSeparatei_rewrite_stub(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFuncSeparatei = epoxy_glBlendFuncSeparatei_resolver();

    dispatch_table->pglBlendFuncSeparatei(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
}

static GLAPIENTRY void
epoxy_glBlendFunci_rewrite_stub(GLuint buf, GLenum src, GLenum dst)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFunci = epoxy_glBlendFunci_resolver();

    dispatch_table->pglBlendFunci(buf, src, dst);
}

static GLAPIENTRY void
epoxy_glBlendParameteriNV_rewrite_stub(GLenum pname, GLint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendParameteriNV = epoxy_glBlendParameteriNV_resolver();

    dispatch_table->pglBlendParameteriNV(pname, value);
}

static GLAPIENTRY void
epoxy_glBlitFramebuffer_rewrite_stub(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlitFramebuffer = epoxy_glBlitFramebuffer_resolver();

    dispatch_table->pglBlitFramebuffer(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
}

static GLAPIENTRY void
epoxy_glBlitFramebufferANGLE_rewrite_stub(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlitFramebufferANGLE = epoxy_glBlitFramebufferANGLE_resolver();

    dispatch_table->pglBlitFramebufferANGLE(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
}

static GLAPIENTRY void
epoxy_glBufferAddressRangeNV_rewrite_stub(GLenum pname, GLuint index, GLuint64EXT address, GLsizeiptr length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBufferAddressRangeNV = epoxy_glBufferAddressRangeNV_resolver();

    dispatch_table->pglBufferAddressRangeNV(pname, index, address, length);
}

static GLAPIENTRY void
epoxy_glBufferData_rewrite_stub(GLenum target, GLsizeiptr size, const void * data, GLenum usage)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBufferData = epoxy_glBufferData_resolver();

    dispatch_table->pglBufferData(target, size, data, usage);
}

static GLAPIENTRY void
epoxy_glBufferParameteriAPPLE_rewrite_stub(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBufferParameteriAPPLE = epoxy_glBufferParameteriAPPLE_resolver();

    dispatch_table->pglBufferParameteriAPPLE(target, pname, param);
}

static GLAPIENTRY void
epoxy_glBufferStorage_rewrite_stub(GLenum target, GLsizeiptr size, const void * data, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBufferStorage = epoxy_glBufferStorage_resolver();

    dispatch_table->pglBufferStorage(target, size, data, flags);
}

static GLAPIENTRY void
epoxy_glBufferSubData_rewrite_stub(GLenum target, GLintptr offset, GLsizeiptr size, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBufferSubData = epoxy_glBufferSubData_resolver();

    dispatch_table->pglBufferSubData(target, offset, size, data);
}

static GLAPIENTRY void
epoxy_glCallList_rewrite_stub(GLuint list)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCallList = epoxy_glCallList_resolver();

    dispatch_table->pglCallList(list);
}

static GLAPIENTRY void
epoxy_glCallLists_rewrite_stub(GLsizei n, GLenum type, const void * lists)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCallLists = epoxy_glCallLists_resolver();

    dispatch_table->pglCallLists(n, type, lists);
}

static GLAPIENTRY GLenum
epoxy_glCheckFramebufferStatus_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCheckFramebufferStatus = epoxy_glCheckFramebufferStatus_resolver();

    return dispatch_table->pglCheckFramebufferStatus(target);
}

static GLAPIENTRY GLenum
epoxy_glCheckFramebufferStatusOES_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCheckFramebufferStatusOES = epoxy_glCheckFramebufferStatusOES_resolver();

    return dispatch_table->pglCheckFramebufferStatusOES(target);
}

static GLAPIENTRY GLenum
epoxy_glCheckNamedFramebufferStatusEXT_rewrite_stub(GLuint framebuffer, GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCheckNamedFramebufferStatusEXT = epoxy_glCheckNamedFramebufferStatusEXT_resolver();

    return dispatch_table->pglCheckNamedFramebufferStatusEXT(framebuffer, target);
}

static GLAPIENTRY void
epoxy_glClampColor_rewrite_stub(GLenum target, GLenum clamp)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClampColor = epoxy_glClampColor_resolver();

    dispatch_table->pglClampColor(target, clamp);
}

static GLAPIENTRY void
epoxy_glClear_rewrite_stub(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClear = epoxy_glClear_resolver();

    dispatch_table->pglClear(mask);
}

static GLAPIENTRY void
epoxy_glClearAccum_rewrite_stub(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearAccum = epoxy_glClearAccum_resolver();

    dispatch_table->pglClearAccum(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glClearAccumxOES_rewrite_stub(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearAccumxOES = epoxy_glClearAccumxOES_resolver();

    dispatch_table->pglClearAccumxOES(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glClearBufferData_rewrite_stub(GLenum target, GLenum internalformat, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearBufferData = epoxy_glClearBufferData_resolver();

    dispatch_table->pglClearBufferData(target, internalformat, format, type, data);
}

static GLAPIENTRY void
epoxy_glClearBufferSubData_rewrite_stub(GLenum target, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearBufferSubData = epoxy_glClearBufferSubData_resolver();

    dispatch_table->pglClearBufferSubData(target, internalformat, offset, size, format, type, data);
}

static GLAPIENTRY void
epoxy_glClearBufferfi_rewrite_stub(GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearBufferfi = epoxy_glClearBufferfi_resolver();

    dispatch_table->pglClearBufferfi(buffer, drawbuffer, depth, stencil);
}

static GLAPIENTRY void
epoxy_glClearBufferfv_rewrite_stub(GLenum buffer, GLint drawbuffer, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearBufferfv = epoxy_glClearBufferfv_resolver();

    dispatch_table->pglClearBufferfv(buffer, drawbuffer, value);
}

static GLAPIENTRY void
epoxy_glClearBufferiv_rewrite_stub(GLenum buffer, GLint drawbuffer, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearBufferiv = epoxy_glClearBufferiv_resolver();

    dispatch_table->pglClearBufferiv(buffer, drawbuffer, value);
}

static GLAPIENTRY void
epoxy_glClearBufferuiv_rewrite_stub(GLenum buffer, GLint drawbuffer, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearBufferuiv = epoxy_glClearBufferuiv_resolver();

    dispatch_table->pglClearBufferuiv(buffer, drawbuffer, value);
}

static GLAPIENTRY void
epoxy_glClearColor_rewrite_stub(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearColor = epoxy_glClearColor_resolver();

    dispatch_table->pglClearColor(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glClearColorIiEXT_rewrite_stub(GLint red, GLint green, GLint blue, GLint alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearColorIiEXT = epoxy_glClearColorIiEXT_resolver();

    dispatch_table->pglClearColorIiEXT(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glClearColorIuiEXT_rewrite_stub(GLuint red, GLuint green, GLuint blue, GLuint alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearColorIuiEXT = epoxy_glClearColorIuiEXT_resolver();

    dispatch_table->pglClearColorIuiEXT(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glClearColorx_rewrite_stub(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearColorx = epoxy_glClearColorx_resolver();

    dispatch_table->pglClearColorx(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glClearColorxOES_rewrite_stub(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearColorxOES = epoxy_glClearColorxOES_resolver();

    dispatch_table->pglClearColorxOES(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glClearDepth_rewrite_stub(GLdouble depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearDepth = epoxy_glClearDepth_resolver();

    dispatch_table->pglClearDepth(depth);
}

static GLAPIENTRY void
epoxy_glClearDepthdNV_rewrite_stub(GLdouble depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearDepthdNV = epoxy_glClearDepthdNV_resolver();

    dispatch_table->pglClearDepthdNV(depth);
}

static GLAPIENTRY void
epoxy_glClearDepthf_rewrite_stub(GLfloat d)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearDepthf = epoxy_glClearDepthf_resolver();

    dispatch_table->pglClearDepthf(d);
}

static GLAPIENTRY void
epoxy_glClearDepthx_rewrite_stub(GLfixed depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearDepthx = epoxy_glClearDepthx_resolver();

    dispatch_table->pglClearDepthx(depth);
}

static GLAPIENTRY void
epoxy_glClearDepthxOES_rewrite_stub(GLfixed depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearDepthxOES = epoxy_glClearDepthxOES_resolver();

    dispatch_table->pglClearDepthxOES(depth);
}

static GLAPIENTRY void
epoxy_glClearIndex_rewrite_stub(GLfloat c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearIndex = epoxy_glClearIndex_resolver();

    dispatch_table->pglClearIndex(c);
}

static GLAPIENTRY void
epoxy_glClearNamedBufferDataEXT_rewrite_stub(GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearNamedBufferDataEXT = epoxy_glClearNamedBufferDataEXT_resolver();

    dispatch_table->pglClearNamedBufferDataEXT(buffer, internalformat, format, type, data);
}

static GLAPIENTRY void
epoxy_glClearNamedBufferSubDataEXT_rewrite_stub(GLuint buffer, GLenum internalformat, GLsizeiptr offset, GLsizeiptr size, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearNamedBufferSubDataEXT = epoxy_glClearNamedBufferSubDataEXT_resolver();

    dispatch_table->pglClearNamedBufferSubDataEXT(buffer, internalformat, offset, size, format, type, data);
}

static GLAPIENTRY void
epoxy_glClearStencil_rewrite_stub(GLint s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearStencil = epoxy_glClearStencil_resolver();

    dispatch_table->pglClearStencil(s);
}

static GLAPIENTRY void
epoxy_glClearTexImage_rewrite_stub(GLuint texture, GLint level, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearTexImage = epoxy_glClearTexImage_resolver();

    dispatch_table->pglClearTexImage(texture, level, format, type, data);
}

static GLAPIENTRY void
epoxy_glClearTexSubImage_rewrite_stub(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearTexSubImage = epoxy_glClearTexSubImage_resolver();

    dispatch_table->pglClearTexSubImage(texture, level, xoffset, yoffset, zoffset, width, height, depth, format, type, data);
}

static GLAPIENTRY void
epoxy_glClientActiveTexture_rewrite_stub(GLenum texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClientActiveTexture = epoxy_glClientActiveTexture_resolver();

    dispatch_table->pglClientActiveTexture(texture);
}

static GLAPIENTRY void
epoxy_glClientActiveVertexStreamATI_rewrite_stub(GLenum stream)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClientActiveVertexStreamATI = epoxy_glClientActiveVertexStreamATI_resolver();

    dispatch_table->pglClientActiveVertexStreamATI(stream);
}

static GLAPIENTRY void
epoxy_glClientAttribDefaultEXT_rewrite_stub(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClientAttribDefaultEXT = epoxy_glClientAttribDefaultEXT_resolver();

    dispatch_table->pglClientAttribDefaultEXT(mask);
}

static GLAPIENTRY GLenum
epoxy_glClientWaitSync_rewrite_stub(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClientWaitSync = epoxy_glClientWaitSync_resolver();

    return dispatch_table->pglClientWaitSync(sync, flags, timeout);
}

static GLAPIENTRY void
epoxy_glClipPlane_rewrite_stub(GLenum plane, const GLdouble * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlane = epoxy_glClipPlane_resolver();

    dispatch_table->pglClipPlane(plane, equation);
}

static GLAPIENTRY void
epoxy_glClipPlanef_rewrite_stub(GLenum p, const GLfloat * eqn)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlanef = epoxy_glClipPlanef_resolver();

    dispatch_table->pglClipPlanef(p, eqn);
}

static GLAPIENTRY void
epoxy_glClipPlanefIMG_rewrite_stub(GLenum p, const GLfloat * eqn)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlanefIMG = epoxy_glClipPlanefIMG_resolver();

    dispatch_table->pglClipPlanefIMG(p, eqn);
}

static GLAPIENTRY void
epoxy_glClipPlanefOES_rewrite_stub(GLenum plane, const GLfloat * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlanefOES = epoxy_glClipPlanefOES_resolver();

    dispatch_table->pglClipPlanefOES(plane, equation);
}

static GLAPIENTRY void
epoxy_glClipPlanex_rewrite_stub(GLenum plane, const GLfixed * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlanex = epoxy_glClipPlanex_resolver();

    dispatch_table->pglClipPlanex(plane, equation);
}

static GLAPIENTRY void
epoxy_glClipPlanexIMG_rewrite_stub(GLenum p, const GLfixed * eqn)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlanexIMG = epoxy_glClipPlanexIMG_resolver();

    dispatch_table->pglClipPlanexIMG(p, eqn);
}

static GLAPIENTRY void
epoxy_glClipPlanexOES_rewrite_stub(GLenum plane, const GLfixed * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlanexOES = epoxy_glClipPlanexOES_resolver();

    dispatch_table->pglClipPlanexOES(plane, equation);
}

static GLAPIENTRY void
epoxy_glColor3b_rewrite_stub(GLbyte red, GLbyte green, GLbyte blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3b = epoxy_glColor3b_resolver();

    dispatch_table->pglColor3b(red, green, blue);
}

static GLAPIENTRY void
epoxy_glColor3bv_rewrite_stub(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3bv = epoxy_glColor3bv_resolver();

    dispatch_table->pglColor3bv(v);
}

static GLAPIENTRY void
epoxy_glColor3d_rewrite_stub(GLdouble red, GLdouble green, GLdouble blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3d = epoxy_glColor3d_resolver();

    dispatch_table->pglColor3d(red, green, blue);
}

static GLAPIENTRY void
epoxy_glColor3dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3dv = epoxy_glColor3dv_resolver();

    dispatch_table->pglColor3dv(v);
}

static GLAPIENTRY void
epoxy_glColor3f_rewrite_stub(GLfloat red, GLfloat green, GLfloat blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3f = epoxy_glColor3f_resolver();

    dispatch_table->pglColor3f(red, green, blue);
}

static GLAPIENTRY void
epoxy_glColor3fVertex3fSUN_rewrite_stub(GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3fVertex3fSUN = epoxy_glColor3fVertex3fSUN_resolver();

    dispatch_table->pglColor3fVertex3fSUN(r, g, b, x, y, z);
}

static GLAPIENTRY void
epoxy_glColor3fVertex3fvSUN_rewrite_stub(const GLfloat * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3fVertex3fvSUN = epoxy_glColor3fVertex3fvSUN_resolver();

    dispatch_table->pglColor3fVertex3fvSUN(c, v);
}

static GLAPIENTRY void
epoxy_glColor3fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3fv = epoxy_glColor3fv_resolver();

    dispatch_table->pglColor3fv(v);
}

static GLAPIENTRY void
epoxy_glColor3hNV_rewrite_stub(GLhalfNV red, GLhalfNV green, GLhalfNV blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3hNV = epoxy_glColor3hNV_resolver();

    dispatch_table->pglColor3hNV(red, green, blue);
}

static GLAPIENTRY void
epoxy_glColor3hvNV_rewrite_stub(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3hvNV = epoxy_glColor3hvNV_resolver();

    dispatch_table->pglColor3hvNV(v);
}

static GLAPIENTRY void
epoxy_glColor3i_rewrite_stub(GLint red, GLint green, GLint blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3i = epoxy_glColor3i_resolver();

    dispatch_table->pglColor3i(red, green, blue);
}

static GLAPIENTRY void
epoxy_glColor3iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3iv = epoxy_glColor3iv_resolver();

    dispatch_table->pglColor3iv(v);
}

static GLAPIENTRY void
epoxy_glColor3s_rewrite_stub(GLshort red, GLshort green, GLshort blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3s = epoxy_glColor3s_resolver();

    dispatch_table->pglColor3s(red, green, blue);
}

static GLAPIENTRY void
epoxy_glColor3sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3sv = epoxy_glColor3sv_resolver();

    dispatch_table->pglColor3sv(v);
}

static GLAPIENTRY void
epoxy_glColor3ub_rewrite_stub(GLubyte red, GLubyte green, GLubyte blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3ub = epoxy_glColor3ub_resolver();

    dispatch_table->pglColor3ub(red, green, blue);
}

static GLAPIENTRY void
epoxy_glColor3ubv_rewrite_stub(const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3ubv = epoxy_glColor3ubv_resolver();

    dispatch_table->pglColor3ubv(v);
}

static GLAPIENTRY void
epoxy_glColor3ui_rewrite_stub(GLuint red, GLuint green, GLuint blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3ui = epoxy_glColor3ui_resolver();

    dispatch_table->pglColor3ui(red, green, blue);
}

static GLAPIENTRY void
epoxy_glColor3uiv_rewrite_stub(const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3uiv = epoxy_glColor3uiv_resolver();

    dispatch_table->pglColor3uiv(v);
}

static GLAPIENTRY void
epoxy_glColor3us_rewrite_stub(GLushort red, GLushort green, GLushort blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3us = epoxy_glColor3us_resolver();

    dispatch_table->pglColor3us(red, green, blue);
}

static GLAPIENTRY void
epoxy_glColor3usv_rewrite_stub(const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3usv = epoxy_glColor3usv_resolver();

    dispatch_table->pglColor3usv(v);
}

static GLAPIENTRY void
epoxy_glColor3xOES_rewrite_stub(GLfixed red, GLfixed green, GLfixed blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3xOES = epoxy_glColor3xOES_resolver();

    dispatch_table->pglColor3xOES(red, green, blue);
}

static GLAPIENTRY void
epoxy_glColor3xvOES_rewrite_stub(const GLfixed * components)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3xvOES = epoxy_glColor3xvOES_resolver();

    dispatch_table->pglColor3xvOES(components);
}

static GLAPIENTRY void
epoxy_glColor4b_rewrite_stub(GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4b = epoxy_glColor4b_resolver();

    dispatch_table->pglColor4b(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glColor4bv_rewrite_stub(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4bv = epoxy_glColor4bv_resolver();

    dispatch_table->pglColor4bv(v);
}

static GLAPIENTRY void
epoxy_glColor4d_rewrite_stub(GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4d = epoxy_glColor4d_resolver();

    dispatch_table->pglColor4d(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glColor4dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4dv = epoxy_glColor4dv_resolver();

    dispatch_table->pglColor4dv(v);
}

static GLAPIENTRY void
epoxy_glColor4f_rewrite_stub(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4f = epoxy_glColor4f_resolver();

    dispatch_table->pglColor4f(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glColor4fNormal3fVertex3fSUN_rewrite_stub(GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4fNormal3fVertex3fSUN = epoxy_glColor4fNormal3fVertex3fSUN_resolver();

    dispatch_table->pglColor4fNormal3fVertex3fSUN(r, g, b, a, nx, ny, nz, x, y, z);
}

static GLAPIENTRY void
epoxy_glColor4fNormal3fVertex3fvSUN_rewrite_stub(const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4fNormal3fVertex3fvSUN = epoxy_glColor4fNormal3fVertex3fvSUN_resolver();

    dispatch_table->pglColor4fNormal3fVertex3fvSUN(c, n, v);
}

static GLAPIENTRY void
epoxy_glColor4fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4fv = epoxy_glColor4fv_resolver();

    dispatch_table->pglColor4fv(v);
}

static GLAPIENTRY void
epoxy_glColor4hNV_rewrite_stub(GLhalfNV red, GLhalfNV green, GLhalfNV blue, GLhalfNV alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4hNV = epoxy_glColor4hNV_resolver();

    dispatch_table->pglColor4hNV(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glColor4hvNV_rewrite_stub(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4hvNV = epoxy_glColor4hvNV_resolver();

    dispatch_table->pglColor4hvNV(v);
}

static GLAPIENTRY void
epoxy_glColor4i_rewrite_stub(GLint red, GLint green, GLint blue, GLint alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4i = epoxy_glColor4i_resolver();

    dispatch_table->pglColor4i(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glColor4iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4iv = epoxy_glColor4iv_resolver();

    dispatch_table->pglColor4iv(v);
}

static GLAPIENTRY void
epoxy_glColor4s_rewrite_stub(GLshort red, GLshort green, GLshort blue, GLshort alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4s = epoxy_glColor4s_resolver();

    dispatch_table->pglColor4s(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glColor4sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4sv = epoxy_glColor4sv_resolver();

    dispatch_table->pglColor4sv(v);
}

static GLAPIENTRY void
epoxy_glColor4ub_rewrite_stub(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ub = epoxy_glColor4ub_resolver();

    dispatch_table->pglColor4ub(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glColor4ubVertex2fSUN_rewrite_stub(GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ubVertex2fSUN = epoxy_glColor4ubVertex2fSUN_resolver();

    dispatch_table->pglColor4ubVertex2fSUN(r, g, b, a, x, y);
}

static GLAPIENTRY void
epoxy_glColor4ubVertex2fvSUN_rewrite_stub(const GLubyte * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ubVertex2fvSUN = epoxy_glColor4ubVertex2fvSUN_resolver();

    dispatch_table->pglColor4ubVertex2fvSUN(c, v);
}

static GLAPIENTRY void
epoxy_glColor4ubVertex3fSUN_rewrite_stub(GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ubVertex3fSUN = epoxy_glColor4ubVertex3fSUN_resolver();

    dispatch_table->pglColor4ubVertex3fSUN(r, g, b, a, x, y, z);
}

static GLAPIENTRY void
epoxy_glColor4ubVertex3fvSUN_rewrite_stub(const GLubyte * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ubVertex3fvSUN = epoxy_glColor4ubVertex3fvSUN_resolver();

    dispatch_table->pglColor4ubVertex3fvSUN(c, v);
}

static GLAPIENTRY void
epoxy_glColor4ubv_rewrite_stub(const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ubv = epoxy_glColor4ubv_resolver();

    dispatch_table->pglColor4ubv(v);
}

static GLAPIENTRY void
epoxy_glColor4ui_rewrite_stub(GLuint red, GLuint green, GLuint blue, GLuint alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ui = epoxy_glColor4ui_resolver();

    dispatch_table->pglColor4ui(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glColor4uiv_rewrite_stub(const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4uiv = epoxy_glColor4uiv_resolver();

    dispatch_table->pglColor4uiv(v);
}

static GLAPIENTRY void
epoxy_glColor4us_rewrite_stub(GLushort red, GLushort green, GLushort blue, GLushort alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4us = epoxy_glColor4us_resolver();

    dispatch_table->pglColor4us(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glColor4usv_rewrite_stub(const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4usv = epoxy_glColor4usv_resolver();

    dispatch_table->pglColor4usv(v);
}

static GLAPIENTRY void
epoxy_glColor4x_rewrite_stub(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4x = epoxy_glColor4x_resolver();

    dispatch_table->pglColor4x(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glColor4xOES_rewrite_stub(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4xOES = epoxy_glColor4xOES_resolver();

    dispatch_table->pglColor4xOES(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glColor4xvOES_rewrite_stub(const GLfixed * components)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4xvOES = epoxy_glColor4xvOES_resolver();

    dispatch_table->pglColor4xvOES(components);
}

static GLAPIENTRY void
epoxy_glColorFormatNV_rewrite_stub(GLint size, GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorFormatNV = epoxy_glColorFormatNV_resolver();

    dispatch_table->pglColorFormatNV(size, type, stride);
}

static GLAPIENTRY void
epoxy_glColorFragmentOp1ATI_rewrite_stub(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorFragmentOp1ATI = epoxy_glColorFragmentOp1ATI_resolver();

    dispatch_table->pglColorFragmentOp1ATI(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod);
}

static GLAPIENTRY void
epoxy_glColorFragmentOp2ATI_rewrite_stub(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorFragmentOp2ATI = epoxy_glColorFragmentOp2ATI_resolver();

    dispatch_table->pglColorFragmentOp2ATI(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod);
}

static GLAPIENTRY void
epoxy_glColorFragmentOp3ATI_rewrite_stub(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorFragmentOp3ATI = epoxy_glColorFragmentOp3ATI_resolver();

    dispatch_table->pglColorFragmentOp3ATI(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod);
}

static GLAPIENTRY void
epoxy_glColorMask_rewrite_stub(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorMask = epoxy_glColorMask_resolver();

    dispatch_table->pglColorMask(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glColorMaski_rewrite_stub(GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorMaski = epoxy_glColorMaski_resolver();

    dispatch_table->pglColorMaski(index, r, g, b, a);
}

static GLAPIENTRY void
epoxy_glColorMaterial_rewrite_stub(GLenum face, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorMaterial = epoxy_glColorMaterial_resolver();

    dispatch_table->pglColorMaterial(face, mode);
}

static GLAPIENTRY void
epoxy_glColorP3ui_rewrite_stub(GLenum type, GLuint color)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorP3ui = epoxy_glColorP3ui_resolver();

    dispatch_table->pglColorP3ui(type, color);
}

static GLAPIENTRY void
epoxy_glColorP3uiv_rewrite_stub(GLenum type, const GLuint * color)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorP3uiv = epoxy_glColorP3uiv_resolver();

    dispatch_table->pglColorP3uiv(type, color);
}

static GLAPIENTRY void
epoxy_glColorP4ui_rewrite_stub(GLenum type, GLuint color)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorP4ui = epoxy_glColorP4ui_resolver();

    dispatch_table->pglColorP4ui(type, color);
}

static GLAPIENTRY void
epoxy_glColorP4uiv_rewrite_stub(GLenum type, const GLuint * color)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorP4uiv = epoxy_glColorP4uiv_resolver();

    dispatch_table->pglColorP4uiv(type, color);
}

static GLAPIENTRY void
epoxy_glColorPointer_rewrite_stub(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorPointer = epoxy_glColorPointer_resolver();

    dispatch_table->pglColorPointer(size, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glColorPointerEXT_rewrite_stub(GLint size, GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorPointerEXT = epoxy_glColorPointerEXT_resolver();

    dispatch_table->pglColorPointerEXT(size, type, stride, count, pointer);
}

static GLAPIENTRY void
epoxy_glColorPointerListIBM_rewrite_stub(GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorPointerListIBM = epoxy_glColorPointerListIBM_resolver();

    dispatch_table->pglColorPointerListIBM(size, type, stride, pointer, ptrstride);
}

static GLAPIENTRY void
epoxy_glColorPointervINTEL_rewrite_stub(GLint size, GLenum type, const void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorPointervINTEL = epoxy_glColorPointervINTEL_resolver();

    dispatch_table->pglColorPointervINTEL(size, type, pointer);
}

static GLAPIENTRY void
epoxy_glColorSubTable_rewrite_stub(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorSubTable = epoxy_glColorSubTable_resolver();

    dispatch_table->pglColorSubTable(target, start, count, format, type, data);
}

static GLAPIENTRY void
epoxy_glColorTable_rewrite_stub(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * table)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorTable = epoxy_glColorTable_resolver();

    dispatch_table->pglColorTable(target, internalformat, width, format, type, table);
}

static GLAPIENTRY void
epoxy_glColorTableParameterfv_rewrite_stub(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorTableParameterfv = epoxy_glColorTableParameterfv_resolver();

    dispatch_table->pglColorTableParameterfv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glColorTableParameteriv_rewrite_stub(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorTableParameteriv = epoxy_glColorTableParameteriv_resolver();

    dispatch_table->pglColorTableParameteriv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glCombinerInputNV_rewrite_stub(GLenum stage, GLenum portion, GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerInputNV = epoxy_glCombinerInputNV_resolver();

    dispatch_table->pglCombinerInputNV(stage, portion, variable, input, mapping, componentUsage);
}

static GLAPIENTRY void
epoxy_glCombinerOutputNV_rewrite_stub(GLenum stage, GLenum portion, GLenum abOutput, GLenum cdOutput, GLenum sumOutput, GLenum scale, GLenum bias, GLboolean abDotProduct, GLboolean cdDotProduct, GLboolean muxSum)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerOutputNV = epoxy_glCombinerOutputNV_resolver();

    dispatch_table->pglCombinerOutputNV(stage, portion, abOutput, cdOutput, sumOutput, scale, bias, abDotProduct, cdDotProduct, muxSum);
}

static GLAPIENTRY void
epoxy_glCombinerParameterfNV_rewrite_stub(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerParameterfNV = epoxy_glCombinerParameterfNV_resolver();

    dispatch_table->pglCombinerParameterfNV(pname, param);
}

static GLAPIENTRY void
epoxy_glCombinerParameterfvNV_rewrite_stub(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerParameterfvNV = epoxy_glCombinerParameterfvNV_resolver();

    dispatch_table->pglCombinerParameterfvNV(pname, params);
}

static GLAPIENTRY void
epoxy_glCombinerParameteriNV_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerParameteriNV = epoxy_glCombinerParameteriNV_resolver();

    dispatch_table->pglCombinerParameteriNV(pname, param);
}

static GLAPIENTRY void
epoxy_glCombinerParameterivNV_rewrite_stub(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerParameterivNV = epoxy_glCombinerParameterivNV_resolver();

    dispatch_table->pglCombinerParameterivNV(pname, params);
}

static GLAPIENTRY void
epoxy_glCombinerStageParameterfvNV_rewrite_stub(GLenum stage, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerStageParameterfvNV = epoxy_glCombinerStageParameterfvNV_resolver();

    dispatch_table->pglCombinerStageParameterfvNV(stage, pname, params);
}

static GLAPIENTRY void
epoxy_glCompileShader_rewrite_stub(GLuint shader)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompileShader = epoxy_glCompileShader_resolver();

    dispatch_table->pglCompileShader(shader);
}

static GLAPIENTRY void
epoxy_glCompileShaderIncludeARB_rewrite_stub(GLuint shader, GLsizei count, const GLchar *const* path, const GLint * length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompileShaderIncludeARB = epoxy_glCompileShaderIncludeARB_resolver();

    dispatch_table->pglCompileShaderIncludeARB(shader, count, path, length);
}

static GLAPIENTRY void
epoxy_glCompressedMultiTexImage1DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedMultiTexImage1DEXT = epoxy_glCompressedMultiTexImage1DEXT_resolver();

    dispatch_table->pglCompressedMultiTexImage1DEXT(texunit, target, level, internalformat, width, border, imageSize, bits);
}

static GLAPIENTRY void
epoxy_glCompressedMultiTexImage2DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedMultiTexImage2DEXT = epoxy_glCompressedMultiTexImage2DEXT_resolver();

    dispatch_table->pglCompressedMultiTexImage2DEXT(texunit, target, level, internalformat, width, height, border, imageSize, bits);
}

static GLAPIENTRY void
epoxy_glCompressedMultiTexImage3DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedMultiTexImage3DEXT = epoxy_glCompressedMultiTexImage3DEXT_resolver();

    dispatch_table->pglCompressedMultiTexImage3DEXT(texunit, target, level, internalformat, width, height, depth, border, imageSize, bits);
}

static GLAPIENTRY void
epoxy_glCompressedMultiTexSubImage1DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedMultiTexSubImage1DEXT = epoxy_glCompressedMultiTexSubImage1DEXT_resolver();

    dispatch_table->pglCompressedMultiTexSubImage1DEXT(texunit, target, level, xoffset, width, format, imageSize, bits);
}

static GLAPIENTRY void
epoxy_glCompressedMultiTexSubImage2DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedMultiTexSubImage2DEXT = epoxy_glCompressedMultiTexSubImage2DEXT_resolver();

    dispatch_table->pglCompressedMultiTexSubImage2DEXT(texunit, target, level, xoffset, yoffset, width, height, format, imageSize, bits);
}

static GLAPIENTRY void
epoxy_glCompressedMultiTexSubImage3DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedMultiTexSubImage3DEXT = epoxy_glCompressedMultiTexSubImage3DEXT_resolver();

    dispatch_table->pglCompressedMultiTexSubImage3DEXT(texunit, target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, bits);
}

static GLAPIENTRY void
epoxy_glCompressedTexImage1D_rewrite_stub(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexImage1D = epoxy_glCompressedTexImage1D_resolver();

    dispatch_table->pglCompressedTexImage1D(target, level, internalformat, width, border, imageSize, data);
}

static GLAPIENTRY void
epoxy_glCompressedTexImage2D_rewrite_stub(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexImage2D = epoxy_glCompressedTexImage2D_resolver();

    dispatch_table->pglCompressedTexImage2D(target, level, internalformat, width, height, border, imageSize, data);
}

static GLAPIENTRY void
epoxy_glCompressedTexImage3D_rewrite_stub(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexImage3D = epoxy_glCompressedTexImage3D_resolver();

    dispatch_table->pglCompressedTexImage3D(target, level, internalformat, width, height, depth, border, imageSize, data);
}

static GLAPIENTRY void
epoxy_glCompressedTexSubImage1D_rewrite_stub(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexSubImage1D = epoxy_glCompressedTexSubImage1D_resolver();

    dispatch_table->pglCompressedTexSubImage1D(target, level, xoffset, width, format, imageSize, data);
}

static GLAPIENTRY void
epoxy_glCompressedTexSubImage2D_rewrite_stub(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexSubImage2D = epoxy_glCompressedTexSubImage2D_resolver();

    dispatch_table->pglCompressedTexSubImage2D(target, level, xoffset, yoffset, width, height, format, imageSize, data);
}

static GLAPIENTRY void
epoxy_glCompressedTexSubImage3D_rewrite_stub(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexSubImage3D = epoxy_glCompressedTexSubImage3D_resolver();

    dispatch_table->pglCompressedTexSubImage3D(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
}

static GLAPIENTRY void
epoxy_glCompressedTextureImage1DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTextureImage1DEXT = epoxy_glCompressedTextureImage1DEXT_resolver();

    dispatch_table->pglCompressedTextureImage1DEXT(texture, target, level, internalformat, width, border, imageSize, bits);
}

static GLAPIENTRY void
epoxy_glCompressedTextureImage2DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTextureImage2DEXT = epoxy_glCompressedTextureImage2DEXT_resolver();

    dispatch_table->pglCompressedTextureImage2DEXT(texture, target, level, internalformat, width, height, border, imageSize, bits);
}

static GLAPIENTRY void
epoxy_glCompressedTextureImage3DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTextureImage3DEXT = epoxy_glCompressedTextureImage3DEXT_resolver();

    dispatch_table->pglCompressedTextureImage3DEXT(texture, target, level, internalformat, width, height, depth, border, imageSize, bits);
}

static GLAPIENTRY void
epoxy_glCompressedTextureSubImage1DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTextureSubImage1DEXT = epoxy_glCompressedTextureSubImage1DEXT_resolver();

    dispatch_table->pglCompressedTextureSubImage1DEXT(texture, target, level, xoffset, width, format, imageSize, bits);
}

static GLAPIENTRY void
epoxy_glCompressedTextureSubImage2DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTextureSubImage2DEXT = epoxy_glCompressedTextureSubImage2DEXT_resolver();

    dispatch_table->pglCompressedTextureSubImage2DEXT(texture, target, level, xoffset, yoffset, width, height, format, imageSize, bits);
}

static GLAPIENTRY void
epoxy_glCompressedTextureSubImage3DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTextureSubImage3DEXT = epoxy_glCompressedTextureSubImage3DEXT_resolver();

    dispatch_table->pglCompressedTextureSubImage3DEXT(texture, target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, bits);
}

static GLAPIENTRY void
epoxy_glConvolutionFilter1D_rewrite_stub(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionFilter1D = epoxy_glConvolutionFilter1D_resolver();

    dispatch_table->pglConvolutionFilter1D(target, internalformat, width, format, type, image);
}

static GLAPIENTRY void
epoxy_glConvolutionFilter2D_rewrite_stub(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionFilter2D = epoxy_glConvolutionFilter2D_resolver();

    dispatch_table->pglConvolutionFilter2D(target, internalformat, width, height, format, type, image);
}

static GLAPIENTRY void
epoxy_glConvolutionParameterf_rewrite_stub(GLenum target, GLenum pname, GLfloat params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameterf = epoxy_glConvolutionParameterf_resolver();

    dispatch_table->pglConvolutionParameterf(target, pname, params);
}

static GLAPIENTRY void
epoxy_glConvolutionParameterfv_rewrite_stub(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameterfv = epoxy_glConvolutionParameterfv_resolver();

    dispatch_table->pglConvolutionParameterfv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glConvolutionParameteri_rewrite_stub(GLenum target, GLenum pname, GLint params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameteri = epoxy_glConvolutionParameteri_resolver();

    dispatch_table->pglConvolutionParameteri(target, pname, params);
}

static GLAPIENTRY void
epoxy_glConvolutionParameteriv_rewrite_stub(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameteriv = epoxy_glConvolutionParameteriv_resolver();

    dispatch_table->pglConvolutionParameteriv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glConvolutionParameterxOES_rewrite_stub(GLenum target, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameterxOES = epoxy_glConvolutionParameterxOES_resolver();

    dispatch_table->pglConvolutionParameterxOES(target, pname, param);
}

static GLAPIENTRY void
epoxy_glConvolutionParameterxvOES_rewrite_stub(GLenum target, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameterxvOES = epoxy_glConvolutionParameterxvOES_resolver();

    dispatch_table->pglConvolutionParameterxvOES(target, pname, params);
}

static GLAPIENTRY void
epoxy_glCopyBufferSubData_rewrite_stub(GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyBufferSubData = epoxy_glCopyBufferSubData_resolver();

    dispatch_table->pglCopyBufferSubData(readTarget, writeTarget, readOffset, writeOffset, size);
}

static GLAPIENTRY void
epoxy_glCopyColorSubTable_rewrite_stub(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyColorSubTable = epoxy_glCopyColorSubTable_resolver();

    dispatch_table->pglCopyColorSubTable(target, start, x, y, width);
}

static GLAPIENTRY void
epoxy_glCopyColorTable_rewrite_stub(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyColorTable = epoxy_glCopyColorTable_resolver();

    dispatch_table->pglCopyColorTable(target, internalformat, x, y, width);
}

static GLAPIENTRY void
epoxy_glCopyConvolutionFilter1D_rewrite_stub(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyConvolutionFilter1D = epoxy_glCopyConvolutionFilter1D_resolver();

    dispatch_table->pglCopyConvolutionFilter1D(target, internalformat, x, y, width);
}

static GLAPIENTRY void
epoxy_glCopyConvolutionFilter2D_rewrite_stub(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyConvolutionFilter2D = epoxy_glCopyConvolutionFilter2D_resolver();

    dispatch_table->pglCopyConvolutionFilter2D(target, internalformat, x, y, width, height);
}

static GLAPIENTRY void
epoxy_glCopyImageSubData_rewrite_stub(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei srcWidth, GLsizei srcHeight, GLsizei srcDepth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyImageSubData = epoxy_glCopyImageSubData_resolver();

    dispatch_table->pglCopyImageSubData(srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, srcWidth, srcHeight, srcDepth);
}

static GLAPIENTRY void
epoxy_glCopyImageSubDataNV_rewrite_stub(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyImageSubDataNV = epoxy_glCopyImageSubDataNV_resolver();

    dispatch_table->pglCopyImageSubDataNV(srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, width, height, depth);
}

static GLAPIENTRY void
epoxy_glCopyMultiTexImage1DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyMultiTexImage1DEXT = epoxy_glCopyMultiTexImage1DEXT_resolver();

    dispatch_table->pglCopyMultiTexImage1DEXT(texunit, target, level, internalformat, x, y, width, border);
}

static GLAPIENTRY void
epoxy_glCopyMultiTexImage2DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyMultiTexImage2DEXT = epoxy_glCopyMultiTexImage2DEXT_resolver();

    dispatch_table->pglCopyMultiTexImage2DEXT(texunit, target, level, internalformat, x, y, width, height, border);
}

static GLAPIENTRY void
epoxy_glCopyMultiTexSubImage1DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyMultiTexSubImage1DEXT = epoxy_glCopyMultiTexSubImage1DEXT_resolver();

    dispatch_table->pglCopyMultiTexSubImage1DEXT(texunit, target, level, xoffset, x, y, width);
}

static GLAPIENTRY void
epoxy_glCopyMultiTexSubImage2DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyMultiTexSubImage2DEXT = epoxy_glCopyMultiTexSubImage2DEXT_resolver();

    dispatch_table->pglCopyMultiTexSubImage2DEXT(texunit, target, level, xoffset, yoffset, x, y, width, height);
}

static GLAPIENTRY void
epoxy_glCopyMultiTexSubImage3DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyMultiTexSubImage3DEXT = epoxy_glCopyMultiTexSubImage3DEXT_resolver();

    dispatch_table->pglCopyMultiTexSubImage3DEXT(texunit, target, level, xoffset, yoffset, zoffset, x, y, width, height);
}

static GLAPIENTRY void
epoxy_glCopyPathNV_rewrite_stub(GLuint resultPath, GLuint srcPath)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyPathNV = epoxy_glCopyPathNV_resolver();

    dispatch_table->pglCopyPathNV(resultPath, srcPath);
}

static GLAPIENTRY void
epoxy_glCopyPixels_rewrite_stub(GLint x, GLint y, GLsizei width, GLsizei height, GLenum type)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyPixels = epoxy_glCopyPixels_resolver();

    dispatch_table->pglCopyPixels(x, y, width, height, type);
}

static GLAPIENTRY void
epoxy_glCopyTexImage1D_rewrite_stub(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexImage1D = epoxy_glCopyTexImage1D_resolver();

    dispatch_table->pglCopyTexImage1D(target, level, internalformat, x, y, width, border);
}

static GLAPIENTRY void
epoxy_glCopyTexImage2D_rewrite_stub(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexImage2D = epoxy_glCopyTexImage2D_resolver();

    dispatch_table->pglCopyTexImage2D(target, level, internalformat, x, y, width, height, border);
}

static GLAPIENTRY void
epoxy_glCopyTexSubImage1D_rewrite_stub(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexSubImage1D = epoxy_glCopyTexSubImage1D_resolver();

    dispatch_table->pglCopyTexSubImage1D(target, level, xoffset, x, y, width);
}

static GLAPIENTRY void
epoxy_glCopyTexSubImage2D_rewrite_stub(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexSubImage2D = epoxy_glCopyTexSubImage2D_resolver();

    dispatch_table->pglCopyTexSubImage2D(target, level, xoffset, yoffset, x, y, width, height);
}

static GLAPIENTRY void
epoxy_glCopyTexSubImage3D_rewrite_stub(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexSubImage3D = epoxy_glCopyTexSubImage3D_resolver();

    dispatch_table->pglCopyTexSubImage3D(target, level, xoffset, yoffset, zoffset, x, y, width, height);
}

static GLAPIENTRY void
epoxy_glCopyTextureImage1DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTextureImage1DEXT = epoxy_glCopyTextureImage1DEXT_resolver();

    dispatch_table->pglCopyTextureImage1DEXT(texture, target, level, internalformat, x, y, width, border);
}

static GLAPIENTRY void
epoxy_glCopyTextureImage2DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTextureImage2DEXT = epoxy_glCopyTextureImage2DEXT_resolver();

    dispatch_table->pglCopyTextureImage2DEXT(texture, target, level, internalformat, x, y, width, height, border);
}

static GLAPIENTRY void
epoxy_glCopyTextureLevelsAPPLE_rewrite_stub(GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTextureLevelsAPPLE = epoxy_glCopyTextureLevelsAPPLE_resolver();

    dispatch_table->pglCopyTextureLevelsAPPLE(destinationTexture, sourceTexture, sourceBaseLevel, sourceLevelCount);
}

static GLAPIENTRY void
epoxy_glCopyTextureSubImage1DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTextureSubImage1DEXT = epoxy_glCopyTextureSubImage1DEXT_resolver();

    dispatch_table->pglCopyTextureSubImage1DEXT(texture, target, level, xoffset, x, y, width);
}

static GLAPIENTRY void
epoxy_glCopyTextureSubImage2DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTextureSubImage2DEXT = epoxy_glCopyTextureSubImage2DEXT_resolver();

    dispatch_table->pglCopyTextureSubImage2DEXT(texture, target, level, xoffset, yoffset, x, y, width, height);
}

static GLAPIENTRY void
epoxy_glCopyTextureSubImage3DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTextureSubImage3DEXT = epoxy_glCopyTextureSubImage3DEXT_resolver();

    dispatch_table->pglCopyTextureSubImage3DEXT(texture, target, level, xoffset, yoffset, zoffset, x, y, width, height);
}

static GLAPIENTRY void
epoxy_glCoverFillPathInstancedNV_rewrite_stub(GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat * transformValues)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCoverFillPathInstancedNV = epoxy_glCoverFillPathInstancedNV_resolver();

    dispatch_table->pglCoverFillPathInstancedNV(numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues);
}

static GLAPIENTRY void
epoxy_glCoverFillPathNV_rewrite_stub(GLuint path, GLenum coverMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCoverFillPathNV = epoxy_glCoverFillPathNV_resolver();

    dispatch_table->pglCoverFillPathNV(path, coverMode);
}

static GLAPIENTRY void
epoxy_glCoverStrokePathInstancedNV_rewrite_stub(GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat * transformValues)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCoverStrokePathInstancedNV = epoxy_glCoverStrokePathInstancedNV_resolver();

    dispatch_table->pglCoverStrokePathInstancedNV(numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues);
}

static GLAPIENTRY void
epoxy_glCoverStrokePathNV_rewrite_stub(GLuint path, GLenum coverMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCoverStrokePathNV = epoxy_glCoverStrokePathNV_resolver();

    dispatch_table->pglCoverStrokePathNV(path, coverMode);
}

static GLAPIENTRY void
epoxy_glCoverageMaskNV_rewrite_stub(GLboolean mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCoverageMaskNV = epoxy_glCoverageMaskNV_resolver();

    dispatch_table->pglCoverageMaskNV(mask);
}

static GLAPIENTRY void
epoxy_glCoverageOperationNV_rewrite_stub(GLenum operation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCoverageOperationNV = epoxy_glCoverageOperationNV_resolver();

    dispatch_table->pglCoverageOperationNV(operation);
}

static GLAPIENTRY void
epoxy_glCreatePerfQueryINTEL_rewrite_stub(GLuint queryId, GLuint * queryHandle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCreatePerfQueryINTEL = epoxy_glCreatePerfQueryINTEL_resolver();

    dispatch_table->pglCreatePerfQueryINTEL(queryId, queryHandle);
}

static GLAPIENTRY GLuint
epoxy_glCreateProgram_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCreateProgram = epoxy_glCreateProgram_resolver();

    return dispatch_table->pglCreateProgram();
}

static GLAPIENTRY GLuint
epoxy_glCreateShader_rewrite_stub(GLenum type)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCreateShader = epoxy_glCreateShader_resolver();

    return dispatch_table->pglCreateShader(type);
}

static GLAPIENTRY GLuint
epoxy_glCreateShaderProgramEXT_rewrite_stub(GLenum type, const GLchar * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCreateShaderProgramEXT = epoxy_glCreateShaderProgramEXT_resolver();

    return dispatch_table->pglCreateShaderProgramEXT(type, string);
}

static GLAPIENTRY GLuint
epoxy_glCreateShaderProgramv_rewrite_stub(GLenum type, GLsizei count, const GLchar *const* strings)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCreateShaderProgramv = epoxy_glCreateShaderProgramv_resolver();

    return dispatch_table->pglCreateShaderProgramv(type, count, strings);
}

static GLAPIENTRY GLuint
epoxy_glCreateShaderProgramvEXT_rewrite_stub(GLenum type, GLsizei count, const GLchar ** strings)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCreateShaderProgramvEXT = epoxy_glCreateShaderProgramvEXT_resolver();

    return dispatch_table->pglCreateShaderProgramvEXT(type, count, strings);
}

static GLAPIENTRY GLsync
epoxy_glCreateSyncFromCLeventARB_rewrite_stub(struct _cl_context * context, struct _cl_event * event, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCreateSyncFromCLeventARB = epoxy_glCreateSyncFromCLeventARB_resolver();

    return dispatch_table->pglCreateSyncFromCLeventARB(context, event, flags);
}

static GLAPIENTRY void
epoxy_glCullFace_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCullFace = epoxy_glCullFace_resolver();

    dispatch_table->pglCullFace(mode);
}

static GLAPIENTRY void
epoxy_glCullParameterdvEXT_rewrite_stub(GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCullParameterdvEXT = epoxy_glCullParameterdvEXT_resolver();

    dispatch_table->pglCullParameterdvEXT(pname, params);
}

static GLAPIENTRY void
epoxy_glCullParameterfvEXT_rewrite_stub(GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCullParameterfvEXT = epoxy_glCullParameterfvEXT_resolver();

    dispatch_table->pglCullParameterfvEXT(pname, params);
}

static GLAPIENTRY void
epoxy_glCurrentPaletteMatrixARB_rewrite_stub(GLint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCurrentPaletteMatrixARB = epoxy_glCurrentPaletteMatrixARB_resolver();

    dispatch_table->pglCurrentPaletteMatrixARB(index);
}

static GLAPIENTRY void
epoxy_glCurrentPaletteMatrixOES_rewrite_stub(GLuint matrixpaletteindex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCurrentPaletteMatrixOES = epoxy_glCurrentPaletteMatrixOES_resolver();

    dispatch_table->pglCurrentPaletteMatrixOES(matrixpaletteindex);
}

static GLAPIENTRY void
epoxy_glDebugMessageCallback_rewrite_stub(GLDEBUGPROC callback, const void * userParam)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageCallback = epoxy_glDebugMessageCallback_resolver();

    dispatch_table->pglDebugMessageCallback(callback, userParam);
}

static GLAPIENTRY void
epoxy_glDebugMessageCallbackAMD_rewrite_stub(GLDEBUGPROCAMD callback, void * userParam)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageCallbackAMD = epoxy_glDebugMessageCallbackAMD_resolver();

    dispatch_table->pglDebugMessageCallbackAMD(callback, userParam);
}

static GLAPIENTRY void
epoxy_glDebugMessageControl_rewrite_stub(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageControl = epoxy_glDebugMessageControl_resolver();

    dispatch_table->pglDebugMessageControl(source, type, severity, count, ids, enabled);
}

static GLAPIENTRY void
epoxy_glDebugMessageEnableAMD_rewrite_stub(GLenum category, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageEnableAMD = epoxy_glDebugMessageEnableAMD_resolver();

    dispatch_table->pglDebugMessageEnableAMD(category, severity, count, ids, enabled);
}

static GLAPIENTRY void
epoxy_glDebugMessageInsert_rewrite_stub(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar * buf)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageInsert = epoxy_glDebugMessageInsert_resolver();

    dispatch_table->pglDebugMessageInsert(source, type, id, severity, length, buf);
}

static GLAPIENTRY void
epoxy_glDebugMessageInsertAMD_rewrite_stub(GLenum category, GLenum severity, GLuint id, GLsizei length, const GLchar * buf)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageInsertAMD = epoxy_glDebugMessageInsertAMD_resolver();

    dispatch_table->pglDebugMessageInsertAMD(category, severity, id, length, buf);
}

static GLAPIENTRY void
epoxy_glDeformSGIX_rewrite_stub(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeformSGIX = epoxy_glDeformSGIX_resolver();

    dispatch_table->pglDeformSGIX(mask);
}

static GLAPIENTRY void
epoxy_glDeformationMap3dSGIX_rewrite_stub(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, GLdouble w1, GLdouble w2, GLint wstride, GLint worder, const GLdouble * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeformationMap3dSGIX = epoxy_glDeformationMap3dSGIX_resolver();

    dispatch_table->pglDeformationMap3dSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points);
}

static GLAPIENTRY void
epoxy_glDeformationMap3fSGIX_rewrite_stub(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, GLfloat w1, GLfloat w2, GLint wstride, GLint worder, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeformationMap3fSGIX = epoxy_glDeformationMap3fSGIX_resolver();

    dispatch_table->pglDeformationMap3fSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points);
}

static GLAPIENTRY void
epoxy_glDeleteAsyncMarkersSGIX_rewrite_stub(GLuint marker, GLsizei range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteAsyncMarkersSGIX = epoxy_glDeleteAsyncMarkersSGIX_resolver();

    dispatch_table->pglDeleteAsyncMarkersSGIX(marker, range);
}

static GLAPIENTRY void
epoxy_glDeleteBuffers_rewrite_stub(GLsizei n, const GLuint * buffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteBuffers = epoxy_glDeleteBuffers_resolver();

    dispatch_table->pglDeleteBuffers(n, buffers);
}

static GLAPIENTRY void
epoxy_glDeleteFencesAPPLE_rewrite_stub(GLsizei n, const GLuint * fences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteFencesAPPLE = epoxy_glDeleteFencesAPPLE_resolver();

    dispatch_table->pglDeleteFencesAPPLE(n, fences);
}

static GLAPIENTRY void
epoxy_glDeleteFencesNV_rewrite_stub(GLsizei n, const GLuint * fences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteFencesNV = epoxy_glDeleteFencesNV_resolver();

    dispatch_table->pglDeleteFencesNV(n, fences);
}

static GLAPIENTRY void
epoxy_glDeleteFragmentShaderATI_rewrite_stub(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteFragmentShaderATI = epoxy_glDeleteFragmentShaderATI_resolver();

    dispatch_table->pglDeleteFragmentShaderATI(id);
}

static GLAPIENTRY void
epoxy_glDeleteFramebuffers_rewrite_stub(GLsizei n, const GLuint * framebuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteFramebuffers = epoxy_glDeleteFramebuffers_resolver();

    dispatch_table->pglDeleteFramebuffers(n, framebuffers);
}

static GLAPIENTRY void
epoxy_glDeleteFramebuffersOES_rewrite_stub(GLsizei n, const GLuint * framebuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteFramebuffersOES = epoxy_glDeleteFramebuffersOES_resolver();

    dispatch_table->pglDeleteFramebuffersOES(n, framebuffers);
}

static GLAPIENTRY void
epoxy_glDeleteLists_rewrite_stub(GLuint list, GLsizei range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteLists = epoxy_glDeleteLists_resolver();

    dispatch_table->pglDeleteLists(list, range);
}

static GLAPIENTRY void
epoxy_glDeleteNamedStringARB_rewrite_stub(GLint namelen, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteNamedStringARB = epoxy_glDeleteNamedStringARB_resolver();

    dispatch_table->pglDeleteNamedStringARB(namelen, name);
}

static GLAPIENTRY void
epoxy_glDeleteNamesAMD_rewrite_stub(GLenum identifier, GLuint num, const GLuint * names)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteNamesAMD = epoxy_glDeleteNamesAMD_resolver();

    dispatch_table->pglDeleteNamesAMD(identifier, num, names);
}

static GLAPIENTRY void
epoxy_glDeleteObjectARB_rewrite_stub(GLhandleARB obj)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteObjectARB = epoxy_glDeleteObjectARB_resolver();

    dispatch_table->pglDeleteObjectARB((uintptr_t)obj);
}

static GLAPIENTRY void
epoxy_glDeleteOcclusionQueriesNV_rewrite_stub(GLsizei n, const GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteOcclusionQueriesNV = epoxy_glDeleteOcclusionQueriesNV_resolver();

    dispatch_table->pglDeleteOcclusionQueriesNV(n, ids);
}

static GLAPIENTRY void
epoxy_glDeletePathsNV_rewrite_stub(GLuint path, GLsizei range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeletePathsNV = epoxy_glDeletePathsNV_resolver();

    dispatch_table->pglDeletePathsNV(path, range);
}

static GLAPIENTRY void
epoxy_glDeletePerfMonitorsAMD_rewrite_stub(GLsizei n, GLuint * monitors)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeletePerfMonitorsAMD = epoxy_glDeletePerfMonitorsAMD_resolver();

    dispatch_table->pglDeletePerfMonitorsAMD(n, monitors);
}

static GLAPIENTRY void
epoxy_glDeletePerfQueryINTEL_rewrite_stub(GLuint queryHandle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeletePerfQueryINTEL = epoxy_glDeletePerfQueryINTEL_resolver();

    dispatch_table->pglDeletePerfQueryINTEL(queryHandle);
}

static GLAPIENTRY void
epoxy_glDeleteProgram_rewrite_stub(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteProgram = epoxy_glDeleteProgram_resolver();

    dispatch_table->pglDeleteProgram(program);
}

static GLAPIENTRY void
epoxy_glDeleteProgramPipelines_rewrite_stub(GLsizei n, const GLuint * pipelines)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteProgramPipelines = epoxy_glDeleteProgramPipelines_resolver();

    dispatch_table->pglDeleteProgramPipelines(n, pipelines);
}

static GLAPIENTRY void
epoxy_glDeleteProgramPipelinesEXT_rewrite_stub(GLsizei n, const GLuint * pipelines)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteProgramPipelinesEXT = epoxy_glDeleteProgramPipelinesEXT_resolver();

    dispatch_table->pglDeleteProgramPipelinesEXT(n, pipelines);
}

static GLAPIENTRY void
epoxy_glDeleteProgramsARB_rewrite_stub(GLsizei n, const GLuint * programs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteProgramsARB = epoxy_glDeleteProgramsARB_resolver();

    dispatch_table->pglDeleteProgramsARB(n, programs);
}

static GLAPIENTRY void
epoxy_glDeleteQueries_rewrite_stub(GLsizei n, const GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteQueries = epoxy_glDeleteQueries_resolver();

    dispatch_table->pglDeleteQueries(n, ids);
}

static GLAPIENTRY void
epoxy_glDeleteQueriesEXT_rewrite_stub(GLsizei n, const GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteQueriesEXT = epoxy_glDeleteQueriesEXT_resolver();

    dispatch_table->pglDeleteQueriesEXT(n, ids);
}

static GLAPIENTRY void
epoxy_glDeleteRenderbuffers_rewrite_stub(GLsizei n, const GLuint * renderbuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteRenderbuffers = epoxy_glDeleteRenderbuffers_resolver();

    dispatch_table->pglDeleteRenderbuffers(n, renderbuffers);
}

static GLAPIENTRY void
epoxy_glDeleteRenderbuffersOES_rewrite_stub(GLsizei n, const GLuint * renderbuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteRenderbuffersOES = epoxy_glDeleteRenderbuffersOES_resolver();

    dispatch_table->pglDeleteRenderbuffersOES(n, renderbuffers);
}

static GLAPIENTRY void
epoxy_glDeleteSamplers_rewrite_stub(GLsizei count, const GLuint * samplers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteSamplers = epoxy_glDeleteSamplers_resolver();

    dispatch_table->pglDeleteSamplers(count, samplers);
}

static GLAPIENTRY void
epoxy_glDeleteShader_rewrite_stub(GLuint shader)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteShader = epoxy_glDeleteShader_resolver();

    dispatch_table->pglDeleteShader(shader);
}

static GLAPIENTRY void
epoxy_glDeleteSync_rewrite_stub(GLsync sync)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteSync = epoxy_glDeleteSync_resolver();

    dispatch_table->pglDeleteSync(sync);
}

static GLAPIENTRY void
epoxy_glDeleteTextures_rewrite_stub(GLsizei n, const GLuint * textures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteTextures = epoxy_glDeleteTextures_resolver();

    dispatch_table->pglDeleteTextures(n, textures);
}

static GLAPIENTRY void
epoxy_glDeleteTexturesEXT_rewrite_stub(GLsizei n, const GLuint * textures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteTexturesEXT = epoxy_glDeleteTexturesEXT_resolver();

    dispatch_table->pglDeleteTexturesEXT(n, textures);
}

static GLAPIENTRY void
epoxy_glDeleteTransformFeedbacks_rewrite_stub(GLsizei n, const GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteTransformFeedbacks = epoxy_glDeleteTransformFeedbacks_resolver();

    dispatch_table->pglDeleteTransformFeedbacks(n, ids);
}

static GLAPIENTRY void
epoxy_glDeleteVertexArrays_rewrite_stub(GLsizei n, const GLuint * arrays)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteVertexArrays = epoxy_glDeleteVertexArrays_resolver();

    dispatch_table->pglDeleteVertexArrays(n, arrays);
}

static GLAPIENTRY void
epoxy_glDeleteVertexShaderEXT_rewrite_stub(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteVertexShaderEXT = epoxy_glDeleteVertexShaderEXT_resolver();

    dispatch_table->pglDeleteVertexShaderEXT(id);
}

static GLAPIENTRY void
epoxy_glDepthBoundsEXT_rewrite_stub(GLclampd zmin, GLclampd zmax)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthBoundsEXT = epoxy_glDepthBoundsEXT_resolver();

    dispatch_table->pglDepthBoundsEXT(zmin, zmax);
}

static GLAPIENTRY void
epoxy_glDepthBoundsdNV_rewrite_stub(GLdouble zmin, GLdouble zmax)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthBoundsdNV = epoxy_glDepthBoundsdNV_resolver();

    dispatch_table->pglDepthBoundsdNV(zmin, zmax);
}

static GLAPIENTRY void
epoxy_glDepthFunc_rewrite_stub(GLenum func)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthFunc = epoxy_glDepthFunc_resolver();

    dispatch_table->pglDepthFunc(func);
}

static GLAPIENTRY void
epoxy_glDepthMask_rewrite_stub(GLboolean flag)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthMask = epoxy_glDepthMask_resolver();

    dispatch_table->pglDepthMask(flag);
}

static GLAPIENTRY void
epoxy_glDepthRange_rewrite_stub(GLdouble hither, GLdouble yon)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRange = epoxy_glDepthRange_resolver();

    dispatch_table->pglDepthRange(hither, yon);
}

static GLAPIENTRY void
epoxy_glDepthRangeArrayv_rewrite_stub(GLuint first, GLsizei count, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangeArrayv = epoxy_glDepthRangeArrayv_resolver();

    dispatch_table->pglDepthRangeArrayv(first, count, v);
}

static GLAPIENTRY void
epoxy_glDepthRangeIndexed_rewrite_stub(GLuint index, GLdouble n, GLdouble f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangeIndexed = epoxy_glDepthRangeIndexed_resolver();

    dispatch_table->pglDepthRangeIndexed(index, n, f);
}

static GLAPIENTRY void
epoxy_glDepthRangedNV_rewrite_stub(GLdouble zNear, GLdouble zFar)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangedNV = epoxy_glDepthRangedNV_resolver();

    dispatch_table->pglDepthRangedNV(zNear, zFar);
}

static GLAPIENTRY void
epoxy_glDepthRangef_rewrite_stub(GLfloat n, GLfloat f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangef = epoxy_glDepthRangef_resolver();

    dispatch_table->pglDepthRangef(n, f);
}

static GLAPIENTRY void
epoxy_glDepthRangex_rewrite_stub(GLfixed n, GLfixed f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangex = epoxy_glDepthRangex_resolver();

    dispatch_table->pglDepthRangex(n, f);
}

static GLAPIENTRY void
epoxy_glDepthRangexOES_rewrite_stub(GLfixed n, GLfixed f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangexOES = epoxy_glDepthRangexOES_resolver();

    dispatch_table->pglDepthRangexOES(n, f);
}

static GLAPIENTRY void
epoxy_glDetachShader_rewrite_stub(GLuint program, GLuint shader)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDetachShader = epoxy_glDetachShader_resolver();

    dispatch_table->pglDetachShader(program, shader);
}

static GLAPIENTRY void
epoxy_glDetailTexFuncSGIS_rewrite_stub(GLenum target, GLsizei n, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDetailTexFuncSGIS = epoxy_glDetailTexFuncSGIS_resolver();

    dispatch_table->pglDetailTexFuncSGIS(target, n, points);
}

static GLAPIENTRY void
epoxy_glDisable_rewrite_stub(GLenum cap)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisable = epoxy_glDisable_resolver();

    dispatch_table->pglDisable(cap);
}

static GLAPIENTRY void
epoxy_glDisableClientState_rewrite_stub(GLenum array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableClientState = epoxy_glDisableClientState_resolver();

    dispatch_table->pglDisableClientState(array);
}

static GLAPIENTRY void
epoxy_glDisableClientStateIndexedEXT_rewrite_stub(GLenum array, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableClientStateIndexedEXT = epoxy_glDisableClientStateIndexedEXT_resolver();

    dispatch_table->pglDisableClientStateIndexedEXT(array, index);
}

static GLAPIENTRY void
epoxy_glDisableClientStateiEXT_rewrite_stub(GLenum array, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableClientStateiEXT = epoxy_glDisableClientStateiEXT_resolver();

    dispatch_table->pglDisableClientStateiEXT(array, index);
}

static GLAPIENTRY void
epoxy_glDisableDriverControlQCOM_rewrite_stub(GLuint driverControl)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableDriverControlQCOM = epoxy_glDisableDriverControlQCOM_resolver();

    dispatch_table->pglDisableDriverControlQCOM(driverControl);
}

static GLAPIENTRY void
epoxy_glDisableVariantClientStateEXT_rewrite_stub(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableVariantClientStateEXT = epoxy_glDisableVariantClientStateEXT_resolver();

    dispatch_table->pglDisableVariantClientStateEXT(id);
}

static GLAPIENTRY void
epoxy_glDisableVertexArrayAttribEXT_rewrite_stub(GLuint vaobj, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableVertexArrayAttribEXT = epoxy_glDisableVertexArrayAttribEXT_resolver();

    dispatch_table->pglDisableVertexArrayAttribEXT(vaobj, index);
}

static GLAPIENTRY void
epoxy_glDisableVertexArrayEXT_rewrite_stub(GLuint vaobj, GLenum array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableVertexArrayEXT = epoxy_glDisableVertexArrayEXT_resolver();

    dispatch_table->pglDisableVertexArrayEXT(vaobj, array);
}

static GLAPIENTRY void
epoxy_glDisableVertexAttribAPPLE_rewrite_stub(GLuint index, GLenum pname)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableVertexAttribAPPLE = epoxy_glDisableVertexAttribAPPLE_resolver();

    dispatch_table->pglDisableVertexAttribAPPLE(index, pname);
}

static GLAPIENTRY void
epoxy_glDisableVertexAttribArray_rewrite_stub(GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableVertexAttribArray = epoxy_glDisableVertexAttribArray_resolver();

    dispatch_table->pglDisableVertexAttribArray(index);
}

static GLAPIENTRY void
epoxy_glDisablei_rewrite_stub(GLenum target, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisablei = epoxy_glDisablei_resolver();

    dispatch_table->pglDisablei(target, index);
}

static GLAPIENTRY void
epoxy_glDiscardFramebufferEXT_rewrite_stub(GLenum target, GLsizei numAttachments, const GLenum * attachments)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDiscardFramebufferEXT = epoxy_glDiscardFramebufferEXT_resolver();

    dispatch_table->pglDiscardFramebufferEXT(target, numAttachments, attachments);
}

static GLAPIENTRY void
epoxy_glDispatchCompute_rewrite_stub(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDispatchCompute = epoxy_glDispatchCompute_resolver();

    dispatch_table->pglDispatchCompute(num_groups_x, num_groups_y, num_groups_z);
}

static GLAPIENTRY void
epoxy_glDispatchComputeGroupSizeARB_rewrite_stub(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z, GLuint group_size_x, GLuint group_size_y, GLuint group_size_z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDispatchComputeGroupSizeARB = epoxy_glDispatchComputeGroupSizeARB_resolver();

    dispatch_table->pglDispatchComputeGroupSizeARB(num_groups_x, num_groups_y, num_groups_z, group_size_x, group_size_y, group_size_z);
}

static GLAPIENTRY void
epoxy_glDispatchComputeIndirect_rewrite_stub(GLintptr indirect)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDispatchComputeIndirect = epoxy_glDispatchComputeIndirect_resolver();

    dispatch_table->pglDispatchComputeIndirect(indirect);
}

static GLAPIENTRY void
epoxy_glDrawArrays_rewrite_stub(GLenum mode, GLint first, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArrays = epoxy_glDrawArrays_resolver();

    dispatch_table->pglDrawArrays(mode, first, count);
}

static GLAPIENTRY void
epoxy_glDrawArraysIndirect_rewrite_stub(GLenum mode, const void * indirect)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArraysIndirect = epoxy_glDrawArraysIndirect_resolver();

    dispatch_table->pglDrawArraysIndirect(mode, indirect);
}

static GLAPIENTRY void
epoxy_glDrawArraysInstanced_rewrite_stub(GLenum mode, GLint first, GLsizei count, GLsizei instancecount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArraysInstanced = epoxy_glDrawArraysInstanced_resolver();

    dispatch_table->pglDrawArraysInstanced(mode, first, count, instancecount);
}

static GLAPIENTRY void
epoxy_glDrawArraysInstancedBaseInstance_rewrite_stub(GLenum mode, GLint first, GLsizei count, GLsizei instancecount, GLuint baseinstance)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArraysInstancedBaseInstance = epoxy_glDrawArraysInstancedBaseInstance_resolver();

    dispatch_table->pglDrawArraysInstancedBaseInstance(mode, first, count, instancecount, baseinstance);
}

static GLAPIENTRY void
epoxy_glDrawBuffer_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawBuffer = epoxy_glDrawBuffer_resolver();

    dispatch_table->pglDrawBuffer(mode);
}

static GLAPIENTRY void
epoxy_glDrawBuffers_rewrite_stub(GLsizei n, const GLenum * bufs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawBuffers = epoxy_glDrawBuffers_resolver();

    dispatch_table->pglDrawBuffers(n, bufs);
}

static GLAPIENTRY void
epoxy_glDrawBuffersIndexedEXT_rewrite_stub(GLint n, const GLenum * location, const GLint * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawBuffersIndexedEXT = epoxy_glDrawBuffersIndexedEXT_resolver();

    dispatch_table->pglDrawBuffersIndexedEXT(n, location, indices);
}

static GLAPIENTRY void
epoxy_glDrawBuffersNV_rewrite_stub(GLsizei n, const GLenum * bufs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawBuffersNV = epoxy_glDrawBuffersNV_resolver();

    dispatch_table->pglDrawBuffersNV(n, bufs);
}

static GLAPIENTRY void
epoxy_glDrawElementArrayAPPLE_rewrite_stub(GLenum mode, GLint first, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementArrayAPPLE = epoxy_glDrawElementArrayAPPLE_resolver();

    dispatch_table->pglDrawElementArrayAPPLE(mode, first, count);
}

static GLAPIENTRY void
epoxy_glDrawElementArrayATI_rewrite_stub(GLenum mode, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementArrayATI = epoxy_glDrawElementArrayATI_resolver();

    dispatch_table->pglDrawElementArrayATI(mode, count);
}

static GLAPIENTRY void
epoxy_glDrawElements_rewrite_stub(GLenum mode, GLsizei count, GLenum type, const void * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElements = epoxy_glDrawElements_resolver();

    dispatch_table->pglDrawElements(mode, count, type, indices);
}

static GLAPIENTRY void
epoxy_glDrawElementsBaseVertex_rewrite_stub(GLenum mode, GLsizei count, GLenum type, const void * indices, GLint basevertex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsBaseVertex = epoxy_glDrawElementsBaseVertex_resolver();

    dispatch_table->pglDrawElementsBaseVertex(mode, count, type, indices, basevertex);
}

static GLAPIENTRY void
epoxy_glDrawElementsIndirect_rewrite_stub(GLenum mode, GLenum type, const void * indirect)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsIndirect = epoxy_glDrawElementsIndirect_resolver();

    dispatch_table->pglDrawElementsIndirect(mode, type, indirect);
}

static GLAPIENTRY void
epoxy_glDrawElementsInstanced_rewrite_stub(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsInstanced = epoxy_glDrawElementsInstanced_resolver();

    dispatch_table->pglDrawElementsInstanced(mode, count, type, indices, instancecount);
}

static GLAPIENTRY void
epoxy_glDrawElementsInstancedBaseInstance_rewrite_stub(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLuint baseinstance)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsInstancedBaseInstance = epoxy_glDrawElementsInstancedBaseInstance_resolver();

    dispatch_table->pglDrawElementsInstancedBaseInstance(mode, count, type, indices, instancecount, baseinstance);
}

static GLAPIENTRY void
epoxy_glDrawElementsInstancedBaseVertex_rewrite_stub(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLint basevertex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsInstancedBaseVertex = epoxy_glDrawElementsInstancedBaseVertex_resolver();

    dispatch_table->pglDrawElementsInstancedBaseVertex(mode, count, type, indices, instancecount, basevertex);
}

static GLAPIENTRY void
epoxy_glDrawElementsInstancedBaseVertexBaseInstance_rewrite_stub(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLint basevertex, GLuint baseinstance)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsInstancedBaseVertexBaseInstance = epoxy_glDrawElementsInstancedBaseVertexBaseInstance_resolver();

    dispatch_table->pglDrawElementsInstancedBaseVertexBaseInstance(mode, count, type, indices, instancecount, basevertex, baseinstance);
}

static GLAPIENTRY void
epoxy_glDrawMeshArraysSUN_rewrite_stub(GLenum mode, GLint first, GLsizei count, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawMeshArraysSUN = epoxy_glDrawMeshArraysSUN_resolver();

    dispatch_table->pglDrawMeshArraysSUN(mode, first, count, width);
}

static GLAPIENTRY void
epoxy_glDrawPixels_rewrite_stub(GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawPixels = epoxy_glDrawPixels_resolver();

    dispatch_table->pglDrawPixels(width, height, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glDrawRangeElementArrayAPPLE_rewrite_stub(GLenum mode, GLuint start, GLuint end, GLint first, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawRangeElementArrayAPPLE = epoxy_glDrawRangeElementArrayAPPLE_resolver();

    dispatch_table->pglDrawRangeElementArrayAPPLE(mode, start, end, first, count);
}

static GLAPIENTRY void
epoxy_glDrawRangeElementArrayATI_rewrite_stub(GLenum mode, GLuint start, GLuint end, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawRangeElementArrayATI = epoxy_glDrawRangeElementArrayATI_resolver();

    dispatch_table->pglDrawRangeElementArrayATI(mode, start, end, count);
}

static GLAPIENTRY void
epoxy_glDrawRangeElements_rewrite_stub(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const void * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawRangeElements = epoxy_glDrawRangeElements_resolver();

    dispatch_table->pglDrawRangeElements(mode, start, end, count, type, indices);
}

static GLAPIENTRY void
epoxy_glDrawRangeElementsBaseVertex_rewrite_stub(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const void * indices, GLint basevertex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawRangeElementsBaseVertex = epoxy_glDrawRangeElementsBaseVertex_resolver();

    dispatch_table->pglDrawRangeElementsBaseVertex(mode, start, end, count, type, indices, basevertex);
}

static GLAPIENTRY void
epoxy_glDrawTexfOES_rewrite_stub(GLfloat x, GLfloat y, GLfloat z, GLfloat width, GLfloat height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexfOES = epoxy_glDrawTexfOES_resolver();

    dispatch_table->pglDrawTexfOES(x, y, z, width, height);
}

static GLAPIENTRY void
epoxy_glDrawTexfvOES_rewrite_stub(const GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexfvOES = epoxy_glDrawTexfvOES_resolver();

    dispatch_table->pglDrawTexfvOES(coords);
}

static GLAPIENTRY void
epoxy_glDrawTexiOES_rewrite_stub(GLint x, GLint y, GLint z, GLint width, GLint height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexiOES = epoxy_glDrawTexiOES_resolver();

    dispatch_table->pglDrawTexiOES(x, y, z, width, height);
}

static GLAPIENTRY void
epoxy_glDrawTexivOES_rewrite_stub(const GLint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexivOES = epoxy_glDrawTexivOES_resolver();

    dispatch_table->pglDrawTexivOES(coords);
}

static GLAPIENTRY void
epoxy_glDrawTexsOES_rewrite_stub(GLshort x, GLshort y, GLshort z, GLshort width, GLshort height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexsOES = epoxy_glDrawTexsOES_resolver();

    dispatch_table->pglDrawTexsOES(x, y, z, width, height);
}

static GLAPIENTRY void
epoxy_glDrawTexsvOES_rewrite_stub(const GLshort * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexsvOES = epoxy_glDrawTexsvOES_resolver();

    dispatch_table->pglDrawTexsvOES(coords);
}

static GLAPIENTRY void
epoxy_glDrawTextureNV_rewrite_stub(GLuint texture, GLuint sampler, GLfloat x0, GLfloat y0, GLfloat x1, GLfloat y1, GLfloat z, GLfloat s0, GLfloat t0, GLfloat s1, GLfloat t1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTextureNV = epoxy_glDrawTextureNV_resolver();

    dispatch_table->pglDrawTextureNV(texture, sampler, x0, y0, x1, y1, z, s0, t0, s1, t1);
}

static GLAPIENTRY void
epoxy_glDrawTexxOES_rewrite_stub(GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexxOES = epoxy_glDrawTexxOES_resolver();

    dispatch_table->pglDrawTexxOES(x, y, z, width, height);
}

static GLAPIENTRY void
epoxy_glDrawTexxvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexxvOES = epoxy_glDrawTexxvOES_resolver();

    dispatch_table->pglDrawTexxvOES(coords);
}

static GLAPIENTRY void
epoxy_glDrawTransformFeedback_rewrite_stub(GLenum mode, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTransformFeedback = epoxy_glDrawTransformFeedback_resolver();

    dispatch_table->pglDrawTransformFeedback(mode, id);
}

static GLAPIENTRY void
epoxy_glDrawTransformFeedbackInstanced_rewrite_stub(GLenum mode, GLuint id, GLsizei instancecount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTransformFeedbackInstanced = epoxy_glDrawTransformFeedbackInstanced_resolver();

    dispatch_table->pglDrawTransformFeedbackInstanced(mode, id, instancecount);
}

static GLAPIENTRY void
epoxy_glDrawTransformFeedbackStream_rewrite_stub(GLenum mode, GLuint id, GLuint stream)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTransformFeedbackStream = epoxy_glDrawTransformFeedbackStream_resolver();

    dispatch_table->pglDrawTransformFeedbackStream(mode, id, stream);
}

static GLAPIENTRY void
epoxy_glDrawTransformFeedbackStreamInstanced_rewrite_stub(GLenum mode, GLuint id, GLuint stream, GLsizei instancecount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTransformFeedbackStreamInstanced = epoxy_glDrawTransformFeedbackStreamInstanced_resolver();

    dispatch_table->pglDrawTransformFeedbackStreamInstanced(mode, id, stream, instancecount);
}

static GLAPIENTRY void
epoxy_glEGLImageTargetRenderbufferStorageOES_rewrite_stub(GLenum target, GLeglImageOES image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEGLImageTargetRenderbufferStorageOES = epoxy_glEGLImageTargetRenderbufferStorageOES_resolver();

    dispatch_table->pglEGLImageTargetRenderbufferStorageOES(target, image);
}

static GLAPIENTRY void
epoxy_glEGLImageTargetTexture2DOES_rewrite_stub(GLenum target, GLeglImageOES image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEGLImageTargetTexture2DOES = epoxy_glEGLImageTargetTexture2DOES_resolver();

    dispatch_table->pglEGLImageTargetTexture2DOES(target, image);
}

static GLAPIENTRY void
epoxy_glEdgeFlag_rewrite_stub(GLboolean flag)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEdgeFlag = epoxy_glEdgeFlag_resolver();

    dispatch_table->pglEdgeFlag(flag);
}

static GLAPIENTRY void
epoxy_glEdgeFlagFormatNV_rewrite_stub(GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEdgeFlagFormatNV = epoxy_glEdgeFlagFormatNV_resolver();

    dispatch_table->pglEdgeFlagFormatNV(stride);
}

static GLAPIENTRY void
epoxy_glEdgeFlagPointer_rewrite_stub(GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEdgeFlagPointer = epoxy_glEdgeFlagPointer_resolver();

    dispatch_table->pglEdgeFlagPointer(stride, pointer);
}

static GLAPIENTRY void
epoxy_glEdgeFlagPointerEXT_rewrite_stub(GLsizei stride, GLsizei count, const GLboolean * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEdgeFlagPointerEXT = epoxy_glEdgeFlagPointerEXT_resolver();

    dispatch_table->pglEdgeFlagPointerEXT(stride, count, pointer);
}

static GLAPIENTRY void
epoxy_glEdgeFlagPointerListIBM_rewrite_stub(GLint stride, const GLboolean ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEdgeFlagPointerListIBM = epoxy_glEdgeFlagPointerListIBM_resolver();

    dispatch_table->pglEdgeFlagPointerListIBM(stride, pointer, ptrstride);
}

static GLAPIENTRY void
epoxy_glEdgeFlagv_rewrite_stub(const GLboolean * flag)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEdgeFlagv = epoxy_glEdgeFlagv_resolver();

    dispatch_table->pglEdgeFlagv(flag);
}

static GLAPIENTRY void
epoxy_glElementPointerAPPLE_rewrite_stub(GLenum type, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglElementPointerAPPLE = epoxy_glElementPointerAPPLE_resolver();

    dispatch_table->pglElementPointerAPPLE(type, pointer);
}

static GLAPIENTRY void
epoxy_glElementPointerATI_rewrite_stub(GLenum type, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglElementPointerATI = epoxy_glElementPointerATI_resolver();

    dispatch_table->pglElementPointerATI(type, pointer);
}

static GLAPIENTRY void
epoxy_glEnable_rewrite_stub(GLenum cap)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnable = epoxy_glEnable_resolver();

    dispatch_table->pglEnable(cap);
}

static GLAPIENTRY void
epoxy_glEnableClientState_rewrite_stub(GLenum array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableClientState = epoxy_glEnableClientState_resolver();

    dispatch_table->pglEnableClientState(array);
}

static GLAPIENTRY void
epoxy_glEnableClientStateIndexedEXT_rewrite_stub(GLenum array, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableClientStateIndexedEXT = epoxy_glEnableClientStateIndexedEXT_resolver();

    dispatch_table->pglEnableClientStateIndexedEXT(array, index);
}

static GLAPIENTRY void
epoxy_glEnableClientStateiEXT_rewrite_stub(GLenum array, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableClientStateiEXT = epoxy_glEnableClientStateiEXT_resolver();

    dispatch_table->pglEnableClientStateiEXT(array, index);
}

static GLAPIENTRY void
epoxy_glEnableDriverControlQCOM_rewrite_stub(GLuint driverControl)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableDriverControlQCOM = epoxy_glEnableDriverControlQCOM_resolver();

    dispatch_table->pglEnableDriverControlQCOM(driverControl);
}

static GLAPIENTRY void
epoxy_glEnableVariantClientStateEXT_rewrite_stub(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableVariantClientStateEXT = epoxy_glEnableVariantClientStateEXT_resolver();

    dispatch_table->pglEnableVariantClientStateEXT(id);
}

static GLAPIENTRY void
epoxy_glEnableVertexArrayAttribEXT_rewrite_stub(GLuint vaobj, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableVertexArrayAttribEXT = epoxy_glEnableVertexArrayAttribEXT_resolver();

    dispatch_table->pglEnableVertexArrayAttribEXT(vaobj, index);
}

static GLAPIENTRY void
epoxy_glEnableVertexArrayEXT_rewrite_stub(GLuint vaobj, GLenum array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableVertexArrayEXT = epoxy_glEnableVertexArrayEXT_resolver();

    dispatch_table->pglEnableVertexArrayEXT(vaobj, array);
}

static GLAPIENTRY void
epoxy_glEnableVertexAttribAPPLE_rewrite_stub(GLuint index, GLenum pname)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableVertexAttribAPPLE = epoxy_glEnableVertexAttribAPPLE_resolver();

    dispatch_table->pglEnableVertexAttribAPPLE(index, pname);
}

static GLAPIENTRY void
epoxy_glEnableVertexAttribArray_rewrite_stub(GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableVertexAttribArray = epoxy_glEnableVertexAttribArray_resolver();

    dispatch_table->pglEnableVertexAttribArray(index);
}

static GLAPIENTRY void
epoxy_glEnablei_rewrite_stub(GLenum target, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnablei = epoxy_glEnablei_resolver();

    dispatch_table->pglEnablei(target, index);
}

static GLAPIENTRY void
epoxy_glEnd_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnd = epoxy_glEnd_resolver();

    dispatch_table->pglEnd();
}

static GLAPIENTRY void
epoxy_glEndConditionalRender_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndConditionalRender = epoxy_glEndConditionalRender_resolver();

    dispatch_table->pglEndConditionalRender();
}

static GLAPIENTRY void
epoxy_glEndFragmentShaderATI_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndFragmentShaderATI = epoxy_glEndFragmentShaderATI_resolver();

    dispatch_table->pglEndFragmentShaderATI();
}

static GLAPIENTRY void
epoxy_glEndList_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndList = epoxy_glEndList_resolver();

    dispatch_table->pglEndList();
}

static GLAPIENTRY void
epoxy_glEndOcclusionQueryNV_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndOcclusionQueryNV = epoxy_glEndOcclusionQueryNV_resolver();

    dispatch_table->pglEndOcclusionQueryNV();
}

static GLAPIENTRY void
epoxy_glEndPerfMonitorAMD_rewrite_stub(GLuint monitor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndPerfMonitorAMD = epoxy_glEndPerfMonitorAMD_resolver();

    dispatch_table->pglEndPerfMonitorAMD(monitor);
}

static GLAPIENTRY void
epoxy_glEndPerfQueryINTEL_rewrite_stub(GLuint queryHandle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndPerfQueryINTEL = epoxy_glEndPerfQueryINTEL_resolver();

    dispatch_table->pglEndPerfQueryINTEL(queryHandle);
}

static GLAPIENTRY void
epoxy_glEndQuery_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndQuery = epoxy_glEndQuery_resolver();

    dispatch_table->pglEndQuery(target);
}

static GLAPIENTRY void
epoxy_glEndQueryEXT_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndQueryEXT = epoxy_glEndQueryEXT_resolver();

    dispatch_table->pglEndQueryEXT(target);
}

static GLAPIENTRY void
epoxy_glEndQueryIndexed_rewrite_stub(GLenum target, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndQueryIndexed = epoxy_glEndQueryIndexed_resolver();

    dispatch_table->pglEndQueryIndexed(target, index);
}

static GLAPIENTRY void
epoxy_glEndTilingQCOM_rewrite_stub(GLbitfield preserveMask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndTilingQCOM = epoxy_glEndTilingQCOM_resolver();

    dispatch_table->pglEndTilingQCOM(preserveMask);
}

static GLAPIENTRY void
epoxy_glEndTransformFeedback_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndTransformFeedback = epoxy_glEndTransformFeedback_resolver();

    dispatch_table->pglEndTransformFeedback();
}

static GLAPIENTRY void
epoxy_glEndVertexShaderEXT_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndVertexShaderEXT = epoxy_glEndVertexShaderEXT_resolver();

    dispatch_table->pglEndVertexShaderEXT();
}

static GLAPIENTRY void
epoxy_glEndVideoCaptureNV_rewrite_stub(GLuint video_capture_slot)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndVideoCaptureNV = epoxy_glEndVideoCaptureNV_resolver();

    dispatch_table->pglEndVideoCaptureNV(video_capture_slot);
}

static GLAPIENTRY void
epoxy_glEvalCoord1d_rewrite_stub(GLdouble u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord1d = epoxy_glEvalCoord1d_resolver();

    dispatch_table->pglEvalCoord1d(u);
}

static GLAPIENTRY void
epoxy_glEvalCoord1dv_rewrite_stub(const GLdouble * u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord1dv = epoxy_glEvalCoord1dv_resolver();

    dispatch_table->pglEvalCoord1dv(u);
}

static GLAPIENTRY void
epoxy_glEvalCoord1f_rewrite_stub(GLfloat u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord1f = epoxy_glEvalCoord1f_resolver();

    dispatch_table->pglEvalCoord1f(u);
}

static GLAPIENTRY void
epoxy_glEvalCoord1fv_rewrite_stub(const GLfloat * u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord1fv = epoxy_glEvalCoord1fv_resolver();

    dispatch_table->pglEvalCoord1fv(u);
}

static GLAPIENTRY void
epoxy_glEvalCoord1xOES_rewrite_stub(GLfixed u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord1xOES = epoxy_glEvalCoord1xOES_resolver();

    dispatch_table->pglEvalCoord1xOES(u);
}

static GLAPIENTRY void
epoxy_glEvalCoord1xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord1xvOES = epoxy_glEvalCoord1xvOES_resolver();

    dispatch_table->pglEvalCoord1xvOES(coords);
}

static GLAPIENTRY void
epoxy_glEvalCoord2d_rewrite_stub(GLdouble u, GLdouble v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord2d = epoxy_glEvalCoord2d_resolver();

    dispatch_table->pglEvalCoord2d(u, v);
}

static GLAPIENTRY void
epoxy_glEvalCoord2dv_rewrite_stub(const GLdouble * u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord2dv = epoxy_glEvalCoord2dv_resolver();

    dispatch_table->pglEvalCoord2dv(u);
}

static GLAPIENTRY void
epoxy_glEvalCoord2f_rewrite_stub(GLfloat u, GLfloat v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord2f = epoxy_glEvalCoord2f_resolver();

    dispatch_table->pglEvalCoord2f(u, v);
}

static GLAPIENTRY void
epoxy_glEvalCoord2fv_rewrite_stub(const GLfloat * u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord2fv = epoxy_glEvalCoord2fv_resolver();

    dispatch_table->pglEvalCoord2fv(u);
}

static GLAPIENTRY void
epoxy_glEvalCoord2xOES_rewrite_stub(GLfixed u, GLfixed v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord2xOES = epoxy_glEvalCoord2xOES_resolver();

    dispatch_table->pglEvalCoord2xOES(u, v);
}

static GLAPIENTRY void
epoxy_glEvalCoord2xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord2xvOES = epoxy_glEvalCoord2xvOES_resolver();

    dispatch_table->pglEvalCoord2xvOES(coords);
}

static GLAPIENTRY void
epoxy_glEvalMapsNV_rewrite_stub(GLenum target, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalMapsNV = epoxy_glEvalMapsNV_resolver();

    dispatch_table->pglEvalMapsNV(target, mode);
}

static GLAPIENTRY void
epoxy_glEvalMesh1_rewrite_stub(GLenum mode, GLint i1, GLint i2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalMesh1 = epoxy_glEvalMesh1_resolver();

    dispatch_table->pglEvalMesh1(mode, i1, i2);
}

static GLAPIENTRY void
epoxy_glEvalMesh2_rewrite_stub(GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalMesh2 = epoxy_glEvalMesh2_resolver();

    dispatch_table->pglEvalMesh2(mode, i1, i2, j1, j2);
}

static GLAPIENTRY void
epoxy_glEvalPoint1_rewrite_stub(GLint i)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalPoint1 = epoxy_glEvalPoint1_resolver();

    dispatch_table->pglEvalPoint1(i);
}

static GLAPIENTRY void
epoxy_glEvalPoint2_rewrite_stub(GLint i, GLint j)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalPoint2 = epoxy_glEvalPoint2_resolver();

    dispatch_table->pglEvalPoint2(i, j);
}

static GLAPIENTRY void
epoxy_glExecuteProgramNV_rewrite_stub(GLenum target, GLuint id, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExecuteProgramNV = epoxy_glExecuteProgramNV_resolver();

    dispatch_table->pglExecuteProgramNV(target, id, params);
}

static GLAPIENTRY void
epoxy_glExtGetBufferPointervQCOM_rewrite_stub(GLenum target, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetBufferPointervQCOM = epoxy_glExtGetBufferPointervQCOM_resolver();

    dispatch_table->pglExtGetBufferPointervQCOM(target, params);
}

static GLAPIENTRY void
epoxy_glExtGetBuffersQCOM_rewrite_stub(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetBuffersQCOM = epoxy_glExtGetBuffersQCOM_resolver();

    dispatch_table->pglExtGetBuffersQCOM(buffers, maxBuffers, numBuffers);
}

static GLAPIENTRY void
epoxy_glExtGetFramebuffersQCOM_rewrite_stub(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetFramebuffersQCOM = epoxy_glExtGetFramebuffersQCOM_resolver();

    dispatch_table->pglExtGetFramebuffersQCOM(framebuffers, maxFramebuffers, numFramebuffers);
}

static GLAPIENTRY void
epoxy_glExtGetProgramBinarySourceQCOM_rewrite_stub(GLuint program, GLenum shadertype, GLchar * source, GLint * length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetProgramBinarySourceQCOM = epoxy_glExtGetProgramBinarySourceQCOM_resolver();

    dispatch_table->pglExtGetProgramBinarySourceQCOM(program, shadertype, source, length);
}

static GLAPIENTRY void
epoxy_glExtGetProgramsQCOM_rewrite_stub(GLuint * programs, GLint maxPrograms, GLint * numPrograms)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetProgramsQCOM = epoxy_glExtGetProgramsQCOM_resolver();

    dispatch_table->pglExtGetProgramsQCOM(programs, maxPrograms, numPrograms);
}

static GLAPIENTRY void
epoxy_glExtGetRenderbuffersQCOM_rewrite_stub(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetRenderbuffersQCOM = epoxy_glExtGetRenderbuffersQCOM_resolver();

    dispatch_table->pglExtGetRenderbuffersQCOM(renderbuffers, maxRenderbuffers, numRenderbuffers);
}

static GLAPIENTRY void
epoxy_glExtGetShadersQCOM_rewrite_stub(GLuint * shaders, GLint maxShaders, GLint * numShaders)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetShadersQCOM = epoxy_glExtGetShadersQCOM_resolver();

    dispatch_table->pglExtGetShadersQCOM(shaders, maxShaders, numShaders);
}

static GLAPIENTRY void
epoxy_glExtGetTexLevelParameterivQCOM_rewrite_stub(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetTexLevelParameterivQCOM = epoxy_glExtGetTexLevelParameterivQCOM_resolver();

    dispatch_table->pglExtGetTexLevelParameterivQCOM(texture, face, level, pname, params);
}

static GLAPIENTRY void
epoxy_glExtGetTexSubImageQCOM_rewrite_stub(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, void * texels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetTexSubImageQCOM = epoxy_glExtGetTexSubImageQCOM_resolver();

    dispatch_table->pglExtGetTexSubImageQCOM(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, texels);
}

static GLAPIENTRY void
epoxy_glExtGetTexturesQCOM_rewrite_stub(GLuint * textures, GLint maxTextures, GLint * numTextures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetTexturesQCOM = epoxy_glExtGetTexturesQCOM_resolver();

    dispatch_table->pglExtGetTexturesQCOM(textures, maxTextures, numTextures);
}

static GLAPIENTRY GLboolean
epoxy_glExtIsProgramBinaryQCOM_rewrite_stub(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtIsProgramBinaryQCOM = epoxy_glExtIsProgramBinaryQCOM_resolver();

    return dispatch_table->pglExtIsProgramBinaryQCOM(program);
}

static GLAPIENTRY void
epoxy_glExtTexObjectStateOverrideiQCOM_rewrite_stub(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtTexObjectStateOverrideiQCOM = epoxy_glExtTexObjectStateOverrideiQCOM_resolver();

    dispatch_table->pglExtTexObjectStateOverrideiQCOM(target, pname, param);
}

static GLAPIENTRY void
epoxy_glExtractComponentEXT_rewrite_stub(GLuint res, GLuint src, GLuint num)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtractComponentEXT = epoxy_glExtractComponentEXT_resolver();

    dispatch_table->pglExtractComponentEXT(res, src, num);
}

static GLAPIENTRY void
epoxy_glFeedbackBuffer_rewrite_stub(GLsizei size, GLenum type, GLfloat * buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFeedbackBuffer = epoxy_glFeedbackBuffer_resolver();

    dispatch_table->pglFeedbackBuffer(size, type, buffer);
}

static GLAPIENTRY void
epoxy_glFeedbackBufferxOES_rewrite_stub(GLsizei n, GLenum type, const GLfixed * buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFeedbackBufferxOES = epoxy_glFeedbackBufferxOES_resolver();

    dispatch_table->pglFeedbackBufferxOES(n, type, buffer);
}

static GLAPIENTRY GLsync
epoxy_glFenceSync_rewrite_stub(GLenum condition, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFenceSync = epoxy_glFenceSync_resolver();

    return dispatch_table->pglFenceSync(condition, flags);
}

static GLAPIENTRY void
epoxy_glFinalCombinerInputNV_rewrite_stub(GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinalCombinerInputNV = epoxy_glFinalCombinerInputNV_resolver();

    dispatch_table->pglFinalCombinerInputNV(variable, input, mapping, componentUsage);
}

static GLAPIENTRY void
epoxy_glFinish_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinish = epoxy_glFinish_resolver();

    dispatch_table->pglFinish();
}

static GLAPIENTRY GLint
epoxy_glFinishAsyncSGIX_rewrite_stub(GLuint * markerp)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinishAsyncSGIX = epoxy_glFinishAsyncSGIX_resolver();

    return dispatch_table->pglFinishAsyncSGIX(markerp);
}

static GLAPIENTRY void
epoxy_glFinishFenceAPPLE_rewrite_stub(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinishFenceAPPLE = epoxy_glFinishFenceAPPLE_resolver();

    dispatch_table->pglFinishFenceAPPLE(fence);
}

static GLAPIENTRY void
epoxy_glFinishFenceNV_rewrite_stub(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinishFenceNV = epoxy_glFinishFenceNV_resolver();

    dispatch_table->pglFinishFenceNV(fence);
}

static GLAPIENTRY void
epoxy_glFinishObjectAPPLE_rewrite_stub(GLenum object, GLint name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinishObjectAPPLE = epoxy_glFinishObjectAPPLE_resolver();

    dispatch_table->pglFinishObjectAPPLE(object, name);
}

static GLAPIENTRY void
epoxy_glFinishTextureSUNX_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinishTextureSUNX = epoxy_glFinishTextureSUNX_resolver();

    dispatch_table->pglFinishTextureSUNX();
}

static GLAPIENTRY void
epoxy_glFlush_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlush = epoxy_glFlush_resolver();

    dispatch_table->pglFlush();
}

static GLAPIENTRY void
epoxy_glFlushMappedBufferRange_rewrite_stub(GLenum target, GLintptr offset, GLsizeiptr length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushMappedBufferRange = epoxy_glFlushMappedBufferRange_resolver();

    dispatch_table->pglFlushMappedBufferRange(target, offset, length);
}

static GLAPIENTRY void
epoxy_glFlushMappedNamedBufferRangeEXT_rewrite_stub(GLuint buffer, GLintptr offset, GLsizeiptr length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushMappedNamedBufferRangeEXT = epoxy_glFlushMappedNamedBufferRangeEXT_resolver();

    dispatch_table->pglFlushMappedNamedBufferRangeEXT(buffer, offset, length);
}

static GLAPIENTRY void
epoxy_glFlushPixelDataRangeNV_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushPixelDataRangeNV = epoxy_glFlushPixelDataRangeNV_resolver();

    dispatch_table->pglFlushPixelDataRangeNV(target);
}

static GLAPIENTRY void
epoxy_glFlushRasterSGIX_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushRasterSGIX = epoxy_glFlushRasterSGIX_resolver();

    dispatch_table->pglFlushRasterSGIX();
}

static GLAPIENTRY void
epoxy_glFlushStaticDataIBM_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushStaticDataIBM = epoxy_glFlushStaticDataIBM_resolver();

    dispatch_table->pglFlushStaticDataIBM(target);
}

static GLAPIENTRY void
epoxy_glFlushVertexArrayRangeAPPLE_rewrite_stub(GLsizei length, void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushVertexArrayRangeAPPLE = epoxy_glFlushVertexArrayRangeAPPLE_resolver();

    dispatch_table->pglFlushVertexArrayRangeAPPLE(length, pointer);
}

static GLAPIENTRY void
epoxy_glFlushVertexArrayRangeNV_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushVertexArrayRangeNV = epoxy_glFlushVertexArrayRangeNV_resolver();

    dispatch_table->pglFlushVertexArrayRangeNV();
}

static GLAPIENTRY void
epoxy_glFogCoordFormatNV_rewrite_stub(GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordFormatNV = epoxy_glFogCoordFormatNV_resolver();

    dispatch_table->pglFogCoordFormatNV(type, stride);
}

static GLAPIENTRY void
epoxy_glFogCoordPointer_rewrite_stub(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordPointer = epoxy_glFogCoordPointer_resolver();

    dispatch_table->pglFogCoordPointer(type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glFogCoordPointerListIBM_rewrite_stub(GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordPointerListIBM = epoxy_glFogCoordPointerListIBM_resolver();

    dispatch_table->pglFogCoordPointerListIBM(type, stride, pointer, ptrstride);
}

static GLAPIENTRY void
epoxy_glFogCoordd_rewrite_stub(GLdouble coord)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordd = epoxy_glFogCoordd_resolver();

    dispatch_table->pglFogCoordd(coord);
}

static GLAPIENTRY void
epoxy_glFogCoorddv_rewrite_stub(const GLdouble * coord)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoorddv = epoxy_glFogCoorddv_resolver();

    dispatch_table->pglFogCoorddv(coord);
}

static GLAPIENTRY void
epoxy_glFogCoordf_rewrite_stub(GLfloat coord)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordf = epoxy_glFogCoordf_resolver();

    dispatch_table->pglFogCoordf(coord);
}

static GLAPIENTRY void
epoxy_glFogCoordfv_rewrite_stub(const GLfloat * coord)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordfv = epoxy_glFogCoordfv_resolver();

    dispatch_table->pglFogCoordfv(coord);
}

static GLAPIENTRY void
epoxy_glFogCoordhNV_rewrite_stub(GLhalfNV fog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordhNV = epoxy_glFogCoordhNV_resolver();

    dispatch_table->pglFogCoordhNV(fog);
}

static GLAPIENTRY void
epoxy_glFogCoordhvNV_rewrite_stub(const GLhalfNV * fog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordhvNV = epoxy_glFogCoordhvNV_resolver();

    dispatch_table->pglFogCoordhvNV(fog);
}

static GLAPIENTRY void
epoxy_glFogFuncSGIS_rewrite_stub(GLsizei n, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogFuncSGIS = epoxy_glFogFuncSGIS_resolver();

    dispatch_table->pglFogFuncSGIS(n, points);
}

static GLAPIENTRY void
epoxy_glFogf_rewrite_stub(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogf = epoxy_glFogf_resolver();

    dispatch_table->pglFogf(pname, param);
}

static GLAPIENTRY void
epoxy_glFogfv_rewrite_stub(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogfv = epoxy_glFogfv_resolver();

    dispatch_table->pglFogfv(pname, params);
}

static GLAPIENTRY void
epoxy_glFogi_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogi = epoxy_glFogi_resolver();

    dispatch_table->pglFogi(pname, param);
}

static GLAPIENTRY void
epoxy_glFogiv_rewrite_stub(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogiv = epoxy_glFogiv_resolver();

    dispatch_table->pglFogiv(pname, params);
}

static GLAPIENTRY void
epoxy_glFogx_rewrite_stub(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogx = epoxy_glFogx_resolver();

    dispatch_table->pglFogx(pname, param);
}

static GLAPIENTRY void
epoxy_glFogxOES_rewrite_stub(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogxOES = epoxy_glFogxOES_resolver();

    dispatch_table->pglFogxOES(pname, param);
}

static GLAPIENTRY void
epoxy_glFogxv_rewrite_stub(GLenum pname, const GLfixed * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogxv = epoxy_glFogxv_resolver();

    dispatch_table->pglFogxv(pname, param);
}

static GLAPIENTRY void
epoxy_glFogxvOES_rewrite_stub(GLenum pname, const GLfixed * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogxvOES = epoxy_glFogxvOES_resolver();

    dispatch_table->pglFogxvOES(pname, param);
}

static GLAPIENTRY void
epoxy_glFragmentColorMaterialSGIX_rewrite_stub(GLenum face, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentColorMaterialSGIX = epoxy_glFragmentColorMaterialSGIX_resolver();

    dispatch_table->pglFragmentColorMaterialSGIX(face, mode);
}

static GLAPIENTRY void
epoxy_glFragmentLightModelfSGIX_rewrite_stub(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightModelfSGIX = epoxy_glFragmentLightModelfSGIX_resolver();

    dispatch_table->pglFragmentLightModelfSGIX(pname, param);
}

static GLAPIENTRY void
epoxy_glFragmentLightModelfvSGIX_rewrite_stub(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightModelfvSGIX = epoxy_glFragmentLightModelfvSGIX_resolver();

    dispatch_table->pglFragmentLightModelfvSGIX(pname, params);
}

static GLAPIENTRY void
epoxy_glFragmentLightModeliSGIX_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightModeliSGIX = epoxy_glFragmentLightModeliSGIX_resolver();

    dispatch_table->pglFragmentLightModeliSGIX(pname, param);
}

static GLAPIENTRY void
epoxy_glFragmentLightModelivSGIX_rewrite_stub(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightModelivSGIX = epoxy_glFragmentLightModelivSGIX_resolver();

    dispatch_table->pglFragmentLightModelivSGIX(pname, params);
}

static GLAPIENTRY void
epoxy_glFragmentLightfSGIX_rewrite_stub(GLenum light, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightfSGIX = epoxy_glFragmentLightfSGIX_resolver();

    dispatch_table->pglFragmentLightfSGIX(light, pname, param);
}

static GLAPIENTRY void
epoxy_glFragmentLightfvSGIX_rewrite_stub(GLenum light, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightfvSGIX = epoxy_glFragmentLightfvSGIX_resolver();

    dispatch_table->pglFragmentLightfvSGIX(light, pname, params);
}

static GLAPIENTRY void
epoxy_glFragmentLightiSGIX_rewrite_stub(GLenum light, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightiSGIX = epoxy_glFragmentLightiSGIX_resolver();

    dispatch_table->pglFragmentLightiSGIX(light, pname, param);
}

static GLAPIENTRY void
epoxy_glFragmentLightivSGIX_rewrite_stub(GLenum light, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightivSGIX = epoxy_glFragmentLightivSGIX_resolver();

    dispatch_table->pglFragmentLightivSGIX(light, pname, params);
}

static GLAPIENTRY void
epoxy_glFragmentMaterialfSGIX_rewrite_stub(GLenum face, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentMaterialfSGIX = epoxy_glFragmentMaterialfSGIX_resolver();

    dispatch_table->pglFragmentMaterialfSGIX(face, pname, param);
}

static GLAPIENTRY void
epoxy_glFragmentMaterialfvSGIX_rewrite_stub(GLenum face, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentMaterialfvSGIX = epoxy_glFragmentMaterialfvSGIX_resolver();

    dispatch_table->pglFragmentMaterialfvSGIX(face, pname, params);
}

static GLAPIENTRY void
epoxy_glFragmentMaterialiSGIX_rewrite_stub(GLenum face, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentMaterialiSGIX = epoxy_glFragmentMaterialiSGIX_resolver();

    dispatch_table->pglFragmentMaterialiSGIX(face, pname, param);
}

static GLAPIENTRY void
epoxy_glFragmentMaterialivSGIX_rewrite_stub(GLenum face, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentMaterialivSGIX = epoxy_glFragmentMaterialivSGIX_resolver();

    dispatch_table->pglFragmentMaterialivSGIX(face, pname, params);
}

static GLAPIENTRY void
epoxy_glFrameTerminatorGREMEDY_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrameTerminatorGREMEDY = epoxy_glFrameTerminatorGREMEDY_resolver();

    dispatch_table->pglFrameTerminatorGREMEDY();
}

static GLAPIENTRY void
epoxy_glFrameZoomSGIX_rewrite_stub(GLint factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrameZoomSGIX = epoxy_glFrameZoomSGIX_resolver();

    dispatch_table->pglFrameZoomSGIX(factor);
}

static GLAPIENTRY void
epoxy_glFramebufferDrawBufferEXT_rewrite_stub(GLuint framebuffer, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferDrawBufferEXT = epoxy_glFramebufferDrawBufferEXT_resolver();

    dispatch_table->pglFramebufferDrawBufferEXT(framebuffer, mode);
}

static GLAPIENTRY void
epoxy_glFramebufferDrawBuffersEXT_rewrite_stub(GLuint framebuffer, GLsizei n, const GLenum * bufs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferDrawBuffersEXT = epoxy_glFramebufferDrawBuffersEXT_resolver();

    dispatch_table->pglFramebufferDrawBuffersEXT(framebuffer, n, bufs);
}

static GLAPIENTRY void
epoxy_glFramebufferParameteri_rewrite_stub(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferParameteri = epoxy_glFramebufferParameteri_resolver();

    dispatch_table->pglFramebufferParameteri(target, pname, param);
}

static GLAPIENTRY void
epoxy_glFramebufferReadBufferEXT_rewrite_stub(GLuint framebuffer, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferReadBufferEXT = epoxy_glFramebufferReadBufferEXT_resolver();

    dispatch_table->pglFramebufferReadBufferEXT(framebuffer, mode);
}

static GLAPIENTRY void
epoxy_glFramebufferRenderbuffer_rewrite_stub(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferRenderbuffer = epoxy_glFramebufferRenderbuffer_resolver();

    dispatch_table->pglFramebufferRenderbuffer(target, attachment, renderbuffertarget, renderbuffer);
}

static GLAPIENTRY void
epoxy_glFramebufferRenderbufferOES_rewrite_stub(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferRenderbufferOES = epoxy_glFramebufferRenderbufferOES_resolver();

    dispatch_table->pglFramebufferRenderbufferOES(target, attachment, renderbuffertarget, renderbuffer);
}

static GLAPIENTRY void
epoxy_glFramebufferTexture_rewrite_stub(GLenum target, GLenum attachment, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture = epoxy_glFramebufferTexture_resolver();

    dispatch_table->pglFramebufferTexture(target, attachment, texture, level);
}

static GLAPIENTRY void
epoxy_glFramebufferTexture1D_rewrite_stub(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture1D = epoxy_glFramebufferTexture1D_resolver();

    dispatch_table->pglFramebufferTexture1D(target, attachment, textarget, texture, level);
}

static GLAPIENTRY void
epoxy_glFramebufferTexture2D_rewrite_stub(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture2D = epoxy_glFramebufferTexture2D_resolver();

    dispatch_table->pglFramebufferTexture2D(target, attachment, textarget, texture, level);
}

static GLAPIENTRY void
epoxy_glFramebufferTexture2DMultisampleEXT_rewrite_stub(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture2DMultisampleEXT = epoxy_glFramebufferTexture2DMultisampleEXT_resolver();

    dispatch_table->pglFramebufferTexture2DMultisampleEXT(target, attachment, textarget, texture, level, samples);
}

static GLAPIENTRY void
epoxy_glFramebufferTexture2DMultisampleIMG_rewrite_stub(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture2DMultisampleIMG = epoxy_glFramebufferTexture2DMultisampleIMG_resolver();

    dispatch_table->pglFramebufferTexture2DMultisampleIMG(target, attachment, textarget, texture, level, samples);
}

static GLAPIENTRY void
epoxy_glFramebufferTexture2DOES_rewrite_stub(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture2DOES = epoxy_glFramebufferTexture2DOES_resolver();

    dispatch_table->pglFramebufferTexture2DOES(target, attachment, textarget, texture, level);
}

static GLAPIENTRY void
epoxy_glFramebufferTexture3D_rewrite_stub(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture3D = epoxy_glFramebufferTexture3D_resolver();

    dispatch_table->pglFramebufferTexture3D(target, attachment, textarget, texture, level, zoffset);
}

static GLAPIENTRY void
epoxy_glFramebufferTextureFaceARB_rewrite_stub(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTextureFaceARB = epoxy_glFramebufferTextureFaceARB_resolver();

    dispatch_table->pglFramebufferTextureFaceARB(target, attachment, texture, level, face);
}

static GLAPIENTRY void
epoxy_glFramebufferTextureLayer_rewrite_stub(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTextureLayer = epoxy_glFramebufferTextureLayer_resolver();

    dispatch_table->pglFramebufferTextureLayer(target, attachment, texture, level, layer);
}

static GLAPIENTRY void
epoxy_glFreeObjectBufferATI_rewrite_stub(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFreeObjectBufferATI = epoxy_glFreeObjectBufferATI_resolver();

    dispatch_table->pglFreeObjectBufferATI(buffer);
}

static GLAPIENTRY void
epoxy_glFrontFace_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrontFace = epoxy_glFrontFace_resolver();

    dispatch_table->pglFrontFace(mode);
}

static GLAPIENTRY void
epoxy_glFrustum_rewrite_stub(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrustum = epoxy_glFrustum_resolver();

    dispatch_table->pglFrustum(left, right, bottom, top, zNear, zFar);
}

static GLAPIENTRY void
epoxy_glFrustumf_rewrite_stub(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrustumf = epoxy_glFrustumf_resolver();

    dispatch_table->pglFrustumf(l, r, b, t, n, f);
}

static GLAPIENTRY void
epoxy_glFrustumfOES_rewrite_stub(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrustumfOES = epoxy_glFrustumfOES_resolver();

    dispatch_table->pglFrustumfOES(l, r, b, t, n, f);
}

static GLAPIENTRY void
epoxy_glFrustumx_rewrite_stub(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrustumx = epoxy_glFrustumx_resolver();

    dispatch_table->pglFrustumx(l, r, b, t, n, f);
}

static GLAPIENTRY void
epoxy_glFrustumxOES_rewrite_stub(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrustumxOES = epoxy_glFrustumxOES_resolver();

    dispatch_table->pglFrustumxOES(l, r, b, t, n, f);
}

static GLAPIENTRY GLuint
epoxy_glGenAsyncMarkersSGIX_rewrite_stub(GLsizei range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenAsyncMarkersSGIX = epoxy_glGenAsyncMarkersSGIX_resolver();

    return dispatch_table->pglGenAsyncMarkersSGIX(range);
}

static GLAPIENTRY void
epoxy_glGenBuffers_rewrite_stub(GLsizei n, GLuint * buffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenBuffers = epoxy_glGenBuffers_resolver();

    dispatch_table->pglGenBuffers(n, buffers);
}

static GLAPIENTRY void
epoxy_glGenFencesAPPLE_rewrite_stub(GLsizei n, GLuint * fences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenFencesAPPLE = epoxy_glGenFencesAPPLE_resolver();

    dispatch_table->pglGenFencesAPPLE(n, fences);
}

static GLAPIENTRY void
epoxy_glGenFencesNV_rewrite_stub(GLsizei n, GLuint * fences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenFencesNV = epoxy_glGenFencesNV_resolver();

    dispatch_table->pglGenFencesNV(n, fences);
}

static GLAPIENTRY GLuint
epoxy_glGenFragmentShadersATI_rewrite_stub(GLuint range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenFragmentShadersATI = epoxy_glGenFragmentShadersATI_resolver();

    return dispatch_table->pglGenFragmentShadersATI(range);
}

static GLAPIENTRY void
epoxy_glGenFramebuffers_rewrite_stub(GLsizei n, GLuint * framebuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenFramebuffers = epoxy_glGenFramebuffers_resolver();

    dispatch_table->pglGenFramebuffers(n, framebuffers);
}

static GLAPIENTRY void
epoxy_glGenFramebuffersOES_rewrite_stub(GLsizei n, GLuint * framebuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenFramebuffersOES = epoxy_glGenFramebuffersOES_resolver();

    dispatch_table->pglGenFramebuffersOES(n, framebuffers);
}

static GLAPIENTRY GLuint
epoxy_glGenLists_rewrite_stub(GLsizei range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenLists = epoxy_glGenLists_resolver();

    return dispatch_table->pglGenLists(range);
}

static GLAPIENTRY void
epoxy_glGenNamesAMD_rewrite_stub(GLenum identifier, GLuint num, GLuint * names)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenNamesAMD = epoxy_glGenNamesAMD_resolver();

    dispatch_table->pglGenNamesAMD(identifier, num, names);
}

static GLAPIENTRY void
epoxy_glGenOcclusionQueriesNV_rewrite_stub(GLsizei n, GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenOcclusionQueriesNV = epoxy_glGenOcclusionQueriesNV_resolver();

    dispatch_table->pglGenOcclusionQueriesNV(n, ids);
}

static GLAPIENTRY GLuint
epoxy_glGenPathsNV_rewrite_stub(GLsizei range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenPathsNV = epoxy_glGenPathsNV_resolver();

    return dispatch_table->pglGenPathsNV(range);
}

static GLAPIENTRY void
epoxy_glGenPerfMonitorsAMD_rewrite_stub(GLsizei n, GLuint * monitors)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenPerfMonitorsAMD = epoxy_glGenPerfMonitorsAMD_resolver();

    dispatch_table->pglGenPerfMonitorsAMD(n, monitors);
}

static GLAPIENTRY void
epoxy_glGenProgramPipelines_rewrite_stub(GLsizei n, GLuint * pipelines)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenProgramPipelines = epoxy_glGenProgramPipelines_resolver();

    dispatch_table->pglGenProgramPipelines(n, pipelines);
}

static GLAPIENTRY void
epoxy_glGenProgramPipelinesEXT_rewrite_stub(GLsizei n, GLuint * pipelines)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenProgramPipelinesEXT = epoxy_glGenProgramPipelinesEXT_resolver();

    dispatch_table->pglGenProgramPipelinesEXT(n, pipelines);
}

static GLAPIENTRY void
epoxy_glGenProgramsARB_rewrite_stub(GLsizei n, GLuint * programs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenProgramsARB = epoxy_glGenProgramsARB_resolver();

    dispatch_table->pglGenProgramsARB(n, programs);
}

static GLAPIENTRY void
epoxy_glGenQueries_rewrite_stub(GLsizei n, GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenQueries = epoxy_glGenQueries_resolver();

    dispatch_table->pglGenQueries(n, ids);
}

static GLAPIENTRY void
epoxy_glGenQueriesEXT_rewrite_stub(GLsizei n, GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenQueriesEXT = epoxy_glGenQueriesEXT_resolver();

    dispatch_table->pglGenQueriesEXT(n, ids);
}

static GLAPIENTRY void
epoxy_glGenRenderbuffers_rewrite_stub(GLsizei n, GLuint * renderbuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenRenderbuffers = epoxy_glGenRenderbuffers_resolver();

    dispatch_table->pglGenRenderbuffers(n, renderbuffers);
}

static GLAPIENTRY void
epoxy_glGenRenderbuffersOES_rewrite_stub(GLsizei n, GLuint * renderbuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenRenderbuffersOES = epoxy_glGenRenderbuffersOES_resolver();

    dispatch_table->pglGenRenderbuffersOES(n, renderbuffers);
}

static GLAPIENTRY void
epoxy_glGenSamplers_rewrite_stub(GLsizei count, GLuint * samplers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenSamplers = epoxy_glGenSamplers_resolver();

    dispatch_table->pglGenSamplers(count, samplers);
}

static GLAPIENTRY GLuint
epoxy_glGenSymbolsEXT_rewrite_stub(GLenum datatype, GLenum storagetype, GLenum range, GLuint components)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenSymbolsEXT = epoxy_glGenSymbolsEXT_resolver();

    return dispatch_table->pglGenSymbolsEXT(datatype, storagetype, range, components);
}

static GLAPIENTRY void
epoxy_glGenTextures_rewrite_stub(GLsizei n, GLuint * textures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenTextures = epoxy_glGenTextures_resolver();

    dispatch_table->pglGenTextures(n, textures);
}

static GLAPIENTRY void
epoxy_glGenTexturesEXT_rewrite_stub(GLsizei n, GLuint * textures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenTexturesEXT = epoxy_glGenTexturesEXT_resolver();

    dispatch_table->pglGenTexturesEXT(n, textures);
}

static GLAPIENTRY void
epoxy_glGenTransformFeedbacks_rewrite_stub(GLsizei n, GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenTransformFeedbacks = epoxy_glGenTransformFeedbacks_resolver();

    dispatch_table->pglGenTransformFeedbacks(n, ids);
}

static GLAPIENTRY void
epoxy_glGenVertexArrays_rewrite_stub(GLsizei n, GLuint * arrays)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenVertexArrays = epoxy_glGenVertexArrays_resolver();

    dispatch_table->pglGenVertexArrays(n, arrays);
}

static GLAPIENTRY GLuint
epoxy_glGenVertexShadersEXT_rewrite_stub(GLuint range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenVertexShadersEXT = epoxy_glGenVertexShadersEXT_resolver();

    return dispatch_table->pglGenVertexShadersEXT(range);
}

static GLAPIENTRY void
epoxy_glGenerateMipmap_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenerateMipmap = epoxy_glGenerateMipmap_resolver();

    dispatch_table->pglGenerateMipmap(target);
}

static GLAPIENTRY void
epoxy_glGenerateMipmapOES_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenerateMipmapOES = epoxy_glGenerateMipmapOES_resolver();

    dispatch_table->pglGenerateMipmapOES(target);
}

static GLAPIENTRY void
epoxy_glGenerateMultiTexMipmapEXT_rewrite_stub(GLenum texunit, GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenerateMultiTexMipmapEXT = epoxy_glGenerateMultiTexMipmapEXT_resolver();

    dispatch_table->pglGenerateMultiTexMipmapEXT(texunit, target);
}

static GLAPIENTRY void
epoxy_glGenerateTextureMipmapEXT_rewrite_stub(GLuint texture, GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenerateTextureMipmapEXT = epoxy_glGenerateTextureMipmapEXT_resolver();

    dispatch_table->pglGenerateTextureMipmapEXT(texture, target);
}

static GLAPIENTRY void
epoxy_glGetActiveAtomicCounterBufferiv_rewrite_stub(GLuint program, GLuint bufferIndex, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveAtomicCounterBufferiv = epoxy_glGetActiveAtomicCounterBufferiv_resolver();

    dispatch_table->pglGetActiveAtomicCounterBufferiv(program, bufferIndex, pname, params);
}

static GLAPIENTRY void
epoxy_glGetActiveAttrib_rewrite_stub(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveAttrib = epoxy_glGetActiveAttrib_resolver();

    dispatch_table->pglGetActiveAttrib(program, index, bufSize, length, size, type, name);
}

static GLAPIENTRY void
epoxy_glGetActiveSubroutineName_rewrite_stub(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveSubroutineName = epoxy_glGetActiveSubroutineName_resolver();

    dispatch_table->pglGetActiveSubroutineName(program, shadertype, index, bufsize, length, name);
}

static GLAPIENTRY void
epoxy_glGetActiveSubroutineUniformName_rewrite_stub(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveSubroutineUniformName = epoxy_glGetActiveSubroutineUniformName_resolver();

    dispatch_table->pglGetActiveSubroutineUniformName(program, shadertype, index, bufsize, length, name);
}

static GLAPIENTRY void
epoxy_glGetActiveSubroutineUniformiv_rewrite_stub(GLuint program, GLenum shadertype, GLuint index, GLenum pname, GLint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveSubroutineUniformiv = epoxy_glGetActiveSubroutineUniformiv_resolver();

    dispatch_table->pglGetActiveSubroutineUniformiv(program, shadertype, index, pname, values);
}

static GLAPIENTRY void
epoxy_glGetActiveUniform_rewrite_stub(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveUniform = epoxy_glGetActiveUniform_resolver();

    dispatch_table->pglGetActiveUniform(program, index, bufSize, length, size, type, name);
}

static GLAPIENTRY void
epoxy_glGetActiveUniformBlockName_rewrite_stub(GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformBlockName)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveUniformBlockName = epoxy_glGetActiveUniformBlockName_resolver();

    dispatch_table->pglGetActiveUniformBlockName(program, uniformBlockIndex, bufSize, length, uniformBlockName);
}

static GLAPIENTRY void
epoxy_glGetActiveUniformBlockiv_rewrite_stub(GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveUniformBlockiv = epoxy_glGetActiveUniformBlockiv_resolver();

    dispatch_table->pglGetActiveUniformBlockiv(program, uniformBlockIndex, pname, params);
}

static GLAPIENTRY void
epoxy_glGetActiveUniformName_rewrite_stub(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveUniformName = epoxy_glGetActiveUniformName_resolver();

    dispatch_table->pglGetActiveUniformName(program, uniformIndex, bufSize, length, uniformName);
}

static GLAPIENTRY void
epoxy_glGetActiveUniformsiv_rewrite_stub(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveUniformsiv = epoxy_glGetActiveUniformsiv_resolver();

    dispatch_table->pglGetActiveUniformsiv(program, uniformCount, uniformIndices, pname, params);
}

static GLAPIENTRY void
epoxy_glGetActiveVaryingNV_rewrite_stub(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveVaryingNV = epoxy_glGetActiveVaryingNV_resolver();

    dispatch_table->pglGetActiveVaryingNV(program, index, bufSize, length, size, type, name);
}

static GLAPIENTRY void
epoxy_glGetArrayObjectfvATI_rewrite_stub(GLenum array, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetArrayObjectfvATI = epoxy_glGetArrayObjectfvATI_resolver();

    dispatch_table->pglGetArrayObjectfvATI(array, pname, params);
}

static GLAPIENTRY void
epoxy_glGetArrayObjectivATI_rewrite_stub(GLenum array, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetArrayObjectivATI = epoxy_glGetArrayObjectivATI_resolver();

    dispatch_table->pglGetArrayObjectivATI(array, pname, params);
}

static GLAPIENTRY void
epoxy_glGetAttachedObjectsARB_rewrite_stub(GLhandleARB containerObj, GLsizei maxCount, GLsizei * count, GLhandleARB * obj)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetAttachedObjectsARB = epoxy_glGetAttachedObjectsARB_resolver();

    dispatch_table->pglGetAttachedObjectsARB((uintptr_t)containerObj, maxCount, count, obj);
}

static GLAPIENTRY void
epoxy_glGetAttachedShaders_rewrite_stub(GLuint program, GLsizei maxCount, GLsizei * count, GLuint * shaders)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetAttachedShaders = epoxy_glGetAttachedShaders_resolver();

    dispatch_table->pglGetAttachedShaders(program, maxCount, count, shaders);
}

static GLAPIENTRY GLint
epoxy_glGetAttribLocation_rewrite_stub(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetAttribLocation = epoxy_glGetAttribLocation_resolver();

    return dispatch_table->pglGetAttribLocation(program, name);
}

static GLAPIENTRY void
epoxy_glGetBooleani_v_rewrite_stub(GLenum target, GLuint index, GLboolean * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBooleani_v = epoxy_glGetBooleani_v_resolver();

    dispatch_table->pglGetBooleani_v(target, index, data);
}

static GLAPIENTRY void
epoxy_glGetBooleanv_rewrite_stub(GLenum pname, GLboolean * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBooleanv = epoxy_glGetBooleanv_resolver();

    dispatch_table->pglGetBooleanv(pname, data);
}

static GLAPIENTRY void
epoxy_glGetBufferParameteri64v_rewrite_stub(GLenum target, GLenum pname, GLint64 * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferParameteri64v = epoxy_glGetBufferParameteri64v_resolver();

    dispatch_table->pglGetBufferParameteri64v(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetBufferParameteriv_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferParameteriv = epoxy_glGetBufferParameteriv_resolver();

    dispatch_table->pglGetBufferParameteriv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetBufferParameterui64vNV_rewrite_stub(GLenum target, GLenum pname, GLuint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferParameterui64vNV = epoxy_glGetBufferParameterui64vNV_resolver();

    dispatch_table->pglGetBufferParameterui64vNV(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetBufferPointerv_rewrite_stub(GLenum target, GLenum pname, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferPointerv = epoxy_glGetBufferPointerv_resolver();

    dispatch_table->pglGetBufferPointerv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetBufferSubData_rewrite_stub(GLenum target, GLintptr offset, GLsizeiptr size, void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferSubData = epoxy_glGetBufferSubData_resolver();

    dispatch_table->pglGetBufferSubData(target, offset, size, data);
}

static GLAPIENTRY void
epoxy_glGetClipPlane_rewrite_stub(GLenum plane, GLdouble * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetClipPlane = epoxy_glGetClipPlane_resolver();

    dispatch_table->pglGetClipPlane(plane, equation);
}

static GLAPIENTRY void
epoxy_glGetClipPlanef_rewrite_stub(GLenum plane, GLfloat * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetClipPlanef = epoxy_glGetClipPlanef_resolver();

    dispatch_table->pglGetClipPlanef(plane, equation);
}

static GLAPIENTRY void
epoxy_glGetClipPlanefOES_rewrite_stub(GLenum plane, GLfloat * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetClipPlanefOES = epoxy_glGetClipPlanefOES_resolver();

    dispatch_table->pglGetClipPlanefOES(plane, equation);
}

static GLAPIENTRY void
epoxy_glGetClipPlanex_rewrite_stub(GLenum plane, GLfixed * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetClipPlanex = epoxy_glGetClipPlanex_resolver();

    dispatch_table->pglGetClipPlanex(plane, equation);
}

static GLAPIENTRY void
epoxy_glGetClipPlanexOES_rewrite_stub(GLenum plane, GLfixed * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetClipPlanexOES = epoxy_glGetClipPlanexOES_resolver();

    dispatch_table->pglGetClipPlanexOES(plane, equation);
}

static GLAPIENTRY void
epoxy_glGetColorTable_rewrite_stub(GLenum target, GLenum format, GLenum type, void * table)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTable = epoxy_glGetColorTable_resolver();

    dispatch_table->pglGetColorTable(target, format, type, table);
}

static GLAPIENTRY void
epoxy_glGetColorTableParameterfv_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTableParameterfv = epoxy_glGetColorTableParameterfv_resolver();

    dispatch_table->pglGetColorTableParameterfv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetColorTableParameterfvSGI_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTableParameterfvSGI = epoxy_glGetColorTableParameterfvSGI_resolver();

    dispatch_table->pglGetColorTableParameterfvSGI(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetColorTableParameteriv_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTableParameteriv = epoxy_glGetColorTableParameteriv_resolver();

    dispatch_table->pglGetColorTableParameteriv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetColorTableParameterivSGI_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTableParameterivSGI = epoxy_glGetColorTableParameterivSGI_resolver();

    dispatch_table->pglGetColorTableParameterivSGI(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetColorTableSGI_rewrite_stub(GLenum target, GLenum format, GLenum type, void * table)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTableSGI = epoxy_glGetColorTableSGI_resolver();

    dispatch_table->pglGetColorTableSGI(target, format, type, table);
}

static GLAPIENTRY void
epoxy_glGetCombinerInputParameterfvNV_rewrite_stub(GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCombinerInputParameterfvNV = epoxy_glGetCombinerInputParameterfvNV_resolver();

    dispatch_table->pglGetCombinerInputParameterfvNV(stage, portion, variable, pname, params);
}

static GLAPIENTRY void
epoxy_glGetCombinerInputParameterivNV_rewrite_stub(GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCombinerInputParameterivNV = epoxy_glGetCombinerInputParameterivNV_resolver();

    dispatch_table->pglGetCombinerInputParameterivNV(stage, portion, variable, pname, params);
}

static GLAPIENTRY void
epoxy_glGetCombinerOutputParameterfvNV_rewrite_stub(GLenum stage, GLenum portion, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCombinerOutputParameterfvNV = epoxy_glGetCombinerOutputParameterfvNV_resolver();

    dispatch_table->pglGetCombinerOutputParameterfvNV(stage, portion, pname, params);
}

static GLAPIENTRY void
epoxy_glGetCombinerOutputParameterivNV_rewrite_stub(GLenum stage, GLenum portion, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCombinerOutputParameterivNV = epoxy_glGetCombinerOutputParameterivNV_resolver();

    dispatch_table->pglGetCombinerOutputParameterivNV(stage, portion, pname, params);
}

static GLAPIENTRY void
epoxy_glGetCombinerStageParameterfvNV_rewrite_stub(GLenum stage, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCombinerStageParameterfvNV = epoxy_glGetCombinerStageParameterfvNV_resolver();

    dispatch_table->pglGetCombinerStageParameterfvNV(stage, pname, params);
}

static GLAPIENTRY void
epoxy_glGetCompressedMultiTexImageEXT_rewrite_stub(GLenum texunit, GLenum target, GLint lod, void * img)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCompressedMultiTexImageEXT = epoxy_glGetCompressedMultiTexImageEXT_resolver();

    dispatch_table->pglGetCompressedMultiTexImageEXT(texunit, target, lod, img);
}

static GLAPIENTRY void
epoxy_glGetCompressedTexImage_rewrite_stub(GLenum target, GLint level, void * img)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCompressedTexImage = epoxy_glGetCompressedTexImage_resolver();

    dispatch_table->pglGetCompressedTexImage(target, level, img);
}

static GLAPIENTRY void
epoxy_glGetCompressedTextureImageEXT_rewrite_stub(GLuint texture, GLenum target, GLint lod, void * img)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCompressedTextureImageEXT = epoxy_glGetCompressedTextureImageEXT_resolver();

    dispatch_table->pglGetCompressedTextureImageEXT(texture, target, lod, img);
}

static GLAPIENTRY void
epoxy_glGetConvolutionFilter_rewrite_stub(GLenum target, GLenum format, GLenum type, void * image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionFilter = epoxy_glGetConvolutionFilter_resolver();

    dispatch_table->pglGetConvolutionFilter(target, format, type, image);
}

static GLAPIENTRY void
epoxy_glGetConvolutionFilterEXT_rewrite_stub(GLenum target, GLenum format, GLenum type, void * image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionFilterEXT = epoxy_glGetConvolutionFilterEXT_resolver();

    dispatch_table->pglGetConvolutionFilterEXT(target, format, type, image);
}

static GLAPIENTRY void
epoxy_glGetConvolutionParameterfv_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionParameterfv = epoxy_glGetConvolutionParameterfv_resolver();

    dispatch_table->pglGetConvolutionParameterfv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetConvolutionParameterfvEXT_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionParameterfvEXT = epoxy_glGetConvolutionParameterfvEXT_resolver();

    dispatch_table->pglGetConvolutionParameterfvEXT(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetConvolutionParameteriv_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionParameteriv = epoxy_glGetConvolutionParameteriv_resolver();

    dispatch_table->pglGetConvolutionParameteriv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetConvolutionParameterivEXT_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionParameterivEXT = epoxy_glGetConvolutionParameterivEXT_resolver();

    dispatch_table->pglGetConvolutionParameterivEXT(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetConvolutionParameterxvOES_rewrite_stub(GLenum target, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionParameterxvOES = epoxy_glGetConvolutionParameterxvOES_resolver();

    dispatch_table->pglGetConvolutionParameterxvOES(target, pname, params);
}

static GLAPIENTRY GLuint
epoxy_glGetDebugMessageLog_rewrite_stub(GLuint count, GLsizei bufSize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDebugMessageLog = epoxy_glGetDebugMessageLog_resolver();

    return dispatch_table->pglGetDebugMessageLog(count, bufSize, sources, types, ids, severities, lengths, messageLog);
}

static GLAPIENTRY GLuint
epoxy_glGetDebugMessageLogAMD_rewrite_stub(GLuint count, GLsizei bufsize, GLenum * categories, GLuint * severities, GLuint * ids, GLsizei * lengths, GLchar * message)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDebugMessageLogAMD = epoxy_glGetDebugMessageLogAMD_resolver();

    return dispatch_table->pglGetDebugMessageLogAMD(count, bufsize, categories, severities, ids, lengths, message);
}

static GLAPIENTRY void
epoxy_glGetDetailTexFuncSGIS_rewrite_stub(GLenum target, GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDetailTexFuncSGIS = epoxy_glGetDetailTexFuncSGIS_resolver();

    dispatch_table->pglGetDetailTexFuncSGIS(target, points);
}

static GLAPIENTRY void
epoxy_glGetDoublei_v_rewrite_stub(GLenum target, GLuint index, GLdouble * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDoublei_v = epoxy_glGetDoublei_v_resolver();

    dispatch_table->pglGetDoublei_v(target, index, data);
}

static GLAPIENTRY void
epoxy_glGetDoublev_rewrite_stub(GLenum pname, GLdouble * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDoublev = epoxy_glGetDoublev_resolver();

    dispatch_table->pglGetDoublev(pname, data);
}

static GLAPIENTRY void
epoxy_glGetDriverControlStringQCOM_rewrite_stub(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDriverControlStringQCOM = epoxy_glGetDriverControlStringQCOM_resolver();

    dispatch_table->pglGetDriverControlStringQCOM(driverControl, bufSize, length, driverControlString);
}

static GLAPIENTRY void
epoxy_glGetDriverControlsQCOM_rewrite_stub(GLint * num, GLsizei size, GLuint * driverControls)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDriverControlsQCOM = epoxy_glGetDriverControlsQCOM_resolver();

    dispatch_table->pglGetDriverControlsQCOM(num, size, driverControls);
}

static GLAPIENTRY GLenum
epoxy_glGetError_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetError = epoxy_glGetError_resolver();

    return dispatch_table->pglGetError();
}

static GLAPIENTRY void
epoxy_glGetFenceivNV_rewrite_stub(GLuint fence, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFenceivNV = epoxy_glGetFenceivNV_resolver();

    dispatch_table->pglGetFenceivNV(fence, pname, params);
}

static GLAPIENTRY void
epoxy_glGetFinalCombinerInputParameterfvNV_rewrite_stub(GLenum variable, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFinalCombinerInputParameterfvNV = epoxy_glGetFinalCombinerInputParameterfvNV_resolver();

    dispatch_table->pglGetFinalCombinerInputParameterfvNV(variable, pname, params);
}

static GLAPIENTRY void
epoxy_glGetFinalCombinerInputParameterivNV_rewrite_stub(GLenum variable, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFinalCombinerInputParameterivNV = epoxy_glGetFinalCombinerInputParameterivNV_resolver();

    dispatch_table->pglGetFinalCombinerInputParameterivNV(variable, pname, params);
}

static GLAPIENTRY void
epoxy_glGetFirstPerfQueryIdINTEL_rewrite_stub(GLuint * queryId)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFirstPerfQueryIdINTEL = epoxy_glGetFirstPerfQueryIdINTEL_resolver();

    dispatch_table->pglGetFirstPerfQueryIdINTEL(queryId);
}

static GLAPIENTRY void
epoxy_glGetFixedv_rewrite_stub(GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFixedv = epoxy_glGetFixedv_resolver();

    dispatch_table->pglGetFixedv(pname, params);
}

static GLAPIENTRY void
epoxy_glGetFixedvOES_rewrite_stub(GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFixedvOES = epoxy_glGetFixedvOES_resolver();

    dispatch_table->pglGetFixedvOES(pname, params);
}

static GLAPIENTRY void
epoxy_glGetFloati_v_rewrite_stub(GLenum target, GLuint index, GLfloat * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFloati_v = epoxy_glGetFloati_v_resolver();

    dispatch_table->pglGetFloati_v(target, index, data);
}

static GLAPIENTRY void
epoxy_glGetFloatv_rewrite_stub(GLenum pname, GLfloat * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFloatv = epoxy_glGetFloatv_resolver();

    dispatch_table->pglGetFloatv(pname, data);
}

static GLAPIENTRY void
epoxy_glGetFogFuncSGIS_rewrite_stub(GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFogFuncSGIS = epoxy_glGetFogFuncSGIS_resolver();

    dispatch_table->pglGetFogFuncSGIS(points);
}

static GLAPIENTRY GLint
epoxy_glGetFragDataIndex_rewrite_stub(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFragDataIndex = epoxy_glGetFragDataIndex_resolver();

    return dispatch_table->pglGetFragDataIndex(program, name);
}

static GLAPIENTRY GLint
epoxy_glGetFragDataLocation_rewrite_stub(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFragDataLocation = epoxy_glGetFragDataLocation_resolver();

    return dispatch_table->pglGetFragDataLocation(program, name);
}

static GLAPIENTRY void
epoxy_glGetFragmentLightfvSGIX_rewrite_stub(GLenum light, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFragmentLightfvSGIX = epoxy_glGetFragmentLightfvSGIX_resolver();

    dispatch_table->pglGetFragmentLightfvSGIX(light, pname, params);
}

static GLAPIENTRY void
epoxy_glGetFragmentLightivSGIX_rewrite_stub(GLenum light, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFragmentLightivSGIX = epoxy_glGetFragmentLightivSGIX_resolver();

    dispatch_table->pglGetFragmentLightivSGIX(light, pname, params);
}

static GLAPIENTRY void
epoxy_glGetFragmentMaterialfvSGIX_rewrite_stub(GLenum face, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFragmentMaterialfvSGIX = epoxy_glGetFragmentMaterialfvSGIX_resolver();

    dispatch_table->pglGetFragmentMaterialfvSGIX(face, pname, params);
}

static GLAPIENTRY void
epoxy_glGetFragmentMaterialivSGIX_rewrite_stub(GLenum face, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFragmentMaterialivSGIX = epoxy_glGetFragmentMaterialivSGIX_resolver();

    dispatch_table->pglGetFragmentMaterialivSGIX(face, pname, params);
}

static GLAPIENTRY void
epoxy_glGetFramebufferAttachmentParameteriv_rewrite_stub(GLenum target, GLenum attachment, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFramebufferAttachmentParameteriv = epoxy_glGetFramebufferAttachmentParameteriv_resolver();

    dispatch_table->pglGetFramebufferAttachmentParameteriv(target, attachment, pname, params);
}

static GLAPIENTRY void
epoxy_glGetFramebufferAttachmentParameterivOES_rewrite_stub(GLenum target, GLenum attachment, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFramebufferAttachmentParameterivOES = epoxy_glGetFramebufferAttachmentParameterivOES_resolver();

    dispatch_table->pglGetFramebufferAttachmentParameterivOES(target, attachment, pname, params);
}

static GLAPIENTRY void
epoxy_glGetFramebufferParameteriv_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFramebufferParameteriv = epoxy_glGetFramebufferParameteriv_resolver();

    dispatch_table->pglGetFramebufferParameteriv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetFramebufferParameterivEXT_rewrite_stub(GLuint framebuffer, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFramebufferParameterivEXT = epoxy_glGetFramebufferParameterivEXT_resolver();

    dispatch_table->pglGetFramebufferParameterivEXT(framebuffer, pname, params);
}

static GLAPIENTRY GLenum
epoxy_glGetGraphicsResetStatusARB_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetGraphicsResetStatusARB = epoxy_glGetGraphicsResetStatusARB_resolver();

    return dispatch_table->pglGetGraphicsResetStatusARB();
}

static GLAPIENTRY GLenum
epoxy_glGetGraphicsResetStatusEXT_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetGraphicsResetStatusEXT = epoxy_glGetGraphicsResetStatusEXT_resolver();

    return dispatch_table->pglGetGraphicsResetStatusEXT();
}

static GLAPIENTRY GLhandleARB
epoxy_glGetHandleARB_rewrite_stub(GLenum pname)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHandleARB = epoxy_glGetHandleARB_resolver();

    return dispatch_table->pglGetHandleARB(pname);
}

static GLAPIENTRY void
epoxy_glGetHistogram_rewrite_stub(GLenum target, GLboolean reset, GLenum format, GLenum type, void * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogram = epoxy_glGetHistogram_resolver();

    dispatch_table->pglGetHistogram(target, reset, format, type, values);
}

static GLAPIENTRY void
epoxy_glGetHistogramEXT_rewrite_stub(GLenum target, GLboolean reset, GLenum format, GLenum type, void * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogramEXT = epoxy_glGetHistogramEXT_resolver();

    dispatch_table->pglGetHistogramEXT(target, reset, format, type, values);
}

static GLAPIENTRY void
epoxy_glGetHistogramParameterfv_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogramParameterfv = epoxy_glGetHistogramParameterfv_resolver();

    dispatch_table->pglGetHistogramParameterfv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetHistogramParameterfvEXT_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogramParameterfvEXT = epoxy_glGetHistogramParameterfvEXT_resolver();

    dispatch_table->pglGetHistogramParameterfvEXT(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetHistogramParameteriv_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogramParameteriv = epoxy_glGetHistogramParameteriv_resolver();

    dispatch_table->pglGetHistogramParameteriv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetHistogramParameterivEXT_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogramParameterivEXT = epoxy_glGetHistogramParameterivEXT_resolver();

    dispatch_table->pglGetHistogramParameterivEXT(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetHistogramParameterxvOES_rewrite_stub(GLenum target, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogramParameterxvOES = epoxy_glGetHistogramParameterxvOES_resolver();

    dispatch_table->pglGetHistogramParameterxvOES(target, pname, params);
}

static GLAPIENTRY GLuint64
epoxy_glGetImageHandleARB_rewrite_stub(GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetImageHandleARB = epoxy_glGetImageHandleARB_resolver();

    return dispatch_table->pglGetImageHandleARB(texture, level, layered, layer, format);
}

static GLAPIENTRY GLuint64
epoxy_glGetImageHandleNV_rewrite_stub(GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetImageHandleNV = epoxy_glGetImageHandleNV_resolver();

    return dispatch_table->pglGetImageHandleNV(texture, level, layered, layer, format);
}

static GLAPIENTRY void
epoxy_glGetImageTransformParameterfvHP_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetImageTransformParameterfvHP = epoxy_glGetImageTransformParameterfvHP_resolver();

    dispatch_table->pglGetImageTransformParameterfvHP(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetImageTransformParameterivHP_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetImageTransformParameterivHP = epoxy_glGetImageTransformParameterivHP_resolver();

    dispatch_table->pglGetImageTransformParameterivHP(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetInfoLogARB_rewrite_stub(GLhandleARB obj, GLsizei maxLength, GLsizei * length, GLcharARB * infoLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInfoLogARB = epoxy_glGetInfoLogARB_resolver();

    dispatch_table->pglGetInfoLogARB((uintptr_t)obj, maxLength, length, infoLog);
}

static GLAPIENTRY GLint
epoxy_glGetInstrumentsSGIX_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInstrumentsSGIX = epoxy_glGetInstrumentsSGIX_resolver();

    return dispatch_table->pglGetInstrumentsSGIX();
}

static GLAPIENTRY void
epoxy_glGetInteger64i_v_rewrite_stub(GLenum target, GLuint index, GLint64 * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInteger64i_v = epoxy_glGetInteger64i_v_resolver();

    dispatch_table->pglGetInteger64i_v(target, index, data);
}

static GLAPIENTRY void
epoxy_glGetInteger64v_rewrite_stub(GLenum pname, GLint64 * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInteger64v = epoxy_glGetInteger64v_resolver();

    dispatch_table->pglGetInteger64v(pname, data);
}

static GLAPIENTRY void
epoxy_glGetIntegeri_v_rewrite_stub(GLenum target, GLuint index, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetIntegeri_v = epoxy_glGetIntegeri_v_resolver();

    dispatch_table->pglGetIntegeri_v(target, index, data);
}

static GLAPIENTRY void
epoxy_glGetIntegeri_vEXT_rewrite_stub(GLenum target, GLuint index, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetIntegeri_vEXT = epoxy_glGetIntegeri_vEXT_resolver();

    dispatch_table->pglGetIntegeri_vEXT(target, index, data);
}

static GLAPIENTRY void
epoxy_glGetIntegerui64i_vNV_rewrite_stub(GLenum value, GLuint index, GLuint64EXT * result)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetIntegerui64i_vNV = epoxy_glGetIntegerui64i_vNV_resolver();

    dispatch_table->pglGetIntegerui64i_vNV(value, index, result);
}

static GLAPIENTRY void
epoxy_glGetIntegerui64vNV_rewrite_stub(GLenum value, GLuint64EXT * result)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetIntegerui64vNV = epoxy_glGetIntegerui64vNV_resolver();

    dispatch_table->pglGetIntegerui64vNV(value, result);
}

static GLAPIENTRY void
epoxy_glGetIntegerv_rewrite_stub(GLenum pname, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetIntegerv = epoxy_glGetIntegerv_resolver();

    dispatch_table->pglGetIntegerv(pname, data);
}

static GLAPIENTRY void
epoxy_glGetInternalformati64v_rewrite_stub(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint64 * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInternalformati64v = epoxy_glGetInternalformati64v_resolver();

    dispatch_table->pglGetInternalformati64v(target, internalformat, pname, bufSize, params);
}

static GLAPIENTRY void
epoxy_glGetInternalformativ_rewrite_stub(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInternalformativ = epoxy_glGetInternalformativ_resolver();

    dispatch_table->pglGetInternalformativ(target, internalformat, pname, bufSize, params);
}

static GLAPIENTRY void
epoxy_glGetInvariantBooleanvEXT_rewrite_stub(GLuint id, GLenum value, GLboolean * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInvariantBooleanvEXT = epoxy_glGetInvariantBooleanvEXT_resolver();

    dispatch_table->pglGetInvariantBooleanvEXT(id, value, data);
}

static GLAPIENTRY void
epoxy_glGetInvariantFloatvEXT_rewrite_stub(GLuint id, GLenum value, GLfloat * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInvariantFloatvEXT = epoxy_glGetInvariantFloatvEXT_resolver();

    dispatch_table->pglGetInvariantFloatvEXT(id, value, data);
}

static GLAPIENTRY void
epoxy_glGetInvariantIntegervEXT_rewrite_stub(GLuint id, GLenum value, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInvariantIntegervEXT = epoxy_glGetInvariantIntegervEXT_resolver();

    dispatch_table->pglGetInvariantIntegervEXT(id, value, data);
}

static GLAPIENTRY void
epoxy_glGetLightfv_rewrite_stub(GLenum light, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLightfv = epoxy_glGetLightfv_resolver();

    dispatch_table->pglGetLightfv(light, pname, params);
}

static GLAPIENTRY void
epoxy_glGetLightiv_rewrite_stub(GLenum light, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLightiv = epoxy_glGetLightiv_resolver();

    dispatch_table->pglGetLightiv(light, pname, params);
}

static GLAPIENTRY void
epoxy_glGetLightxOES_rewrite_stub(GLenum light, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLightxOES = epoxy_glGetLightxOES_resolver();

    dispatch_table->pglGetLightxOES(light, pname, params);
}

static GLAPIENTRY void
epoxy_glGetLightxv_rewrite_stub(GLenum light, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLightxv = epoxy_glGetLightxv_resolver();

    dispatch_table->pglGetLightxv(light, pname, params);
}

static GLAPIENTRY void
epoxy_glGetLightxvOES_rewrite_stub(GLenum light, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLightxvOES = epoxy_glGetLightxvOES_resolver();

    dispatch_table->pglGetLightxvOES(light, pname, params);
}

static GLAPIENTRY void
epoxy_glGetListParameterfvSGIX_rewrite_stub(GLuint list, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetListParameterfvSGIX = epoxy_glGetListParameterfvSGIX_resolver();

    dispatch_table->pglGetListParameterfvSGIX(list, pname, params);
}

static GLAPIENTRY void
epoxy_glGetListParameterivSGIX_rewrite_stub(GLuint list, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetListParameterivSGIX = epoxy_glGetListParameterivSGIX_resolver();

    dispatch_table->pglGetListParameterivSGIX(list, pname, params);
}

static GLAPIENTRY void
epoxy_glGetLocalConstantBooleanvEXT_rewrite_stub(GLuint id, GLenum value, GLboolean * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLocalConstantBooleanvEXT = epoxy_glGetLocalConstantBooleanvEXT_resolver();

    dispatch_table->pglGetLocalConstantBooleanvEXT(id, value, data);
}

static GLAPIENTRY void
epoxy_glGetLocalConstantFloatvEXT_rewrite_stub(GLuint id, GLenum value, GLfloat * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLocalConstantFloatvEXT = epoxy_glGetLocalConstantFloatvEXT_resolver();

    dispatch_table->pglGetLocalConstantFloatvEXT(id, value, data);
}

static GLAPIENTRY void
epoxy_glGetLocalConstantIntegervEXT_rewrite_stub(GLuint id, GLenum value, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLocalConstantIntegervEXT = epoxy_glGetLocalConstantIntegervEXT_resolver();

    dispatch_table->pglGetLocalConstantIntegervEXT(id, value, data);
}

static GLAPIENTRY void
epoxy_glGetMapAttribParameterfvNV_rewrite_stub(GLenum target, GLuint index, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapAttribParameterfvNV = epoxy_glGetMapAttribParameterfvNV_resolver();

    dispatch_table->pglGetMapAttribParameterfvNV(target, index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMapAttribParameterivNV_rewrite_stub(GLenum target, GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapAttribParameterivNV = epoxy_glGetMapAttribParameterivNV_resolver();

    dispatch_table->pglGetMapAttribParameterivNV(target, index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMapControlPointsNV_rewrite_stub(GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLboolean packed, void * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapControlPointsNV = epoxy_glGetMapControlPointsNV_resolver();

    dispatch_table->pglGetMapControlPointsNV(target, index, type, ustride, vstride, packed, points);
}

static GLAPIENTRY void
epoxy_glGetMapParameterfvNV_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapParameterfvNV = epoxy_glGetMapParameterfvNV_resolver();

    dispatch_table->pglGetMapParameterfvNV(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMapParameterivNV_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapParameterivNV = epoxy_glGetMapParameterivNV_resolver();

    dispatch_table->pglGetMapParameterivNV(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMapdv_rewrite_stub(GLenum target, GLenum query, GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapdv = epoxy_glGetMapdv_resolver();

    dispatch_table->pglGetMapdv(target, query, v);
}

static GLAPIENTRY void
epoxy_glGetMapfv_rewrite_stub(GLenum target, GLenum query, GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapfv = epoxy_glGetMapfv_resolver();

    dispatch_table->pglGetMapfv(target, query, v);
}

static GLAPIENTRY void
epoxy_glGetMapiv_rewrite_stub(GLenum target, GLenum query, GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapiv = epoxy_glGetMapiv_resolver();

    dispatch_table->pglGetMapiv(target, query, v);
}

static GLAPIENTRY void
epoxy_glGetMapxvOES_rewrite_stub(GLenum target, GLenum query, GLfixed * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapxvOES = epoxy_glGetMapxvOES_resolver();

    dispatch_table->pglGetMapxvOES(target, query, v);
}

static GLAPIENTRY void
epoxy_glGetMaterialfv_rewrite_stub(GLenum face, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMaterialfv = epoxy_glGetMaterialfv_resolver();

    dispatch_table->pglGetMaterialfv(face, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMaterialiv_rewrite_stub(GLenum face, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMaterialiv = epoxy_glGetMaterialiv_resolver();

    dispatch_table->pglGetMaterialiv(face, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMaterialxOES_rewrite_stub(GLenum face, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMaterialxOES = epoxy_glGetMaterialxOES_resolver();

    dispatch_table->pglGetMaterialxOES(face, pname, param);
}

static GLAPIENTRY void
epoxy_glGetMaterialxv_rewrite_stub(GLenum face, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMaterialxv = epoxy_glGetMaterialxv_resolver();

    dispatch_table->pglGetMaterialxv(face, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMaterialxvOES_rewrite_stub(GLenum face, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMaterialxvOES = epoxy_glGetMaterialxvOES_resolver();

    dispatch_table->pglGetMaterialxvOES(face, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMinmax_rewrite_stub(GLenum target, GLboolean reset, GLenum format, GLenum type, void * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMinmax = epoxy_glGetMinmax_resolver();

    dispatch_table->pglGetMinmax(target, reset, format, type, values);
}

static GLAPIENTRY void
epoxy_glGetMinmaxEXT_rewrite_stub(GLenum target, GLboolean reset, GLenum format, GLenum type, void * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMinmaxEXT = epoxy_glGetMinmaxEXT_resolver();

    dispatch_table->pglGetMinmaxEXT(target, reset, format, type, values);
}

static GLAPIENTRY void
epoxy_glGetMinmaxParameterfv_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMinmaxParameterfv = epoxy_glGetMinmaxParameterfv_resolver();

    dispatch_table->pglGetMinmaxParameterfv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMinmaxParameterfvEXT_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMinmaxParameterfvEXT = epoxy_glGetMinmaxParameterfvEXT_resolver();

    dispatch_table->pglGetMinmaxParameterfvEXT(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMinmaxParameteriv_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMinmaxParameteriv = epoxy_glGetMinmaxParameteriv_resolver();

    dispatch_table->pglGetMinmaxParameteriv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMinmaxParameterivEXT_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMinmaxParameterivEXT = epoxy_glGetMinmaxParameterivEXT_resolver();

    dispatch_table->pglGetMinmaxParameterivEXT(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMultiTexEnvfvEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexEnvfvEXT = epoxy_glGetMultiTexEnvfvEXT_resolver();

    dispatch_table->pglGetMultiTexEnvfvEXT(texunit, target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMultiTexEnvivEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexEnvivEXT = epoxy_glGetMultiTexEnvivEXT_resolver();

    dispatch_table->pglGetMultiTexEnvivEXT(texunit, target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMultiTexGendvEXT_rewrite_stub(GLenum texunit, GLenum coord, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexGendvEXT = epoxy_glGetMultiTexGendvEXT_resolver();

    dispatch_table->pglGetMultiTexGendvEXT(texunit, coord, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMultiTexGenfvEXT_rewrite_stub(GLenum texunit, GLenum coord, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexGenfvEXT = epoxy_glGetMultiTexGenfvEXT_resolver();

    dispatch_table->pglGetMultiTexGenfvEXT(texunit, coord, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMultiTexGenivEXT_rewrite_stub(GLenum texunit, GLenum coord, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexGenivEXT = epoxy_glGetMultiTexGenivEXT_resolver();

    dispatch_table->pglGetMultiTexGenivEXT(texunit, coord, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMultiTexImageEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLenum format, GLenum type, void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexImageEXT = epoxy_glGetMultiTexImageEXT_resolver();

    dispatch_table->pglGetMultiTexImageEXT(texunit, target, level, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glGetMultiTexLevelParameterfvEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexLevelParameterfvEXT = epoxy_glGetMultiTexLevelParameterfvEXT_resolver();

    dispatch_table->pglGetMultiTexLevelParameterfvEXT(texunit, target, level, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMultiTexLevelParameterivEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexLevelParameterivEXT = epoxy_glGetMultiTexLevelParameterivEXT_resolver();

    dispatch_table->pglGetMultiTexLevelParameterivEXT(texunit, target, level, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMultiTexParameterIivEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexParameterIivEXT = epoxy_glGetMultiTexParameterIivEXT_resolver();

    dispatch_table->pglGetMultiTexParameterIivEXT(texunit, target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMultiTexParameterIuivEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexParameterIuivEXT = epoxy_glGetMultiTexParameterIuivEXT_resolver();

    dispatch_table->pglGetMultiTexParameterIuivEXT(texunit, target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMultiTexParameterfvEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexParameterfvEXT = epoxy_glGetMultiTexParameterfvEXT_resolver();

    dispatch_table->pglGetMultiTexParameterfvEXT(texunit, target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMultiTexParameterivEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexParameterivEXT = epoxy_glGetMultiTexParameterivEXT_resolver();

    dispatch_table->pglGetMultiTexParameterivEXT(texunit, target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetMultisamplefv_rewrite_stub(GLenum pname, GLuint index, GLfloat * val)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultisamplefv = epoxy_glGetMultisamplefv_resolver();

    dispatch_table->pglGetMultisamplefv(pname, index, val);
}

static GLAPIENTRY void
epoxy_glGetNamedBufferParameterivEXT_rewrite_stub(GLuint buffer, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedBufferParameterivEXT = epoxy_glGetNamedBufferParameterivEXT_resolver();

    dispatch_table->pglGetNamedBufferParameterivEXT(buffer, pname, params);
}

static GLAPIENTRY void
epoxy_glGetNamedBufferParameterui64vNV_rewrite_stub(GLuint buffer, GLenum pname, GLuint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedBufferParameterui64vNV = epoxy_glGetNamedBufferParameterui64vNV_resolver();

    dispatch_table->pglGetNamedBufferParameterui64vNV(buffer, pname, params);
}

static GLAPIENTRY void
epoxy_glGetNamedBufferPointervEXT_rewrite_stub(GLuint buffer, GLenum pname, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedBufferPointervEXT = epoxy_glGetNamedBufferPointervEXT_resolver();

    dispatch_table->pglGetNamedBufferPointervEXT(buffer, pname, params);
}

static GLAPIENTRY void
epoxy_glGetNamedBufferSubDataEXT_rewrite_stub(GLuint buffer, GLintptr offset, GLsizeiptr size, void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedBufferSubDataEXT = epoxy_glGetNamedBufferSubDataEXT_resolver();

    dispatch_table->pglGetNamedBufferSubDataEXT(buffer, offset, size, data);
}

static GLAPIENTRY void
epoxy_glGetNamedFramebufferAttachmentParameterivEXT_rewrite_stub(GLuint framebuffer, GLenum attachment, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedFramebufferAttachmentParameterivEXT = epoxy_glGetNamedFramebufferAttachmentParameterivEXT_resolver();

    dispatch_table->pglGetNamedFramebufferAttachmentParameterivEXT(framebuffer, attachment, pname, params);
}

static GLAPIENTRY void
epoxy_glGetNamedFramebufferParameterivEXT_rewrite_stub(GLuint framebuffer, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedFramebufferParameterivEXT = epoxy_glGetNamedFramebufferParameterivEXT_resolver();

    dispatch_table->pglGetNamedFramebufferParameterivEXT(framebuffer, pname, params);
}

static GLAPIENTRY void
epoxy_glGetNamedProgramLocalParameterIivEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedProgramLocalParameterIivEXT = epoxy_glGetNamedProgramLocalParameterIivEXT_resolver();

    dispatch_table->pglGetNamedProgramLocalParameterIivEXT(program, target, index, params);
}

static GLAPIENTRY void
epoxy_glGetNamedProgramLocalParameterIuivEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedProgramLocalParameterIuivEXT = epoxy_glGetNamedProgramLocalParameterIuivEXT_resolver();

    dispatch_table->pglGetNamedProgramLocalParameterIuivEXT(program, target, index, params);
}

static GLAPIENTRY void
epoxy_glGetNamedProgramLocalParameterdvEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedProgramLocalParameterdvEXT = epoxy_glGetNamedProgramLocalParameterdvEXT_resolver();

    dispatch_table->pglGetNamedProgramLocalParameterdvEXT(program, target, index, params);
}

static GLAPIENTRY void
epoxy_glGetNamedProgramLocalParameterfvEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedProgramLocalParameterfvEXT = epoxy_glGetNamedProgramLocalParameterfvEXT_resolver();

    dispatch_table->pglGetNamedProgramLocalParameterfvEXT(program, target, index, params);
}

static GLAPIENTRY void
epoxy_glGetNamedProgramStringEXT_rewrite_stub(GLuint program, GLenum target, GLenum pname, void * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedProgramStringEXT = epoxy_glGetNamedProgramStringEXT_resolver();

    dispatch_table->pglGetNamedProgramStringEXT(program, target, pname, string);
}

static GLAPIENTRY void
epoxy_glGetNamedProgramivEXT_rewrite_stub(GLuint program, GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedProgramivEXT = epoxy_glGetNamedProgramivEXT_resolver();

    dispatch_table->pglGetNamedProgramivEXT(program, target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetNamedRenderbufferParameterivEXT_rewrite_stub(GLuint renderbuffer, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedRenderbufferParameterivEXT = epoxy_glGetNamedRenderbufferParameterivEXT_resolver();

    dispatch_table->pglGetNamedRenderbufferParameterivEXT(renderbuffer, pname, params);
}

static GLAPIENTRY void
epoxy_glGetNamedStringARB_rewrite_stub(GLint namelen, const GLchar * name, GLsizei bufSize, GLint * stringlen, GLchar * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedStringARB = epoxy_glGetNamedStringARB_resolver();

    dispatch_table->pglGetNamedStringARB(namelen, name, bufSize, stringlen, string);
}

static GLAPIENTRY void
epoxy_glGetNamedStringivARB_rewrite_stub(GLint namelen, const GLchar * name, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedStringivARB = epoxy_glGetNamedStringivARB_resolver();

    dispatch_table->pglGetNamedStringivARB(namelen, name, pname, params);
}

static GLAPIENTRY void
epoxy_glGetNextPerfQueryIdINTEL_rewrite_stub(GLuint queryId, GLuint * nextQueryId)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNextPerfQueryIdINTEL = epoxy_glGetNextPerfQueryIdINTEL_resolver();

    dispatch_table->pglGetNextPerfQueryIdINTEL(queryId, nextQueryId);
}

static GLAPIENTRY void
epoxy_glGetObjectBufferfvATI_rewrite_stub(GLuint buffer, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectBufferfvATI = epoxy_glGetObjectBufferfvATI_resolver();

    dispatch_table->pglGetObjectBufferfvATI(buffer, pname, params);
}

static GLAPIENTRY void
epoxy_glGetObjectBufferivATI_rewrite_stub(GLuint buffer, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectBufferivATI = epoxy_glGetObjectBufferivATI_resolver();

    dispatch_table->pglGetObjectBufferivATI(buffer, pname, params);
}

static GLAPIENTRY void
epoxy_glGetObjectLabel_rewrite_stub(GLenum identifier, GLuint name, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectLabel = epoxy_glGetObjectLabel_resolver();

    dispatch_table->pglGetObjectLabel(identifier, name, bufSize, length, label);
}

static GLAPIENTRY void
epoxy_glGetObjectLabelEXT_rewrite_stub(GLenum type, GLuint object, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectLabelEXT = epoxy_glGetObjectLabelEXT_resolver();

    dispatch_table->pglGetObjectLabelEXT(type, object, bufSize, length, label);
}

static GLAPIENTRY void
epoxy_glGetObjectParameterfvARB_rewrite_stub(GLhandleARB obj, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectParameterfvARB = epoxy_glGetObjectParameterfvARB_resolver();

    dispatch_table->pglGetObjectParameterfvARB((uintptr_t)obj, pname, params);
}

static GLAPIENTRY void
epoxy_glGetObjectParameterivAPPLE_rewrite_stub(GLenum objectType, GLuint name, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectParameterivAPPLE = epoxy_glGetObjectParameterivAPPLE_resolver();

    dispatch_table->pglGetObjectParameterivAPPLE(objectType, name, pname, params);
}

static GLAPIENTRY void
epoxy_glGetObjectParameterivARB_rewrite_stub(GLhandleARB obj, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectParameterivARB = epoxy_glGetObjectParameterivARB_resolver();

    dispatch_table->pglGetObjectParameterivARB((uintptr_t)obj, pname, params);
}

static GLAPIENTRY void
epoxy_glGetObjectPtrLabel_rewrite_stub(const void * ptr, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectPtrLabel = epoxy_glGetObjectPtrLabel_resolver();

    dispatch_table->pglGetObjectPtrLabel(ptr, bufSize, length, label);
}

static GLAPIENTRY void
epoxy_glGetOcclusionQueryivNV_rewrite_stub(GLuint id, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetOcclusionQueryivNV = epoxy_glGetOcclusionQueryivNV_resolver();

    dispatch_table->pglGetOcclusionQueryivNV(id, pname, params);
}

static GLAPIENTRY void
epoxy_glGetOcclusionQueryuivNV_rewrite_stub(GLuint id, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetOcclusionQueryuivNV = epoxy_glGetOcclusionQueryuivNV_resolver();

    dispatch_table->pglGetOcclusionQueryuivNV(id, pname, params);
}

static GLAPIENTRY void
epoxy_glGetPathColorGenfvNV_rewrite_stub(GLenum color, GLenum pname, GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathColorGenfvNV = epoxy_glGetPathColorGenfvNV_resolver();

    dispatch_table->pglGetPathColorGenfvNV(color, pname, value);
}

static GLAPIENTRY void
epoxy_glGetPathColorGenivNV_rewrite_stub(GLenum color, GLenum pname, GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathColorGenivNV = epoxy_glGetPathColorGenivNV_resolver();

    dispatch_table->pglGetPathColorGenivNV(color, pname, value);
}

static GLAPIENTRY void
epoxy_glGetPathCommandsNV_rewrite_stub(GLuint path, GLubyte * commands)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathCommandsNV = epoxy_glGetPathCommandsNV_resolver();

    dispatch_table->pglGetPathCommandsNV(path, commands);
}

static GLAPIENTRY void
epoxy_glGetPathCoordsNV_rewrite_stub(GLuint path, GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathCoordsNV = epoxy_glGetPathCoordsNV_resolver();

    dispatch_table->pglGetPathCoordsNV(path, coords);
}

static GLAPIENTRY void
epoxy_glGetPathDashArrayNV_rewrite_stub(GLuint path, GLfloat * dashArray)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathDashArrayNV = epoxy_glGetPathDashArrayNV_resolver();

    dispatch_table->pglGetPathDashArrayNV(path, dashArray);
}

static GLAPIENTRY GLfloat
epoxy_glGetPathLengthNV_rewrite_stub(GLuint path, GLsizei startSegment, GLsizei numSegments)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathLengthNV = epoxy_glGetPathLengthNV_resolver();

    return dispatch_table->pglGetPathLengthNV(path, startSegment, numSegments);
}

static GLAPIENTRY void
epoxy_glGetPathMetricRangeNV_rewrite_stub(GLbitfield metricQueryMask, GLuint firstPathName, GLsizei numPaths, GLsizei stride, GLfloat * metrics)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathMetricRangeNV = epoxy_glGetPathMetricRangeNV_resolver();

    dispatch_table->pglGetPathMetricRangeNV(metricQueryMask, firstPathName, numPaths, stride, metrics);
}

static GLAPIENTRY void
epoxy_glGetPathMetricsNV_rewrite_stub(GLbitfield metricQueryMask, GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLsizei stride, GLfloat * metrics)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathMetricsNV = epoxy_glGetPathMetricsNV_resolver();

    dispatch_table->pglGetPathMetricsNV(metricQueryMask, numPaths, pathNameType, paths, pathBase, stride, metrics);
}

static GLAPIENTRY void
epoxy_glGetPathParameterfvNV_rewrite_stub(GLuint path, GLenum pname, GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathParameterfvNV = epoxy_glGetPathParameterfvNV_resolver();

    dispatch_table->pglGetPathParameterfvNV(path, pname, value);
}

static GLAPIENTRY void
epoxy_glGetPathParameterivNV_rewrite_stub(GLuint path, GLenum pname, GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathParameterivNV = epoxy_glGetPathParameterivNV_resolver();

    dispatch_table->pglGetPathParameterivNV(path, pname, value);
}

static GLAPIENTRY void
epoxy_glGetPathSpacingNV_rewrite_stub(GLenum pathListMode, GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLfloat advanceScale, GLfloat kerningScale, GLenum transformType, GLfloat * returnedSpacing)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathSpacingNV = epoxy_glGetPathSpacingNV_resolver();

    dispatch_table->pglGetPathSpacingNV(pathListMode, numPaths, pathNameType, paths, pathBase, advanceScale, kerningScale, transformType, returnedSpacing);
}

static GLAPIENTRY void
epoxy_glGetPathTexGenfvNV_rewrite_stub(GLenum texCoordSet, GLenum pname, GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathTexGenfvNV = epoxy_glGetPathTexGenfvNV_resolver();

    dispatch_table->pglGetPathTexGenfvNV(texCoordSet, pname, value);
}

static GLAPIENTRY void
epoxy_glGetPathTexGenivNV_rewrite_stub(GLenum texCoordSet, GLenum pname, GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathTexGenivNV = epoxy_glGetPathTexGenivNV_resolver();

    dispatch_table->pglGetPathTexGenivNV(texCoordSet, pname, value);
}

static GLAPIENTRY void
epoxy_glGetPerfCounterInfoINTEL_rewrite_stub(GLuint queryId, GLuint counterId, GLuint counterNameLength, GLchar * counterName, GLuint counterDescLength, GLchar * counterDesc, GLuint * counterOffset, GLuint * counterDataSize, GLuint * counterTypeEnum, GLuint * counterDataTypeEnum, GLuint64 * rawCounterMaxValue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfCounterInfoINTEL = epoxy_glGetPerfCounterInfoINTEL_resolver();

    dispatch_table->pglGetPerfCounterInfoINTEL(queryId, counterId, counterNameLength, counterName, counterDescLength, counterDesc, counterOffset, counterDataSize, counterTypeEnum, counterDataTypeEnum, rawCounterMaxValue);
}

static GLAPIENTRY void
epoxy_glGetPerfMonitorCounterDataAMD_rewrite_stub(GLuint monitor, GLenum pname, GLsizei dataSize, GLuint * data, GLint * bytesWritten)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfMonitorCounterDataAMD = epoxy_glGetPerfMonitorCounterDataAMD_resolver();

    dispatch_table->pglGetPerfMonitorCounterDataAMD(monitor, pname, dataSize, data, bytesWritten);
}

static GLAPIENTRY void
epoxy_glGetPerfMonitorCounterInfoAMD_rewrite_stub(GLuint group, GLuint counter, GLenum pname, void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfMonitorCounterInfoAMD = epoxy_glGetPerfMonitorCounterInfoAMD_resolver();

    dispatch_table->pglGetPerfMonitorCounterInfoAMD(group, counter, pname, data);
}

static GLAPIENTRY void
epoxy_glGetPerfMonitorCounterStringAMD_rewrite_stub(GLuint group, GLuint counter, GLsizei bufSize, GLsizei * length, GLchar * counterString)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfMonitorCounterStringAMD = epoxy_glGetPerfMonitorCounterStringAMD_resolver();

    dispatch_table->pglGetPerfMonitorCounterStringAMD(group, counter, bufSize, length, counterString);
}

static GLAPIENTRY void
epoxy_glGetPerfMonitorCountersAMD_rewrite_stub(GLuint group, GLint * numCounters, GLint * maxActiveCounters, GLsizei counterSize, GLuint * counters)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfMonitorCountersAMD = epoxy_glGetPerfMonitorCountersAMD_resolver();

    dispatch_table->pglGetPerfMonitorCountersAMD(group, numCounters, maxActiveCounters, counterSize, counters);
}

static GLAPIENTRY void
epoxy_glGetPerfMonitorGroupStringAMD_rewrite_stub(GLuint group, GLsizei bufSize, GLsizei * length, GLchar * groupString)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfMonitorGroupStringAMD = epoxy_glGetPerfMonitorGroupStringAMD_resolver();

    dispatch_table->pglGetPerfMonitorGroupStringAMD(group, bufSize, length, groupString);
}

static GLAPIENTRY void
epoxy_glGetPerfMonitorGroupsAMD_rewrite_stub(GLint * numGroups, GLsizei groupsSize, GLuint * groups)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfMonitorGroupsAMD = epoxy_glGetPerfMonitorGroupsAMD_resolver();

    dispatch_table->pglGetPerfMonitorGroupsAMD(numGroups, groupsSize, groups);
}

static GLAPIENTRY void
epoxy_glGetPerfQueryDataINTEL_rewrite_stub(GLuint queryHandle, GLuint flags, GLsizei dataSize, GLvoid * data, GLuint * bytesWritten)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfQueryDataINTEL = epoxy_glGetPerfQueryDataINTEL_resolver();

    dispatch_table->pglGetPerfQueryDataINTEL(queryHandle, flags, dataSize, data, bytesWritten);
}

static GLAPIENTRY void
epoxy_glGetPerfQueryIdByNameINTEL_rewrite_stub(GLchar * queryName, GLuint * queryId)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfQueryIdByNameINTEL = epoxy_glGetPerfQueryIdByNameINTEL_resolver();

    dispatch_table->pglGetPerfQueryIdByNameINTEL(queryName, queryId);
}

static GLAPIENTRY void
epoxy_glGetPerfQueryInfoINTEL_rewrite_stub(GLuint queryId, GLuint queryNameLength, GLchar * queryName, GLuint * dataSize, GLuint * noCounters, GLuint * noInstances, GLuint * capsMask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfQueryInfoINTEL = epoxy_glGetPerfQueryInfoINTEL_resolver();

    dispatch_table->pglGetPerfQueryInfoINTEL(queryId, queryNameLength, queryName, dataSize, noCounters, noInstances, capsMask);
}

static GLAPIENTRY void
epoxy_glGetPixelMapfv_rewrite_stub(GLenum map, GLfloat * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelMapfv = epoxy_glGetPixelMapfv_resolver();

    dispatch_table->pglGetPixelMapfv(map, values);
}

static GLAPIENTRY void
epoxy_glGetPixelMapuiv_rewrite_stub(GLenum map, GLuint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelMapuiv = epoxy_glGetPixelMapuiv_resolver();

    dispatch_table->pglGetPixelMapuiv(map, values);
}

static GLAPIENTRY void
epoxy_glGetPixelMapusv_rewrite_stub(GLenum map, GLushort * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelMapusv = epoxy_glGetPixelMapusv_resolver();

    dispatch_table->pglGetPixelMapusv(map, values);
}

static GLAPIENTRY void
epoxy_glGetPixelMapxv_rewrite_stub(GLenum map, GLint size, GLfixed * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelMapxv = epoxy_glGetPixelMapxv_resolver();

    dispatch_table->pglGetPixelMapxv(map, size, values);
}

static GLAPIENTRY void
epoxy_glGetPixelTexGenParameterfvSGIS_rewrite_stub(GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelTexGenParameterfvSGIS = epoxy_glGetPixelTexGenParameterfvSGIS_resolver();

    dispatch_table->pglGetPixelTexGenParameterfvSGIS(pname, params);
}

static GLAPIENTRY void
epoxy_glGetPixelTexGenParameterivSGIS_rewrite_stub(GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelTexGenParameterivSGIS = epoxy_glGetPixelTexGenParameterivSGIS_resolver();

    dispatch_table->pglGetPixelTexGenParameterivSGIS(pname, params);
}

static GLAPIENTRY void
epoxy_glGetPixelTransformParameterfvEXT_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelTransformParameterfvEXT = epoxy_glGetPixelTransformParameterfvEXT_resolver();

    dispatch_table->pglGetPixelTransformParameterfvEXT(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetPixelTransformParameterivEXT_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelTransformParameterivEXT = epoxy_glGetPixelTransformParameterivEXT_resolver();

    dispatch_table->pglGetPixelTransformParameterivEXT(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetPointerIndexedvEXT_rewrite_stub(GLenum target, GLuint index, void ** data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPointerIndexedvEXT = epoxy_glGetPointerIndexedvEXT_resolver();

    dispatch_table->pglGetPointerIndexedvEXT(target, index, data);
}

static GLAPIENTRY void
epoxy_glGetPointeri_vEXT_rewrite_stub(GLenum pname, GLuint index, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPointeri_vEXT = epoxy_glGetPointeri_vEXT_resolver();

    dispatch_table->pglGetPointeri_vEXT(pname, index, params);
}

static GLAPIENTRY void
epoxy_glGetPointerv_rewrite_stub(GLenum pname, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPointerv = epoxy_glGetPointerv_resolver();

    dispatch_table->pglGetPointerv(pname, params);
}

static GLAPIENTRY void
epoxy_glGetPolygonStipple_rewrite_stub(GLubyte * mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPolygonStipple = epoxy_glGetPolygonStipple_resolver();

    dispatch_table->pglGetPolygonStipple(mask);
}

static GLAPIENTRY void
epoxy_glGetProgramBinary_rewrite_stub(GLuint program, GLsizei bufSize, GLsizei * length, GLenum * binaryFormat, void * binary)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramBinary = epoxy_glGetProgramBinary_resolver();

    dispatch_table->pglGetProgramBinary(program, bufSize, length, binaryFormat, binary);
}

static GLAPIENTRY void
epoxy_glGetProgramEnvParameterIivNV_rewrite_stub(GLenum target, GLuint index, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramEnvParameterIivNV = epoxy_glGetProgramEnvParameterIivNV_resolver();

    dispatch_table->pglGetProgramEnvParameterIivNV(target, index, params);
}

static GLAPIENTRY void
epoxy_glGetProgramEnvParameterIuivNV_rewrite_stub(GLenum target, GLuint index, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramEnvParameterIuivNV = epoxy_glGetProgramEnvParameterIuivNV_resolver();

    dispatch_table->pglGetProgramEnvParameterIuivNV(target, index, params);
}

static GLAPIENTRY void
epoxy_glGetProgramEnvParameterdvARB_rewrite_stub(GLenum target, GLuint index, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramEnvParameterdvARB = epoxy_glGetProgramEnvParameterdvARB_resolver();

    dispatch_table->pglGetProgramEnvParameterdvARB(target, index, params);
}

static GLAPIENTRY void
epoxy_glGetProgramEnvParameterfvARB_rewrite_stub(GLenum target, GLuint index, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramEnvParameterfvARB = epoxy_glGetProgramEnvParameterfvARB_resolver();

    dispatch_table->pglGetProgramEnvParameterfvARB(target, index, params);
}

static GLAPIENTRY void
epoxy_glGetProgramInfoLog_rewrite_stub(GLuint program, GLsizei bufSize, GLsizei * length, GLchar * infoLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramInfoLog = epoxy_glGetProgramInfoLog_resolver();

    dispatch_table->pglGetProgramInfoLog(program, bufSize, length, infoLog);
}

static GLAPIENTRY void
epoxy_glGetProgramInterfaceiv_rewrite_stub(GLuint program, GLenum programInterface, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramInterfaceiv = epoxy_glGetProgramInterfaceiv_resolver();

    dispatch_table->pglGetProgramInterfaceiv(program, programInterface, pname, params);
}

static GLAPIENTRY void
epoxy_glGetProgramLocalParameterIivNV_rewrite_stub(GLenum target, GLuint index, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramLocalParameterIivNV = epoxy_glGetProgramLocalParameterIivNV_resolver();

    dispatch_table->pglGetProgramLocalParameterIivNV(target, index, params);
}

static GLAPIENTRY void
epoxy_glGetProgramLocalParameterIuivNV_rewrite_stub(GLenum target, GLuint index, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramLocalParameterIuivNV = epoxy_glGetProgramLocalParameterIuivNV_resolver();

    dispatch_table->pglGetProgramLocalParameterIuivNV(target, index, params);
}

static GLAPIENTRY void
epoxy_glGetProgramLocalParameterdvARB_rewrite_stub(GLenum target, GLuint index, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramLocalParameterdvARB = epoxy_glGetProgramLocalParameterdvARB_resolver();

    dispatch_table->pglGetProgramLocalParameterdvARB(target, index, params);
}

static GLAPIENTRY void
epoxy_glGetProgramLocalParameterfvARB_rewrite_stub(GLenum target, GLuint index, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramLocalParameterfvARB = epoxy_glGetProgramLocalParameterfvARB_resolver();

    dispatch_table->pglGetProgramLocalParameterfvARB(target, index, params);
}

static GLAPIENTRY void
epoxy_glGetProgramNamedParameterdvNV_rewrite_stub(GLuint id, GLsizei len, const GLubyte * name, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramNamedParameterdvNV = epoxy_glGetProgramNamedParameterdvNV_resolver();

    dispatch_table->pglGetProgramNamedParameterdvNV(id, len, name, params);
}

static GLAPIENTRY void
epoxy_glGetProgramNamedParameterfvNV_rewrite_stub(GLuint id, GLsizei len, const GLubyte * name, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramNamedParameterfvNV = epoxy_glGetProgramNamedParameterfvNV_resolver();

    dispatch_table->pglGetProgramNamedParameterfvNV(id, len, name, params);
}

static GLAPIENTRY void
epoxy_glGetProgramParameterdvNV_rewrite_stub(GLenum target, GLuint index, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramParameterdvNV = epoxy_glGetProgramParameterdvNV_resolver();

    dispatch_table->pglGetProgramParameterdvNV(target, index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetProgramParameterfvNV_rewrite_stub(GLenum target, GLuint index, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramParameterfvNV = epoxy_glGetProgramParameterfvNV_resolver();

    dispatch_table->pglGetProgramParameterfvNV(target, index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetProgramPipelineInfoLog_rewrite_stub(GLuint pipeline, GLsizei bufSize, GLsizei * length, GLchar * infoLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramPipelineInfoLog = epoxy_glGetProgramPipelineInfoLog_resolver();

    dispatch_table->pglGetProgramPipelineInfoLog(pipeline, bufSize, length, infoLog);
}

static GLAPIENTRY void
epoxy_glGetProgramPipelineInfoLogEXT_rewrite_stub(GLuint pipeline, GLsizei bufSize, GLsizei * length, GLchar * infoLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramPipelineInfoLogEXT = epoxy_glGetProgramPipelineInfoLogEXT_resolver();

    dispatch_table->pglGetProgramPipelineInfoLogEXT(pipeline, bufSize, length, infoLog);
}

static GLAPIENTRY void
epoxy_glGetProgramPipelineiv_rewrite_stub(GLuint pipeline, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramPipelineiv = epoxy_glGetProgramPipelineiv_resolver();

    dispatch_table->pglGetProgramPipelineiv(pipeline, pname, params);
}

static GLAPIENTRY void
epoxy_glGetProgramPipelineivEXT_rewrite_stub(GLuint pipeline, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramPipelineivEXT = epoxy_glGetProgramPipelineivEXT_resolver();

    dispatch_table->pglGetProgramPipelineivEXT(pipeline, pname, params);
}

static GLAPIENTRY GLuint
epoxy_glGetProgramResourceIndex_rewrite_stub(GLuint program, GLenum programInterface, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramResourceIndex = epoxy_glGetProgramResourceIndex_resolver();

    return dispatch_table->pglGetProgramResourceIndex(program, programInterface, name);
}

static GLAPIENTRY GLint
epoxy_glGetProgramResourceLocation_rewrite_stub(GLuint program, GLenum programInterface, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramResourceLocation = epoxy_glGetProgramResourceLocation_resolver();

    return dispatch_table->pglGetProgramResourceLocation(program, programInterface, name);
}

static GLAPIENTRY GLint
epoxy_glGetProgramResourceLocationIndex_rewrite_stub(GLuint program, GLenum programInterface, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramResourceLocationIndex = epoxy_glGetProgramResourceLocationIndex_resolver();

    return dispatch_table->pglGetProgramResourceLocationIndex(program, programInterface, name);
}

static GLAPIENTRY void
epoxy_glGetProgramResourceName_rewrite_stub(GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei * length, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramResourceName = epoxy_glGetProgramResourceName_resolver();

    dispatch_table->pglGetProgramResourceName(program, programInterface, index, bufSize, length, name);
}

static GLAPIENTRY void
epoxy_glGetProgramResourceiv_rewrite_stub(GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum * props, GLsizei bufSize, GLsizei * length, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramResourceiv = epoxy_glGetProgramResourceiv_resolver();

    dispatch_table->pglGetProgramResourceiv(program, programInterface, index, propCount, props, bufSize, length, params);
}

static GLAPIENTRY void
epoxy_glGetProgramStageiv_rewrite_stub(GLuint program, GLenum shadertype, GLenum pname, GLint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramStageiv = epoxy_glGetProgramStageiv_resolver();

    dispatch_table->pglGetProgramStageiv(program, shadertype, pname, values);
}

static GLAPIENTRY void
epoxy_glGetProgramStringARB_rewrite_stub(GLenum target, GLenum pname, void * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramStringARB = epoxy_glGetProgramStringARB_resolver();

    dispatch_table->pglGetProgramStringARB(target, pname, string);
}

static GLAPIENTRY void
epoxy_glGetProgramStringNV_rewrite_stub(GLuint id, GLenum pname, GLubyte * program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramStringNV = epoxy_glGetProgramStringNV_resolver();

    dispatch_table->pglGetProgramStringNV(id, pname, program);
}

static GLAPIENTRY void
epoxy_glGetProgramSubroutineParameteruivNV_rewrite_stub(GLenum target, GLuint index, GLuint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramSubroutineParameteruivNV = epoxy_glGetProgramSubroutineParameteruivNV_resolver();

    dispatch_table->pglGetProgramSubroutineParameteruivNV(target, index, param);
}

static GLAPIENTRY void
epoxy_glGetProgramiv_rewrite_stub(GLuint program, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramiv = epoxy_glGetProgramiv_resolver();

    dispatch_table->pglGetProgramiv(program, pname, params);
}

static GLAPIENTRY void
epoxy_glGetProgramivARB_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramivARB = epoxy_glGetProgramivARB_resolver();

    dispatch_table->pglGetProgramivARB(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetProgramivNV_rewrite_stub(GLuint id, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramivNV = epoxy_glGetProgramivNV_resolver();

    dispatch_table->pglGetProgramivNV(id, pname, params);
}

static GLAPIENTRY void
epoxy_glGetQueryIndexediv_rewrite_stub(GLenum target, GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryIndexediv = epoxy_glGetQueryIndexediv_resolver();

    dispatch_table->pglGetQueryIndexediv(target, index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetQueryObjecti64v_rewrite_stub(GLuint id, GLenum pname, GLint64 * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjecti64v = epoxy_glGetQueryObjecti64v_resolver();

    dispatch_table->pglGetQueryObjecti64v(id, pname, params);
}

static GLAPIENTRY void
epoxy_glGetQueryObjectiv_rewrite_stub(GLuint id, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjectiv = epoxy_glGetQueryObjectiv_resolver();

    dispatch_table->pglGetQueryObjectiv(id, pname, params);
}

static GLAPIENTRY void
epoxy_glGetQueryObjectui64v_rewrite_stub(GLuint id, GLenum pname, GLuint64 * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjectui64v = epoxy_glGetQueryObjectui64v_resolver();

    dispatch_table->pglGetQueryObjectui64v(id, pname, params);
}

static GLAPIENTRY void
epoxy_glGetQueryObjectuiv_rewrite_stub(GLuint id, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjectuiv = epoxy_glGetQueryObjectuiv_resolver();

    dispatch_table->pglGetQueryObjectuiv(id, pname, params);
}

static GLAPIENTRY void
epoxy_glGetQueryObjectuivEXT_rewrite_stub(GLuint id, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjectuivEXT = epoxy_glGetQueryObjectuivEXT_resolver();

    dispatch_table->pglGetQueryObjectuivEXT(id, pname, params);
}

static GLAPIENTRY void
epoxy_glGetQueryiv_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryiv = epoxy_glGetQueryiv_resolver();

    dispatch_table->pglGetQueryiv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetQueryivEXT_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryivEXT = epoxy_glGetQueryivEXT_resolver();

    dispatch_table->pglGetQueryivEXT(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetRenderbufferParameteriv_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetRenderbufferParameteriv = epoxy_glGetRenderbufferParameteriv_resolver();

    dispatch_table->pglGetRenderbufferParameteriv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetRenderbufferParameterivOES_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetRenderbufferParameterivOES = epoxy_glGetRenderbufferParameterivOES_resolver();

    dispatch_table->pglGetRenderbufferParameterivOES(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetSamplerParameterIiv_rewrite_stub(GLuint sampler, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSamplerParameterIiv = epoxy_glGetSamplerParameterIiv_resolver();

    dispatch_table->pglGetSamplerParameterIiv(sampler, pname, params);
}

static GLAPIENTRY void
epoxy_glGetSamplerParameterIuiv_rewrite_stub(GLuint sampler, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSamplerParameterIuiv = epoxy_glGetSamplerParameterIuiv_resolver();

    dispatch_table->pglGetSamplerParameterIuiv(sampler, pname, params);
}

static GLAPIENTRY void
epoxy_glGetSamplerParameterfv_rewrite_stub(GLuint sampler, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSamplerParameterfv = epoxy_glGetSamplerParameterfv_resolver();

    dispatch_table->pglGetSamplerParameterfv(sampler, pname, params);
}

static GLAPIENTRY void
epoxy_glGetSamplerParameteriv_rewrite_stub(GLuint sampler, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSamplerParameteriv = epoxy_glGetSamplerParameteriv_resolver();

    dispatch_table->pglGetSamplerParameteriv(sampler, pname, params);
}

static GLAPIENTRY void
epoxy_glGetSeparableFilter_rewrite_stub(GLenum target, GLenum format, GLenum type, void * row, void * column, void * span)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSeparableFilter = epoxy_glGetSeparableFilter_resolver();

    dispatch_table->pglGetSeparableFilter(target, format, type, row, column, span);
}

static GLAPIENTRY void
epoxy_glGetSeparableFilterEXT_rewrite_stub(GLenum target, GLenum format, GLenum type, void * row, void * column, void * span)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSeparableFilterEXT = epoxy_glGetSeparableFilterEXT_resolver();

    dispatch_table->pglGetSeparableFilterEXT(target, format, type, row, column, span);
}

static GLAPIENTRY void
epoxy_glGetShaderInfoLog_rewrite_stub(GLuint shader, GLsizei bufSize, GLsizei * length, GLchar * infoLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetShaderInfoLog = epoxy_glGetShaderInfoLog_resolver();

    dispatch_table->pglGetShaderInfoLog(shader, bufSize, length, infoLog);
}

static GLAPIENTRY void
epoxy_glGetShaderPrecisionFormat_rewrite_stub(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetShaderPrecisionFormat = epoxy_glGetShaderPrecisionFormat_resolver();

    dispatch_table->pglGetShaderPrecisionFormat(shadertype, precisiontype, range, precision);
}

static GLAPIENTRY void
epoxy_glGetShaderSource_rewrite_stub(GLuint shader, GLsizei bufSize, GLsizei * length, GLchar * source)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetShaderSource = epoxy_glGetShaderSource_resolver();

    dispatch_table->pglGetShaderSource(shader, bufSize, length, source);
}

static GLAPIENTRY void
epoxy_glGetShaderiv_rewrite_stub(GLuint shader, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetShaderiv = epoxy_glGetShaderiv_resolver();

    dispatch_table->pglGetShaderiv(shader, pname, params);
}

static GLAPIENTRY void
epoxy_glGetSharpenTexFuncSGIS_rewrite_stub(GLenum target, GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSharpenTexFuncSGIS = epoxy_glGetSharpenTexFuncSGIS_resolver();

    dispatch_table->pglGetSharpenTexFuncSGIS(target, points);
}

static GLAPIENTRY const GLubyte *
epoxy_glGetString_rewrite_stub(GLenum name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetString = epoxy_glGetString_resolver();

    return dispatch_table->pglGetString(name);
}

static GLAPIENTRY const GLubyte *
epoxy_glGetStringi_rewrite_stub(GLenum name, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetStringi = epoxy_glGetStringi_resolver();

    return dispatch_table->pglGetStringi(name, index);
}

static GLAPIENTRY GLuint
epoxy_glGetSubroutineIndex_rewrite_stub(GLuint program, GLenum shadertype, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSubroutineIndex = epoxy_glGetSubroutineIndex_resolver();

    return dispatch_table->pglGetSubroutineIndex(program, shadertype, name);
}

static GLAPIENTRY GLint
epoxy_glGetSubroutineUniformLocation_rewrite_stub(GLuint program, GLenum shadertype, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSubroutineUniformLocation = epoxy_glGetSubroutineUniformLocation_resolver();

    return dispatch_table->pglGetSubroutineUniformLocation(program, shadertype, name);
}

static GLAPIENTRY void
epoxy_glGetSynciv_rewrite_stub(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSynciv = epoxy_glGetSynciv_resolver();

    dispatch_table->pglGetSynciv(sync, pname, bufSize, length, values);
}

static GLAPIENTRY void
epoxy_glGetTexBumpParameterfvATI_rewrite_stub(GLenum pname, GLfloat * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexBumpParameterfvATI = epoxy_glGetTexBumpParameterfvATI_resolver();

    dispatch_table->pglGetTexBumpParameterfvATI(pname, param);
}

static GLAPIENTRY void
epoxy_glGetTexBumpParameterivATI_rewrite_stub(GLenum pname, GLint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexBumpParameterivATI = epoxy_glGetTexBumpParameterivATI_resolver();

    dispatch_table->pglGetTexBumpParameterivATI(pname, param);
}

static GLAPIENTRY void
epoxy_glGetTexEnvfv_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexEnvfv = epoxy_glGetTexEnvfv_resolver();

    dispatch_table->pglGetTexEnvfv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexEnviv_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexEnviv = epoxy_glGetTexEnviv_resolver();

    dispatch_table->pglGetTexEnviv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexEnvxv_rewrite_stub(GLenum target, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexEnvxv = epoxy_glGetTexEnvxv_resolver();

    dispatch_table->pglGetTexEnvxv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexEnvxvOES_rewrite_stub(GLenum target, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexEnvxvOES = epoxy_glGetTexEnvxvOES_resolver();

    dispatch_table->pglGetTexEnvxvOES(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexFilterFuncSGIS_rewrite_stub(GLenum target, GLenum filter, GLfloat * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexFilterFuncSGIS = epoxy_glGetTexFilterFuncSGIS_resolver();

    dispatch_table->pglGetTexFilterFuncSGIS(target, filter, weights);
}

static GLAPIENTRY void
epoxy_glGetTexGendv_rewrite_stub(GLenum coord, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexGendv = epoxy_glGetTexGendv_resolver();

    dispatch_table->pglGetTexGendv(coord, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexGenfv_rewrite_stub(GLenum coord, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexGenfv = epoxy_glGetTexGenfv_resolver();

    dispatch_table->pglGetTexGenfv(coord, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexGenfvOES_rewrite_stub(GLenum coord, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexGenfvOES = epoxy_glGetTexGenfvOES_resolver();

    dispatch_table->pglGetTexGenfvOES(coord, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexGeniv_rewrite_stub(GLenum coord, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexGeniv = epoxy_glGetTexGeniv_resolver();

    dispatch_table->pglGetTexGeniv(coord, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexGenivOES_rewrite_stub(GLenum coord, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexGenivOES = epoxy_glGetTexGenivOES_resolver();

    dispatch_table->pglGetTexGenivOES(coord, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexGenxvOES_rewrite_stub(GLenum coord, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexGenxvOES = epoxy_glGetTexGenxvOES_resolver();

    dispatch_table->pglGetTexGenxvOES(coord, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexImage_rewrite_stub(GLenum target, GLint level, GLenum format, GLenum type, void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexImage = epoxy_glGetTexImage_resolver();

    dispatch_table->pglGetTexImage(target, level, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glGetTexLevelParameterfv_rewrite_stub(GLenum target, GLint level, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexLevelParameterfv = epoxy_glGetTexLevelParameterfv_resolver();

    dispatch_table->pglGetTexLevelParameterfv(target, level, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexLevelParameteriv_rewrite_stub(GLenum target, GLint level, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexLevelParameteriv = epoxy_glGetTexLevelParameteriv_resolver();

    dispatch_table->pglGetTexLevelParameteriv(target, level, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexLevelParameterxvOES_rewrite_stub(GLenum target, GLint level, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexLevelParameterxvOES = epoxy_glGetTexLevelParameterxvOES_resolver();

    dispatch_table->pglGetTexLevelParameterxvOES(target, level, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexParameterIiv_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterIiv = epoxy_glGetTexParameterIiv_resolver();

    dispatch_table->pglGetTexParameterIiv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexParameterIuiv_rewrite_stub(GLenum target, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterIuiv = epoxy_glGetTexParameterIuiv_resolver();

    dispatch_table->pglGetTexParameterIuiv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexParameterPointervAPPLE_rewrite_stub(GLenum target, GLenum pname, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterPointervAPPLE = epoxy_glGetTexParameterPointervAPPLE_resolver();

    dispatch_table->pglGetTexParameterPointervAPPLE(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexParameterfv_rewrite_stub(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterfv = epoxy_glGetTexParameterfv_resolver();

    dispatch_table->pglGetTexParameterfv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexParameteriv_rewrite_stub(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameteriv = epoxy_glGetTexParameteriv_resolver();

    dispatch_table->pglGetTexParameteriv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexParameterxv_rewrite_stub(GLenum target, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterxv = epoxy_glGetTexParameterxv_resolver();

    dispatch_table->pglGetTexParameterxv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTexParameterxvOES_rewrite_stub(GLenum target, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterxvOES = epoxy_glGetTexParameterxvOES_resolver();

    dispatch_table->pglGetTexParameterxvOES(target, pname, params);
}

static GLAPIENTRY GLuint64
epoxy_glGetTextureHandleARB_rewrite_stub(GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureHandleARB = epoxy_glGetTextureHandleARB_resolver();

    return dispatch_table->pglGetTextureHandleARB(texture);
}

static GLAPIENTRY GLuint64
epoxy_glGetTextureHandleNV_rewrite_stub(GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureHandleNV = epoxy_glGetTextureHandleNV_resolver();

    return dispatch_table->pglGetTextureHandleNV(texture);
}

static GLAPIENTRY void
epoxy_glGetTextureImageEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLenum format, GLenum type, void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureImageEXT = epoxy_glGetTextureImageEXT_resolver();

    dispatch_table->pglGetTextureImageEXT(texture, target, level, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glGetTextureLevelParameterfvEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureLevelParameterfvEXT = epoxy_glGetTextureLevelParameterfvEXT_resolver();

    dispatch_table->pglGetTextureLevelParameterfvEXT(texture, target, level, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTextureLevelParameterivEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureLevelParameterivEXT = epoxy_glGetTextureLevelParameterivEXT_resolver();

    dispatch_table->pglGetTextureLevelParameterivEXT(texture, target, level, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTextureParameterIivEXT_rewrite_stub(GLuint texture, GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureParameterIivEXT = epoxy_glGetTextureParameterIivEXT_resolver();

    dispatch_table->pglGetTextureParameterIivEXT(texture, target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTextureParameterIuivEXT_rewrite_stub(GLuint texture, GLenum target, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureParameterIuivEXT = epoxy_glGetTextureParameterIuivEXT_resolver();

    dispatch_table->pglGetTextureParameterIuivEXT(texture, target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTextureParameterfvEXT_rewrite_stub(GLuint texture, GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureParameterfvEXT = epoxy_glGetTextureParameterfvEXT_resolver();

    dispatch_table->pglGetTextureParameterfvEXT(texture, target, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTextureParameterivEXT_rewrite_stub(GLuint texture, GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureParameterivEXT = epoxy_glGetTextureParameterivEXT_resolver();

    dispatch_table->pglGetTextureParameterivEXT(texture, target, pname, params);
}

static GLAPIENTRY GLuint64
epoxy_glGetTextureSamplerHandleARB_rewrite_stub(GLuint texture, GLuint sampler)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureSamplerHandleARB = epoxy_glGetTextureSamplerHandleARB_resolver();

    return dispatch_table->pglGetTextureSamplerHandleARB(texture, sampler);
}

static GLAPIENTRY GLuint64
epoxy_glGetTextureSamplerHandleNV_rewrite_stub(GLuint texture, GLuint sampler)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureSamplerHandleNV = epoxy_glGetTextureSamplerHandleNV_resolver();

    return dispatch_table->pglGetTextureSamplerHandleNV(texture, sampler);
}

static GLAPIENTRY void
epoxy_glGetTrackMatrixivNV_rewrite_stub(GLenum target, GLuint address, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTrackMatrixivNV = epoxy_glGetTrackMatrixivNV_resolver();

    dispatch_table->pglGetTrackMatrixivNV(target, address, pname, params);
}

static GLAPIENTRY void
epoxy_glGetTransformFeedbackVarying_rewrite_stub(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTransformFeedbackVarying = epoxy_glGetTransformFeedbackVarying_resolver();

    dispatch_table->pglGetTransformFeedbackVarying(program, index, bufSize, length, size, type, name);
}

static GLAPIENTRY void
epoxy_glGetTransformFeedbackVaryingNV_rewrite_stub(GLuint program, GLuint index, GLint * location)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTransformFeedbackVaryingNV = epoxy_glGetTransformFeedbackVaryingNV_resolver();

    dispatch_table->pglGetTransformFeedbackVaryingNV(program, index, location);
}

static GLAPIENTRY void
epoxy_glGetTranslatedShaderSourceANGLE_rewrite_stub(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * source)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTranslatedShaderSourceANGLE = epoxy_glGetTranslatedShaderSourceANGLE_resolver();

    dispatch_table->pglGetTranslatedShaderSourceANGLE(shader, bufsize, length, source);
}

static GLAPIENTRY GLuint
epoxy_glGetUniformBlockIndex_rewrite_stub(GLuint program, const GLchar * uniformBlockName)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformBlockIndex = epoxy_glGetUniformBlockIndex_resolver();

    return dispatch_table->pglGetUniformBlockIndex(program, uniformBlockName);
}

static GLAPIENTRY GLint
epoxy_glGetUniformBufferSizeEXT_rewrite_stub(GLuint program, GLint location)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformBufferSizeEXT = epoxy_glGetUniformBufferSizeEXT_resolver();

    return dispatch_table->pglGetUniformBufferSizeEXT(program, location);
}

static GLAPIENTRY void
epoxy_glGetUniformIndices_rewrite_stub(GLuint program, GLsizei uniformCount, const GLchar *const* uniformNames, GLuint * uniformIndices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformIndices = epoxy_glGetUniformIndices_resolver();

    dispatch_table->pglGetUniformIndices(program, uniformCount, uniformNames, uniformIndices);
}

static GLAPIENTRY GLint
epoxy_glGetUniformLocation_rewrite_stub(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformLocation = epoxy_glGetUniformLocation_resolver();

    return dispatch_table->pglGetUniformLocation(program, name);
}

static GLAPIENTRY GLintptr
epoxy_glGetUniformOffsetEXT_rewrite_stub(GLuint program, GLint location)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformOffsetEXT = epoxy_glGetUniformOffsetEXT_resolver();

    return dispatch_table->pglGetUniformOffsetEXT(program, location);
}

static GLAPIENTRY void
epoxy_glGetUniformSubroutineuiv_rewrite_stub(GLenum shadertype, GLint location, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformSubroutineuiv = epoxy_glGetUniformSubroutineuiv_resolver();

    dispatch_table->pglGetUniformSubroutineuiv(shadertype, location, params);
}

static GLAPIENTRY void
epoxy_glGetUniformdv_rewrite_stub(GLuint program, GLint location, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformdv = epoxy_glGetUniformdv_resolver();

    dispatch_table->pglGetUniformdv(program, location, params);
}

static GLAPIENTRY void
epoxy_glGetUniformfv_rewrite_stub(GLuint program, GLint location, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformfv = epoxy_glGetUniformfv_resolver();

    dispatch_table->pglGetUniformfv(program, location, params);
}

static GLAPIENTRY void
epoxy_glGetUniformi64vNV_rewrite_stub(GLuint program, GLint location, GLint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformi64vNV = epoxy_glGetUniformi64vNV_resolver();

    dispatch_table->pglGetUniformi64vNV(program, location, params);
}

static GLAPIENTRY void
epoxy_glGetUniformiv_rewrite_stub(GLuint program, GLint location, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformiv = epoxy_glGetUniformiv_resolver();

    dispatch_table->pglGetUniformiv(program, location, params);
}

static GLAPIENTRY void
epoxy_glGetUniformui64vNV_rewrite_stub(GLuint program, GLint location, GLuint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformui64vNV = epoxy_glGetUniformui64vNV_resolver();

    dispatch_table->pglGetUniformui64vNV(program, location, params);
}

static GLAPIENTRY void
epoxy_glGetUniformuiv_rewrite_stub(GLuint program, GLint location, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformuiv = epoxy_glGetUniformuiv_resolver();

    dispatch_table->pglGetUniformuiv(program, location, params);
}

static GLAPIENTRY void
epoxy_glGetVariantArrayObjectfvATI_rewrite_stub(GLuint id, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVariantArrayObjectfvATI = epoxy_glGetVariantArrayObjectfvATI_resolver();

    dispatch_table->pglGetVariantArrayObjectfvATI(id, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVariantArrayObjectivATI_rewrite_stub(GLuint id, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVariantArrayObjectivATI = epoxy_glGetVariantArrayObjectivATI_resolver();

    dispatch_table->pglGetVariantArrayObjectivATI(id, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVariantBooleanvEXT_rewrite_stub(GLuint id, GLenum value, GLboolean * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVariantBooleanvEXT = epoxy_glGetVariantBooleanvEXT_resolver();

    dispatch_table->pglGetVariantBooleanvEXT(id, value, data);
}

static GLAPIENTRY void
epoxy_glGetVariantFloatvEXT_rewrite_stub(GLuint id, GLenum value, GLfloat * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVariantFloatvEXT = epoxy_glGetVariantFloatvEXT_resolver();

    dispatch_table->pglGetVariantFloatvEXT(id, value, data);
}

static GLAPIENTRY void
epoxy_glGetVariantIntegervEXT_rewrite_stub(GLuint id, GLenum value, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVariantIntegervEXT = epoxy_glGetVariantIntegervEXT_resolver();

    dispatch_table->pglGetVariantIntegervEXT(id, value, data);
}

static GLAPIENTRY void
epoxy_glGetVariantPointervEXT_rewrite_stub(GLuint id, GLenum value, void ** data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVariantPointervEXT = epoxy_glGetVariantPointervEXT_resolver();

    dispatch_table->pglGetVariantPointervEXT(id, value, data);
}

static GLAPIENTRY GLint
epoxy_glGetVaryingLocationNV_rewrite_stub(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVaryingLocationNV = epoxy_glGetVaryingLocationNV_resolver();

    return dispatch_table->pglGetVaryingLocationNV(program, name);
}

static GLAPIENTRY void
epoxy_glGetVertexArrayIntegeri_vEXT_rewrite_stub(GLuint vaobj, GLuint index, GLenum pname, GLint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexArrayIntegeri_vEXT = epoxy_glGetVertexArrayIntegeri_vEXT_resolver();

    dispatch_table->pglGetVertexArrayIntegeri_vEXT(vaobj, index, pname, param);
}

static GLAPIENTRY void
epoxy_glGetVertexArrayIntegervEXT_rewrite_stub(GLuint vaobj, GLenum pname, GLint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexArrayIntegervEXT = epoxy_glGetVertexArrayIntegervEXT_resolver();

    dispatch_table->pglGetVertexArrayIntegervEXT(vaobj, pname, param);
}

static GLAPIENTRY void
epoxy_glGetVertexArrayPointeri_vEXT_rewrite_stub(GLuint vaobj, GLuint index, GLenum pname, void ** param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexArrayPointeri_vEXT = epoxy_glGetVertexArrayPointeri_vEXT_resolver();

    dispatch_table->pglGetVertexArrayPointeri_vEXT(vaobj, index, pname, param);
}

static GLAPIENTRY void
epoxy_glGetVertexArrayPointervEXT_rewrite_stub(GLuint vaobj, GLenum pname, void ** param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexArrayPointervEXT = epoxy_glGetVertexArrayPointervEXT_resolver();

    dispatch_table->pglGetVertexArrayPointervEXT(vaobj, pname, param);
}

static GLAPIENTRY void
epoxy_glGetVertexAttribArrayObjectfvATI_rewrite_stub(GLuint index, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribArrayObjectfvATI = epoxy_glGetVertexAttribArrayObjectfvATI_resolver();

    dispatch_table->pglGetVertexAttribArrayObjectfvATI(index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVertexAttribArrayObjectivATI_rewrite_stub(GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribArrayObjectivATI = epoxy_glGetVertexAttribArrayObjectivATI_resolver();

    dispatch_table->pglGetVertexAttribArrayObjectivATI(index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVertexAttribIiv_rewrite_stub(GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribIiv = epoxy_glGetVertexAttribIiv_resolver();

    dispatch_table->pglGetVertexAttribIiv(index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVertexAttribIuiv_rewrite_stub(GLuint index, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribIuiv = epoxy_glGetVertexAttribIuiv_resolver();

    dispatch_table->pglGetVertexAttribIuiv(index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVertexAttribLdv_rewrite_stub(GLuint index, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribLdv = epoxy_glGetVertexAttribLdv_resolver();

    dispatch_table->pglGetVertexAttribLdv(index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVertexAttribLi64vNV_rewrite_stub(GLuint index, GLenum pname, GLint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribLi64vNV = epoxy_glGetVertexAttribLi64vNV_resolver();

    dispatch_table->pglGetVertexAttribLi64vNV(index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVertexAttribLui64vARB_rewrite_stub(GLuint index, GLenum pname, GLuint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribLui64vARB = epoxy_glGetVertexAttribLui64vARB_resolver();

    dispatch_table->pglGetVertexAttribLui64vARB(index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVertexAttribLui64vNV_rewrite_stub(GLuint index, GLenum pname, GLuint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribLui64vNV = epoxy_glGetVertexAttribLui64vNV_resolver();

    dispatch_table->pglGetVertexAttribLui64vNV(index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVertexAttribPointerv_rewrite_stub(GLuint index, GLenum pname, void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribPointerv = epoxy_glGetVertexAttribPointerv_resolver();

    dispatch_table->pglGetVertexAttribPointerv(index, pname, pointer);
}

static GLAPIENTRY void
epoxy_glGetVertexAttribdv_rewrite_stub(GLuint index, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribdv = epoxy_glGetVertexAttribdv_resolver();

    dispatch_table->pglGetVertexAttribdv(index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVertexAttribfv_rewrite_stub(GLuint index, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribfv = epoxy_glGetVertexAttribfv_resolver();

    dispatch_table->pglGetVertexAttribfv(index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVertexAttribiv_rewrite_stub(GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribiv = epoxy_glGetVertexAttribiv_resolver();

    dispatch_table->pglGetVertexAttribiv(index, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVideoCaptureStreamdvNV_rewrite_stub(GLuint video_capture_slot, GLuint stream, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoCaptureStreamdvNV = epoxy_glGetVideoCaptureStreamdvNV_resolver();

    dispatch_table->pglGetVideoCaptureStreamdvNV(video_capture_slot, stream, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVideoCaptureStreamfvNV_rewrite_stub(GLuint video_capture_slot, GLuint stream, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoCaptureStreamfvNV = epoxy_glGetVideoCaptureStreamfvNV_resolver();

    dispatch_table->pglGetVideoCaptureStreamfvNV(video_capture_slot, stream, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVideoCaptureStreamivNV_rewrite_stub(GLuint video_capture_slot, GLuint stream, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoCaptureStreamivNV = epoxy_glGetVideoCaptureStreamivNV_resolver();

    dispatch_table->pglGetVideoCaptureStreamivNV(video_capture_slot, stream, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVideoCaptureivNV_rewrite_stub(GLuint video_capture_slot, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoCaptureivNV = epoxy_glGetVideoCaptureivNV_resolver();

    dispatch_table->pglGetVideoCaptureivNV(video_capture_slot, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVideoi64vNV_rewrite_stub(GLuint video_slot, GLenum pname, GLint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoi64vNV = epoxy_glGetVideoi64vNV_resolver();

    dispatch_table->pglGetVideoi64vNV(video_slot, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVideoivNV_rewrite_stub(GLuint video_slot, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoivNV = epoxy_glGetVideoivNV_resolver();

    dispatch_table->pglGetVideoivNV(video_slot, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVideoui64vNV_rewrite_stub(GLuint video_slot, GLenum pname, GLuint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoui64vNV = epoxy_glGetVideoui64vNV_resolver();

    dispatch_table->pglGetVideoui64vNV(video_slot, pname, params);
}

static GLAPIENTRY void
epoxy_glGetVideouivNV_rewrite_stub(GLuint video_slot, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideouivNV = epoxy_glGetVideouivNV_resolver();

    dispatch_table->pglGetVideouivNV(video_slot, pname, params);
}

static GLAPIENTRY void
epoxy_glGetnColorTableARB_rewrite_stub(GLenum target, GLenum format, GLenum type, GLsizei bufSize, void * table)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnColorTableARB = epoxy_glGetnColorTableARB_resolver();

    dispatch_table->pglGetnColorTableARB(target, format, type, bufSize, table);
}

static GLAPIENTRY void
epoxy_glGetnCompressedTexImageARB_rewrite_stub(GLenum target, GLint lod, GLsizei bufSize, void * img)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnCompressedTexImageARB = epoxy_glGetnCompressedTexImageARB_resolver();

    dispatch_table->pglGetnCompressedTexImageARB(target, lod, bufSize, img);
}

static GLAPIENTRY void
epoxy_glGetnConvolutionFilterARB_rewrite_stub(GLenum target, GLenum format, GLenum type, GLsizei bufSize, void * image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnConvolutionFilterARB = epoxy_glGetnConvolutionFilterARB_resolver();

    dispatch_table->pglGetnConvolutionFilterARB(target, format, type, bufSize, image);
}

static GLAPIENTRY void
epoxy_glGetnHistogramARB_rewrite_stub(GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, void * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnHistogramARB = epoxy_glGetnHistogramARB_resolver();

    dispatch_table->pglGetnHistogramARB(target, reset, format, type, bufSize, values);
}

static GLAPIENTRY void
epoxy_glGetnMapdvARB_rewrite_stub(GLenum target, GLenum query, GLsizei bufSize, GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnMapdvARB = epoxy_glGetnMapdvARB_resolver();

    dispatch_table->pglGetnMapdvARB(target, query, bufSize, v);
}

static GLAPIENTRY void
epoxy_glGetnMapfvARB_rewrite_stub(GLenum target, GLenum query, GLsizei bufSize, GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnMapfvARB = epoxy_glGetnMapfvARB_resolver();

    dispatch_table->pglGetnMapfvARB(target, query, bufSize, v);
}

static GLAPIENTRY void
epoxy_glGetnMapivARB_rewrite_stub(GLenum target, GLenum query, GLsizei bufSize, GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnMapivARB = epoxy_glGetnMapivARB_resolver();

    dispatch_table->pglGetnMapivARB(target, query, bufSize, v);
}

static GLAPIENTRY void
epoxy_glGetnMinmaxARB_rewrite_stub(GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, void * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnMinmaxARB = epoxy_glGetnMinmaxARB_resolver();

    dispatch_table->pglGetnMinmaxARB(target, reset, format, type, bufSize, values);
}

static GLAPIENTRY void
epoxy_glGetnPixelMapfvARB_rewrite_stub(GLenum map, GLsizei bufSize, GLfloat * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnPixelMapfvARB = epoxy_glGetnPixelMapfvARB_resolver();

    dispatch_table->pglGetnPixelMapfvARB(map, bufSize, values);
}

static GLAPIENTRY void
epoxy_glGetnPixelMapuivARB_rewrite_stub(GLenum map, GLsizei bufSize, GLuint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnPixelMapuivARB = epoxy_glGetnPixelMapuivARB_resolver();

    dispatch_table->pglGetnPixelMapuivARB(map, bufSize, values);
}

static GLAPIENTRY void
epoxy_glGetnPixelMapusvARB_rewrite_stub(GLenum map, GLsizei bufSize, GLushort * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnPixelMapusvARB = epoxy_glGetnPixelMapusvARB_resolver();

    dispatch_table->pglGetnPixelMapusvARB(map, bufSize, values);
}

static GLAPIENTRY void
epoxy_glGetnPolygonStippleARB_rewrite_stub(GLsizei bufSize, GLubyte * pattern)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnPolygonStippleARB = epoxy_glGetnPolygonStippleARB_resolver();

    dispatch_table->pglGetnPolygonStippleARB(bufSize, pattern);
}

static GLAPIENTRY void
epoxy_glGetnSeparableFilterARB_rewrite_stub(GLenum target, GLenum format, GLenum type, GLsizei rowBufSize, void * row, GLsizei columnBufSize, void * column, void * span)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnSeparableFilterARB = epoxy_glGetnSeparableFilterARB_resolver();

    dispatch_table->pglGetnSeparableFilterARB(target, format, type, rowBufSize, row, columnBufSize, column, span);
}

static GLAPIENTRY void
epoxy_glGetnTexImageARB_rewrite_stub(GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, void * img)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnTexImageARB = epoxy_glGetnTexImageARB_resolver();

    dispatch_table->pglGetnTexImageARB(target, level, format, type, bufSize, img);
}

static GLAPIENTRY void
epoxy_glGetnUniformdvARB_rewrite_stub(GLuint program, GLint location, GLsizei bufSize, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnUniformdvARB = epoxy_glGetnUniformdvARB_resolver();

    dispatch_table->pglGetnUniformdvARB(program, location, bufSize, params);
}

static GLAPIENTRY void
epoxy_glGetnUniformfvARB_rewrite_stub(GLuint program, GLint location, GLsizei bufSize, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnUniformfvARB = epoxy_glGetnUniformfvARB_resolver();

    dispatch_table->pglGetnUniformfvARB(program, location, bufSize, params);
}

static GLAPIENTRY void
epoxy_glGetnUniformfvEXT_rewrite_stub(GLuint program, GLint location, GLsizei bufSize, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnUniformfvEXT = epoxy_glGetnUniformfvEXT_resolver();

    dispatch_table->pglGetnUniformfvEXT(program, location, bufSize, params);
}

static GLAPIENTRY void
epoxy_glGetnUniformivARB_rewrite_stub(GLuint program, GLint location, GLsizei bufSize, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnUniformivARB = epoxy_glGetnUniformivARB_resolver();

    dispatch_table->pglGetnUniformivARB(program, location, bufSize, params);
}

static GLAPIENTRY void
epoxy_glGetnUniformivEXT_rewrite_stub(GLuint program, GLint location, GLsizei bufSize, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnUniformivEXT = epoxy_glGetnUniformivEXT_resolver();

    dispatch_table->pglGetnUniformivEXT(program, location, bufSize, params);
}

static GLAPIENTRY void
epoxy_glGetnUniformuivARB_rewrite_stub(GLuint program, GLint location, GLsizei bufSize, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnUniformuivARB = epoxy_glGetnUniformuivARB_resolver();

    dispatch_table->pglGetnUniformuivARB(program, location, bufSize, params);
}

static GLAPIENTRY void
epoxy_glGlobalAlphaFactorbSUN_rewrite_stub(GLbyte factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactorbSUN = epoxy_glGlobalAlphaFactorbSUN_resolver();

    dispatch_table->pglGlobalAlphaFactorbSUN(factor);
}

static GLAPIENTRY void
epoxy_glGlobalAlphaFactordSUN_rewrite_stub(GLdouble factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactordSUN = epoxy_glGlobalAlphaFactordSUN_resolver();

    dispatch_table->pglGlobalAlphaFactordSUN(factor);
}

static GLAPIENTRY void
epoxy_glGlobalAlphaFactorfSUN_rewrite_stub(GLfloat factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactorfSUN = epoxy_glGlobalAlphaFactorfSUN_resolver();

    dispatch_table->pglGlobalAlphaFactorfSUN(factor);
}

static GLAPIENTRY void
epoxy_glGlobalAlphaFactoriSUN_rewrite_stub(GLint factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactoriSUN = epoxy_glGlobalAlphaFactoriSUN_resolver();

    dispatch_table->pglGlobalAlphaFactoriSUN(factor);
}

static GLAPIENTRY void
epoxy_glGlobalAlphaFactorsSUN_rewrite_stub(GLshort factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactorsSUN = epoxy_glGlobalAlphaFactorsSUN_resolver();

    dispatch_table->pglGlobalAlphaFactorsSUN(factor);
}

static GLAPIENTRY void
epoxy_glGlobalAlphaFactorubSUN_rewrite_stub(GLubyte factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactorubSUN = epoxy_glGlobalAlphaFactorubSUN_resolver();

    dispatch_table->pglGlobalAlphaFactorubSUN(factor);
}

static GLAPIENTRY void
epoxy_glGlobalAlphaFactoruiSUN_rewrite_stub(GLuint factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactoruiSUN = epoxy_glGlobalAlphaFactoruiSUN_resolver();

    dispatch_table->pglGlobalAlphaFactoruiSUN(factor);
}

static GLAPIENTRY void
epoxy_glGlobalAlphaFactorusSUN_rewrite_stub(GLushort factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactorusSUN = epoxy_glGlobalAlphaFactorusSUN_resolver();

    dispatch_table->pglGlobalAlphaFactorusSUN(factor);
}

static GLAPIENTRY void
epoxy_glHint_rewrite_stub(GLenum target, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglHint = epoxy_glHint_resolver();

    dispatch_table->pglHint(target, mode);
}

static GLAPIENTRY void
epoxy_glHintPGI_rewrite_stub(GLenum target, GLint mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglHintPGI = epoxy_glHintPGI_resolver();

    dispatch_table->pglHintPGI(target, mode);
}

static GLAPIENTRY void
epoxy_glHistogram_rewrite_stub(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglHistogram = epoxy_glHistogram_resolver();

    dispatch_table->pglHistogram(target, width, internalformat, sink);
}

static GLAPIENTRY void
epoxy_glIglooInterfaceSGIX_rewrite_stub(GLenum pname, const void * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIglooInterfaceSGIX = epoxy_glIglooInterfaceSGIX_resolver();

    dispatch_table->pglIglooInterfaceSGIX(pname, params);
}

static GLAPIENTRY void
epoxy_glImageTransformParameterfHP_rewrite_stub(GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglImageTransformParameterfHP = epoxy_glImageTransformParameterfHP_resolver();

    dispatch_table->pglImageTransformParameterfHP(target, pname, param);
}

static GLAPIENTRY void
epoxy_glImageTransformParameterfvHP_rewrite_stub(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglImageTransformParameterfvHP = epoxy_glImageTransformParameterfvHP_resolver();

    dispatch_table->pglImageTransformParameterfvHP(target, pname, params);
}

static GLAPIENTRY void
epoxy_glImageTransformParameteriHP_rewrite_stub(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglImageTransformParameteriHP = epoxy_glImageTransformParameteriHP_resolver();

    dispatch_table->pglImageTransformParameteriHP(target, pname, param);
}

static GLAPIENTRY void
epoxy_glImageTransformParameterivHP_rewrite_stub(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglImageTransformParameterivHP = epoxy_glImageTransformParameterivHP_resolver();

    dispatch_table->pglImageTransformParameterivHP(target, pname, params);
}

static GLAPIENTRY GLsync
epoxy_glImportSyncEXT_rewrite_stub(GLenum external_sync_type, GLintptr external_sync, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglImportSyncEXT = epoxy_glImportSyncEXT_resolver();

    return dispatch_table->pglImportSyncEXT(external_sync_type, external_sync, flags);
}

static GLAPIENTRY void
epoxy_glIndexFormatNV_rewrite_stub(GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexFormatNV = epoxy_glIndexFormatNV_resolver();

    dispatch_table->pglIndexFormatNV(type, stride);
}

static GLAPIENTRY void
epoxy_glIndexFuncEXT_rewrite_stub(GLenum func, GLclampf ref)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexFuncEXT = epoxy_glIndexFuncEXT_resolver();

    dispatch_table->pglIndexFuncEXT(func, ref);
}

static GLAPIENTRY void
epoxy_glIndexMask_rewrite_stub(GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexMask = epoxy_glIndexMask_resolver();

    dispatch_table->pglIndexMask(mask);
}

static GLAPIENTRY void
epoxy_glIndexMaterialEXT_rewrite_stub(GLenum face, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexMaterialEXT = epoxy_glIndexMaterialEXT_resolver();

    dispatch_table->pglIndexMaterialEXT(face, mode);
}

static GLAPIENTRY void
epoxy_glIndexPointer_rewrite_stub(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexPointer = epoxy_glIndexPointer_resolver();

    dispatch_table->pglIndexPointer(type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glIndexPointerEXT_rewrite_stub(GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexPointerEXT = epoxy_glIndexPointerEXT_resolver();

    dispatch_table->pglIndexPointerEXT(type, stride, count, pointer);
}

static GLAPIENTRY void
epoxy_glIndexPointerListIBM_rewrite_stub(GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexPointerListIBM = epoxy_glIndexPointerListIBM_resolver();

    dispatch_table->pglIndexPointerListIBM(type, stride, pointer, ptrstride);
}

static GLAPIENTRY void
epoxy_glIndexd_rewrite_stub(GLdouble c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexd = epoxy_glIndexd_resolver();

    dispatch_table->pglIndexd(c);
}

static GLAPIENTRY void
epoxy_glIndexdv_rewrite_stub(const GLdouble * c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexdv = epoxy_glIndexdv_resolver();

    dispatch_table->pglIndexdv(c);
}

static GLAPIENTRY void
epoxy_glIndexf_rewrite_stub(GLfloat c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexf = epoxy_glIndexf_resolver();

    dispatch_table->pglIndexf(c);
}

static GLAPIENTRY void
epoxy_glIndexfv_rewrite_stub(const GLfloat * c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexfv = epoxy_glIndexfv_resolver();

    dispatch_table->pglIndexfv(c);
}

static GLAPIENTRY void
epoxy_glIndexi_rewrite_stub(GLint c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexi = epoxy_glIndexi_resolver();

    dispatch_table->pglIndexi(c);
}

static GLAPIENTRY void
epoxy_glIndexiv_rewrite_stub(const GLint * c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexiv = epoxy_glIndexiv_resolver();

    dispatch_table->pglIndexiv(c);
}

static GLAPIENTRY void
epoxy_glIndexs_rewrite_stub(GLshort c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexs = epoxy_glIndexs_resolver();

    dispatch_table->pglIndexs(c);
}

static GLAPIENTRY void
epoxy_glIndexsv_rewrite_stub(const GLshort * c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexsv = epoxy_glIndexsv_resolver();

    dispatch_table->pglIndexsv(c);
}

static GLAPIENTRY void
epoxy_glIndexub_rewrite_stub(GLubyte c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexub = epoxy_glIndexub_resolver();

    dispatch_table->pglIndexub(c);
}

static GLAPIENTRY void
epoxy_glIndexubv_rewrite_stub(const GLubyte * c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexubv = epoxy_glIndexubv_resolver();

    dispatch_table->pglIndexubv(c);
}

static GLAPIENTRY void
epoxy_glIndexxOES_rewrite_stub(GLfixed component)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexxOES = epoxy_glIndexxOES_resolver();

    dispatch_table->pglIndexxOES(component);
}

static GLAPIENTRY void
epoxy_glIndexxvOES_rewrite_stub(const GLfixed * component)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexxvOES = epoxy_glIndexxvOES_resolver();

    dispatch_table->pglIndexxvOES(component);
}

static GLAPIENTRY void
epoxy_glInitNames_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInitNames = epoxy_glInitNames_resolver();

    dispatch_table->pglInitNames();
}

static GLAPIENTRY void
epoxy_glInsertComponentEXT_rewrite_stub(GLuint res, GLuint src, GLuint num)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInsertComponentEXT = epoxy_glInsertComponentEXT_resolver();

    dispatch_table->pglInsertComponentEXT(res, src, num);
}

static GLAPIENTRY void
epoxy_glInsertEventMarkerEXT_rewrite_stub(GLsizei length, const GLchar * marker)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInsertEventMarkerEXT = epoxy_glInsertEventMarkerEXT_resolver();

    dispatch_table->pglInsertEventMarkerEXT(length, marker);
}

static GLAPIENTRY void
epoxy_glInstrumentsBufferSGIX_rewrite_stub(GLsizei size, GLint * buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInstrumentsBufferSGIX = epoxy_glInstrumentsBufferSGIX_resolver();

    dispatch_table->pglInstrumentsBufferSGIX(size, buffer);
}

static GLAPIENTRY void
epoxy_glInterleavedArrays_rewrite_stub(GLenum format, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInterleavedArrays = epoxy_glInterleavedArrays_resolver();

    dispatch_table->pglInterleavedArrays(format, stride, pointer);
}

static GLAPIENTRY void
epoxy_glInterpolatePathsNV_rewrite_stub(GLuint resultPath, GLuint pathA, GLuint pathB, GLfloat weight)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInterpolatePathsNV = epoxy_glInterpolatePathsNV_resolver();

    dispatch_table->pglInterpolatePathsNV(resultPath, pathA, pathB, weight);
}

static GLAPIENTRY void
epoxy_glInvalidateBufferData_rewrite_stub(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInvalidateBufferData = epoxy_glInvalidateBufferData_resolver();

    dispatch_table->pglInvalidateBufferData(buffer);
}

static GLAPIENTRY void
epoxy_glInvalidateBufferSubData_rewrite_stub(GLuint buffer, GLintptr offset, GLsizeiptr length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInvalidateBufferSubData = epoxy_glInvalidateBufferSubData_resolver();

    dispatch_table->pglInvalidateBufferSubData(buffer, offset, length);
}

static GLAPIENTRY void
epoxy_glInvalidateFramebuffer_rewrite_stub(GLenum target, GLsizei numAttachments, const GLenum * attachments)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInvalidateFramebuffer = epoxy_glInvalidateFramebuffer_resolver();

    dispatch_table->pglInvalidateFramebuffer(target, numAttachments, attachments);
}

static GLAPIENTRY void
epoxy_glInvalidateSubFramebuffer_rewrite_stub(GLenum target, GLsizei numAttachments, const GLenum * attachments, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInvalidateSubFramebuffer = epoxy_glInvalidateSubFramebuffer_resolver();

    dispatch_table->pglInvalidateSubFramebuffer(target, numAttachments, attachments, x, y, width, height);
}

static GLAPIENTRY void
epoxy_glInvalidateTexImage_rewrite_stub(GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInvalidateTexImage = epoxy_glInvalidateTexImage_resolver();

    dispatch_table->pglInvalidateTexImage(texture, level);
}

static GLAPIENTRY void
epoxy_glInvalidateTexSubImage_rewrite_stub(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInvalidateTexSubImage = epoxy_glInvalidateTexSubImage_resolver();

    dispatch_table->pglInvalidateTexSubImage(texture, level, xoffset, yoffset, zoffset, width, height, depth);
}

static GLAPIENTRY GLboolean
epoxy_glIsAsyncMarkerSGIX_rewrite_stub(GLuint marker)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsAsyncMarkerSGIX = epoxy_glIsAsyncMarkerSGIX_resolver();

    return dispatch_table->pglIsAsyncMarkerSGIX(marker);
}

static GLAPIENTRY GLboolean
epoxy_glIsBuffer_rewrite_stub(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsBuffer = epoxy_glIsBuffer_resolver();

    return dispatch_table->pglIsBuffer(buffer);
}

static GLAPIENTRY GLboolean
epoxy_glIsBufferResidentNV_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsBufferResidentNV = epoxy_glIsBufferResidentNV_resolver();

    return dispatch_table->pglIsBufferResidentNV(target);
}

static GLAPIENTRY GLboolean
epoxy_glIsEnabled_rewrite_stub(GLenum cap)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsEnabled = epoxy_glIsEnabled_resolver();

    return dispatch_table->pglIsEnabled(cap);
}

static GLAPIENTRY GLboolean
epoxy_glIsEnabledi_rewrite_stub(GLenum target, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsEnabledi = epoxy_glIsEnabledi_resolver();

    return dispatch_table->pglIsEnabledi(target, index);
}

static GLAPIENTRY GLboolean
epoxy_glIsFenceAPPLE_rewrite_stub(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsFenceAPPLE = epoxy_glIsFenceAPPLE_resolver();

    return dispatch_table->pglIsFenceAPPLE(fence);
}

static GLAPIENTRY GLboolean
epoxy_glIsFenceNV_rewrite_stub(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsFenceNV = epoxy_glIsFenceNV_resolver();

    return dispatch_table->pglIsFenceNV(fence);
}

static GLAPIENTRY GLboolean
epoxy_glIsFramebuffer_rewrite_stub(GLuint framebuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsFramebuffer = epoxy_glIsFramebuffer_resolver();

    return dispatch_table->pglIsFramebuffer(framebuffer);
}

static GLAPIENTRY GLboolean
epoxy_glIsFramebufferOES_rewrite_stub(GLuint framebuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsFramebufferOES = epoxy_glIsFramebufferOES_resolver();

    return dispatch_table->pglIsFramebufferOES(framebuffer);
}

static GLAPIENTRY GLboolean
epoxy_glIsImageHandleResidentARB_rewrite_stub(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsImageHandleResidentARB = epoxy_glIsImageHandleResidentARB_resolver();

    return dispatch_table->pglIsImageHandleResidentARB(handle);
}

static GLAPIENTRY GLboolean
epoxy_glIsImageHandleResidentNV_rewrite_stub(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsImageHandleResidentNV = epoxy_glIsImageHandleResidentNV_resolver();

    return dispatch_table->pglIsImageHandleResidentNV(handle);
}

static GLAPIENTRY GLboolean
epoxy_glIsList_rewrite_stub(GLuint list)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsList = epoxy_glIsList_resolver();

    return dispatch_table->pglIsList(list);
}

static GLAPIENTRY GLboolean
epoxy_glIsNameAMD_rewrite_stub(GLenum identifier, GLuint name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsNameAMD = epoxy_glIsNameAMD_resolver();

    return dispatch_table->pglIsNameAMD(identifier, name);
}

static GLAPIENTRY GLboolean
epoxy_glIsNamedBufferResidentNV_rewrite_stub(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsNamedBufferResidentNV = epoxy_glIsNamedBufferResidentNV_resolver();

    return dispatch_table->pglIsNamedBufferResidentNV(buffer);
}

static GLAPIENTRY GLboolean
epoxy_glIsNamedStringARB_rewrite_stub(GLint namelen, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsNamedStringARB = epoxy_glIsNamedStringARB_resolver();

    return dispatch_table->pglIsNamedStringARB(namelen, name);
}

static GLAPIENTRY GLboolean
epoxy_glIsObjectBufferATI_rewrite_stub(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsObjectBufferATI = epoxy_glIsObjectBufferATI_resolver();

    return dispatch_table->pglIsObjectBufferATI(buffer);
}

static GLAPIENTRY GLboolean
epoxy_glIsOcclusionQueryNV_rewrite_stub(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsOcclusionQueryNV = epoxy_glIsOcclusionQueryNV_resolver();

    return dispatch_table->pglIsOcclusionQueryNV(id);
}

static GLAPIENTRY GLboolean
epoxy_glIsPathNV_rewrite_stub(GLuint path)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsPathNV = epoxy_glIsPathNV_resolver();

    return dispatch_table->pglIsPathNV(path);
}

static GLAPIENTRY GLboolean
epoxy_glIsPointInFillPathNV_rewrite_stub(GLuint path, GLuint mask, GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsPointInFillPathNV = epoxy_glIsPointInFillPathNV_resolver();

    return dispatch_table->pglIsPointInFillPathNV(path, mask, x, y);
}

static GLAPIENTRY GLboolean
epoxy_glIsPointInStrokePathNV_rewrite_stub(GLuint path, GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsPointInStrokePathNV = epoxy_glIsPointInStrokePathNV_resolver();

    return dispatch_table->pglIsPointInStrokePathNV(path, x, y);
}

static GLAPIENTRY GLboolean
epoxy_glIsProgram_rewrite_stub(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsProgram = epoxy_glIsProgram_resolver();

    return dispatch_table->pglIsProgram(program);
}

static GLAPIENTRY GLboolean
epoxy_glIsProgramARB_rewrite_stub(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsProgramARB = epoxy_glIsProgramARB_resolver();

    return dispatch_table->pglIsProgramARB(program);
}

static GLAPIENTRY GLboolean
epoxy_glIsProgramPipeline_rewrite_stub(GLuint pipeline)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsProgramPipeline = epoxy_glIsProgramPipeline_resolver();

    return dispatch_table->pglIsProgramPipeline(pipeline);
}

static GLAPIENTRY GLboolean
epoxy_glIsProgramPipelineEXT_rewrite_stub(GLuint pipeline)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsProgramPipelineEXT = epoxy_glIsProgramPipelineEXT_resolver();

    return dispatch_table->pglIsProgramPipelineEXT(pipeline);
}

static GLAPIENTRY GLboolean
epoxy_glIsQuery_rewrite_stub(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsQuery = epoxy_glIsQuery_resolver();

    return dispatch_table->pglIsQuery(id);
}

static GLAPIENTRY GLboolean
epoxy_glIsQueryEXT_rewrite_stub(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsQueryEXT = epoxy_glIsQueryEXT_resolver();

    return dispatch_table->pglIsQueryEXT(id);
}

static GLAPIENTRY GLboolean
epoxy_glIsRenderbuffer_rewrite_stub(GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsRenderbuffer = epoxy_glIsRenderbuffer_resolver();

    return dispatch_table->pglIsRenderbuffer(renderbuffer);
}

static GLAPIENTRY GLboolean
epoxy_glIsRenderbufferOES_rewrite_stub(GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsRenderbufferOES = epoxy_glIsRenderbufferOES_resolver();

    return dispatch_table->pglIsRenderbufferOES(renderbuffer);
}

static GLAPIENTRY GLboolean
epoxy_glIsSampler_rewrite_stub(GLuint sampler)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsSampler = epoxy_glIsSampler_resolver();

    return dispatch_table->pglIsSampler(sampler);
}

static GLAPIENTRY GLboolean
epoxy_glIsShader_rewrite_stub(GLuint shader)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsShader = epoxy_glIsShader_resolver();

    return dispatch_table->pglIsShader(shader);
}

static GLAPIENTRY GLboolean
epoxy_glIsSync_rewrite_stub(GLsync sync)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsSync = epoxy_glIsSync_resolver();

    return dispatch_table->pglIsSync(sync);
}

static GLAPIENTRY GLboolean
epoxy_glIsTexture_rewrite_stub(GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsTexture = epoxy_glIsTexture_resolver();

    return dispatch_table->pglIsTexture(texture);
}

static GLAPIENTRY GLboolean
epoxy_glIsTextureEXT_rewrite_stub(GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsTextureEXT = epoxy_glIsTextureEXT_resolver();

    return dispatch_table->pglIsTextureEXT(texture);
}

static GLAPIENTRY GLboolean
epoxy_glIsTextureHandleResidentARB_rewrite_stub(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsTextureHandleResidentARB = epoxy_glIsTextureHandleResidentARB_resolver();

    return dispatch_table->pglIsTextureHandleResidentARB(handle);
}

static GLAPIENTRY GLboolean
epoxy_glIsTextureHandleResidentNV_rewrite_stub(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsTextureHandleResidentNV = epoxy_glIsTextureHandleResidentNV_resolver();

    return dispatch_table->pglIsTextureHandleResidentNV(handle);
}

static GLAPIENTRY GLboolean
epoxy_glIsTransformFeedback_rewrite_stub(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsTransformFeedback = epoxy_glIsTransformFeedback_resolver();

    return dispatch_table->pglIsTransformFeedback(id);
}

static GLAPIENTRY GLboolean
epoxy_glIsVariantEnabledEXT_rewrite_stub(GLuint id, GLenum cap)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsVariantEnabledEXT = epoxy_glIsVariantEnabledEXT_resolver();

    return dispatch_table->pglIsVariantEnabledEXT(id, cap);
}

static GLAPIENTRY GLboolean
epoxy_glIsVertexArray_rewrite_stub(GLuint array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsVertexArray = epoxy_glIsVertexArray_resolver();

    return dispatch_table->pglIsVertexArray(array);
}

static GLAPIENTRY GLboolean
epoxy_glIsVertexAttribEnabledAPPLE_rewrite_stub(GLuint index, GLenum pname)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIsVertexAttribEnabledAPPLE = epoxy_glIsVertexAttribEnabledAPPLE_resolver();

    return dispatch_table->pglIsVertexAttribEnabledAPPLE(index, pname);
}

static GLAPIENTRY void
epoxy_glLabelObjectEXT_rewrite_stub(GLenum type, GLuint object, GLsizei length, const GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLabelObjectEXT = epoxy_glLabelObjectEXT_resolver();

    dispatch_table->pglLabelObjectEXT(type, object, length, label);
}

static GLAPIENTRY void
epoxy_glLightEnviSGIX_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightEnviSGIX = epoxy_glLightEnviSGIX_resolver();

    dispatch_table->pglLightEnviSGIX(pname, param);
}

static GLAPIENTRY void
epoxy_glLightModelf_rewrite_stub(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModelf = epoxy_glLightModelf_resolver();

    dispatch_table->pglLightModelf(pname, param);
}

static GLAPIENTRY void
epoxy_glLightModelfv_rewrite_stub(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModelfv = epoxy_glLightModelfv_resolver();

    dispatch_table->pglLightModelfv(pname, params);
}

static GLAPIENTRY void
epoxy_glLightModeli_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModeli = epoxy_glLightModeli_resolver();

    dispatch_table->pglLightModeli(pname, param);
}

static GLAPIENTRY void
epoxy_glLightModeliv_rewrite_stub(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModeliv = epoxy_glLightModeliv_resolver();

    dispatch_table->pglLightModeliv(pname, params);
}

static GLAPIENTRY void
epoxy_glLightModelx_rewrite_stub(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModelx = epoxy_glLightModelx_resolver();

    dispatch_table->pglLightModelx(pname, param);
}

static GLAPIENTRY void
epoxy_glLightModelxOES_rewrite_stub(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModelxOES = epoxy_glLightModelxOES_resolver();

    dispatch_table->pglLightModelxOES(pname, param);
}

static GLAPIENTRY void
epoxy_glLightModelxv_rewrite_stub(GLenum pname, const GLfixed * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModelxv = epoxy_glLightModelxv_resolver();

    dispatch_table->pglLightModelxv(pname, param);
}

static GLAPIENTRY void
epoxy_glLightModelxvOES_rewrite_stub(GLenum pname, const GLfixed * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModelxvOES = epoxy_glLightModelxvOES_resolver();

    dispatch_table->pglLightModelxvOES(pname, param);
}

static GLAPIENTRY void
epoxy_glLightf_rewrite_stub(GLenum light, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightf = epoxy_glLightf_resolver();

    dispatch_table->pglLightf(light, pname, param);
}

static GLAPIENTRY void
epoxy_glLightfv_rewrite_stub(GLenum light, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightfv = epoxy_glLightfv_resolver();

    dispatch_table->pglLightfv(light, pname, params);
}

static GLAPIENTRY void
epoxy_glLighti_rewrite_stub(GLenum light, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLighti = epoxy_glLighti_resolver();

    dispatch_table->pglLighti(light, pname, param);
}

static GLAPIENTRY void
epoxy_glLightiv_rewrite_stub(GLenum light, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightiv = epoxy_glLightiv_resolver();

    dispatch_table->pglLightiv(light, pname, params);
}

static GLAPIENTRY void
epoxy_glLightx_rewrite_stub(GLenum light, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightx = epoxy_glLightx_resolver();

    dispatch_table->pglLightx(light, pname, param);
}

static GLAPIENTRY void
epoxy_glLightxOES_rewrite_stub(GLenum light, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightxOES = epoxy_glLightxOES_resolver();

    dispatch_table->pglLightxOES(light, pname, param);
}

static GLAPIENTRY void
epoxy_glLightxv_rewrite_stub(GLenum light, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightxv = epoxy_glLightxv_resolver();

    dispatch_table->pglLightxv(light, pname, params);
}

static GLAPIENTRY void
epoxy_glLightxvOES_rewrite_stub(GLenum light, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightxvOES = epoxy_glLightxvOES_resolver();

    dispatch_table->pglLightxvOES(light, pname, params);
}

static GLAPIENTRY void
epoxy_glLineStipple_rewrite_stub(GLint factor, GLushort pattern)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLineStipple = epoxy_glLineStipple_resolver();

    dispatch_table->pglLineStipple(factor, pattern);
}

static GLAPIENTRY void
epoxy_glLineWidth_rewrite_stub(GLfloat width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLineWidth = epoxy_glLineWidth_resolver();

    dispatch_table->pglLineWidth(width);
}

static GLAPIENTRY void
epoxy_glLineWidthx_rewrite_stub(GLfixed width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLineWidthx = epoxy_glLineWidthx_resolver();

    dispatch_table->pglLineWidthx(width);
}

static GLAPIENTRY void
epoxy_glLineWidthxOES_rewrite_stub(GLfixed width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLineWidthxOES = epoxy_glLineWidthxOES_resolver();

    dispatch_table->pglLineWidthxOES(width);
}

static GLAPIENTRY void
epoxy_glLinkProgram_rewrite_stub(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLinkProgram = epoxy_glLinkProgram_resolver();

    dispatch_table->pglLinkProgram(program);
}

static GLAPIENTRY void
epoxy_glListBase_rewrite_stub(GLuint base)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglListBase = epoxy_glListBase_resolver();

    dispatch_table->pglListBase(base);
}

static GLAPIENTRY void
epoxy_glListParameterfSGIX_rewrite_stub(GLuint list, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglListParameterfSGIX = epoxy_glListParameterfSGIX_resolver();

    dispatch_table->pglListParameterfSGIX(list, pname, param);
}

static GLAPIENTRY void
epoxy_glListParameterfvSGIX_rewrite_stub(GLuint list, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglListParameterfvSGIX = epoxy_glListParameterfvSGIX_resolver();

    dispatch_table->pglListParameterfvSGIX(list, pname, params);
}

static GLAPIENTRY void
epoxy_glListParameteriSGIX_rewrite_stub(GLuint list, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglListParameteriSGIX = epoxy_glListParameteriSGIX_resolver();

    dispatch_table->pglListParameteriSGIX(list, pname, param);
}

static GLAPIENTRY void
epoxy_glListParameterivSGIX_rewrite_stub(GLuint list, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglListParameterivSGIX = epoxy_glListParameterivSGIX_resolver();

    dispatch_table->pglListParameterivSGIX(list, pname, params);
}

static GLAPIENTRY void
epoxy_glLoadIdentity_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadIdentity = epoxy_glLoadIdentity_resolver();

    dispatch_table->pglLoadIdentity();
}

static GLAPIENTRY void
epoxy_glLoadIdentityDeformationMapSGIX_rewrite_stub(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadIdentityDeformationMapSGIX = epoxy_glLoadIdentityDeformationMapSGIX_resolver();

    dispatch_table->pglLoadIdentityDeformationMapSGIX(mask);
}

static GLAPIENTRY void
epoxy_glLoadMatrixd_rewrite_stub(const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadMatrixd = epoxy_glLoadMatrixd_resolver();

    dispatch_table->pglLoadMatrixd(m);
}

static GLAPIENTRY void
epoxy_glLoadMatrixf_rewrite_stub(const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadMatrixf = epoxy_glLoadMatrixf_resolver();

    dispatch_table->pglLoadMatrixf(m);
}

static GLAPIENTRY void
epoxy_glLoadMatrixx_rewrite_stub(const GLfixed * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadMatrixx = epoxy_glLoadMatrixx_resolver();

    dispatch_table->pglLoadMatrixx(m);
}

static GLAPIENTRY void
epoxy_glLoadMatrixxOES_rewrite_stub(const GLfixed * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadMatrixxOES = epoxy_glLoadMatrixxOES_resolver();

    dispatch_table->pglLoadMatrixxOES(m);
}

static GLAPIENTRY void
epoxy_glLoadName_rewrite_stub(GLuint name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadName = epoxy_glLoadName_resolver();

    dispatch_table->pglLoadName(name);
}

static GLAPIENTRY void
epoxy_glLoadPaletteFromModelViewMatrixOES_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadPaletteFromModelViewMatrixOES = epoxy_glLoadPaletteFromModelViewMatrixOES_resolver();

    dispatch_table->pglLoadPaletteFromModelViewMatrixOES();
}

static GLAPIENTRY void
epoxy_glLoadProgramNV_rewrite_stub(GLenum target, GLuint id, GLsizei len, const GLubyte * program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadProgramNV = epoxy_glLoadProgramNV_resolver();

    dispatch_table->pglLoadProgramNV(target, id, len, program);
}

static GLAPIENTRY void
epoxy_glLoadTransposeMatrixd_rewrite_stub(const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadTransposeMatrixd = epoxy_glLoadTransposeMatrixd_resolver();

    dispatch_table->pglLoadTransposeMatrixd(m);
}

static GLAPIENTRY void
epoxy_glLoadTransposeMatrixf_rewrite_stub(const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadTransposeMatrixf = epoxy_glLoadTransposeMatrixf_resolver();

    dispatch_table->pglLoadTransposeMatrixf(m);
}

static GLAPIENTRY void
epoxy_glLoadTransposeMatrixxOES_rewrite_stub(const GLfixed * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadTransposeMatrixxOES = epoxy_glLoadTransposeMatrixxOES_resolver();

    dispatch_table->pglLoadTransposeMatrixxOES(m);
}

static GLAPIENTRY void
epoxy_glLockArraysEXT_rewrite_stub(GLint first, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLockArraysEXT = epoxy_glLockArraysEXT_resolver();

    dispatch_table->pglLockArraysEXT(first, count);
}

static GLAPIENTRY void
epoxy_glLogicOp_rewrite_stub(GLenum opcode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLogicOp = epoxy_glLogicOp_resolver();

    dispatch_table->pglLogicOp(opcode);
}

static GLAPIENTRY void
epoxy_glMakeBufferNonResidentNV_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeBufferNonResidentNV = epoxy_glMakeBufferNonResidentNV_resolver();

    dispatch_table->pglMakeBufferNonResidentNV(target);
}

static GLAPIENTRY void
epoxy_glMakeBufferResidentNV_rewrite_stub(GLenum target, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeBufferResidentNV = epoxy_glMakeBufferResidentNV_resolver();

    dispatch_table->pglMakeBufferResidentNV(target, access);
}

static GLAPIENTRY void
epoxy_glMakeImageHandleNonResidentARB_rewrite_stub(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeImageHandleNonResidentARB = epoxy_glMakeImageHandleNonResidentARB_resolver();

    dispatch_table->pglMakeImageHandleNonResidentARB(handle);
}

static GLAPIENTRY void
epoxy_glMakeImageHandleNonResidentNV_rewrite_stub(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeImageHandleNonResidentNV = epoxy_glMakeImageHandleNonResidentNV_resolver();

    dispatch_table->pglMakeImageHandleNonResidentNV(handle);
}

static GLAPIENTRY void
epoxy_glMakeImageHandleResidentARB_rewrite_stub(GLuint64 handle, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeImageHandleResidentARB = epoxy_glMakeImageHandleResidentARB_resolver();

    dispatch_table->pglMakeImageHandleResidentARB(handle, access);
}

static GLAPIENTRY void
epoxy_glMakeImageHandleResidentNV_rewrite_stub(GLuint64 handle, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeImageHandleResidentNV = epoxy_glMakeImageHandleResidentNV_resolver();

    dispatch_table->pglMakeImageHandleResidentNV(handle, access);
}

static GLAPIENTRY void
epoxy_glMakeNamedBufferNonResidentNV_rewrite_stub(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeNamedBufferNonResidentNV = epoxy_glMakeNamedBufferNonResidentNV_resolver();

    dispatch_table->pglMakeNamedBufferNonResidentNV(buffer);
}

static GLAPIENTRY void
epoxy_glMakeNamedBufferResidentNV_rewrite_stub(GLuint buffer, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeNamedBufferResidentNV = epoxy_glMakeNamedBufferResidentNV_resolver();

    dispatch_table->pglMakeNamedBufferResidentNV(buffer, access);
}

static GLAPIENTRY void
epoxy_glMakeTextureHandleNonResidentARB_rewrite_stub(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeTextureHandleNonResidentARB = epoxy_glMakeTextureHandleNonResidentARB_resolver();

    dispatch_table->pglMakeTextureHandleNonResidentARB(handle);
}

static GLAPIENTRY void
epoxy_glMakeTextureHandleNonResidentNV_rewrite_stub(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeTextureHandleNonResidentNV = epoxy_glMakeTextureHandleNonResidentNV_resolver();

    dispatch_table->pglMakeTextureHandleNonResidentNV(handle);
}

static GLAPIENTRY void
epoxy_glMakeTextureHandleResidentARB_rewrite_stub(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeTextureHandleResidentARB = epoxy_glMakeTextureHandleResidentARB_resolver();

    dispatch_table->pglMakeTextureHandleResidentARB(handle);
}

static GLAPIENTRY void
epoxy_glMakeTextureHandleResidentNV_rewrite_stub(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeTextureHandleResidentNV = epoxy_glMakeTextureHandleResidentNV_resolver();

    dispatch_table->pglMakeTextureHandleResidentNV(handle);
}

static GLAPIENTRY void
epoxy_glMap1d_rewrite_stub(GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMap1d = epoxy_glMap1d_resolver();

    dispatch_table->pglMap1d(target, u1, u2, stride, order, points);
}

static GLAPIENTRY void
epoxy_glMap1f_rewrite_stub(GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMap1f = epoxy_glMap1f_resolver();

    dispatch_table->pglMap1f(target, u1, u2, stride, order, points);
}

static GLAPIENTRY void
epoxy_glMap1xOES_rewrite_stub(GLenum target, GLfixed u1, GLfixed u2, GLint stride, GLint order, GLfixed points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMap1xOES = epoxy_glMap1xOES_resolver();

    dispatch_table->pglMap1xOES(target, u1, u2, stride, order, points);
}

static GLAPIENTRY void
epoxy_glMap2d_rewrite_stub(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMap2d = epoxy_glMap2d_resolver();

    dispatch_table->pglMap2d(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}

static GLAPIENTRY void
epoxy_glMap2f_rewrite_stub(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMap2f = epoxy_glMap2f_resolver();

    dispatch_table->pglMap2f(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}

static GLAPIENTRY void
epoxy_glMap2xOES_rewrite_stub(GLenum target, GLfixed u1, GLfixed u2, GLint ustride, GLint uorder, GLfixed v1, GLfixed v2, GLint vstride, GLint vorder, GLfixed points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMap2xOES = epoxy_glMap2xOES_resolver();

    dispatch_table->pglMap2xOES(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}

static GLAPIENTRY void *
epoxy_glMapBuffer_rewrite_stub(GLenum target, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapBuffer = epoxy_glMapBuffer_resolver();

    return dispatch_table->pglMapBuffer(target, access);
}

static GLAPIENTRY void *
epoxy_glMapBufferRange_rewrite_stub(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapBufferRange = epoxy_glMapBufferRange_resolver();

    return dispatch_table->pglMapBufferRange(target, offset, length, access);
}

static GLAPIENTRY void
epoxy_glMapControlPointsNV_rewrite_stub(GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLint uorder, GLint vorder, GLboolean packed, const void * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapControlPointsNV = epoxy_glMapControlPointsNV_resolver();

    dispatch_table->pglMapControlPointsNV(target, index, type, ustride, vstride, uorder, vorder, packed, points);
}

static GLAPIENTRY void
epoxy_glMapGrid1d_rewrite_stub(GLint un, GLdouble u1, GLdouble u2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapGrid1d = epoxy_glMapGrid1d_resolver();

    dispatch_table->pglMapGrid1d(un, u1, u2);
}

static GLAPIENTRY void
epoxy_glMapGrid1f_rewrite_stub(GLint un, GLfloat u1, GLfloat u2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapGrid1f = epoxy_glMapGrid1f_resolver();

    dispatch_table->pglMapGrid1f(un, u1, u2);
}

static GLAPIENTRY void
epoxy_glMapGrid1xOES_rewrite_stub(GLint n, GLfixed u1, GLfixed u2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapGrid1xOES = epoxy_glMapGrid1xOES_resolver();

    dispatch_table->pglMapGrid1xOES(n, u1, u2);
}

static GLAPIENTRY void
epoxy_glMapGrid2d_rewrite_stub(GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapGrid2d = epoxy_glMapGrid2d_resolver();

    dispatch_table->pglMapGrid2d(un, u1, u2, vn, v1, v2);
}

static GLAPIENTRY void
epoxy_glMapGrid2f_rewrite_stub(GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapGrid2f = epoxy_glMapGrid2f_resolver();

    dispatch_table->pglMapGrid2f(un, u1, u2, vn, v1, v2);
}

static GLAPIENTRY void
epoxy_glMapGrid2xOES_rewrite_stub(GLint n, GLfixed u1, GLfixed u2, GLfixed v1, GLfixed v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapGrid2xOES = epoxy_glMapGrid2xOES_resolver();

    dispatch_table->pglMapGrid2xOES(n, u1, u2, v1, v2);
}

static GLAPIENTRY void *
epoxy_glMapNamedBufferEXT_rewrite_stub(GLuint buffer, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapNamedBufferEXT = epoxy_glMapNamedBufferEXT_resolver();

    return dispatch_table->pglMapNamedBufferEXT(buffer, access);
}

static GLAPIENTRY void *
epoxy_glMapNamedBufferRangeEXT_rewrite_stub(GLuint buffer, GLintptr offset, GLsizeiptr length, GLbitfield access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapNamedBufferRangeEXT = epoxy_glMapNamedBufferRangeEXT_resolver();

    return dispatch_table->pglMapNamedBufferRangeEXT(buffer, offset, length, access);
}

static GLAPIENTRY void *
epoxy_glMapObjectBufferATI_rewrite_stub(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapObjectBufferATI = epoxy_glMapObjectBufferATI_resolver();

    return dispatch_table->pglMapObjectBufferATI(buffer);
}

static GLAPIENTRY void
epoxy_glMapParameterfvNV_rewrite_stub(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapParameterfvNV = epoxy_glMapParameterfvNV_resolver();

    dispatch_table->pglMapParameterfvNV(target, pname, params);
}

static GLAPIENTRY void
epoxy_glMapParameterivNV_rewrite_stub(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapParameterivNV = epoxy_glMapParameterivNV_resolver();

    dispatch_table->pglMapParameterivNV(target, pname, params);
}

static GLAPIENTRY void *
epoxy_glMapTexture2DINTEL_rewrite_stub(GLuint texture, GLint level, GLbitfield access, GLint * stride, GLenum * layout)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapTexture2DINTEL = epoxy_glMapTexture2DINTEL_resolver();

    return dispatch_table->pglMapTexture2DINTEL(texture, level, access, stride, layout);
}

static GLAPIENTRY void
epoxy_glMapVertexAttrib1dAPPLE_rewrite_stub(GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapVertexAttrib1dAPPLE = epoxy_glMapVertexAttrib1dAPPLE_resolver();

    dispatch_table->pglMapVertexAttrib1dAPPLE(index, size, u1, u2, stride, order, points);
}

static GLAPIENTRY void
epoxy_glMapVertexAttrib1fAPPLE_rewrite_stub(GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapVertexAttrib1fAPPLE = epoxy_glMapVertexAttrib1fAPPLE_resolver();

    dispatch_table->pglMapVertexAttrib1fAPPLE(index, size, u1, u2, stride, order, points);
}

static GLAPIENTRY void
epoxy_glMapVertexAttrib2dAPPLE_rewrite_stub(GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapVertexAttrib2dAPPLE = epoxy_glMapVertexAttrib2dAPPLE_resolver();

    dispatch_table->pglMapVertexAttrib2dAPPLE(index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}

static GLAPIENTRY void
epoxy_glMapVertexAttrib2fAPPLE_rewrite_stub(GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapVertexAttrib2fAPPLE = epoxy_glMapVertexAttrib2fAPPLE_resolver();

    dispatch_table->pglMapVertexAttrib2fAPPLE(index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}

static GLAPIENTRY void
epoxy_glMaterialf_rewrite_stub(GLenum face, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialf = epoxy_glMaterialf_resolver();

    dispatch_table->pglMaterialf(face, pname, param);
}

static GLAPIENTRY void
epoxy_glMaterialfv_rewrite_stub(GLenum face, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialfv = epoxy_glMaterialfv_resolver();

    dispatch_table->pglMaterialfv(face, pname, params);
}

static GLAPIENTRY void
epoxy_glMateriali_rewrite_stub(GLenum face, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMateriali = epoxy_glMateriali_resolver();

    dispatch_table->pglMateriali(face, pname, param);
}

static GLAPIENTRY void
epoxy_glMaterialiv_rewrite_stub(GLenum face, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialiv = epoxy_glMaterialiv_resolver();

    dispatch_table->pglMaterialiv(face, pname, params);
}

static GLAPIENTRY void
epoxy_glMaterialx_rewrite_stub(GLenum face, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialx = epoxy_glMaterialx_resolver();

    dispatch_table->pglMaterialx(face, pname, param);
}

static GLAPIENTRY void
epoxy_glMaterialxOES_rewrite_stub(GLenum face, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialxOES = epoxy_glMaterialxOES_resolver();

    dispatch_table->pglMaterialxOES(face, pname, param);
}

static GLAPIENTRY void
epoxy_glMaterialxv_rewrite_stub(GLenum face, GLenum pname, const GLfixed * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialxv = epoxy_glMaterialxv_resolver();

    dispatch_table->pglMaterialxv(face, pname, param);
}

static GLAPIENTRY void
epoxy_glMaterialxvOES_rewrite_stub(GLenum face, GLenum pname, const GLfixed * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialxvOES = epoxy_glMaterialxvOES_resolver();

    dispatch_table->pglMaterialxvOES(face, pname, param);
}

static GLAPIENTRY void
epoxy_glMatrixFrustumEXT_rewrite_stub(GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixFrustumEXT = epoxy_glMatrixFrustumEXT_resolver();

    dispatch_table->pglMatrixFrustumEXT(mode, left, right, bottom, top, zNear, zFar);
}

static GLAPIENTRY void
epoxy_glMatrixIndexPointerARB_rewrite_stub(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixIndexPointerARB = epoxy_glMatrixIndexPointerARB_resolver();

    dispatch_table->pglMatrixIndexPointerARB(size, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glMatrixIndexPointerOES_rewrite_stub(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixIndexPointerOES = epoxy_glMatrixIndexPointerOES_resolver();

    dispatch_table->pglMatrixIndexPointerOES(size, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glMatrixIndexubvARB_rewrite_stub(GLint size, const GLubyte * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixIndexubvARB = epoxy_glMatrixIndexubvARB_resolver();

    dispatch_table->pglMatrixIndexubvARB(size, indices);
}

static GLAPIENTRY void
epoxy_glMatrixIndexuivARB_rewrite_stub(GLint size, const GLuint * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixIndexuivARB = epoxy_glMatrixIndexuivARB_resolver();

    dispatch_table->pglMatrixIndexuivARB(size, indices);
}

static GLAPIENTRY void
epoxy_glMatrixIndexusvARB_rewrite_stub(GLint size, const GLushort * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixIndexusvARB = epoxy_glMatrixIndexusvARB_resolver();

    dispatch_table->pglMatrixIndexusvARB(size, indices);
}

static GLAPIENTRY void
epoxy_glMatrixLoadIdentityEXT_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixLoadIdentityEXT = epoxy_glMatrixLoadIdentityEXT_resolver();

    dispatch_table->pglMatrixLoadIdentityEXT(mode);
}

static GLAPIENTRY void
epoxy_glMatrixLoadTransposedEXT_rewrite_stub(GLenum mode, const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixLoadTransposedEXT = epoxy_glMatrixLoadTransposedEXT_resolver();

    dispatch_table->pglMatrixLoadTransposedEXT(mode, m);
}

static GLAPIENTRY void
epoxy_glMatrixLoadTransposefEXT_rewrite_stub(GLenum mode, const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixLoadTransposefEXT = epoxy_glMatrixLoadTransposefEXT_resolver();

    dispatch_table->pglMatrixLoadTransposefEXT(mode, m);
}

static GLAPIENTRY void
epoxy_glMatrixLoaddEXT_rewrite_stub(GLenum mode, const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixLoaddEXT = epoxy_glMatrixLoaddEXT_resolver();

    dispatch_table->pglMatrixLoaddEXT(mode, m);
}

static GLAPIENTRY void
epoxy_glMatrixLoadfEXT_rewrite_stub(GLenum mode, const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixLoadfEXT = epoxy_glMatrixLoadfEXT_resolver();

    dispatch_table->pglMatrixLoadfEXT(mode, m);
}

static GLAPIENTRY void
epoxy_glMatrixMode_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixMode = epoxy_glMatrixMode_resolver();

    dispatch_table->pglMatrixMode(mode);
}

static GLAPIENTRY void
epoxy_glMatrixMultTransposedEXT_rewrite_stub(GLenum mode, const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixMultTransposedEXT = epoxy_glMatrixMultTransposedEXT_resolver();

    dispatch_table->pglMatrixMultTransposedEXT(mode, m);
}

static GLAPIENTRY void
epoxy_glMatrixMultTransposefEXT_rewrite_stub(GLenum mode, const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixMultTransposefEXT = epoxy_glMatrixMultTransposefEXT_resolver();

    dispatch_table->pglMatrixMultTransposefEXT(mode, m);
}

static GLAPIENTRY void
epoxy_glMatrixMultdEXT_rewrite_stub(GLenum mode, const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixMultdEXT = epoxy_glMatrixMultdEXT_resolver();

    dispatch_table->pglMatrixMultdEXT(mode, m);
}

static GLAPIENTRY void
epoxy_glMatrixMultfEXT_rewrite_stub(GLenum mode, const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixMultfEXT = epoxy_glMatrixMultfEXT_resolver();

    dispatch_table->pglMatrixMultfEXT(mode, m);
}

static GLAPIENTRY void
epoxy_glMatrixOrthoEXT_rewrite_stub(GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixOrthoEXT = epoxy_glMatrixOrthoEXT_resolver();

    dispatch_table->pglMatrixOrthoEXT(mode, left, right, bottom, top, zNear, zFar);
}

static GLAPIENTRY void
epoxy_glMatrixPopEXT_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixPopEXT = epoxy_glMatrixPopEXT_resolver();

    dispatch_table->pglMatrixPopEXT(mode);
}

static GLAPIENTRY void
epoxy_glMatrixPushEXT_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixPushEXT = epoxy_glMatrixPushEXT_resolver();

    dispatch_table->pglMatrixPushEXT(mode);
}

static GLAPIENTRY void
epoxy_glMatrixRotatedEXT_rewrite_stub(GLenum mode, GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixRotatedEXT = epoxy_glMatrixRotatedEXT_resolver();

    dispatch_table->pglMatrixRotatedEXT(mode, angle, x, y, z);
}

static GLAPIENTRY void
epoxy_glMatrixRotatefEXT_rewrite_stub(GLenum mode, GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixRotatefEXT = epoxy_glMatrixRotatefEXT_resolver();

    dispatch_table->pglMatrixRotatefEXT(mode, angle, x, y, z);
}

static GLAPIENTRY void
epoxy_glMatrixScaledEXT_rewrite_stub(GLenum mode, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixScaledEXT = epoxy_glMatrixScaledEXT_resolver();

    dispatch_table->pglMatrixScaledEXT(mode, x, y, z);
}

static GLAPIENTRY void
epoxy_glMatrixScalefEXT_rewrite_stub(GLenum mode, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixScalefEXT = epoxy_glMatrixScalefEXT_resolver();

    dispatch_table->pglMatrixScalefEXT(mode, x, y, z);
}

static GLAPIENTRY void
epoxy_glMatrixTranslatedEXT_rewrite_stub(GLenum mode, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixTranslatedEXT = epoxy_glMatrixTranslatedEXT_resolver();

    dispatch_table->pglMatrixTranslatedEXT(mode, x, y, z);
}

static GLAPIENTRY void
epoxy_glMatrixTranslatefEXT_rewrite_stub(GLenum mode, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixTranslatefEXT = epoxy_glMatrixTranslatefEXT_resolver();

    dispatch_table->pglMatrixTranslatefEXT(mode, x, y, z);
}

static GLAPIENTRY void
epoxy_glMemoryBarrier_rewrite_stub(GLbitfield barriers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMemoryBarrier = epoxy_glMemoryBarrier_resolver();

    dispatch_table->pglMemoryBarrier(barriers);
}

static GLAPIENTRY void
epoxy_glMinSampleShading_rewrite_stub(GLfloat value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMinSampleShading = epoxy_glMinSampleShading_resolver();

    dispatch_table->pglMinSampleShading(value);
}

static GLAPIENTRY void
epoxy_glMinmax_rewrite_stub(GLenum target, GLenum internalformat, GLboolean sink)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMinmax = epoxy_glMinmax_resolver();

    dispatch_table->pglMinmax(target, internalformat, sink);
}

static GLAPIENTRY void
epoxy_glMultMatrixd_rewrite_stub(const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultMatrixd = epoxy_glMultMatrixd_resolver();

    dispatch_table->pglMultMatrixd(m);
}

static GLAPIENTRY void
epoxy_glMultMatrixf_rewrite_stub(const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultMatrixf = epoxy_glMultMatrixf_resolver();

    dispatch_table->pglMultMatrixf(m);
}

static GLAPIENTRY void
epoxy_glMultMatrixx_rewrite_stub(const GLfixed * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultMatrixx = epoxy_glMultMatrixx_resolver();

    dispatch_table->pglMultMatrixx(m);
}

static GLAPIENTRY void
epoxy_glMultMatrixxOES_rewrite_stub(const GLfixed * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultMatrixxOES = epoxy_glMultMatrixxOES_resolver();

    dispatch_table->pglMultMatrixxOES(m);
}

static GLAPIENTRY void
epoxy_glMultTransposeMatrixd_rewrite_stub(const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultTransposeMatrixd = epoxy_glMultTransposeMatrixd_resolver();

    dispatch_table->pglMultTransposeMatrixd(m);
}

static GLAPIENTRY void
epoxy_glMultTransposeMatrixf_rewrite_stub(const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultTransposeMatrixf = epoxy_glMultTransposeMatrixf_resolver();

    dispatch_table->pglMultTransposeMatrixf(m);
}

static GLAPIENTRY void
epoxy_glMultTransposeMatrixxOES_rewrite_stub(const GLfixed * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultTransposeMatrixxOES = epoxy_glMultTransposeMatrixxOES_resolver();

    dispatch_table->pglMultTransposeMatrixxOES(m);
}

static GLAPIENTRY void
epoxy_glMultiDrawArrays_rewrite_stub(GLenum mode, const GLint * first, const GLsizei * count, GLsizei drawcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawArrays = epoxy_glMultiDrawArrays_resolver();

    dispatch_table->pglMultiDrawArrays(mode, first, count, drawcount);
}

static GLAPIENTRY void
epoxy_glMultiDrawArraysIndirect_rewrite_stub(GLenum mode, const void * indirect, GLsizei drawcount, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawArraysIndirect = epoxy_glMultiDrawArraysIndirect_resolver();

    dispatch_table->pglMultiDrawArraysIndirect(mode, indirect, drawcount, stride);
}

static GLAPIENTRY void
epoxy_glMultiDrawArraysIndirectBindlessNV_rewrite_stub(GLenum mode, const void * indirect, GLsizei drawCount, GLsizei stride, GLint vertexBufferCount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawArraysIndirectBindlessNV = epoxy_glMultiDrawArraysIndirectBindlessNV_resolver();

    dispatch_table->pglMultiDrawArraysIndirectBindlessNV(mode, indirect, drawCount, stride, vertexBufferCount);
}

static GLAPIENTRY void
epoxy_glMultiDrawArraysIndirectCountARB_rewrite_stub(GLenum mode, GLintptr indirect, GLintptr drawcount, GLsizei maxdrawcount, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawArraysIndirectCountARB = epoxy_glMultiDrawArraysIndirectCountARB_resolver();

    dispatch_table->pglMultiDrawArraysIndirectCountARB(mode, indirect, drawcount, maxdrawcount, stride);
}

static GLAPIENTRY void
epoxy_glMultiDrawElementArrayAPPLE_rewrite_stub(GLenum mode, const GLint * first, const GLsizei * count, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElementArrayAPPLE = epoxy_glMultiDrawElementArrayAPPLE_resolver();

    dispatch_table->pglMultiDrawElementArrayAPPLE(mode, first, count, primcount);
}

static GLAPIENTRY void
epoxy_glMultiDrawElements_rewrite_stub(GLenum mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei drawcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElements = epoxy_glMultiDrawElements_resolver();

    dispatch_table->pglMultiDrawElements(mode, count, type, indices, drawcount);
}

static GLAPIENTRY void
epoxy_glMultiDrawElementsBaseVertex_rewrite_stub(GLenum mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei drawcount, const GLint * basevertex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElementsBaseVertex = epoxy_glMultiDrawElementsBaseVertex_resolver();

    dispatch_table->pglMultiDrawElementsBaseVertex(mode, count, type, indices, drawcount, basevertex);
}

static GLAPIENTRY void
epoxy_glMultiDrawElementsIndirect_rewrite_stub(GLenum mode, GLenum type, const void * indirect, GLsizei drawcount, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElementsIndirect = epoxy_glMultiDrawElementsIndirect_resolver();

    dispatch_table->pglMultiDrawElementsIndirect(mode, type, indirect, drawcount, stride);
}

static GLAPIENTRY void
epoxy_glMultiDrawElementsIndirectBindlessNV_rewrite_stub(GLenum mode, GLenum type, const void * indirect, GLsizei drawCount, GLsizei stride, GLint vertexBufferCount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElementsIndirectBindlessNV = epoxy_glMultiDrawElementsIndirectBindlessNV_resolver();

    dispatch_table->pglMultiDrawElementsIndirectBindlessNV(mode, type, indirect, drawCount, stride, vertexBufferCount);
}

static GLAPIENTRY void
epoxy_glMultiDrawElementsIndirectCountARB_rewrite_stub(GLenum mode, GLenum type, GLintptr indirect, GLintptr drawcount, GLsizei maxdrawcount, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElementsIndirectCountARB = epoxy_glMultiDrawElementsIndirectCountARB_resolver();

    dispatch_table->pglMultiDrawElementsIndirectCountARB(mode, type, indirect, drawcount, maxdrawcount, stride);
}

static GLAPIENTRY void
epoxy_glMultiDrawRangeElementArrayAPPLE_rewrite_stub(GLenum mode, GLuint start, GLuint end, const GLint * first, const GLsizei * count, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawRangeElementArrayAPPLE = epoxy_glMultiDrawRangeElementArrayAPPLE_resolver();

    dispatch_table->pglMultiDrawRangeElementArrayAPPLE(mode, start, end, first, count, primcount);
}

static GLAPIENTRY void
epoxy_glMultiModeDrawArraysIBM_rewrite_stub(const GLenum * mode, const GLint * first, const GLsizei * count, GLsizei primcount, GLint modestride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiModeDrawArraysIBM = epoxy_glMultiModeDrawArraysIBM_resolver();

    dispatch_table->pglMultiModeDrawArraysIBM(mode, first, count, primcount, modestride);
}

static GLAPIENTRY void
epoxy_glMultiModeDrawElementsIBM_rewrite_stub(const GLenum * mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei primcount, GLint modestride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiModeDrawElementsIBM = epoxy_glMultiModeDrawElementsIBM_resolver();

    dispatch_table->pglMultiModeDrawElementsIBM(mode, count, type, indices, primcount, modestride);
}

static GLAPIENTRY void
epoxy_glMultiTexBufferEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum internalformat, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexBufferEXT = epoxy_glMultiTexBufferEXT_resolver();

    dispatch_table->pglMultiTexBufferEXT(texunit, target, internalformat, buffer);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1bOES_rewrite_stub(GLenum texture, GLbyte s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1bOES = epoxy_glMultiTexCoord1bOES_resolver();

    dispatch_table->pglMultiTexCoord1bOES(texture, s);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1bvOES_rewrite_stub(GLenum texture, const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1bvOES = epoxy_glMultiTexCoord1bvOES_resolver();

    dispatch_table->pglMultiTexCoord1bvOES(texture, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1d_rewrite_stub(GLenum target, GLdouble s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1d = epoxy_glMultiTexCoord1d_resolver();

    dispatch_table->pglMultiTexCoord1d(target, s);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1dv_rewrite_stub(GLenum target, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1dv = epoxy_glMultiTexCoord1dv_resolver();

    dispatch_table->pglMultiTexCoord1dv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1f_rewrite_stub(GLenum target, GLfloat s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1f = epoxy_glMultiTexCoord1f_resolver();

    dispatch_table->pglMultiTexCoord1f(target, s);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1fv_rewrite_stub(GLenum target, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1fv = epoxy_glMultiTexCoord1fv_resolver();

    dispatch_table->pglMultiTexCoord1fv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1hNV_rewrite_stub(GLenum target, GLhalfNV s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1hNV = epoxy_glMultiTexCoord1hNV_resolver();

    dispatch_table->pglMultiTexCoord1hNV(target, s);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1hvNV_rewrite_stub(GLenum target, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1hvNV = epoxy_glMultiTexCoord1hvNV_resolver();

    dispatch_table->pglMultiTexCoord1hvNV(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1i_rewrite_stub(GLenum target, GLint s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1i = epoxy_glMultiTexCoord1i_resolver();

    dispatch_table->pglMultiTexCoord1i(target, s);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1iv_rewrite_stub(GLenum target, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1iv = epoxy_glMultiTexCoord1iv_resolver();

    dispatch_table->pglMultiTexCoord1iv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1s_rewrite_stub(GLenum target, GLshort s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1s = epoxy_glMultiTexCoord1s_resolver();

    dispatch_table->pglMultiTexCoord1s(target, s);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1sv_rewrite_stub(GLenum target, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1sv = epoxy_glMultiTexCoord1sv_resolver();

    dispatch_table->pglMultiTexCoord1sv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1xOES_rewrite_stub(GLenum texture, GLfixed s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1xOES = epoxy_glMultiTexCoord1xOES_resolver();

    dispatch_table->pglMultiTexCoord1xOES(texture, s);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord1xvOES_rewrite_stub(GLenum texture, const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1xvOES = epoxy_glMultiTexCoord1xvOES_resolver();

    dispatch_table->pglMultiTexCoord1xvOES(texture, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2bOES_rewrite_stub(GLenum texture, GLbyte s, GLbyte t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2bOES = epoxy_glMultiTexCoord2bOES_resolver();

    dispatch_table->pglMultiTexCoord2bOES(texture, s, t);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2bvOES_rewrite_stub(GLenum texture, const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2bvOES = epoxy_glMultiTexCoord2bvOES_resolver();

    dispatch_table->pglMultiTexCoord2bvOES(texture, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2d_rewrite_stub(GLenum target, GLdouble s, GLdouble t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2d = epoxy_glMultiTexCoord2d_resolver();

    dispatch_table->pglMultiTexCoord2d(target, s, t);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2dv_rewrite_stub(GLenum target, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2dv = epoxy_glMultiTexCoord2dv_resolver();

    dispatch_table->pglMultiTexCoord2dv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2f_rewrite_stub(GLenum target, GLfloat s, GLfloat t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2f = epoxy_glMultiTexCoord2f_resolver();

    dispatch_table->pglMultiTexCoord2f(target, s, t);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2fv_rewrite_stub(GLenum target, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2fv = epoxy_glMultiTexCoord2fv_resolver();

    dispatch_table->pglMultiTexCoord2fv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2hNV_rewrite_stub(GLenum target, GLhalfNV s, GLhalfNV t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2hNV = epoxy_glMultiTexCoord2hNV_resolver();

    dispatch_table->pglMultiTexCoord2hNV(target, s, t);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2hvNV_rewrite_stub(GLenum target, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2hvNV = epoxy_glMultiTexCoord2hvNV_resolver();

    dispatch_table->pglMultiTexCoord2hvNV(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2i_rewrite_stub(GLenum target, GLint s, GLint t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2i = epoxy_glMultiTexCoord2i_resolver();

    dispatch_table->pglMultiTexCoord2i(target, s, t);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2iv_rewrite_stub(GLenum target, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2iv = epoxy_glMultiTexCoord2iv_resolver();

    dispatch_table->pglMultiTexCoord2iv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2s_rewrite_stub(GLenum target, GLshort s, GLshort t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2s = epoxy_glMultiTexCoord2s_resolver();

    dispatch_table->pglMultiTexCoord2s(target, s, t);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2sv_rewrite_stub(GLenum target, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2sv = epoxy_glMultiTexCoord2sv_resolver();

    dispatch_table->pglMultiTexCoord2sv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2xOES_rewrite_stub(GLenum texture, GLfixed s, GLfixed t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2xOES = epoxy_glMultiTexCoord2xOES_resolver();

    dispatch_table->pglMultiTexCoord2xOES(texture, s, t);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord2xvOES_rewrite_stub(GLenum texture, const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2xvOES = epoxy_glMultiTexCoord2xvOES_resolver();

    dispatch_table->pglMultiTexCoord2xvOES(texture, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3bOES_rewrite_stub(GLenum texture, GLbyte s, GLbyte t, GLbyte r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3bOES = epoxy_glMultiTexCoord3bOES_resolver();

    dispatch_table->pglMultiTexCoord3bOES(texture, s, t, r);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3bvOES_rewrite_stub(GLenum texture, const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3bvOES = epoxy_glMultiTexCoord3bvOES_resolver();

    dispatch_table->pglMultiTexCoord3bvOES(texture, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3d_rewrite_stub(GLenum target, GLdouble s, GLdouble t, GLdouble r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3d = epoxy_glMultiTexCoord3d_resolver();

    dispatch_table->pglMultiTexCoord3d(target, s, t, r);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3dv_rewrite_stub(GLenum target, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3dv = epoxy_glMultiTexCoord3dv_resolver();

    dispatch_table->pglMultiTexCoord3dv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3f_rewrite_stub(GLenum target, GLfloat s, GLfloat t, GLfloat r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3f = epoxy_glMultiTexCoord3f_resolver();

    dispatch_table->pglMultiTexCoord3f(target, s, t, r);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3fv_rewrite_stub(GLenum target, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3fv = epoxy_glMultiTexCoord3fv_resolver();

    dispatch_table->pglMultiTexCoord3fv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3hNV_rewrite_stub(GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3hNV = epoxy_glMultiTexCoord3hNV_resolver();

    dispatch_table->pglMultiTexCoord3hNV(target, s, t, r);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3hvNV_rewrite_stub(GLenum target, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3hvNV = epoxy_glMultiTexCoord3hvNV_resolver();

    dispatch_table->pglMultiTexCoord3hvNV(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3i_rewrite_stub(GLenum target, GLint s, GLint t, GLint r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3i = epoxy_glMultiTexCoord3i_resolver();

    dispatch_table->pglMultiTexCoord3i(target, s, t, r);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3iv_rewrite_stub(GLenum target, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3iv = epoxy_glMultiTexCoord3iv_resolver();

    dispatch_table->pglMultiTexCoord3iv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3s_rewrite_stub(GLenum target, GLshort s, GLshort t, GLshort r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3s = epoxy_glMultiTexCoord3s_resolver();

    dispatch_table->pglMultiTexCoord3s(target, s, t, r);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3sv_rewrite_stub(GLenum target, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3sv = epoxy_glMultiTexCoord3sv_resolver();

    dispatch_table->pglMultiTexCoord3sv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3xOES_rewrite_stub(GLenum texture, GLfixed s, GLfixed t, GLfixed r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3xOES = epoxy_glMultiTexCoord3xOES_resolver();

    dispatch_table->pglMultiTexCoord3xOES(texture, s, t, r);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord3xvOES_rewrite_stub(GLenum texture, const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3xvOES = epoxy_glMultiTexCoord3xvOES_resolver();

    dispatch_table->pglMultiTexCoord3xvOES(texture, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4bOES_rewrite_stub(GLenum texture, GLbyte s, GLbyte t, GLbyte r, GLbyte q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4bOES = epoxy_glMultiTexCoord4bOES_resolver();

    dispatch_table->pglMultiTexCoord4bOES(texture, s, t, r, q);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4bvOES_rewrite_stub(GLenum texture, const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4bvOES = epoxy_glMultiTexCoord4bvOES_resolver();

    dispatch_table->pglMultiTexCoord4bvOES(texture, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4d_rewrite_stub(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4d = epoxy_glMultiTexCoord4d_resolver();

    dispatch_table->pglMultiTexCoord4d(target, s, t, r, q);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4dv_rewrite_stub(GLenum target, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4dv = epoxy_glMultiTexCoord4dv_resolver();

    dispatch_table->pglMultiTexCoord4dv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4f_rewrite_stub(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4f = epoxy_glMultiTexCoord4f_resolver();

    dispatch_table->pglMultiTexCoord4f(target, s, t, r, q);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4fv_rewrite_stub(GLenum target, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4fv = epoxy_glMultiTexCoord4fv_resolver();

    dispatch_table->pglMultiTexCoord4fv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4hNV_rewrite_stub(GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4hNV = epoxy_glMultiTexCoord4hNV_resolver();

    dispatch_table->pglMultiTexCoord4hNV(target, s, t, r, q);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4hvNV_rewrite_stub(GLenum target, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4hvNV = epoxy_glMultiTexCoord4hvNV_resolver();

    dispatch_table->pglMultiTexCoord4hvNV(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4i_rewrite_stub(GLenum target, GLint s, GLint t, GLint r, GLint q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4i = epoxy_glMultiTexCoord4i_resolver();

    dispatch_table->pglMultiTexCoord4i(target, s, t, r, q);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4iv_rewrite_stub(GLenum target, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4iv = epoxy_glMultiTexCoord4iv_resolver();

    dispatch_table->pglMultiTexCoord4iv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4s_rewrite_stub(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4s = epoxy_glMultiTexCoord4s_resolver();

    dispatch_table->pglMultiTexCoord4s(target, s, t, r, q);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4sv_rewrite_stub(GLenum target, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4sv = epoxy_glMultiTexCoord4sv_resolver();

    dispatch_table->pglMultiTexCoord4sv(target, v);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4x_rewrite_stub(GLenum texture, GLfixed s, GLfixed t, GLfixed r, GLfixed q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4x = epoxy_glMultiTexCoord4x_resolver();

    dispatch_table->pglMultiTexCoord4x(texture, s, t, r, q);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4xOES_rewrite_stub(GLenum texture, GLfixed s, GLfixed t, GLfixed r, GLfixed q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4xOES = epoxy_glMultiTexCoord4xOES_resolver();

    dispatch_table->pglMultiTexCoord4xOES(texture, s, t, r, q);
}

static GLAPIENTRY void
epoxy_glMultiTexCoord4xvOES_rewrite_stub(GLenum texture, const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4xvOES = epoxy_glMultiTexCoord4xvOES_resolver();

    dispatch_table->pglMultiTexCoord4xvOES(texture, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoordP1ui_rewrite_stub(GLenum texture, GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP1ui = epoxy_glMultiTexCoordP1ui_resolver();

    dispatch_table->pglMultiTexCoordP1ui(texture, type, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoordP1uiv_rewrite_stub(GLenum texture, GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP1uiv = epoxy_glMultiTexCoordP1uiv_resolver();

    dispatch_table->pglMultiTexCoordP1uiv(texture, type, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoordP2ui_rewrite_stub(GLenum texture, GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP2ui = epoxy_glMultiTexCoordP2ui_resolver();

    dispatch_table->pglMultiTexCoordP2ui(texture, type, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoordP2uiv_rewrite_stub(GLenum texture, GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP2uiv = epoxy_glMultiTexCoordP2uiv_resolver();

    dispatch_table->pglMultiTexCoordP2uiv(texture, type, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoordP3ui_rewrite_stub(GLenum texture, GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP3ui = epoxy_glMultiTexCoordP3ui_resolver();

    dispatch_table->pglMultiTexCoordP3ui(texture, type, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoordP3uiv_rewrite_stub(GLenum texture, GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP3uiv = epoxy_glMultiTexCoordP3uiv_resolver();

    dispatch_table->pglMultiTexCoordP3uiv(texture, type, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoordP4ui_rewrite_stub(GLenum texture, GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP4ui = epoxy_glMultiTexCoordP4ui_resolver();

    dispatch_table->pglMultiTexCoordP4ui(texture, type, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoordP4uiv_rewrite_stub(GLenum texture, GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP4uiv = epoxy_glMultiTexCoordP4uiv_resolver();

    dispatch_table->pglMultiTexCoordP4uiv(texture, type, coords);
}

static GLAPIENTRY void
epoxy_glMultiTexCoordPointerEXT_rewrite_stub(GLenum texunit, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordPointerEXT = epoxy_glMultiTexCoordPointerEXT_resolver();

    dispatch_table->pglMultiTexCoordPointerEXT(texunit, size, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glMultiTexEnvfEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexEnvfEXT = epoxy_glMultiTexEnvfEXT_resolver();

    dispatch_table->pglMultiTexEnvfEXT(texunit, target, pname, param);
}

static GLAPIENTRY void
epoxy_glMultiTexEnvfvEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexEnvfvEXT = epoxy_glMultiTexEnvfvEXT_resolver();

    dispatch_table->pglMultiTexEnvfvEXT(texunit, target, pname, params);
}

static GLAPIENTRY void
epoxy_glMultiTexEnviEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexEnviEXT = epoxy_glMultiTexEnviEXT_resolver();

    dispatch_table->pglMultiTexEnviEXT(texunit, target, pname, param);
}

static GLAPIENTRY void
epoxy_glMultiTexEnvivEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexEnvivEXT = epoxy_glMultiTexEnvivEXT_resolver();

    dispatch_table->pglMultiTexEnvivEXT(texunit, target, pname, params);
}

static GLAPIENTRY void
epoxy_glMultiTexGendEXT_rewrite_stub(GLenum texunit, GLenum coord, GLenum pname, GLdouble param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexGendEXT = epoxy_glMultiTexGendEXT_resolver();

    dispatch_table->pglMultiTexGendEXT(texunit, coord, pname, param);
}

static GLAPIENTRY void
epoxy_glMultiTexGendvEXT_rewrite_stub(GLenum texunit, GLenum coord, GLenum pname, const GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexGendvEXT = epoxy_glMultiTexGendvEXT_resolver();

    dispatch_table->pglMultiTexGendvEXT(texunit, coord, pname, params);
}

static GLAPIENTRY void
epoxy_glMultiTexGenfEXT_rewrite_stub(GLenum texunit, GLenum coord, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexGenfEXT = epoxy_glMultiTexGenfEXT_resolver();

    dispatch_table->pglMultiTexGenfEXT(texunit, coord, pname, param);
}

static GLAPIENTRY void
epoxy_glMultiTexGenfvEXT_rewrite_stub(GLenum texunit, GLenum coord, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexGenfvEXT = epoxy_glMultiTexGenfvEXT_resolver();

    dispatch_table->pglMultiTexGenfvEXT(texunit, coord, pname, params);
}

static GLAPIENTRY void
epoxy_glMultiTexGeniEXT_rewrite_stub(GLenum texunit, GLenum coord, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexGeniEXT = epoxy_glMultiTexGeniEXT_resolver();

    dispatch_table->pglMultiTexGeniEXT(texunit, coord, pname, param);
}

static GLAPIENTRY void
epoxy_glMultiTexGenivEXT_rewrite_stub(GLenum texunit, GLenum coord, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexGenivEXT = epoxy_glMultiTexGenivEXT_resolver();

    dispatch_table->pglMultiTexGenivEXT(texunit, coord, pname, params);
}

static GLAPIENTRY void
epoxy_glMultiTexImage1DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexImage1DEXT = epoxy_glMultiTexImage1DEXT_resolver();

    dispatch_table->pglMultiTexImage1DEXT(texunit, target, level, internalformat, width, border, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glMultiTexImage2DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexImage2DEXT = epoxy_glMultiTexImage2DEXT_resolver();

    dispatch_table->pglMultiTexImage2DEXT(texunit, target, level, internalformat, width, height, border, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glMultiTexImage3DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexImage3DEXT = epoxy_glMultiTexImage3DEXT_resolver();

    dispatch_table->pglMultiTexImage3DEXT(texunit, target, level, internalformat, width, height, depth, border, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glMultiTexParameterIivEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexParameterIivEXT = epoxy_glMultiTexParameterIivEXT_resolver();

    dispatch_table->pglMultiTexParameterIivEXT(texunit, target, pname, params);
}

static GLAPIENTRY void
epoxy_glMultiTexParameterIuivEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexParameterIuivEXT = epoxy_glMultiTexParameterIuivEXT_resolver();

    dispatch_table->pglMultiTexParameterIuivEXT(texunit, target, pname, params);
}

static GLAPIENTRY void
epoxy_glMultiTexParameterfEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexParameterfEXT = epoxy_glMultiTexParameterfEXT_resolver();

    dispatch_table->pglMultiTexParameterfEXT(texunit, target, pname, param);
}

static GLAPIENTRY void
epoxy_glMultiTexParameterfvEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexParameterfvEXT = epoxy_glMultiTexParameterfvEXT_resolver();

    dispatch_table->pglMultiTexParameterfvEXT(texunit, target, pname, params);
}

static GLAPIENTRY void
epoxy_glMultiTexParameteriEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexParameteriEXT = epoxy_glMultiTexParameteriEXT_resolver();

    dispatch_table->pglMultiTexParameteriEXT(texunit, target, pname, param);
}

static GLAPIENTRY void
epoxy_glMultiTexParameterivEXT_rewrite_stub(GLenum texunit, GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexParameterivEXT = epoxy_glMultiTexParameterivEXT_resolver();

    dispatch_table->pglMultiTexParameterivEXT(texunit, target, pname, params);
}

static GLAPIENTRY void
epoxy_glMultiTexRenderbufferEXT_rewrite_stub(GLenum texunit, GLenum target, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexRenderbufferEXT = epoxy_glMultiTexRenderbufferEXT_resolver();

    dispatch_table->pglMultiTexRenderbufferEXT(texunit, target, renderbuffer);
}

static GLAPIENTRY void
epoxy_glMultiTexSubImage1DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexSubImage1DEXT = epoxy_glMultiTexSubImage1DEXT_resolver();

    dispatch_table->pglMultiTexSubImage1DEXT(texunit, target, level, xoffset, width, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glMultiTexSubImage2DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexSubImage2DEXT = epoxy_glMultiTexSubImage2DEXT_resolver();

    dispatch_table->pglMultiTexSubImage2DEXT(texunit, target, level, xoffset, yoffset, width, height, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glMultiTexSubImage3DEXT_rewrite_stub(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexSubImage3DEXT = epoxy_glMultiTexSubImage3DEXT_resolver();

    dispatch_table->pglMultiTexSubImage3DEXT(texunit, target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glNamedBufferDataEXT_rewrite_stub(GLuint buffer, GLsizeiptr size, const void * data, GLenum usage)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedBufferDataEXT = epoxy_glNamedBufferDataEXT_resolver();

    dispatch_table->pglNamedBufferDataEXT(buffer, size, data, usage);
}

static GLAPIENTRY void
epoxy_glNamedBufferStorageEXT_rewrite_stub(GLuint buffer, GLsizeiptr size, const void * data, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedBufferStorageEXT = epoxy_glNamedBufferStorageEXT_resolver();

    dispatch_table->pglNamedBufferStorageEXT(buffer, size, data, flags);
}

static GLAPIENTRY void
epoxy_glNamedBufferSubDataEXT_rewrite_stub(GLuint buffer, GLintptr offset, GLsizeiptr size, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedBufferSubDataEXT = epoxy_glNamedBufferSubDataEXT_resolver();

    dispatch_table->pglNamedBufferSubDataEXT(buffer, offset, size, data);
}

static GLAPIENTRY void
epoxy_glNamedCopyBufferSubDataEXT_rewrite_stub(GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedCopyBufferSubDataEXT = epoxy_glNamedCopyBufferSubDataEXT_resolver();

    dispatch_table->pglNamedCopyBufferSubDataEXT(readBuffer, writeBuffer, readOffset, writeOffset, size);
}

static GLAPIENTRY void
epoxy_glNamedFramebufferParameteriEXT_rewrite_stub(GLuint framebuffer, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferParameteriEXT = epoxy_glNamedFramebufferParameteriEXT_resolver();

    dispatch_table->pglNamedFramebufferParameteriEXT(framebuffer, pname, param);
}

static GLAPIENTRY void
epoxy_glNamedFramebufferRenderbufferEXT_rewrite_stub(GLuint framebuffer, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferRenderbufferEXT = epoxy_glNamedFramebufferRenderbufferEXT_resolver();

    dispatch_table->pglNamedFramebufferRenderbufferEXT(framebuffer, attachment, renderbuffertarget, renderbuffer);
}

static GLAPIENTRY void
epoxy_glNamedFramebufferTexture1DEXT_rewrite_stub(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferTexture1DEXT = epoxy_glNamedFramebufferTexture1DEXT_resolver();

    dispatch_table->pglNamedFramebufferTexture1DEXT(framebuffer, attachment, textarget, texture, level);
}

static GLAPIENTRY void
epoxy_glNamedFramebufferTexture2DEXT_rewrite_stub(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferTexture2DEXT = epoxy_glNamedFramebufferTexture2DEXT_resolver();

    dispatch_table->pglNamedFramebufferTexture2DEXT(framebuffer, attachment, textarget, texture, level);
}

static GLAPIENTRY void
epoxy_glNamedFramebufferTexture3DEXT_rewrite_stub(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferTexture3DEXT = epoxy_glNamedFramebufferTexture3DEXT_resolver();

    dispatch_table->pglNamedFramebufferTexture3DEXT(framebuffer, attachment, textarget, texture, level, zoffset);
}

static GLAPIENTRY void
epoxy_glNamedFramebufferTextureEXT_rewrite_stub(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferTextureEXT = epoxy_glNamedFramebufferTextureEXT_resolver();

    dispatch_table->pglNamedFramebufferTextureEXT(framebuffer, attachment, texture, level);
}

static GLAPIENTRY void
epoxy_glNamedFramebufferTextureFaceEXT_rewrite_stub(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLenum face)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferTextureFaceEXT = epoxy_glNamedFramebufferTextureFaceEXT_resolver();

    dispatch_table->pglNamedFramebufferTextureFaceEXT(framebuffer, attachment, texture, level, face);
}

static GLAPIENTRY void
epoxy_glNamedFramebufferTextureLayerEXT_rewrite_stub(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferTextureLayerEXT = epoxy_glNamedFramebufferTextureLayerEXT_resolver();

    dispatch_table->pglNamedFramebufferTextureLayerEXT(framebuffer, attachment, texture, level, layer);
}

static GLAPIENTRY void
epoxy_glNamedProgramLocalParameter4dEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameter4dEXT = epoxy_glNamedProgramLocalParameter4dEXT_resolver();

    dispatch_table->pglNamedProgramLocalParameter4dEXT(program, target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glNamedProgramLocalParameter4dvEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, const GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameter4dvEXT = epoxy_glNamedProgramLocalParameter4dvEXT_resolver();

    dispatch_table->pglNamedProgramLocalParameter4dvEXT(program, target, index, params);
}

static GLAPIENTRY void
epoxy_glNamedProgramLocalParameter4fEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameter4fEXT = epoxy_glNamedProgramLocalParameter4fEXT_resolver();

    dispatch_table->pglNamedProgramLocalParameter4fEXT(program, target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glNamedProgramLocalParameter4fvEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameter4fvEXT = epoxy_glNamedProgramLocalParameter4fvEXT_resolver();

    dispatch_table->pglNamedProgramLocalParameter4fvEXT(program, target, index, params);
}

static GLAPIENTRY void
epoxy_glNamedProgramLocalParameterI4iEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameterI4iEXT = epoxy_glNamedProgramLocalParameterI4iEXT_resolver();

    dispatch_table->pglNamedProgramLocalParameterI4iEXT(program, target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glNamedProgramLocalParameterI4ivEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameterI4ivEXT = epoxy_glNamedProgramLocalParameterI4ivEXT_resolver();

    dispatch_table->pglNamedProgramLocalParameterI4ivEXT(program, target, index, params);
}

static GLAPIENTRY void
epoxy_glNamedProgramLocalParameterI4uiEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameterI4uiEXT = epoxy_glNamedProgramLocalParameterI4uiEXT_resolver();

    dispatch_table->pglNamedProgramLocalParameterI4uiEXT(program, target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glNamedProgramLocalParameterI4uivEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameterI4uivEXT = epoxy_glNamedProgramLocalParameterI4uivEXT_resolver();

    dispatch_table->pglNamedProgramLocalParameterI4uivEXT(program, target, index, params);
}

static GLAPIENTRY void
epoxy_glNamedProgramLocalParameters4fvEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, GLsizei count, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameters4fvEXT = epoxy_glNamedProgramLocalParameters4fvEXT_resolver();

    dispatch_table->pglNamedProgramLocalParameters4fvEXT(program, target, index, count, params);
}

static GLAPIENTRY void
epoxy_glNamedProgramLocalParametersI4ivEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, GLsizei count, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParametersI4ivEXT = epoxy_glNamedProgramLocalParametersI4ivEXT_resolver();

    dispatch_table->pglNamedProgramLocalParametersI4ivEXT(program, target, index, count, params);
}

static GLAPIENTRY void
epoxy_glNamedProgramLocalParametersI4uivEXT_rewrite_stub(GLuint program, GLenum target, GLuint index, GLsizei count, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParametersI4uivEXT = epoxy_glNamedProgramLocalParametersI4uivEXT_resolver();

    dispatch_table->pglNamedProgramLocalParametersI4uivEXT(program, target, index, count, params);
}

static GLAPIENTRY void
epoxy_glNamedProgramStringEXT_rewrite_stub(GLuint program, GLenum target, GLenum format, GLsizei len, const void * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramStringEXT = epoxy_glNamedProgramStringEXT_resolver();

    dispatch_table->pglNamedProgramStringEXT(program, target, format, len, string);
}

static GLAPIENTRY void
epoxy_glNamedRenderbufferStorageEXT_rewrite_stub(GLuint renderbuffer, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedRenderbufferStorageEXT = epoxy_glNamedRenderbufferStorageEXT_resolver();

    dispatch_table->pglNamedRenderbufferStorageEXT(renderbuffer, internalformat, width, height);
}

static GLAPIENTRY void
epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_rewrite_stub(GLuint renderbuffer, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedRenderbufferStorageMultisampleCoverageEXT = epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_resolver();

    dispatch_table->pglNamedRenderbufferStorageMultisampleCoverageEXT(renderbuffer, coverageSamples, colorSamples, internalformat, width, height);
}

static GLAPIENTRY void
epoxy_glNamedRenderbufferStorageMultisampleEXT_rewrite_stub(GLuint renderbuffer, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedRenderbufferStorageMultisampleEXT = epoxy_glNamedRenderbufferStorageMultisampleEXT_resolver();

    dispatch_table->pglNamedRenderbufferStorageMultisampleEXT(renderbuffer, samples, internalformat, width, height);
}

static GLAPIENTRY void
epoxy_glNamedStringARB_rewrite_stub(GLenum type, GLint namelen, const GLchar * name, GLint stringlen, const GLchar * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedStringARB = epoxy_glNamedStringARB_resolver();

    dispatch_table->pglNamedStringARB(type, namelen, name, stringlen, string);
}

static GLAPIENTRY void
epoxy_glNewList_rewrite_stub(GLuint list, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNewList = epoxy_glNewList_resolver();

    dispatch_table->pglNewList(list, mode);
}

static GLAPIENTRY GLuint
epoxy_glNewObjectBufferATI_rewrite_stub(GLsizei size, const void * pointer, GLenum usage)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNewObjectBufferATI = epoxy_glNewObjectBufferATI_resolver();

    return dispatch_table->pglNewObjectBufferATI(size, pointer, usage);
}

static GLAPIENTRY void
epoxy_glNormal3b_rewrite_stub(GLbyte nx, GLbyte ny, GLbyte nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3b = epoxy_glNormal3b_resolver();

    dispatch_table->pglNormal3b(nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormal3bv_rewrite_stub(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3bv = epoxy_glNormal3bv_resolver();

    dispatch_table->pglNormal3bv(v);
}

static GLAPIENTRY void
epoxy_glNormal3d_rewrite_stub(GLdouble nx, GLdouble ny, GLdouble nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3d = epoxy_glNormal3d_resolver();

    dispatch_table->pglNormal3d(nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormal3dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3dv = epoxy_glNormal3dv_resolver();

    dispatch_table->pglNormal3dv(v);
}

static GLAPIENTRY void
epoxy_glNormal3f_rewrite_stub(GLfloat nx, GLfloat ny, GLfloat nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3f = epoxy_glNormal3f_resolver();

    dispatch_table->pglNormal3f(nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormal3fVertex3fSUN_rewrite_stub(GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3fVertex3fSUN = epoxy_glNormal3fVertex3fSUN_resolver();

    dispatch_table->pglNormal3fVertex3fSUN(nx, ny, nz, x, y, z);
}

static GLAPIENTRY void
epoxy_glNormal3fVertex3fvSUN_rewrite_stub(const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3fVertex3fvSUN = epoxy_glNormal3fVertex3fvSUN_resolver();

    dispatch_table->pglNormal3fVertex3fvSUN(n, v);
}

static GLAPIENTRY void
epoxy_glNormal3fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3fv = epoxy_glNormal3fv_resolver();

    dispatch_table->pglNormal3fv(v);
}

static GLAPIENTRY void
epoxy_glNormal3hNV_rewrite_stub(GLhalfNV nx, GLhalfNV ny, GLhalfNV nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3hNV = epoxy_glNormal3hNV_resolver();

    dispatch_table->pglNormal3hNV(nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormal3hvNV_rewrite_stub(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3hvNV = epoxy_glNormal3hvNV_resolver();

    dispatch_table->pglNormal3hvNV(v);
}

static GLAPIENTRY void
epoxy_glNormal3i_rewrite_stub(GLint nx, GLint ny, GLint nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3i = epoxy_glNormal3i_resolver();

    dispatch_table->pglNormal3i(nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormal3iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3iv = epoxy_glNormal3iv_resolver();

    dispatch_table->pglNormal3iv(v);
}

static GLAPIENTRY void
epoxy_glNormal3s_rewrite_stub(GLshort nx, GLshort ny, GLshort nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3s = epoxy_glNormal3s_resolver();

    dispatch_table->pglNormal3s(nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormal3sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3sv = epoxy_glNormal3sv_resolver();

    dispatch_table->pglNormal3sv(v);
}

static GLAPIENTRY void
epoxy_glNormal3x_rewrite_stub(GLfixed nx, GLfixed ny, GLfixed nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3x = epoxy_glNormal3x_resolver();

    dispatch_table->pglNormal3x(nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormal3xOES_rewrite_stub(GLfixed nx, GLfixed ny, GLfixed nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3xOES = epoxy_glNormal3xOES_resolver();

    dispatch_table->pglNormal3xOES(nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormal3xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3xvOES = epoxy_glNormal3xvOES_resolver();

    dispatch_table->pglNormal3xvOES(coords);
}

static GLAPIENTRY void
epoxy_glNormalFormatNV_rewrite_stub(GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalFormatNV = epoxy_glNormalFormatNV_resolver();

    dispatch_table->pglNormalFormatNV(type, stride);
}

static GLAPIENTRY void
epoxy_glNormalP3ui_rewrite_stub(GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalP3ui = epoxy_glNormalP3ui_resolver();

    dispatch_table->pglNormalP3ui(type, coords);
}

static GLAPIENTRY void
epoxy_glNormalP3uiv_rewrite_stub(GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalP3uiv = epoxy_glNormalP3uiv_resolver();

    dispatch_table->pglNormalP3uiv(type, coords);
}

static GLAPIENTRY void
epoxy_glNormalPointer_rewrite_stub(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalPointer = epoxy_glNormalPointer_resolver();

    dispatch_table->pglNormalPointer(type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glNormalPointerEXT_rewrite_stub(GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalPointerEXT = epoxy_glNormalPointerEXT_resolver();

    dispatch_table->pglNormalPointerEXT(type, stride, count, pointer);
}

static GLAPIENTRY void
epoxy_glNormalPointerListIBM_rewrite_stub(GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalPointerListIBM = epoxy_glNormalPointerListIBM_resolver();

    dispatch_table->pglNormalPointerListIBM(type, stride, pointer, ptrstride);
}

static GLAPIENTRY void
epoxy_glNormalPointervINTEL_rewrite_stub(GLenum type, const void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalPointervINTEL = epoxy_glNormalPointervINTEL_resolver();

    dispatch_table->pglNormalPointervINTEL(type, pointer);
}

static GLAPIENTRY void
epoxy_glNormalStream3bATI_rewrite_stub(GLenum stream, GLbyte nx, GLbyte ny, GLbyte nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3bATI = epoxy_glNormalStream3bATI_resolver();

    dispatch_table->pglNormalStream3bATI(stream, nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormalStream3bvATI_rewrite_stub(GLenum stream, const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3bvATI = epoxy_glNormalStream3bvATI_resolver();

    dispatch_table->pglNormalStream3bvATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glNormalStream3dATI_rewrite_stub(GLenum stream, GLdouble nx, GLdouble ny, GLdouble nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3dATI = epoxy_glNormalStream3dATI_resolver();

    dispatch_table->pglNormalStream3dATI(stream, nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormalStream3dvATI_rewrite_stub(GLenum stream, const GLdouble * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3dvATI = epoxy_glNormalStream3dvATI_resolver();

    dispatch_table->pglNormalStream3dvATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glNormalStream3fATI_rewrite_stub(GLenum stream, GLfloat nx, GLfloat ny, GLfloat nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3fATI = epoxy_glNormalStream3fATI_resolver();

    dispatch_table->pglNormalStream3fATI(stream, nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormalStream3fvATI_rewrite_stub(GLenum stream, const GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3fvATI = epoxy_glNormalStream3fvATI_resolver();

    dispatch_table->pglNormalStream3fvATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glNormalStream3iATI_rewrite_stub(GLenum stream, GLint nx, GLint ny, GLint nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3iATI = epoxy_glNormalStream3iATI_resolver();

    dispatch_table->pglNormalStream3iATI(stream, nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormalStream3ivATI_rewrite_stub(GLenum stream, const GLint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3ivATI = epoxy_glNormalStream3ivATI_resolver();

    dispatch_table->pglNormalStream3ivATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glNormalStream3sATI_rewrite_stub(GLenum stream, GLshort nx, GLshort ny, GLshort nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3sATI = epoxy_glNormalStream3sATI_resolver();

    dispatch_table->pglNormalStream3sATI(stream, nx, ny, nz);
}

static GLAPIENTRY void
epoxy_glNormalStream3svATI_rewrite_stub(GLenum stream, const GLshort * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3svATI = epoxy_glNormalStream3svATI_resolver();

    dispatch_table->pglNormalStream3svATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glObjectLabel_rewrite_stub(GLenum identifier, GLuint name, GLsizei length, const GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglObjectLabel = epoxy_glObjectLabel_resolver();

    dispatch_table->pglObjectLabel(identifier, name, length, label);
}

static GLAPIENTRY void
epoxy_glObjectPtrLabel_rewrite_stub(const void * ptr, GLsizei length, const GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglObjectPtrLabel = epoxy_glObjectPtrLabel_resolver();

    dispatch_table->pglObjectPtrLabel(ptr, length, label);
}

static GLAPIENTRY GLenum
epoxy_glObjectPurgeableAPPLE_rewrite_stub(GLenum objectType, GLuint name, GLenum option)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglObjectPurgeableAPPLE = epoxy_glObjectPurgeableAPPLE_resolver();

    return dispatch_table->pglObjectPurgeableAPPLE(objectType, name, option);
}

static GLAPIENTRY GLenum
epoxy_glObjectUnpurgeableAPPLE_rewrite_stub(GLenum objectType, GLuint name, GLenum option)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglObjectUnpurgeableAPPLE = epoxy_glObjectUnpurgeableAPPLE_resolver();

    return dispatch_table->pglObjectUnpurgeableAPPLE(objectType, name, option);
}

static GLAPIENTRY void
epoxy_glOrtho_rewrite_stub(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglOrtho = epoxy_glOrtho_resolver();

    dispatch_table->pglOrtho(left, right, bottom, top, zNear, zFar);
}

static GLAPIENTRY void
epoxy_glOrthof_rewrite_stub(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglOrthof = epoxy_glOrthof_resolver();

    dispatch_table->pglOrthof(l, r, b, t, n, f);
}

static GLAPIENTRY void
epoxy_glOrthofOES_rewrite_stub(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglOrthofOES = epoxy_glOrthofOES_resolver();

    dispatch_table->pglOrthofOES(l, r, b, t, n, f);
}

static GLAPIENTRY void
epoxy_glOrthox_rewrite_stub(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglOrthox = epoxy_glOrthox_resolver();

    dispatch_table->pglOrthox(l, r, b, t, n, f);
}

static GLAPIENTRY void
epoxy_glOrthoxOES_rewrite_stub(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglOrthoxOES = epoxy_glOrthoxOES_resolver();

    dispatch_table->pglOrthoxOES(l, r, b, t, n, f);
}

static GLAPIENTRY void
epoxy_glPNTrianglesfATI_rewrite_stub(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPNTrianglesfATI = epoxy_glPNTrianglesfATI_resolver();

    dispatch_table->pglPNTrianglesfATI(pname, param);
}

static GLAPIENTRY void
epoxy_glPNTrianglesiATI_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPNTrianglesiATI = epoxy_glPNTrianglesiATI_resolver();

    dispatch_table->pglPNTrianglesiATI(pname, param);
}

static GLAPIENTRY void
epoxy_glPassTexCoordATI_rewrite_stub(GLuint dst, GLuint coord, GLenum swizzle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPassTexCoordATI = epoxy_glPassTexCoordATI_resolver();

    dispatch_table->pglPassTexCoordATI(dst, coord, swizzle);
}

static GLAPIENTRY void
epoxy_glPassThrough_rewrite_stub(GLfloat token)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPassThrough = epoxy_glPassThrough_resolver();

    dispatch_table->pglPassThrough(token);
}

static GLAPIENTRY void
epoxy_glPassThroughxOES_rewrite_stub(GLfixed token)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPassThroughxOES = epoxy_glPassThroughxOES_resolver();

    dispatch_table->pglPassThroughxOES(token);
}

static GLAPIENTRY void
epoxy_glPatchParameterfv_rewrite_stub(GLenum pname, const GLfloat * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPatchParameterfv = epoxy_glPatchParameterfv_resolver();

    dispatch_table->pglPatchParameterfv(pname, values);
}

static GLAPIENTRY void
epoxy_glPatchParameteri_rewrite_stub(GLenum pname, GLint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPatchParameteri = epoxy_glPatchParameteri_resolver();

    dispatch_table->pglPatchParameteri(pname, value);
}

static GLAPIENTRY void
epoxy_glPathColorGenNV_rewrite_stub(GLenum color, GLenum genMode, GLenum colorFormat, const GLfloat * coeffs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathColorGenNV = epoxy_glPathColorGenNV_resolver();

    dispatch_table->pglPathColorGenNV(color, genMode, colorFormat, coeffs);
}

static GLAPIENTRY void
epoxy_glPathCommandsNV_rewrite_stub(GLuint path, GLsizei numCommands, const GLubyte * commands, GLsizei numCoords, GLenum coordType, const void * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathCommandsNV = epoxy_glPathCommandsNV_resolver();

    dispatch_table->pglPathCommandsNV(path, numCommands, commands, numCoords, coordType, coords);
}

static GLAPIENTRY void
epoxy_glPathCoordsNV_rewrite_stub(GLuint path, GLsizei numCoords, GLenum coordType, const void * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathCoordsNV = epoxy_glPathCoordsNV_resolver();

    dispatch_table->pglPathCoordsNV(path, numCoords, coordType, coords);
}

static GLAPIENTRY void
epoxy_glPathCoverDepthFuncNV_rewrite_stub(GLenum func)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathCoverDepthFuncNV = epoxy_glPathCoverDepthFuncNV_resolver();

    dispatch_table->pglPathCoverDepthFuncNV(func);
}

static GLAPIENTRY void
epoxy_glPathDashArrayNV_rewrite_stub(GLuint path, GLsizei dashCount, const GLfloat * dashArray)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathDashArrayNV = epoxy_glPathDashArrayNV_resolver();

    dispatch_table->pglPathDashArrayNV(path, dashCount, dashArray);
}

static GLAPIENTRY void
epoxy_glPathFogGenNV_rewrite_stub(GLenum genMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathFogGenNV = epoxy_glPathFogGenNV_resolver();

    dispatch_table->pglPathFogGenNV(genMode);
}

static GLAPIENTRY void
epoxy_glPathGlyphRangeNV_rewrite_stub(GLuint firstPathName, GLenum fontTarget, const void * fontName, GLbitfield fontStyle, GLuint firstGlyph, GLsizei numGlyphs, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathGlyphRangeNV = epoxy_glPathGlyphRangeNV_resolver();

    dispatch_table->pglPathGlyphRangeNV(firstPathName, fontTarget, fontName, fontStyle, firstGlyph, numGlyphs, handleMissingGlyphs, pathParameterTemplate, emScale);
}

static GLAPIENTRY void
epoxy_glPathGlyphsNV_rewrite_stub(GLuint firstPathName, GLenum fontTarget, const void * fontName, GLbitfield fontStyle, GLsizei numGlyphs, GLenum type, const void * charcodes, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathGlyphsNV = epoxy_glPathGlyphsNV_resolver();

    dispatch_table->pglPathGlyphsNV(firstPathName, fontTarget, fontName, fontStyle, numGlyphs, type, charcodes, handleMissingGlyphs, pathParameterTemplate, emScale);
}

static GLAPIENTRY void
epoxy_glPathParameterfNV_rewrite_stub(GLuint path, GLenum pname, GLfloat value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathParameterfNV = epoxy_glPathParameterfNV_resolver();

    dispatch_table->pglPathParameterfNV(path, pname, value);
}

static GLAPIENTRY void
epoxy_glPathParameterfvNV_rewrite_stub(GLuint path, GLenum pname, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathParameterfvNV = epoxy_glPathParameterfvNV_resolver();

    dispatch_table->pglPathParameterfvNV(path, pname, value);
}

static GLAPIENTRY void
epoxy_glPathParameteriNV_rewrite_stub(GLuint path, GLenum pname, GLint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathParameteriNV = epoxy_glPathParameteriNV_resolver();

    dispatch_table->pglPathParameteriNV(path, pname, value);
}

static GLAPIENTRY void
epoxy_glPathParameterivNV_rewrite_stub(GLuint path, GLenum pname, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathParameterivNV = epoxy_glPathParameterivNV_resolver();

    dispatch_table->pglPathParameterivNV(path, pname, value);
}

static GLAPIENTRY void
epoxy_glPathStencilDepthOffsetNV_rewrite_stub(GLfloat factor, GLfloat units)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathStencilDepthOffsetNV = epoxy_glPathStencilDepthOffsetNV_resolver();

    dispatch_table->pglPathStencilDepthOffsetNV(factor, units);
}

static GLAPIENTRY void
epoxy_glPathStencilFuncNV_rewrite_stub(GLenum func, GLint ref, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathStencilFuncNV = epoxy_glPathStencilFuncNV_resolver();

    dispatch_table->pglPathStencilFuncNV(func, ref, mask);
}

static GLAPIENTRY void
epoxy_glPathStringNV_rewrite_stub(GLuint path, GLenum format, GLsizei length, const void * pathString)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathStringNV = epoxy_glPathStringNV_resolver();

    dispatch_table->pglPathStringNV(path, format, length, pathString);
}

static GLAPIENTRY void
epoxy_glPathSubCommandsNV_rewrite_stub(GLuint path, GLsizei commandStart, GLsizei commandsToDelete, GLsizei numCommands, const GLubyte * commands, GLsizei numCoords, GLenum coordType, const void * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathSubCommandsNV = epoxy_glPathSubCommandsNV_resolver();

    dispatch_table->pglPathSubCommandsNV(path, commandStart, commandsToDelete, numCommands, commands, numCoords, coordType, coords);
}

static GLAPIENTRY void
epoxy_glPathSubCoordsNV_rewrite_stub(GLuint path, GLsizei coordStart, GLsizei numCoords, GLenum coordType, const void * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathSubCoordsNV = epoxy_glPathSubCoordsNV_resolver();

    dispatch_table->pglPathSubCoordsNV(path, coordStart, numCoords, coordType, coords);
}

static GLAPIENTRY void
epoxy_glPathTexGenNV_rewrite_stub(GLenum texCoordSet, GLenum genMode, GLint components, const GLfloat * coeffs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathTexGenNV = epoxy_glPathTexGenNV_resolver();

    dispatch_table->pglPathTexGenNV(texCoordSet, genMode, components, coeffs);
}

static GLAPIENTRY void
epoxy_glPauseTransformFeedback_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPauseTransformFeedback = epoxy_glPauseTransformFeedback_resolver();

    dispatch_table->pglPauseTransformFeedback();
}

static GLAPIENTRY void
epoxy_glPixelDataRangeNV_rewrite_stub(GLenum target, GLsizei length, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelDataRangeNV = epoxy_glPixelDataRangeNV_resolver();

    dispatch_table->pglPixelDataRangeNV(target, length, pointer);
}

static GLAPIENTRY void
epoxy_glPixelMapfv_rewrite_stub(GLenum map, GLsizei mapsize, const GLfloat * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelMapfv = epoxy_glPixelMapfv_resolver();

    dispatch_table->pglPixelMapfv(map, mapsize, values);
}

static GLAPIENTRY void
epoxy_glPixelMapuiv_rewrite_stub(GLenum map, GLsizei mapsize, const GLuint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelMapuiv = epoxy_glPixelMapuiv_resolver();

    dispatch_table->pglPixelMapuiv(map, mapsize, values);
}

static GLAPIENTRY void
epoxy_glPixelMapusv_rewrite_stub(GLenum map, GLsizei mapsize, const GLushort * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelMapusv = epoxy_glPixelMapusv_resolver();

    dispatch_table->pglPixelMapusv(map, mapsize, values);
}

static GLAPIENTRY void
epoxy_glPixelMapx_rewrite_stub(GLenum map, GLint size, const GLfixed * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelMapx = epoxy_glPixelMapx_resolver();

    dispatch_table->pglPixelMapx(map, size, values);
}

static GLAPIENTRY void
epoxy_glPixelStoref_rewrite_stub(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelStoref = epoxy_glPixelStoref_resolver();

    dispatch_table->pglPixelStoref(pname, param);
}

static GLAPIENTRY void
epoxy_glPixelStorei_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelStorei = epoxy_glPixelStorei_resolver();

    dispatch_table->pglPixelStorei(pname, param);
}

static GLAPIENTRY void
epoxy_glPixelStorex_rewrite_stub(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelStorex = epoxy_glPixelStorex_resolver();

    dispatch_table->pglPixelStorex(pname, param);
}

static GLAPIENTRY void
epoxy_glPixelTexGenParameterfSGIS_rewrite_stub(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTexGenParameterfSGIS = epoxy_glPixelTexGenParameterfSGIS_resolver();

    dispatch_table->pglPixelTexGenParameterfSGIS(pname, param);
}

static GLAPIENTRY void
epoxy_glPixelTexGenParameterfvSGIS_rewrite_stub(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTexGenParameterfvSGIS = epoxy_glPixelTexGenParameterfvSGIS_resolver();

    dispatch_table->pglPixelTexGenParameterfvSGIS(pname, params);
}

static GLAPIENTRY void
epoxy_glPixelTexGenParameteriSGIS_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTexGenParameteriSGIS = epoxy_glPixelTexGenParameteriSGIS_resolver();

    dispatch_table->pglPixelTexGenParameteriSGIS(pname, param);
}

static GLAPIENTRY void
epoxy_glPixelTexGenParameterivSGIS_rewrite_stub(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTexGenParameterivSGIS = epoxy_glPixelTexGenParameterivSGIS_resolver();

    dispatch_table->pglPixelTexGenParameterivSGIS(pname, params);
}

static GLAPIENTRY void
epoxy_glPixelTexGenSGIX_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTexGenSGIX = epoxy_glPixelTexGenSGIX_resolver();

    dispatch_table->pglPixelTexGenSGIX(mode);
}

static GLAPIENTRY void
epoxy_glPixelTransferf_rewrite_stub(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransferf = epoxy_glPixelTransferf_resolver();

    dispatch_table->pglPixelTransferf(pname, param);
}

static GLAPIENTRY void
epoxy_glPixelTransferi_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransferi = epoxy_glPixelTransferi_resolver();

    dispatch_table->pglPixelTransferi(pname, param);
}

static GLAPIENTRY void
epoxy_glPixelTransferxOES_rewrite_stub(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransferxOES = epoxy_glPixelTransferxOES_resolver();

    dispatch_table->pglPixelTransferxOES(pname, param);
}

static GLAPIENTRY void
epoxy_glPixelTransformParameterfEXT_rewrite_stub(GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransformParameterfEXT = epoxy_glPixelTransformParameterfEXT_resolver();

    dispatch_table->pglPixelTransformParameterfEXT(target, pname, param);
}

static GLAPIENTRY void
epoxy_glPixelTransformParameterfvEXT_rewrite_stub(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransformParameterfvEXT = epoxy_glPixelTransformParameterfvEXT_resolver();

    dispatch_table->pglPixelTransformParameterfvEXT(target, pname, params);
}

static GLAPIENTRY void
epoxy_glPixelTransformParameteriEXT_rewrite_stub(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransformParameteriEXT = epoxy_glPixelTransformParameteriEXT_resolver();

    dispatch_table->pglPixelTransformParameteriEXT(target, pname, param);
}

static GLAPIENTRY void
epoxy_glPixelTransformParameterivEXT_rewrite_stub(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransformParameterivEXT = epoxy_glPixelTransformParameterivEXT_resolver();

    dispatch_table->pglPixelTransformParameterivEXT(target, pname, params);
}

static GLAPIENTRY void
epoxy_glPixelZoom_rewrite_stub(GLfloat xfactor, GLfloat yfactor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelZoom = epoxy_glPixelZoom_resolver();

    dispatch_table->pglPixelZoom(xfactor, yfactor);
}

static GLAPIENTRY void
epoxy_glPixelZoomxOES_rewrite_stub(GLfixed xfactor, GLfixed yfactor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelZoomxOES = epoxy_glPixelZoomxOES_resolver();

    dispatch_table->pglPixelZoomxOES(xfactor, yfactor);
}

static GLAPIENTRY GLboolean
epoxy_glPointAlongPathNV_rewrite_stub(GLuint path, GLsizei startSegment, GLsizei numSegments, GLfloat distance, GLfloat * x, GLfloat * y, GLfloat * tangentX, GLfloat * tangentY)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointAlongPathNV = epoxy_glPointAlongPathNV_resolver();

    return dispatch_table->pglPointAlongPathNV(path, startSegment, numSegments, distance, x, y, tangentX, tangentY);
}

static GLAPIENTRY void
epoxy_glPointParameterf_rewrite_stub(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterf = epoxy_glPointParameterf_resolver();

    dispatch_table->pglPointParameterf(pname, param);
}

static GLAPIENTRY void
epoxy_glPointParameterfv_rewrite_stub(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterfv = epoxy_glPointParameterfv_resolver();

    dispatch_table->pglPointParameterfv(pname, params);
}

static GLAPIENTRY void
epoxy_glPointParameteri_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameteri = epoxy_glPointParameteri_resolver();

    dispatch_table->pglPointParameteri(pname, param);
}

static GLAPIENTRY void
epoxy_glPointParameteriv_rewrite_stub(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameteriv = epoxy_glPointParameteriv_resolver();

    dispatch_table->pglPointParameteriv(pname, params);
}

static GLAPIENTRY void
epoxy_glPointParameterx_rewrite_stub(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterx = epoxy_glPointParameterx_resolver();

    dispatch_table->pglPointParameterx(pname, param);
}

static GLAPIENTRY void
epoxy_glPointParameterxOES_rewrite_stub(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterxOES = epoxy_glPointParameterxOES_resolver();

    dispatch_table->pglPointParameterxOES(pname, param);
}

static GLAPIENTRY void
epoxy_glPointParameterxv_rewrite_stub(GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterxv = epoxy_glPointParameterxv_resolver();

    dispatch_table->pglPointParameterxv(pname, params);
}

static GLAPIENTRY void
epoxy_glPointParameterxvOES_rewrite_stub(GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterxvOES = epoxy_glPointParameterxvOES_resolver();

    dispatch_table->pglPointParameterxvOES(pname, params);
}

static GLAPIENTRY void
epoxy_glPointSize_rewrite_stub(GLfloat size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointSize = epoxy_glPointSize_resolver();

    dispatch_table->pglPointSize(size);
}

static GLAPIENTRY void
epoxy_glPointSizePointerOES_rewrite_stub(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointSizePointerOES = epoxy_glPointSizePointerOES_resolver();

    dispatch_table->pglPointSizePointerOES(type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glPointSizex_rewrite_stub(GLfixed size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointSizex = epoxy_glPointSizex_resolver();

    dispatch_table->pglPointSizex(size);
}

static GLAPIENTRY void
epoxy_glPointSizexOES_rewrite_stub(GLfixed size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointSizexOES = epoxy_glPointSizexOES_resolver();

    dispatch_table->pglPointSizexOES(size);
}

static GLAPIENTRY GLint
epoxy_glPollAsyncSGIX_rewrite_stub(GLuint * markerp)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPollAsyncSGIX = epoxy_glPollAsyncSGIX_resolver();

    return dispatch_table->pglPollAsyncSGIX(markerp);
}

static GLAPIENTRY GLint
epoxy_glPollInstrumentsSGIX_rewrite_stub(GLint * marker_p)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPollInstrumentsSGIX = epoxy_glPollInstrumentsSGIX_resolver();

    return dispatch_table->pglPollInstrumentsSGIX(marker_p);
}

static GLAPIENTRY void
epoxy_glPolygonMode_rewrite_stub(GLenum face, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPolygonMode = epoxy_glPolygonMode_resolver();

    dispatch_table->pglPolygonMode(face, mode);
}

static GLAPIENTRY void
epoxy_glPolygonOffset_rewrite_stub(GLfloat factor, GLfloat units)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPolygonOffset = epoxy_glPolygonOffset_resolver();

    dispatch_table->pglPolygonOffset(factor, units);
}

static GLAPIENTRY void
epoxy_glPolygonOffsetEXT_rewrite_stub(GLfloat factor, GLfloat bias)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPolygonOffsetEXT = epoxy_glPolygonOffsetEXT_resolver();

    dispatch_table->pglPolygonOffsetEXT(factor, bias);
}

static GLAPIENTRY void
epoxy_glPolygonOffsetx_rewrite_stub(GLfixed factor, GLfixed units)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPolygonOffsetx = epoxy_glPolygonOffsetx_resolver();

    dispatch_table->pglPolygonOffsetx(factor, units);
}

static GLAPIENTRY void
epoxy_glPolygonOffsetxOES_rewrite_stub(GLfixed factor, GLfixed units)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPolygonOffsetxOES = epoxy_glPolygonOffsetxOES_resolver();

    dispatch_table->pglPolygonOffsetxOES(factor, units);
}

static GLAPIENTRY void
epoxy_glPolygonStipple_rewrite_stub(const GLubyte * mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPolygonStipple = epoxy_glPolygonStipple_resolver();

    dispatch_table->pglPolygonStipple(mask);
}

static GLAPIENTRY void
epoxy_glPopAttrib_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopAttrib = epoxy_glPopAttrib_resolver();

    dispatch_table->pglPopAttrib();
}

static GLAPIENTRY void
epoxy_glPopClientAttrib_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopClientAttrib = epoxy_glPopClientAttrib_resolver();

    dispatch_table->pglPopClientAttrib();
}

static GLAPIENTRY void
epoxy_glPopDebugGroup_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopDebugGroup = epoxy_glPopDebugGroup_resolver();

    dispatch_table->pglPopDebugGroup();
}

static GLAPIENTRY void
epoxy_glPopGroupMarkerEXT_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopGroupMarkerEXT = epoxy_glPopGroupMarkerEXT_resolver();

    dispatch_table->pglPopGroupMarkerEXT();
}

static GLAPIENTRY void
epoxy_glPopMatrix_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopMatrix = epoxy_glPopMatrix_resolver();

    dispatch_table->pglPopMatrix();
}

static GLAPIENTRY void
epoxy_glPopName_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopName = epoxy_glPopName_resolver();

    dispatch_table->pglPopName();
}

static GLAPIENTRY void
epoxy_glPresentFrameDualFillNV_rewrite_stub(GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLenum target1, GLuint fill1, GLenum target2, GLuint fill2, GLenum target3, GLuint fill3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPresentFrameDualFillNV = epoxy_glPresentFrameDualFillNV_resolver();

    dispatch_table->pglPresentFrameDualFillNV(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, target1, fill1, target2, fill2, target3, fill3);
}

static GLAPIENTRY void
epoxy_glPresentFrameKeyedNV_rewrite_stub(GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLuint key0, GLenum target1, GLuint fill1, GLuint key1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPresentFrameKeyedNV = epoxy_glPresentFrameKeyedNV_resolver();

    dispatch_table->pglPresentFrameKeyedNV(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, key0, target1, fill1, key1);
}

static GLAPIENTRY void
epoxy_glPrimitiveRestartIndex_rewrite_stub(GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPrimitiveRestartIndex = epoxy_glPrimitiveRestartIndex_resolver();

    dispatch_table->pglPrimitiveRestartIndex(index);
}

static GLAPIENTRY void
epoxy_glPrimitiveRestartIndexNV_rewrite_stub(GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPrimitiveRestartIndexNV = epoxy_glPrimitiveRestartIndexNV_resolver();

    dispatch_table->pglPrimitiveRestartIndexNV(index);
}

static GLAPIENTRY void
epoxy_glPrimitiveRestartNV_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPrimitiveRestartNV = epoxy_glPrimitiveRestartNV_resolver();

    dispatch_table->pglPrimitiveRestartNV();
}

static GLAPIENTRY void
epoxy_glPrioritizeTextures_rewrite_stub(GLsizei n, const GLuint * textures, const GLfloat * priorities)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPrioritizeTextures = epoxy_glPrioritizeTextures_resolver();

    dispatch_table->pglPrioritizeTextures(n, textures, priorities);
}

static GLAPIENTRY void
epoxy_glPrioritizeTexturesxOES_rewrite_stub(GLsizei n, const GLuint * textures, const GLfixed * priorities)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPrioritizeTexturesxOES = epoxy_glPrioritizeTexturesxOES_resolver();

    dispatch_table->pglPrioritizeTexturesxOES(n, textures, priorities);
}

static GLAPIENTRY void
epoxy_glProgramBinary_rewrite_stub(GLuint program, GLenum binaryFormat, const void * binary, GLsizei length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramBinary = epoxy_glProgramBinary_resolver();

    dispatch_table->pglProgramBinary(program, binaryFormat, binary, length);
}

static GLAPIENTRY void
epoxy_glProgramBufferParametersIivNV_rewrite_stub(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramBufferParametersIivNV = epoxy_glProgramBufferParametersIivNV_resolver();

    dispatch_table->pglProgramBufferParametersIivNV(target, bindingIndex, wordIndex, count, params);
}

static GLAPIENTRY void
epoxy_glProgramBufferParametersIuivNV_rewrite_stub(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramBufferParametersIuivNV = epoxy_glProgramBufferParametersIuivNV_resolver();

    dispatch_table->pglProgramBufferParametersIuivNV(target, bindingIndex, wordIndex, count, params);
}

static GLAPIENTRY void
epoxy_glProgramBufferParametersfvNV_rewrite_stub(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramBufferParametersfvNV = epoxy_glProgramBufferParametersfvNV_resolver();

    dispatch_table->pglProgramBufferParametersfvNV(target, bindingIndex, wordIndex, count, params);
}

static GLAPIENTRY void
epoxy_glProgramEnvParameter4dARB_rewrite_stub(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameter4dARB = epoxy_glProgramEnvParameter4dARB_resolver();

    dispatch_table->pglProgramEnvParameter4dARB(target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramEnvParameter4dvARB_rewrite_stub(GLenum target, GLuint index, const GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameter4dvARB = epoxy_glProgramEnvParameter4dvARB_resolver();

    dispatch_table->pglProgramEnvParameter4dvARB(target, index, params);
}

static GLAPIENTRY void
epoxy_glProgramEnvParameter4fARB_rewrite_stub(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameter4fARB = epoxy_glProgramEnvParameter4fARB_resolver();

    dispatch_table->pglProgramEnvParameter4fARB(target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramEnvParameter4fvARB_rewrite_stub(GLenum target, GLuint index, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameter4fvARB = epoxy_glProgramEnvParameter4fvARB_resolver();

    dispatch_table->pglProgramEnvParameter4fvARB(target, index, params);
}

static GLAPIENTRY void
epoxy_glProgramEnvParameterI4iNV_rewrite_stub(GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameterI4iNV = epoxy_glProgramEnvParameterI4iNV_resolver();

    dispatch_table->pglProgramEnvParameterI4iNV(target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramEnvParameterI4ivNV_rewrite_stub(GLenum target, GLuint index, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameterI4ivNV = epoxy_glProgramEnvParameterI4ivNV_resolver();

    dispatch_table->pglProgramEnvParameterI4ivNV(target, index, params);
}

static GLAPIENTRY void
epoxy_glProgramEnvParameterI4uiNV_rewrite_stub(GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameterI4uiNV = epoxy_glProgramEnvParameterI4uiNV_resolver();

    dispatch_table->pglProgramEnvParameterI4uiNV(target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramEnvParameterI4uivNV_rewrite_stub(GLenum target, GLuint index, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameterI4uivNV = epoxy_glProgramEnvParameterI4uivNV_resolver();

    dispatch_table->pglProgramEnvParameterI4uivNV(target, index, params);
}

static GLAPIENTRY void
epoxy_glProgramEnvParameters4fvEXT_rewrite_stub(GLenum target, GLuint index, GLsizei count, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameters4fvEXT = epoxy_glProgramEnvParameters4fvEXT_resolver();

    dispatch_table->pglProgramEnvParameters4fvEXT(target, index, count, params);
}

static GLAPIENTRY void
epoxy_glProgramEnvParametersI4ivNV_rewrite_stub(GLenum target, GLuint index, GLsizei count, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParametersI4ivNV = epoxy_glProgramEnvParametersI4ivNV_resolver();

    dispatch_table->pglProgramEnvParametersI4ivNV(target, index, count, params);
}

static GLAPIENTRY void
epoxy_glProgramEnvParametersI4uivNV_rewrite_stub(GLenum target, GLuint index, GLsizei count, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParametersI4uivNV = epoxy_glProgramEnvParametersI4uivNV_resolver();

    dispatch_table->pglProgramEnvParametersI4uivNV(target, index, count, params);
}

static GLAPIENTRY void
epoxy_glProgramLocalParameter4dARB_rewrite_stub(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameter4dARB = epoxy_glProgramLocalParameter4dARB_resolver();

    dispatch_table->pglProgramLocalParameter4dARB(target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramLocalParameter4dvARB_rewrite_stub(GLenum target, GLuint index, const GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameter4dvARB = epoxy_glProgramLocalParameter4dvARB_resolver();

    dispatch_table->pglProgramLocalParameter4dvARB(target, index, params);
}

static GLAPIENTRY void
epoxy_glProgramLocalParameter4fARB_rewrite_stub(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameter4fARB = epoxy_glProgramLocalParameter4fARB_resolver();

    dispatch_table->pglProgramLocalParameter4fARB(target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramLocalParameter4fvARB_rewrite_stub(GLenum target, GLuint index, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameter4fvARB = epoxy_glProgramLocalParameter4fvARB_resolver();

    dispatch_table->pglProgramLocalParameter4fvARB(target, index, params);
}

static GLAPIENTRY void
epoxy_glProgramLocalParameterI4iNV_rewrite_stub(GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameterI4iNV = epoxy_glProgramLocalParameterI4iNV_resolver();

    dispatch_table->pglProgramLocalParameterI4iNV(target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramLocalParameterI4ivNV_rewrite_stub(GLenum target, GLuint index, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameterI4ivNV = epoxy_glProgramLocalParameterI4ivNV_resolver();

    dispatch_table->pglProgramLocalParameterI4ivNV(target, index, params);
}

static GLAPIENTRY void
epoxy_glProgramLocalParameterI4uiNV_rewrite_stub(GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameterI4uiNV = epoxy_glProgramLocalParameterI4uiNV_resolver();

    dispatch_table->pglProgramLocalParameterI4uiNV(target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramLocalParameterI4uivNV_rewrite_stub(GLenum target, GLuint index, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameterI4uivNV = epoxy_glProgramLocalParameterI4uivNV_resolver();

    dispatch_table->pglProgramLocalParameterI4uivNV(target, index, params);
}

static GLAPIENTRY void
epoxy_glProgramLocalParameters4fvEXT_rewrite_stub(GLenum target, GLuint index, GLsizei count, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameters4fvEXT = epoxy_glProgramLocalParameters4fvEXT_resolver();

    dispatch_table->pglProgramLocalParameters4fvEXT(target, index, count, params);
}

static GLAPIENTRY void
epoxy_glProgramLocalParametersI4ivNV_rewrite_stub(GLenum target, GLuint index, GLsizei count, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParametersI4ivNV = epoxy_glProgramLocalParametersI4ivNV_resolver();

    dispatch_table->pglProgramLocalParametersI4ivNV(target, index, count, params);
}

static GLAPIENTRY void
epoxy_glProgramLocalParametersI4uivNV_rewrite_stub(GLenum target, GLuint index, GLsizei count, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParametersI4uivNV = epoxy_glProgramLocalParametersI4uivNV_resolver();

    dispatch_table->pglProgramLocalParametersI4uivNV(target, index, count, params);
}

static GLAPIENTRY void
epoxy_glProgramNamedParameter4dNV_rewrite_stub(GLuint id, GLsizei len, const GLubyte * name, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramNamedParameter4dNV = epoxy_glProgramNamedParameter4dNV_resolver();

    dispatch_table->pglProgramNamedParameter4dNV(id, len, name, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramNamedParameter4dvNV_rewrite_stub(GLuint id, GLsizei len, const GLubyte * name, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramNamedParameter4dvNV = epoxy_glProgramNamedParameter4dvNV_resolver();

    dispatch_table->pglProgramNamedParameter4dvNV(id, len, name, v);
}

static GLAPIENTRY void
epoxy_glProgramNamedParameter4fNV_rewrite_stub(GLuint id, GLsizei len, const GLubyte * name, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramNamedParameter4fNV = epoxy_glProgramNamedParameter4fNV_resolver();

    dispatch_table->pglProgramNamedParameter4fNV(id, len, name, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramNamedParameter4fvNV_rewrite_stub(GLuint id, GLsizei len, const GLubyte * name, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramNamedParameter4fvNV = epoxy_glProgramNamedParameter4fvNV_resolver();

    dispatch_table->pglProgramNamedParameter4fvNV(id, len, name, v);
}

static GLAPIENTRY void
epoxy_glProgramParameter4dNV_rewrite_stub(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameter4dNV = epoxy_glProgramParameter4dNV_resolver();

    dispatch_table->pglProgramParameter4dNV(target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramParameter4dvNV_rewrite_stub(GLenum target, GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameter4dvNV = epoxy_glProgramParameter4dvNV_resolver();

    dispatch_table->pglProgramParameter4dvNV(target, index, v);
}

static GLAPIENTRY void
epoxy_glProgramParameter4fNV_rewrite_stub(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameter4fNV = epoxy_glProgramParameter4fNV_resolver();

    dispatch_table->pglProgramParameter4fNV(target, index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramParameter4fvNV_rewrite_stub(GLenum target, GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameter4fvNV = epoxy_glProgramParameter4fvNV_resolver();

    dispatch_table->pglProgramParameter4fvNV(target, index, v);
}

static GLAPIENTRY void
epoxy_glProgramParameteri_rewrite_stub(GLuint program, GLenum pname, GLint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameteri = epoxy_glProgramParameteri_resolver();

    dispatch_table->pglProgramParameteri(program, pname, value);
}

static GLAPIENTRY void
epoxy_glProgramParameters4dvNV_rewrite_stub(GLenum target, GLuint index, GLsizei count, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameters4dvNV = epoxy_glProgramParameters4dvNV_resolver();

    dispatch_table->pglProgramParameters4dvNV(target, index, count, v);
}

static GLAPIENTRY void
epoxy_glProgramParameters4fvNV_rewrite_stub(GLenum target, GLuint index, GLsizei count, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameters4fvNV = epoxy_glProgramParameters4fvNV_resolver();

    dispatch_table->pglProgramParameters4fvNV(target, index, count, v);
}

static GLAPIENTRY void
epoxy_glProgramStringARB_rewrite_stub(GLenum target, GLenum format, GLsizei len, const void * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramStringARB = epoxy_glProgramStringARB_resolver();

    dispatch_table->pglProgramStringARB(target, format, len, string);
}

static GLAPIENTRY void
epoxy_glProgramSubroutineParametersuivNV_rewrite_stub(GLenum target, GLsizei count, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramSubroutineParametersuivNV = epoxy_glProgramSubroutineParametersuivNV_resolver();

    dispatch_table->pglProgramSubroutineParametersuivNV(target, count, params);
}

static GLAPIENTRY void
epoxy_glProgramUniform1d_rewrite_stub(GLuint program, GLint location, GLdouble v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1d = epoxy_glProgramUniform1d_resolver();

    dispatch_table->pglProgramUniform1d(program, location, v0);
}

static GLAPIENTRY void
epoxy_glProgramUniform1dEXT_rewrite_stub(GLuint program, GLint location, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1dEXT = epoxy_glProgramUniform1dEXT_resolver();

    dispatch_table->pglProgramUniform1dEXT(program, location, x);
}

static GLAPIENTRY void
epoxy_glProgramUniform1dv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1dv = epoxy_glProgramUniform1dv_resolver();

    dispatch_table->pglProgramUniform1dv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform1dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1dvEXT = epoxy_glProgramUniform1dvEXT_resolver();

    dispatch_table->pglProgramUniform1dvEXT(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform1f_rewrite_stub(GLuint program, GLint location, GLfloat v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1f = epoxy_glProgramUniform1f_resolver();

    dispatch_table->pglProgramUniform1f(program, location, v0);
}

static GLAPIENTRY void
epoxy_glProgramUniform1fv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1fv = epoxy_glProgramUniform1fv_resolver();

    dispatch_table->pglProgramUniform1fv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform1i_rewrite_stub(GLuint program, GLint location, GLint v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1i = epoxy_glProgramUniform1i_resolver();

    dispatch_table->pglProgramUniform1i(program, location, v0);
}

static GLAPIENTRY void
epoxy_glProgramUniform1i64NV_rewrite_stub(GLuint program, GLint location, GLint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1i64NV = epoxy_glProgramUniform1i64NV_resolver();

    dispatch_table->pglProgramUniform1i64NV(program, location, x);
}

static GLAPIENTRY void
epoxy_glProgramUniform1i64vNV_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1i64vNV = epoxy_glProgramUniform1i64vNV_resolver();

    dispatch_table->pglProgramUniform1i64vNV(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform1iv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1iv = epoxy_glProgramUniform1iv_resolver();

    dispatch_table->pglProgramUniform1iv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform1ui_rewrite_stub(GLuint program, GLint location, GLuint v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1ui = epoxy_glProgramUniform1ui_resolver();

    dispatch_table->pglProgramUniform1ui(program, location, v0);
}

static GLAPIENTRY void
epoxy_glProgramUniform1ui64NV_rewrite_stub(GLuint program, GLint location, GLuint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1ui64NV = epoxy_glProgramUniform1ui64NV_resolver();

    dispatch_table->pglProgramUniform1ui64NV(program, location, x);
}

static GLAPIENTRY void
epoxy_glProgramUniform1ui64vNV_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1ui64vNV = epoxy_glProgramUniform1ui64vNV_resolver();

    dispatch_table->pglProgramUniform1ui64vNV(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform1uiv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1uiv = epoxy_glProgramUniform1uiv_resolver();

    dispatch_table->pglProgramUniform1uiv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform2d_rewrite_stub(GLuint program, GLint location, GLdouble v0, GLdouble v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2d = epoxy_glProgramUniform2d_resolver();

    dispatch_table->pglProgramUniform2d(program, location, v0, v1);
}

static GLAPIENTRY void
epoxy_glProgramUniform2dEXT_rewrite_stub(GLuint program, GLint location, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2dEXT = epoxy_glProgramUniform2dEXT_resolver();

    dispatch_table->pglProgramUniform2dEXT(program, location, x, y);
}

static GLAPIENTRY void
epoxy_glProgramUniform2dv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2dv = epoxy_glProgramUniform2dv_resolver();

    dispatch_table->pglProgramUniform2dv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform2dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2dvEXT = epoxy_glProgramUniform2dvEXT_resolver();

    dispatch_table->pglProgramUniform2dvEXT(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform2f_rewrite_stub(GLuint program, GLint location, GLfloat v0, GLfloat v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2f = epoxy_glProgramUniform2f_resolver();

    dispatch_table->pglProgramUniform2f(program, location, v0, v1);
}

static GLAPIENTRY void
epoxy_glProgramUniform2fv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2fv = epoxy_glProgramUniform2fv_resolver();

    dispatch_table->pglProgramUniform2fv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform2i_rewrite_stub(GLuint program, GLint location, GLint v0, GLint v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2i = epoxy_glProgramUniform2i_resolver();

    dispatch_table->pglProgramUniform2i(program, location, v0, v1);
}

static GLAPIENTRY void
epoxy_glProgramUniform2i64NV_rewrite_stub(GLuint program, GLint location, GLint64EXT x, GLint64EXT y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2i64NV = epoxy_glProgramUniform2i64NV_resolver();

    dispatch_table->pglProgramUniform2i64NV(program, location, x, y);
}

static GLAPIENTRY void
epoxy_glProgramUniform2i64vNV_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2i64vNV = epoxy_glProgramUniform2i64vNV_resolver();

    dispatch_table->pglProgramUniform2i64vNV(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform2iv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2iv = epoxy_glProgramUniform2iv_resolver();

    dispatch_table->pglProgramUniform2iv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform2ui_rewrite_stub(GLuint program, GLint location, GLuint v0, GLuint v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2ui = epoxy_glProgramUniform2ui_resolver();

    dispatch_table->pglProgramUniform2ui(program, location, v0, v1);
}

static GLAPIENTRY void
epoxy_glProgramUniform2ui64NV_rewrite_stub(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2ui64NV = epoxy_glProgramUniform2ui64NV_resolver();

    dispatch_table->pglProgramUniform2ui64NV(program, location, x, y);
}

static GLAPIENTRY void
epoxy_glProgramUniform2ui64vNV_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2ui64vNV = epoxy_glProgramUniform2ui64vNV_resolver();

    dispatch_table->pglProgramUniform2ui64vNV(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform2uiv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2uiv = epoxy_glProgramUniform2uiv_resolver();

    dispatch_table->pglProgramUniform2uiv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform3d_rewrite_stub(GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3d = epoxy_glProgramUniform3d_resolver();

    dispatch_table->pglProgramUniform3d(program, location, v0, v1, v2);
}

static GLAPIENTRY void
epoxy_glProgramUniform3dEXT_rewrite_stub(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3dEXT = epoxy_glProgramUniform3dEXT_resolver();

    dispatch_table->pglProgramUniform3dEXT(program, location, x, y, z);
}

static GLAPIENTRY void
epoxy_glProgramUniform3dv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3dv = epoxy_glProgramUniform3dv_resolver();

    dispatch_table->pglProgramUniform3dv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform3dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3dvEXT = epoxy_glProgramUniform3dvEXT_resolver();

    dispatch_table->pglProgramUniform3dvEXT(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform3f_rewrite_stub(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3f = epoxy_glProgramUniform3f_resolver();

    dispatch_table->pglProgramUniform3f(program, location, v0, v1, v2);
}

static GLAPIENTRY void
epoxy_glProgramUniform3fv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3fv = epoxy_glProgramUniform3fv_resolver();

    dispatch_table->pglProgramUniform3fv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform3i_rewrite_stub(GLuint program, GLint location, GLint v0, GLint v1, GLint v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3i = epoxy_glProgramUniform3i_resolver();

    dispatch_table->pglProgramUniform3i(program, location, v0, v1, v2);
}

static GLAPIENTRY void
epoxy_glProgramUniform3i64NV_rewrite_stub(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3i64NV = epoxy_glProgramUniform3i64NV_resolver();

    dispatch_table->pglProgramUniform3i64NV(program, location, x, y, z);
}

static GLAPIENTRY void
epoxy_glProgramUniform3i64vNV_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3i64vNV = epoxy_glProgramUniform3i64vNV_resolver();

    dispatch_table->pglProgramUniform3i64vNV(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform3iv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3iv = epoxy_glProgramUniform3iv_resolver();

    dispatch_table->pglProgramUniform3iv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform3ui_rewrite_stub(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3ui = epoxy_glProgramUniform3ui_resolver();

    dispatch_table->pglProgramUniform3ui(program, location, v0, v1, v2);
}

static GLAPIENTRY void
epoxy_glProgramUniform3ui64NV_rewrite_stub(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3ui64NV = epoxy_glProgramUniform3ui64NV_resolver();

    dispatch_table->pglProgramUniform3ui64NV(program, location, x, y, z);
}

static GLAPIENTRY void
epoxy_glProgramUniform3ui64vNV_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3ui64vNV = epoxy_glProgramUniform3ui64vNV_resolver();

    dispatch_table->pglProgramUniform3ui64vNV(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform3uiv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3uiv = epoxy_glProgramUniform3uiv_resolver();

    dispatch_table->pglProgramUniform3uiv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform4d_rewrite_stub(GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2, GLdouble v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4d = epoxy_glProgramUniform4d_resolver();

    dispatch_table->pglProgramUniform4d(program, location, v0, v1, v2, v3);
}

static GLAPIENTRY void
epoxy_glProgramUniform4dEXT_rewrite_stub(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4dEXT = epoxy_glProgramUniform4dEXT_resolver();

    dispatch_table->pglProgramUniform4dEXT(program, location, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramUniform4dv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4dv = epoxy_glProgramUniform4dv_resolver();

    dispatch_table->pglProgramUniform4dv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform4dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4dvEXT = epoxy_glProgramUniform4dvEXT_resolver();

    dispatch_table->pglProgramUniform4dvEXT(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform4f_rewrite_stub(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4f = epoxy_glProgramUniform4f_resolver();

    dispatch_table->pglProgramUniform4f(program, location, v0, v1, v2, v3);
}

static GLAPIENTRY void
epoxy_glProgramUniform4fv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4fv = epoxy_glProgramUniform4fv_resolver();

    dispatch_table->pglProgramUniform4fv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform4i_rewrite_stub(GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4i = epoxy_glProgramUniform4i_resolver();

    dispatch_table->pglProgramUniform4i(program, location, v0, v1, v2, v3);
}

static GLAPIENTRY void
epoxy_glProgramUniform4i64NV_rewrite_stub(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4i64NV = epoxy_glProgramUniform4i64NV_resolver();

    dispatch_table->pglProgramUniform4i64NV(program, location, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramUniform4i64vNV_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4i64vNV = epoxy_glProgramUniform4i64vNV_resolver();

    dispatch_table->pglProgramUniform4i64vNV(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform4iv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4iv = epoxy_glProgramUniform4iv_resolver();

    dispatch_table->pglProgramUniform4iv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform4ui_rewrite_stub(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4ui = epoxy_glProgramUniform4ui_resolver();

    dispatch_table->pglProgramUniform4ui(program, location, v0, v1, v2, v3);
}

static GLAPIENTRY void
epoxy_glProgramUniform4ui64NV_rewrite_stub(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4ui64NV = epoxy_glProgramUniform4ui64NV_resolver();

    dispatch_table->pglProgramUniform4ui64NV(program, location, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glProgramUniform4ui64vNV_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4ui64vNV = epoxy_glProgramUniform4ui64vNV_resolver();

    dispatch_table->pglProgramUniform4ui64vNV(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniform4uiv_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4uiv = epoxy_glProgramUniform4uiv_resolver();

    dispatch_table->pglProgramUniform4uiv(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformHandleui64ARB_rewrite_stub(GLuint program, GLint location, GLuint64 value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformHandleui64ARB = epoxy_glProgramUniformHandleui64ARB_resolver();

    dispatch_table->pglProgramUniformHandleui64ARB(program, location, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformHandleui64NV_rewrite_stub(GLuint program, GLint location, GLuint64 value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformHandleui64NV = epoxy_glProgramUniformHandleui64NV_resolver();

    dispatch_table->pglProgramUniformHandleui64NV(program, location, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformHandleui64vARB_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLuint64 * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformHandleui64vARB = epoxy_glProgramUniformHandleui64vARB_resolver();

    dispatch_table->pglProgramUniformHandleui64vARB(program, location, count, values);
}

static GLAPIENTRY void
epoxy_glProgramUniformHandleui64vNV_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLuint64 * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformHandleui64vNV = epoxy_glProgramUniformHandleui64vNV_resolver();

    dispatch_table->pglProgramUniformHandleui64vNV(program, location, count, values);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix2dv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2dv = epoxy_glProgramUniformMatrix2dv_resolver();

    dispatch_table->pglProgramUniformMatrix2dv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix2dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2dvEXT = epoxy_glProgramUniformMatrix2dvEXT_resolver();

    dispatch_table->pglProgramUniformMatrix2dvEXT(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix2fv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2fv = epoxy_glProgramUniformMatrix2fv_resolver();

    dispatch_table->pglProgramUniformMatrix2fv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix2x3dv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x3dv = epoxy_glProgramUniformMatrix2x3dv_resolver();

    dispatch_table->pglProgramUniformMatrix2x3dv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix2x3dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x3dvEXT = epoxy_glProgramUniformMatrix2x3dvEXT_resolver();

    dispatch_table->pglProgramUniformMatrix2x3dvEXT(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix2x3fv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x3fv = epoxy_glProgramUniformMatrix2x3fv_resolver();

    dispatch_table->pglProgramUniformMatrix2x3fv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix2x4dv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x4dv = epoxy_glProgramUniformMatrix2x4dv_resolver();

    dispatch_table->pglProgramUniformMatrix2x4dv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix2x4dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x4dvEXT = epoxy_glProgramUniformMatrix2x4dvEXT_resolver();

    dispatch_table->pglProgramUniformMatrix2x4dvEXT(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix2x4fv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x4fv = epoxy_glProgramUniformMatrix2x4fv_resolver();

    dispatch_table->pglProgramUniformMatrix2x4fv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix3dv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3dv = epoxy_glProgramUniformMatrix3dv_resolver();

    dispatch_table->pglProgramUniformMatrix3dv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix3dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3dvEXT = epoxy_glProgramUniformMatrix3dvEXT_resolver();

    dispatch_table->pglProgramUniformMatrix3dvEXT(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix3fv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3fv = epoxy_glProgramUniformMatrix3fv_resolver();

    dispatch_table->pglProgramUniformMatrix3fv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix3x2dv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x2dv = epoxy_glProgramUniformMatrix3x2dv_resolver();

    dispatch_table->pglProgramUniformMatrix3x2dv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix3x2dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x2dvEXT = epoxy_glProgramUniformMatrix3x2dvEXT_resolver();

    dispatch_table->pglProgramUniformMatrix3x2dvEXT(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix3x2fv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x2fv = epoxy_glProgramUniformMatrix3x2fv_resolver();

    dispatch_table->pglProgramUniformMatrix3x2fv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix3x4dv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x4dv = epoxy_glProgramUniformMatrix3x4dv_resolver();

    dispatch_table->pglProgramUniformMatrix3x4dv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix3x4dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x4dvEXT = epoxy_glProgramUniformMatrix3x4dvEXT_resolver();

    dispatch_table->pglProgramUniformMatrix3x4dvEXT(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix3x4fv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x4fv = epoxy_glProgramUniformMatrix3x4fv_resolver();

    dispatch_table->pglProgramUniformMatrix3x4fv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix4dv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4dv = epoxy_glProgramUniformMatrix4dv_resolver();

    dispatch_table->pglProgramUniformMatrix4dv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix4dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4dvEXT = epoxy_glProgramUniformMatrix4dvEXT_resolver();

    dispatch_table->pglProgramUniformMatrix4dvEXT(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix4fv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4fv = epoxy_glProgramUniformMatrix4fv_resolver();

    dispatch_table->pglProgramUniformMatrix4fv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix4x2dv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x2dv = epoxy_glProgramUniformMatrix4x2dv_resolver();

    dispatch_table->pglProgramUniformMatrix4x2dv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix4x2dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x2dvEXT = epoxy_glProgramUniformMatrix4x2dvEXT_resolver();

    dispatch_table->pglProgramUniformMatrix4x2dvEXT(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix4x2fv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x2fv = epoxy_glProgramUniformMatrix4x2fv_resolver();

    dispatch_table->pglProgramUniformMatrix4x2fv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix4x3dv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x3dv = epoxy_glProgramUniformMatrix4x3dv_resolver();

    dispatch_table->pglProgramUniformMatrix4x3dv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix4x3dvEXT_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x3dvEXT = epoxy_glProgramUniformMatrix4x3dvEXT_resolver();

    dispatch_table->pglProgramUniformMatrix4x3dvEXT(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformMatrix4x3fv_rewrite_stub(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x3fv = epoxy_glProgramUniformMatrix4x3fv_resolver();

    dispatch_table->pglProgramUniformMatrix4x3fv(program, location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformui64NV_rewrite_stub(GLuint program, GLint location, GLuint64EXT value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformui64NV = epoxy_glProgramUniformui64NV_resolver();

    dispatch_table->pglProgramUniformui64NV(program, location, value);
}

static GLAPIENTRY void
epoxy_glProgramUniformui64vNV_rewrite_stub(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformui64vNV = epoxy_glProgramUniformui64vNV_resolver();

    dispatch_table->pglProgramUniformui64vNV(program, location, count, value);
}

static GLAPIENTRY void
epoxy_glProgramVertexLimitNV_rewrite_stub(GLenum target, GLint limit)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramVertexLimitNV = epoxy_glProgramVertexLimitNV_resolver();

    dispatch_table->pglProgramVertexLimitNV(target, limit);
}

static GLAPIENTRY void
epoxy_glProvokingVertex_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProvokingVertex = epoxy_glProvokingVertex_resolver();

    dispatch_table->pglProvokingVertex(mode);
}

static GLAPIENTRY void
epoxy_glPushAttrib_rewrite_stub(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushAttrib = epoxy_glPushAttrib_resolver();

    dispatch_table->pglPushAttrib(mask);
}

static GLAPIENTRY void
epoxy_glPushClientAttrib_rewrite_stub(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushClientAttrib = epoxy_glPushClientAttrib_resolver();

    dispatch_table->pglPushClientAttrib(mask);
}

static GLAPIENTRY void
epoxy_glPushClientAttribDefaultEXT_rewrite_stub(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushClientAttribDefaultEXT = epoxy_glPushClientAttribDefaultEXT_resolver();

    dispatch_table->pglPushClientAttribDefaultEXT(mask);
}

static GLAPIENTRY void
epoxy_glPushDebugGroup_rewrite_stub(GLenum source, GLuint id, GLsizei length, const GLchar * message)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushDebugGroup = epoxy_glPushDebugGroup_resolver();

    dispatch_table->pglPushDebugGroup(source, id, length, message);
}

static GLAPIENTRY void
epoxy_glPushGroupMarkerEXT_rewrite_stub(GLsizei length, const GLchar * marker)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushGroupMarkerEXT = epoxy_glPushGroupMarkerEXT_resolver();

    dispatch_table->pglPushGroupMarkerEXT(length, marker);
}

static GLAPIENTRY void
epoxy_glPushMatrix_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushMatrix = epoxy_glPushMatrix_resolver();

    dispatch_table->pglPushMatrix();
}

static GLAPIENTRY void
epoxy_glPushName_rewrite_stub(GLuint name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushName = epoxy_glPushName_resolver();

    dispatch_table->pglPushName(name);
}

static GLAPIENTRY void
epoxy_glQueryCounter_rewrite_stub(GLuint id, GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglQueryCounter = epoxy_glQueryCounter_resolver();

    dispatch_table->pglQueryCounter(id, target);
}

static GLAPIENTRY GLbitfield
epoxy_glQueryMatrixxOES_rewrite_stub(GLfixed * mantissa, GLint * exponent)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglQueryMatrixxOES = epoxy_glQueryMatrixxOES_resolver();

    return dispatch_table->pglQueryMatrixxOES(mantissa, exponent);
}

static GLAPIENTRY void
epoxy_glQueryObjectParameteruiAMD_rewrite_stub(GLenum target, GLuint id, GLenum pname, GLuint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglQueryObjectParameteruiAMD = epoxy_glQueryObjectParameteruiAMD_resolver();

    dispatch_table->pglQueryObjectParameteruiAMD(target, id, pname, param);
}

static GLAPIENTRY void
epoxy_glRasterPos2d_rewrite_stub(GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2d = epoxy_glRasterPos2d_resolver();

    dispatch_table->pglRasterPos2d(x, y);
}

static GLAPIENTRY void
epoxy_glRasterPos2dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2dv = epoxy_glRasterPos2dv_resolver();

    dispatch_table->pglRasterPos2dv(v);
}

static GLAPIENTRY void
epoxy_glRasterPos2f_rewrite_stub(GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2f = epoxy_glRasterPos2f_resolver();

    dispatch_table->pglRasterPos2f(x, y);
}

static GLAPIENTRY void
epoxy_glRasterPos2fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2fv = epoxy_glRasterPos2fv_resolver();

    dispatch_table->pglRasterPos2fv(v);
}

static GLAPIENTRY void
epoxy_glRasterPos2i_rewrite_stub(GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2i = epoxy_glRasterPos2i_resolver();

    dispatch_table->pglRasterPos2i(x, y);
}

static GLAPIENTRY void
epoxy_glRasterPos2iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2iv = epoxy_glRasterPos2iv_resolver();

    dispatch_table->pglRasterPos2iv(v);
}

static GLAPIENTRY void
epoxy_glRasterPos2s_rewrite_stub(GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2s = epoxy_glRasterPos2s_resolver();

    dispatch_table->pglRasterPos2s(x, y);
}

static GLAPIENTRY void
epoxy_glRasterPos2sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2sv = epoxy_glRasterPos2sv_resolver();

    dispatch_table->pglRasterPos2sv(v);
}

static GLAPIENTRY void
epoxy_glRasterPos2xOES_rewrite_stub(GLfixed x, GLfixed y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2xOES = epoxy_glRasterPos2xOES_resolver();

    dispatch_table->pglRasterPos2xOES(x, y);
}

static GLAPIENTRY void
epoxy_glRasterPos2xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2xvOES = epoxy_glRasterPos2xvOES_resolver();

    dispatch_table->pglRasterPos2xvOES(coords);
}

static GLAPIENTRY void
epoxy_glRasterPos3d_rewrite_stub(GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3d = epoxy_glRasterPos3d_resolver();

    dispatch_table->pglRasterPos3d(x, y, z);
}

static GLAPIENTRY void
epoxy_glRasterPos3dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3dv = epoxy_glRasterPos3dv_resolver();

    dispatch_table->pglRasterPos3dv(v);
}

static GLAPIENTRY void
epoxy_glRasterPos3f_rewrite_stub(GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3f = epoxy_glRasterPos3f_resolver();

    dispatch_table->pglRasterPos3f(x, y, z);
}

static GLAPIENTRY void
epoxy_glRasterPos3fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3fv = epoxy_glRasterPos3fv_resolver();

    dispatch_table->pglRasterPos3fv(v);
}

static GLAPIENTRY void
epoxy_glRasterPos3i_rewrite_stub(GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3i = epoxy_glRasterPos3i_resolver();

    dispatch_table->pglRasterPos3i(x, y, z);
}

static GLAPIENTRY void
epoxy_glRasterPos3iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3iv = epoxy_glRasterPos3iv_resolver();

    dispatch_table->pglRasterPos3iv(v);
}

static GLAPIENTRY void
epoxy_glRasterPos3s_rewrite_stub(GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3s = epoxy_glRasterPos3s_resolver();

    dispatch_table->pglRasterPos3s(x, y, z);
}

static GLAPIENTRY void
epoxy_glRasterPos3sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3sv = epoxy_glRasterPos3sv_resolver();

    dispatch_table->pglRasterPos3sv(v);
}

static GLAPIENTRY void
epoxy_glRasterPos3xOES_rewrite_stub(GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3xOES = epoxy_glRasterPos3xOES_resolver();

    dispatch_table->pglRasterPos3xOES(x, y, z);
}

static GLAPIENTRY void
epoxy_glRasterPos3xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3xvOES = epoxy_glRasterPos3xvOES_resolver();

    dispatch_table->pglRasterPos3xvOES(coords);
}

static GLAPIENTRY void
epoxy_glRasterPos4d_rewrite_stub(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4d = epoxy_glRasterPos4d_resolver();

    dispatch_table->pglRasterPos4d(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glRasterPos4dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4dv = epoxy_glRasterPos4dv_resolver();

    dispatch_table->pglRasterPos4dv(v);
}

static GLAPIENTRY void
epoxy_glRasterPos4f_rewrite_stub(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4f = epoxy_glRasterPos4f_resolver();

    dispatch_table->pglRasterPos4f(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glRasterPos4fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4fv = epoxy_glRasterPos4fv_resolver();

    dispatch_table->pglRasterPos4fv(v);
}

static GLAPIENTRY void
epoxy_glRasterPos4i_rewrite_stub(GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4i = epoxy_glRasterPos4i_resolver();

    dispatch_table->pglRasterPos4i(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glRasterPos4iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4iv = epoxy_glRasterPos4iv_resolver();

    dispatch_table->pglRasterPos4iv(v);
}

static GLAPIENTRY void
epoxy_glRasterPos4s_rewrite_stub(GLshort x, GLshort y, GLshort z, GLshort w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4s = epoxy_glRasterPos4s_resolver();

    dispatch_table->pglRasterPos4s(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glRasterPos4sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4sv = epoxy_glRasterPos4sv_resolver();

    dispatch_table->pglRasterPos4sv(v);
}

static GLAPIENTRY void
epoxy_glRasterPos4xOES_rewrite_stub(GLfixed x, GLfixed y, GLfixed z, GLfixed w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4xOES = epoxy_glRasterPos4xOES_resolver();

    dispatch_table->pglRasterPos4xOES(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glRasterPos4xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4xvOES = epoxy_glRasterPos4xvOES_resolver();

    dispatch_table->pglRasterPos4xvOES(coords);
}

static GLAPIENTRY void
epoxy_glReadBuffer_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadBuffer = epoxy_glReadBuffer_resolver();

    dispatch_table->pglReadBuffer(mode);
}

static GLAPIENTRY void
epoxy_glReadBufferIndexedEXT_rewrite_stub(GLenum src, GLint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadBufferIndexedEXT = epoxy_glReadBufferIndexedEXT_resolver();

    dispatch_table->pglReadBufferIndexedEXT(src, index);
}

static GLAPIENTRY void
epoxy_glReadBufferNV_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadBufferNV = epoxy_glReadBufferNV_resolver();

    dispatch_table->pglReadBufferNV(mode);
}

static GLAPIENTRY void
epoxy_glReadInstrumentsSGIX_rewrite_stub(GLint marker)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadInstrumentsSGIX = epoxy_glReadInstrumentsSGIX_resolver();

    dispatch_table->pglReadInstrumentsSGIX(marker);
}

static GLAPIENTRY void
epoxy_glReadPixels_rewrite_stub(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadPixels = epoxy_glReadPixels_resolver();

    dispatch_table->pglReadPixels(x, y, width, height, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glReadnPixelsARB_rewrite_stub(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadnPixelsARB = epoxy_glReadnPixelsARB_resolver();

    dispatch_table->pglReadnPixelsARB(x, y, width, height, format, type, bufSize, data);
}

static GLAPIENTRY void
epoxy_glReadnPixelsEXT_rewrite_stub(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadnPixelsEXT = epoxy_glReadnPixelsEXT_resolver();

    dispatch_table->pglReadnPixelsEXT(x, y, width, height, format, type, bufSize, data);
}

static GLAPIENTRY void
epoxy_glRectd_rewrite_stub(GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectd = epoxy_glRectd_resolver();

    dispatch_table->pglRectd(x1, y1, x2, y2);
}

static GLAPIENTRY void
epoxy_glRectdv_rewrite_stub(const GLdouble * v1, const GLdouble * v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectdv = epoxy_glRectdv_resolver();

    dispatch_table->pglRectdv(v1, v2);
}

static GLAPIENTRY void
epoxy_glRectf_rewrite_stub(GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectf = epoxy_glRectf_resolver();

    dispatch_table->pglRectf(x1, y1, x2, y2);
}

static GLAPIENTRY void
epoxy_glRectfv_rewrite_stub(const GLfloat * v1, const GLfloat * v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectfv = epoxy_glRectfv_resolver();

    dispatch_table->pglRectfv(v1, v2);
}

static GLAPIENTRY void
epoxy_glRecti_rewrite_stub(GLint x1, GLint y1, GLint x2, GLint y2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRecti = epoxy_glRecti_resolver();

    dispatch_table->pglRecti(x1, y1, x2, y2);
}

static GLAPIENTRY void
epoxy_glRectiv_rewrite_stub(const GLint * v1, const GLint * v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectiv = epoxy_glRectiv_resolver();

    dispatch_table->pglRectiv(v1, v2);
}

static GLAPIENTRY void
epoxy_glRects_rewrite_stub(GLshort x1, GLshort y1, GLshort x2, GLshort y2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRects = epoxy_glRects_resolver();

    dispatch_table->pglRects(x1, y1, x2, y2);
}

static GLAPIENTRY void
epoxy_glRectsv_rewrite_stub(const GLshort * v1, const GLshort * v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectsv = epoxy_glRectsv_resolver();

    dispatch_table->pglRectsv(v1, v2);
}

static GLAPIENTRY void
epoxy_glRectxOES_rewrite_stub(GLfixed x1, GLfixed y1, GLfixed x2, GLfixed y2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectxOES = epoxy_glRectxOES_resolver();

    dispatch_table->pglRectxOES(x1, y1, x2, y2);
}

static GLAPIENTRY void
epoxy_glRectxvOES_rewrite_stub(const GLfixed * v1, const GLfixed * v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectxvOES = epoxy_glRectxvOES_resolver();

    dispatch_table->pglRectxvOES(v1, v2);
}

static GLAPIENTRY void
epoxy_glReferencePlaneSGIX_rewrite_stub(const GLdouble * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReferencePlaneSGIX = epoxy_glReferencePlaneSGIX_resolver();

    dispatch_table->pglReferencePlaneSGIX(equation);
}

static GLAPIENTRY void
epoxy_glReleaseShaderCompiler_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReleaseShaderCompiler = epoxy_glReleaseShaderCompiler_resolver();

    dispatch_table->pglReleaseShaderCompiler();
}

static GLAPIENTRY GLint
epoxy_glRenderMode_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderMode = epoxy_glRenderMode_resolver();

    return dispatch_table->pglRenderMode(mode);
}

static GLAPIENTRY void
epoxy_glRenderbufferStorage_rewrite_stub(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorage = epoxy_glRenderbufferStorage_resolver();

    dispatch_table->pglRenderbufferStorage(target, internalformat, width, height);
}

static GLAPIENTRY void
epoxy_glRenderbufferStorageMultisample_rewrite_stub(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageMultisample = epoxy_glRenderbufferStorageMultisample_resolver();

    dispatch_table->pglRenderbufferStorageMultisample(target, samples, internalformat, width, height);
}

static GLAPIENTRY void
epoxy_glRenderbufferStorageMultisampleANGLE_rewrite_stub(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageMultisampleANGLE = epoxy_glRenderbufferStorageMultisampleANGLE_resolver();

    dispatch_table->pglRenderbufferStorageMultisampleANGLE(target, samples, internalformat, width, height);
}

static GLAPIENTRY void
epoxy_glRenderbufferStorageMultisampleAPPLE_rewrite_stub(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageMultisampleAPPLE = epoxy_glRenderbufferStorageMultisampleAPPLE_resolver();

    dispatch_table->pglRenderbufferStorageMultisampleAPPLE(target, samples, internalformat, width, height);
}

static GLAPIENTRY void
epoxy_glRenderbufferStorageMultisampleCoverageNV_rewrite_stub(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageMultisampleCoverageNV = epoxy_glRenderbufferStorageMultisampleCoverageNV_resolver();

    dispatch_table->pglRenderbufferStorageMultisampleCoverageNV(target, coverageSamples, colorSamples, internalformat, width, height);
}

static GLAPIENTRY void
epoxy_glRenderbufferStorageMultisampleIMG_rewrite_stub(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageMultisampleIMG = epoxy_glRenderbufferStorageMultisampleIMG_resolver();

    dispatch_table->pglRenderbufferStorageMultisampleIMG(target, samples, internalformat, width, height);
}

static GLAPIENTRY void
epoxy_glRenderbufferStorageOES_rewrite_stub(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageOES = epoxy_glRenderbufferStorageOES_resolver();

    dispatch_table->pglRenderbufferStorageOES(target, internalformat, width, height);
}

static GLAPIENTRY void
epoxy_glReplacementCodePointerSUN_rewrite_stub(GLenum type, GLsizei stride, const void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodePointerSUN = epoxy_glReplacementCodePointerSUN_resolver();

    dispatch_table->pglReplacementCodePointerSUN(type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glReplacementCodeubSUN_rewrite_stub(GLubyte code)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeubSUN = epoxy_glReplacementCodeubSUN_resolver();

    dispatch_table->pglReplacementCodeubSUN(code);
}

static GLAPIENTRY void
epoxy_glReplacementCodeubvSUN_rewrite_stub(const GLubyte * code)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeubvSUN = epoxy_glReplacementCodeubvSUN_resolver();

    dispatch_table->pglReplacementCodeubvSUN(code);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiColor3fVertex3fSUN_rewrite_stub(GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiColor3fVertex3fSUN = epoxy_glReplacementCodeuiColor3fVertex3fSUN_resolver();

    dispatch_table->pglReplacementCodeuiColor3fVertex3fSUN(rc, r, g, b, x, y, z);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiColor3fVertex3fvSUN_rewrite_stub(const GLuint * rc, const GLfloat * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiColor3fVertex3fvSUN = epoxy_glReplacementCodeuiColor3fVertex3fvSUN_resolver();

    dispatch_table->pglReplacementCodeuiColor3fVertex3fvSUN(rc, c, v);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_rewrite_stub(GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_resolver();

    dispatch_table->pglReplacementCodeuiColor4fNormal3fVertex3fSUN(rc, r, g, b, a, nx, ny, nz, x, y, z);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_rewrite_stub(const GLuint * rc, const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_resolver();

    dispatch_table->pglReplacementCodeuiColor4fNormal3fVertex3fvSUN(rc, c, n, v);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiColor4ubVertex3fSUN_rewrite_stub(GLuint rc, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiColor4ubVertex3fSUN = epoxy_glReplacementCodeuiColor4ubVertex3fSUN_resolver();

    dispatch_table->pglReplacementCodeuiColor4ubVertex3fSUN(rc, r, g, b, a, x, y, z);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_rewrite_stub(const GLuint * rc, const GLubyte * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiColor4ubVertex3fvSUN = epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_resolver();

    dispatch_table->pglReplacementCodeuiColor4ubVertex3fvSUN(rc, c, v);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiNormal3fVertex3fSUN_rewrite_stub(GLuint rc, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiNormal3fVertex3fSUN = epoxy_glReplacementCodeuiNormal3fVertex3fSUN_resolver();

    dispatch_table->pglReplacementCodeuiNormal3fVertex3fSUN(rc, nx, ny, nz, x, y, z);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_rewrite_stub(const GLuint * rc, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_resolver();

    dispatch_table->pglReplacementCodeuiNormal3fVertex3fvSUN(rc, n, v);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiSUN_rewrite_stub(GLuint code)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiSUN = epoxy_glReplacementCodeuiSUN_resolver();

    dispatch_table->pglReplacementCodeuiSUN(code);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_rewrite_stub(GLuint rc, GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_resolver();

    dispatch_table->pglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN(rc, s, t, r, g, b, a, nx, ny, nz, x, y, z);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_rewrite_stub(const GLuint * rc, const GLfloat * tc, const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_resolver();

    dispatch_table->pglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN(rc, tc, c, n, v);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_rewrite_stub(GLuint rc, GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_resolver();

    dispatch_table->pglReplacementCodeuiTexCoord2fNormal3fVertex3fSUN(rc, s, t, nx, ny, nz, x, y, z);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_rewrite_stub(const GLuint * rc, const GLfloat * tc, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_resolver();

    dispatch_table->pglReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN(rc, tc, n, v);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_rewrite_stub(GLuint rc, GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiTexCoord2fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_resolver();

    dispatch_table->pglReplacementCodeuiTexCoord2fVertex3fSUN(rc, s, t, x, y, z);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_rewrite_stub(const GLuint * rc, const GLfloat * tc, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiTexCoord2fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_resolver();

    dispatch_table->pglReplacementCodeuiTexCoord2fVertex3fvSUN(rc, tc, v);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiVertex3fSUN_rewrite_stub(GLuint rc, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiVertex3fSUN = epoxy_glReplacementCodeuiVertex3fSUN_resolver();

    dispatch_table->pglReplacementCodeuiVertex3fSUN(rc, x, y, z);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuiVertex3fvSUN_rewrite_stub(const GLuint * rc, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiVertex3fvSUN = epoxy_glReplacementCodeuiVertex3fvSUN_resolver();

    dispatch_table->pglReplacementCodeuiVertex3fvSUN(rc, v);
}

static GLAPIENTRY void
epoxy_glReplacementCodeuivSUN_rewrite_stub(const GLuint * code)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuivSUN = epoxy_glReplacementCodeuivSUN_resolver();

    dispatch_table->pglReplacementCodeuivSUN(code);
}

static GLAPIENTRY void
epoxy_glReplacementCodeusSUN_rewrite_stub(GLushort code)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeusSUN = epoxy_glReplacementCodeusSUN_resolver();

    dispatch_table->pglReplacementCodeusSUN(code);
}

static GLAPIENTRY void
epoxy_glReplacementCodeusvSUN_rewrite_stub(const GLushort * code)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeusvSUN = epoxy_glReplacementCodeusvSUN_resolver();

    dispatch_table->pglReplacementCodeusvSUN(code);
}

static GLAPIENTRY void
epoxy_glRequestResidentProgramsNV_rewrite_stub(GLsizei n, const GLuint * programs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRequestResidentProgramsNV = epoxy_glRequestResidentProgramsNV_resolver();

    dispatch_table->pglRequestResidentProgramsNV(n, programs);
}

static GLAPIENTRY void
epoxy_glResetHistogram_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResetHistogram = epoxy_glResetHistogram_resolver();

    dispatch_table->pglResetHistogram(target);
}

static GLAPIENTRY void
epoxy_glResetMinmax_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResetMinmax = epoxy_glResetMinmax_resolver();

    dispatch_table->pglResetMinmax(target);
}

static GLAPIENTRY void
epoxy_glResizeBuffersMESA_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResizeBuffersMESA = epoxy_glResizeBuffersMESA_resolver();

    dispatch_table->pglResizeBuffersMESA();
}

static GLAPIENTRY void
epoxy_glResolveMultisampleFramebufferAPPLE_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResolveMultisampleFramebufferAPPLE = epoxy_glResolveMultisampleFramebufferAPPLE_resolver();

    dispatch_table->pglResolveMultisampleFramebufferAPPLE();
}

static GLAPIENTRY void
epoxy_glResumeTransformFeedback_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResumeTransformFeedback = epoxy_glResumeTransformFeedback_resolver();

    dispatch_table->pglResumeTransformFeedback();
}

static GLAPIENTRY void
epoxy_glRotated_rewrite_stub(GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRotated = epoxy_glRotated_resolver();

    dispatch_table->pglRotated(angle, x, y, z);
}

static GLAPIENTRY void
epoxy_glRotatef_rewrite_stub(GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRotatef = epoxy_glRotatef_resolver();

    dispatch_table->pglRotatef(angle, x, y, z);
}

static GLAPIENTRY void
epoxy_glRotatex_rewrite_stub(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRotatex = epoxy_glRotatex_resolver();

    dispatch_table->pglRotatex(angle, x, y, z);
}

static GLAPIENTRY void
epoxy_glRotatexOES_rewrite_stub(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRotatexOES = epoxy_glRotatexOES_resolver();

    dispatch_table->pglRotatexOES(angle, x, y, z);
}

static GLAPIENTRY void
epoxy_glSampleCoverage_rewrite_stub(GLfloat value, GLboolean invert)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleCoverage = epoxy_glSampleCoverage_resolver();

    dispatch_table->pglSampleCoverage(value, invert);
}

static GLAPIENTRY void
epoxy_glSampleCoverageOES_rewrite_stub(GLfixed value, GLboolean invert)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleCoverageOES = epoxy_glSampleCoverageOES_resolver();

    dispatch_table->pglSampleCoverageOES(value, invert);
}

static GLAPIENTRY void
epoxy_glSampleCoveragex_rewrite_stub(GLclampx value, GLboolean invert)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleCoveragex = epoxy_glSampleCoveragex_resolver();

    dispatch_table->pglSampleCoveragex(value, invert);
}

static GLAPIENTRY void
epoxy_glSampleCoveragexOES_rewrite_stub(GLclampx value, GLboolean invert)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleCoveragexOES = epoxy_glSampleCoveragexOES_resolver();

    dispatch_table->pglSampleCoveragexOES(value, invert);
}

static GLAPIENTRY void
epoxy_glSampleMapATI_rewrite_stub(GLuint dst, GLuint interp, GLenum swizzle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleMapATI = epoxy_glSampleMapATI_resolver();

    dispatch_table->pglSampleMapATI(dst, interp, swizzle);
}

static GLAPIENTRY void
epoxy_glSampleMaskEXT_rewrite_stub(GLclampf value, GLboolean invert)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleMaskEXT = epoxy_glSampleMaskEXT_resolver();

    dispatch_table->pglSampleMaskEXT(value, invert);
}

static GLAPIENTRY void
epoxy_glSampleMaskIndexedNV_rewrite_stub(GLuint index, GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleMaskIndexedNV = epoxy_glSampleMaskIndexedNV_resolver();

    dispatch_table->pglSampleMaskIndexedNV(index, mask);
}

static GLAPIENTRY void
epoxy_glSampleMaski_rewrite_stub(GLuint maskNumber, GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleMaski = epoxy_glSampleMaski_resolver();

    dispatch_table->pglSampleMaski(maskNumber, mask);
}

static GLAPIENTRY void
epoxy_glSamplePatternEXT_rewrite_stub(GLenum pattern)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplePatternEXT = epoxy_glSamplePatternEXT_resolver();

    dispatch_table->pglSamplePatternEXT(pattern);
}

static GLAPIENTRY void
epoxy_glSamplerParameterIiv_rewrite_stub(GLuint sampler, GLenum pname, const GLint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplerParameterIiv = epoxy_glSamplerParameterIiv_resolver();

    dispatch_table->pglSamplerParameterIiv(sampler, pname, param);
}

static GLAPIENTRY void
epoxy_glSamplerParameterIuiv_rewrite_stub(GLuint sampler, GLenum pname, const GLuint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplerParameterIuiv = epoxy_glSamplerParameterIuiv_resolver();

    dispatch_table->pglSamplerParameterIuiv(sampler, pname, param);
}

static GLAPIENTRY void
epoxy_glSamplerParameterf_rewrite_stub(GLuint sampler, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplerParameterf = epoxy_glSamplerParameterf_resolver();

    dispatch_table->pglSamplerParameterf(sampler, pname, param);
}

static GLAPIENTRY void
epoxy_glSamplerParameterfv_rewrite_stub(GLuint sampler, GLenum pname, const GLfloat * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplerParameterfv = epoxy_glSamplerParameterfv_resolver();

    dispatch_table->pglSamplerParameterfv(sampler, pname, param);
}

static GLAPIENTRY void
epoxy_glSamplerParameteri_rewrite_stub(GLuint sampler, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplerParameteri = epoxy_glSamplerParameteri_resolver();

    dispatch_table->pglSamplerParameteri(sampler, pname, param);
}

static GLAPIENTRY void
epoxy_glSamplerParameteriv_rewrite_stub(GLuint sampler, GLenum pname, const GLint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplerParameteriv = epoxy_glSamplerParameteriv_resolver();

    dispatch_table->pglSamplerParameteriv(sampler, pname, param);
}

static GLAPIENTRY void
epoxy_glScaled_rewrite_stub(GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScaled = epoxy_glScaled_resolver();

    dispatch_table->pglScaled(x, y, z);
}

static GLAPIENTRY void
epoxy_glScalef_rewrite_stub(GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScalef = epoxy_glScalef_resolver();

    dispatch_table->pglScalef(x, y, z);
}

static GLAPIENTRY void
epoxy_glScalex_rewrite_stub(GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScalex = epoxy_glScalex_resolver();

    dispatch_table->pglScalex(x, y, z);
}

static GLAPIENTRY void
epoxy_glScalexOES_rewrite_stub(GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScalexOES = epoxy_glScalexOES_resolver();

    dispatch_table->pglScalexOES(x, y, z);
}

static GLAPIENTRY void
epoxy_glScissor_rewrite_stub(GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScissor = epoxy_glScissor_resolver();

    dispatch_table->pglScissor(x, y, width, height);
}

static GLAPIENTRY void
epoxy_glScissorArrayv_rewrite_stub(GLuint first, GLsizei count, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScissorArrayv = epoxy_glScissorArrayv_resolver();

    dispatch_table->pglScissorArrayv(first, count, v);
}

static GLAPIENTRY void
epoxy_glScissorIndexed_rewrite_stub(GLuint index, GLint left, GLint bottom, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScissorIndexed = epoxy_glScissorIndexed_resolver();

    dispatch_table->pglScissorIndexed(index, left, bottom, width, height);
}

static GLAPIENTRY void
epoxy_glScissorIndexedv_rewrite_stub(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScissorIndexedv = epoxy_glScissorIndexedv_resolver();

    dispatch_table->pglScissorIndexedv(index, v);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3b_rewrite_stub(GLbyte red, GLbyte green, GLbyte blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3b = epoxy_glSecondaryColor3b_resolver();

    dispatch_table->pglSecondaryColor3b(red, green, blue);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3bv_rewrite_stub(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3bv = epoxy_glSecondaryColor3bv_resolver();

    dispatch_table->pglSecondaryColor3bv(v);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3d_rewrite_stub(GLdouble red, GLdouble green, GLdouble blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3d = epoxy_glSecondaryColor3d_resolver();

    dispatch_table->pglSecondaryColor3d(red, green, blue);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3dv = epoxy_glSecondaryColor3dv_resolver();

    dispatch_table->pglSecondaryColor3dv(v);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3f_rewrite_stub(GLfloat red, GLfloat green, GLfloat blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3f = epoxy_glSecondaryColor3f_resolver();

    dispatch_table->pglSecondaryColor3f(red, green, blue);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3fv = epoxy_glSecondaryColor3fv_resolver();

    dispatch_table->pglSecondaryColor3fv(v);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3hNV_rewrite_stub(GLhalfNV red, GLhalfNV green, GLhalfNV blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3hNV = epoxy_glSecondaryColor3hNV_resolver();

    dispatch_table->pglSecondaryColor3hNV(red, green, blue);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3hvNV_rewrite_stub(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3hvNV = epoxy_glSecondaryColor3hvNV_resolver();

    dispatch_table->pglSecondaryColor3hvNV(v);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3i_rewrite_stub(GLint red, GLint green, GLint blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3i = epoxy_glSecondaryColor3i_resolver();

    dispatch_table->pglSecondaryColor3i(red, green, blue);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3iv = epoxy_glSecondaryColor3iv_resolver();

    dispatch_table->pglSecondaryColor3iv(v);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3s_rewrite_stub(GLshort red, GLshort green, GLshort blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3s = epoxy_glSecondaryColor3s_resolver();

    dispatch_table->pglSecondaryColor3s(red, green, blue);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3sv = epoxy_glSecondaryColor3sv_resolver();

    dispatch_table->pglSecondaryColor3sv(v);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3ub_rewrite_stub(GLubyte red, GLubyte green, GLubyte blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3ub = epoxy_glSecondaryColor3ub_resolver();

    dispatch_table->pglSecondaryColor3ub(red, green, blue);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3ubv_rewrite_stub(const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3ubv = epoxy_glSecondaryColor3ubv_resolver();

    dispatch_table->pglSecondaryColor3ubv(v);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3ui_rewrite_stub(GLuint red, GLuint green, GLuint blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3ui = epoxy_glSecondaryColor3ui_resolver();

    dispatch_table->pglSecondaryColor3ui(red, green, blue);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3uiv_rewrite_stub(const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3uiv = epoxy_glSecondaryColor3uiv_resolver();

    dispatch_table->pglSecondaryColor3uiv(v);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3us_rewrite_stub(GLushort red, GLushort green, GLushort blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3us = epoxy_glSecondaryColor3us_resolver();

    dispatch_table->pglSecondaryColor3us(red, green, blue);
}

static GLAPIENTRY void
epoxy_glSecondaryColor3usv_rewrite_stub(const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3usv = epoxy_glSecondaryColor3usv_resolver();

    dispatch_table->pglSecondaryColor3usv(v);
}

static GLAPIENTRY void
epoxy_glSecondaryColorFormatNV_rewrite_stub(GLint size, GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColorFormatNV = epoxy_glSecondaryColorFormatNV_resolver();

    dispatch_table->pglSecondaryColorFormatNV(size, type, stride);
}

static GLAPIENTRY void
epoxy_glSecondaryColorP3ui_rewrite_stub(GLenum type, GLuint color)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColorP3ui = epoxy_glSecondaryColorP3ui_resolver();

    dispatch_table->pglSecondaryColorP3ui(type, color);
}

static GLAPIENTRY void
epoxy_glSecondaryColorP3uiv_rewrite_stub(GLenum type, const GLuint * color)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColorP3uiv = epoxy_glSecondaryColorP3uiv_resolver();

    dispatch_table->pglSecondaryColorP3uiv(type, color);
}

static GLAPIENTRY void
epoxy_glSecondaryColorPointer_rewrite_stub(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColorPointer = epoxy_glSecondaryColorPointer_resolver();

    dispatch_table->pglSecondaryColorPointer(size, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glSecondaryColorPointerListIBM_rewrite_stub(GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColorPointerListIBM = epoxy_glSecondaryColorPointerListIBM_resolver();

    dispatch_table->pglSecondaryColorPointerListIBM(size, type, stride, pointer, ptrstride);
}

static GLAPIENTRY void
epoxy_glSelectBuffer_rewrite_stub(GLsizei size, GLuint * buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSelectBuffer = epoxy_glSelectBuffer_resolver();

    dispatch_table->pglSelectBuffer(size, buffer);
}

static GLAPIENTRY void
epoxy_glSelectPerfMonitorCountersAMD_rewrite_stub(GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint * counterList)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSelectPerfMonitorCountersAMD = epoxy_glSelectPerfMonitorCountersAMD_resolver();

    dispatch_table->pglSelectPerfMonitorCountersAMD(monitor, enable, group, numCounters, counterList);
}

static GLAPIENTRY void
epoxy_glSeparableFilter2D_rewrite_stub(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * row, const void * column)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSeparableFilter2D = epoxy_glSeparableFilter2D_resolver();

    dispatch_table->pglSeparableFilter2D(target, internalformat, width, height, format, type, row, column);
}

static GLAPIENTRY void
epoxy_glSetFenceAPPLE_rewrite_stub(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSetFenceAPPLE = epoxy_glSetFenceAPPLE_resolver();

    dispatch_table->pglSetFenceAPPLE(fence);
}

static GLAPIENTRY void
epoxy_glSetFenceNV_rewrite_stub(GLuint fence, GLenum condition)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSetFenceNV = epoxy_glSetFenceNV_resolver();

    dispatch_table->pglSetFenceNV(fence, condition);
}

static GLAPIENTRY void
epoxy_glSetFragmentShaderConstantATI_rewrite_stub(GLuint dst, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSetFragmentShaderConstantATI = epoxy_glSetFragmentShaderConstantATI_resolver();

    dispatch_table->pglSetFragmentShaderConstantATI(dst, value);
}

static GLAPIENTRY void
epoxy_glSetInvariantEXT_rewrite_stub(GLuint id, GLenum type, const void * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSetInvariantEXT = epoxy_glSetInvariantEXT_resolver();

    dispatch_table->pglSetInvariantEXT(id, type, addr);
}

static GLAPIENTRY void
epoxy_glSetLocalConstantEXT_rewrite_stub(GLuint id, GLenum type, const void * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSetLocalConstantEXT = epoxy_glSetLocalConstantEXT_resolver();

    dispatch_table->pglSetLocalConstantEXT(id, type, addr);
}

static GLAPIENTRY void
epoxy_glSetMultisamplefvAMD_rewrite_stub(GLenum pname, GLuint index, const GLfloat * val)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSetMultisamplefvAMD = epoxy_glSetMultisamplefvAMD_resolver();

    dispatch_table->pglSetMultisamplefvAMD(pname, index, val);
}

static GLAPIENTRY void
epoxy_glShadeModel_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShadeModel = epoxy_glShadeModel_resolver();

    dispatch_table->pglShadeModel(mode);
}

static GLAPIENTRY void
epoxy_glShaderBinary_rewrite_stub(GLsizei count, const GLuint * shaders, GLenum binaryformat, const void * binary, GLsizei length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderBinary = epoxy_glShaderBinary_resolver();

    dispatch_table->pglShaderBinary(count, shaders, binaryformat, binary, length);
}

static GLAPIENTRY void
epoxy_glShaderOp1EXT_rewrite_stub(GLenum op, GLuint res, GLuint arg1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderOp1EXT = epoxy_glShaderOp1EXT_resolver();

    dispatch_table->pglShaderOp1EXT(op, res, arg1);
}

static GLAPIENTRY void
epoxy_glShaderOp2EXT_rewrite_stub(GLenum op, GLuint res, GLuint arg1, GLuint arg2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderOp2EXT = epoxy_glShaderOp2EXT_resolver();

    dispatch_table->pglShaderOp2EXT(op, res, arg1, arg2);
}

static GLAPIENTRY void
epoxy_glShaderOp3EXT_rewrite_stub(GLenum op, GLuint res, GLuint arg1, GLuint arg2, GLuint arg3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderOp3EXT = epoxy_glShaderOp3EXT_resolver();

    dispatch_table->pglShaderOp3EXT(op, res, arg1, arg2, arg3);
}

static GLAPIENTRY void
epoxy_glShaderSource_rewrite_stub(GLuint shader, GLsizei count, const GLchar *const* string, const GLint * length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderSource = epoxy_glShaderSource_resolver();

    dispatch_table->pglShaderSource(shader, count, string, length);
}

static GLAPIENTRY void
epoxy_glShaderStorageBlockBinding_rewrite_stub(GLuint program, GLuint storageBlockIndex, GLuint storageBlockBinding)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderStorageBlockBinding = epoxy_glShaderStorageBlockBinding_resolver();

    dispatch_table->pglShaderStorageBlockBinding(program, storageBlockIndex, storageBlockBinding);
}

static GLAPIENTRY void
epoxy_glSharpenTexFuncSGIS_rewrite_stub(GLenum target, GLsizei n, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSharpenTexFuncSGIS = epoxy_glSharpenTexFuncSGIS_resolver();

    dispatch_table->pglSharpenTexFuncSGIS(target, n, points);
}

static GLAPIENTRY void
epoxy_glSpriteParameterfSGIX_rewrite_stub(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSpriteParameterfSGIX = epoxy_glSpriteParameterfSGIX_resolver();

    dispatch_table->pglSpriteParameterfSGIX(pname, param);
}

static GLAPIENTRY void
epoxy_glSpriteParameterfvSGIX_rewrite_stub(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSpriteParameterfvSGIX = epoxy_glSpriteParameterfvSGIX_resolver();

    dispatch_table->pglSpriteParameterfvSGIX(pname, params);
}

static GLAPIENTRY void
epoxy_glSpriteParameteriSGIX_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSpriteParameteriSGIX = epoxy_glSpriteParameteriSGIX_resolver();

    dispatch_table->pglSpriteParameteriSGIX(pname, param);
}

static GLAPIENTRY void
epoxy_glSpriteParameterivSGIX_rewrite_stub(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSpriteParameterivSGIX = epoxy_glSpriteParameterivSGIX_resolver();

    dispatch_table->pglSpriteParameterivSGIX(pname, params);
}

static GLAPIENTRY void
epoxy_glStartInstrumentsSGIX_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStartInstrumentsSGIX = epoxy_glStartInstrumentsSGIX_resolver();

    dispatch_table->pglStartInstrumentsSGIX();
}

static GLAPIENTRY void
epoxy_glStartTilingQCOM_rewrite_stub(GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStartTilingQCOM = epoxy_glStartTilingQCOM_resolver();

    dispatch_table->pglStartTilingQCOM(x, y, width, height, preserveMask);
}

static GLAPIENTRY void
epoxy_glStencilClearTagEXT_rewrite_stub(GLsizei stencilTagBits, GLuint stencilClearTag)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilClearTagEXT = epoxy_glStencilClearTagEXT_resolver();

    dispatch_table->pglStencilClearTagEXT(stencilTagBits, stencilClearTag);
}

static GLAPIENTRY void
epoxy_glStencilFillPathInstancedNV_rewrite_stub(GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLenum fillMode, GLuint mask, GLenum transformType, const GLfloat * transformValues)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilFillPathInstancedNV = epoxy_glStencilFillPathInstancedNV_resolver();

    dispatch_table->pglStencilFillPathInstancedNV(numPaths, pathNameType, paths, pathBase, fillMode, mask, transformType, transformValues);
}

static GLAPIENTRY void
epoxy_glStencilFillPathNV_rewrite_stub(GLuint path, GLenum fillMode, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilFillPathNV = epoxy_glStencilFillPathNV_resolver();

    dispatch_table->pglStencilFillPathNV(path, fillMode, mask);
}

static GLAPIENTRY void
epoxy_glStencilFunc_rewrite_stub(GLenum func, GLint ref, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilFunc = epoxy_glStencilFunc_resolver();

    dispatch_table->pglStencilFunc(func, ref, mask);
}

static GLAPIENTRY void
epoxy_glStencilFuncSeparate_rewrite_stub(GLenum face, GLenum func, GLint ref, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilFuncSeparate = epoxy_glStencilFuncSeparate_resolver();

    dispatch_table->pglStencilFuncSeparate(face, func, ref, mask);
}

static GLAPIENTRY void
epoxy_glStencilFuncSeparateATI_rewrite_stub(GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilFuncSeparateATI = epoxy_glStencilFuncSeparateATI_resolver();

    dispatch_table->pglStencilFuncSeparateATI(frontfunc, backfunc, ref, mask);
}

static GLAPIENTRY void
epoxy_glStencilMask_rewrite_stub(GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilMask = epoxy_glStencilMask_resolver();

    dispatch_table->pglStencilMask(mask);
}

static GLAPIENTRY void
epoxy_glStencilMaskSeparate_rewrite_stub(GLenum face, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilMaskSeparate = epoxy_glStencilMaskSeparate_resolver();

    dispatch_table->pglStencilMaskSeparate(face, mask);
}

static GLAPIENTRY void
epoxy_glStencilOp_rewrite_stub(GLenum fail, GLenum zfail, GLenum zpass)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilOp = epoxy_glStencilOp_resolver();

    dispatch_table->pglStencilOp(fail, zfail, zpass);
}

static GLAPIENTRY void
epoxy_glStencilOpSeparate_rewrite_stub(GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilOpSeparate = epoxy_glStencilOpSeparate_resolver();

    dispatch_table->pglStencilOpSeparate(face, sfail, dpfail, dppass);
}

static GLAPIENTRY void
epoxy_glStencilOpValueAMD_rewrite_stub(GLenum face, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilOpValueAMD = epoxy_glStencilOpValueAMD_resolver();

    dispatch_table->pglStencilOpValueAMD(face, value);
}

static GLAPIENTRY void
epoxy_glStencilStrokePathInstancedNV_rewrite_stub(GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLint reference, GLuint mask, GLenum transformType, const GLfloat * transformValues)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilStrokePathInstancedNV = epoxy_glStencilStrokePathInstancedNV_resolver();

    dispatch_table->pglStencilStrokePathInstancedNV(numPaths, pathNameType, paths, pathBase, reference, mask, transformType, transformValues);
}

static GLAPIENTRY void
epoxy_glStencilStrokePathNV_rewrite_stub(GLuint path, GLint reference, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilStrokePathNV = epoxy_glStencilStrokePathNV_resolver();

    dispatch_table->pglStencilStrokePathNV(path, reference, mask);
}

static GLAPIENTRY void
epoxy_glStopInstrumentsSGIX_rewrite_stub(GLint marker)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStopInstrumentsSGIX = epoxy_glStopInstrumentsSGIX_resolver();

    dispatch_table->pglStopInstrumentsSGIX(marker);
}

static GLAPIENTRY void
epoxy_glStringMarkerGREMEDY_rewrite_stub(GLsizei len, const void * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStringMarkerGREMEDY = epoxy_glStringMarkerGREMEDY_resolver();

    dispatch_table->pglStringMarkerGREMEDY(len, string);
}

static GLAPIENTRY void
epoxy_glSwizzleEXT_rewrite_stub(GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSwizzleEXT = epoxy_glSwizzleEXT_resolver();

    dispatch_table->pglSwizzleEXT(res, in, outX, outY, outZ, outW);
}

static GLAPIENTRY void
epoxy_glSyncTextureINTEL_rewrite_stub(GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSyncTextureINTEL = epoxy_glSyncTextureINTEL_resolver();

    dispatch_table->pglSyncTextureINTEL(texture);
}

static GLAPIENTRY void
epoxy_glTagSampleBufferSGIX_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTagSampleBufferSGIX = epoxy_glTagSampleBufferSGIX_resolver();

    dispatch_table->pglTagSampleBufferSGIX();
}

static GLAPIENTRY void
epoxy_glTangent3bEXT_rewrite_stub(GLbyte tx, GLbyte ty, GLbyte tz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3bEXT = epoxy_glTangent3bEXT_resolver();

    dispatch_table->pglTangent3bEXT(tx, ty, tz);
}

static GLAPIENTRY void
epoxy_glTangent3bvEXT_rewrite_stub(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3bvEXT = epoxy_glTangent3bvEXT_resolver();

    dispatch_table->pglTangent3bvEXT(v);
}

static GLAPIENTRY void
epoxy_glTangent3dEXT_rewrite_stub(GLdouble tx, GLdouble ty, GLdouble tz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3dEXT = epoxy_glTangent3dEXT_resolver();

    dispatch_table->pglTangent3dEXT(tx, ty, tz);
}

static GLAPIENTRY void
epoxy_glTangent3dvEXT_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3dvEXT = epoxy_glTangent3dvEXT_resolver();

    dispatch_table->pglTangent3dvEXT(v);
}

static GLAPIENTRY void
epoxy_glTangent3fEXT_rewrite_stub(GLfloat tx, GLfloat ty, GLfloat tz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3fEXT = epoxy_glTangent3fEXT_resolver();

    dispatch_table->pglTangent3fEXT(tx, ty, tz);
}

static GLAPIENTRY void
epoxy_glTangent3fvEXT_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3fvEXT = epoxy_glTangent3fvEXT_resolver();

    dispatch_table->pglTangent3fvEXT(v);
}

static GLAPIENTRY void
epoxy_glTangent3iEXT_rewrite_stub(GLint tx, GLint ty, GLint tz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3iEXT = epoxy_glTangent3iEXT_resolver();

    dispatch_table->pglTangent3iEXT(tx, ty, tz);
}

static GLAPIENTRY void
epoxy_glTangent3ivEXT_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3ivEXT = epoxy_glTangent3ivEXT_resolver();

    dispatch_table->pglTangent3ivEXT(v);
}

static GLAPIENTRY void
epoxy_glTangent3sEXT_rewrite_stub(GLshort tx, GLshort ty, GLshort tz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3sEXT = epoxy_glTangent3sEXT_resolver();

    dispatch_table->pglTangent3sEXT(tx, ty, tz);
}

static GLAPIENTRY void
epoxy_glTangent3svEXT_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3svEXT = epoxy_glTangent3svEXT_resolver();

    dispatch_table->pglTangent3svEXT(v);
}

static GLAPIENTRY void
epoxy_glTangentPointerEXT_rewrite_stub(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangentPointerEXT = epoxy_glTangentPointerEXT_resolver();

    dispatch_table->pglTangentPointerEXT(type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glTbufferMask3DFX_rewrite_stub(GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTbufferMask3DFX = epoxy_glTbufferMask3DFX_resolver();

    dispatch_table->pglTbufferMask3DFX(mask);
}

static GLAPIENTRY void
epoxy_glTessellationFactorAMD_rewrite_stub(GLfloat factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTessellationFactorAMD = epoxy_glTessellationFactorAMD_resolver();

    dispatch_table->pglTessellationFactorAMD(factor);
}

static GLAPIENTRY void
epoxy_glTessellationModeAMD_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTessellationModeAMD = epoxy_glTessellationModeAMD_resolver();

    dispatch_table->pglTessellationModeAMD(mode);
}

static GLAPIENTRY GLboolean
epoxy_glTestFenceAPPLE_rewrite_stub(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTestFenceAPPLE = epoxy_glTestFenceAPPLE_resolver();

    return dispatch_table->pglTestFenceAPPLE(fence);
}

static GLAPIENTRY GLboolean
epoxy_glTestFenceNV_rewrite_stub(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTestFenceNV = epoxy_glTestFenceNV_resolver();

    return dispatch_table->pglTestFenceNV(fence);
}

static GLAPIENTRY GLboolean
epoxy_glTestObjectAPPLE_rewrite_stub(GLenum object, GLuint name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTestObjectAPPLE = epoxy_glTestObjectAPPLE_resolver();

    return dispatch_table->pglTestObjectAPPLE(object, name);
}

static GLAPIENTRY void
epoxy_glTexBuffer_rewrite_stub(GLenum target, GLenum internalformat, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexBuffer = epoxy_glTexBuffer_resolver();

    dispatch_table->pglTexBuffer(target, internalformat, buffer);
}

static GLAPIENTRY void
epoxy_glTexBufferRange_rewrite_stub(GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexBufferRange = epoxy_glTexBufferRange_resolver();

    dispatch_table->pglTexBufferRange(target, internalformat, buffer, offset, size);
}

static GLAPIENTRY void
epoxy_glTexBumpParameterfvATI_rewrite_stub(GLenum pname, const GLfloat * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexBumpParameterfvATI = epoxy_glTexBumpParameterfvATI_resolver();

    dispatch_table->pglTexBumpParameterfvATI(pname, param);
}

static GLAPIENTRY void
epoxy_glTexBumpParameterivATI_rewrite_stub(GLenum pname, const GLint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexBumpParameterivATI = epoxy_glTexBumpParameterivATI_resolver();

    dispatch_table->pglTexBumpParameterivATI(pname, param);
}

static GLAPIENTRY void
epoxy_glTexCoord1bOES_rewrite_stub(GLbyte s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1bOES = epoxy_glTexCoord1bOES_resolver();

    dispatch_table->pglTexCoord1bOES(s);
}

static GLAPIENTRY void
epoxy_glTexCoord1bvOES_rewrite_stub(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1bvOES = epoxy_glTexCoord1bvOES_resolver();

    dispatch_table->pglTexCoord1bvOES(coords);
}

static GLAPIENTRY void
epoxy_glTexCoord1d_rewrite_stub(GLdouble s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1d = epoxy_glTexCoord1d_resolver();

    dispatch_table->pglTexCoord1d(s);
}

static GLAPIENTRY void
epoxy_glTexCoord1dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1dv = epoxy_glTexCoord1dv_resolver();

    dispatch_table->pglTexCoord1dv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord1f_rewrite_stub(GLfloat s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1f = epoxy_glTexCoord1f_resolver();

    dispatch_table->pglTexCoord1f(s);
}

static GLAPIENTRY void
epoxy_glTexCoord1fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1fv = epoxy_glTexCoord1fv_resolver();

    dispatch_table->pglTexCoord1fv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord1hNV_rewrite_stub(GLhalfNV s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1hNV = epoxy_glTexCoord1hNV_resolver();

    dispatch_table->pglTexCoord1hNV(s);
}

static GLAPIENTRY void
epoxy_glTexCoord1hvNV_rewrite_stub(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1hvNV = epoxy_glTexCoord1hvNV_resolver();

    dispatch_table->pglTexCoord1hvNV(v);
}

static GLAPIENTRY void
epoxy_glTexCoord1i_rewrite_stub(GLint s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1i = epoxy_glTexCoord1i_resolver();

    dispatch_table->pglTexCoord1i(s);
}

static GLAPIENTRY void
epoxy_glTexCoord1iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1iv = epoxy_glTexCoord1iv_resolver();

    dispatch_table->pglTexCoord1iv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord1s_rewrite_stub(GLshort s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1s = epoxy_glTexCoord1s_resolver();

    dispatch_table->pglTexCoord1s(s);
}

static GLAPIENTRY void
epoxy_glTexCoord1sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1sv = epoxy_glTexCoord1sv_resolver();

    dispatch_table->pglTexCoord1sv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord1xOES_rewrite_stub(GLfixed s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1xOES = epoxy_glTexCoord1xOES_resolver();

    dispatch_table->pglTexCoord1xOES(s);
}

static GLAPIENTRY void
epoxy_glTexCoord1xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1xvOES = epoxy_glTexCoord1xvOES_resolver();

    dispatch_table->pglTexCoord1xvOES(coords);
}

static GLAPIENTRY void
epoxy_glTexCoord2bOES_rewrite_stub(GLbyte s, GLbyte t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2bOES = epoxy_glTexCoord2bOES_resolver();

    dispatch_table->pglTexCoord2bOES(s, t);
}

static GLAPIENTRY void
epoxy_glTexCoord2bvOES_rewrite_stub(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2bvOES = epoxy_glTexCoord2bvOES_resolver();

    dispatch_table->pglTexCoord2bvOES(coords);
}

static GLAPIENTRY void
epoxy_glTexCoord2d_rewrite_stub(GLdouble s, GLdouble t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2d = epoxy_glTexCoord2d_resolver();

    dispatch_table->pglTexCoord2d(s, t);
}

static GLAPIENTRY void
epoxy_glTexCoord2dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2dv = epoxy_glTexCoord2dv_resolver();

    dispatch_table->pglTexCoord2dv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord2f_rewrite_stub(GLfloat s, GLfloat t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2f = epoxy_glTexCoord2f_resolver();

    dispatch_table->pglTexCoord2f(s, t);
}

static GLAPIENTRY void
epoxy_glTexCoord2fColor3fVertex3fSUN_rewrite_stub(GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fColor3fVertex3fSUN = epoxy_glTexCoord2fColor3fVertex3fSUN_resolver();

    dispatch_table->pglTexCoord2fColor3fVertex3fSUN(s, t, r, g, b, x, y, z);
}

static GLAPIENTRY void
epoxy_glTexCoord2fColor3fVertex3fvSUN_rewrite_stub(const GLfloat * tc, const GLfloat * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fColor3fVertex3fvSUN = epoxy_glTexCoord2fColor3fVertex3fvSUN_resolver();

    dispatch_table->pglTexCoord2fColor3fVertex3fvSUN(tc, c, v);
}

static GLAPIENTRY void
epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_rewrite_stub(GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_resolver();

    dispatch_table->pglTexCoord2fColor4fNormal3fVertex3fSUN(s, t, r, g, b, a, nx, ny, nz, x, y, z);
}

static GLAPIENTRY void
epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_rewrite_stub(const GLfloat * tc, const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_resolver();

    dispatch_table->pglTexCoord2fColor4fNormal3fVertex3fvSUN(tc, c, n, v);
}

static GLAPIENTRY void
epoxy_glTexCoord2fColor4ubVertex3fSUN_rewrite_stub(GLfloat s, GLfloat t, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fColor4ubVertex3fSUN = epoxy_glTexCoord2fColor4ubVertex3fSUN_resolver();

    dispatch_table->pglTexCoord2fColor4ubVertex3fSUN(s, t, r, g, b, a, x, y, z);
}

static GLAPIENTRY void
epoxy_glTexCoord2fColor4ubVertex3fvSUN_rewrite_stub(const GLfloat * tc, const GLubyte * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fColor4ubVertex3fvSUN = epoxy_glTexCoord2fColor4ubVertex3fvSUN_resolver();

    dispatch_table->pglTexCoord2fColor4ubVertex3fvSUN(tc, c, v);
}

static GLAPIENTRY void
epoxy_glTexCoord2fNormal3fVertex3fSUN_rewrite_stub(GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fNormal3fVertex3fSUN = epoxy_glTexCoord2fNormal3fVertex3fSUN_resolver();

    dispatch_table->pglTexCoord2fNormal3fVertex3fSUN(s, t, nx, ny, nz, x, y, z);
}

static GLAPIENTRY void
epoxy_glTexCoord2fNormal3fVertex3fvSUN_rewrite_stub(const GLfloat * tc, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fNormal3fVertex3fvSUN = epoxy_glTexCoord2fNormal3fVertex3fvSUN_resolver();

    dispatch_table->pglTexCoord2fNormal3fVertex3fvSUN(tc, n, v);
}

static GLAPIENTRY void
epoxy_glTexCoord2fVertex3fSUN_rewrite_stub(GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fVertex3fSUN = epoxy_glTexCoord2fVertex3fSUN_resolver();

    dispatch_table->pglTexCoord2fVertex3fSUN(s, t, x, y, z);
}

static GLAPIENTRY void
epoxy_glTexCoord2fVertex3fvSUN_rewrite_stub(const GLfloat * tc, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fVertex3fvSUN = epoxy_glTexCoord2fVertex3fvSUN_resolver();

    dispatch_table->pglTexCoord2fVertex3fvSUN(tc, v);
}

static GLAPIENTRY void
epoxy_glTexCoord2fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fv = epoxy_glTexCoord2fv_resolver();

    dispatch_table->pglTexCoord2fv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord2hNV_rewrite_stub(GLhalfNV s, GLhalfNV t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2hNV = epoxy_glTexCoord2hNV_resolver();

    dispatch_table->pglTexCoord2hNV(s, t);
}

static GLAPIENTRY void
epoxy_glTexCoord2hvNV_rewrite_stub(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2hvNV = epoxy_glTexCoord2hvNV_resolver();

    dispatch_table->pglTexCoord2hvNV(v);
}

static GLAPIENTRY void
epoxy_glTexCoord2i_rewrite_stub(GLint s, GLint t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2i = epoxy_glTexCoord2i_resolver();

    dispatch_table->pglTexCoord2i(s, t);
}

static GLAPIENTRY void
epoxy_glTexCoord2iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2iv = epoxy_glTexCoord2iv_resolver();

    dispatch_table->pglTexCoord2iv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord2s_rewrite_stub(GLshort s, GLshort t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2s = epoxy_glTexCoord2s_resolver();

    dispatch_table->pglTexCoord2s(s, t);
}

static GLAPIENTRY void
epoxy_glTexCoord2sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2sv = epoxy_glTexCoord2sv_resolver();

    dispatch_table->pglTexCoord2sv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord2xOES_rewrite_stub(GLfixed s, GLfixed t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2xOES = epoxy_glTexCoord2xOES_resolver();

    dispatch_table->pglTexCoord2xOES(s, t);
}

static GLAPIENTRY void
epoxy_glTexCoord2xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2xvOES = epoxy_glTexCoord2xvOES_resolver();

    dispatch_table->pglTexCoord2xvOES(coords);
}

static GLAPIENTRY void
epoxy_glTexCoord3bOES_rewrite_stub(GLbyte s, GLbyte t, GLbyte r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3bOES = epoxy_glTexCoord3bOES_resolver();

    dispatch_table->pglTexCoord3bOES(s, t, r);
}

static GLAPIENTRY void
epoxy_glTexCoord3bvOES_rewrite_stub(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3bvOES = epoxy_glTexCoord3bvOES_resolver();

    dispatch_table->pglTexCoord3bvOES(coords);
}

static GLAPIENTRY void
epoxy_glTexCoord3d_rewrite_stub(GLdouble s, GLdouble t, GLdouble r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3d = epoxy_glTexCoord3d_resolver();

    dispatch_table->pglTexCoord3d(s, t, r);
}

static GLAPIENTRY void
epoxy_glTexCoord3dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3dv = epoxy_glTexCoord3dv_resolver();

    dispatch_table->pglTexCoord3dv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord3f_rewrite_stub(GLfloat s, GLfloat t, GLfloat r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3f = epoxy_glTexCoord3f_resolver();

    dispatch_table->pglTexCoord3f(s, t, r);
}

static GLAPIENTRY void
epoxy_glTexCoord3fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3fv = epoxy_glTexCoord3fv_resolver();

    dispatch_table->pglTexCoord3fv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord3hNV_rewrite_stub(GLhalfNV s, GLhalfNV t, GLhalfNV r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3hNV = epoxy_glTexCoord3hNV_resolver();

    dispatch_table->pglTexCoord3hNV(s, t, r);
}

static GLAPIENTRY void
epoxy_glTexCoord3hvNV_rewrite_stub(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3hvNV = epoxy_glTexCoord3hvNV_resolver();

    dispatch_table->pglTexCoord3hvNV(v);
}

static GLAPIENTRY void
epoxy_glTexCoord3i_rewrite_stub(GLint s, GLint t, GLint r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3i = epoxy_glTexCoord3i_resolver();

    dispatch_table->pglTexCoord3i(s, t, r);
}

static GLAPIENTRY void
epoxy_glTexCoord3iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3iv = epoxy_glTexCoord3iv_resolver();

    dispatch_table->pglTexCoord3iv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord3s_rewrite_stub(GLshort s, GLshort t, GLshort r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3s = epoxy_glTexCoord3s_resolver();

    dispatch_table->pglTexCoord3s(s, t, r);
}

static GLAPIENTRY void
epoxy_glTexCoord3sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3sv = epoxy_glTexCoord3sv_resolver();

    dispatch_table->pglTexCoord3sv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord3xOES_rewrite_stub(GLfixed s, GLfixed t, GLfixed r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3xOES = epoxy_glTexCoord3xOES_resolver();

    dispatch_table->pglTexCoord3xOES(s, t, r);
}

static GLAPIENTRY void
epoxy_glTexCoord3xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3xvOES = epoxy_glTexCoord3xvOES_resolver();

    dispatch_table->pglTexCoord3xvOES(coords);
}

static GLAPIENTRY void
epoxy_glTexCoord4bOES_rewrite_stub(GLbyte s, GLbyte t, GLbyte r, GLbyte q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4bOES = epoxy_glTexCoord4bOES_resolver();

    dispatch_table->pglTexCoord4bOES(s, t, r, q);
}

static GLAPIENTRY void
epoxy_glTexCoord4bvOES_rewrite_stub(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4bvOES = epoxy_glTexCoord4bvOES_resolver();

    dispatch_table->pglTexCoord4bvOES(coords);
}

static GLAPIENTRY void
epoxy_glTexCoord4d_rewrite_stub(GLdouble s, GLdouble t, GLdouble r, GLdouble q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4d = epoxy_glTexCoord4d_resolver();

    dispatch_table->pglTexCoord4d(s, t, r, q);
}

static GLAPIENTRY void
epoxy_glTexCoord4dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4dv = epoxy_glTexCoord4dv_resolver();

    dispatch_table->pglTexCoord4dv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord4f_rewrite_stub(GLfloat s, GLfloat t, GLfloat r, GLfloat q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4f = epoxy_glTexCoord4f_resolver();

    dispatch_table->pglTexCoord4f(s, t, r, q);
}

static GLAPIENTRY void
epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_rewrite_stub(GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4fColor4fNormal3fVertex4fSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_resolver();

    dispatch_table->pglTexCoord4fColor4fNormal3fVertex4fSUN(s, t, p, q, r, g, b, a, nx, ny, nz, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_rewrite_stub(const GLfloat * tc, const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4fColor4fNormal3fVertex4fvSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_resolver();

    dispatch_table->pglTexCoord4fColor4fNormal3fVertex4fvSUN(tc, c, n, v);
}

static GLAPIENTRY void
epoxy_glTexCoord4fVertex4fSUN_rewrite_stub(GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4fVertex4fSUN = epoxy_glTexCoord4fVertex4fSUN_resolver();

    dispatch_table->pglTexCoord4fVertex4fSUN(s, t, p, q, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glTexCoord4fVertex4fvSUN_rewrite_stub(const GLfloat * tc, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4fVertex4fvSUN = epoxy_glTexCoord4fVertex4fvSUN_resolver();

    dispatch_table->pglTexCoord4fVertex4fvSUN(tc, v);
}

static GLAPIENTRY void
epoxy_glTexCoord4fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4fv = epoxy_glTexCoord4fv_resolver();

    dispatch_table->pglTexCoord4fv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord4hNV_rewrite_stub(GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4hNV = epoxy_glTexCoord4hNV_resolver();

    dispatch_table->pglTexCoord4hNV(s, t, r, q);
}

static GLAPIENTRY void
epoxy_glTexCoord4hvNV_rewrite_stub(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4hvNV = epoxy_glTexCoord4hvNV_resolver();

    dispatch_table->pglTexCoord4hvNV(v);
}

static GLAPIENTRY void
epoxy_glTexCoord4i_rewrite_stub(GLint s, GLint t, GLint r, GLint q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4i = epoxy_glTexCoord4i_resolver();

    dispatch_table->pglTexCoord4i(s, t, r, q);
}

static GLAPIENTRY void
epoxy_glTexCoord4iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4iv = epoxy_glTexCoord4iv_resolver();

    dispatch_table->pglTexCoord4iv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord4s_rewrite_stub(GLshort s, GLshort t, GLshort r, GLshort q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4s = epoxy_glTexCoord4s_resolver();

    dispatch_table->pglTexCoord4s(s, t, r, q);
}

static GLAPIENTRY void
epoxy_glTexCoord4sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4sv = epoxy_glTexCoord4sv_resolver();

    dispatch_table->pglTexCoord4sv(v);
}

static GLAPIENTRY void
epoxy_glTexCoord4xOES_rewrite_stub(GLfixed s, GLfixed t, GLfixed r, GLfixed q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4xOES = epoxy_glTexCoord4xOES_resolver();

    dispatch_table->pglTexCoord4xOES(s, t, r, q);
}

static GLAPIENTRY void
epoxy_glTexCoord4xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4xvOES = epoxy_glTexCoord4xvOES_resolver();

    dispatch_table->pglTexCoord4xvOES(coords);
}

static GLAPIENTRY void
epoxy_glTexCoordFormatNV_rewrite_stub(GLint size, GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordFormatNV = epoxy_glTexCoordFormatNV_resolver();

    dispatch_table->pglTexCoordFormatNV(size, type, stride);
}

static GLAPIENTRY void
epoxy_glTexCoordP1ui_rewrite_stub(GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP1ui = epoxy_glTexCoordP1ui_resolver();

    dispatch_table->pglTexCoordP1ui(type, coords);
}

static GLAPIENTRY void
epoxy_glTexCoordP1uiv_rewrite_stub(GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP1uiv = epoxy_glTexCoordP1uiv_resolver();

    dispatch_table->pglTexCoordP1uiv(type, coords);
}

static GLAPIENTRY void
epoxy_glTexCoordP2ui_rewrite_stub(GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP2ui = epoxy_glTexCoordP2ui_resolver();

    dispatch_table->pglTexCoordP2ui(type, coords);
}

static GLAPIENTRY void
epoxy_glTexCoordP2uiv_rewrite_stub(GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP2uiv = epoxy_glTexCoordP2uiv_resolver();

    dispatch_table->pglTexCoordP2uiv(type, coords);
}

static GLAPIENTRY void
epoxy_glTexCoordP3ui_rewrite_stub(GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP3ui = epoxy_glTexCoordP3ui_resolver();

    dispatch_table->pglTexCoordP3ui(type, coords);
}

static GLAPIENTRY void
epoxy_glTexCoordP3uiv_rewrite_stub(GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP3uiv = epoxy_glTexCoordP3uiv_resolver();

    dispatch_table->pglTexCoordP3uiv(type, coords);
}

static GLAPIENTRY void
epoxy_glTexCoordP4ui_rewrite_stub(GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP4ui = epoxy_glTexCoordP4ui_resolver();

    dispatch_table->pglTexCoordP4ui(type, coords);
}

static GLAPIENTRY void
epoxy_glTexCoordP4uiv_rewrite_stub(GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP4uiv = epoxy_glTexCoordP4uiv_resolver();

    dispatch_table->pglTexCoordP4uiv(type, coords);
}

static GLAPIENTRY void
epoxy_glTexCoordPointer_rewrite_stub(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordPointer = epoxy_glTexCoordPointer_resolver();

    dispatch_table->pglTexCoordPointer(size, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glTexCoordPointerEXT_rewrite_stub(GLint size, GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordPointerEXT = epoxy_glTexCoordPointerEXT_resolver();

    dispatch_table->pglTexCoordPointerEXT(size, type, stride, count, pointer);
}

static GLAPIENTRY void
epoxy_glTexCoordPointerListIBM_rewrite_stub(GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordPointerListIBM = epoxy_glTexCoordPointerListIBM_resolver();

    dispatch_table->pglTexCoordPointerListIBM(size, type, stride, pointer, ptrstride);
}

static GLAPIENTRY void
epoxy_glTexCoordPointervINTEL_rewrite_stub(GLint size, GLenum type, const void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordPointervINTEL = epoxy_glTexCoordPointervINTEL_resolver();

    dispatch_table->pglTexCoordPointervINTEL(size, type, pointer);
}

static GLAPIENTRY void
epoxy_glTexEnvf_rewrite_stub(GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvf = epoxy_glTexEnvf_resolver();

    dispatch_table->pglTexEnvf(target, pname, param);
}

static GLAPIENTRY void
epoxy_glTexEnvfv_rewrite_stub(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvfv = epoxy_glTexEnvfv_resolver();

    dispatch_table->pglTexEnvfv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glTexEnvi_rewrite_stub(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvi = epoxy_glTexEnvi_resolver();

    dispatch_table->pglTexEnvi(target, pname, param);
}

static GLAPIENTRY void
epoxy_glTexEnviv_rewrite_stub(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnviv = epoxy_glTexEnviv_resolver();

    dispatch_table->pglTexEnviv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glTexEnvx_rewrite_stub(GLenum target, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvx = epoxy_glTexEnvx_resolver();

    dispatch_table->pglTexEnvx(target, pname, param);
}

static GLAPIENTRY void
epoxy_glTexEnvxOES_rewrite_stub(GLenum target, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvxOES = epoxy_glTexEnvxOES_resolver();

    dispatch_table->pglTexEnvxOES(target, pname, param);
}

static GLAPIENTRY void
epoxy_glTexEnvxv_rewrite_stub(GLenum target, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvxv = epoxy_glTexEnvxv_resolver();

    dispatch_table->pglTexEnvxv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glTexEnvxvOES_rewrite_stub(GLenum target, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvxvOES = epoxy_glTexEnvxvOES_resolver();

    dispatch_table->pglTexEnvxvOES(target, pname, params);
}

static GLAPIENTRY void
epoxy_glTexFilterFuncSGIS_rewrite_stub(GLenum target, GLenum filter, GLsizei n, const GLfloat * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexFilterFuncSGIS = epoxy_glTexFilterFuncSGIS_resolver();

    dispatch_table->pglTexFilterFuncSGIS(target, filter, n, weights);
}

static GLAPIENTRY void
epoxy_glTexGend_rewrite_stub(GLenum coord, GLenum pname, GLdouble param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGend = epoxy_glTexGend_resolver();

    dispatch_table->pglTexGend(coord, pname, param);
}

static GLAPIENTRY void
epoxy_glTexGendv_rewrite_stub(GLenum coord, GLenum pname, const GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGendv = epoxy_glTexGendv_resolver();

    dispatch_table->pglTexGendv(coord, pname, params);
}

static GLAPIENTRY void
epoxy_glTexGenf_rewrite_stub(GLenum coord, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenf = epoxy_glTexGenf_resolver();

    dispatch_table->pglTexGenf(coord, pname, param);
}

static GLAPIENTRY void
epoxy_glTexGenfOES_rewrite_stub(GLenum coord, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenfOES = epoxy_glTexGenfOES_resolver();

    dispatch_table->pglTexGenfOES(coord, pname, param);
}

static GLAPIENTRY void
epoxy_glTexGenfv_rewrite_stub(GLenum coord, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenfv = epoxy_glTexGenfv_resolver();

    dispatch_table->pglTexGenfv(coord, pname, params);
}

static GLAPIENTRY void
epoxy_glTexGenfvOES_rewrite_stub(GLenum coord, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenfvOES = epoxy_glTexGenfvOES_resolver();

    dispatch_table->pglTexGenfvOES(coord, pname, params);
}

static GLAPIENTRY void
epoxy_glTexGeni_rewrite_stub(GLenum coord, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGeni = epoxy_glTexGeni_resolver();

    dispatch_table->pglTexGeni(coord, pname, param);
}

static GLAPIENTRY void
epoxy_glTexGeniOES_rewrite_stub(GLenum coord, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGeniOES = epoxy_glTexGeniOES_resolver();

    dispatch_table->pglTexGeniOES(coord, pname, param);
}

static GLAPIENTRY void
epoxy_glTexGeniv_rewrite_stub(GLenum coord, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGeniv = epoxy_glTexGeniv_resolver();

    dispatch_table->pglTexGeniv(coord, pname, params);
}

static GLAPIENTRY void
epoxy_glTexGenivOES_rewrite_stub(GLenum coord, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenivOES = epoxy_glTexGenivOES_resolver();

    dispatch_table->pglTexGenivOES(coord, pname, params);
}

static GLAPIENTRY void
epoxy_glTexGenxOES_rewrite_stub(GLenum coord, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenxOES = epoxy_glTexGenxOES_resolver();

    dispatch_table->pglTexGenxOES(coord, pname, param);
}

static GLAPIENTRY void
epoxy_glTexGenxvOES_rewrite_stub(GLenum coord, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenxvOES = epoxy_glTexGenxvOES_resolver();

    dispatch_table->pglTexGenxvOES(coord, pname, params);
}

static GLAPIENTRY void
epoxy_glTexImage1D_rewrite_stub(GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage1D = epoxy_glTexImage1D_resolver();

    dispatch_table->pglTexImage1D(target, level, internalformat, width, border, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTexImage2D_rewrite_stub(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage2D = epoxy_glTexImage2D_resolver();

    dispatch_table->pglTexImage2D(target, level, internalformat, width, height, border, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTexImage2DMultisample_rewrite_stub(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage2DMultisample = epoxy_glTexImage2DMultisample_resolver();

    dispatch_table->pglTexImage2DMultisample(target, samples, internalformat, width, height, fixedsamplelocations);
}

static GLAPIENTRY void
epoxy_glTexImage2DMultisampleCoverageNV_rewrite_stub(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage2DMultisampleCoverageNV = epoxy_glTexImage2DMultisampleCoverageNV_resolver();

    dispatch_table->pglTexImage2DMultisampleCoverageNV(target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations);
}

static GLAPIENTRY void
epoxy_glTexImage3D_rewrite_stub(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage3D = epoxy_glTexImage3D_resolver();

    dispatch_table->pglTexImage3D(target, level, internalformat, width, height, depth, border, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTexImage3DMultisample_rewrite_stub(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage3DMultisample = epoxy_glTexImage3DMultisample_resolver();

    dispatch_table->pglTexImage3DMultisample(target, samples, internalformat, width, height, depth, fixedsamplelocations);
}

static GLAPIENTRY void
epoxy_glTexImage3DMultisampleCoverageNV_rewrite_stub(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage3DMultisampleCoverageNV = epoxy_glTexImage3DMultisampleCoverageNV_resolver();

    dispatch_table->pglTexImage3DMultisampleCoverageNV(target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations);
}

static GLAPIENTRY void
epoxy_glTexImage4DSGIS_rewrite_stub(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage4DSGIS = epoxy_glTexImage4DSGIS_resolver();

    dispatch_table->pglTexImage4DSGIS(target, level, internalformat, width, height, depth, size4d, border, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTexPageCommitmentARB_rewrite_stub(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLboolean resident)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexPageCommitmentARB = epoxy_glTexPageCommitmentARB_resolver();

    dispatch_table->pglTexPageCommitmentARB(target, level, xoffset, yoffset, zoffset, width, height, depth, resident);
}

static GLAPIENTRY void
epoxy_glTexParameterIiv_rewrite_stub(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterIiv = epoxy_glTexParameterIiv_resolver();

    dispatch_table->pglTexParameterIiv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glTexParameterIuiv_rewrite_stub(GLenum target, GLenum pname, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterIuiv = epoxy_glTexParameterIuiv_resolver();

    dispatch_table->pglTexParameterIuiv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glTexParameterf_rewrite_stub(GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterf = epoxy_glTexParameterf_resolver();

    dispatch_table->pglTexParameterf(target, pname, param);
}

static GLAPIENTRY void
epoxy_glTexParameterfv_rewrite_stub(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterfv = epoxy_glTexParameterfv_resolver();

    dispatch_table->pglTexParameterfv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glTexParameteri_rewrite_stub(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameteri = epoxy_glTexParameteri_resolver();

    dispatch_table->pglTexParameteri(target, pname, param);
}

static GLAPIENTRY void
epoxy_glTexParameteriv_rewrite_stub(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameteriv = epoxy_glTexParameteriv_resolver();

    dispatch_table->pglTexParameteriv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glTexParameterx_rewrite_stub(GLenum target, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterx = epoxy_glTexParameterx_resolver();

    dispatch_table->pglTexParameterx(target, pname, param);
}

static GLAPIENTRY void
epoxy_glTexParameterxOES_rewrite_stub(GLenum target, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterxOES = epoxy_glTexParameterxOES_resolver();

    dispatch_table->pglTexParameterxOES(target, pname, param);
}

static GLAPIENTRY void
epoxy_glTexParameterxv_rewrite_stub(GLenum target, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterxv = epoxy_glTexParameterxv_resolver();

    dispatch_table->pglTexParameterxv(target, pname, params);
}

static GLAPIENTRY void
epoxy_glTexParameterxvOES_rewrite_stub(GLenum target, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterxvOES = epoxy_glTexParameterxvOES_resolver();

    dispatch_table->pglTexParameterxvOES(target, pname, params);
}

static GLAPIENTRY void
epoxy_glTexRenderbufferNV_rewrite_stub(GLenum target, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexRenderbufferNV = epoxy_glTexRenderbufferNV_resolver();

    dispatch_table->pglTexRenderbufferNV(target, renderbuffer);
}

static GLAPIENTRY void
epoxy_glTexStorage1D_rewrite_stub(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage1D = epoxy_glTexStorage1D_resolver();

    dispatch_table->pglTexStorage1D(target, levels, internalformat, width);
}

static GLAPIENTRY void
epoxy_glTexStorage2D_rewrite_stub(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage2D = epoxy_glTexStorage2D_resolver();

    dispatch_table->pglTexStorage2D(target, levels, internalformat, width, height);
}

static GLAPIENTRY void
epoxy_glTexStorage2DMultisample_rewrite_stub(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage2DMultisample = epoxy_glTexStorage2DMultisample_resolver();

    dispatch_table->pglTexStorage2DMultisample(target, samples, internalformat, width, height, fixedsamplelocations);
}

static GLAPIENTRY void
epoxy_glTexStorage3D_rewrite_stub(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage3D = epoxy_glTexStorage3D_resolver();

    dispatch_table->pglTexStorage3D(target, levels, internalformat, width, height, depth);
}

static GLAPIENTRY void
epoxy_glTexStorage3DMultisample_rewrite_stub(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage3DMultisample = epoxy_glTexStorage3DMultisample_resolver();

    dispatch_table->pglTexStorage3DMultisample(target, samples, internalformat, width, height, depth, fixedsamplelocations);
}

static GLAPIENTRY void
epoxy_glTexStorageSparseAMD_rewrite_stub(GLenum target, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLsizei layers, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorageSparseAMD = epoxy_glTexStorageSparseAMD_resolver();

    dispatch_table->pglTexStorageSparseAMD(target, internalFormat, width, height, depth, layers, flags);
}

static GLAPIENTRY void
epoxy_glTexSubImage1D_rewrite_stub(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexSubImage1D = epoxy_glTexSubImage1D_resolver();

    dispatch_table->pglTexSubImage1D(target, level, xoffset, width, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTexSubImage2D_rewrite_stub(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexSubImage2D = epoxy_glTexSubImage2D_resolver();

    dispatch_table->pglTexSubImage2D(target, level, xoffset, yoffset, width, height, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTexSubImage3D_rewrite_stub(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexSubImage3D = epoxy_glTexSubImage3D_resolver();

    dispatch_table->pglTexSubImage3D(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTexSubImage4DSGIS_rewrite_stub(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint woffset, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexSubImage4DSGIS = epoxy_glTexSubImage4DSGIS_resolver();

    dispatch_table->pglTexSubImage4DSGIS(target, level, xoffset, yoffset, zoffset, woffset, width, height, depth, size4d, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTextureBarrierNV_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureBarrierNV = epoxy_glTextureBarrierNV_resolver();

    dispatch_table->pglTextureBarrierNV();
}

static GLAPIENTRY void
epoxy_glTextureBufferEXT_rewrite_stub(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureBufferEXT = epoxy_glTextureBufferEXT_resolver();

    dispatch_table->pglTextureBufferEXT(texture, target, internalformat, buffer);
}

static GLAPIENTRY void
epoxy_glTextureBufferRangeEXT_rewrite_stub(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureBufferRangeEXT = epoxy_glTextureBufferRangeEXT_resolver();

    dispatch_table->pglTextureBufferRangeEXT(texture, target, internalformat, buffer, offset, size);
}

static GLAPIENTRY void
epoxy_glTextureColorMaskSGIS_rewrite_stub(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureColorMaskSGIS = epoxy_glTextureColorMaskSGIS_resolver();

    dispatch_table->pglTextureColorMaskSGIS(red, green, blue, alpha);
}

static GLAPIENTRY void
epoxy_glTextureImage1DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage1DEXT = epoxy_glTextureImage1DEXT_resolver();

    dispatch_table->pglTextureImage1DEXT(texture, target, level, internalformat, width, border, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTextureImage2DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage2DEXT = epoxy_glTextureImage2DEXT_resolver();

    dispatch_table->pglTextureImage2DEXT(texture, target, level, internalformat, width, height, border, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTextureImage2DMultisampleCoverageNV_rewrite_stub(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage2DMultisampleCoverageNV = epoxy_glTextureImage2DMultisampleCoverageNV_resolver();

    dispatch_table->pglTextureImage2DMultisampleCoverageNV(texture, target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations);
}

static GLAPIENTRY void
epoxy_glTextureImage2DMultisampleNV_rewrite_stub(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage2DMultisampleNV = epoxy_glTextureImage2DMultisampleNV_resolver();

    dispatch_table->pglTextureImage2DMultisampleNV(texture, target, samples, internalFormat, width, height, fixedSampleLocations);
}

static GLAPIENTRY void
epoxy_glTextureImage3DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage3DEXT = epoxy_glTextureImage3DEXT_resolver();

    dispatch_table->pglTextureImage3DEXT(texture, target, level, internalformat, width, height, depth, border, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTextureImage3DMultisampleCoverageNV_rewrite_stub(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage3DMultisampleCoverageNV = epoxy_glTextureImage3DMultisampleCoverageNV_resolver();

    dispatch_table->pglTextureImage3DMultisampleCoverageNV(texture, target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations);
}

static GLAPIENTRY void
epoxy_glTextureImage3DMultisampleNV_rewrite_stub(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage3DMultisampleNV = epoxy_glTextureImage3DMultisampleNV_resolver();

    dispatch_table->pglTextureImage3DMultisampleNV(texture, target, samples, internalFormat, width, height, depth, fixedSampleLocations);
}

static GLAPIENTRY void
epoxy_glTextureLightEXT_rewrite_stub(GLenum pname)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureLightEXT = epoxy_glTextureLightEXT_resolver();

    dispatch_table->pglTextureLightEXT(pname);
}

static GLAPIENTRY void
epoxy_glTextureMaterialEXT_rewrite_stub(GLenum face, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureMaterialEXT = epoxy_glTextureMaterialEXT_resolver();

    dispatch_table->pglTextureMaterialEXT(face, mode);
}

static GLAPIENTRY void
epoxy_glTextureNormalEXT_rewrite_stub(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureNormalEXT = epoxy_glTextureNormalEXT_resolver();

    dispatch_table->pglTextureNormalEXT(mode);
}

static GLAPIENTRY void
epoxy_glTexturePageCommitmentEXT_rewrite_stub(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLboolean resident)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexturePageCommitmentEXT = epoxy_glTexturePageCommitmentEXT_resolver();

    dispatch_table->pglTexturePageCommitmentEXT(texture, level, xoffset, yoffset, zoffset, width, height, depth, resident);
}

static GLAPIENTRY void
epoxy_glTextureParameterIivEXT_rewrite_stub(GLuint texture, GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureParameterIivEXT = epoxy_glTextureParameterIivEXT_resolver();

    dispatch_table->pglTextureParameterIivEXT(texture, target, pname, params);
}

static GLAPIENTRY void
epoxy_glTextureParameterIuivEXT_rewrite_stub(GLuint texture, GLenum target, GLenum pname, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureParameterIuivEXT = epoxy_glTextureParameterIuivEXT_resolver();

    dispatch_table->pglTextureParameterIuivEXT(texture, target, pname, params);
}

static GLAPIENTRY void
epoxy_glTextureParameterfEXT_rewrite_stub(GLuint texture, GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureParameterfEXT = epoxy_glTextureParameterfEXT_resolver();

    dispatch_table->pglTextureParameterfEXT(texture, target, pname, param);
}

static GLAPIENTRY void
epoxy_glTextureParameterfvEXT_rewrite_stub(GLuint texture, GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureParameterfvEXT = epoxy_glTextureParameterfvEXT_resolver();

    dispatch_table->pglTextureParameterfvEXT(texture, target, pname, params);
}

static GLAPIENTRY void
epoxy_glTextureParameteriEXT_rewrite_stub(GLuint texture, GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureParameteriEXT = epoxy_glTextureParameteriEXT_resolver();

    dispatch_table->pglTextureParameteriEXT(texture, target, pname, param);
}

static GLAPIENTRY void
epoxy_glTextureParameterivEXT_rewrite_stub(GLuint texture, GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureParameterivEXT = epoxy_glTextureParameterivEXT_resolver();

    dispatch_table->pglTextureParameterivEXT(texture, target, pname, params);
}

static GLAPIENTRY void
epoxy_glTextureRangeAPPLE_rewrite_stub(GLenum target, GLsizei length, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureRangeAPPLE = epoxy_glTextureRangeAPPLE_resolver();

    dispatch_table->pglTextureRangeAPPLE(target, length, pointer);
}

static GLAPIENTRY void
epoxy_glTextureRenderbufferEXT_rewrite_stub(GLuint texture, GLenum target, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureRenderbufferEXT = epoxy_glTextureRenderbufferEXT_resolver();

    dispatch_table->pglTextureRenderbufferEXT(texture, target, renderbuffer);
}

static GLAPIENTRY void
epoxy_glTextureStorage1DEXT_rewrite_stub(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureStorage1DEXT = epoxy_glTextureStorage1DEXT_resolver();

    dispatch_table->pglTextureStorage1DEXT(texture, target, levels, internalformat, width);
}

static GLAPIENTRY void
epoxy_glTextureStorage2DEXT_rewrite_stub(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureStorage2DEXT = epoxy_glTextureStorage2DEXT_resolver();

    dispatch_table->pglTextureStorage2DEXT(texture, target, levels, internalformat, width, height);
}

static GLAPIENTRY void
epoxy_glTextureStorage2DMultisampleEXT_rewrite_stub(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureStorage2DMultisampleEXT = epoxy_glTextureStorage2DMultisampleEXT_resolver();

    dispatch_table->pglTextureStorage2DMultisampleEXT(texture, target, samples, internalformat, width, height, fixedsamplelocations);
}

static GLAPIENTRY void
epoxy_glTextureStorage3DEXT_rewrite_stub(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureStorage3DEXT = epoxy_glTextureStorage3DEXT_resolver();

    dispatch_table->pglTextureStorage3DEXT(texture, target, levels, internalformat, width, height, depth);
}

static GLAPIENTRY void
epoxy_glTextureStorage3DMultisampleEXT_rewrite_stub(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureStorage3DMultisampleEXT = epoxy_glTextureStorage3DMultisampleEXT_resolver();

    dispatch_table->pglTextureStorage3DMultisampleEXT(texture, target, samples, internalformat, width, height, depth, fixedsamplelocations);
}

static GLAPIENTRY void
epoxy_glTextureStorageSparseAMD_rewrite_stub(GLuint texture, GLenum target, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLsizei layers, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureStorageSparseAMD = epoxy_glTextureStorageSparseAMD_resolver();

    dispatch_table->pglTextureStorageSparseAMD(texture, target, internalFormat, width, height, depth, layers, flags);
}

static GLAPIENTRY void
epoxy_glTextureSubImage1DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureSubImage1DEXT = epoxy_glTextureSubImage1DEXT_resolver();

    dispatch_table->pglTextureSubImage1DEXT(texture, target, level, xoffset, width, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTextureSubImage2DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureSubImage2DEXT = epoxy_glTextureSubImage2DEXT_resolver();

    dispatch_table->pglTextureSubImage2DEXT(texture, target, level, xoffset, yoffset, width, height, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTextureSubImage3DEXT_rewrite_stub(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureSubImage3DEXT = epoxy_glTextureSubImage3DEXT_resolver();

    dispatch_table->pglTextureSubImage3DEXT(texture, target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}

static GLAPIENTRY void
epoxy_glTextureView_rewrite_stub(GLuint texture, GLenum target, GLuint origtexture, GLenum internalformat, GLuint minlevel, GLuint numlevels, GLuint minlayer, GLuint numlayers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureView = epoxy_glTextureView_resolver();

    dispatch_table->pglTextureView(texture, target, origtexture, internalformat, minlevel, numlevels, minlayer, numlayers);
}

static GLAPIENTRY void
epoxy_glTrackMatrixNV_rewrite_stub(GLenum target, GLuint address, GLenum matrix, GLenum transform)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTrackMatrixNV = epoxy_glTrackMatrixNV_resolver();

    dispatch_table->pglTrackMatrixNV(target, address, matrix, transform);
}

static GLAPIENTRY void
epoxy_glTransformFeedbackAttribsNV_rewrite_stub(GLuint count, const GLint * attribs, GLenum bufferMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTransformFeedbackAttribsNV = epoxy_glTransformFeedbackAttribsNV_resolver();

    dispatch_table->pglTransformFeedbackAttribsNV(count, attribs, bufferMode);
}

static GLAPIENTRY void
epoxy_glTransformFeedbackStreamAttribsNV_rewrite_stub(GLsizei count, const GLint * attribs, GLsizei nbuffers, const GLint * bufstreams, GLenum bufferMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTransformFeedbackStreamAttribsNV = epoxy_glTransformFeedbackStreamAttribsNV_resolver();

    dispatch_table->pglTransformFeedbackStreamAttribsNV(count, attribs, nbuffers, bufstreams, bufferMode);
}

static GLAPIENTRY void
epoxy_glTransformFeedbackVaryings_rewrite_stub(GLuint program, GLsizei count, const GLchar *const* varyings, GLenum bufferMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTransformFeedbackVaryings = epoxy_glTransformFeedbackVaryings_resolver();

    dispatch_table->pglTransformFeedbackVaryings(program, count, varyings, bufferMode);
}

static GLAPIENTRY void
epoxy_glTransformFeedbackVaryingsNV_rewrite_stub(GLuint program, GLsizei count, const GLint * locations, GLenum bufferMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTransformFeedbackVaryingsNV = epoxy_glTransformFeedbackVaryingsNV_resolver();

    dispatch_table->pglTransformFeedbackVaryingsNV(program, count, locations, bufferMode);
}

static GLAPIENTRY void
epoxy_glTransformPathNV_rewrite_stub(GLuint resultPath, GLuint srcPath, GLenum transformType, const GLfloat * transformValues)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTransformPathNV = epoxy_glTransformPathNV_resolver();

    dispatch_table->pglTransformPathNV(resultPath, srcPath, transformType, transformValues);
}

static GLAPIENTRY void
epoxy_glTranslated_rewrite_stub(GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTranslated = epoxy_glTranslated_resolver();

    dispatch_table->pglTranslated(x, y, z);
}

static GLAPIENTRY void
epoxy_glTranslatef_rewrite_stub(GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTranslatef = epoxy_glTranslatef_resolver();

    dispatch_table->pglTranslatef(x, y, z);
}

static GLAPIENTRY void
epoxy_glTranslatex_rewrite_stub(GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTranslatex = epoxy_glTranslatex_resolver();

    dispatch_table->pglTranslatex(x, y, z);
}

static GLAPIENTRY void
epoxy_glTranslatexOES_rewrite_stub(GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTranslatexOES = epoxy_glTranslatexOES_resolver();

    dispatch_table->pglTranslatexOES(x, y, z);
}

static GLAPIENTRY void
epoxy_glUniform1d_rewrite_stub(GLint location, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1d = epoxy_glUniform1d_resolver();

    dispatch_table->pglUniform1d(location, x);
}

static GLAPIENTRY void
epoxy_glUniform1dv_rewrite_stub(GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1dv = epoxy_glUniform1dv_resolver();

    dispatch_table->pglUniform1dv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform1f_rewrite_stub(GLint location, GLfloat v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1f = epoxy_glUniform1f_resolver();

    dispatch_table->pglUniform1f(location, v0);
}

static GLAPIENTRY void
epoxy_glUniform1fv_rewrite_stub(GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1fv = epoxy_glUniform1fv_resolver();

    dispatch_table->pglUniform1fv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform1i_rewrite_stub(GLint location, GLint v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1i = epoxy_glUniform1i_resolver();

    dispatch_table->pglUniform1i(location, v0);
}

static GLAPIENTRY void
epoxy_glUniform1i64NV_rewrite_stub(GLint location, GLint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1i64NV = epoxy_glUniform1i64NV_resolver();

    dispatch_table->pglUniform1i64NV(location, x);
}

static GLAPIENTRY void
epoxy_glUniform1i64vNV_rewrite_stub(GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1i64vNV = epoxy_glUniform1i64vNV_resolver();

    dispatch_table->pglUniform1i64vNV(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform1iv_rewrite_stub(GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1iv = epoxy_glUniform1iv_resolver();

    dispatch_table->pglUniform1iv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform1ui_rewrite_stub(GLint location, GLuint v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1ui = epoxy_glUniform1ui_resolver();

    dispatch_table->pglUniform1ui(location, v0);
}

static GLAPIENTRY void
epoxy_glUniform1ui64NV_rewrite_stub(GLint location, GLuint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1ui64NV = epoxy_glUniform1ui64NV_resolver();

    dispatch_table->pglUniform1ui64NV(location, x);
}

static GLAPIENTRY void
epoxy_glUniform1ui64vNV_rewrite_stub(GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1ui64vNV = epoxy_glUniform1ui64vNV_resolver();

    dispatch_table->pglUniform1ui64vNV(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform1uiv_rewrite_stub(GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1uiv = epoxy_glUniform1uiv_resolver();

    dispatch_table->pglUniform1uiv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform2d_rewrite_stub(GLint location, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2d = epoxy_glUniform2d_resolver();

    dispatch_table->pglUniform2d(location, x, y);
}

static GLAPIENTRY void
epoxy_glUniform2dv_rewrite_stub(GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2dv = epoxy_glUniform2dv_resolver();

    dispatch_table->pglUniform2dv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform2f_rewrite_stub(GLint location, GLfloat v0, GLfloat v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2f = epoxy_glUniform2f_resolver();

    dispatch_table->pglUniform2f(location, v0, v1);
}

static GLAPIENTRY void
epoxy_glUniform2fv_rewrite_stub(GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2fv = epoxy_glUniform2fv_resolver();

    dispatch_table->pglUniform2fv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform2i_rewrite_stub(GLint location, GLint v0, GLint v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2i = epoxy_glUniform2i_resolver();

    dispatch_table->pglUniform2i(location, v0, v1);
}

static GLAPIENTRY void
epoxy_glUniform2i64NV_rewrite_stub(GLint location, GLint64EXT x, GLint64EXT y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2i64NV = epoxy_glUniform2i64NV_resolver();

    dispatch_table->pglUniform2i64NV(location, x, y);
}

static GLAPIENTRY void
epoxy_glUniform2i64vNV_rewrite_stub(GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2i64vNV = epoxy_glUniform2i64vNV_resolver();

    dispatch_table->pglUniform2i64vNV(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform2iv_rewrite_stub(GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2iv = epoxy_glUniform2iv_resolver();

    dispatch_table->pglUniform2iv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform2ui_rewrite_stub(GLint location, GLuint v0, GLuint v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2ui = epoxy_glUniform2ui_resolver();

    dispatch_table->pglUniform2ui(location, v0, v1);
}

static GLAPIENTRY void
epoxy_glUniform2ui64NV_rewrite_stub(GLint location, GLuint64EXT x, GLuint64EXT y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2ui64NV = epoxy_glUniform2ui64NV_resolver();

    dispatch_table->pglUniform2ui64NV(location, x, y);
}

static GLAPIENTRY void
epoxy_glUniform2ui64vNV_rewrite_stub(GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2ui64vNV = epoxy_glUniform2ui64vNV_resolver();

    dispatch_table->pglUniform2ui64vNV(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform2uiv_rewrite_stub(GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2uiv = epoxy_glUniform2uiv_resolver();

    dispatch_table->pglUniform2uiv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform3d_rewrite_stub(GLint location, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3d = epoxy_glUniform3d_resolver();

    dispatch_table->pglUniform3d(location, x, y, z);
}

static GLAPIENTRY void
epoxy_glUniform3dv_rewrite_stub(GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3dv = epoxy_glUniform3dv_resolver();

    dispatch_table->pglUniform3dv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform3f_rewrite_stub(GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3f = epoxy_glUniform3f_resolver();

    dispatch_table->pglUniform3f(location, v0, v1, v2);
}

static GLAPIENTRY void
epoxy_glUniform3fv_rewrite_stub(GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3fv = epoxy_glUniform3fv_resolver();

    dispatch_table->pglUniform3fv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform3i_rewrite_stub(GLint location, GLint v0, GLint v1, GLint v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3i = epoxy_glUniform3i_resolver();

    dispatch_table->pglUniform3i(location, v0, v1, v2);
}

static GLAPIENTRY void
epoxy_glUniform3i64NV_rewrite_stub(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3i64NV = epoxy_glUniform3i64NV_resolver();

    dispatch_table->pglUniform3i64NV(location, x, y, z);
}

static GLAPIENTRY void
epoxy_glUniform3i64vNV_rewrite_stub(GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3i64vNV = epoxy_glUniform3i64vNV_resolver();

    dispatch_table->pglUniform3i64vNV(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform3iv_rewrite_stub(GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3iv = epoxy_glUniform3iv_resolver();

    dispatch_table->pglUniform3iv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform3ui_rewrite_stub(GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3ui = epoxy_glUniform3ui_resolver();

    dispatch_table->pglUniform3ui(location, v0, v1, v2);
}

static GLAPIENTRY void
epoxy_glUniform3ui64NV_rewrite_stub(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3ui64NV = epoxy_glUniform3ui64NV_resolver();

    dispatch_table->pglUniform3ui64NV(location, x, y, z);
}

static GLAPIENTRY void
epoxy_glUniform3ui64vNV_rewrite_stub(GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3ui64vNV = epoxy_glUniform3ui64vNV_resolver();

    dispatch_table->pglUniform3ui64vNV(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform3uiv_rewrite_stub(GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3uiv = epoxy_glUniform3uiv_resolver();

    dispatch_table->pglUniform3uiv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform4d_rewrite_stub(GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4d = epoxy_glUniform4d_resolver();

    dispatch_table->pglUniform4d(location, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glUniform4dv_rewrite_stub(GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4dv = epoxy_glUniform4dv_resolver();

    dispatch_table->pglUniform4dv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform4f_rewrite_stub(GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4f = epoxy_glUniform4f_resolver();

    dispatch_table->pglUniform4f(location, v0, v1, v2, v3);
}

static GLAPIENTRY void
epoxy_glUniform4fv_rewrite_stub(GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4fv = epoxy_glUniform4fv_resolver();

    dispatch_table->pglUniform4fv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform4i_rewrite_stub(GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4i = epoxy_glUniform4i_resolver();

    dispatch_table->pglUniform4i(location, v0, v1, v2, v3);
}

static GLAPIENTRY void
epoxy_glUniform4i64NV_rewrite_stub(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4i64NV = epoxy_glUniform4i64NV_resolver();

    dispatch_table->pglUniform4i64NV(location, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glUniform4i64vNV_rewrite_stub(GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4i64vNV = epoxy_glUniform4i64vNV_resolver();

    dispatch_table->pglUniform4i64vNV(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform4iv_rewrite_stub(GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4iv = epoxy_glUniform4iv_resolver();

    dispatch_table->pglUniform4iv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform4ui_rewrite_stub(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4ui = epoxy_glUniform4ui_resolver();

    dispatch_table->pglUniform4ui(location, v0, v1, v2, v3);
}

static GLAPIENTRY void
epoxy_glUniform4ui64NV_rewrite_stub(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4ui64NV = epoxy_glUniform4ui64NV_resolver();

    dispatch_table->pglUniform4ui64NV(location, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glUniform4ui64vNV_rewrite_stub(GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4ui64vNV = epoxy_glUniform4ui64vNV_resolver();

    dispatch_table->pglUniform4ui64vNV(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniform4uiv_rewrite_stub(GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4uiv = epoxy_glUniform4uiv_resolver();

    dispatch_table->pglUniform4uiv(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniformBlockBinding_rewrite_stub(GLuint program, GLuint uniformBlockIndex, GLuint uniformBlockBinding)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformBlockBinding = epoxy_glUniformBlockBinding_resolver();

    dispatch_table->pglUniformBlockBinding(program, uniformBlockIndex, uniformBlockBinding);
}

static GLAPIENTRY void
epoxy_glUniformBufferEXT_rewrite_stub(GLuint program, GLint location, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformBufferEXT = epoxy_glUniformBufferEXT_resolver();

    dispatch_table->pglUniformBufferEXT(program, location, buffer);
}

static GLAPIENTRY void
epoxy_glUniformHandleui64ARB_rewrite_stub(GLint location, GLuint64 value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformHandleui64ARB = epoxy_glUniformHandleui64ARB_resolver();

    dispatch_table->pglUniformHandleui64ARB(location, value);
}

static GLAPIENTRY void
epoxy_glUniformHandleui64NV_rewrite_stub(GLint location, GLuint64 value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformHandleui64NV = epoxy_glUniformHandleui64NV_resolver();

    dispatch_table->pglUniformHandleui64NV(location, value);
}

static GLAPIENTRY void
epoxy_glUniformHandleui64vARB_rewrite_stub(GLint location, GLsizei count, const GLuint64 * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformHandleui64vARB = epoxy_glUniformHandleui64vARB_resolver();

    dispatch_table->pglUniformHandleui64vARB(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniformHandleui64vNV_rewrite_stub(GLint location, GLsizei count, const GLuint64 * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformHandleui64vNV = epoxy_glUniformHandleui64vNV_resolver();

    dispatch_table->pglUniformHandleui64vNV(location, count, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix2dv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2dv = epoxy_glUniformMatrix2dv_resolver();

    dispatch_table->pglUniformMatrix2dv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix2fv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2fv = epoxy_glUniformMatrix2fv_resolver();

    dispatch_table->pglUniformMatrix2fv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix2x3dv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2x3dv = epoxy_glUniformMatrix2x3dv_resolver();

    dispatch_table->pglUniformMatrix2x3dv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix2x3fv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2x3fv = epoxy_glUniformMatrix2x3fv_resolver();

    dispatch_table->pglUniformMatrix2x3fv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix2x4dv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2x4dv = epoxy_glUniformMatrix2x4dv_resolver();

    dispatch_table->pglUniformMatrix2x4dv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix2x4fv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2x4fv = epoxy_glUniformMatrix2x4fv_resolver();

    dispatch_table->pglUniformMatrix2x4fv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix3dv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3dv = epoxy_glUniformMatrix3dv_resolver();

    dispatch_table->pglUniformMatrix3dv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix3fv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3fv = epoxy_glUniformMatrix3fv_resolver();

    dispatch_table->pglUniformMatrix3fv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix3x2dv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3x2dv = epoxy_glUniformMatrix3x2dv_resolver();

    dispatch_table->pglUniformMatrix3x2dv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix3x2fv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3x2fv = epoxy_glUniformMatrix3x2fv_resolver();

    dispatch_table->pglUniformMatrix3x2fv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix3x4dv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3x4dv = epoxy_glUniformMatrix3x4dv_resolver();

    dispatch_table->pglUniformMatrix3x4dv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix3x4fv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3x4fv = epoxy_glUniformMatrix3x4fv_resolver();

    dispatch_table->pglUniformMatrix3x4fv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix4dv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4dv = epoxy_glUniformMatrix4dv_resolver();

    dispatch_table->pglUniformMatrix4dv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix4fv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4fv = epoxy_glUniformMatrix4fv_resolver();

    dispatch_table->pglUniformMatrix4fv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix4x2dv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4x2dv = epoxy_glUniformMatrix4x2dv_resolver();

    dispatch_table->pglUniformMatrix4x2dv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix4x2fv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4x2fv = epoxy_glUniformMatrix4x2fv_resolver();

    dispatch_table->pglUniformMatrix4x2fv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix4x3dv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4x3dv = epoxy_glUniformMatrix4x3dv_resolver();

    dispatch_table->pglUniformMatrix4x3dv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformMatrix4x3fv_rewrite_stub(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4x3fv = epoxy_glUniformMatrix4x3fv_resolver();

    dispatch_table->pglUniformMatrix4x3fv(location, count, transpose, value);
}

static GLAPIENTRY void
epoxy_glUniformSubroutinesuiv_rewrite_stub(GLenum shadertype, GLsizei count, const GLuint * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformSubroutinesuiv = epoxy_glUniformSubroutinesuiv_resolver();

    dispatch_table->pglUniformSubroutinesuiv(shadertype, count, indices);
}

static GLAPIENTRY void
epoxy_glUniformui64NV_rewrite_stub(GLint location, GLuint64EXT value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformui64NV = epoxy_glUniformui64NV_resolver();

    dispatch_table->pglUniformui64NV(location, value);
}

static GLAPIENTRY void
epoxy_glUniformui64vNV_rewrite_stub(GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformui64vNV = epoxy_glUniformui64vNV_resolver();

    dispatch_table->pglUniformui64vNV(location, count, value);
}

static GLAPIENTRY void
epoxy_glUnlockArraysEXT_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUnlockArraysEXT = epoxy_glUnlockArraysEXT_resolver();

    dispatch_table->pglUnlockArraysEXT();
}

static GLAPIENTRY GLboolean
epoxy_glUnmapBuffer_rewrite_stub(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUnmapBuffer = epoxy_glUnmapBuffer_resolver();

    return dispatch_table->pglUnmapBuffer(target);
}

static GLAPIENTRY GLboolean
epoxy_glUnmapNamedBufferEXT_rewrite_stub(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUnmapNamedBufferEXT = epoxy_glUnmapNamedBufferEXT_resolver();

    return dispatch_table->pglUnmapNamedBufferEXT(buffer);
}

static GLAPIENTRY void
epoxy_glUnmapObjectBufferATI_rewrite_stub(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUnmapObjectBufferATI = epoxy_glUnmapObjectBufferATI_resolver();

    dispatch_table->pglUnmapObjectBufferATI(buffer);
}

static GLAPIENTRY void
epoxy_glUnmapTexture2DINTEL_rewrite_stub(GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUnmapTexture2DINTEL = epoxy_glUnmapTexture2DINTEL_resolver();

    dispatch_table->pglUnmapTexture2DINTEL(texture, level);
}

static GLAPIENTRY void
epoxy_glUpdateObjectBufferATI_rewrite_stub(GLuint buffer, GLuint offset, GLsizei size, const void * pointer, GLenum preserve)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUpdateObjectBufferATI = epoxy_glUpdateObjectBufferATI_resolver();

    dispatch_table->pglUpdateObjectBufferATI(buffer, offset, size, pointer, preserve);
}

static GLAPIENTRY void
epoxy_glUseProgram_rewrite_stub(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUseProgram = epoxy_glUseProgram_resolver();

    dispatch_table->pglUseProgram(program);
}

static GLAPIENTRY void
epoxy_glUseProgramStages_rewrite_stub(GLuint pipeline, GLbitfield stages, GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUseProgramStages = epoxy_glUseProgramStages_resolver();

    dispatch_table->pglUseProgramStages(pipeline, stages, program);
}

static GLAPIENTRY void
epoxy_glUseProgramStagesEXT_rewrite_stub(GLuint pipeline, GLbitfield stages, GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUseProgramStagesEXT = epoxy_glUseProgramStagesEXT_resolver();

    dispatch_table->pglUseProgramStagesEXT(pipeline, stages, program);
}

static GLAPIENTRY void
epoxy_glUseShaderProgramEXT_rewrite_stub(GLenum type, GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUseShaderProgramEXT = epoxy_glUseShaderProgramEXT_resolver();

    dispatch_table->pglUseShaderProgramEXT(type, program);
}

static GLAPIENTRY void
epoxy_glVDPAUFiniNV_rewrite_stub(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUFiniNV = epoxy_glVDPAUFiniNV_resolver();

    dispatch_table->pglVDPAUFiniNV();
}

static GLAPIENTRY void
epoxy_glVDPAUGetSurfaceivNV_rewrite_stub(GLvdpauSurfaceNV surface, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUGetSurfaceivNV = epoxy_glVDPAUGetSurfaceivNV_resolver();

    dispatch_table->pglVDPAUGetSurfaceivNV(surface, pname, bufSize, length, values);
}

static GLAPIENTRY void
epoxy_glVDPAUInitNV_rewrite_stub(const void * vdpDevice, const void * getProcAddress)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUInitNV = epoxy_glVDPAUInitNV_resolver();

    dispatch_table->pglVDPAUInitNV(vdpDevice, getProcAddress);
}

static GLAPIENTRY GLboolean
epoxy_glVDPAUIsSurfaceNV_rewrite_stub(GLvdpauSurfaceNV surface)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUIsSurfaceNV = epoxy_glVDPAUIsSurfaceNV_resolver();

    return dispatch_table->pglVDPAUIsSurfaceNV(surface);
}

static GLAPIENTRY void
epoxy_glVDPAUMapSurfacesNV_rewrite_stub(GLsizei numSurfaces, const GLvdpauSurfaceNV * surfaces)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUMapSurfacesNV = epoxy_glVDPAUMapSurfacesNV_resolver();

    dispatch_table->pglVDPAUMapSurfacesNV(numSurfaces, surfaces);
}

static GLAPIENTRY GLvdpauSurfaceNV
epoxy_glVDPAURegisterOutputSurfaceNV_rewrite_stub(const void * vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint * textureNames)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAURegisterOutputSurfaceNV = epoxy_glVDPAURegisterOutputSurfaceNV_resolver();

    return dispatch_table->pglVDPAURegisterOutputSurfaceNV(vdpSurface, target, numTextureNames, textureNames);
}

static GLAPIENTRY GLvdpauSurfaceNV
epoxy_glVDPAURegisterVideoSurfaceNV_rewrite_stub(const void * vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint * textureNames)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAURegisterVideoSurfaceNV = epoxy_glVDPAURegisterVideoSurfaceNV_resolver();

    return dispatch_table->pglVDPAURegisterVideoSurfaceNV(vdpSurface, target, numTextureNames, textureNames);
}

static GLAPIENTRY void
epoxy_glVDPAUSurfaceAccessNV_rewrite_stub(GLvdpauSurfaceNV surface, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUSurfaceAccessNV = epoxy_glVDPAUSurfaceAccessNV_resolver();

    dispatch_table->pglVDPAUSurfaceAccessNV(surface, access);
}

static GLAPIENTRY void
epoxy_glVDPAUUnmapSurfacesNV_rewrite_stub(GLsizei numSurface, const GLvdpauSurfaceNV * surfaces)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUUnmapSurfacesNV = epoxy_glVDPAUUnmapSurfacesNV_resolver();

    dispatch_table->pglVDPAUUnmapSurfacesNV(numSurface, surfaces);
}

static GLAPIENTRY void
epoxy_glVDPAUUnregisterSurfaceNV_rewrite_stub(GLvdpauSurfaceNV surface)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUUnregisterSurfaceNV = epoxy_glVDPAUUnregisterSurfaceNV_resolver();

    dispatch_table->pglVDPAUUnregisterSurfaceNV(surface);
}

static GLAPIENTRY void
epoxy_glValidateProgram_rewrite_stub(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglValidateProgram = epoxy_glValidateProgram_resolver();

    dispatch_table->pglValidateProgram(program);
}

static GLAPIENTRY void
epoxy_glValidateProgramPipeline_rewrite_stub(GLuint pipeline)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglValidateProgramPipeline = epoxy_glValidateProgramPipeline_resolver();

    dispatch_table->pglValidateProgramPipeline(pipeline);
}

static GLAPIENTRY void
epoxy_glValidateProgramPipelineEXT_rewrite_stub(GLuint pipeline)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglValidateProgramPipelineEXT = epoxy_glValidateProgramPipelineEXT_resolver();

    dispatch_table->pglValidateProgramPipelineEXT(pipeline);
}

static GLAPIENTRY void
epoxy_glVariantArrayObjectATI_rewrite_stub(GLuint id, GLenum type, GLsizei stride, GLuint buffer, GLuint offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantArrayObjectATI = epoxy_glVariantArrayObjectATI_resolver();

    dispatch_table->pglVariantArrayObjectATI(id, type, stride, buffer, offset);
}

static GLAPIENTRY void
epoxy_glVariantPointerEXT_rewrite_stub(GLuint id, GLenum type, GLuint stride, const void * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantPointerEXT = epoxy_glVariantPointerEXT_resolver();

    dispatch_table->pglVariantPointerEXT(id, type, stride, addr);
}

static GLAPIENTRY void
epoxy_glVariantbvEXT_rewrite_stub(GLuint id, const GLbyte * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantbvEXT = epoxy_glVariantbvEXT_resolver();

    dispatch_table->pglVariantbvEXT(id, addr);
}

static GLAPIENTRY void
epoxy_glVariantdvEXT_rewrite_stub(GLuint id, const GLdouble * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantdvEXT = epoxy_glVariantdvEXT_resolver();

    dispatch_table->pglVariantdvEXT(id, addr);
}

static GLAPIENTRY void
epoxy_glVariantfvEXT_rewrite_stub(GLuint id, const GLfloat * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantfvEXT = epoxy_glVariantfvEXT_resolver();

    dispatch_table->pglVariantfvEXT(id, addr);
}

static GLAPIENTRY void
epoxy_glVariantivEXT_rewrite_stub(GLuint id, const GLint * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantivEXT = epoxy_glVariantivEXT_resolver();

    dispatch_table->pglVariantivEXT(id, addr);
}

static GLAPIENTRY void
epoxy_glVariantsvEXT_rewrite_stub(GLuint id, const GLshort * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantsvEXT = epoxy_glVariantsvEXT_resolver();

    dispatch_table->pglVariantsvEXT(id, addr);
}

static GLAPIENTRY void
epoxy_glVariantubvEXT_rewrite_stub(GLuint id, const GLubyte * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantubvEXT = epoxy_glVariantubvEXT_resolver();

    dispatch_table->pglVariantubvEXT(id, addr);
}

static GLAPIENTRY void
epoxy_glVariantuivEXT_rewrite_stub(GLuint id, const GLuint * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantuivEXT = epoxy_glVariantuivEXT_resolver();

    dispatch_table->pglVariantuivEXT(id, addr);
}

static GLAPIENTRY void
epoxy_glVariantusvEXT_rewrite_stub(GLuint id, const GLushort * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantusvEXT = epoxy_glVariantusvEXT_resolver();

    dispatch_table->pglVariantusvEXT(id, addr);
}

static GLAPIENTRY void
epoxy_glVertex2bOES_rewrite_stub(GLbyte x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2bOES = epoxy_glVertex2bOES_resolver();

    dispatch_table->pglVertex2bOES(x);
}

static GLAPIENTRY void
epoxy_glVertex2bvOES_rewrite_stub(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2bvOES = epoxy_glVertex2bvOES_resolver();

    dispatch_table->pglVertex2bvOES(coords);
}

static GLAPIENTRY void
epoxy_glVertex2d_rewrite_stub(GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2d = epoxy_glVertex2d_resolver();

    dispatch_table->pglVertex2d(x, y);
}

static GLAPIENTRY void
epoxy_glVertex2dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2dv = epoxy_glVertex2dv_resolver();

    dispatch_table->pglVertex2dv(v);
}

static GLAPIENTRY void
epoxy_glVertex2f_rewrite_stub(GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2f = epoxy_glVertex2f_resolver();

    dispatch_table->pglVertex2f(x, y);
}

static GLAPIENTRY void
epoxy_glVertex2fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2fv = epoxy_glVertex2fv_resolver();

    dispatch_table->pglVertex2fv(v);
}

static GLAPIENTRY void
epoxy_glVertex2hNV_rewrite_stub(GLhalfNV x, GLhalfNV y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2hNV = epoxy_glVertex2hNV_resolver();

    dispatch_table->pglVertex2hNV(x, y);
}

static GLAPIENTRY void
epoxy_glVertex2hvNV_rewrite_stub(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2hvNV = epoxy_glVertex2hvNV_resolver();

    dispatch_table->pglVertex2hvNV(v);
}

static GLAPIENTRY void
epoxy_glVertex2i_rewrite_stub(GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2i = epoxy_glVertex2i_resolver();

    dispatch_table->pglVertex2i(x, y);
}

static GLAPIENTRY void
epoxy_glVertex2iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2iv = epoxy_glVertex2iv_resolver();

    dispatch_table->pglVertex2iv(v);
}

static GLAPIENTRY void
epoxy_glVertex2s_rewrite_stub(GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2s = epoxy_glVertex2s_resolver();

    dispatch_table->pglVertex2s(x, y);
}

static GLAPIENTRY void
epoxy_glVertex2sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2sv = epoxy_glVertex2sv_resolver();

    dispatch_table->pglVertex2sv(v);
}

static GLAPIENTRY void
epoxy_glVertex2xOES_rewrite_stub(GLfixed x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2xOES = epoxy_glVertex2xOES_resolver();

    dispatch_table->pglVertex2xOES(x);
}

static GLAPIENTRY void
epoxy_glVertex2xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2xvOES = epoxy_glVertex2xvOES_resolver();

    dispatch_table->pglVertex2xvOES(coords);
}

static GLAPIENTRY void
epoxy_glVertex3bOES_rewrite_stub(GLbyte x, GLbyte y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3bOES = epoxy_glVertex3bOES_resolver();

    dispatch_table->pglVertex3bOES(x, y);
}

static GLAPIENTRY void
epoxy_glVertex3bvOES_rewrite_stub(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3bvOES = epoxy_glVertex3bvOES_resolver();

    dispatch_table->pglVertex3bvOES(coords);
}

static GLAPIENTRY void
epoxy_glVertex3d_rewrite_stub(GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3d = epoxy_glVertex3d_resolver();

    dispatch_table->pglVertex3d(x, y, z);
}

static GLAPIENTRY void
epoxy_glVertex3dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3dv = epoxy_glVertex3dv_resolver();

    dispatch_table->pglVertex3dv(v);
}

static GLAPIENTRY void
epoxy_glVertex3f_rewrite_stub(GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3f = epoxy_glVertex3f_resolver();

    dispatch_table->pglVertex3f(x, y, z);
}

static GLAPIENTRY void
epoxy_glVertex3fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3fv = epoxy_glVertex3fv_resolver();

    dispatch_table->pglVertex3fv(v);
}

static GLAPIENTRY void
epoxy_glVertex3hNV_rewrite_stub(GLhalfNV x, GLhalfNV y, GLhalfNV z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3hNV = epoxy_glVertex3hNV_resolver();

    dispatch_table->pglVertex3hNV(x, y, z);
}

static GLAPIENTRY void
epoxy_glVertex3hvNV_rewrite_stub(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3hvNV = epoxy_glVertex3hvNV_resolver();

    dispatch_table->pglVertex3hvNV(v);
}

static GLAPIENTRY void
epoxy_glVertex3i_rewrite_stub(GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3i = epoxy_glVertex3i_resolver();

    dispatch_table->pglVertex3i(x, y, z);
}

static GLAPIENTRY void
epoxy_glVertex3iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3iv = epoxy_glVertex3iv_resolver();

    dispatch_table->pglVertex3iv(v);
}

static GLAPIENTRY void
epoxy_glVertex3s_rewrite_stub(GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3s = epoxy_glVertex3s_resolver();

    dispatch_table->pglVertex3s(x, y, z);
}

static GLAPIENTRY void
epoxy_glVertex3sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3sv = epoxy_glVertex3sv_resolver();

    dispatch_table->pglVertex3sv(v);
}

static GLAPIENTRY void
epoxy_glVertex3xOES_rewrite_stub(GLfixed x, GLfixed y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3xOES = epoxy_glVertex3xOES_resolver();

    dispatch_table->pglVertex3xOES(x, y);
}

static GLAPIENTRY void
epoxy_glVertex3xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3xvOES = epoxy_glVertex3xvOES_resolver();

    dispatch_table->pglVertex3xvOES(coords);
}

static GLAPIENTRY void
epoxy_glVertex4bOES_rewrite_stub(GLbyte x, GLbyte y, GLbyte z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4bOES = epoxy_glVertex4bOES_resolver();

    dispatch_table->pglVertex4bOES(x, y, z);
}

static GLAPIENTRY void
epoxy_glVertex4bvOES_rewrite_stub(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4bvOES = epoxy_glVertex4bvOES_resolver();

    dispatch_table->pglVertex4bvOES(coords);
}

static GLAPIENTRY void
epoxy_glVertex4d_rewrite_stub(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4d = epoxy_glVertex4d_resolver();

    dispatch_table->pglVertex4d(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertex4dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4dv = epoxy_glVertex4dv_resolver();

    dispatch_table->pglVertex4dv(v);
}

static GLAPIENTRY void
epoxy_glVertex4f_rewrite_stub(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4f = epoxy_glVertex4f_resolver();

    dispatch_table->pglVertex4f(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertex4fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4fv = epoxy_glVertex4fv_resolver();

    dispatch_table->pglVertex4fv(v);
}

static GLAPIENTRY void
epoxy_glVertex4hNV_rewrite_stub(GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4hNV = epoxy_glVertex4hNV_resolver();

    dispatch_table->pglVertex4hNV(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertex4hvNV_rewrite_stub(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4hvNV = epoxy_glVertex4hvNV_resolver();

    dispatch_table->pglVertex4hvNV(v);
}

static GLAPIENTRY void
epoxy_glVertex4i_rewrite_stub(GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4i = epoxy_glVertex4i_resolver();

    dispatch_table->pglVertex4i(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertex4iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4iv = epoxy_glVertex4iv_resolver();

    dispatch_table->pglVertex4iv(v);
}

static GLAPIENTRY void
epoxy_glVertex4s_rewrite_stub(GLshort x, GLshort y, GLshort z, GLshort w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4s = epoxy_glVertex4s_resolver();

    dispatch_table->pglVertex4s(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertex4sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4sv = epoxy_glVertex4sv_resolver();

    dispatch_table->pglVertex4sv(v);
}

static GLAPIENTRY void
epoxy_glVertex4xOES_rewrite_stub(GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4xOES = epoxy_glVertex4xOES_resolver();

    dispatch_table->pglVertex4xOES(x, y, z);
}

static GLAPIENTRY void
epoxy_glVertex4xvOES_rewrite_stub(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4xvOES = epoxy_glVertex4xvOES_resolver();

    dispatch_table->pglVertex4xvOES(coords);
}

static GLAPIENTRY void
epoxy_glVertexArrayBindVertexBufferEXT_rewrite_stub(GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayBindVertexBufferEXT = epoxy_glVertexArrayBindVertexBufferEXT_resolver();

    dispatch_table->pglVertexArrayBindVertexBufferEXT(vaobj, bindingindex, buffer, offset, stride);
}

static GLAPIENTRY void
epoxy_glVertexArrayColorOffsetEXT_rewrite_stub(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayColorOffsetEXT = epoxy_glVertexArrayColorOffsetEXT_resolver();

    dispatch_table->pglVertexArrayColorOffsetEXT(vaobj, buffer, size, type, stride, offset);
}

static GLAPIENTRY void
epoxy_glVertexArrayEdgeFlagOffsetEXT_rewrite_stub(GLuint vaobj, GLuint buffer, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayEdgeFlagOffsetEXT = epoxy_glVertexArrayEdgeFlagOffsetEXT_resolver();

    dispatch_table->pglVertexArrayEdgeFlagOffsetEXT(vaobj, buffer, stride, offset);
}

static GLAPIENTRY void
epoxy_glVertexArrayFogCoordOffsetEXT_rewrite_stub(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayFogCoordOffsetEXT = epoxy_glVertexArrayFogCoordOffsetEXT_resolver();

    dispatch_table->pglVertexArrayFogCoordOffsetEXT(vaobj, buffer, type, stride, offset);
}

static GLAPIENTRY void
epoxy_glVertexArrayIndexOffsetEXT_rewrite_stub(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayIndexOffsetEXT = epoxy_glVertexArrayIndexOffsetEXT_resolver();

    dispatch_table->pglVertexArrayIndexOffsetEXT(vaobj, buffer, type, stride, offset);
}

static GLAPIENTRY void
epoxy_glVertexArrayMultiTexCoordOffsetEXT_rewrite_stub(GLuint vaobj, GLuint buffer, GLenum texunit, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayMultiTexCoordOffsetEXT = epoxy_glVertexArrayMultiTexCoordOffsetEXT_resolver();

    dispatch_table->pglVertexArrayMultiTexCoordOffsetEXT(vaobj, buffer, texunit, size, type, stride, offset);
}

static GLAPIENTRY void
epoxy_glVertexArrayNormalOffsetEXT_rewrite_stub(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayNormalOffsetEXT = epoxy_glVertexArrayNormalOffsetEXT_resolver();

    dispatch_table->pglVertexArrayNormalOffsetEXT(vaobj, buffer, type, stride, offset);
}

static GLAPIENTRY void
epoxy_glVertexArrayParameteriAPPLE_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayParameteriAPPLE = epoxy_glVertexArrayParameteriAPPLE_resolver();

    dispatch_table->pglVertexArrayParameteriAPPLE(pname, param);
}

static GLAPIENTRY void
epoxy_glVertexArrayRangeAPPLE_rewrite_stub(GLsizei length, void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayRangeAPPLE = epoxy_glVertexArrayRangeAPPLE_resolver();

    dispatch_table->pglVertexArrayRangeAPPLE(length, pointer);
}

static GLAPIENTRY void
epoxy_glVertexArrayRangeNV_rewrite_stub(GLsizei length, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayRangeNV = epoxy_glVertexArrayRangeNV_resolver();

    dispatch_table->pglVertexArrayRangeNV(length, pointer);
}

static GLAPIENTRY void
epoxy_glVertexArraySecondaryColorOffsetEXT_rewrite_stub(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArraySecondaryColorOffsetEXT = epoxy_glVertexArraySecondaryColorOffsetEXT_resolver();

    dispatch_table->pglVertexArraySecondaryColorOffsetEXT(vaobj, buffer, size, type, stride, offset);
}

static GLAPIENTRY void
epoxy_glVertexArrayTexCoordOffsetEXT_rewrite_stub(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayTexCoordOffsetEXT = epoxy_glVertexArrayTexCoordOffsetEXT_resolver();

    dispatch_table->pglVertexArrayTexCoordOffsetEXT(vaobj, buffer, size, type, stride, offset);
}

static GLAPIENTRY void
epoxy_glVertexArrayVertexAttribBindingEXT_rewrite_stub(GLuint vaobj, GLuint attribindex, GLuint bindingindex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribBindingEXT = epoxy_glVertexArrayVertexAttribBindingEXT_resolver();

    dispatch_table->pglVertexArrayVertexAttribBindingEXT(vaobj, attribindex, bindingindex);
}

static GLAPIENTRY void
epoxy_glVertexArrayVertexAttribDivisorEXT_rewrite_stub(GLuint vaobj, GLuint index, GLuint divisor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribDivisorEXT = epoxy_glVertexArrayVertexAttribDivisorEXT_resolver();

    dispatch_table->pglVertexArrayVertexAttribDivisorEXT(vaobj, index, divisor);
}

static GLAPIENTRY void
epoxy_glVertexArrayVertexAttribFormatEXT_rewrite_stub(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribFormatEXT = epoxy_glVertexArrayVertexAttribFormatEXT_resolver();

    dispatch_table->pglVertexArrayVertexAttribFormatEXT(vaobj, attribindex, size, type, normalized, relativeoffset);
}

static GLAPIENTRY void
epoxy_glVertexArrayVertexAttribIFormatEXT_rewrite_stub(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribIFormatEXT = epoxy_glVertexArrayVertexAttribIFormatEXT_resolver();

    dispatch_table->pglVertexArrayVertexAttribIFormatEXT(vaobj, attribindex, size, type, relativeoffset);
}

static GLAPIENTRY void
epoxy_glVertexArrayVertexAttribIOffsetEXT_rewrite_stub(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribIOffsetEXT = epoxy_glVertexArrayVertexAttribIOffsetEXT_resolver();

    dispatch_table->pglVertexArrayVertexAttribIOffsetEXT(vaobj, buffer, index, size, type, stride, offset);
}

static GLAPIENTRY void
epoxy_glVertexArrayVertexAttribLFormatEXT_rewrite_stub(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribLFormatEXT = epoxy_glVertexArrayVertexAttribLFormatEXT_resolver();

    dispatch_table->pglVertexArrayVertexAttribLFormatEXT(vaobj, attribindex, size, type, relativeoffset);
}

static GLAPIENTRY void
epoxy_glVertexArrayVertexAttribLOffsetEXT_rewrite_stub(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribLOffsetEXT = epoxy_glVertexArrayVertexAttribLOffsetEXT_resolver();

    dispatch_table->pglVertexArrayVertexAttribLOffsetEXT(vaobj, buffer, index, size, type, stride, offset);
}

static GLAPIENTRY void
epoxy_glVertexArrayVertexAttribOffsetEXT_rewrite_stub(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribOffsetEXT = epoxy_glVertexArrayVertexAttribOffsetEXT_resolver();

    dispatch_table->pglVertexArrayVertexAttribOffsetEXT(vaobj, buffer, index, size, type, normalized, stride, offset);
}

static GLAPIENTRY void
epoxy_glVertexArrayVertexBindingDivisorEXT_rewrite_stub(GLuint vaobj, GLuint bindingindex, GLuint divisor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexBindingDivisorEXT = epoxy_glVertexArrayVertexBindingDivisorEXT_resolver();

    dispatch_table->pglVertexArrayVertexBindingDivisorEXT(vaobj, bindingindex, divisor);
}

static GLAPIENTRY void
epoxy_glVertexArrayVertexOffsetEXT_rewrite_stub(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexOffsetEXT = epoxy_glVertexArrayVertexOffsetEXT_resolver();

    dispatch_table->pglVertexArrayVertexOffsetEXT(vaobj, buffer, size, type, stride, offset);
}

static GLAPIENTRY void
epoxy_glVertexAttrib1d_rewrite_stub(GLuint index, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1d = epoxy_glVertexAttrib1d_resolver();

    dispatch_table->pglVertexAttrib1d(index, x);
}

static GLAPIENTRY void
epoxy_glVertexAttrib1dv_rewrite_stub(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1dv = epoxy_glVertexAttrib1dv_resolver();

    dispatch_table->pglVertexAttrib1dv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib1f_rewrite_stub(GLuint index, GLfloat x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1f = epoxy_glVertexAttrib1f_resolver();

    dispatch_table->pglVertexAttrib1f(index, x);
}

static GLAPIENTRY void
epoxy_glVertexAttrib1fv_rewrite_stub(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1fv = epoxy_glVertexAttrib1fv_resolver();

    dispatch_table->pglVertexAttrib1fv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib1hNV_rewrite_stub(GLuint index, GLhalfNV x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1hNV = epoxy_glVertexAttrib1hNV_resolver();

    dispatch_table->pglVertexAttrib1hNV(index, x);
}

static GLAPIENTRY void
epoxy_glVertexAttrib1hvNV_rewrite_stub(GLuint index, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1hvNV = epoxy_glVertexAttrib1hvNV_resolver();

    dispatch_table->pglVertexAttrib1hvNV(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib1s_rewrite_stub(GLuint index, GLshort x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1s = epoxy_glVertexAttrib1s_resolver();

    dispatch_table->pglVertexAttrib1s(index, x);
}

static GLAPIENTRY void
epoxy_glVertexAttrib1sv_rewrite_stub(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1sv = epoxy_glVertexAttrib1sv_resolver();

    dispatch_table->pglVertexAttrib1sv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib2d_rewrite_stub(GLuint index, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2d = epoxy_glVertexAttrib2d_resolver();

    dispatch_table->pglVertexAttrib2d(index, x, y);
}

static GLAPIENTRY void
epoxy_glVertexAttrib2dv_rewrite_stub(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2dv = epoxy_glVertexAttrib2dv_resolver();

    dispatch_table->pglVertexAttrib2dv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib2f_rewrite_stub(GLuint index, GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2f = epoxy_glVertexAttrib2f_resolver();

    dispatch_table->pglVertexAttrib2f(index, x, y);
}

static GLAPIENTRY void
epoxy_glVertexAttrib2fv_rewrite_stub(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2fv = epoxy_glVertexAttrib2fv_resolver();

    dispatch_table->pglVertexAttrib2fv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib2hNV_rewrite_stub(GLuint index, GLhalfNV x, GLhalfNV y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2hNV = epoxy_glVertexAttrib2hNV_resolver();

    dispatch_table->pglVertexAttrib2hNV(index, x, y);
}

static GLAPIENTRY void
epoxy_glVertexAttrib2hvNV_rewrite_stub(GLuint index, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2hvNV = epoxy_glVertexAttrib2hvNV_resolver();

    dispatch_table->pglVertexAttrib2hvNV(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib2s_rewrite_stub(GLuint index, GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2s = epoxy_glVertexAttrib2s_resolver();

    dispatch_table->pglVertexAttrib2s(index, x, y);
}

static GLAPIENTRY void
epoxy_glVertexAttrib2sv_rewrite_stub(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2sv = epoxy_glVertexAttrib2sv_resolver();

    dispatch_table->pglVertexAttrib2sv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib3d_rewrite_stub(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3d = epoxy_glVertexAttrib3d_resolver();

    dispatch_table->pglVertexAttrib3d(index, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexAttrib3dv_rewrite_stub(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3dv = epoxy_glVertexAttrib3dv_resolver();

    dispatch_table->pglVertexAttrib3dv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib3f_rewrite_stub(GLuint index, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3f = epoxy_glVertexAttrib3f_resolver();

    dispatch_table->pglVertexAttrib3f(index, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexAttrib3fv_rewrite_stub(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3fv = epoxy_glVertexAttrib3fv_resolver();

    dispatch_table->pglVertexAttrib3fv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib3hNV_rewrite_stub(GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3hNV = epoxy_glVertexAttrib3hNV_resolver();

    dispatch_table->pglVertexAttrib3hNV(index, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexAttrib3hvNV_rewrite_stub(GLuint index, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3hvNV = epoxy_glVertexAttrib3hvNV_resolver();

    dispatch_table->pglVertexAttrib3hvNV(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib3s_rewrite_stub(GLuint index, GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3s = epoxy_glVertexAttrib3s_resolver();

    dispatch_table->pglVertexAttrib3s(index, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexAttrib3sv_rewrite_stub(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3sv = epoxy_glVertexAttrib3sv_resolver();

    dispatch_table->pglVertexAttrib3sv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4Nbv_rewrite_stub(GLuint index, const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nbv = epoxy_glVertexAttrib4Nbv_resolver();

    dispatch_table->pglVertexAttrib4Nbv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4Niv_rewrite_stub(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Niv = epoxy_glVertexAttrib4Niv_resolver();

    dispatch_table->pglVertexAttrib4Niv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4Nsv_rewrite_stub(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nsv = epoxy_glVertexAttrib4Nsv_resolver();

    dispatch_table->pglVertexAttrib4Nsv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4Nub_rewrite_stub(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nub = epoxy_glVertexAttrib4Nub_resolver();

    dispatch_table->pglVertexAttrib4Nub(index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4Nubv_rewrite_stub(GLuint index, const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nubv = epoxy_glVertexAttrib4Nubv_resolver();

    dispatch_table->pglVertexAttrib4Nubv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4Nuiv_rewrite_stub(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nuiv = epoxy_glVertexAttrib4Nuiv_resolver();

    dispatch_table->pglVertexAttrib4Nuiv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4Nusv_rewrite_stub(GLuint index, const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nusv = epoxy_glVertexAttrib4Nusv_resolver();

    dispatch_table->pglVertexAttrib4Nusv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4bv_rewrite_stub(GLuint index, const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4bv = epoxy_glVertexAttrib4bv_resolver();

    dispatch_table->pglVertexAttrib4bv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4d_rewrite_stub(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4d = epoxy_glVertexAttrib4d_resolver();

    dispatch_table->pglVertexAttrib4d(index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4dv_rewrite_stub(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4dv = epoxy_glVertexAttrib4dv_resolver();

    dispatch_table->pglVertexAttrib4dv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4f_rewrite_stub(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4f = epoxy_glVertexAttrib4f_resolver();

    dispatch_table->pglVertexAttrib4f(index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4fv_rewrite_stub(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4fv = epoxy_glVertexAttrib4fv_resolver();

    dispatch_table->pglVertexAttrib4fv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4hNV_rewrite_stub(GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4hNV = epoxy_glVertexAttrib4hNV_resolver();

    dispatch_table->pglVertexAttrib4hNV(index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4hvNV_rewrite_stub(GLuint index, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4hvNV = epoxy_glVertexAttrib4hvNV_resolver();

    dispatch_table->pglVertexAttrib4hvNV(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4iv_rewrite_stub(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4iv = epoxy_glVertexAttrib4iv_resolver();

    dispatch_table->pglVertexAttrib4iv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4s_rewrite_stub(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4s = epoxy_glVertexAttrib4s_resolver();

    dispatch_table->pglVertexAttrib4s(index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4sv_rewrite_stub(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4sv = epoxy_glVertexAttrib4sv_resolver();

    dispatch_table->pglVertexAttrib4sv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4ubv_rewrite_stub(GLuint index, const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4ubv = epoxy_glVertexAttrib4ubv_resolver();

    dispatch_table->pglVertexAttrib4ubv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4uiv_rewrite_stub(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4uiv = epoxy_glVertexAttrib4uiv_resolver();

    dispatch_table->pglVertexAttrib4uiv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttrib4usv_rewrite_stub(GLuint index, const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4usv = epoxy_glVertexAttrib4usv_resolver();

    dispatch_table->pglVertexAttrib4usv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribArrayObjectATI_rewrite_stub(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLuint buffer, GLuint offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribArrayObjectATI = epoxy_glVertexAttribArrayObjectATI_resolver();

    dispatch_table->pglVertexAttribArrayObjectATI(index, size, type, normalized, stride, buffer, offset);
}

static GLAPIENTRY void
epoxy_glVertexAttribBinding_rewrite_stub(GLuint attribindex, GLuint bindingindex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribBinding = epoxy_glVertexAttribBinding_resolver();

    dispatch_table->pglVertexAttribBinding(attribindex, bindingindex);
}

static GLAPIENTRY void
epoxy_glVertexAttribDivisor_rewrite_stub(GLuint index, GLuint divisor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribDivisor = epoxy_glVertexAttribDivisor_resolver();

    dispatch_table->pglVertexAttribDivisor(index, divisor);
}

static GLAPIENTRY void
epoxy_glVertexAttribFormat_rewrite_stub(GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribFormat = epoxy_glVertexAttribFormat_resolver();

    dispatch_table->pglVertexAttribFormat(attribindex, size, type, normalized, relativeoffset);
}

static GLAPIENTRY void
epoxy_glVertexAttribFormatNV_rewrite_stub(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribFormatNV = epoxy_glVertexAttribFormatNV_resolver();

    dispatch_table->pglVertexAttribFormatNV(index, size, type, normalized, stride);
}

static GLAPIENTRY void
epoxy_glVertexAttribI1i_rewrite_stub(GLuint index, GLint x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI1i = epoxy_glVertexAttribI1i_resolver();

    dispatch_table->pglVertexAttribI1i(index, x);
}

static GLAPIENTRY void
epoxy_glVertexAttribI1iv_rewrite_stub(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI1iv = epoxy_glVertexAttribI1iv_resolver();

    dispatch_table->pglVertexAttribI1iv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribI1ui_rewrite_stub(GLuint index, GLuint x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI1ui = epoxy_glVertexAttribI1ui_resolver();

    dispatch_table->pglVertexAttribI1ui(index, x);
}

static GLAPIENTRY void
epoxy_glVertexAttribI1uiv_rewrite_stub(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI1uiv = epoxy_glVertexAttribI1uiv_resolver();

    dispatch_table->pglVertexAttribI1uiv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribI2i_rewrite_stub(GLuint index, GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI2i = epoxy_glVertexAttribI2i_resolver();

    dispatch_table->pglVertexAttribI2i(index, x, y);
}

static GLAPIENTRY void
epoxy_glVertexAttribI2iv_rewrite_stub(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI2iv = epoxy_glVertexAttribI2iv_resolver();

    dispatch_table->pglVertexAttribI2iv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribI2ui_rewrite_stub(GLuint index, GLuint x, GLuint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI2ui = epoxy_glVertexAttribI2ui_resolver();

    dispatch_table->pglVertexAttribI2ui(index, x, y);
}

static GLAPIENTRY void
epoxy_glVertexAttribI2uiv_rewrite_stub(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI2uiv = epoxy_glVertexAttribI2uiv_resolver();

    dispatch_table->pglVertexAttribI2uiv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribI3i_rewrite_stub(GLuint index, GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI3i = epoxy_glVertexAttribI3i_resolver();

    dispatch_table->pglVertexAttribI3i(index, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexAttribI3iv_rewrite_stub(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI3iv = epoxy_glVertexAttribI3iv_resolver();

    dispatch_table->pglVertexAttribI3iv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribI3ui_rewrite_stub(GLuint index, GLuint x, GLuint y, GLuint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI3ui = epoxy_glVertexAttribI3ui_resolver();

    dispatch_table->pglVertexAttribI3ui(index, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexAttribI3uiv_rewrite_stub(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI3uiv = epoxy_glVertexAttribI3uiv_resolver();

    dispatch_table->pglVertexAttribI3uiv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribI4bv_rewrite_stub(GLuint index, const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4bv = epoxy_glVertexAttribI4bv_resolver();

    dispatch_table->pglVertexAttribI4bv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribI4i_rewrite_stub(GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4i = epoxy_glVertexAttribI4i_resolver();

    dispatch_table->pglVertexAttribI4i(index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexAttribI4iv_rewrite_stub(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4iv = epoxy_glVertexAttribI4iv_resolver();

    dispatch_table->pglVertexAttribI4iv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribI4sv_rewrite_stub(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4sv = epoxy_glVertexAttribI4sv_resolver();

    dispatch_table->pglVertexAttribI4sv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribI4ubv_rewrite_stub(GLuint index, const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4ubv = epoxy_glVertexAttribI4ubv_resolver();

    dispatch_table->pglVertexAttribI4ubv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribI4ui_rewrite_stub(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4ui = epoxy_glVertexAttribI4ui_resolver();

    dispatch_table->pglVertexAttribI4ui(index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexAttribI4uiv_rewrite_stub(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4uiv = epoxy_glVertexAttribI4uiv_resolver();

    dispatch_table->pglVertexAttribI4uiv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribI4usv_rewrite_stub(GLuint index, const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4usv = epoxy_glVertexAttribI4usv_resolver();

    dispatch_table->pglVertexAttribI4usv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribIFormat_rewrite_stub(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribIFormat = epoxy_glVertexAttribIFormat_resolver();

    dispatch_table->pglVertexAttribIFormat(attribindex, size, type, relativeoffset);
}

static GLAPIENTRY void
epoxy_glVertexAttribIFormatNV_rewrite_stub(GLuint index, GLint size, GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribIFormatNV = epoxy_glVertexAttribIFormatNV_resolver();

    dispatch_table->pglVertexAttribIFormatNV(index, size, type, stride);
}

static GLAPIENTRY void
epoxy_glVertexAttribIPointer_rewrite_stub(GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribIPointer = epoxy_glVertexAttribIPointer_resolver();

    dispatch_table->pglVertexAttribIPointer(index, size, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glVertexAttribL1d_rewrite_stub(GLuint index, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1d = epoxy_glVertexAttribL1d_resolver();

    dispatch_table->pglVertexAttribL1d(index, x);
}

static GLAPIENTRY void
epoxy_glVertexAttribL1dv_rewrite_stub(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1dv = epoxy_glVertexAttribL1dv_resolver();

    dispatch_table->pglVertexAttribL1dv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribL1i64NV_rewrite_stub(GLuint index, GLint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1i64NV = epoxy_glVertexAttribL1i64NV_resolver();

    dispatch_table->pglVertexAttribL1i64NV(index, x);
}

static GLAPIENTRY void
epoxy_glVertexAttribL1i64vNV_rewrite_stub(GLuint index, const GLint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1i64vNV = epoxy_glVertexAttribL1i64vNV_resolver();

    dispatch_table->pglVertexAttribL1i64vNV(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribL1ui64ARB_rewrite_stub(GLuint index, GLuint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1ui64ARB = epoxy_glVertexAttribL1ui64ARB_resolver();

    dispatch_table->pglVertexAttribL1ui64ARB(index, x);
}

static GLAPIENTRY void
epoxy_glVertexAttribL1ui64NV_rewrite_stub(GLuint index, GLuint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1ui64NV = epoxy_glVertexAttribL1ui64NV_resolver();

    dispatch_table->pglVertexAttribL1ui64NV(index, x);
}

static GLAPIENTRY void
epoxy_glVertexAttribL1ui64vARB_rewrite_stub(GLuint index, const GLuint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1ui64vARB = epoxy_glVertexAttribL1ui64vARB_resolver();

    dispatch_table->pglVertexAttribL1ui64vARB(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribL1ui64vNV_rewrite_stub(GLuint index, const GLuint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1ui64vNV = epoxy_glVertexAttribL1ui64vNV_resolver();

    dispatch_table->pglVertexAttribL1ui64vNV(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribL2d_rewrite_stub(GLuint index, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2d = epoxy_glVertexAttribL2d_resolver();

    dispatch_table->pglVertexAttribL2d(index, x, y);
}

static GLAPIENTRY void
epoxy_glVertexAttribL2dv_rewrite_stub(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2dv = epoxy_glVertexAttribL2dv_resolver();

    dispatch_table->pglVertexAttribL2dv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribL2i64NV_rewrite_stub(GLuint index, GLint64EXT x, GLint64EXT y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2i64NV = epoxy_glVertexAttribL2i64NV_resolver();

    dispatch_table->pglVertexAttribL2i64NV(index, x, y);
}

static GLAPIENTRY void
epoxy_glVertexAttribL2i64vNV_rewrite_stub(GLuint index, const GLint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2i64vNV = epoxy_glVertexAttribL2i64vNV_resolver();

    dispatch_table->pglVertexAttribL2i64vNV(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribL2ui64NV_rewrite_stub(GLuint index, GLuint64EXT x, GLuint64EXT y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2ui64NV = epoxy_glVertexAttribL2ui64NV_resolver();

    dispatch_table->pglVertexAttribL2ui64NV(index, x, y);
}

static GLAPIENTRY void
epoxy_glVertexAttribL2ui64vNV_rewrite_stub(GLuint index, const GLuint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2ui64vNV = epoxy_glVertexAttribL2ui64vNV_resolver();

    dispatch_table->pglVertexAttribL2ui64vNV(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribL3d_rewrite_stub(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3d = epoxy_glVertexAttribL3d_resolver();

    dispatch_table->pglVertexAttribL3d(index, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexAttribL3dv_rewrite_stub(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3dv = epoxy_glVertexAttribL3dv_resolver();

    dispatch_table->pglVertexAttribL3dv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribL3i64NV_rewrite_stub(GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3i64NV = epoxy_glVertexAttribL3i64NV_resolver();

    dispatch_table->pglVertexAttribL3i64NV(index, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexAttribL3i64vNV_rewrite_stub(GLuint index, const GLint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3i64vNV = epoxy_glVertexAttribL3i64vNV_resolver();

    dispatch_table->pglVertexAttribL3i64vNV(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribL3ui64NV_rewrite_stub(GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3ui64NV = epoxy_glVertexAttribL3ui64NV_resolver();

    dispatch_table->pglVertexAttribL3ui64NV(index, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexAttribL3ui64vNV_rewrite_stub(GLuint index, const GLuint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3ui64vNV = epoxy_glVertexAttribL3ui64vNV_resolver();

    dispatch_table->pglVertexAttribL3ui64vNV(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribL4d_rewrite_stub(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4d = epoxy_glVertexAttribL4d_resolver();

    dispatch_table->pglVertexAttribL4d(index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexAttribL4dv_rewrite_stub(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4dv = epoxy_glVertexAttribL4dv_resolver();

    dispatch_table->pglVertexAttribL4dv(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribL4i64NV_rewrite_stub(GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4i64NV = epoxy_glVertexAttribL4i64NV_resolver();

    dispatch_table->pglVertexAttribL4i64NV(index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexAttribL4i64vNV_rewrite_stub(GLuint index, const GLint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4i64vNV = epoxy_glVertexAttribL4i64vNV_resolver();

    dispatch_table->pglVertexAttribL4i64vNV(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribL4ui64NV_rewrite_stub(GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4ui64NV = epoxy_glVertexAttribL4ui64NV_resolver();

    dispatch_table->pglVertexAttribL4ui64NV(index, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexAttribL4ui64vNV_rewrite_stub(GLuint index, const GLuint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4ui64vNV = epoxy_glVertexAttribL4ui64vNV_resolver();

    dispatch_table->pglVertexAttribL4ui64vNV(index, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribLFormat_rewrite_stub(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribLFormat = epoxy_glVertexAttribLFormat_resolver();

    dispatch_table->pglVertexAttribLFormat(attribindex, size, type, relativeoffset);
}

static GLAPIENTRY void
epoxy_glVertexAttribLFormatNV_rewrite_stub(GLuint index, GLint size, GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribLFormatNV = epoxy_glVertexAttribLFormatNV_resolver();

    dispatch_table->pglVertexAttribLFormatNV(index, size, type, stride);
}

static GLAPIENTRY void
epoxy_glVertexAttribLPointer_rewrite_stub(GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribLPointer = epoxy_glVertexAttribLPointer_resolver();

    dispatch_table->pglVertexAttribLPointer(index, size, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glVertexAttribP1ui_rewrite_stub(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP1ui = epoxy_glVertexAttribP1ui_resolver();

    dispatch_table->pglVertexAttribP1ui(index, type, normalized, value);
}

static GLAPIENTRY void
epoxy_glVertexAttribP1uiv_rewrite_stub(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP1uiv = epoxy_glVertexAttribP1uiv_resolver();

    dispatch_table->pglVertexAttribP1uiv(index, type, normalized, value);
}

static GLAPIENTRY void
epoxy_glVertexAttribP2ui_rewrite_stub(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP2ui = epoxy_glVertexAttribP2ui_resolver();

    dispatch_table->pglVertexAttribP2ui(index, type, normalized, value);
}

static GLAPIENTRY void
epoxy_glVertexAttribP2uiv_rewrite_stub(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP2uiv = epoxy_glVertexAttribP2uiv_resolver();

    dispatch_table->pglVertexAttribP2uiv(index, type, normalized, value);
}

static GLAPIENTRY void
epoxy_glVertexAttribP3ui_rewrite_stub(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP3ui = epoxy_glVertexAttribP3ui_resolver();

    dispatch_table->pglVertexAttribP3ui(index, type, normalized, value);
}

static GLAPIENTRY void
epoxy_glVertexAttribP3uiv_rewrite_stub(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP3uiv = epoxy_glVertexAttribP3uiv_resolver();

    dispatch_table->pglVertexAttribP3uiv(index, type, normalized, value);
}

static GLAPIENTRY void
epoxy_glVertexAttribP4ui_rewrite_stub(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP4ui = epoxy_glVertexAttribP4ui_resolver();

    dispatch_table->pglVertexAttribP4ui(index, type, normalized, value);
}

static GLAPIENTRY void
epoxy_glVertexAttribP4uiv_rewrite_stub(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP4uiv = epoxy_glVertexAttribP4uiv_resolver();

    dispatch_table->pglVertexAttribP4uiv(index, type, normalized, value);
}

static GLAPIENTRY void
epoxy_glVertexAttribParameteriAMD_rewrite_stub(GLuint index, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribParameteriAMD = epoxy_glVertexAttribParameteriAMD_resolver();

    dispatch_table->pglVertexAttribParameteriAMD(index, pname, param);
}

static GLAPIENTRY void
epoxy_glVertexAttribPointer_rewrite_stub(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribPointer = epoxy_glVertexAttribPointer_resolver();

    dispatch_table->pglVertexAttribPointer(index, size, type, normalized, stride, pointer);
}

static GLAPIENTRY void
epoxy_glVertexAttribPointerNV_rewrite_stub(GLuint index, GLint fsize, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribPointerNV = epoxy_glVertexAttribPointerNV_resolver();

    dispatch_table->pglVertexAttribPointerNV(index, fsize, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glVertexAttribs1dvNV_rewrite_stub(GLuint index, GLsizei count, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs1dvNV = epoxy_glVertexAttribs1dvNV_resolver();

    dispatch_table->pglVertexAttribs1dvNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs1fvNV_rewrite_stub(GLuint index, GLsizei count, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs1fvNV = epoxy_glVertexAttribs1fvNV_resolver();

    dispatch_table->pglVertexAttribs1fvNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs1hvNV_rewrite_stub(GLuint index, GLsizei n, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs1hvNV = epoxy_glVertexAttribs1hvNV_resolver();

    dispatch_table->pglVertexAttribs1hvNV(index, n, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs1svNV_rewrite_stub(GLuint index, GLsizei count, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs1svNV = epoxy_glVertexAttribs1svNV_resolver();

    dispatch_table->pglVertexAttribs1svNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs2dvNV_rewrite_stub(GLuint index, GLsizei count, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs2dvNV = epoxy_glVertexAttribs2dvNV_resolver();

    dispatch_table->pglVertexAttribs2dvNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs2fvNV_rewrite_stub(GLuint index, GLsizei count, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs2fvNV = epoxy_glVertexAttribs2fvNV_resolver();

    dispatch_table->pglVertexAttribs2fvNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs2hvNV_rewrite_stub(GLuint index, GLsizei n, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs2hvNV = epoxy_glVertexAttribs2hvNV_resolver();

    dispatch_table->pglVertexAttribs2hvNV(index, n, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs2svNV_rewrite_stub(GLuint index, GLsizei count, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs2svNV = epoxy_glVertexAttribs2svNV_resolver();

    dispatch_table->pglVertexAttribs2svNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs3dvNV_rewrite_stub(GLuint index, GLsizei count, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs3dvNV = epoxy_glVertexAttribs3dvNV_resolver();

    dispatch_table->pglVertexAttribs3dvNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs3fvNV_rewrite_stub(GLuint index, GLsizei count, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs3fvNV = epoxy_glVertexAttribs3fvNV_resolver();

    dispatch_table->pglVertexAttribs3fvNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs3hvNV_rewrite_stub(GLuint index, GLsizei n, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs3hvNV = epoxy_glVertexAttribs3hvNV_resolver();

    dispatch_table->pglVertexAttribs3hvNV(index, n, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs3svNV_rewrite_stub(GLuint index, GLsizei count, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs3svNV = epoxy_glVertexAttribs3svNV_resolver();

    dispatch_table->pglVertexAttribs3svNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs4dvNV_rewrite_stub(GLuint index, GLsizei count, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs4dvNV = epoxy_glVertexAttribs4dvNV_resolver();

    dispatch_table->pglVertexAttribs4dvNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs4fvNV_rewrite_stub(GLuint index, GLsizei count, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs4fvNV = epoxy_glVertexAttribs4fvNV_resolver();

    dispatch_table->pglVertexAttribs4fvNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs4hvNV_rewrite_stub(GLuint index, GLsizei n, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs4hvNV = epoxy_glVertexAttribs4hvNV_resolver();

    dispatch_table->pglVertexAttribs4hvNV(index, n, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs4svNV_rewrite_stub(GLuint index, GLsizei count, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs4svNV = epoxy_glVertexAttribs4svNV_resolver();

    dispatch_table->pglVertexAttribs4svNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexAttribs4ubvNV_rewrite_stub(GLuint index, GLsizei count, const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs4ubvNV = epoxy_glVertexAttribs4ubvNV_resolver();

    dispatch_table->pglVertexAttribs4ubvNV(index, count, v);
}

static GLAPIENTRY void
epoxy_glVertexBindingDivisor_rewrite_stub(GLuint bindingindex, GLuint divisor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexBindingDivisor = epoxy_glVertexBindingDivisor_resolver();

    dispatch_table->pglVertexBindingDivisor(bindingindex, divisor);
}

static GLAPIENTRY void
epoxy_glVertexBlendARB_rewrite_stub(GLint count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexBlendARB = epoxy_glVertexBlendARB_resolver();

    dispatch_table->pglVertexBlendARB(count);
}

static GLAPIENTRY void
epoxy_glVertexBlendEnvfATI_rewrite_stub(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexBlendEnvfATI = epoxy_glVertexBlendEnvfATI_resolver();

    dispatch_table->pglVertexBlendEnvfATI(pname, param);
}

static GLAPIENTRY void
epoxy_glVertexBlendEnviATI_rewrite_stub(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexBlendEnviATI = epoxy_glVertexBlendEnviATI_resolver();

    dispatch_table->pglVertexBlendEnviATI(pname, param);
}

static GLAPIENTRY void
epoxy_glVertexFormatNV_rewrite_stub(GLint size, GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexFormatNV = epoxy_glVertexFormatNV_resolver();

    dispatch_table->pglVertexFormatNV(size, type, stride);
}

static GLAPIENTRY void
epoxy_glVertexP2ui_rewrite_stub(GLenum type, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexP2ui = epoxy_glVertexP2ui_resolver();

    dispatch_table->pglVertexP2ui(type, value);
}

static GLAPIENTRY void
epoxy_glVertexP2uiv_rewrite_stub(GLenum type, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexP2uiv = epoxy_glVertexP2uiv_resolver();

    dispatch_table->pglVertexP2uiv(type, value);
}

static GLAPIENTRY void
epoxy_glVertexP3ui_rewrite_stub(GLenum type, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexP3ui = epoxy_glVertexP3ui_resolver();

    dispatch_table->pglVertexP3ui(type, value);
}

static GLAPIENTRY void
epoxy_glVertexP3uiv_rewrite_stub(GLenum type, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexP3uiv = epoxy_glVertexP3uiv_resolver();

    dispatch_table->pglVertexP3uiv(type, value);
}

static GLAPIENTRY void
epoxy_glVertexP4ui_rewrite_stub(GLenum type, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexP4ui = epoxy_glVertexP4ui_resolver();

    dispatch_table->pglVertexP4ui(type, value);
}

static GLAPIENTRY void
epoxy_glVertexP4uiv_rewrite_stub(GLenum type, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexP4uiv = epoxy_glVertexP4uiv_resolver();

    dispatch_table->pglVertexP4uiv(type, value);
}

static GLAPIENTRY void
epoxy_glVertexPointer_rewrite_stub(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexPointer = epoxy_glVertexPointer_resolver();

    dispatch_table->pglVertexPointer(size, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glVertexPointerEXT_rewrite_stub(GLint size, GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexPointerEXT = epoxy_glVertexPointerEXT_resolver();

    dispatch_table->pglVertexPointerEXT(size, type, stride, count, pointer);
}

static GLAPIENTRY void
epoxy_glVertexPointerListIBM_rewrite_stub(GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexPointerListIBM = epoxy_glVertexPointerListIBM_resolver();

    dispatch_table->pglVertexPointerListIBM(size, type, stride, pointer, ptrstride);
}

static GLAPIENTRY void
epoxy_glVertexPointervINTEL_rewrite_stub(GLint size, GLenum type, const void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexPointervINTEL = epoxy_glVertexPointervINTEL_resolver();

    dispatch_table->pglVertexPointervINTEL(size, type, pointer);
}

static GLAPIENTRY void
epoxy_glVertexStream1dATI_rewrite_stub(GLenum stream, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1dATI = epoxy_glVertexStream1dATI_resolver();

    dispatch_table->pglVertexStream1dATI(stream, x);
}

static GLAPIENTRY void
epoxy_glVertexStream1dvATI_rewrite_stub(GLenum stream, const GLdouble * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1dvATI = epoxy_glVertexStream1dvATI_resolver();

    dispatch_table->pglVertexStream1dvATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream1fATI_rewrite_stub(GLenum stream, GLfloat x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1fATI = epoxy_glVertexStream1fATI_resolver();

    dispatch_table->pglVertexStream1fATI(stream, x);
}

static GLAPIENTRY void
epoxy_glVertexStream1fvATI_rewrite_stub(GLenum stream, const GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1fvATI = epoxy_glVertexStream1fvATI_resolver();

    dispatch_table->pglVertexStream1fvATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream1iATI_rewrite_stub(GLenum stream, GLint x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1iATI = epoxy_glVertexStream1iATI_resolver();

    dispatch_table->pglVertexStream1iATI(stream, x);
}

static GLAPIENTRY void
epoxy_glVertexStream1ivATI_rewrite_stub(GLenum stream, const GLint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1ivATI = epoxy_glVertexStream1ivATI_resolver();

    dispatch_table->pglVertexStream1ivATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream1sATI_rewrite_stub(GLenum stream, GLshort x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1sATI = epoxy_glVertexStream1sATI_resolver();

    dispatch_table->pglVertexStream1sATI(stream, x);
}

static GLAPIENTRY void
epoxy_glVertexStream1svATI_rewrite_stub(GLenum stream, const GLshort * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1svATI = epoxy_glVertexStream1svATI_resolver();

    dispatch_table->pglVertexStream1svATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream2dATI_rewrite_stub(GLenum stream, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2dATI = epoxy_glVertexStream2dATI_resolver();

    dispatch_table->pglVertexStream2dATI(stream, x, y);
}

static GLAPIENTRY void
epoxy_glVertexStream2dvATI_rewrite_stub(GLenum stream, const GLdouble * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2dvATI = epoxy_glVertexStream2dvATI_resolver();

    dispatch_table->pglVertexStream2dvATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream2fATI_rewrite_stub(GLenum stream, GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2fATI = epoxy_glVertexStream2fATI_resolver();

    dispatch_table->pglVertexStream2fATI(stream, x, y);
}

static GLAPIENTRY void
epoxy_glVertexStream2fvATI_rewrite_stub(GLenum stream, const GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2fvATI = epoxy_glVertexStream2fvATI_resolver();

    dispatch_table->pglVertexStream2fvATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream2iATI_rewrite_stub(GLenum stream, GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2iATI = epoxy_glVertexStream2iATI_resolver();

    dispatch_table->pglVertexStream2iATI(stream, x, y);
}

static GLAPIENTRY void
epoxy_glVertexStream2ivATI_rewrite_stub(GLenum stream, const GLint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2ivATI = epoxy_glVertexStream2ivATI_resolver();

    dispatch_table->pglVertexStream2ivATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream2sATI_rewrite_stub(GLenum stream, GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2sATI = epoxy_glVertexStream2sATI_resolver();

    dispatch_table->pglVertexStream2sATI(stream, x, y);
}

static GLAPIENTRY void
epoxy_glVertexStream2svATI_rewrite_stub(GLenum stream, const GLshort * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2svATI = epoxy_glVertexStream2svATI_resolver();

    dispatch_table->pglVertexStream2svATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream3dATI_rewrite_stub(GLenum stream, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3dATI = epoxy_glVertexStream3dATI_resolver();

    dispatch_table->pglVertexStream3dATI(stream, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexStream3dvATI_rewrite_stub(GLenum stream, const GLdouble * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3dvATI = epoxy_glVertexStream3dvATI_resolver();

    dispatch_table->pglVertexStream3dvATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream3fATI_rewrite_stub(GLenum stream, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3fATI = epoxy_glVertexStream3fATI_resolver();

    dispatch_table->pglVertexStream3fATI(stream, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexStream3fvATI_rewrite_stub(GLenum stream, const GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3fvATI = epoxy_glVertexStream3fvATI_resolver();

    dispatch_table->pglVertexStream3fvATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream3iATI_rewrite_stub(GLenum stream, GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3iATI = epoxy_glVertexStream3iATI_resolver();

    dispatch_table->pglVertexStream3iATI(stream, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexStream3ivATI_rewrite_stub(GLenum stream, const GLint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3ivATI = epoxy_glVertexStream3ivATI_resolver();

    dispatch_table->pglVertexStream3ivATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream3sATI_rewrite_stub(GLenum stream, GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3sATI = epoxy_glVertexStream3sATI_resolver();

    dispatch_table->pglVertexStream3sATI(stream, x, y, z);
}

static GLAPIENTRY void
epoxy_glVertexStream3svATI_rewrite_stub(GLenum stream, const GLshort * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3svATI = epoxy_glVertexStream3svATI_resolver();

    dispatch_table->pglVertexStream3svATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream4dATI_rewrite_stub(GLenum stream, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4dATI = epoxy_glVertexStream4dATI_resolver();

    dispatch_table->pglVertexStream4dATI(stream, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexStream4dvATI_rewrite_stub(GLenum stream, const GLdouble * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4dvATI = epoxy_glVertexStream4dvATI_resolver();

    dispatch_table->pglVertexStream4dvATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream4fATI_rewrite_stub(GLenum stream, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4fATI = epoxy_glVertexStream4fATI_resolver();

    dispatch_table->pglVertexStream4fATI(stream, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexStream4fvATI_rewrite_stub(GLenum stream, const GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4fvATI = epoxy_glVertexStream4fvATI_resolver();

    dispatch_table->pglVertexStream4fvATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream4iATI_rewrite_stub(GLenum stream, GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4iATI = epoxy_glVertexStream4iATI_resolver();

    dispatch_table->pglVertexStream4iATI(stream, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexStream4ivATI_rewrite_stub(GLenum stream, const GLint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4ivATI = epoxy_glVertexStream4ivATI_resolver();

    dispatch_table->pglVertexStream4ivATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexStream4sATI_rewrite_stub(GLenum stream, GLshort x, GLshort y, GLshort z, GLshort w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4sATI = epoxy_glVertexStream4sATI_resolver();

    dispatch_table->pglVertexStream4sATI(stream, x, y, z, w);
}

static GLAPIENTRY void
epoxy_glVertexStream4svATI_rewrite_stub(GLenum stream, const GLshort * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4svATI = epoxy_glVertexStream4svATI_resolver();

    dispatch_table->pglVertexStream4svATI(stream, coords);
}

static GLAPIENTRY void
epoxy_glVertexWeightPointerEXT_rewrite_stub(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexWeightPointerEXT = epoxy_glVertexWeightPointerEXT_resolver();

    dispatch_table->pglVertexWeightPointerEXT(size, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glVertexWeightfEXT_rewrite_stub(GLfloat weight)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexWeightfEXT = epoxy_glVertexWeightfEXT_resolver();

    dispatch_table->pglVertexWeightfEXT(weight);
}

static GLAPIENTRY void
epoxy_glVertexWeightfvEXT_rewrite_stub(const GLfloat * weight)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexWeightfvEXT = epoxy_glVertexWeightfvEXT_resolver();

    dispatch_table->pglVertexWeightfvEXT(weight);
}

static GLAPIENTRY void
epoxy_glVertexWeighthNV_rewrite_stub(GLhalfNV weight)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexWeighthNV = epoxy_glVertexWeighthNV_resolver();

    dispatch_table->pglVertexWeighthNV(weight);
}

static GLAPIENTRY void
epoxy_glVertexWeighthvNV_rewrite_stub(const GLhalfNV * weight)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexWeighthvNV = epoxy_glVertexWeighthvNV_resolver();

    dispatch_table->pglVertexWeighthvNV(weight);
}

static GLAPIENTRY GLenum
epoxy_glVideoCaptureNV_rewrite_stub(GLuint video_capture_slot, GLuint * sequence_num, GLuint64EXT * capture_time)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVideoCaptureNV = epoxy_glVideoCaptureNV_resolver();

    return dispatch_table->pglVideoCaptureNV(video_capture_slot, sequence_num, capture_time);
}

static GLAPIENTRY void
epoxy_glVideoCaptureStreamParameterdvNV_rewrite_stub(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVideoCaptureStreamParameterdvNV = epoxy_glVideoCaptureStreamParameterdvNV_resolver();

    dispatch_table->pglVideoCaptureStreamParameterdvNV(video_capture_slot, stream, pname, params);
}

static GLAPIENTRY void
epoxy_glVideoCaptureStreamParameterfvNV_rewrite_stub(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVideoCaptureStreamParameterfvNV = epoxy_glVideoCaptureStreamParameterfvNV_resolver();

    dispatch_table->pglVideoCaptureStreamParameterfvNV(video_capture_slot, stream, pname, params);
}

static GLAPIENTRY void
epoxy_glVideoCaptureStreamParameterivNV_rewrite_stub(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVideoCaptureStreamParameterivNV = epoxy_glVideoCaptureStreamParameterivNV_resolver();

    dispatch_table->pglVideoCaptureStreamParameterivNV(video_capture_slot, stream, pname, params);
}

static GLAPIENTRY void
epoxy_glViewport_rewrite_stub(GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglViewport = epoxy_glViewport_resolver();

    dispatch_table->pglViewport(x, y, width, height);
}

static GLAPIENTRY void
epoxy_glViewportArrayv_rewrite_stub(GLuint first, GLsizei count, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglViewportArrayv = epoxy_glViewportArrayv_resolver();

    dispatch_table->pglViewportArrayv(first, count, v);
}

static GLAPIENTRY void
epoxy_glViewportIndexedf_rewrite_stub(GLuint index, GLfloat x, GLfloat y, GLfloat w, GLfloat h)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglViewportIndexedf = epoxy_glViewportIndexedf_resolver();

    dispatch_table->pglViewportIndexedf(index, x, y, w, h);
}

static GLAPIENTRY void
epoxy_glViewportIndexedfv_rewrite_stub(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglViewportIndexedfv = epoxy_glViewportIndexedfv_resolver();

    dispatch_table->pglViewportIndexedfv(index, v);
}

static GLAPIENTRY void
epoxy_glWaitSync_rewrite_stub(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWaitSync = epoxy_glWaitSync_resolver();

    dispatch_table->pglWaitSync(sync, flags, timeout);
}

static GLAPIENTRY void
epoxy_glWeightPathsNV_rewrite_stub(GLuint resultPath, GLsizei numPaths, const GLuint * paths, const GLfloat * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightPathsNV = epoxy_glWeightPathsNV_resolver();

    dispatch_table->pglWeightPathsNV(resultPath, numPaths, paths, weights);
}

static GLAPIENTRY void
epoxy_glWeightPointerARB_rewrite_stub(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightPointerARB = epoxy_glWeightPointerARB_resolver();

    dispatch_table->pglWeightPointerARB(size, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glWeightPointerOES_rewrite_stub(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightPointerOES = epoxy_glWeightPointerOES_resolver();

    dispatch_table->pglWeightPointerOES(size, type, stride, pointer);
}

static GLAPIENTRY void
epoxy_glWeightbvARB_rewrite_stub(GLint size, const GLbyte * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightbvARB = epoxy_glWeightbvARB_resolver();

    dispatch_table->pglWeightbvARB(size, weights);
}

static GLAPIENTRY void
epoxy_glWeightdvARB_rewrite_stub(GLint size, const GLdouble * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightdvARB = epoxy_glWeightdvARB_resolver();

    dispatch_table->pglWeightdvARB(size, weights);
}

static GLAPIENTRY void
epoxy_glWeightfvARB_rewrite_stub(GLint size, const GLfloat * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightfvARB = epoxy_glWeightfvARB_resolver();

    dispatch_table->pglWeightfvARB(size, weights);
}

static GLAPIENTRY void
epoxy_glWeightivARB_rewrite_stub(GLint size, const GLint * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightivARB = epoxy_glWeightivARB_resolver();

    dispatch_table->pglWeightivARB(size, weights);
}

static GLAPIENTRY void
epoxy_glWeightsvARB_rewrite_stub(GLint size, const GLshort * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightsvARB = epoxy_glWeightsvARB_resolver();

    dispatch_table->pglWeightsvARB(size, weights);
}

static GLAPIENTRY void
epoxy_glWeightubvARB_rewrite_stub(GLint size, const GLubyte * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightubvARB = epoxy_glWeightubvARB_resolver();

    dispatch_table->pglWeightubvARB(size, weights);
}

static GLAPIENTRY void
epoxy_glWeightuivARB_rewrite_stub(GLint size, const GLuint * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightuivARB = epoxy_glWeightuivARB_resolver();

    dispatch_table->pglWeightuivARB(size, weights);
}

static GLAPIENTRY void
epoxy_glWeightusvARB_rewrite_stub(GLint size, const GLushort * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightusvARB = epoxy_glWeightusvARB_resolver();

    dispatch_table->pglWeightusvARB(size, weights);
}

static GLAPIENTRY void
epoxy_glWindowPos2d_rewrite_stub(GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2d = epoxy_glWindowPos2d_resolver();

    dispatch_table->pglWindowPos2d(x, y);
}

static GLAPIENTRY void
epoxy_glWindowPos2dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2dv = epoxy_glWindowPos2dv_resolver();

    dispatch_table->pglWindowPos2dv(v);
}

static GLAPIENTRY void
epoxy_glWindowPos2f_rewrite_stub(GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2f = epoxy_glWindowPos2f_resolver();

    dispatch_table->pglWindowPos2f(x, y);
}

static GLAPIENTRY void
epoxy_glWindowPos2fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2fv = epoxy_glWindowPos2fv_resolver();

    dispatch_table->pglWindowPos2fv(v);
}

static GLAPIENTRY void
epoxy_glWindowPos2i_rewrite_stub(GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2i = epoxy_glWindowPos2i_resolver();

    dispatch_table->pglWindowPos2i(x, y);
}

static GLAPIENTRY void
epoxy_glWindowPos2iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2iv = epoxy_glWindowPos2iv_resolver();

    dispatch_table->pglWindowPos2iv(v);
}

static GLAPIENTRY void
epoxy_glWindowPos2s_rewrite_stub(GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2s = epoxy_glWindowPos2s_resolver();

    dispatch_table->pglWindowPos2s(x, y);
}

static GLAPIENTRY void
epoxy_glWindowPos2sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2sv = epoxy_glWindowPos2sv_resolver();

    dispatch_table->pglWindowPos2sv(v);
}

static GLAPIENTRY void
epoxy_glWindowPos3d_rewrite_stub(GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3d = epoxy_glWindowPos3d_resolver();

    dispatch_table->pglWindowPos3d(x, y, z);
}

static GLAPIENTRY void
epoxy_glWindowPos3dv_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3dv = epoxy_glWindowPos3dv_resolver();

    dispatch_table->pglWindowPos3dv(v);
}

static GLAPIENTRY void
epoxy_glWindowPos3f_rewrite_stub(GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3f = epoxy_glWindowPos3f_resolver();

    dispatch_table->pglWindowPos3f(x, y, z);
}

static GLAPIENTRY void
epoxy_glWindowPos3fv_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3fv = epoxy_glWindowPos3fv_resolver();

    dispatch_table->pglWindowPos3fv(v);
}

static GLAPIENTRY void
epoxy_glWindowPos3i_rewrite_stub(GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3i = epoxy_glWindowPos3i_resolver();

    dispatch_table->pglWindowPos3i(x, y, z);
}

static GLAPIENTRY void
epoxy_glWindowPos3iv_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3iv = epoxy_glWindowPos3iv_resolver();

    dispatch_table->pglWindowPos3iv(v);
}

static GLAPIENTRY void
epoxy_glWindowPos3s_rewrite_stub(GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3s = epoxy_glWindowPos3s_resolver();

    dispatch_table->pglWindowPos3s(x, y, z);
}

static GLAPIENTRY void
epoxy_glWindowPos3sv_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3sv = epoxy_glWindowPos3sv_resolver();

    dispatch_table->pglWindowPos3sv(v);
}

static GLAPIENTRY void
epoxy_glWindowPos4dMESA_rewrite_stub(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4dMESA = epoxy_glWindowPos4dMESA_resolver();

    dispatch_table->pglWindowPos4dMESA(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glWindowPos4dvMESA_rewrite_stub(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4dvMESA = epoxy_glWindowPos4dvMESA_resolver();

    dispatch_table->pglWindowPos4dvMESA(v);
}

static GLAPIENTRY void
epoxy_glWindowPos4fMESA_rewrite_stub(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4fMESA = epoxy_glWindowPos4fMESA_resolver();

    dispatch_table->pglWindowPos4fMESA(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glWindowPos4fvMESA_rewrite_stub(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4fvMESA = epoxy_glWindowPos4fvMESA_resolver();

    dispatch_table->pglWindowPos4fvMESA(v);
}

static GLAPIENTRY void
epoxy_glWindowPos4iMESA_rewrite_stub(GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4iMESA = epoxy_glWindowPos4iMESA_resolver();

    dispatch_table->pglWindowPos4iMESA(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glWindowPos4ivMESA_rewrite_stub(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4ivMESA = epoxy_glWindowPos4ivMESA_resolver();

    dispatch_table->pglWindowPos4ivMESA(v);
}

static GLAPIENTRY void
epoxy_glWindowPos4sMESA_rewrite_stub(GLshort x, GLshort y, GLshort z, GLshort w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4sMESA = epoxy_glWindowPos4sMESA_resolver();

    dispatch_table->pglWindowPos4sMESA(x, y, z, w);
}

static GLAPIENTRY void
epoxy_glWindowPos4svMESA_rewrite_stub(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4svMESA = epoxy_glWindowPos4svMESA_resolver();

    dispatch_table->pglWindowPos4svMESA(v);
}

static GLAPIENTRY void
epoxy_glWriteMaskEXT_rewrite_stub(GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWriteMaskEXT = epoxy_glWriteMaskEXT_resolver();

    dispatch_table->pglWriteMaskEXT(res, in, outX, outY, outZ, outW);
}

static __stdcall void
epoxy_glAccum_dispatch_table_thunk(GLenum op, GLfloat value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAccum(op, value);
}

static __stdcall void
epoxy_glAccumxOES_dispatch_table_thunk(GLenum op, GLfixed value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAccumxOES(op, value);
}

static __stdcall void
epoxy_glActiveProgramEXT_dispatch_table_thunk(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveProgramEXT(program);
}

static __stdcall void
epoxy_glActiveShaderProgram_dispatch_table_thunk(GLuint pipeline, GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveShaderProgram(pipeline, program);
}

static __stdcall void
epoxy_glActiveShaderProgramEXT_dispatch_table_thunk(GLuint pipeline, GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveShaderProgramEXT(pipeline, program);
}

static __stdcall void
epoxy_glActiveStencilFaceEXT_dispatch_table_thunk(GLenum face)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveStencilFaceEXT(face);
}

static __stdcall void
epoxy_glActiveTexture_dispatch_table_thunk(GLenum texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveTexture(texture);
}

static __stdcall void
epoxy_glActiveTextureARB_dispatch_table_thunk(GLenum texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveTexture(texture);
}

static __stdcall void
epoxy_glActiveVaryingNV_dispatch_table_thunk(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglActiveVaryingNV(program, name);
}

static __stdcall void
epoxy_glAlphaFragmentOp1ATI_dispatch_table_thunk(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFragmentOp1ATI(op, dst, dstMod, arg1, arg1Rep, arg1Mod);
}

static __stdcall void
epoxy_glAlphaFragmentOp2ATI_dispatch_table_thunk(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFragmentOp2ATI(op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod);
}

static __stdcall void
epoxy_glAlphaFragmentOp3ATI_dispatch_table_thunk(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFragmentOp3ATI(op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod);
}

static __stdcall void
epoxy_glAlphaFunc_dispatch_table_thunk(GLenum func, GLfloat ref)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFunc(func, ref);
}

static __stdcall void
epoxy_glAlphaFuncQCOM_dispatch_table_thunk(GLenum func, GLclampf ref)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFuncQCOM(func, ref);
}

static __stdcall void
epoxy_glAlphaFuncx_dispatch_table_thunk(GLenum func, GLfixed ref)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFuncx(func, ref);
}

static __stdcall void
epoxy_glAlphaFuncxOES_dispatch_table_thunk(GLenum func, GLfixed ref)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAlphaFuncxOES(func, ref);
}

static __stdcall void
epoxy_glApplyTextureEXT_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglApplyTextureEXT(mode);
}

static __stdcall GLboolean
epoxy_glAreProgramsResidentNV_dispatch_table_thunk(GLsizei n, const GLuint * programs, GLboolean * residences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglAreProgramsResidentNV(n, programs, residences);
}

static __stdcall GLboolean
epoxy_glAreTexturesResident_dispatch_table_thunk(GLsizei n, const GLuint * textures, GLboolean * residences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglAreTexturesResident(n, textures, residences);
}

static __stdcall GLboolean
epoxy_glAreTexturesResidentEXT_dispatch_table_thunk(GLsizei n, const GLuint * textures, GLboolean * residences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglAreTexturesResidentEXT(n, textures, residences);
}

static __stdcall void
epoxy_glArrayElement_dispatch_table_thunk(GLint i)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglArrayElement(i);
}

static __stdcall void
epoxy_glArrayElementEXT_dispatch_table_thunk(GLint i)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglArrayElement(i);
}

static __stdcall void
epoxy_glArrayObjectATI_dispatch_table_thunk(GLenum array, GLint size, GLenum type, GLsizei stride, GLuint buffer, GLuint offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglArrayObjectATI(array, size, type, stride, buffer, offset);
}

static __stdcall void
epoxy_glAsyncMarkerSGIX_dispatch_table_thunk(GLuint marker)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAsyncMarkerSGIX(marker);
}

static __stdcall void
epoxy_glAttachObjectARB_dispatch_table_thunk(GLhandleARB containerObj, GLhandleARB obj)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAttachShader((uintptr_t)containerObj, (uintptr_t)obj);
}

static __stdcall void
epoxy_glAttachShader_dispatch_table_thunk(GLuint program, GLuint shader)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglAttachShader(program, shader);
}

static __stdcall void
epoxy_glBegin_unwrapped_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBegin(mode);
}

static __stdcall void
epoxy_glBeginConditionalRender_dispatch_table_thunk(GLuint id, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginConditionalRender(id, mode);
}

static __stdcall void
epoxy_glBeginConditionalRenderNV_dispatch_table_thunk(GLuint id, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginConditionalRender(id, mode);
}

static __stdcall void
epoxy_glBeginConditionalRenderNVX_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginConditionalRenderNVX(id);
}

static __stdcall void
epoxy_glBeginFragmentShaderATI_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginFragmentShaderATI();
}

static __stdcall void
epoxy_glBeginOcclusionQueryNV_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginOcclusionQueryNV(id);
}

static __stdcall void
epoxy_glBeginPerfMonitorAMD_dispatch_table_thunk(GLuint monitor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginPerfMonitorAMD(monitor);
}

static __stdcall void
epoxy_glBeginPerfQueryINTEL_dispatch_table_thunk(GLuint queryHandle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginPerfQueryINTEL(queryHandle);
}

static __stdcall void
epoxy_glBeginQuery_dispatch_table_thunk(GLenum target, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginQuery(target, id);
}

static __stdcall void
epoxy_glBeginQueryARB_dispatch_table_thunk(GLenum target, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginQuery(target, id);
}

static __stdcall void
epoxy_glBeginQueryEXT_dispatch_table_thunk(GLenum target, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginQueryEXT(target, id);
}

static __stdcall void
epoxy_glBeginQueryIndexed_dispatch_table_thunk(GLenum target, GLuint index, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginQueryIndexed(target, index, id);
}

static __stdcall void
epoxy_glBeginTransformFeedback_dispatch_table_thunk(GLenum primitiveMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginTransformFeedback(primitiveMode);
}

static __stdcall void
epoxy_glBeginTransformFeedbackEXT_dispatch_table_thunk(GLenum primitiveMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginTransformFeedback(primitiveMode);
}

static __stdcall void
epoxy_glBeginTransformFeedbackNV_dispatch_table_thunk(GLenum primitiveMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginTransformFeedback(primitiveMode);
}

static __stdcall void
epoxy_glBeginVertexShaderEXT_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginVertexShaderEXT();
}

static __stdcall void
epoxy_glBeginVideoCaptureNV_dispatch_table_thunk(GLuint video_capture_slot)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBeginVideoCaptureNV(video_capture_slot);
}

static __stdcall void
epoxy_glBindAttribLocation_dispatch_table_thunk(GLuint program, GLuint index, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindAttribLocation(program, index, name);
}

static __stdcall void
epoxy_glBindAttribLocationARB_dispatch_table_thunk(GLhandleARB programObj, GLuint index, const GLcharARB * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindAttribLocation((uintptr_t)programObj, index, name);
}

static __stdcall void
epoxy_glBindBuffer_dispatch_table_thunk(GLenum target, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBuffer(target, buffer);
}

static __stdcall void
epoxy_glBindBufferARB_dispatch_table_thunk(GLenum target, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBuffer(target, buffer);
}

static __stdcall void
epoxy_glBindBufferBase_dispatch_table_thunk(GLenum target, GLuint index, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBufferBase(target, index, buffer);
}

static __stdcall void
epoxy_glBindBufferBaseEXT_dispatch_table_thunk(GLenum target, GLuint index, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBufferBase(target, index, buffer);
}

static __stdcall void
epoxy_glBindBufferBaseNV_dispatch_table_thunk(GLenum target, GLuint index, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBufferBase(target, index, buffer);
}

static __stdcall void
epoxy_glBindBufferOffsetEXT_dispatch_table_thunk(GLenum target, GLuint index, GLuint buffer, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBufferOffsetEXT(target, index, buffer, offset);
}

static __stdcall void
epoxy_glBindBufferOffsetNV_dispatch_table_thunk(GLenum target, GLuint index, GLuint buffer, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBufferOffsetEXT(target, index, buffer, offset);
}

static __stdcall void
epoxy_glBindBufferRange_dispatch_table_thunk(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBufferRange(target, index, buffer, offset, size);
}

static __stdcall void
epoxy_glBindBufferRangeEXT_dispatch_table_thunk(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBufferRange(target, index, buffer, offset, size);
}

static __stdcall void
epoxy_glBindBufferRangeNV_dispatch_table_thunk(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBufferRange(target, index, buffer, offset, size);
}

static __stdcall void
epoxy_glBindBuffersBase_dispatch_table_thunk(GLenum target, GLuint first, GLsizei count, const GLuint * buffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBuffersBase(target, first, count, buffers);
}

static __stdcall void
epoxy_glBindBuffersRange_dispatch_table_thunk(GLenum target, GLuint first, GLsizei count, const GLuint * buffers, const GLintptr * offsets, const GLsizeiptr * sizes)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindBuffersRange(target, first, count, buffers, offsets, sizes);
}

static __stdcall void
epoxy_glBindFragDataLocation_dispatch_table_thunk(GLuint program, GLuint color, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFragDataLocation(program, color, name);
}

static __stdcall void
epoxy_glBindFragDataLocationEXT_dispatch_table_thunk(GLuint program, GLuint color, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFragDataLocation(program, color, name);
}

static __stdcall void
epoxy_glBindFragDataLocationIndexed_dispatch_table_thunk(GLuint program, GLuint colorNumber, GLuint index, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFragDataLocationIndexed(program, colorNumber, index, name);
}

static __stdcall void
epoxy_glBindFragmentShaderATI_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFragmentShaderATI(id);
}

static __stdcall void
epoxy_glBindFramebuffer_dispatch_table_thunk(GLenum target, GLuint framebuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFramebuffer(target, framebuffer);
}

static __stdcall void
epoxy_glBindFramebufferEXT_dispatch_table_thunk(GLenum target, GLuint framebuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFramebufferEXT(target, framebuffer);
}

static __stdcall void
epoxy_glBindFramebufferOES_dispatch_table_thunk(GLenum target, GLuint framebuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindFramebufferOES(target, framebuffer);
}

static __stdcall void
epoxy_glBindImageTexture_dispatch_table_thunk(GLuint unit, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLenum format)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindImageTexture(unit, texture, level, layered, layer, access, format);
}

static __stdcall void
epoxy_glBindImageTextureEXT_dispatch_table_thunk(GLuint index, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLint format)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindImageTextureEXT(index, texture, level, layered, layer, access, format);
}

static __stdcall void
epoxy_glBindImageTextures_dispatch_table_thunk(GLuint first, GLsizei count, const GLuint * textures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindImageTextures(first, count, textures);
}

static __stdcall GLuint
epoxy_glBindLightParameterEXT_dispatch_table_thunk(GLenum light, GLenum value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglBindLightParameterEXT(light, value);
}

static __stdcall GLuint
epoxy_glBindMaterialParameterEXT_dispatch_table_thunk(GLenum face, GLenum value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglBindMaterialParameterEXT(face, value);
}

static __stdcall void
epoxy_glBindMultiTextureEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindMultiTextureEXT(texunit, target, texture);
}

static __stdcall GLuint
epoxy_glBindParameterEXT_dispatch_table_thunk(GLenum value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglBindParameterEXT(value);
}

static __stdcall void
epoxy_glBindProgramARB_dispatch_table_thunk(GLenum target, GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindProgramARB(target, program);
}

static __stdcall void
epoxy_glBindProgramNV_dispatch_table_thunk(GLenum target, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindProgramARB(target, id);
}

static __stdcall void
epoxy_glBindProgramPipeline_dispatch_table_thunk(GLuint pipeline)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindProgramPipeline(pipeline);
}

static __stdcall void
epoxy_glBindProgramPipelineEXT_dispatch_table_thunk(GLuint pipeline)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindProgramPipelineEXT(pipeline);
}

static __stdcall void
epoxy_glBindRenderbuffer_dispatch_table_thunk(GLenum target, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindRenderbuffer(target, renderbuffer);
}

static __stdcall void
epoxy_glBindRenderbufferEXT_dispatch_table_thunk(GLenum target, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindRenderbufferEXT(target, renderbuffer);
}

static __stdcall void
epoxy_glBindRenderbufferOES_dispatch_table_thunk(GLenum target, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindRenderbufferOES(target, renderbuffer);
}

static __stdcall void
epoxy_glBindSampler_dispatch_table_thunk(GLuint unit, GLuint sampler)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindSampler(unit, sampler);
}

static __stdcall void
epoxy_glBindSamplers_dispatch_table_thunk(GLuint first, GLsizei count, const GLuint * samplers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindSamplers(first, count, samplers);
}

static __stdcall GLuint
epoxy_glBindTexGenParameterEXT_dispatch_table_thunk(GLenum unit, GLenum coord, GLenum value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglBindTexGenParameterEXT(unit, coord, value);
}

static __stdcall void
epoxy_glBindTexture_dispatch_table_thunk(GLenum target, GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindTexture(target, texture);
}

static __stdcall void
epoxy_glBindTextureEXT_dispatch_table_thunk(GLenum target, GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindTexture(target, texture);
}

static __stdcall GLuint
epoxy_glBindTextureUnitParameterEXT_dispatch_table_thunk(GLenum unit, GLenum value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglBindTextureUnitParameterEXT(unit, value);
}

static __stdcall void
epoxy_glBindTextures_dispatch_table_thunk(GLuint first, GLsizei count, const GLuint * textures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindTextures(first, count, textures);
}

static __stdcall void
epoxy_glBindTransformFeedback_dispatch_table_thunk(GLenum target, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindTransformFeedback(target, id);
}

static __stdcall void
epoxy_glBindTransformFeedbackNV_dispatch_table_thunk(GLenum target, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindTransformFeedbackNV(target, id);
}

static __stdcall void
epoxy_glBindVertexArray_dispatch_table_thunk(GLuint array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVertexArray(array);
}

static __stdcall void
epoxy_glBindVertexArrayAPPLE_dispatch_table_thunk(GLuint array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVertexArrayAPPLE(array);
}

static __stdcall void
epoxy_glBindVertexArrayOES_dispatch_table_thunk(GLuint array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVertexArray(array);
}

static __stdcall void
epoxy_glBindVertexBuffer_dispatch_table_thunk(GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVertexBuffer(bindingindex, buffer, offset, stride);
}

static __stdcall void
epoxy_glBindVertexBuffers_dispatch_table_thunk(GLuint first, GLsizei count, const GLuint * buffers, const GLintptr * offsets, const GLsizei * strides)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVertexBuffers(first, count, buffers, offsets, strides);
}

static __stdcall void
epoxy_glBindVertexShaderEXT_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVertexShaderEXT(id);
}

static __stdcall void
epoxy_glBindVideoCaptureStreamBufferNV_dispatch_table_thunk(GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLintptrARB offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVideoCaptureStreamBufferNV(video_capture_slot, stream, frame_region, offset);
}

static __stdcall void
epoxy_glBindVideoCaptureStreamTextureNV_dispatch_table_thunk(GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLenum target, GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBindVideoCaptureStreamTextureNV(video_capture_slot, stream, frame_region, target, texture);
}

static __stdcall void
epoxy_glBinormal3bEXT_dispatch_table_thunk(GLbyte bx, GLbyte by, GLbyte bz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3bEXT(bx, by, bz);
}

static __stdcall void
epoxy_glBinormal3bvEXT_dispatch_table_thunk(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3bvEXT(v);
}

static __stdcall void
epoxy_glBinormal3dEXT_dispatch_table_thunk(GLdouble bx, GLdouble by, GLdouble bz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3dEXT(bx, by, bz);
}

static __stdcall void
epoxy_glBinormal3dvEXT_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3dvEXT(v);
}

static __stdcall void
epoxy_glBinormal3fEXT_dispatch_table_thunk(GLfloat bx, GLfloat by, GLfloat bz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3fEXT(bx, by, bz);
}

static __stdcall void
epoxy_glBinormal3fvEXT_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3fvEXT(v);
}

static __stdcall void
epoxy_glBinormal3iEXT_dispatch_table_thunk(GLint bx, GLint by, GLint bz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3iEXT(bx, by, bz);
}

static __stdcall void
epoxy_glBinormal3ivEXT_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3ivEXT(v);
}

static __stdcall void
epoxy_glBinormal3sEXT_dispatch_table_thunk(GLshort bx, GLshort by, GLshort bz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3sEXT(bx, by, bz);
}

static __stdcall void
epoxy_glBinormal3svEXT_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormal3svEXT(v);
}

static __stdcall void
epoxy_glBinormalPointerEXT_dispatch_table_thunk(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBinormalPointerEXT(type, stride, pointer);
}

static __stdcall void
epoxy_glBitmap_dispatch_table_thunk(GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte * bitmap)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBitmap(width, height, xorig, yorig, xmove, ymove, bitmap);
}

static __stdcall void
epoxy_glBitmapxOES_dispatch_table_thunk(GLsizei width, GLsizei height, GLfixed xorig, GLfixed yorig, GLfixed xmove, GLfixed ymove, const GLubyte * bitmap)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBitmapxOES(width, height, xorig, yorig, xmove, ymove, bitmap);
}

static __stdcall void
epoxy_glBlendBarrierNV_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendBarrierNV();
}

static __stdcall void
epoxy_glBlendColor_dispatch_table_thunk(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendColor(red, green, blue, alpha);
}

static __stdcall void
epoxy_glBlendColorEXT_dispatch_table_thunk(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendColor(red, green, blue, alpha);
}

static __stdcall void
epoxy_glBlendColorxOES_dispatch_table_thunk(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendColorxOES(red, green, blue, alpha);
}

static __stdcall void
epoxy_glBlendEquation_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquation(mode);
}

static __stdcall void
epoxy_glBlendEquationEXT_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquation(mode);
}

static __stdcall void
epoxy_glBlendEquationIndexedAMD_dispatch_table_thunk(GLuint buf, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationi(buf, mode);
}

static __stdcall void
epoxy_glBlendEquationOES_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationOES(mode);
}

static __stdcall void
epoxy_glBlendEquationSeparate_dispatch_table_thunk(GLenum modeRGB, GLenum modeAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationSeparate(modeRGB, modeAlpha);
}

static __stdcall void
epoxy_glBlendEquationSeparateEXT_dispatch_table_thunk(GLenum modeRGB, GLenum modeAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationSeparate(modeRGB, modeAlpha);
}

static __stdcall void
epoxy_glBlendEquationSeparateIndexedAMD_dispatch_table_thunk(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationSeparatei(buf, modeRGB, modeAlpha);
}

static __stdcall void
epoxy_glBlendEquationSeparateOES_dispatch_table_thunk(GLenum modeRGB, GLenum modeAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationSeparateOES(modeRGB, modeAlpha);
}

static __stdcall void
epoxy_glBlendEquationSeparatei_dispatch_table_thunk(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationSeparatei(buf, modeRGB, modeAlpha);
}

static __stdcall void
epoxy_glBlendEquationSeparateiARB_dispatch_table_thunk(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationSeparatei(buf, modeRGB, modeAlpha);
}

static __stdcall void
epoxy_glBlendEquationi_dispatch_table_thunk(GLuint buf, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationi(buf, mode);
}

static __stdcall void
epoxy_glBlendEquationiARB_dispatch_table_thunk(GLuint buf, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendEquationi(buf, mode);
}

static __stdcall void
epoxy_glBlendFunc_dispatch_table_thunk(GLenum sfactor, GLenum dfactor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFunc(sfactor, dfactor);
}

static __stdcall void
epoxy_glBlendFuncIndexedAMD_dispatch_table_thunk(GLuint buf, GLenum src, GLenum dst)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFunci(buf, src, dst);
}

static __stdcall void
epoxy_glBlendFuncSeparate_dispatch_table_thunk(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFuncSeparate(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
}

static __stdcall void
epoxy_glBlendFuncSeparateEXT_dispatch_table_thunk(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFuncSeparate(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
}

static __stdcall void
epoxy_glBlendFuncSeparateINGR_dispatch_table_thunk(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFuncSeparate(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
}

static __stdcall void
epoxy_glBlendFuncSeparateIndexedAMD_dispatch_table_thunk(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFuncSeparatei(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
}

static __stdcall void
epoxy_glBlendFuncSeparateOES_dispatch_table_thunk(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFuncSeparateOES(srcRGB, dstRGB, srcAlpha, dstAlpha);
}

static __stdcall void
epoxy_glBlendFuncSeparatei_dispatch_table_thunk(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFuncSeparatei(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
}

static __stdcall void
epoxy_glBlendFuncSeparateiARB_dispatch_table_thunk(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFuncSeparatei(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
}

static __stdcall void
epoxy_glBlendFunci_dispatch_table_thunk(GLuint buf, GLenum src, GLenum dst)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFunci(buf, src, dst);
}

static __stdcall void
epoxy_glBlendFunciARB_dispatch_table_thunk(GLuint buf, GLenum src, GLenum dst)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendFunci(buf, src, dst);
}

static __stdcall void
epoxy_glBlendParameteriNV_dispatch_table_thunk(GLenum pname, GLint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlendParameteriNV(pname, value);
}

static __stdcall void
epoxy_glBlitFramebuffer_dispatch_table_thunk(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlitFramebuffer(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
}

static __stdcall void
epoxy_glBlitFramebufferANGLE_dispatch_table_thunk(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlitFramebufferANGLE(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
}

static __stdcall void
epoxy_glBlitFramebufferEXT_dispatch_table_thunk(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlitFramebuffer(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
}

static __stdcall void
epoxy_glBlitFramebufferNV_dispatch_table_thunk(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBlitFramebuffer(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
}

static __stdcall void
epoxy_glBufferAddressRangeNV_dispatch_table_thunk(GLenum pname, GLuint index, GLuint64EXT address, GLsizeiptr length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBufferAddressRangeNV(pname, index, address, length);
}

static __stdcall void
epoxy_glBufferData_dispatch_table_thunk(GLenum target, GLsizeiptr size, const void * data, GLenum usage)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBufferData(target, size, data, usage);
}

static __stdcall void
epoxy_glBufferDataARB_dispatch_table_thunk(GLenum target, GLsizeiptrARB size, const void * data, GLenum usage)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBufferData(target, size, data, usage);
}

static __stdcall void
epoxy_glBufferParameteriAPPLE_dispatch_table_thunk(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBufferParameteriAPPLE(target, pname, param);
}

static __stdcall void
epoxy_glBufferStorage_dispatch_table_thunk(GLenum target, GLsizeiptr size, const void * data, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBufferStorage(target, size, data, flags);
}

static __stdcall void
epoxy_glBufferSubData_dispatch_table_thunk(GLenum target, GLintptr offset, GLsizeiptr size, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBufferSubData(target, offset, size, data);
}

static __stdcall void
epoxy_glBufferSubDataARB_dispatch_table_thunk(GLenum target, GLintptrARB offset, GLsizeiptrARB size, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglBufferSubData(target, offset, size, data);
}

static __stdcall void
epoxy_glCallList_dispatch_table_thunk(GLuint list)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCallList(list);
}

static __stdcall void
epoxy_glCallLists_dispatch_table_thunk(GLsizei n, GLenum type, const void * lists)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCallLists(n, type, lists);
}

static __stdcall GLenum
epoxy_glCheckFramebufferStatus_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglCheckFramebufferStatus(target);
}

static __stdcall GLenum
epoxy_glCheckFramebufferStatusEXT_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglCheckFramebufferStatus(target);
}

static __stdcall GLenum
epoxy_glCheckFramebufferStatusOES_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglCheckFramebufferStatusOES(target);
}

static __stdcall GLenum
epoxy_glCheckNamedFramebufferStatusEXT_dispatch_table_thunk(GLuint framebuffer, GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglCheckNamedFramebufferStatusEXT(framebuffer, target);
}

static __stdcall void
epoxy_glClampColor_dispatch_table_thunk(GLenum target, GLenum clamp)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClampColor(target, clamp);
}

static __stdcall void
epoxy_glClampColorARB_dispatch_table_thunk(GLenum target, GLenum clamp)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClampColor(target, clamp);
}

static __stdcall void
epoxy_glClear_dispatch_table_thunk(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClear(mask);
}

static __stdcall void
epoxy_glClearAccum_dispatch_table_thunk(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearAccum(red, green, blue, alpha);
}

static __stdcall void
epoxy_glClearAccumxOES_dispatch_table_thunk(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearAccumxOES(red, green, blue, alpha);
}

static __stdcall void
epoxy_glClearBufferData_dispatch_table_thunk(GLenum target, GLenum internalformat, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearBufferData(target, internalformat, format, type, data);
}

static __stdcall void
epoxy_glClearBufferSubData_dispatch_table_thunk(GLenum target, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearBufferSubData(target, internalformat, offset, size, format, type, data);
}

static __stdcall void
epoxy_glClearBufferfi_dispatch_table_thunk(GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearBufferfi(buffer, drawbuffer, depth, stencil);
}

static __stdcall void
epoxy_glClearBufferfv_dispatch_table_thunk(GLenum buffer, GLint drawbuffer, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearBufferfv(buffer, drawbuffer, value);
}

static __stdcall void
epoxy_glClearBufferiv_dispatch_table_thunk(GLenum buffer, GLint drawbuffer, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearBufferiv(buffer, drawbuffer, value);
}

static __stdcall void
epoxy_glClearBufferuiv_dispatch_table_thunk(GLenum buffer, GLint drawbuffer, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearBufferuiv(buffer, drawbuffer, value);
}

static __stdcall void
epoxy_glClearColor_dispatch_table_thunk(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearColor(red, green, blue, alpha);
}

static __stdcall void
epoxy_glClearColorIiEXT_dispatch_table_thunk(GLint red, GLint green, GLint blue, GLint alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearColorIiEXT(red, green, blue, alpha);
}

static __stdcall void
epoxy_glClearColorIuiEXT_dispatch_table_thunk(GLuint red, GLuint green, GLuint blue, GLuint alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearColorIuiEXT(red, green, blue, alpha);
}

static __stdcall void
epoxy_glClearColorx_dispatch_table_thunk(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearColorx(red, green, blue, alpha);
}

static __stdcall void
epoxy_glClearColorxOES_dispatch_table_thunk(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearColorxOES(red, green, blue, alpha);
}

static __stdcall void
epoxy_glClearDepth_dispatch_table_thunk(GLdouble depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearDepth(depth);
}

static __stdcall void
epoxy_glClearDepthdNV_dispatch_table_thunk(GLdouble depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearDepthdNV(depth);
}

static __stdcall void
epoxy_glClearDepthf_dispatch_table_thunk(GLfloat d)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearDepthf(d);
}

static __stdcall void
epoxy_glClearDepthfOES_dispatch_table_thunk(GLclampf depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearDepthf(depth);
}

static __stdcall void
epoxy_glClearDepthx_dispatch_table_thunk(GLfixed depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearDepthx(depth);
}

static __stdcall void
epoxy_glClearDepthxOES_dispatch_table_thunk(GLfixed depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearDepthxOES(depth);
}

static __stdcall void
epoxy_glClearIndex_dispatch_table_thunk(GLfloat c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearIndex(c);
}

static __stdcall void
epoxy_glClearNamedBufferDataEXT_dispatch_table_thunk(GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearNamedBufferDataEXT(buffer, internalformat, format, type, data);
}

static __stdcall void
epoxy_glClearNamedBufferSubDataEXT_dispatch_table_thunk(GLuint buffer, GLenum internalformat, GLsizeiptr offset, GLsizeiptr size, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearNamedBufferSubDataEXT(buffer, internalformat, offset, size, format, type, data);
}

static __stdcall void
epoxy_glClearStencil_dispatch_table_thunk(GLint s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearStencil(s);
}

static __stdcall void
epoxy_glClearTexImage_dispatch_table_thunk(GLuint texture, GLint level, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearTexImage(texture, level, format, type, data);
}

static __stdcall void
epoxy_glClearTexSubImage_dispatch_table_thunk(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClearTexSubImage(texture, level, xoffset, yoffset, zoffset, width, height, depth, format, type, data);
}

static __stdcall void
epoxy_glClientActiveTexture_dispatch_table_thunk(GLenum texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClientActiveTexture(texture);
}

static __stdcall void
epoxy_glClientActiveTextureARB_dispatch_table_thunk(GLenum texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClientActiveTexture(texture);
}

static __stdcall void
epoxy_glClientActiveVertexStreamATI_dispatch_table_thunk(GLenum stream)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClientActiveVertexStreamATI(stream);
}

static __stdcall void
epoxy_glClientAttribDefaultEXT_dispatch_table_thunk(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClientAttribDefaultEXT(mask);
}

static __stdcall GLenum
epoxy_glClientWaitSync_dispatch_table_thunk(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglClientWaitSync(sync, flags, timeout);
}

static __stdcall GLenum
epoxy_glClientWaitSyncAPPLE_dispatch_table_thunk(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglClientWaitSync(sync, flags, timeout);
}

static __stdcall void
epoxy_glClipPlane_dispatch_table_thunk(GLenum plane, const GLdouble * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlane(plane, equation);
}

static __stdcall void
epoxy_glClipPlanef_dispatch_table_thunk(GLenum p, const GLfloat * eqn)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlanef(p, eqn);
}

static __stdcall void
epoxy_glClipPlanefIMG_dispatch_table_thunk(GLenum p, const GLfloat * eqn)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlanefIMG(p, eqn);
}

static __stdcall void
epoxy_glClipPlanefOES_dispatch_table_thunk(GLenum plane, const GLfloat * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlanefOES(plane, equation);
}

static __stdcall void
epoxy_glClipPlanex_dispatch_table_thunk(GLenum plane, const GLfixed * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlanex(plane, equation);
}

static __stdcall void
epoxy_glClipPlanexIMG_dispatch_table_thunk(GLenum p, const GLfixed * eqn)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlanexIMG(p, eqn);
}

static __stdcall void
epoxy_glClipPlanexOES_dispatch_table_thunk(GLenum plane, const GLfixed * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglClipPlanexOES(plane, equation);
}

static __stdcall void
epoxy_glColor3b_dispatch_table_thunk(GLbyte red, GLbyte green, GLbyte blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3b(red, green, blue);
}

static __stdcall void
epoxy_glColor3bv_dispatch_table_thunk(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3bv(v);
}

static __stdcall void
epoxy_glColor3d_dispatch_table_thunk(GLdouble red, GLdouble green, GLdouble blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3d(red, green, blue);
}

static __stdcall void
epoxy_glColor3dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3dv(v);
}

static __stdcall void
epoxy_glColor3f_dispatch_table_thunk(GLfloat red, GLfloat green, GLfloat blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3f(red, green, blue);
}

static __stdcall void
epoxy_glColor3fVertex3fSUN_dispatch_table_thunk(GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3fVertex3fSUN(r, g, b, x, y, z);
}

static __stdcall void
epoxy_glColor3fVertex3fvSUN_dispatch_table_thunk(const GLfloat * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3fVertex3fvSUN(c, v);
}

static __stdcall void
epoxy_glColor3fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3fv(v);
}

static __stdcall void
epoxy_glColor3hNV_dispatch_table_thunk(GLhalfNV red, GLhalfNV green, GLhalfNV blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3hNV(red, green, blue);
}

static __stdcall void
epoxy_glColor3hvNV_dispatch_table_thunk(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3hvNV(v);
}

static __stdcall void
epoxy_glColor3i_dispatch_table_thunk(GLint red, GLint green, GLint blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3i(red, green, blue);
}

static __stdcall void
epoxy_glColor3iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3iv(v);
}

static __stdcall void
epoxy_glColor3s_dispatch_table_thunk(GLshort red, GLshort green, GLshort blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3s(red, green, blue);
}

static __stdcall void
epoxy_glColor3sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3sv(v);
}

static __stdcall void
epoxy_glColor3ub_dispatch_table_thunk(GLubyte red, GLubyte green, GLubyte blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3ub(red, green, blue);
}

static __stdcall void
epoxy_glColor3ubv_dispatch_table_thunk(const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3ubv(v);
}

static __stdcall void
epoxy_glColor3ui_dispatch_table_thunk(GLuint red, GLuint green, GLuint blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3ui(red, green, blue);
}

static __stdcall void
epoxy_glColor3uiv_dispatch_table_thunk(const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3uiv(v);
}

static __stdcall void
epoxy_glColor3us_dispatch_table_thunk(GLushort red, GLushort green, GLushort blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3us(red, green, blue);
}

static __stdcall void
epoxy_glColor3usv_dispatch_table_thunk(const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3usv(v);
}

static __stdcall void
epoxy_glColor3xOES_dispatch_table_thunk(GLfixed red, GLfixed green, GLfixed blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3xOES(red, green, blue);
}

static __stdcall void
epoxy_glColor3xvOES_dispatch_table_thunk(const GLfixed * components)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor3xvOES(components);
}

static __stdcall void
epoxy_glColor4b_dispatch_table_thunk(GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4b(red, green, blue, alpha);
}

static __stdcall void
epoxy_glColor4bv_dispatch_table_thunk(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4bv(v);
}

static __stdcall void
epoxy_glColor4d_dispatch_table_thunk(GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4d(red, green, blue, alpha);
}

static __stdcall void
epoxy_glColor4dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4dv(v);
}

static __stdcall void
epoxy_glColor4f_dispatch_table_thunk(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4f(red, green, blue, alpha);
}

static __stdcall void
epoxy_glColor4fNormal3fVertex3fSUN_dispatch_table_thunk(GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4fNormal3fVertex3fSUN(r, g, b, a, nx, ny, nz, x, y, z);
}

static __stdcall void
epoxy_glColor4fNormal3fVertex3fvSUN_dispatch_table_thunk(const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4fNormal3fVertex3fvSUN(c, n, v);
}

static __stdcall void
epoxy_glColor4fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4fv(v);
}

static __stdcall void
epoxy_glColor4hNV_dispatch_table_thunk(GLhalfNV red, GLhalfNV green, GLhalfNV blue, GLhalfNV alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4hNV(red, green, blue, alpha);
}

static __stdcall void
epoxy_glColor4hvNV_dispatch_table_thunk(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4hvNV(v);
}

static __stdcall void
epoxy_glColor4i_dispatch_table_thunk(GLint red, GLint green, GLint blue, GLint alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4i(red, green, blue, alpha);
}

static __stdcall void
epoxy_glColor4iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4iv(v);
}

static __stdcall void
epoxy_glColor4s_dispatch_table_thunk(GLshort red, GLshort green, GLshort blue, GLshort alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4s(red, green, blue, alpha);
}

static __stdcall void
epoxy_glColor4sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4sv(v);
}

static __stdcall void
epoxy_glColor4ub_dispatch_table_thunk(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ub(red, green, blue, alpha);
}

static __stdcall void
epoxy_glColor4ubVertex2fSUN_dispatch_table_thunk(GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ubVertex2fSUN(r, g, b, a, x, y);
}

static __stdcall void
epoxy_glColor4ubVertex2fvSUN_dispatch_table_thunk(const GLubyte * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ubVertex2fvSUN(c, v);
}

static __stdcall void
epoxy_glColor4ubVertex3fSUN_dispatch_table_thunk(GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ubVertex3fSUN(r, g, b, a, x, y, z);
}

static __stdcall void
epoxy_glColor4ubVertex3fvSUN_dispatch_table_thunk(const GLubyte * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ubVertex3fvSUN(c, v);
}

static __stdcall void
epoxy_glColor4ubv_dispatch_table_thunk(const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ubv(v);
}

static __stdcall void
epoxy_glColor4ui_dispatch_table_thunk(GLuint red, GLuint green, GLuint blue, GLuint alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4ui(red, green, blue, alpha);
}

static __stdcall void
epoxy_glColor4uiv_dispatch_table_thunk(const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4uiv(v);
}

static __stdcall void
epoxy_glColor4us_dispatch_table_thunk(GLushort red, GLushort green, GLushort blue, GLushort alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4us(red, green, blue, alpha);
}

static __stdcall void
epoxy_glColor4usv_dispatch_table_thunk(const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4usv(v);
}

static __stdcall void
epoxy_glColor4x_dispatch_table_thunk(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4x(red, green, blue, alpha);
}

static __stdcall void
epoxy_glColor4xOES_dispatch_table_thunk(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4xOES(red, green, blue, alpha);
}

static __stdcall void
epoxy_glColor4xvOES_dispatch_table_thunk(const GLfixed * components)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColor4xvOES(components);
}

static __stdcall void
epoxy_glColorFormatNV_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorFormatNV(size, type, stride);
}

static __stdcall void
epoxy_glColorFragmentOp1ATI_dispatch_table_thunk(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorFragmentOp1ATI(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod);
}

static __stdcall void
epoxy_glColorFragmentOp2ATI_dispatch_table_thunk(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorFragmentOp2ATI(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod);
}

static __stdcall void
epoxy_glColorFragmentOp3ATI_dispatch_table_thunk(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorFragmentOp3ATI(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod);
}

static __stdcall void
epoxy_glColorMask_dispatch_table_thunk(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorMask(red, green, blue, alpha);
}

static __stdcall void
epoxy_glColorMaskIndexedEXT_dispatch_table_thunk(GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorMaski(index, r, g, b, a);
}

static __stdcall void
epoxy_glColorMaski_dispatch_table_thunk(GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorMaski(index, r, g, b, a);
}

static __stdcall void
epoxy_glColorMaterial_dispatch_table_thunk(GLenum face, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorMaterial(face, mode);
}

static __stdcall void
epoxy_glColorP3ui_dispatch_table_thunk(GLenum type, GLuint color)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorP3ui(type, color);
}

static __stdcall void
epoxy_glColorP3uiv_dispatch_table_thunk(GLenum type, const GLuint * color)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorP3uiv(type, color);
}

static __stdcall void
epoxy_glColorP4ui_dispatch_table_thunk(GLenum type, GLuint color)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorP4ui(type, color);
}

static __stdcall void
epoxy_glColorP4uiv_dispatch_table_thunk(GLenum type, const GLuint * color)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorP4uiv(type, color);
}

static __stdcall void
epoxy_glColorPointer_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorPointer(size, type, stride, pointer);
}

static __stdcall void
epoxy_glColorPointerEXT_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorPointerEXT(size, type, stride, count, pointer);
}

static __stdcall void
epoxy_glColorPointerListIBM_dispatch_table_thunk(GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorPointerListIBM(size, type, stride, pointer, ptrstride);
}

static __stdcall void
epoxy_glColorPointervINTEL_dispatch_table_thunk(GLint size, GLenum type, const void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorPointervINTEL(size, type, pointer);
}

static __stdcall void
epoxy_glColorSubTable_dispatch_table_thunk(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorSubTable(target, start, count, format, type, data);
}

static __stdcall void
epoxy_glColorSubTableEXT_dispatch_table_thunk(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorSubTable(target, start, count, format, type, data);
}

static __stdcall void
epoxy_glColorTable_dispatch_table_thunk(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * table)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorTable(target, internalformat, width, format, type, table);
}

static __stdcall void
epoxy_glColorTableEXT_dispatch_table_thunk(GLenum target, GLenum internalFormat, GLsizei width, GLenum format, GLenum type, const void * table)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorTable(target, internalFormat, width, format, type, table);
}

static __stdcall void
epoxy_glColorTableParameterfv_dispatch_table_thunk(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorTableParameterfv(target, pname, params);
}

static __stdcall void
epoxy_glColorTableParameterfvSGI_dispatch_table_thunk(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorTableParameterfv(target, pname, params);
}

static __stdcall void
epoxy_glColorTableParameteriv_dispatch_table_thunk(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorTableParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glColorTableParameterivSGI_dispatch_table_thunk(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorTableParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glColorTableSGI_dispatch_table_thunk(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * table)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglColorTable(target, internalformat, width, format, type, table);
}

static __stdcall void
epoxy_glCombinerInputNV_dispatch_table_thunk(GLenum stage, GLenum portion, GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerInputNV(stage, portion, variable, input, mapping, componentUsage);
}

static __stdcall void
epoxy_glCombinerOutputNV_dispatch_table_thunk(GLenum stage, GLenum portion, GLenum abOutput, GLenum cdOutput, GLenum sumOutput, GLenum scale, GLenum bias, GLboolean abDotProduct, GLboolean cdDotProduct, GLboolean muxSum)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerOutputNV(stage, portion, abOutput, cdOutput, sumOutput, scale, bias, abDotProduct, cdDotProduct, muxSum);
}

static __stdcall void
epoxy_glCombinerParameterfNV_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerParameterfNV(pname, param);
}

static __stdcall void
epoxy_glCombinerParameterfvNV_dispatch_table_thunk(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerParameterfvNV(pname, params);
}

static __stdcall void
epoxy_glCombinerParameteriNV_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerParameteriNV(pname, param);
}

static __stdcall void
epoxy_glCombinerParameterivNV_dispatch_table_thunk(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerParameterivNV(pname, params);
}

static __stdcall void
epoxy_glCombinerStageParameterfvNV_dispatch_table_thunk(GLenum stage, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCombinerStageParameterfvNV(stage, pname, params);
}

static __stdcall void
epoxy_glCompileShader_dispatch_table_thunk(GLuint shader)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompileShader(shader);
}

static __stdcall void
epoxy_glCompileShaderARB_dispatch_table_thunk(GLhandleARB shaderObj)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompileShader((uintptr_t)shaderObj);
}

static __stdcall void
epoxy_glCompileShaderIncludeARB_dispatch_table_thunk(GLuint shader, GLsizei count, const GLchar *const* path, const GLint * length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompileShaderIncludeARB(shader, count, path, length);
}

static __stdcall void
epoxy_glCompressedMultiTexImage1DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedMultiTexImage1DEXT(texunit, target, level, internalformat, width, border, imageSize, bits);
}

static __stdcall void
epoxy_glCompressedMultiTexImage2DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedMultiTexImage2DEXT(texunit, target, level, internalformat, width, height, border, imageSize, bits);
}

static __stdcall void
epoxy_glCompressedMultiTexImage3DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedMultiTexImage3DEXT(texunit, target, level, internalformat, width, height, depth, border, imageSize, bits);
}

static __stdcall void
epoxy_glCompressedMultiTexSubImage1DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedMultiTexSubImage1DEXT(texunit, target, level, xoffset, width, format, imageSize, bits);
}

static __stdcall void
epoxy_glCompressedMultiTexSubImage2DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedMultiTexSubImage2DEXT(texunit, target, level, xoffset, yoffset, width, height, format, imageSize, bits);
}

static __stdcall void
epoxy_glCompressedMultiTexSubImage3DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedMultiTexSubImage3DEXT(texunit, target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, bits);
}

static __stdcall void
epoxy_glCompressedTexImage1D_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexImage1D(target, level, internalformat, width, border, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexImage1DARB_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexImage1D(target, level, internalformat, width, border, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexImage2D_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexImage2D(target, level, internalformat, width, height, border, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexImage2DARB_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexImage2D(target, level, internalformat, width, height, border, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexImage3D_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexImage3D(target, level, internalformat, width, height, depth, border, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexImage3DARB_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexImage3D(target, level, internalformat, width, height, depth, border, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexImage3DOES_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexImage3D(target, level, internalformat, width, height, depth, border, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexSubImage1D_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexSubImage1D(target, level, xoffset, width, format, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexSubImage1DARB_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexSubImage1D(target, level, xoffset, width, format, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexSubImage2D_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexSubImage2D(target, level, xoffset, yoffset, width, height, format, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexSubImage2DARB_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexSubImage2D(target, level, xoffset, yoffset, width, height, format, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexSubImage3D_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexSubImage3D(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexSubImage3DARB_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexSubImage3D(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTexSubImage3DOES_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTexSubImage3D(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
}

static __stdcall void
epoxy_glCompressedTextureImage1DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTextureImage1DEXT(texture, target, level, internalformat, width, border, imageSize, bits);
}

static __stdcall void
epoxy_glCompressedTextureImage2DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTextureImage2DEXT(texture, target, level, internalformat, width, height, border, imageSize, bits);
}

static __stdcall void
epoxy_glCompressedTextureImage3DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTextureImage3DEXT(texture, target, level, internalformat, width, height, depth, border, imageSize, bits);
}

static __stdcall void
epoxy_glCompressedTextureSubImage1DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTextureSubImage1DEXT(texture, target, level, xoffset, width, format, imageSize, bits);
}

static __stdcall void
epoxy_glCompressedTextureSubImage2DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTextureSubImage2DEXT(texture, target, level, xoffset, yoffset, width, height, format, imageSize, bits);
}

static __stdcall void
epoxy_glCompressedTextureSubImage3DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * bits)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCompressedTextureSubImage3DEXT(texture, target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, bits);
}

static __stdcall void
epoxy_glConvolutionFilter1D_dispatch_table_thunk(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionFilter1D(target, internalformat, width, format, type, image);
}

static __stdcall void
epoxy_glConvolutionFilter1DEXT_dispatch_table_thunk(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionFilter1D(target, internalformat, width, format, type, image);
}

static __stdcall void
epoxy_glConvolutionFilter2D_dispatch_table_thunk(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionFilter2D(target, internalformat, width, height, format, type, image);
}

static __stdcall void
epoxy_glConvolutionFilter2DEXT_dispatch_table_thunk(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionFilter2D(target, internalformat, width, height, format, type, image);
}

static __stdcall void
epoxy_glConvolutionParameterf_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameterf(target, pname, params);
}

static __stdcall void
epoxy_glConvolutionParameterfEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameterf(target, pname, params);
}

static __stdcall void
epoxy_glConvolutionParameterfv_dispatch_table_thunk(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameterfv(target, pname, params);
}

static __stdcall void
epoxy_glConvolutionParameterfvEXT_dispatch_table_thunk(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameterfv(target, pname, params);
}

static __stdcall void
epoxy_glConvolutionParameteri_dispatch_table_thunk(GLenum target, GLenum pname, GLint params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameteri(target, pname, params);
}

static __stdcall void
epoxy_glConvolutionParameteriEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLint params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameteri(target, pname, params);
}

static __stdcall void
epoxy_glConvolutionParameteriv_dispatch_table_thunk(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glConvolutionParameterivEXT_dispatch_table_thunk(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glConvolutionParameterxOES_dispatch_table_thunk(GLenum target, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameterxOES(target, pname, param);
}

static __stdcall void
epoxy_glConvolutionParameterxvOES_dispatch_table_thunk(GLenum target, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglConvolutionParameterxvOES(target, pname, params);
}

static __stdcall void
epoxy_glCopyBufferSubData_dispatch_table_thunk(GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyBufferSubData(readTarget, writeTarget, readOffset, writeOffset, size);
}

static __stdcall void
epoxy_glCopyBufferSubDataNV_dispatch_table_thunk(GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyBufferSubData(readTarget, writeTarget, readOffset, writeOffset, size);
}

static __stdcall void
epoxy_glCopyColorSubTable_dispatch_table_thunk(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyColorSubTable(target, start, x, y, width);
}

static __stdcall void
epoxy_glCopyColorSubTableEXT_dispatch_table_thunk(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyColorSubTable(target, start, x, y, width);
}

static __stdcall void
epoxy_glCopyColorTable_dispatch_table_thunk(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyColorTable(target, internalformat, x, y, width);
}

static __stdcall void
epoxy_glCopyColorTableSGI_dispatch_table_thunk(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyColorTable(target, internalformat, x, y, width);
}

static __stdcall void
epoxy_glCopyConvolutionFilter1D_dispatch_table_thunk(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyConvolutionFilter1D(target, internalformat, x, y, width);
}

static __stdcall void
epoxy_glCopyConvolutionFilter1DEXT_dispatch_table_thunk(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyConvolutionFilter1D(target, internalformat, x, y, width);
}

static __stdcall void
epoxy_glCopyConvolutionFilter2D_dispatch_table_thunk(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyConvolutionFilter2D(target, internalformat, x, y, width, height);
}

static __stdcall void
epoxy_glCopyConvolutionFilter2DEXT_dispatch_table_thunk(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyConvolutionFilter2D(target, internalformat, x, y, width, height);
}

static __stdcall void
epoxy_glCopyImageSubData_dispatch_table_thunk(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei srcWidth, GLsizei srcHeight, GLsizei srcDepth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyImageSubData(srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, srcWidth, srcHeight, srcDepth);
}

static __stdcall void
epoxy_glCopyImageSubDataNV_dispatch_table_thunk(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyImageSubDataNV(srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, width, height, depth);
}

static __stdcall void
epoxy_glCopyMultiTexImage1DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyMultiTexImage1DEXT(texunit, target, level, internalformat, x, y, width, border);
}

static __stdcall void
epoxy_glCopyMultiTexImage2DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyMultiTexImage2DEXT(texunit, target, level, internalformat, x, y, width, height, border);
}

static __stdcall void
epoxy_glCopyMultiTexSubImage1DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyMultiTexSubImage1DEXT(texunit, target, level, xoffset, x, y, width);
}

static __stdcall void
epoxy_glCopyMultiTexSubImage2DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyMultiTexSubImage2DEXT(texunit, target, level, xoffset, yoffset, x, y, width, height);
}

static __stdcall void
epoxy_glCopyMultiTexSubImage3DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyMultiTexSubImage3DEXT(texunit, target, level, xoffset, yoffset, zoffset, x, y, width, height);
}

static __stdcall void
epoxy_glCopyPathNV_dispatch_table_thunk(GLuint resultPath, GLuint srcPath)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyPathNV(resultPath, srcPath);
}

static __stdcall void
epoxy_glCopyPixels_dispatch_table_thunk(GLint x, GLint y, GLsizei width, GLsizei height, GLenum type)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyPixels(x, y, width, height, type);
}

static __stdcall void
epoxy_glCopyTexImage1D_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexImage1D(target, level, internalformat, x, y, width, border);
}

static __stdcall void
epoxy_glCopyTexImage1DEXT_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexImage1D(target, level, internalformat, x, y, width, border);
}

static __stdcall void
epoxy_glCopyTexImage2D_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexImage2D(target, level, internalformat, x, y, width, height, border);
}

static __stdcall void
epoxy_glCopyTexImage2DEXT_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexImage2D(target, level, internalformat, x, y, width, height, border);
}

static __stdcall void
epoxy_glCopyTexSubImage1D_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexSubImage1D(target, level, xoffset, x, y, width);
}

static __stdcall void
epoxy_glCopyTexSubImage1DEXT_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexSubImage1D(target, level, xoffset, x, y, width);
}

static __stdcall void
epoxy_glCopyTexSubImage2D_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexSubImage2D(target, level, xoffset, yoffset, x, y, width, height);
}

static __stdcall void
epoxy_glCopyTexSubImage2DEXT_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexSubImage2D(target, level, xoffset, yoffset, x, y, width, height);
}

static __stdcall void
epoxy_glCopyTexSubImage3D_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexSubImage3D(target, level, xoffset, yoffset, zoffset, x, y, width, height);
}

static __stdcall void
epoxy_glCopyTexSubImage3DEXT_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexSubImage3D(target, level, xoffset, yoffset, zoffset, x, y, width, height);
}

static __stdcall void
epoxy_glCopyTexSubImage3DOES_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTexSubImage3D(target, level, xoffset, yoffset, zoffset, x, y, width, height);
}

static __stdcall void
epoxy_glCopyTextureImage1DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTextureImage1DEXT(texture, target, level, internalformat, x, y, width, border);
}

static __stdcall void
epoxy_glCopyTextureImage2DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTextureImage2DEXT(texture, target, level, internalformat, x, y, width, height, border);
}

static __stdcall void
epoxy_glCopyTextureLevelsAPPLE_dispatch_table_thunk(GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTextureLevelsAPPLE(destinationTexture, sourceTexture, sourceBaseLevel, sourceLevelCount);
}

static __stdcall void
epoxy_glCopyTextureSubImage1DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTextureSubImage1DEXT(texture, target, level, xoffset, x, y, width);
}

static __stdcall void
epoxy_glCopyTextureSubImage2DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTextureSubImage2DEXT(texture, target, level, xoffset, yoffset, x, y, width, height);
}

static __stdcall void
epoxy_glCopyTextureSubImage3DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCopyTextureSubImage3DEXT(texture, target, level, xoffset, yoffset, zoffset, x, y, width, height);
}

static __stdcall void
epoxy_glCoverFillPathInstancedNV_dispatch_table_thunk(GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat * transformValues)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCoverFillPathInstancedNV(numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues);
}

static __stdcall void
epoxy_glCoverFillPathNV_dispatch_table_thunk(GLuint path, GLenum coverMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCoverFillPathNV(path, coverMode);
}

static __stdcall void
epoxy_glCoverStrokePathInstancedNV_dispatch_table_thunk(GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat * transformValues)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCoverStrokePathInstancedNV(numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues);
}

static __stdcall void
epoxy_glCoverStrokePathNV_dispatch_table_thunk(GLuint path, GLenum coverMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCoverStrokePathNV(path, coverMode);
}

static __stdcall void
epoxy_glCoverageMaskNV_dispatch_table_thunk(GLboolean mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCoverageMaskNV(mask);
}

static __stdcall void
epoxy_glCoverageOperationNV_dispatch_table_thunk(GLenum operation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCoverageOperationNV(operation);
}

static __stdcall void
epoxy_glCreatePerfQueryINTEL_dispatch_table_thunk(GLuint queryId, GLuint * queryHandle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCreatePerfQueryINTEL(queryId, queryHandle);
}

static __stdcall GLuint
epoxy_glCreateProgram_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglCreateProgram();
}

static __stdcall GLhandleARB
epoxy_glCreateProgramObjectARB_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglCreateProgram();
}

static __stdcall GLuint
epoxy_glCreateShader_dispatch_table_thunk(GLenum type)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglCreateShader(type);
}

static __stdcall GLhandleARB
epoxy_glCreateShaderObjectARB_dispatch_table_thunk(GLenum shaderType)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglCreateShader(shaderType);
}

static __stdcall GLuint
epoxy_glCreateShaderProgramEXT_dispatch_table_thunk(GLenum type, const GLchar * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglCreateShaderProgramEXT(type, string);
}

static __stdcall GLuint
epoxy_glCreateShaderProgramv_dispatch_table_thunk(GLenum type, GLsizei count, const GLchar *const* strings)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglCreateShaderProgramv(type, count, strings);
}

static __stdcall GLuint
epoxy_glCreateShaderProgramvEXT_dispatch_table_thunk(GLenum type, GLsizei count, const GLchar ** strings)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglCreateShaderProgramvEXT(type, count, strings);
}

static __stdcall GLsync
epoxy_glCreateSyncFromCLeventARB_dispatch_table_thunk(struct _cl_context * context, struct _cl_event * event, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglCreateSyncFromCLeventARB(context, event, flags);
}

static __stdcall void
epoxy_glCullFace_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCullFace(mode);
}

static __stdcall void
epoxy_glCullParameterdvEXT_dispatch_table_thunk(GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCullParameterdvEXT(pname, params);
}

static __stdcall void
epoxy_glCullParameterfvEXT_dispatch_table_thunk(GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCullParameterfvEXT(pname, params);
}

static __stdcall void
epoxy_glCurrentPaletteMatrixARB_dispatch_table_thunk(GLint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCurrentPaletteMatrixARB(index);
}

static __stdcall void
epoxy_glCurrentPaletteMatrixOES_dispatch_table_thunk(GLuint matrixpaletteindex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglCurrentPaletteMatrixOES(matrixpaletteindex);
}

static __stdcall void
epoxy_glDebugMessageCallback_dispatch_table_thunk(GLDEBUGPROC callback, const void * userParam)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageCallback(callback, userParam);
}

static __stdcall void
epoxy_glDebugMessageCallbackAMD_dispatch_table_thunk(GLDEBUGPROCAMD callback, void * userParam)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageCallbackAMD(callback, userParam);
}

static __stdcall void
epoxy_glDebugMessageCallbackARB_dispatch_table_thunk(GLDEBUGPROCARB callback, const void * userParam)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageCallback(callback, userParam);
}

static __stdcall void
epoxy_glDebugMessageCallbackKHR_dispatch_table_thunk(GLDEBUGPROCKHR callback, const void * userParam)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageCallback(callback, userParam);
}

static __stdcall void
epoxy_glDebugMessageControl_dispatch_table_thunk(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageControl(source, type, severity, count, ids, enabled);
}

static __stdcall void
epoxy_glDebugMessageControlARB_dispatch_table_thunk(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageControl(source, type, severity, count, ids, enabled);
}

static __stdcall void
epoxy_glDebugMessageControlKHR_dispatch_table_thunk(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageControl(source, type, severity, count, ids, enabled);
}

static __stdcall void
epoxy_glDebugMessageEnableAMD_dispatch_table_thunk(GLenum category, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageEnableAMD(category, severity, count, ids, enabled);
}

static __stdcall void
epoxy_glDebugMessageInsert_dispatch_table_thunk(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar * buf)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageInsert(source, type, id, severity, length, buf);
}

static __stdcall void
epoxy_glDebugMessageInsertAMD_dispatch_table_thunk(GLenum category, GLenum severity, GLuint id, GLsizei length, const GLchar * buf)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageInsertAMD(category, severity, id, length, buf);
}

static __stdcall void
epoxy_glDebugMessageInsertARB_dispatch_table_thunk(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar * buf)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageInsert(source, type, id, severity, length, buf);
}

static __stdcall void
epoxy_glDebugMessageInsertKHR_dispatch_table_thunk(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar * buf)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDebugMessageInsert(source, type, id, severity, length, buf);
}

static __stdcall void
epoxy_glDeformSGIX_dispatch_table_thunk(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeformSGIX(mask);
}

static __stdcall void
epoxy_glDeformationMap3dSGIX_dispatch_table_thunk(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, GLdouble w1, GLdouble w2, GLint wstride, GLint worder, const GLdouble * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeformationMap3dSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points);
}

static __stdcall void
epoxy_glDeformationMap3fSGIX_dispatch_table_thunk(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, GLfloat w1, GLfloat w2, GLint wstride, GLint worder, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeformationMap3fSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points);
}

static __stdcall void
epoxy_glDeleteAsyncMarkersSGIX_dispatch_table_thunk(GLuint marker, GLsizei range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteAsyncMarkersSGIX(marker, range);
}

static __stdcall void
epoxy_glDeleteBuffers_dispatch_table_thunk(GLsizei n, const GLuint * buffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteBuffers(n, buffers);
}

static __stdcall void
epoxy_glDeleteBuffersARB_dispatch_table_thunk(GLsizei n, const GLuint * buffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteBuffers(n, buffers);
}

static __stdcall void
epoxy_glDeleteFencesAPPLE_dispatch_table_thunk(GLsizei n, const GLuint * fences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteFencesAPPLE(n, fences);
}

static __stdcall void
epoxy_glDeleteFencesNV_dispatch_table_thunk(GLsizei n, const GLuint * fences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteFencesNV(n, fences);
}

static __stdcall void
epoxy_glDeleteFragmentShaderATI_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteFragmentShaderATI(id);
}

static __stdcall void
epoxy_glDeleteFramebuffers_dispatch_table_thunk(GLsizei n, const GLuint * framebuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteFramebuffers(n, framebuffers);
}

static __stdcall void
epoxy_glDeleteFramebuffersEXT_dispatch_table_thunk(GLsizei n, const GLuint * framebuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteFramebuffers(n, framebuffers);
}

static __stdcall void
epoxy_glDeleteFramebuffersOES_dispatch_table_thunk(GLsizei n, const GLuint * framebuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteFramebuffersOES(n, framebuffers);
}

static __stdcall void
epoxy_glDeleteLists_dispatch_table_thunk(GLuint list, GLsizei range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteLists(list, range);
}

static __stdcall void
epoxy_glDeleteNamedStringARB_dispatch_table_thunk(GLint namelen, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteNamedStringARB(namelen, name);
}

static __stdcall void
epoxy_glDeleteNamesAMD_dispatch_table_thunk(GLenum identifier, GLuint num, const GLuint * names)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteNamesAMD(identifier, num, names);
}

static __stdcall void
epoxy_glDeleteObjectARB_dispatch_table_thunk(GLhandleARB obj)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteObjectARB((uintptr_t)obj);
}

static __stdcall void
epoxy_glDeleteOcclusionQueriesNV_dispatch_table_thunk(GLsizei n, const GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteOcclusionQueriesNV(n, ids);
}

static __stdcall void
epoxy_glDeletePathsNV_dispatch_table_thunk(GLuint path, GLsizei range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeletePathsNV(path, range);
}

static __stdcall void
epoxy_glDeletePerfMonitorsAMD_dispatch_table_thunk(GLsizei n, GLuint * monitors)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeletePerfMonitorsAMD(n, monitors);
}

static __stdcall void
epoxy_glDeletePerfQueryINTEL_dispatch_table_thunk(GLuint queryHandle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeletePerfQueryINTEL(queryHandle);
}

static __stdcall void
epoxy_glDeleteProgram_dispatch_table_thunk(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteProgram(program);
}

static __stdcall void
epoxy_glDeleteProgramPipelines_dispatch_table_thunk(GLsizei n, const GLuint * pipelines)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteProgramPipelines(n, pipelines);
}

static __stdcall void
epoxy_glDeleteProgramPipelinesEXT_dispatch_table_thunk(GLsizei n, const GLuint * pipelines)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteProgramPipelinesEXT(n, pipelines);
}

static __stdcall void
epoxy_glDeleteProgramsARB_dispatch_table_thunk(GLsizei n, const GLuint * programs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteProgramsARB(n, programs);
}

static __stdcall void
epoxy_glDeleteProgramsNV_dispatch_table_thunk(GLsizei n, const GLuint * programs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteProgramsARB(n, programs);
}

static __stdcall void
epoxy_glDeleteQueries_dispatch_table_thunk(GLsizei n, const GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteQueries(n, ids);
}

static __stdcall void
epoxy_glDeleteQueriesARB_dispatch_table_thunk(GLsizei n, const GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteQueries(n, ids);
}

static __stdcall void
epoxy_glDeleteQueriesEXT_dispatch_table_thunk(GLsizei n, const GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteQueriesEXT(n, ids);
}

static __stdcall void
epoxy_glDeleteRenderbuffers_dispatch_table_thunk(GLsizei n, const GLuint * renderbuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteRenderbuffers(n, renderbuffers);
}

static __stdcall void
epoxy_glDeleteRenderbuffersEXT_dispatch_table_thunk(GLsizei n, const GLuint * renderbuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteRenderbuffers(n, renderbuffers);
}

static __stdcall void
epoxy_glDeleteRenderbuffersOES_dispatch_table_thunk(GLsizei n, const GLuint * renderbuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteRenderbuffersOES(n, renderbuffers);
}

static __stdcall void
epoxy_glDeleteSamplers_dispatch_table_thunk(GLsizei count, const GLuint * samplers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteSamplers(count, samplers);
}

static __stdcall void
epoxy_glDeleteShader_dispatch_table_thunk(GLuint shader)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteShader(shader);
}

static __stdcall void
epoxy_glDeleteSync_dispatch_table_thunk(GLsync sync)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteSync(sync);
}

static __stdcall void
epoxy_glDeleteSyncAPPLE_dispatch_table_thunk(GLsync sync)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteSync(sync);
}

static __stdcall void
epoxy_glDeleteTextures_dispatch_table_thunk(GLsizei n, const GLuint * textures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteTextures(n, textures);
}

static __stdcall void
epoxy_glDeleteTexturesEXT_dispatch_table_thunk(GLsizei n, const GLuint * textures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteTexturesEXT(n, textures);
}

static __stdcall void
epoxy_glDeleteTransformFeedbacks_dispatch_table_thunk(GLsizei n, const GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteTransformFeedbacks(n, ids);
}

static __stdcall void
epoxy_glDeleteTransformFeedbacksNV_dispatch_table_thunk(GLsizei n, const GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteTransformFeedbacks(n, ids);
}

static __stdcall void
epoxy_glDeleteVertexArrays_dispatch_table_thunk(GLsizei n, const GLuint * arrays)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteVertexArrays(n, arrays);
}

static __stdcall void
epoxy_glDeleteVertexArraysAPPLE_dispatch_table_thunk(GLsizei n, const GLuint * arrays)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteVertexArrays(n, arrays);
}

static __stdcall void
epoxy_glDeleteVertexArraysOES_dispatch_table_thunk(GLsizei n, const GLuint * arrays)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteVertexArrays(n, arrays);
}

static __stdcall void
epoxy_glDeleteVertexShaderEXT_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDeleteVertexShaderEXT(id);
}

static __stdcall void
epoxy_glDepthBoundsEXT_dispatch_table_thunk(GLclampd zmin, GLclampd zmax)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthBoundsEXT(zmin, zmax);
}

static __stdcall void
epoxy_glDepthBoundsdNV_dispatch_table_thunk(GLdouble zmin, GLdouble zmax)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthBoundsdNV(zmin, zmax);
}

static __stdcall void
epoxy_glDepthFunc_dispatch_table_thunk(GLenum func)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthFunc(func);
}

static __stdcall void
epoxy_glDepthMask_dispatch_table_thunk(GLboolean flag)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthMask(flag);
}

static __stdcall void
epoxy_glDepthRange_dispatch_table_thunk(GLdouble hither, GLdouble yon)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRange(hither, yon);
}

static __stdcall void
epoxy_glDepthRangeArrayv_dispatch_table_thunk(GLuint first, GLsizei count, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangeArrayv(first, count, v);
}

static __stdcall void
epoxy_glDepthRangeIndexed_dispatch_table_thunk(GLuint index, GLdouble n, GLdouble f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangeIndexed(index, n, f);
}

static __stdcall void
epoxy_glDepthRangedNV_dispatch_table_thunk(GLdouble zNear, GLdouble zFar)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangedNV(zNear, zFar);
}

static __stdcall void
epoxy_glDepthRangef_dispatch_table_thunk(GLfloat n, GLfloat f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangef(n, f);
}

static __stdcall void
epoxy_glDepthRangefOES_dispatch_table_thunk(GLclampf n, GLclampf f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangef(n, f);
}

static __stdcall void
epoxy_glDepthRangex_dispatch_table_thunk(GLfixed n, GLfixed f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangex(n, f);
}

static __stdcall void
epoxy_glDepthRangexOES_dispatch_table_thunk(GLfixed n, GLfixed f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDepthRangexOES(n, f);
}

static __stdcall void
epoxy_glDetachObjectARB_dispatch_table_thunk(GLhandleARB containerObj, GLhandleARB attachedObj)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDetachShader((uintptr_t)containerObj, (uintptr_t)attachedObj);
}

static __stdcall void
epoxy_glDetachShader_dispatch_table_thunk(GLuint program, GLuint shader)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDetachShader(program, shader);
}

static __stdcall void
epoxy_glDetailTexFuncSGIS_dispatch_table_thunk(GLenum target, GLsizei n, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDetailTexFuncSGIS(target, n, points);
}

static __stdcall void
epoxy_glDisable_dispatch_table_thunk(GLenum cap)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisable(cap);
}

static __stdcall void
epoxy_glDisableClientState_dispatch_table_thunk(GLenum array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableClientState(array);
}

static __stdcall void
epoxy_glDisableClientStateIndexedEXT_dispatch_table_thunk(GLenum array, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableClientStateIndexedEXT(array, index);
}

static __stdcall void
epoxy_glDisableClientStateiEXT_dispatch_table_thunk(GLenum array, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableClientStateiEXT(array, index);
}

static __stdcall void
epoxy_glDisableDriverControlQCOM_dispatch_table_thunk(GLuint driverControl)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableDriverControlQCOM(driverControl);
}

static __stdcall void
epoxy_glDisableIndexedEXT_dispatch_table_thunk(GLenum target, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisablei(target, index);
}

static __stdcall void
epoxy_glDisableVariantClientStateEXT_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableVariantClientStateEXT(id);
}

static __stdcall void
epoxy_glDisableVertexArrayAttribEXT_dispatch_table_thunk(GLuint vaobj, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableVertexArrayAttribEXT(vaobj, index);
}

static __stdcall void
epoxy_glDisableVertexArrayEXT_dispatch_table_thunk(GLuint vaobj, GLenum array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableVertexArrayEXT(vaobj, array);
}

static __stdcall void
epoxy_glDisableVertexAttribAPPLE_dispatch_table_thunk(GLuint index, GLenum pname)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableVertexAttribAPPLE(index, pname);
}

static __stdcall void
epoxy_glDisableVertexAttribArray_dispatch_table_thunk(GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableVertexAttribArray(index);
}

static __stdcall void
epoxy_glDisableVertexAttribArrayARB_dispatch_table_thunk(GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisableVertexAttribArray(index);
}

static __stdcall void
epoxy_glDisablei_dispatch_table_thunk(GLenum target, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDisablei(target, index);
}

static __stdcall void
epoxy_glDiscardFramebufferEXT_dispatch_table_thunk(GLenum target, GLsizei numAttachments, const GLenum * attachments)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDiscardFramebufferEXT(target, numAttachments, attachments);
}

static __stdcall void
epoxy_glDispatchCompute_dispatch_table_thunk(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDispatchCompute(num_groups_x, num_groups_y, num_groups_z);
}

static __stdcall void
epoxy_glDispatchComputeGroupSizeARB_dispatch_table_thunk(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z, GLuint group_size_x, GLuint group_size_y, GLuint group_size_z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDispatchComputeGroupSizeARB(num_groups_x, num_groups_y, num_groups_z, group_size_x, group_size_y, group_size_z);
}

static __stdcall void
epoxy_glDispatchComputeIndirect_dispatch_table_thunk(GLintptr indirect)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDispatchComputeIndirect(indirect);
}

static __stdcall void
epoxy_glDrawArrays_dispatch_table_thunk(GLenum mode, GLint first, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArrays(mode, first, count);
}

static __stdcall void
epoxy_glDrawArraysEXT_dispatch_table_thunk(GLenum mode, GLint first, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArrays(mode, first, count);
}

static __stdcall void
epoxy_glDrawArraysIndirect_dispatch_table_thunk(GLenum mode, const void * indirect)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArraysIndirect(mode, indirect);
}

static __stdcall void
epoxy_glDrawArraysInstanced_dispatch_table_thunk(GLenum mode, GLint first, GLsizei count, GLsizei instancecount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArraysInstanced(mode, first, count, instancecount);
}

static __stdcall void
epoxy_glDrawArraysInstancedANGLE_dispatch_table_thunk(GLenum mode, GLint first, GLsizei count, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArraysInstanced(mode, first, count, primcount);
}

static __stdcall void
epoxy_glDrawArraysInstancedARB_dispatch_table_thunk(GLenum mode, GLint first, GLsizei count, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArraysInstanced(mode, first, count, primcount);
}

static __stdcall void
epoxy_glDrawArraysInstancedBaseInstance_dispatch_table_thunk(GLenum mode, GLint first, GLsizei count, GLsizei instancecount, GLuint baseinstance)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArraysInstancedBaseInstance(mode, first, count, instancecount, baseinstance);
}

static __stdcall void
epoxy_glDrawArraysInstancedEXT_dispatch_table_thunk(GLenum mode, GLint start, GLsizei count, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArraysInstanced(mode, start, count, primcount);
}

static __stdcall void
epoxy_glDrawArraysInstancedNV_dispatch_table_thunk(GLenum mode, GLint first, GLsizei count, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawArraysInstanced(mode, first, count, primcount);
}

static __stdcall void
epoxy_glDrawBuffer_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawBuffer(mode);
}

static __stdcall void
epoxy_glDrawBuffers_dispatch_table_thunk(GLsizei n, const GLenum * bufs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawBuffers(n, bufs);
}

static __stdcall void
epoxy_glDrawBuffersARB_dispatch_table_thunk(GLsizei n, const GLenum * bufs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawBuffers(n, bufs);
}

static __stdcall void
epoxy_glDrawBuffersATI_dispatch_table_thunk(GLsizei n, const GLenum * bufs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawBuffers(n, bufs);
}

static __stdcall void
epoxy_glDrawBuffersEXT_dispatch_table_thunk(GLsizei n, const GLenum * bufs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawBuffers(n, bufs);
}

static __stdcall void
epoxy_glDrawBuffersIndexedEXT_dispatch_table_thunk(GLint n, const GLenum * location, const GLint * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawBuffersIndexedEXT(n, location, indices);
}

static __stdcall void
epoxy_glDrawBuffersNV_dispatch_table_thunk(GLsizei n, const GLenum * bufs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawBuffersNV(n, bufs);
}

static __stdcall void
epoxy_glDrawElementArrayAPPLE_dispatch_table_thunk(GLenum mode, GLint first, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementArrayAPPLE(mode, first, count);
}

static __stdcall void
epoxy_glDrawElementArrayATI_dispatch_table_thunk(GLenum mode, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementArrayATI(mode, count);
}

static __stdcall void
epoxy_glDrawElements_dispatch_table_thunk(GLenum mode, GLsizei count, GLenum type, const void * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElements(mode, count, type, indices);
}

static __stdcall void
epoxy_glDrawElementsBaseVertex_dispatch_table_thunk(GLenum mode, GLsizei count, GLenum type, const void * indices, GLint basevertex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsBaseVertex(mode, count, type, indices, basevertex);
}

static __stdcall void
epoxy_glDrawElementsIndirect_dispatch_table_thunk(GLenum mode, GLenum type, const void * indirect)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsIndirect(mode, type, indirect);
}

static __stdcall void
epoxy_glDrawElementsInstanced_dispatch_table_thunk(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsInstanced(mode, count, type, indices, instancecount);
}

static __stdcall void
epoxy_glDrawElementsInstancedANGLE_dispatch_table_thunk(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsInstanced(mode, count, type, indices, primcount);
}

static __stdcall void
epoxy_glDrawElementsInstancedARB_dispatch_table_thunk(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsInstanced(mode, count, type, indices, primcount);
}

static __stdcall void
epoxy_glDrawElementsInstancedBaseInstance_dispatch_table_thunk(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLuint baseinstance)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsInstancedBaseInstance(mode, count, type, indices, instancecount, baseinstance);
}

static __stdcall void
epoxy_glDrawElementsInstancedBaseVertex_dispatch_table_thunk(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLint basevertex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsInstancedBaseVertex(mode, count, type, indices, instancecount, basevertex);
}

static __stdcall void
epoxy_glDrawElementsInstancedBaseVertexBaseInstance_dispatch_table_thunk(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLint basevertex, GLuint baseinstance)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsInstancedBaseVertexBaseInstance(mode, count, type, indices, instancecount, basevertex, baseinstance);
}

static __stdcall void
epoxy_glDrawElementsInstancedEXT_dispatch_table_thunk(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsInstanced(mode, count, type, indices, primcount);
}

static __stdcall void
epoxy_glDrawElementsInstancedNV_dispatch_table_thunk(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawElementsInstanced(mode, count, type, indices, primcount);
}

static __stdcall void
epoxy_glDrawMeshArraysSUN_dispatch_table_thunk(GLenum mode, GLint first, GLsizei count, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawMeshArraysSUN(mode, first, count, width);
}

static __stdcall void
epoxy_glDrawPixels_dispatch_table_thunk(GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawPixels(width, height, format, type, pixels);
}

static __stdcall void
epoxy_glDrawRangeElementArrayAPPLE_dispatch_table_thunk(GLenum mode, GLuint start, GLuint end, GLint first, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawRangeElementArrayAPPLE(mode, start, end, first, count);
}

static __stdcall void
epoxy_glDrawRangeElementArrayATI_dispatch_table_thunk(GLenum mode, GLuint start, GLuint end, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawRangeElementArrayATI(mode, start, end, count);
}

static __stdcall void
epoxy_glDrawRangeElements_dispatch_table_thunk(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const void * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawRangeElements(mode, start, end, count, type, indices);
}

static __stdcall void
epoxy_glDrawRangeElementsBaseVertex_dispatch_table_thunk(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const void * indices, GLint basevertex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawRangeElementsBaseVertex(mode, start, end, count, type, indices, basevertex);
}

static __stdcall void
epoxy_glDrawRangeElementsEXT_dispatch_table_thunk(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const void * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawRangeElements(mode, start, end, count, type, indices);
}

static __stdcall void
epoxy_glDrawTexfOES_dispatch_table_thunk(GLfloat x, GLfloat y, GLfloat z, GLfloat width, GLfloat height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexfOES(x, y, z, width, height);
}

static __stdcall void
epoxy_glDrawTexfvOES_dispatch_table_thunk(const GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexfvOES(coords);
}

static __stdcall void
epoxy_glDrawTexiOES_dispatch_table_thunk(GLint x, GLint y, GLint z, GLint width, GLint height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexiOES(x, y, z, width, height);
}

static __stdcall void
epoxy_glDrawTexivOES_dispatch_table_thunk(const GLint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexivOES(coords);
}

static __stdcall void
epoxy_glDrawTexsOES_dispatch_table_thunk(GLshort x, GLshort y, GLshort z, GLshort width, GLshort height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexsOES(x, y, z, width, height);
}

static __stdcall void
epoxy_glDrawTexsvOES_dispatch_table_thunk(const GLshort * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexsvOES(coords);
}

static __stdcall void
epoxy_glDrawTextureNV_dispatch_table_thunk(GLuint texture, GLuint sampler, GLfloat x0, GLfloat y0, GLfloat x1, GLfloat y1, GLfloat z, GLfloat s0, GLfloat t0, GLfloat s1, GLfloat t1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTextureNV(texture, sampler, x0, y0, x1, y1, z, s0, t0, s1, t1);
}

static __stdcall void
epoxy_glDrawTexxOES_dispatch_table_thunk(GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexxOES(x, y, z, width, height);
}

static __stdcall void
epoxy_glDrawTexxvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTexxvOES(coords);
}

static __stdcall void
epoxy_glDrawTransformFeedback_dispatch_table_thunk(GLenum mode, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTransformFeedback(mode, id);
}

static __stdcall void
epoxy_glDrawTransformFeedbackInstanced_dispatch_table_thunk(GLenum mode, GLuint id, GLsizei instancecount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTransformFeedbackInstanced(mode, id, instancecount);
}

static __stdcall void
epoxy_glDrawTransformFeedbackNV_dispatch_table_thunk(GLenum mode, GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTransformFeedback(mode, id);
}

static __stdcall void
epoxy_glDrawTransformFeedbackStream_dispatch_table_thunk(GLenum mode, GLuint id, GLuint stream)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTransformFeedbackStream(mode, id, stream);
}

static __stdcall void
epoxy_glDrawTransformFeedbackStreamInstanced_dispatch_table_thunk(GLenum mode, GLuint id, GLuint stream, GLsizei instancecount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglDrawTransformFeedbackStreamInstanced(mode, id, stream, instancecount);
}

static __stdcall void
epoxy_glEGLImageTargetRenderbufferStorageOES_dispatch_table_thunk(GLenum target, GLeglImageOES image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEGLImageTargetRenderbufferStorageOES(target, image);
}

static __stdcall void
epoxy_glEGLImageTargetTexture2DOES_dispatch_table_thunk(GLenum target, GLeglImageOES image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEGLImageTargetTexture2DOES(target, image);
}

static __stdcall void
epoxy_glEdgeFlag_dispatch_table_thunk(GLboolean flag)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEdgeFlag(flag);
}

static __stdcall void
epoxy_glEdgeFlagFormatNV_dispatch_table_thunk(GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEdgeFlagFormatNV(stride);
}

static __stdcall void
epoxy_glEdgeFlagPointer_dispatch_table_thunk(GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEdgeFlagPointer(stride, pointer);
}

static __stdcall void
epoxy_glEdgeFlagPointerEXT_dispatch_table_thunk(GLsizei stride, GLsizei count, const GLboolean * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEdgeFlagPointerEXT(stride, count, pointer);
}

static __stdcall void
epoxy_glEdgeFlagPointerListIBM_dispatch_table_thunk(GLint stride, const GLboolean ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEdgeFlagPointerListIBM(stride, pointer, ptrstride);
}

static __stdcall void
epoxy_glEdgeFlagv_dispatch_table_thunk(const GLboolean * flag)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEdgeFlagv(flag);
}

static __stdcall void
epoxy_glElementPointerAPPLE_dispatch_table_thunk(GLenum type, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglElementPointerAPPLE(type, pointer);
}

static __stdcall void
epoxy_glElementPointerATI_dispatch_table_thunk(GLenum type, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglElementPointerATI(type, pointer);
}

static __stdcall void
epoxy_glEnable_dispatch_table_thunk(GLenum cap)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnable(cap);
}

static __stdcall void
epoxy_glEnableClientState_dispatch_table_thunk(GLenum array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableClientState(array);
}

static __stdcall void
epoxy_glEnableClientStateIndexedEXT_dispatch_table_thunk(GLenum array, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableClientStateIndexedEXT(array, index);
}

static __stdcall void
epoxy_glEnableClientStateiEXT_dispatch_table_thunk(GLenum array, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableClientStateiEXT(array, index);
}

static __stdcall void
epoxy_glEnableDriverControlQCOM_dispatch_table_thunk(GLuint driverControl)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableDriverControlQCOM(driverControl);
}

static __stdcall void
epoxy_glEnableIndexedEXT_dispatch_table_thunk(GLenum target, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnablei(target, index);
}

static __stdcall void
epoxy_glEnableVariantClientStateEXT_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableVariantClientStateEXT(id);
}

static __stdcall void
epoxy_glEnableVertexArrayAttribEXT_dispatch_table_thunk(GLuint vaobj, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableVertexArrayAttribEXT(vaobj, index);
}

static __stdcall void
epoxy_glEnableVertexArrayEXT_dispatch_table_thunk(GLuint vaobj, GLenum array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableVertexArrayEXT(vaobj, array);
}

static __stdcall void
epoxy_glEnableVertexAttribAPPLE_dispatch_table_thunk(GLuint index, GLenum pname)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableVertexAttribAPPLE(index, pname);
}

static __stdcall void
epoxy_glEnableVertexAttribArray_dispatch_table_thunk(GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableVertexAttribArray(index);
}

static __stdcall void
epoxy_glEnableVertexAttribArrayARB_dispatch_table_thunk(GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnableVertexAttribArray(index);
}

static __stdcall void
epoxy_glEnablei_dispatch_table_thunk(GLenum target, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnablei(target, index);
}

static __stdcall void
epoxy_glEnd_unwrapped_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEnd();
}

static __stdcall void
epoxy_glEndConditionalRender_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndConditionalRender();
}

static __stdcall void
epoxy_glEndConditionalRenderNV_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndConditionalRender();
}

static __stdcall void
epoxy_glEndConditionalRenderNVX_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndConditionalRender();
}

static __stdcall void
epoxy_glEndFragmentShaderATI_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndFragmentShaderATI();
}

static __stdcall void
epoxy_glEndList_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndList();
}

static __stdcall void
epoxy_glEndOcclusionQueryNV_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndOcclusionQueryNV();
}

static __stdcall void
epoxy_glEndPerfMonitorAMD_dispatch_table_thunk(GLuint monitor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndPerfMonitorAMD(monitor);
}

static __stdcall void
epoxy_glEndPerfQueryINTEL_dispatch_table_thunk(GLuint queryHandle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndPerfQueryINTEL(queryHandle);
}

static __stdcall void
epoxy_glEndQuery_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndQuery(target);
}

static __stdcall void
epoxy_glEndQueryARB_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndQuery(target);
}

static __stdcall void
epoxy_glEndQueryEXT_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndQueryEXT(target);
}

static __stdcall void
epoxy_glEndQueryIndexed_dispatch_table_thunk(GLenum target, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndQueryIndexed(target, index);
}

static __stdcall void
epoxy_glEndTilingQCOM_dispatch_table_thunk(GLbitfield preserveMask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndTilingQCOM(preserveMask);
}

static __stdcall void
epoxy_glEndTransformFeedback_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndTransformFeedback();
}

static __stdcall void
epoxy_glEndTransformFeedbackEXT_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndTransformFeedback();
}

static __stdcall void
epoxy_glEndTransformFeedbackNV_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndTransformFeedback();
}

static __stdcall void
epoxy_glEndVertexShaderEXT_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndVertexShaderEXT();
}

static __stdcall void
epoxy_glEndVideoCaptureNV_dispatch_table_thunk(GLuint video_capture_slot)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEndVideoCaptureNV(video_capture_slot);
}

static __stdcall void
epoxy_glEvalCoord1d_dispatch_table_thunk(GLdouble u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord1d(u);
}

static __stdcall void
epoxy_glEvalCoord1dv_dispatch_table_thunk(const GLdouble * u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord1dv(u);
}

static __stdcall void
epoxy_glEvalCoord1f_dispatch_table_thunk(GLfloat u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord1f(u);
}

static __stdcall void
epoxy_glEvalCoord1fv_dispatch_table_thunk(const GLfloat * u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord1fv(u);
}

static __stdcall void
epoxy_glEvalCoord1xOES_dispatch_table_thunk(GLfixed u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord1xOES(u);
}

static __stdcall void
epoxy_glEvalCoord1xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord1xvOES(coords);
}

static __stdcall void
epoxy_glEvalCoord2d_dispatch_table_thunk(GLdouble u, GLdouble v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord2d(u, v);
}

static __stdcall void
epoxy_glEvalCoord2dv_dispatch_table_thunk(const GLdouble * u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord2dv(u);
}

static __stdcall void
epoxy_glEvalCoord2f_dispatch_table_thunk(GLfloat u, GLfloat v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord2f(u, v);
}

static __stdcall void
epoxy_glEvalCoord2fv_dispatch_table_thunk(const GLfloat * u)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord2fv(u);
}

static __stdcall void
epoxy_glEvalCoord2xOES_dispatch_table_thunk(GLfixed u, GLfixed v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord2xOES(u, v);
}

static __stdcall void
epoxy_glEvalCoord2xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalCoord2xvOES(coords);
}

static __stdcall void
epoxy_glEvalMapsNV_dispatch_table_thunk(GLenum target, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalMapsNV(target, mode);
}

static __stdcall void
epoxy_glEvalMesh1_dispatch_table_thunk(GLenum mode, GLint i1, GLint i2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalMesh1(mode, i1, i2);
}

static __stdcall void
epoxy_glEvalMesh2_dispatch_table_thunk(GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalMesh2(mode, i1, i2, j1, j2);
}

static __stdcall void
epoxy_glEvalPoint1_dispatch_table_thunk(GLint i)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalPoint1(i);
}

static __stdcall void
epoxy_glEvalPoint2_dispatch_table_thunk(GLint i, GLint j)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglEvalPoint2(i, j);
}

static __stdcall void
epoxy_glExecuteProgramNV_dispatch_table_thunk(GLenum target, GLuint id, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExecuteProgramNV(target, id, params);
}

static __stdcall void
epoxy_glExtGetBufferPointervQCOM_dispatch_table_thunk(GLenum target, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetBufferPointervQCOM(target, params);
}

static __stdcall void
epoxy_glExtGetBuffersQCOM_dispatch_table_thunk(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetBuffersQCOM(buffers, maxBuffers, numBuffers);
}

static __stdcall void
epoxy_glExtGetFramebuffersQCOM_dispatch_table_thunk(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetFramebuffersQCOM(framebuffers, maxFramebuffers, numFramebuffers);
}

static __stdcall void
epoxy_glExtGetProgramBinarySourceQCOM_dispatch_table_thunk(GLuint program, GLenum shadertype, GLchar * source, GLint * length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetProgramBinarySourceQCOM(program, shadertype, source, length);
}

static __stdcall void
epoxy_glExtGetProgramsQCOM_dispatch_table_thunk(GLuint * programs, GLint maxPrograms, GLint * numPrograms)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetProgramsQCOM(programs, maxPrograms, numPrograms);
}

static __stdcall void
epoxy_glExtGetRenderbuffersQCOM_dispatch_table_thunk(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetRenderbuffersQCOM(renderbuffers, maxRenderbuffers, numRenderbuffers);
}

static __stdcall void
epoxy_glExtGetShadersQCOM_dispatch_table_thunk(GLuint * shaders, GLint maxShaders, GLint * numShaders)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetShadersQCOM(shaders, maxShaders, numShaders);
}

static __stdcall void
epoxy_glExtGetTexLevelParameterivQCOM_dispatch_table_thunk(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetTexLevelParameterivQCOM(texture, face, level, pname, params);
}

static __stdcall void
epoxy_glExtGetTexSubImageQCOM_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, void * texels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetTexSubImageQCOM(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, texels);
}

static __stdcall void
epoxy_glExtGetTexturesQCOM_dispatch_table_thunk(GLuint * textures, GLint maxTextures, GLint * numTextures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtGetTexturesQCOM(textures, maxTextures, numTextures);
}

static __stdcall GLboolean
epoxy_glExtIsProgramBinaryQCOM_dispatch_table_thunk(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglExtIsProgramBinaryQCOM(program);
}

static __stdcall void
epoxy_glExtTexObjectStateOverrideiQCOM_dispatch_table_thunk(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtTexObjectStateOverrideiQCOM(target, pname, param);
}

static __stdcall void
epoxy_glExtractComponentEXT_dispatch_table_thunk(GLuint res, GLuint src, GLuint num)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglExtractComponentEXT(res, src, num);
}

static __stdcall void
epoxy_glFeedbackBuffer_dispatch_table_thunk(GLsizei size, GLenum type, GLfloat * buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFeedbackBuffer(size, type, buffer);
}

static __stdcall void
epoxy_glFeedbackBufferxOES_dispatch_table_thunk(GLsizei n, GLenum type, const GLfixed * buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFeedbackBufferxOES(n, type, buffer);
}

static __stdcall GLsync
epoxy_glFenceSync_dispatch_table_thunk(GLenum condition, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglFenceSync(condition, flags);
}

static __stdcall GLsync
epoxy_glFenceSyncAPPLE_dispatch_table_thunk(GLenum condition, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglFenceSync(condition, flags);
}

static __stdcall void
epoxy_glFinalCombinerInputNV_dispatch_table_thunk(GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinalCombinerInputNV(variable, input, mapping, componentUsage);
}

static __stdcall void
epoxy_glFinish_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinish();
}

static __stdcall GLint
epoxy_glFinishAsyncSGIX_dispatch_table_thunk(GLuint * markerp)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglFinishAsyncSGIX(markerp);
}

static __stdcall void
epoxy_glFinishFenceAPPLE_dispatch_table_thunk(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinishFenceAPPLE(fence);
}

static __stdcall void
epoxy_glFinishFenceNV_dispatch_table_thunk(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinishFenceNV(fence);
}

static __stdcall void
epoxy_glFinishObjectAPPLE_dispatch_table_thunk(GLenum object, GLint name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinishObjectAPPLE(object, name);
}

static __stdcall void
epoxy_glFinishTextureSUNX_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFinishTextureSUNX();
}

static __stdcall void
epoxy_glFlush_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlush();
}

static __stdcall void
epoxy_glFlushMappedBufferRange_dispatch_table_thunk(GLenum target, GLintptr offset, GLsizeiptr length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushMappedBufferRange(target, offset, length);
}

static __stdcall void
epoxy_glFlushMappedBufferRangeAPPLE_dispatch_table_thunk(GLenum target, GLintptr offset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushMappedBufferRange(target, offset, size);
}

static __stdcall void
epoxy_glFlushMappedBufferRangeEXT_dispatch_table_thunk(GLenum target, GLintptr offset, GLsizeiptr length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushMappedBufferRange(target, offset, length);
}

static __stdcall void
epoxy_glFlushMappedNamedBufferRangeEXT_dispatch_table_thunk(GLuint buffer, GLintptr offset, GLsizeiptr length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushMappedNamedBufferRangeEXT(buffer, offset, length);
}

static __stdcall void
epoxy_glFlushPixelDataRangeNV_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushPixelDataRangeNV(target);
}

static __stdcall void
epoxy_glFlushRasterSGIX_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushRasterSGIX();
}

static __stdcall void
epoxy_glFlushStaticDataIBM_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushStaticDataIBM(target);
}

static __stdcall void
epoxy_glFlushVertexArrayRangeAPPLE_dispatch_table_thunk(GLsizei length, void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushVertexArrayRangeAPPLE(length, pointer);
}

static __stdcall void
epoxy_glFlushVertexArrayRangeNV_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFlushVertexArrayRangeNV();
}

static __stdcall void
epoxy_glFogCoordFormatNV_dispatch_table_thunk(GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordFormatNV(type, stride);
}

static __stdcall void
epoxy_glFogCoordPointer_dispatch_table_thunk(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordPointer(type, stride, pointer);
}

static __stdcall void
epoxy_glFogCoordPointerEXT_dispatch_table_thunk(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordPointer(type, stride, pointer);
}

static __stdcall void
epoxy_glFogCoordPointerListIBM_dispatch_table_thunk(GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordPointerListIBM(type, stride, pointer, ptrstride);
}

static __stdcall void
epoxy_glFogCoordd_dispatch_table_thunk(GLdouble coord)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordd(coord);
}

static __stdcall void
epoxy_glFogCoorddEXT_dispatch_table_thunk(GLdouble coord)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordd(coord);
}

static __stdcall void
epoxy_glFogCoorddv_dispatch_table_thunk(const GLdouble * coord)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoorddv(coord);
}

static __stdcall void
epoxy_glFogCoorddvEXT_dispatch_table_thunk(const GLdouble * coord)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoorddv(coord);
}

static __stdcall void
epoxy_glFogCoordf_dispatch_table_thunk(GLfloat coord)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordf(coord);
}

static __stdcall void
epoxy_glFogCoordfEXT_dispatch_table_thunk(GLfloat coord)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordf(coord);
}

static __stdcall void
epoxy_glFogCoordfv_dispatch_table_thunk(const GLfloat * coord)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordfv(coord);
}

static __stdcall void
epoxy_glFogCoordfvEXT_dispatch_table_thunk(const GLfloat * coord)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordfv(coord);
}

static __stdcall void
epoxy_glFogCoordhNV_dispatch_table_thunk(GLhalfNV fog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordhNV(fog);
}

static __stdcall void
epoxy_glFogCoordhvNV_dispatch_table_thunk(const GLhalfNV * fog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogCoordhvNV(fog);
}

static __stdcall void
epoxy_glFogFuncSGIS_dispatch_table_thunk(GLsizei n, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogFuncSGIS(n, points);
}

static __stdcall void
epoxy_glFogf_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogf(pname, param);
}

static __stdcall void
epoxy_glFogfv_dispatch_table_thunk(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogfv(pname, params);
}

static __stdcall void
epoxy_glFogi_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogi(pname, param);
}

static __stdcall void
epoxy_glFogiv_dispatch_table_thunk(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogiv(pname, params);
}

static __stdcall void
epoxy_glFogx_dispatch_table_thunk(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogx(pname, param);
}

static __stdcall void
epoxy_glFogxOES_dispatch_table_thunk(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogxOES(pname, param);
}

static __stdcall void
epoxy_glFogxv_dispatch_table_thunk(GLenum pname, const GLfixed * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogxv(pname, param);
}

static __stdcall void
epoxy_glFogxvOES_dispatch_table_thunk(GLenum pname, const GLfixed * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFogxvOES(pname, param);
}

static __stdcall void
epoxy_glFragmentColorMaterialSGIX_dispatch_table_thunk(GLenum face, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentColorMaterialSGIX(face, mode);
}

static __stdcall void
epoxy_glFragmentLightModelfSGIX_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightModelfSGIX(pname, param);
}

static __stdcall void
epoxy_glFragmentLightModelfvSGIX_dispatch_table_thunk(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightModelfvSGIX(pname, params);
}

static __stdcall void
epoxy_glFragmentLightModeliSGIX_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightModeliSGIX(pname, param);
}

static __stdcall void
epoxy_glFragmentLightModelivSGIX_dispatch_table_thunk(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightModelivSGIX(pname, params);
}

static __stdcall void
epoxy_glFragmentLightfSGIX_dispatch_table_thunk(GLenum light, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightfSGIX(light, pname, param);
}

static __stdcall void
epoxy_glFragmentLightfvSGIX_dispatch_table_thunk(GLenum light, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightfvSGIX(light, pname, params);
}

static __stdcall void
epoxy_glFragmentLightiSGIX_dispatch_table_thunk(GLenum light, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightiSGIX(light, pname, param);
}

static __stdcall void
epoxy_glFragmentLightivSGIX_dispatch_table_thunk(GLenum light, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentLightivSGIX(light, pname, params);
}

static __stdcall void
epoxy_glFragmentMaterialfSGIX_dispatch_table_thunk(GLenum face, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentMaterialfSGIX(face, pname, param);
}

static __stdcall void
epoxy_glFragmentMaterialfvSGIX_dispatch_table_thunk(GLenum face, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentMaterialfvSGIX(face, pname, params);
}

static __stdcall void
epoxy_glFragmentMaterialiSGIX_dispatch_table_thunk(GLenum face, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentMaterialiSGIX(face, pname, param);
}

static __stdcall void
epoxy_glFragmentMaterialivSGIX_dispatch_table_thunk(GLenum face, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFragmentMaterialivSGIX(face, pname, params);
}

static __stdcall void
epoxy_glFrameTerminatorGREMEDY_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrameTerminatorGREMEDY();
}

static __stdcall void
epoxy_glFrameZoomSGIX_dispatch_table_thunk(GLint factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrameZoomSGIX(factor);
}

static __stdcall void
epoxy_glFramebufferDrawBufferEXT_dispatch_table_thunk(GLuint framebuffer, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferDrawBufferEXT(framebuffer, mode);
}

static __stdcall void
epoxy_glFramebufferDrawBuffersEXT_dispatch_table_thunk(GLuint framebuffer, GLsizei n, const GLenum * bufs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferDrawBuffersEXT(framebuffer, n, bufs);
}

static __stdcall void
epoxy_glFramebufferParameteri_dispatch_table_thunk(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferParameteri(target, pname, param);
}

static __stdcall void
epoxy_glFramebufferReadBufferEXT_dispatch_table_thunk(GLuint framebuffer, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferReadBufferEXT(framebuffer, mode);
}

static __stdcall void
epoxy_glFramebufferRenderbuffer_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferRenderbuffer(target, attachment, renderbuffertarget, renderbuffer);
}

static __stdcall void
epoxy_glFramebufferRenderbufferEXT_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferRenderbuffer(target, attachment, renderbuffertarget, renderbuffer);
}

static __stdcall void
epoxy_glFramebufferRenderbufferOES_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferRenderbufferOES(target, attachment, renderbuffertarget, renderbuffer);
}

static __stdcall void
epoxy_glFramebufferTexture_dispatch_table_thunk(GLenum target, GLenum attachment, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture(target, attachment, texture, level);
}

static __stdcall void
epoxy_glFramebufferTexture1D_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture1D(target, attachment, textarget, texture, level);
}

static __stdcall void
epoxy_glFramebufferTexture1DEXT_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture1D(target, attachment, textarget, texture, level);
}

static __stdcall void
epoxy_glFramebufferTexture2D_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture2D(target, attachment, textarget, texture, level);
}

static __stdcall void
epoxy_glFramebufferTexture2DEXT_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture2D(target, attachment, textarget, texture, level);
}

static __stdcall void
epoxy_glFramebufferTexture2DMultisampleEXT_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture2DMultisampleEXT(target, attachment, textarget, texture, level, samples);
}

static __stdcall void
epoxy_glFramebufferTexture2DMultisampleIMG_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture2DMultisampleIMG(target, attachment, textarget, texture, level, samples);
}

static __stdcall void
epoxy_glFramebufferTexture2DOES_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture2DOES(target, attachment, textarget, texture, level);
}

static __stdcall void
epoxy_glFramebufferTexture3D_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture3D(target, attachment, textarget, texture, level, zoffset);
}

static __stdcall void
epoxy_glFramebufferTexture3DEXT_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture3D(target, attachment, textarget, texture, level, zoffset);
}

static __stdcall void
epoxy_glFramebufferTexture3DOES_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture3D(target, attachment, textarget, texture, level, zoffset);
}

static __stdcall void
epoxy_glFramebufferTextureARB_dispatch_table_thunk(GLenum target, GLenum attachment, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture(target, attachment, texture, level);
}

static __stdcall void
epoxy_glFramebufferTextureEXT_dispatch_table_thunk(GLenum target, GLenum attachment, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTexture(target, attachment, texture, level);
}

static __stdcall void
epoxy_glFramebufferTextureFaceARB_dispatch_table_thunk(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTextureFaceARB(target, attachment, texture, level, face);
}

static __stdcall void
epoxy_glFramebufferTextureFaceEXT_dispatch_table_thunk(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTextureFaceARB(target, attachment, texture, level, face);
}

static __stdcall void
epoxy_glFramebufferTextureLayer_dispatch_table_thunk(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTextureLayer(target, attachment, texture, level, layer);
}

static __stdcall void
epoxy_glFramebufferTextureLayerARB_dispatch_table_thunk(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTextureLayer(target, attachment, texture, level, layer);
}

static __stdcall void
epoxy_glFramebufferTextureLayerEXT_dispatch_table_thunk(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFramebufferTextureLayer(target, attachment, texture, level, layer);
}

static __stdcall void
epoxy_glFreeObjectBufferATI_dispatch_table_thunk(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFreeObjectBufferATI(buffer);
}

static __stdcall void
epoxy_glFrontFace_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrontFace(mode);
}

static __stdcall void
epoxy_glFrustum_dispatch_table_thunk(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrustum(left, right, bottom, top, zNear, zFar);
}

static __stdcall void
epoxy_glFrustumf_dispatch_table_thunk(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrustumf(l, r, b, t, n, f);
}

static __stdcall void
epoxy_glFrustumfOES_dispatch_table_thunk(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrustumfOES(l, r, b, t, n, f);
}

static __stdcall void
epoxy_glFrustumx_dispatch_table_thunk(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrustumx(l, r, b, t, n, f);
}

static __stdcall void
epoxy_glFrustumxOES_dispatch_table_thunk(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglFrustumxOES(l, r, b, t, n, f);
}

static __stdcall GLuint
epoxy_glGenAsyncMarkersSGIX_dispatch_table_thunk(GLsizei range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGenAsyncMarkersSGIX(range);
}

static __stdcall void
epoxy_glGenBuffers_dispatch_table_thunk(GLsizei n, GLuint * buffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenBuffers(n, buffers);
}

static __stdcall void
epoxy_glGenBuffersARB_dispatch_table_thunk(GLsizei n, GLuint * buffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenBuffers(n, buffers);
}

static __stdcall void
epoxy_glGenFencesAPPLE_dispatch_table_thunk(GLsizei n, GLuint * fences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenFencesAPPLE(n, fences);
}

static __stdcall void
epoxy_glGenFencesNV_dispatch_table_thunk(GLsizei n, GLuint * fences)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenFencesNV(n, fences);
}

static __stdcall GLuint
epoxy_glGenFragmentShadersATI_dispatch_table_thunk(GLuint range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGenFragmentShadersATI(range);
}

static __stdcall void
epoxy_glGenFramebuffers_dispatch_table_thunk(GLsizei n, GLuint * framebuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenFramebuffers(n, framebuffers);
}

static __stdcall void
epoxy_glGenFramebuffersEXT_dispatch_table_thunk(GLsizei n, GLuint * framebuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenFramebuffers(n, framebuffers);
}

static __stdcall void
epoxy_glGenFramebuffersOES_dispatch_table_thunk(GLsizei n, GLuint * framebuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenFramebuffersOES(n, framebuffers);
}

static __stdcall GLuint
epoxy_glGenLists_dispatch_table_thunk(GLsizei range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGenLists(range);
}

static __stdcall void
epoxy_glGenNamesAMD_dispatch_table_thunk(GLenum identifier, GLuint num, GLuint * names)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenNamesAMD(identifier, num, names);
}

static __stdcall void
epoxy_glGenOcclusionQueriesNV_dispatch_table_thunk(GLsizei n, GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenOcclusionQueriesNV(n, ids);
}

static __stdcall GLuint
epoxy_glGenPathsNV_dispatch_table_thunk(GLsizei range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGenPathsNV(range);
}

static __stdcall void
epoxy_glGenPerfMonitorsAMD_dispatch_table_thunk(GLsizei n, GLuint * monitors)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenPerfMonitorsAMD(n, monitors);
}

static __stdcall void
epoxy_glGenProgramPipelines_dispatch_table_thunk(GLsizei n, GLuint * pipelines)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenProgramPipelines(n, pipelines);
}

static __stdcall void
epoxy_glGenProgramPipelinesEXT_dispatch_table_thunk(GLsizei n, GLuint * pipelines)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenProgramPipelinesEXT(n, pipelines);
}

static __stdcall void
epoxy_glGenProgramsARB_dispatch_table_thunk(GLsizei n, GLuint * programs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenProgramsARB(n, programs);
}

static __stdcall void
epoxy_glGenProgramsNV_dispatch_table_thunk(GLsizei n, GLuint * programs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenProgramsARB(n, programs);
}

static __stdcall void
epoxy_glGenQueries_dispatch_table_thunk(GLsizei n, GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenQueries(n, ids);
}

static __stdcall void
epoxy_glGenQueriesARB_dispatch_table_thunk(GLsizei n, GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenQueries(n, ids);
}

static __stdcall void
epoxy_glGenQueriesEXT_dispatch_table_thunk(GLsizei n, GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenQueriesEXT(n, ids);
}

static __stdcall void
epoxy_glGenRenderbuffers_dispatch_table_thunk(GLsizei n, GLuint * renderbuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenRenderbuffers(n, renderbuffers);
}

static __stdcall void
epoxy_glGenRenderbuffersEXT_dispatch_table_thunk(GLsizei n, GLuint * renderbuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenRenderbuffers(n, renderbuffers);
}

static __stdcall void
epoxy_glGenRenderbuffersOES_dispatch_table_thunk(GLsizei n, GLuint * renderbuffers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenRenderbuffersOES(n, renderbuffers);
}

static __stdcall void
epoxy_glGenSamplers_dispatch_table_thunk(GLsizei count, GLuint * samplers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenSamplers(count, samplers);
}

static __stdcall GLuint
epoxy_glGenSymbolsEXT_dispatch_table_thunk(GLenum datatype, GLenum storagetype, GLenum range, GLuint components)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGenSymbolsEXT(datatype, storagetype, range, components);
}

static __stdcall void
epoxy_glGenTextures_dispatch_table_thunk(GLsizei n, GLuint * textures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenTextures(n, textures);
}

static __stdcall void
epoxy_glGenTexturesEXT_dispatch_table_thunk(GLsizei n, GLuint * textures)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenTexturesEXT(n, textures);
}

static __stdcall void
epoxy_glGenTransformFeedbacks_dispatch_table_thunk(GLsizei n, GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenTransformFeedbacks(n, ids);
}

static __stdcall void
epoxy_glGenTransformFeedbacksNV_dispatch_table_thunk(GLsizei n, GLuint * ids)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenTransformFeedbacks(n, ids);
}

static __stdcall void
epoxy_glGenVertexArrays_dispatch_table_thunk(GLsizei n, GLuint * arrays)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenVertexArrays(n, arrays);
}

static __stdcall void
epoxy_glGenVertexArraysAPPLE_dispatch_table_thunk(GLsizei n, GLuint * arrays)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenVertexArrays(n, arrays);
}

static __stdcall void
epoxy_glGenVertexArraysOES_dispatch_table_thunk(GLsizei n, GLuint * arrays)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenVertexArrays(n, arrays);
}

static __stdcall GLuint
epoxy_glGenVertexShadersEXT_dispatch_table_thunk(GLuint range)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGenVertexShadersEXT(range);
}

static __stdcall void
epoxy_glGenerateMipmap_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenerateMipmap(target);
}

static __stdcall void
epoxy_glGenerateMipmapEXT_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenerateMipmap(target);
}

static __stdcall void
epoxy_glGenerateMipmapOES_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenerateMipmapOES(target);
}

static __stdcall void
epoxy_glGenerateMultiTexMipmapEXT_dispatch_table_thunk(GLenum texunit, GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenerateMultiTexMipmapEXT(texunit, target);
}

static __stdcall void
epoxy_glGenerateTextureMipmapEXT_dispatch_table_thunk(GLuint texture, GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGenerateTextureMipmapEXT(texture, target);
}

static __stdcall void
epoxy_glGetActiveAtomicCounterBufferiv_dispatch_table_thunk(GLuint program, GLuint bufferIndex, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveAtomicCounterBufferiv(program, bufferIndex, pname, params);
}

static __stdcall void
epoxy_glGetActiveAttrib_dispatch_table_thunk(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveAttrib(program, index, bufSize, length, size, type, name);
}

static __stdcall void
epoxy_glGetActiveAttribARB_dispatch_table_thunk(GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei * length, GLint * size, GLenum * type, GLcharARB * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveAttrib((uintptr_t)programObj, index, maxLength, length, size, type, name);
}

static __stdcall void
epoxy_glGetActiveSubroutineName_dispatch_table_thunk(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveSubroutineName(program, shadertype, index, bufsize, length, name);
}

static __stdcall void
epoxy_glGetActiveSubroutineUniformName_dispatch_table_thunk(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveSubroutineUniformName(program, shadertype, index, bufsize, length, name);
}

static __stdcall void
epoxy_glGetActiveSubroutineUniformiv_dispatch_table_thunk(GLuint program, GLenum shadertype, GLuint index, GLenum pname, GLint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveSubroutineUniformiv(program, shadertype, index, pname, values);
}

static __stdcall void
epoxy_glGetActiveUniform_dispatch_table_thunk(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveUniform(program, index, bufSize, length, size, type, name);
}

static __stdcall void
epoxy_glGetActiveUniformARB_dispatch_table_thunk(GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei * length, GLint * size, GLenum * type, GLcharARB * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveUniform((uintptr_t)programObj, index, maxLength, length, size, type, name);
}

static __stdcall void
epoxy_glGetActiveUniformBlockName_dispatch_table_thunk(GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformBlockName)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveUniformBlockName(program, uniformBlockIndex, bufSize, length, uniformBlockName);
}

static __stdcall void
epoxy_glGetActiveUniformBlockiv_dispatch_table_thunk(GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveUniformBlockiv(program, uniformBlockIndex, pname, params);
}

static __stdcall void
epoxy_glGetActiveUniformName_dispatch_table_thunk(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveUniformName(program, uniformIndex, bufSize, length, uniformName);
}

static __stdcall void
epoxy_glGetActiveUniformsiv_dispatch_table_thunk(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveUniformsiv(program, uniformCount, uniformIndices, pname, params);
}

static __stdcall void
epoxy_glGetActiveVaryingNV_dispatch_table_thunk(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetActiveVaryingNV(program, index, bufSize, length, size, type, name);
}

static __stdcall void
epoxy_glGetArrayObjectfvATI_dispatch_table_thunk(GLenum array, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetArrayObjectfvATI(array, pname, params);
}

static __stdcall void
epoxy_glGetArrayObjectivATI_dispatch_table_thunk(GLenum array, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetArrayObjectivATI(array, pname, params);
}

static __stdcall void
epoxy_glGetAttachedObjectsARB_dispatch_table_thunk(GLhandleARB containerObj, GLsizei maxCount, GLsizei * count, GLhandleARB * obj)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetAttachedObjectsARB((uintptr_t)containerObj, maxCount, count, obj);
}

static __stdcall void
epoxy_glGetAttachedShaders_dispatch_table_thunk(GLuint program, GLsizei maxCount, GLsizei * count, GLuint * shaders)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetAttachedShaders(program, maxCount, count, shaders);
}

static __stdcall GLint
epoxy_glGetAttribLocation_dispatch_table_thunk(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetAttribLocation(program, name);
}

static __stdcall GLint
epoxy_glGetAttribLocationARB_dispatch_table_thunk(GLhandleARB programObj, const GLcharARB * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetAttribLocation((uintptr_t)programObj, name);
}

static __stdcall void
epoxy_glGetBooleanIndexedvEXT_dispatch_table_thunk(GLenum target, GLuint index, GLboolean * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBooleani_v(target, index, data);
}

static __stdcall void
epoxy_glGetBooleani_v_dispatch_table_thunk(GLenum target, GLuint index, GLboolean * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBooleani_v(target, index, data);
}

static __stdcall void
epoxy_glGetBooleanv_dispatch_table_thunk(GLenum pname, GLboolean * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBooleanv(pname, data);
}

static __stdcall void
epoxy_glGetBufferParameteri64v_dispatch_table_thunk(GLenum target, GLenum pname, GLint64 * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferParameteri64v(target, pname, params);
}

static __stdcall void
epoxy_glGetBufferParameteriv_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glGetBufferParameterivARB_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glGetBufferParameterui64vNV_dispatch_table_thunk(GLenum target, GLenum pname, GLuint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferParameterui64vNV(target, pname, params);
}

static __stdcall void
epoxy_glGetBufferPointerv_dispatch_table_thunk(GLenum target, GLenum pname, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferPointerv(target, pname, params);
}

static __stdcall void
epoxy_glGetBufferPointervARB_dispatch_table_thunk(GLenum target, GLenum pname, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferPointerv(target, pname, params);
}

static __stdcall void
epoxy_glGetBufferPointervOES_dispatch_table_thunk(GLenum target, GLenum pname, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferPointerv(target, pname, params);
}

static __stdcall void
epoxy_glGetBufferSubData_dispatch_table_thunk(GLenum target, GLintptr offset, GLsizeiptr size, void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferSubData(target, offset, size, data);
}

static __stdcall void
epoxy_glGetBufferSubDataARB_dispatch_table_thunk(GLenum target, GLintptrARB offset, GLsizeiptrARB size, void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetBufferSubData(target, offset, size, data);
}

static __stdcall void
epoxy_glGetClipPlane_dispatch_table_thunk(GLenum plane, GLdouble * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetClipPlane(plane, equation);
}

static __stdcall void
epoxy_glGetClipPlanef_dispatch_table_thunk(GLenum plane, GLfloat * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetClipPlanef(plane, equation);
}

static __stdcall void
epoxy_glGetClipPlanefOES_dispatch_table_thunk(GLenum plane, GLfloat * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetClipPlanefOES(plane, equation);
}

static __stdcall void
epoxy_glGetClipPlanex_dispatch_table_thunk(GLenum plane, GLfixed * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetClipPlanex(plane, equation);
}

static __stdcall void
epoxy_glGetClipPlanexOES_dispatch_table_thunk(GLenum plane, GLfixed * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetClipPlanexOES(plane, equation);
}

static __stdcall void
epoxy_glGetColorTable_dispatch_table_thunk(GLenum target, GLenum format, GLenum type, void * table)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTable(target, format, type, table);
}

static __stdcall void
epoxy_glGetColorTableEXT_dispatch_table_thunk(GLenum target, GLenum format, GLenum type, void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTable(target, format, type, data);
}

static __stdcall void
epoxy_glGetColorTableParameterfv_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTableParameterfv(target, pname, params);
}

static __stdcall void
epoxy_glGetColorTableParameterfvEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTableParameterfv(target, pname, params);
}

static __stdcall void
epoxy_glGetColorTableParameterfvSGI_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTableParameterfvSGI(target, pname, params);
}

static __stdcall void
epoxy_glGetColorTableParameteriv_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTableParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glGetColorTableParameterivEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTableParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glGetColorTableParameterivSGI_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTableParameterivSGI(target, pname, params);
}

static __stdcall void
epoxy_glGetColorTableSGI_dispatch_table_thunk(GLenum target, GLenum format, GLenum type, void * table)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetColorTableSGI(target, format, type, table);
}

static __stdcall void
epoxy_glGetCombinerInputParameterfvNV_dispatch_table_thunk(GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCombinerInputParameterfvNV(stage, portion, variable, pname, params);
}

static __stdcall void
epoxy_glGetCombinerInputParameterivNV_dispatch_table_thunk(GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCombinerInputParameterivNV(stage, portion, variable, pname, params);
}

static __stdcall void
epoxy_glGetCombinerOutputParameterfvNV_dispatch_table_thunk(GLenum stage, GLenum portion, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCombinerOutputParameterfvNV(stage, portion, pname, params);
}

static __stdcall void
epoxy_glGetCombinerOutputParameterivNV_dispatch_table_thunk(GLenum stage, GLenum portion, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCombinerOutputParameterivNV(stage, portion, pname, params);
}

static __stdcall void
epoxy_glGetCombinerStageParameterfvNV_dispatch_table_thunk(GLenum stage, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCombinerStageParameterfvNV(stage, pname, params);
}

static __stdcall void
epoxy_glGetCompressedMultiTexImageEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint lod, void * img)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCompressedMultiTexImageEXT(texunit, target, lod, img);
}

static __stdcall void
epoxy_glGetCompressedTexImage_dispatch_table_thunk(GLenum target, GLint level, void * img)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCompressedTexImage(target, level, img);
}

static __stdcall void
epoxy_glGetCompressedTexImageARB_dispatch_table_thunk(GLenum target, GLint level, void * img)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCompressedTexImage(target, level, img);
}

static __stdcall void
epoxy_glGetCompressedTextureImageEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint lod, void * img)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetCompressedTextureImageEXT(texture, target, lod, img);
}

static __stdcall void
epoxy_glGetConvolutionFilter_dispatch_table_thunk(GLenum target, GLenum format, GLenum type, void * image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionFilter(target, format, type, image);
}

static __stdcall void
epoxy_glGetConvolutionFilterEXT_dispatch_table_thunk(GLenum target, GLenum format, GLenum type, void * image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionFilterEXT(target, format, type, image);
}

static __stdcall void
epoxy_glGetConvolutionParameterfv_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionParameterfv(target, pname, params);
}

static __stdcall void
epoxy_glGetConvolutionParameterfvEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionParameterfvEXT(target, pname, params);
}

static __stdcall void
epoxy_glGetConvolutionParameteriv_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glGetConvolutionParameterivEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionParameterivEXT(target, pname, params);
}

static __stdcall void
epoxy_glGetConvolutionParameterxvOES_dispatch_table_thunk(GLenum target, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetConvolutionParameterxvOES(target, pname, params);
}

static __stdcall GLuint
epoxy_glGetDebugMessageLog_dispatch_table_thunk(GLuint count, GLsizei bufSize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetDebugMessageLog(count, bufSize, sources, types, ids, severities, lengths, messageLog);
}

static __stdcall GLuint
epoxy_glGetDebugMessageLogAMD_dispatch_table_thunk(GLuint count, GLsizei bufsize, GLenum * categories, GLuint * severities, GLuint * ids, GLsizei * lengths, GLchar * message)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetDebugMessageLogAMD(count, bufsize, categories, severities, ids, lengths, message);
}

static __stdcall GLuint
epoxy_glGetDebugMessageLogARB_dispatch_table_thunk(GLuint count, GLsizei bufSize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetDebugMessageLog(count, bufSize, sources, types, ids, severities, lengths, messageLog);
}

static __stdcall GLuint
epoxy_glGetDebugMessageLogKHR_dispatch_table_thunk(GLuint count, GLsizei bufSize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetDebugMessageLog(count, bufSize, sources, types, ids, severities, lengths, messageLog);
}

static __stdcall void
epoxy_glGetDetailTexFuncSGIS_dispatch_table_thunk(GLenum target, GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDetailTexFuncSGIS(target, points);
}

static __stdcall void
epoxy_glGetDoubleIndexedvEXT_dispatch_table_thunk(GLenum target, GLuint index, GLdouble * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDoublei_v(target, index, data);
}

static __stdcall void
epoxy_glGetDoublei_v_dispatch_table_thunk(GLenum target, GLuint index, GLdouble * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDoublei_v(target, index, data);
}

static __stdcall void
epoxy_glGetDoublei_vEXT_dispatch_table_thunk(GLenum pname, GLuint index, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDoublei_v(pname, index, params);
}

static __stdcall void
epoxy_glGetDoublev_dispatch_table_thunk(GLenum pname, GLdouble * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDoublev(pname, data);
}

static __stdcall void
epoxy_glGetDriverControlStringQCOM_dispatch_table_thunk(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDriverControlStringQCOM(driverControl, bufSize, length, driverControlString);
}

static __stdcall void
epoxy_glGetDriverControlsQCOM_dispatch_table_thunk(GLint * num, GLsizei size, GLuint * driverControls)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetDriverControlsQCOM(num, size, driverControls);
}

static __stdcall GLenum
epoxy_glGetError_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetError();
}

static __stdcall void
epoxy_glGetFenceivNV_dispatch_table_thunk(GLuint fence, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFenceivNV(fence, pname, params);
}

static __stdcall void
epoxy_glGetFinalCombinerInputParameterfvNV_dispatch_table_thunk(GLenum variable, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFinalCombinerInputParameterfvNV(variable, pname, params);
}

static __stdcall void
epoxy_glGetFinalCombinerInputParameterivNV_dispatch_table_thunk(GLenum variable, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFinalCombinerInputParameterivNV(variable, pname, params);
}

static __stdcall void
epoxy_glGetFirstPerfQueryIdINTEL_dispatch_table_thunk(GLuint * queryId)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFirstPerfQueryIdINTEL(queryId);
}

static __stdcall void
epoxy_glGetFixedv_dispatch_table_thunk(GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFixedv(pname, params);
}

static __stdcall void
epoxy_glGetFixedvOES_dispatch_table_thunk(GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFixedvOES(pname, params);
}

static __stdcall void
epoxy_glGetFloatIndexedvEXT_dispatch_table_thunk(GLenum target, GLuint index, GLfloat * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFloati_v(target, index, data);
}

static __stdcall void
epoxy_glGetFloati_v_dispatch_table_thunk(GLenum target, GLuint index, GLfloat * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFloati_v(target, index, data);
}

static __stdcall void
epoxy_glGetFloati_vEXT_dispatch_table_thunk(GLenum pname, GLuint index, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFloati_v(pname, index, params);
}

static __stdcall void
epoxy_glGetFloatv_dispatch_table_thunk(GLenum pname, GLfloat * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFloatv(pname, data);
}

static __stdcall void
epoxy_glGetFogFuncSGIS_dispatch_table_thunk(GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFogFuncSGIS(points);
}

static __stdcall GLint
epoxy_glGetFragDataIndex_dispatch_table_thunk(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetFragDataIndex(program, name);
}

static __stdcall GLint
epoxy_glGetFragDataLocation_dispatch_table_thunk(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetFragDataLocation(program, name);
}

static __stdcall GLint
epoxy_glGetFragDataLocationEXT_dispatch_table_thunk(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetFragDataLocation(program, name);
}

static __stdcall void
epoxy_glGetFragmentLightfvSGIX_dispatch_table_thunk(GLenum light, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFragmentLightfvSGIX(light, pname, params);
}

static __stdcall void
epoxy_glGetFragmentLightivSGIX_dispatch_table_thunk(GLenum light, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFragmentLightivSGIX(light, pname, params);
}

static __stdcall void
epoxy_glGetFragmentMaterialfvSGIX_dispatch_table_thunk(GLenum face, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFragmentMaterialfvSGIX(face, pname, params);
}

static __stdcall void
epoxy_glGetFragmentMaterialivSGIX_dispatch_table_thunk(GLenum face, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFragmentMaterialivSGIX(face, pname, params);
}

static __stdcall void
epoxy_glGetFramebufferAttachmentParameteriv_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFramebufferAttachmentParameteriv(target, attachment, pname, params);
}

static __stdcall void
epoxy_glGetFramebufferAttachmentParameterivEXT_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFramebufferAttachmentParameteriv(target, attachment, pname, params);
}

static __stdcall void
epoxy_glGetFramebufferAttachmentParameterivOES_dispatch_table_thunk(GLenum target, GLenum attachment, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFramebufferAttachmentParameterivOES(target, attachment, pname, params);
}

static __stdcall void
epoxy_glGetFramebufferParameteriv_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFramebufferParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glGetFramebufferParameterivEXT_dispatch_table_thunk(GLuint framebuffer, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetFramebufferParameterivEXT(framebuffer, pname, params);
}

static __stdcall GLenum
epoxy_glGetGraphicsResetStatusARB_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetGraphicsResetStatusARB();
}

static __stdcall GLenum
epoxy_glGetGraphicsResetStatusEXT_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetGraphicsResetStatusEXT();
}

static __stdcall GLhandleARB
epoxy_glGetHandleARB_dispatch_table_thunk(GLenum pname)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetHandleARB(pname);
}

static __stdcall void
epoxy_glGetHistogram_dispatch_table_thunk(GLenum target, GLboolean reset, GLenum format, GLenum type, void * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogram(target, reset, format, type, values);
}

static __stdcall void
epoxy_glGetHistogramEXT_dispatch_table_thunk(GLenum target, GLboolean reset, GLenum format, GLenum type, void * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogramEXT(target, reset, format, type, values);
}

static __stdcall void
epoxy_glGetHistogramParameterfv_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogramParameterfv(target, pname, params);
}

static __stdcall void
epoxy_glGetHistogramParameterfvEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogramParameterfvEXT(target, pname, params);
}

static __stdcall void
epoxy_glGetHistogramParameteriv_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogramParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glGetHistogramParameterivEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogramParameterivEXT(target, pname, params);
}

static __stdcall void
epoxy_glGetHistogramParameterxvOES_dispatch_table_thunk(GLenum target, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetHistogramParameterxvOES(target, pname, params);
}

static __stdcall GLuint64
epoxy_glGetImageHandleARB_dispatch_table_thunk(GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetImageHandleARB(texture, level, layered, layer, format);
}

static __stdcall GLuint64
epoxy_glGetImageHandleNV_dispatch_table_thunk(GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetImageHandleNV(texture, level, layered, layer, format);
}

static __stdcall void
epoxy_glGetImageTransformParameterfvHP_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetImageTransformParameterfvHP(target, pname, params);
}

static __stdcall void
epoxy_glGetImageTransformParameterivHP_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetImageTransformParameterivHP(target, pname, params);
}

static __stdcall void
epoxy_glGetInfoLogARB_dispatch_table_thunk(GLhandleARB obj, GLsizei maxLength, GLsizei * length, GLcharARB * infoLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInfoLogARB((uintptr_t)obj, maxLength, length, infoLog);
}

static __stdcall GLint
epoxy_glGetInstrumentsSGIX_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetInstrumentsSGIX();
}

static __stdcall void
epoxy_glGetInteger64i_v_dispatch_table_thunk(GLenum target, GLuint index, GLint64 * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInteger64i_v(target, index, data);
}

static __stdcall void
epoxy_glGetInteger64v_dispatch_table_thunk(GLenum pname, GLint64 * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInteger64v(pname, data);
}

static __stdcall void
epoxy_glGetInteger64vAPPLE_dispatch_table_thunk(GLenum pname, GLint64 * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInteger64v(pname, params);
}

static __stdcall void
epoxy_glGetIntegerIndexedvEXT_dispatch_table_thunk(GLenum target, GLuint index, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetIntegeri_v(target, index, data);
}

static __stdcall void
epoxy_glGetIntegeri_v_dispatch_table_thunk(GLenum target, GLuint index, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetIntegeri_v(target, index, data);
}

static __stdcall void
epoxy_glGetIntegeri_vEXT_dispatch_table_thunk(GLenum target, GLuint index, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetIntegeri_vEXT(target, index, data);
}

static __stdcall void
epoxy_glGetIntegerui64i_vNV_dispatch_table_thunk(GLenum value, GLuint index, GLuint64EXT * result)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetIntegerui64i_vNV(value, index, result);
}

static __stdcall void
epoxy_glGetIntegerui64vNV_dispatch_table_thunk(GLenum value, GLuint64EXT * result)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetIntegerui64vNV(value, result);
}

static __stdcall void
epoxy_glGetIntegerv_dispatch_table_thunk(GLenum pname, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetIntegerv(pname, data);
}

static __stdcall void
epoxy_glGetInternalformati64v_dispatch_table_thunk(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint64 * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInternalformati64v(target, internalformat, pname, bufSize, params);
}

static __stdcall void
epoxy_glGetInternalformativ_dispatch_table_thunk(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInternalformativ(target, internalformat, pname, bufSize, params);
}

static __stdcall void
epoxy_glGetInvariantBooleanvEXT_dispatch_table_thunk(GLuint id, GLenum value, GLboolean * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInvariantBooleanvEXT(id, value, data);
}

static __stdcall void
epoxy_glGetInvariantFloatvEXT_dispatch_table_thunk(GLuint id, GLenum value, GLfloat * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInvariantFloatvEXT(id, value, data);
}

static __stdcall void
epoxy_glGetInvariantIntegervEXT_dispatch_table_thunk(GLuint id, GLenum value, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetInvariantIntegervEXT(id, value, data);
}

static __stdcall void
epoxy_glGetLightfv_dispatch_table_thunk(GLenum light, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLightfv(light, pname, params);
}

static __stdcall void
epoxy_glGetLightiv_dispatch_table_thunk(GLenum light, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLightiv(light, pname, params);
}

static __stdcall void
epoxy_glGetLightxOES_dispatch_table_thunk(GLenum light, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLightxOES(light, pname, params);
}

static __stdcall void
epoxy_glGetLightxv_dispatch_table_thunk(GLenum light, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLightxv(light, pname, params);
}

static __stdcall void
epoxy_glGetLightxvOES_dispatch_table_thunk(GLenum light, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLightxvOES(light, pname, params);
}

static __stdcall void
epoxy_glGetListParameterfvSGIX_dispatch_table_thunk(GLuint list, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetListParameterfvSGIX(list, pname, params);
}

static __stdcall void
epoxy_glGetListParameterivSGIX_dispatch_table_thunk(GLuint list, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetListParameterivSGIX(list, pname, params);
}

static __stdcall void
epoxy_glGetLocalConstantBooleanvEXT_dispatch_table_thunk(GLuint id, GLenum value, GLboolean * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLocalConstantBooleanvEXT(id, value, data);
}

static __stdcall void
epoxy_glGetLocalConstantFloatvEXT_dispatch_table_thunk(GLuint id, GLenum value, GLfloat * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLocalConstantFloatvEXT(id, value, data);
}

static __stdcall void
epoxy_glGetLocalConstantIntegervEXT_dispatch_table_thunk(GLuint id, GLenum value, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetLocalConstantIntegervEXT(id, value, data);
}

static __stdcall void
epoxy_glGetMapAttribParameterfvNV_dispatch_table_thunk(GLenum target, GLuint index, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapAttribParameterfvNV(target, index, pname, params);
}

static __stdcall void
epoxy_glGetMapAttribParameterivNV_dispatch_table_thunk(GLenum target, GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapAttribParameterivNV(target, index, pname, params);
}

static __stdcall void
epoxy_glGetMapControlPointsNV_dispatch_table_thunk(GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLboolean packed, void * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapControlPointsNV(target, index, type, ustride, vstride, packed, points);
}

static __stdcall void
epoxy_glGetMapParameterfvNV_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapParameterfvNV(target, pname, params);
}

static __stdcall void
epoxy_glGetMapParameterivNV_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapParameterivNV(target, pname, params);
}

static __stdcall void
epoxy_glGetMapdv_dispatch_table_thunk(GLenum target, GLenum query, GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapdv(target, query, v);
}

static __stdcall void
epoxy_glGetMapfv_dispatch_table_thunk(GLenum target, GLenum query, GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapfv(target, query, v);
}

static __stdcall void
epoxy_glGetMapiv_dispatch_table_thunk(GLenum target, GLenum query, GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapiv(target, query, v);
}

static __stdcall void
epoxy_glGetMapxvOES_dispatch_table_thunk(GLenum target, GLenum query, GLfixed * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMapxvOES(target, query, v);
}

static __stdcall void
epoxy_glGetMaterialfv_dispatch_table_thunk(GLenum face, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMaterialfv(face, pname, params);
}

static __stdcall void
epoxy_glGetMaterialiv_dispatch_table_thunk(GLenum face, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMaterialiv(face, pname, params);
}

static __stdcall void
epoxy_glGetMaterialxOES_dispatch_table_thunk(GLenum face, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMaterialxOES(face, pname, param);
}

static __stdcall void
epoxy_glGetMaterialxv_dispatch_table_thunk(GLenum face, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMaterialxv(face, pname, params);
}

static __stdcall void
epoxy_glGetMaterialxvOES_dispatch_table_thunk(GLenum face, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMaterialxvOES(face, pname, params);
}

static __stdcall void
epoxy_glGetMinmax_dispatch_table_thunk(GLenum target, GLboolean reset, GLenum format, GLenum type, void * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMinmax(target, reset, format, type, values);
}

static __stdcall void
epoxy_glGetMinmaxEXT_dispatch_table_thunk(GLenum target, GLboolean reset, GLenum format, GLenum type, void * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMinmaxEXT(target, reset, format, type, values);
}

static __stdcall void
epoxy_glGetMinmaxParameterfv_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMinmaxParameterfv(target, pname, params);
}

static __stdcall void
epoxy_glGetMinmaxParameterfvEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMinmaxParameterfvEXT(target, pname, params);
}

static __stdcall void
epoxy_glGetMinmaxParameteriv_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMinmaxParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glGetMinmaxParameterivEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMinmaxParameterivEXT(target, pname, params);
}

static __stdcall void
epoxy_glGetMultiTexEnvfvEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexEnvfvEXT(texunit, target, pname, params);
}

static __stdcall void
epoxy_glGetMultiTexEnvivEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexEnvivEXT(texunit, target, pname, params);
}

static __stdcall void
epoxy_glGetMultiTexGendvEXT_dispatch_table_thunk(GLenum texunit, GLenum coord, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexGendvEXT(texunit, coord, pname, params);
}

static __stdcall void
epoxy_glGetMultiTexGenfvEXT_dispatch_table_thunk(GLenum texunit, GLenum coord, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexGenfvEXT(texunit, coord, pname, params);
}

static __stdcall void
epoxy_glGetMultiTexGenivEXT_dispatch_table_thunk(GLenum texunit, GLenum coord, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexGenivEXT(texunit, coord, pname, params);
}

static __stdcall void
epoxy_glGetMultiTexImageEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLenum format, GLenum type, void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexImageEXT(texunit, target, level, format, type, pixels);
}

static __stdcall void
epoxy_glGetMultiTexLevelParameterfvEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexLevelParameterfvEXT(texunit, target, level, pname, params);
}

static __stdcall void
epoxy_glGetMultiTexLevelParameterivEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexLevelParameterivEXT(texunit, target, level, pname, params);
}

static __stdcall void
epoxy_glGetMultiTexParameterIivEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexParameterIivEXT(texunit, target, pname, params);
}

static __stdcall void
epoxy_glGetMultiTexParameterIuivEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexParameterIuivEXT(texunit, target, pname, params);
}

static __stdcall void
epoxy_glGetMultiTexParameterfvEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexParameterfvEXT(texunit, target, pname, params);
}

static __stdcall void
epoxy_glGetMultiTexParameterivEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultiTexParameterivEXT(texunit, target, pname, params);
}

static __stdcall void
epoxy_glGetMultisamplefv_dispatch_table_thunk(GLenum pname, GLuint index, GLfloat * val)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultisamplefv(pname, index, val);
}

static __stdcall void
epoxy_glGetMultisamplefvNV_dispatch_table_thunk(GLenum pname, GLuint index, GLfloat * val)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetMultisamplefv(pname, index, val);
}

static __stdcall void
epoxy_glGetNamedBufferParameterivEXT_dispatch_table_thunk(GLuint buffer, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedBufferParameterivEXT(buffer, pname, params);
}

static __stdcall void
epoxy_glGetNamedBufferParameterui64vNV_dispatch_table_thunk(GLuint buffer, GLenum pname, GLuint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedBufferParameterui64vNV(buffer, pname, params);
}

static __stdcall void
epoxy_glGetNamedBufferPointervEXT_dispatch_table_thunk(GLuint buffer, GLenum pname, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedBufferPointervEXT(buffer, pname, params);
}

static __stdcall void
epoxy_glGetNamedBufferSubDataEXT_dispatch_table_thunk(GLuint buffer, GLintptr offset, GLsizeiptr size, void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedBufferSubDataEXT(buffer, offset, size, data);
}

static __stdcall void
epoxy_glGetNamedFramebufferAttachmentParameterivEXT_dispatch_table_thunk(GLuint framebuffer, GLenum attachment, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedFramebufferAttachmentParameterivEXT(framebuffer, attachment, pname, params);
}

static __stdcall void
epoxy_glGetNamedFramebufferParameterivEXT_dispatch_table_thunk(GLuint framebuffer, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedFramebufferParameterivEXT(framebuffer, pname, params);
}

static __stdcall void
epoxy_glGetNamedProgramLocalParameterIivEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedProgramLocalParameterIivEXT(program, target, index, params);
}

static __stdcall void
epoxy_glGetNamedProgramLocalParameterIuivEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedProgramLocalParameterIuivEXT(program, target, index, params);
}

static __stdcall void
epoxy_glGetNamedProgramLocalParameterdvEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedProgramLocalParameterdvEXT(program, target, index, params);
}

static __stdcall void
epoxy_glGetNamedProgramLocalParameterfvEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedProgramLocalParameterfvEXT(program, target, index, params);
}

static __stdcall void
epoxy_glGetNamedProgramStringEXT_dispatch_table_thunk(GLuint program, GLenum target, GLenum pname, void * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedProgramStringEXT(program, target, pname, string);
}

static __stdcall void
epoxy_glGetNamedProgramivEXT_dispatch_table_thunk(GLuint program, GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedProgramivEXT(program, target, pname, params);
}

static __stdcall void
epoxy_glGetNamedRenderbufferParameterivEXT_dispatch_table_thunk(GLuint renderbuffer, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedRenderbufferParameterivEXT(renderbuffer, pname, params);
}

static __stdcall void
epoxy_glGetNamedStringARB_dispatch_table_thunk(GLint namelen, const GLchar * name, GLsizei bufSize, GLint * stringlen, GLchar * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedStringARB(namelen, name, bufSize, stringlen, string);
}

static __stdcall void
epoxy_glGetNamedStringivARB_dispatch_table_thunk(GLint namelen, const GLchar * name, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNamedStringivARB(namelen, name, pname, params);
}

static __stdcall void
epoxy_glGetNextPerfQueryIdINTEL_dispatch_table_thunk(GLuint queryId, GLuint * nextQueryId)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetNextPerfQueryIdINTEL(queryId, nextQueryId);
}

static __stdcall void
epoxy_glGetObjectBufferfvATI_dispatch_table_thunk(GLuint buffer, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectBufferfvATI(buffer, pname, params);
}

static __stdcall void
epoxy_glGetObjectBufferivATI_dispatch_table_thunk(GLuint buffer, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectBufferivATI(buffer, pname, params);
}

static __stdcall void
epoxy_glGetObjectLabel_dispatch_table_thunk(GLenum identifier, GLuint name, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectLabel(identifier, name, bufSize, length, label);
}

static __stdcall void
epoxy_glGetObjectLabelEXT_dispatch_table_thunk(GLenum type, GLuint object, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectLabelEXT(type, object, bufSize, length, label);
}

static __stdcall void
epoxy_glGetObjectLabelKHR_dispatch_table_thunk(GLenum identifier, GLuint name, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectLabel(identifier, name, bufSize, length, label);
}

static __stdcall void
epoxy_glGetObjectParameterfvARB_dispatch_table_thunk(GLhandleARB obj, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectParameterfvARB((uintptr_t)obj, pname, params);
}

static __stdcall void
epoxy_glGetObjectParameterivAPPLE_dispatch_table_thunk(GLenum objectType, GLuint name, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectParameterivAPPLE(objectType, name, pname, params);
}

static __stdcall void
epoxy_glGetObjectParameterivARB_dispatch_table_thunk(GLhandleARB obj, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectParameterivARB((uintptr_t)obj, pname, params);
}

static __stdcall void
epoxy_glGetObjectPtrLabel_dispatch_table_thunk(const void * ptr, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectPtrLabel(ptr, bufSize, length, label);
}

static __stdcall void
epoxy_glGetObjectPtrLabelKHR_dispatch_table_thunk(const void * ptr, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetObjectPtrLabel(ptr, bufSize, length, label);
}

static __stdcall void
epoxy_glGetOcclusionQueryivNV_dispatch_table_thunk(GLuint id, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetOcclusionQueryivNV(id, pname, params);
}

static __stdcall void
epoxy_glGetOcclusionQueryuivNV_dispatch_table_thunk(GLuint id, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetOcclusionQueryuivNV(id, pname, params);
}

static __stdcall void
epoxy_glGetPathColorGenfvNV_dispatch_table_thunk(GLenum color, GLenum pname, GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathColorGenfvNV(color, pname, value);
}

static __stdcall void
epoxy_glGetPathColorGenivNV_dispatch_table_thunk(GLenum color, GLenum pname, GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathColorGenivNV(color, pname, value);
}

static __stdcall void
epoxy_glGetPathCommandsNV_dispatch_table_thunk(GLuint path, GLubyte * commands)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathCommandsNV(path, commands);
}

static __stdcall void
epoxy_glGetPathCoordsNV_dispatch_table_thunk(GLuint path, GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathCoordsNV(path, coords);
}

static __stdcall void
epoxy_glGetPathDashArrayNV_dispatch_table_thunk(GLuint path, GLfloat * dashArray)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathDashArrayNV(path, dashArray);
}

static __stdcall GLfloat
epoxy_glGetPathLengthNV_dispatch_table_thunk(GLuint path, GLsizei startSegment, GLsizei numSegments)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetPathLengthNV(path, startSegment, numSegments);
}

static __stdcall void
epoxy_glGetPathMetricRangeNV_dispatch_table_thunk(GLbitfield metricQueryMask, GLuint firstPathName, GLsizei numPaths, GLsizei stride, GLfloat * metrics)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathMetricRangeNV(metricQueryMask, firstPathName, numPaths, stride, metrics);
}

static __stdcall void
epoxy_glGetPathMetricsNV_dispatch_table_thunk(GLbitfield metricQueryMask, GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLsizei stride, GLfloat * metrics)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathMetricsNV(metricQueryMask, numPaths, pathNameType, paths, pathBase, stride, metrics);
}

static __stdcall void
epoxy_glGetPathParameterfvNV_dispatch_table_thunk(GLuint path, GLenum pname, GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathParameterfvNV(path, pname, value);
}

static __stdcall void
epoxy_glGetPathParameterivNV_dispatch_table_thunk(GLuint path, GLenum pname, GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathParameterivNV(path, pname, value);
}

static __stdcall void
epoxy_glGetPathSpacingNV_dispatch_table_thunk(GLenum pathListMode, GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLfloat advanceScale, GLfloat kerningScale, GLenum transformType, GLfloat * returnedSpacing)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathSpacingNV(pathListMode, numPaths, pathNameType, paths, pathBase, advanceScale, kerningScale, transformType, returnedSpacing);
}

static __stdcall void
epoxy_glGetPathTexGenfvNV_dispatch_table_thunk(GLenum texCoordSet, GLenum pname, GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathTexGenfvNV(texCoordSet, pname, value);
}

static __stdcall void
epoxy_glGetPathTexGenivNV_dispatch_table_thunk(GLenum texCoordSet, GLenum pname, GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPathTexGenivNV(texCoordSet, pname, value);
}

static __stdcall void
epoxy_glGetPerfCounterInfoINTEL_dispatch_table_thunk(GLuint queryId, GLuint counterId, GLuint counterNameLength, GLchar * counterName, GLuint counterDescLength, GLchar * counterDesc, GLuint * counterOffset, GLuint * counterDataSize, GLuint * counterTypeEnum, GLuint * counterDataTypeEnum, GLuint64 * rawCounterMaxValue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfCounterInfoINTEL(queryId, counterId, counterNameLength, counterName, counterDescLength, counterDesc, counterOffset, counterDataSize, counterTypeEnum, counterDataTypeEnum, rawCounterMaxValue);
}

static __stdcall void
epoxy_glGetPerfMonitorCounterDataAMD_dispatch_table_thunk(GLuint monitor, GLenum pname, GLsizei dataSize, GLuint * data, GLint * bytesWritten)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfMonitorCounterDataAMD(monitor, pname, dataSize, data, bytesWritten);
}

static __stdcall void
epoxy_glGetPerfMonitorCounterInfoAMD_dispatch_table_thunk(GLuint group, GLuint counter, GLenum pname, void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfMonitorCounterInfoAMD(group, counter, pname, data);
}

static __stdcall void
epoxy_glGetPerfMonitorCounterStringAMD_dispatch_table_thunk(GLuint group, GLuint counter, GLsizei bufSize, GLsizei * length, GLchar * counterString)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfMonitorCounterStringAMD(group, counter, bufSize, length, counterString);
}

static __stdcall void
epoxy_glGetPerfMonitorCountersAMD_dispatch_table_thunk(GLuint group, GLint * numCounters, GLint * maxActiveCounters, GLsizei counterSize, GLuint * counters)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfMonitorCountersAMD(group, numCounters, maxActiveCounters, counterSize, counters);
}

static __stdcall void
epoxy_glGetPerfMonitorGroupStringAMD_dispatch_table_thunk(GLuint group, GLsizei bufSize, GLsizei * length, GLchar * groupString)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfMonitorGroupStringAMD(group, bufSize, length, groupString);
}

static __stdcall void
epoxy_glGetPerfMonitorGroupsAMD_dispatch_table_thunk(GLint * numGroups, GLsizei groupsSize, GLuint * groups)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfMonitorGroupsAMD(numGroups, groupsSize, groups);
}

static __stdcall void
epoxy_glGetPerfQueryDataINTEL_dispatch_table_thunk(GLuint queryHandle, GLuint flags, GLsizei dataSize, GLvoid * data, GLuint * bytesWritten)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfQueryDataINTEL(queryHandle, flags, dataSize, data, bytesWritten);
}

static __stdcall void
epoxy_glGetPerfQueryIdByNameINTEL_dispatch_table_thunk(GLchar * queryName, GLuint * queryId)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfQueryIdByNameINTEL(queryName, queryId);
}

static __stdcall void
epoxy_glGetPerfQueryInfoINTEL_dispatch_table_thunk(GLuint queryId, GLuint queryNameLength, GLchar * queryName, GLuint * dataSize, GLuint * noCounters, GLuint * noInstances, GLuint * capsMask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPerfQueryInfoINTEL(queryId, queryNameLength, queryName, dataSize, noCounters, noInstances, capsMask);
}

static __stdcall void
epoxy_glGetPixelMapfv_dispatch_table_thunk(GLenum map, GLfloat * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelMapfv(map, values);
}

static __stdcall void
epoxy_glGetPixelMapuiv_dispatch_table_thunk(GLenum map, GLuint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelMapuiv(map, values);
}

static __stdcall void
epoxy_glGetPixelMapusv_dispatch_table_thunk(GLenum map, GLushort * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelMapusv(map, values);
}

static __stdcall void
epoxy_glGetPixelMapxv_dispatch_table_thunk(GLenum map, GLint size, GLfixed * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelMapxv(map, size, values);
}

static __stdcall void
epoxy_glGetPixelTexGenParameterfvSGIS_dispatch_table_thunk(GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelTexGenParameterfvSGIS(pname, params);
}

static __stdcall void
epoxy_glGetPixelTexGenParameterivSGIS_dispatch_table_thunk(GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelTexGenParameterivSGIS(pname, params);
}

static __stdcall void
epoxy_glGetPixelTransformParameterfvEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelTransformParameterfvEXT(target, pname, params);
}

static __stdcall void
epoxy_glGetPixelTransformParameterivEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPixelTransformParameterivEXT(target, pname, params);
}

static __stdcall void
epoxy_glGetPointerIndexedvEXT_dispatch_table_thunk(GLenum target, GLuint index, void ** data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPointerIndexedvEXT(target, index, data);
}

static __stdcall void
epoxy_glGetPointeri_vEXT_dispatch_table_thunk(GLenum pname, GLuint index, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPointeri_vEXT(pname, index, params);
}

static __stdcall void
epoxy_glGetPointerv_dispatch_table_thunk(GLenum pname, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPointerv(pname, params);
}

static __stdcall void
epoxy_glGetPointervEXT_dispatch_table_thunk(GLenum pname, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPointerv(pname, params);
}

static __stdcall void
epoxy_glGetPointervKHR_dispatch_table_thunk(GLenum pname, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPointerv(pname, params);
}

static __stdcall void
epoxy_glGetPolygonStipple_dispatch_table_thunk(GLubyte * mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetPolygonStipple(mask);
}

static __stdcall void
epoxy_glGetProgramBinary_dispatch_table_thunk(GLuint program, GLsizei bufSize, GLsizei * length, GLenum * binaryFormat, void * binary)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramBinary(program, bufSize, length, binaryFormat, binary);
}

static __stdcall void
epoxy_glGetProgramBinaryOES_dispatch_table_thunk(GLuint program, GLsizei bufSize, GLsizei * length, GLenum * binaryFormat, void * binary)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramBinary(program, bufSize, length, binaryFormat, binary);
}

static __stdcall void
epoxy_glGetProgramEnvParameterIivNV_dispatch_table_thunk(GLenum target, GLuint index, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramEnvParameterIivNV(target, index, params);
}

static __stdcall void
epoxy_glGetProgramEnvParameterIuivNV_dispatch_table_thunk(GLenum target, GLuint index, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramEnvParameterIuivNV(target, index, params);
}

static __stdcall void
epoxy_glGetProgramEnvParameterdvARB_dispatch_table_thunk(GLenum target, GLuint index, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramEnvParameterdvARB(target, index, params);
}

static __stdcall void
epoxy_glGetProgramEnvParameterfvARB_dispatch_table_thunk(GLenum target, GLuint index, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramEnvParameterfvARB(target, index, params);
}

static __stdcall void
epoxy_glGetProgramInfoLog_dispatch_table_thunk(GLuint program, GLsizei bufSize, GLsizei * length, GLchar * infoLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramInfoLog(program, bufSize, length, infoLog);
}

static __stdcall void
epoxy_glGetProgramInterfaceiv_dispatch_table_thunk(GLuint program, GLenum programInterface, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramInterfaceiv(program, programInterface, pname, params);
}

static __stdcall void
epoxy_glGetProgramLocalParameterIivNV_dispatch_table_thunk(GLenum target, GLuint index, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramLocalParameterIivNV(target, index, params);
}

static __stdcall void
epoxy_glGetProgramLocalParameterIuivNV_dispatch_table_thunk(GLenum target, GLuint index, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramLocalParameterIuivNV(target, index, params);
}

static __stdcall void
epoxy_glGetProgramLocalParameterdvARB_dispatch_table_thunk(GLenum target, GLuint index, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramLocalParameterdvARB(target, index, params);
}

static __stdcall void
epoxy_glGetProgramLocalParameterfvARB_dispatch_table_thunk(GLenum target, GLuint index, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramLocalParameterfvARB(target, index, params);
}

static __stdcall void
epoxy_glGetProgramNamedParameterdvNV_dispatch_table_thunk(GLuint id, GLsizei len, const GLubyte * name, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramNamedParameterdvNV(id, len, name, params);
}

static __stdcall void
epoxy_glGetProgramNamedParameterfvNV_dispatch_table_thunk(GLuint id, GLsizei len, const GLubyte * name, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramNamedParameterfvNV(id, len, name, params);
}

static __stdcall void
epoxy_glGetProgramParameterdvNV_dispatch_table_thunk(GLenum target, GLuint index, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramParameterdvNV(target, index, pname, params);
}

static __stdcall void
epoxy_glGetProgramParameterfvNV_dispatch_table_thunk(GLenum target, GLuint index, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramParameterfvNV(target, index, pname, params);
}

static __stdcall void
epoxy_glGetProgramPipelineInfoLog_dispatch_table_thunk(GLuint pipeline, GLsizei bufSize, GLsizei * length, GLchar * infoLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramPipelineInfoLog(pipeline, bufSize, length, infoLog);
}

static __stdcall void
epoxy_glGetProgramPipelineInfoLogEXT_dispatch_table_thunk(GLuint pipeline, GLsizei bufSize, GLsizei * length, GLchar * infoLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramPipelineInfoLogEXT(pipeline, bufSize, length, infoLog);
}

static __stdcall void
epoxy_glGetProgramPipelineiv_dispatch_table_thunk(GLuint pipeline, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramPipelineiv(pipeline, pname, params);
}

static __stdcall void
epoxy_glGetProgramPipelineivEXT_dispatch_table_thunk(GLuint pipeline, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramPipelineivEXT(pipeline, pname, params);
}

static __stdcall GLuint
epoxy_glGetProgramResourceIndex_dispatch_table_thunk(GLuint program, GLenum programInterface, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetProgramResourceIndex(program, programInterface, name);
}

static __stdcall GLint
epoxy_glGetProgramResourceLocation_dispatch_table_thunk(GLuint program, GLenum programInterface, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetProgramResourceLocation(program, programInterface, name);
}

static __stdcall GLint
epoxy_glGetProgramResourceLocationIndex_dispatch_table_thunk(GLuint program, GLenum programInterface, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetProgramResourceLocationIndex(program, programInterface, name);
}

static __stdcall void
epoxy_glGetProgramResourceName_dispatch_table_thunk(GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei * length, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramResourceName(program, programInterface, index, bufSize, length, name);
}

static __stdcall void
epoxy_glGetProgramResourceiv_dispatch_table_thunk(GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum * props, GLsizei bufSize, GLsizei * length, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramResourceiv(program, programInterface, index, propCount, props, bufSize, length, params);
}

static __stdcall void
epoxy_glGetProgramStageiv_dispatch_table_thunk(GLuint program, GLenum shadertype, GLenum pname, GLint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramStageiv(program, shadertype, pname, values);
}

static __stdcall void
epoxy_glGetProgramStringARB_dispatch_table_thunk(GLenum target, GLenum pname, void * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramStringARB(target, pname, string);
}

static __stdcall void
epoxy_glGetProgramStringNV_dispatch_table_thunk(GLuint id, GLenum pname, GLubyte * program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramStringNV(id, pname, program);
}

static __stdcall void
epoxy_glGetProgramSubroutineParameteruivNV_dispatch_table_thunk(GLenum target, GLuint index, GLuint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramSubroutineParameteruivNV(target, index, param);
}

static __stdcall void
epoxy_glGetProgramiv_dispatch_table_thunk(GLuint program, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramiv(program, pname, params);
}

static __stdcall void
epoxy_glGetProgramivARB_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramivARB(target, pname, params);
}

static __stdcall void
epoxy_glGetProgramivNV_dispatch_table_thunk(GLuint id, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetProgramivNV(id, pname, params);
}

static __stdcall void
epoxy_glGetQueryIndexediv_dispatch_table_thunk(GLenum target, GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryIndexediv(target, index, pname, params);
}

static __stdcall void
epoxy_glGetQueryObjecti64v_dispatch_table_thunk(GLuint id, GLenum pname, GLint64 * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjecti64v(id, pname, params);
}

static __stdcall void
epoxy_glGetQueryObjecti64vEXT_dispatch_table_thunk(GLuint id, GLenum pname, GLint64 * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjecti64v(id, pname, params);
}

static __stdcall void
epoxy_glGetQueryObjectiv_dispatch_table_thunk(GLuint id, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjectiv(id, pname, params);
}

static __stdcall void
epoxy_glGetQueryObjectivARB_dispatch_table_thunk(GLuint id, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjectiv(id, pname, params);
}

static __stdcall void
epoxy_glGetQueryObjectivEXT_dispatch_table_thunk(GLuint id, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjectiv(id, pname, params);
}

static __stdcall void
epoxy_glGetQueryObjectui64v_dispatch_table_thunk(GLuint id, GLenum pname, GLuint64 * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjectui64v(id, pname, params);
}

static __stdcall void
epoxy_glGetQueryObjectui64vEXT_dispatch_table_thunk(GLuint id, GLenum pname, GLuint64 * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjectui64v(id, pname, params);
}

static __stdcall void
epoxy_glGetQueryObjectuiv_dispatch_table_thunk(GLuint id, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjectuiv(id, pname, params);
}

static __stdcall void
epoxy_glGetQueryObjectuivARB_dispatch_table_thunk(GLuint id, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjectuiv(id, pname, params);
}

static __stdcall void
epoxy_glGetQueryObjectuivEXT_dispatch_table_thunk(GLuint id, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryObjectuivEXT(id, pname, params);
}

static __stdcall void
epoxy_glGetQueryiv_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryiv(target, pname, params);
}

static __stdcall void
epoxy_glGetQueryivARB_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryiv(target, pname, params);
}

static __stdcall void
epoxy_glGetQueryivEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetQueryivEXT(target, pname, params);
}

static __stdcall void
epoxy_glGetRenderbufferParameteriv_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetRenderbufferParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glGetRenderbufferParameterivEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetRenderbufferParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glGetRenderbufferParameterivOES_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetRenderbufferParameterivOES(target, pname, params);
}

static __stdcall void
epoxy_glGetSamplerParameterIiv_dispatch_table_thunk(GLuint sampler, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSamplerParameterIiv(sampler, pname, params);
}

static __stdcall void
epoxy_glGetSamplerParameterIuiv_dispatch_table_thunk(GLuint sampler, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSamplerParameterIuiv(sampler, pname, params);
}

static __stdcall void
epoxy_glGetSamplerParameterfv_dispatch_table_thunk(GLuint sampler, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSamplerParameterfv(sampler, pname, params);
}

static __stdcall void
epoxy_glGetSamplerParameteriv_dispatch_table_thunk(GLuint sampler, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSamplerParameteriv(sampler, pname, params);
}

static __stdcall void
epoxy_glGetSeparableFilter_dispatch_table_thunk(GLenum target, GLenum format, GLenum type, void * row, void * column, void * span)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSeparableFilter(target, format, type, row, column, span);
}

static __stdcall void
epoxy_glGetSeparableFilterEXT_dispatch_table_thunk(GLenum target, GLenum format, GLenum type, void * row, void * column, void * span)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSeparableFilterEXT(target, format, type, row, column, span);
}

static __stdcall void
epoxy_glGetShaderInfoLog_dispatch_table_thunk(GLuint shader, GLsizei bufSize, GLsizei * length, GLchar * infoLog)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetShaderInfoLog(shader, bufSize, length, infoLog);
}

static __stdcall void
epoxy_glGetShaderPrecisionFormat_dispatch_table_thunk(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetShaderPrecisionFormat(shadertype, precisiontype, range, precision);
}

static __stdcall void
epoxy_glGetShaderSource_dispatch_table_thunk(GLuint shader, GLsizei bufSize, GLsizei * length, GLchar * source)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetShaderSource(shader, bufSize, length, source);
}

static __stdcall void
epoxy_glGetShaderSourceARB_dispatch_table_thunk(GLhandleARB obj, GLsizei maxLength, GLsizei * length, GLcharARB * source)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetShaderSource((uintptr_t)obj, maxLength, length, source);
}

static __stdcall void
epoxy_glGetShaderiv_dispatch_table_thunk(GLuint shader, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetShaderiv(shader, pname, params);
}

static __stdcall void
epoxy_glGetSharpenTexFuncSGIS_dispatch_table_thunk(GLenum target, GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSharpenTexFuncSGIS(target, points);
}

static __stdcall const GLubyte *
epoxy_glGetString_dispatch_table_thunk(GLenum name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetString(name);
}

static __stdcall const GLubyte *
epoxy_glGetStringi_dispatch_table_thunk(GLenum name, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetStringi(name, index);
}

static __stdcall GLuint
epoxy_glGetSubroutineIndex_dispatch_table_thunk(GLuint program, GLenum shadertype, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetSubroutineIndex(program, shadertype, name);
}

static __stdcall GLint
epoxy_glGetSubroutineUniformLocation_dispatch_table_thunk(GLuint program, GLenum shadertype, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetSubroutineUniformLocation(program, shadertype, name);
}

static __stdcall void
epoxy_glGetSynciv_dispatch_table_thunk(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSynciv(sync, pname, bufSize, length, values);
}

static __stdcall void
epoxy_glGetSyncivAPPLE_dispatch_table_thunk(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetSynciv(sync, pname, bufSize, length, values);
}

static __stdcall void
epoxy_glGetTexBumpParameterfvATI_dispatch_table_thunk(GLenum pname, GLfloat * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexBumpParameterfvATI(pname, param);
}

static __stdcall void
epoxy_glGetTexBumpParameterivATI_dispatch_table_thunk(GLenum pname, GLint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexBumpParameterivATI(pname, param);
}

static __stdcall void
epoxy_glGetTexEnvfv_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexEnvfv(target, pname, params);
}

static __stdcall void
epoxy_glGetTexEnviv_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexEnviv(target, pname, params);
}

static __stdcall void
epoxy_glGetTexEnvxv_dispatch_table_thunk(GLenum target, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexEnvxv(target, pname, params);
}

static __stdcall void
epoxy_glGetTexEnvxvOES_dispatch_table_thunk(GLenum target, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexEnvxvOES(target, pname, params);
}

static __stdcall void
epoxy_glGetTexFilterFuncSGIS_dispatch_table_thunk(GLenum target, GLenum filter, GLfloat * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexFilterFuncSGIS(target, filter, weights);
}

static __stdcall void
epoxy_glGetTexGendv_dispatch_table_thunk(GLenum coord, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexGendv(coord, pname, params);
}

static __stdcall void
epoxy_glGetTexGenfv_dispatch_table_thunk(GLenum coord, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexGenfv(coord, pname, params);
}

static __stdcall void
epoxy_glGetTexGenfvOES_dispatch_table_thunk(GLenum coord, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexGenfvOES(coord, pname, params);
}

static __stdcall void
epoxy_glGetTexGeniv_dispatch_table_thunk(GLenum coord, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexGeniv(coord, pname, params);
}

static __stdcall void
epoxy_glGetTexGenivOES_dispatch_table_thunk(GLenum coord, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexGenivOES(coord, pname, params);
}

static __stdcall void
epoxy_glGetTexGenxvOES_dispatch_table_thunk(GLenum coord, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexGenxvOES(coord, pname, params);
}

static __stdcall void
epoxy_glGetTexImage_dispatch_table_thunk(GLenum target, GLint level, GLenum format, GLenum type, void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexImage(target, level, format, type, pixels);
}

static __stdcall void
epoxy_glGetTexLevelParameterfv_dispatch_table_thunk(GLenum target, GLint level, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexLevelParameterfv(target, level, pname, params);
}

static __stdcall void
epoxy_glGetTexLevelParameteriv_dispatch_table_thunk(GLenum target, GLint level, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexLevelParameteriv(target, level, pname, params);
}

static __stdcall void
epoxy_glGetTexLevelParameterxvOES_dispatch_table_thunk(GLenum target, GLint level, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexLevelParameterxvOES(target, level, pname, params);
}

static __stdcall void
epoxy_glGetTexParameterIiv_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterIiv(target, pname, params);
}

static __stdcall void
epoxy_glGetTexParameterIivEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterIiv(target, pname, params);
}

static __stdcall void
epoxy_glGetTexParameterIuiv_dispatch_table_thunk(GLenum target, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterIuiv(target, pname, params);
}

static __stdcall void
epoxy_glGetTexParameterIuivEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterIuiv(target, pname, params);
}

static __stdcall void
epoxy_glGetTexParameterPointervAPPLE_dispatch_table_thunk(GLenum target, GLenum pname, void ** params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterPointervAPPLE(target, pname, params);
}

static __stdcall void
epoxy_glGetTexParameterfv_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterfv(target, pname, params);
}

static __stdcall void
epoxy_glGetTexParameteriv_dispatch_table_thunk(GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glGetTexParameterxv_dispatch_table_thunk(GLenum target, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterxv(target, pname, params);
}

static __stdcall void
epoxy_glGetTexParameterxvOES_dispatch_table_thunk(GLenum target, GLenum pname, GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTexParameterxvOES(target, pname, params);
}

static __stdcall GLuint64
epoxy_glGetTextureHandleARB_dispatch_table_thunk(GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetTextureHandleARB(texture);
}

static __stdcall GLuint64
epoxy_glGetTextureHandleNV_dispatch_table_thunk(GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetTextureHandleNV(texture);
}

static __stdcall void
epoxy_glGetTextureImageEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLenum format, GLenum type, void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureImageEXT(texture, target, level, format, type, pixels);
}

static __stdcall void
epoxy_glGetTextureLevelParameterfvEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureLevelParameterfvEXT(texture, target, level, pname, params);
}

static __stdcall void
epoxy_glGetTextureLevelParameterivEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureLevelParameterivEXT(texture, target, level, pname, params);
}

static __stdcall void
epoxy_glGetTextureParameterIivEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureParameterIivEXT(texture, target, pname, params);
}

static __stdcall void
epoxy_glGetTextureParameterIuivEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureParameterIuivEXT(texture, target, pname, params);
}

static __stdcall void
epoxy_glGetTextureParameterfvEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureParameterfvEXT(texture, target, pname, params);
}

static __stdcall void
epoxy_glGetTextureParameterivEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTextureParameterivEXT(texture, target, pname, params);
}

static __stdcall GLuint64
epoxy_glGetTextureSamplerHandleARB_dispatch_table_thunk(GLuint texture, GLuint sampler)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetTextureSamplerHandleARB(texture, sampler);
}

static __stdcall GLuint64
epoxy_glGetTextureSamplerHandleNV_dispatch_table_thunk(GLuint texture, GLuint sampler)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetTextureSamplerHandleNV(texture, sampler);
}

static __stdcall void
epoxy_glGetTrackMatrixivNV_dispatch_table_thunk(GLenum target, GLuint address, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTrackMatrixivNV(target, address, pname, params);
}

static __stdcall void
epoxy_glGetTransformFeedbackVarying_dispatch_table_thunk(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTransformFeedbackVarying(program, index, bufSize, length, size, type, name);
}

static __stdcall void
epoxy_glGetTransformFeedbackVaryingEXT_dispatch_table_thunk(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTransformFeedbackVarying(program, index, bufSize, length, size, type, name);
}

static __stdcall void
epoxy_glGetTransformFeedbackVaryingNV_dispatch_table_thunk(GLuint program, GLuint index, GLint * location)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTransformFeedbackVaryingNV(program, index, location);
}

static __stdcall void
epoxy_glGetTranslatedShaderSourceANGLE_dispatch_table_thunk(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * source)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetTranslatedShaderSourceANGLE(shader, bufsize, length, source);
}

static __stdcall GLuint
epoxy_glGetUniformBlockIndex_dispatch_table_thunk(GLuint program, const GLchar * uniformBlockName)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetUniformBlockIndex(program, uniformBlockName);
}

static __stdcall GLint
epoxy_glGetUniformBufferSizeEXT_dispatch_table_thunk(GLuint program, GLint location)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetUniformBufferSizeEXT(program, location);
}

static __stdcall void
epoxy_glGetUniformIndices_dispatch_table_thunk(GLuint program, GLsizei uniformCount, const GLchar *const* uniformNames, GLuint * uniformIndices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformIndices(program, uniformCount, uniformNames, uniformIndices);
}

static __stdcall GLint
epoxy_glGetUniformLocation_dispatch_table_thunk(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetUniformLocation(program, name);
}

static __stdcall GLint
epoxy_glGetUniformLocationARB_dispatch_table_thunk(GLhandleARB programObj, const GLcharARB * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetUniformLocation((uintptr_t)programObj, name);
}

static __stdcall GLintptr
epoxy_glGetUniformOffsetEXT_dispatch_table_thunk(GLuint program, GLint location)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetUniformOffsetEXT(program, location);
}

static __stdcall void
epoxy_glGetUniformSubroutineuiv_dispatch_table_thunk(GLenum shadertype, GLint location, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformSubroutineuiv(shadertype, location, params);
}

static __stdcall void
epoxy_glGetUniformdv_dispatch_table_thunk(GLuint program, GLint location, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformdv(program, location, params);
}

static __stdcall void
epoxy_glGetUniformfv_dispatch_table_thunk(GLuint program, GLint location, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformfv(program, location, params);
}

static __stdcall void
epoxy_glGetUniformfvARB_dispatch_table_thunk(GLhandleARB programObj, GLint location, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformfv((uintptr_t)programObj, location, params);
}

static __stdcall void
epoxy_glGetUniformi64vNV_dispatch_table_thunk(GLuint program, GLint location, GLint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformi64vNV(program, location, params);
}

static __stdcall void
epoxy_glGetUniformiv_dispatch_table_thunk(GLuint program, GLint location, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformiv(program, location, params);
}

static __stdcall void
epoxy_glGetUniformivARB_dispatch_table_thunk(GLhandleARB programObj, GLint location, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformiv((uintptr_t)programObj, location, params);
}

static __stdcall void
epoxy_glGetUniformui64vNV_dispatch_table_thunk(GLuint program, GLint location, GLuint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformui64vNV(program, location, params);
}

static __stdcall void
epoxy_glGetUniformuiv_dispatch_table_thunk(GLuint program, GLint location, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformuiv(program, location, params);
}

static __stdcall void
epoxy_glGetUniformuivEXT_dispatch_table_thunk(GLuint program, GLint location, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetUniformuiv(program, location, params);
}

static __stdcall void
epoxy_glGetVariantArrayObjectfvATI_dispatch_table_thunk(GLuint id, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVariantArrayObjectfvATI(id, pname, params);
}

static __stdcall void
epoxy_glGetVariantArrayObjectivATI_dispatch_table_thunk(GLuint id, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVariantArrayObjectivATI(id, pname, params);
}

static __stdcall void
epoxy_glGetVariantBooleanvEXT_dispatch_table_thunk(GLuint id, GLenum value, GLboolean * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVariantBooleanvEXT(id, value, data);
}

static __stdcall void
epoxy_glGetVariantFloatvEXT_dispatch_table_thunk(GLuint id, GLenum value, GLfloat * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVariantFloatvEXT(id, value, data);
}

static __stdcall void
epoxy_glGetVariantIntegervEXT_dispatch_table_thunk(GLuint id, GLenum value, GLint * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVariantIntegervEXT(id, value, data);
}

static __stdcall void
epoxy_glGetVariantPointervEXT_dispatch_table_thunk(GLuint id, GLenum value, void ** data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVariantPointervEXT(id, value, data);
}

static __stdcall GLint
epoxy_glGetVaryingLocationNV_dispatch_table_thunk(GLuint program, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglGetVaryingLocationNV(program, name);
}

static __stdcall void
epoxy_glGetVertexArrayIntegeri_vEXT_dispatch_table_thunk(GLuint vaobj, GLuint index, GLenum pname, GLint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexArrayIntegeri_vEXT(vaobj, index, pname, param);
}

static __stdcall void
epoxy_glGetVertexArrayIntegervEXT_dispatch_table_thunk(GLuint vaobj, GLenum pname, GLint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexArrayIntegervEXT(vaobj, pname, param);
}

static __stdcall void
epoxy_glGetVertexArrayPointeri_vEXT_dispatch_table_thunk(GLuint vaobj, GLuint index, GLenum pname, void ** param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexArrayPointeri_vEXT(vaobj, index, pname, param);
}

static __stdcall void
epoxy_glGetVertexArrayPointervEXT_dispatch_table_thunk(GLuint vaobj, GLenum pname, void ** param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexArrayPointervEXT(vaobj, pname, param);
}

static __stdcall void
epoxy_glGetVertexAttribArrayObjectfvATI_dispatch_table_thunk(GLuint index, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribArrayObjectfvATI(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribArrayObjectivATI_dispatch_table_thunk(GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribArrayObjectivATI(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribIiv_dispatch_table_thunk(GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribIiv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribIivEXT_dispatch_table_thunk(GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribIiv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribIuiv_dispatch_table_thunk(GLuint index, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribIuiv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribIuivEXT_dispatch_table_thunk(GLuint index, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribIuiv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribLdv_dispatch_table_thunk(GLuint index, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribLdv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribLdvEXT_dispatch_table_thunk(GLuint index, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribLdv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribLi64vNV_dispatch_table_thunk(GLuint index, GLenum pname, GLint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribLi64vNV(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribLui64vARB_dispatch_table_thunk(GLuint index, GLenum pname, GLuint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribLui64vARB(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribLui64vNV_dispatch_table_thunk(GLuint index, GLenum pname, GLuint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribLui64vNV(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribPointerv_dispatch_table_thunk(GLuint index, GLenum pname, void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribPointerv(index, pname, pointer);
}

static __stdcall void
epoxy_glGetVertexAttribPointervARB_dispatch_table_thunk(GLuint index, GLenum pname, void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribPointerv(index, pname, pointer);
}

static __stdcall void
epoxy_glGetVertexAttribPointervNV_dispatch_table_thunk(GLuint index, GLenum pname, void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribPointerv(index, pname, pointer);
}

static __stdcall void
epoxy_glGetVertexAttribdv_dispatch_table_thunk(GLuint index, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribdv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribdvARB_dispatch_table_thunk(GLuint index, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribdv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribdvNV_dispatch_table_thunk(GLuint index, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribdv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribfv_dispatch_table_thunk(GLuint index, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribfv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribfvARB_dispatch_table_thunk(GLuint index, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribfv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribfvNV_dispatch_table_thunk(GLuint index, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribfv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribiv_dispatch_table_thunk(GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribiv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribivARB_dispatch_table_thunk(GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribiv(index, pname, params);
}

static __stdcall void
epoxy_glGetVertexAttribivNV_dispatch_table_thunk(GLuint index, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVertexAttribiv(index, pname, params);
}

static __stdcall void
epoxy_glGetVideoCaptureStreamdvNV_dispatch_table_thunk(GLuint video_capture_slot, GLuint stream, GLenum pname, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoCaptureStreamdvNV(video_capture_slot, stream, pname, params);
}

static __stdcall void
epoxy_glGetVideoCaptureStreamfvNV_dispatch_table_thunk(GLuint video_capture_slot, GLuint stream, GLenum pname, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoCaptureStreamfvNV(video_capture_slot, stream, pname, params);
}

static __stdcall void
epoxy_glGetVideoCaptureStreamivNV_dispatch_table_thunk(GLuint video_capture_slot, GLuint stream, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoCaptureStreamivNV(video_capture_slot, stream, pname, params);
}

static __stdcall void
epoxy_glGetVideoCaptureivNV_dispatch_table_thunk(GLuint video_capture_slot, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoCaptureivNV(video_capture_slot, pname, params);
}

static __stdcall void
epoxy_glGetVideoi64vNV_dispatch_table_thunk(GLuint video_slot, GLenum pname, GLint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoi64vNV(video_slot, pname, params);
}

static __stdcall void
epoxy_glGetVideoivNV_dispatch_table_thunk(GLuint video_slot, GLenum pname, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoivNV(video_slot, pname, params);
}

static __stdcall void
epoxy_glGetVideoui64vNV_dispatch_table_thunk(GLuint video_slot, GLenum pname, GLuint64EXT * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideoui64vNV(video_slot, pname, params);
}

static __stdcall void
epoxy_glGetVideouivNV_dispatch_table_thunk(GLuint video_slot, GLenum pname, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetVideouivNV(video_slot, pname, params);
}

static __stdcall void
epoxy_glGetnColorTableARB_dispatch_table_thunk(GLenum target, GLenum format, GLenum type, GLsizei bufSize, void * table)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnColorTableARB(target, format, type, bufSize, table);
}

static __stdcall void
epoxy_glGetnCompressedTexImageARB_dispatch_table_thunk(GLenum target, GLint lod, GLsizei bufSize, void * img)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnCompressedTexImageARB(target, lod, bufSize, img);
}

static __stdcall void
epoxy_glGetnConvolutionFilterARB_dispatch_table_thunk(GLenum target, GLenum format, GLenum type, GLsizei bufSize, void * image)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnConvolutionFilterARB(target, format, type, bufSize, image);
}

static __stdcall void
epoxy_glGetnHistogramARB_dispatch_table_thunk(GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, void * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnHistogramARB(target, reset, format, type, bufSize, values);
}

static __stdcall void
epoxy_glGetnMapdvARB_dispatch_table_thunk(GLenum target, GLenum query, GLsizei bufSize, GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnMapdvARB(target, query, bufSize, v);
}

static __stdcall void
epoxy_glGetnMapfvARB_dispatch_table_thunk(GLenum target, GLenum query, GLsizei bufSize, GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnMapfvARB(target, query, bufSize, v);
}

static __stdcall void
epoxy_glGetnMapivARB_dispatch_table_thunk(GLenum target, GLenum query, GLsizei bufSize, GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnMapivARB(target, query, bufSize, v);
}

static __stdcall void
epoxy_glGetnMinmaxARB_dispatch_table_thunk(GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, void * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnMinmaxARB(target, reset, format, type, bufSize, values);
}

static __stdcall void
epoxy_glGetnPixelMapfvARB_dispatch_table_thunk(GLenum map, GLsizei bufSize, GLfloat * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnPixelMapfvARB(map, bufSize, values);
}

static __stdcall void
epoxy_glGetnPixelMapuivARB_dispatch_table_thunk(GLenum map, GLsizei bufSize, GLuint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnPixelMapuivARB(map, bufSize, values);
}

static __stdcall void
epoxy_glGetnPixelMapusvARB_dispatch_table_thunk(GLenum map, GLsizei bufSize, GLushort * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnPixelMapusvARB(map, bufSize, values);
}

static __stdcall void
epoxy_glGetnPolygonStippleARB_dispatch_table_thunk(GLsizei bufSize, GLubyte * pattern)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnPolygonStippleARB(bufSize, pattern);
}

static __stdcall void
epoxy_glGetnSeparableFilterARB_dispatch_table_thunk(GLenum target, GLenum format, GLenum type, GLsizei rowBufSize, void * row, GLsizei columnBufSize, void * column, void * span)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnSeparableFilterARB(target, format, type, rowBufSize, row, columnBufSize, column, span);
}

static __stdcall void
epoxy_glGetnTexImageARB_dispatch_table_thunk(GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, void * img)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnTexImageARB(target, level, format, type, bufSize, img);
}

static __stdcall void
epoxy_glGetnUniformdvARB_dispatch_table_thunk(GLuint program, GLint location, GLsizei bufSize, GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnUniformdvARB(program, location, bufSize, params);
}

static __stdcall void
epoxy_glGetnUniformfvARB_dispatch_table_thunk(GLuint program, GLint location, GLsizei bufSize, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnUniformfvARB(program, location, bufSize, params);
}

static __stdcall void
epoxy_glGetnUniformfvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei bufSize, GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnUniformfvEXT(program, location, bufSize, params);
}

static __stdcall void
epoxy_glGetnUniformivARB_dispatch_table_thunk(GLuint program, GLint location, GLsizei bufSize, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnUniformivARB(program, location, bufSize, params);
}

static __stdcall void
epoxy_glGetnUniformivEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei bufSize, GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnUniformivEXT(program, location, bufSize, params);
}

static __stdcall void
epoxy_glGetnUniformuivARB_dispatch_table_thunk(GLuint program, GLint location, GLsizei bufSize, GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGetnUniformuivARB(program, location, bufSize, params);
}

static __stdcall void
epoxy_glGlobalAlphaFactorbSUN_dispatch_table_thunk(GLbyte factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactorbSUN(factor);
}

static __stdcall void
epoxy_glGlobalAlphaFactordSUN_dispatch_table_thunk(GLdouble factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactordSUN(factor);
}

static __stdcall void
epoxy_glGlobalAlphaFactorfSUN_dispatch_table_thunk(GLfloat factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactorfSUN(factor);
}

static __stdcall void
epoxy_glGlobalAlphaFactoriSUN_dispatch_table_thunk(GLint factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactoriSUN(factor);
}

static __stdcall void
epoxy_glGlobalAlphaFactorsSUN_dispatch_table_thunk(GLshort factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactorsSUN(factor);
}

static __stdcall void
epoxy_glGlobalAlphaFactorubSUN_dispatch_table_thunk(GLubyte factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactorubSUN(factor);
}

static __stdcall void
epoxy_glGlobalAlphaFactoruiSUN_dispatch_table_thunk(GLuint factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactoruiSUN(factor);
}

static __stdcall void
epoxy_glGlobalAlphaFactorusSUN_dispatch_table_thunk(GLushort factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglGlobalAlphaFactorusSUN(factor);
}

static __stdcall void
epoxy_glHint_dispatch_table_thunk(GLenum target, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglHint(target, mode);
}

static __stdcall void
epoxy_glHintPGI_dispatch_table_thunk(GLenum target, GLint mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglHintPGI(target, mode);
}

static __stdcall void
epoxy_glHistogram_dispatch_table_thunk(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglHistogram(target, width, internalformat, sink);
}

static __stdcall void
epoxy_glHistogramEXT_dispatch_table_thunk(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglHistogram(target, width, internalformat, sink);
}

static __stdcall void
epoxy_glIglooInterfaceSGIX_dispatch_table_thunk(GLenum pname, const void * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIglooInterfaceSGIX(pname, params);
}

static __stdcall void
epoxy_glImageTransformParameterfHP_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglImageTransformParameterfHP(target, pname, param);
}

static __stdcall void
epoxy_glImageTransformParameterfvHP_dispatch_table_thunk(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglImageTransformParameterfvHP(target, pname, params);
}

static __stdcall void
epoxy_glImageTransformParameteriHP_dispatch_table_thunk(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglImageTransformParameteriHP(target, pname, param);
}

static __stdcall void
epoxy_glImageTransformParameterivHP_dispatch_table_thunk(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglImageTransformParameterivHP(target, pname, params);
}

static __stdcall GLsync
epoxy_glImportSyncEXT_dispatch_table_thunk(GLenum external_sync_type, GLintptr external_sync, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglImportSyncEXT(external_sync_type, external_sync, flags);
}

static __stdcall void
epoxy_glIndexFormatNV_dispatch_table_thunk(GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexFormatNV(type, stride);
}

static __stdcall void
epoxy_glIndexFuncEXT_dispatch_table_thunk(GLenum func, GLclampf ref)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexFuncEXT(func, ref);
}

static __stdcall void
epoxy_glIndexMask_dispatch_table_thunk(GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexMask(mask);
}

static __stdcall void
epoxy_glIndexMaterialEXT_dispatch_table_thunk(GLenum face, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexMaterialEXT(face, mode);
}

static __stdcall void
epoxy_glIndexPointer_dispatch_table_thunk(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexPointer(type, stride, pointer);
}

static __stdcall void
epoxy_glIndexPointerEXT_dispatch_table_thunk(GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexPointerEXT(type, stride, count, pointer);
}

static __stdcall void
epoxy_glIndexPointerListIBM_dispatch_table_thunk(GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexPointerListIBM(type, stride, pointer, ptrstride);
}

static __stdcall void
epoxy_glIndexd_dispatch_table_thunk(GLdouble c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexd(c);
}

static __stdcall void
epoxy_glIndexdv_dispatch_table_thunk(const GLdouble * c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexdv(c);
}

static __stdcall void
epoxy_glIndexf_dispatch_table_thunk(GLfloat c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexf(c);
}

static __stdcall void
epoxy_glIndexfv_dispatch_table_thunk(const GLfloat * c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexfv(c);
}

static __stdcall void
epoxy_glIndexi_dispatch_table_thunk(GLint c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexi(c);
}

static __stdcall void
epoxy_glIndexiv_dispatch_table_thunk(const GLint * c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexiv(c);
}

static __stdcall void
epoxy_glIndexs_dispatch_table_thunk(GLshort c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexs(c);
}

static __stdcall void
epoxy_glIndexsv_dispatch_table_thunk(const GLshort * c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexsv(c);
}

static __stdcall void
epoxy_glIndexub_dispatch_table_thunk(GLubyte c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexub(c);
}

static __stdcall void
epoxy_glIndexubv_dispatch_table_thunk(const GLubyte * c)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexubv(c);
}

static __stdcall void
epoxy_glIndexxOES_dispatch_table_thunk(GLfixed component)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexxOES(component);
}

static __stdcall void
epoxy_glIndexxvOES_dispatch_table_thunk(const GLfixed * component)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglIndexxvOES(component);
}

static __stdcall void
epoxy_glInitNames_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInitNames();
}

static __stdcall void
epoxy_glInsertComponentEXT_dispatch_table_thunk(GLuint res, GLuint src, GLuint num)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInsertComponentEXT(res, src, num);
}

static __stdcall void
epoxy_glInsertEventMarkerEXT_dispatch_table_thunk(GLsizei length, const GLchar * marker)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInsertEventMarkerEXT(length, marker);
}

static __stdcall void
epoxy_glInstrumentsBufferSGIX_dispatch_table_thunk(GLsizei size, GLint * buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInstrumentsBufferSGIX(size, buffer);
}

static __stdcall void
epoxy_glInterleavedArrays_dispatch_table_thunk(GLenum format, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInterleavedArrays(format, stride, pointer);
}

static __stdcall void
epoxy_glInterpolatePathsNV_dispatch_table_thunk(GLuint resultPath, GLuint pathA, GLuint pathB, GLfloat weight)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInterpolatePathsNV(resultPath, pathA, pathB, weight);
}

static __stdcall void
epoxy_glInvalidateBufferData_dispatch_table_thunk(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInvalidateBufferData(buffer);
}

static __stdcall void
epoxy_glInvalidateBufferSubData_dispatch_table_thunk(GLuint buffer, GLintptr offset, GLsizeiptr length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInvalidateBufferSubData(buffer, offset, length);
}

static __stdcall void
epoxy_glInvalidateFramebuffer_dispatch_table_thunk(GLenum target, GLsizei numAttachments, const GLenum * attachments)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInvalidateFramebuffer(target, numAttachments, attachments);
}

static __stdcall void
epoxy_glInvalidateSubFramebuffer_dispatch_table_thunk(GLenum target, GLsizei numAttachments, const GLenum * attachments, GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInvalidateSubFramebuffer(target, numAttachments, attachments, x, y, width, height);
}

static __stdcall void
epoxy_glInvalidateTexImage_dispatch_table_thunk(GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInvalidateTexImage(texture, level);
}

static __stdcall void
epoxy_glInvalidateTexSubImage_dispatch_table_thunk(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglInvalidateTexSubImage(texture, level, xoffset, yoffset, zoffset, width, height, depth);
}

static __stdcall GLboolean
epoxy_glIsAsyncMarkerSGIX_dispatch_table_thunk(GLuint marker)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsAsyncMarkerSGIX(marker);
}

static __stdcall GLboolean
epoxy_glIsBuffer_dispatch_table_thunk(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsBuffer(buffer);
}

static __stdcall GLboolean
epoxy_glIsBufferARB_dispatch_table_thunk(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsBuffer(buffer);
}

static __stdcall GLboolean
epoxy_glIsBufferResidentNV_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsBufferResidentNV(target);
}

static __stdcall GLboolean
epoxy_glIsEnabled_dispatch_table_thunk(GLenum cap)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsEnabled(cap);
}

static __stdcall GLboolean
epoxy_glIsEnabledIndexedEXT_dispatch_table_thunk(GLenum target, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsEnabledi(target, index);
}

static __stdcall GLboolean
epoxy_glIsEnabledi_dispatch_table_thunk(GLenum target, GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsEnabledi(target, index);
}

static __stdcall GLboolean
epoxy_glIsFenceAPPLE_dispatch_table_thunk(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsFenceAPPLE(fence);
}

static __stdcall GLboolean
epoxy_glIsFenceNV_dispatch_table_thunk(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsFenceNV(fence);
}

static __stdcall GLboolean
epoxy_glIsFramebuffer_dispatch_table_thunk(GLuint framebuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsFramebuffer(framebuffer);
}

static __stdcall GLboolean
epoxy_glIsFramebufferEXT_dispatch_table_thunk(GLuint framebuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsFramebuffer(framebuffer);
}

static __stdcall GLboolean
epoxy_glIsFramebufferOES_dispatch_table_thunk(GLuint framebuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsFramebufferOES(framebuffer);
}

static __stdcall GLboolean
epoxy_glIsImageHandleResidentARB_dispatch_table_thunk(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsImageHandleResidentARB(handle);
}

static __stdcall GLboolean
epoxy_glIsImageHandleResidentNV_dispatch_table_thunk(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsImageHandleResidentNV(handle);
}

static __stdcall GLboolean
epoxy_glIsList_dispatch_table_thunk(GLuint list)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsList(list);
}

static __stdcall GLboolean
epoxy_glIsNameAMD_dispatch_table_thunk(GLenum identifier, GLuint name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsNameAMD(identifier, name);
}

static __stdcall GLboolean
epoxy_glIsNamedBufferResidentNV_dispatch_table_thunk(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsNamedBufferResidentNV(buffer);
}

static __stdcall GLboolean
epoxy_glIsNamedStringARB_dispatch_table_thunk(GLint namelen, const GLchar * name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsNamedStringARB(namelen, name);
}

static __stdcall GLboolean
epoxy_glIsObjectBufferATI_dispatch_table_thunk(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsObjectBufferATI(buffer);
}

static __stdcall GLboolean
epoxy_glIsOcclusionQueryNV_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsOcclusionQueryNV(id);
}

static __stdcall GLboolean
epoxy_glIsPathNV_dispatch_table_thunk(GLuint path)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsPathNV(path);
}

static __stdcall GLboolean
epoxy_glIsPointInFillPathNV_dispatch_table_thunk(GLuint path, GLuint mask, GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsPointInFillPathNV(path, mask, x, y);
}

static __stdcall GLboolean
epoxy_glIsPointInStrokePathNV_dispatch_table_thunk(GLuint path, GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsPointInStrokePathNV(path, x, y);
}

static __stdcall GLboolean
epoxy_glIsProgram_dispatch_table_thunk(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsProgram(program);
}

static __stdcall GLboolean
epoxy_glIsProgramARB_dispatch_table_thunk(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsProgramARB(program);
}

static __stdcall GLboolean
epoxy_glIsProgramNV_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsProgramARB(id);
}

static __stdcall GLboolean
epoxy_glIsProgramPipeline_dispatch_table_thunk(GLuint pipeline)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsProgramPipeline(pipeline);
}

static __stdcall GLboolean
epoxy_glIsProgramPipelineEXT_dispatch_table_thunk(GLuint pipeline)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsProgramPipelineEXT(pipeline);
}

static __stdcall GLboolean
epoxy_glIsQuery_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsQuery(id);
}

static __stdcall GLboolean
epoxy_glIsQueryARB_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsQuery(id);
}

static __stdcall GLboolean
epoxy_glIsQueryEXT_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsQueryEXT(id);
}

static __stdcall GLboolean
epoxy_glIsRenderbuffer_dispatch_table_thunk(GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsRenderbuffer(renderbuffer);
}

static __stdcall GLboolean
epoxy_glIsRenderbufferEXT_dispatch_table_thunk(GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsRenderbuffer(renderbuffer);
}

static __stdcall GLboolean
epoxy_glIsRenderbufferOES_dispatch_table_thunk(GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsRenderbufferOES(renderbuffer);
}

static __stdcall GLboolean
epoxy_glIsSampler_dispatch_table_thunk(GLuint sampler)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsSampler(sampler);
}

static __stdcall GLboolean
epoxy_glIsShader_dispatch_table_thunk(GLuint shader)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsShader(shader);
}

static __stdcall GLboolean
epoxy_glIsSync_dispatch_table_thunk(GLsync sync)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsSync(sync);
}

static __stdcall GLboolean
epoxy_glIsSyncAPPLE_dispatch_table_thunk(GLsync sync)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsSync(sync);
}

static __stdcall GLboolean
epoxy_glIsTexture_dispatch_table_thunk(GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsTexture(texture);
}

static __stdcall GLboolean
epoxy_glIsTextureEXT_dispatch_table_thunk(GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsTextureEXT(texture);
}

static __stdcall GLboolean
epoxy_glIsTextureHandleResidentARB_dispatch_table_thunk(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsTextureHandleResidentARB(handle);
}

static __stdcall GLboolean
epoxy_glIsTextureHandleResidentNV_dispatch_table_thunk(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsTextureHandleResidentNV(handle);
}

static __stdcall GLboolean
epoxy_glIsTransformFeedback_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsTransformFeedback(id);
}

static __stdcall GLboolean
epoxy_glIsTransformFeedbackNV_dispatch_table_thunk(GLuint id)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsTransformFeedback(id);
}

static __stdcall GLboolean
epoxy_glIsVariantEnabledEXT_dispatch_table_thunk(GLuint id, GLenum cap)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsVariantEnabledEXT(id, cap);
}

static __stdcall GLboolean
epoxy_glIsVertexArray_dispatch_table_thunk(GLuint array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsVertexArray(array);
}

static __stdcall GLboolean
epoxy_glIsVertexArrayAPPLE_dispatch_table_thunk(GLuint array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsVertexArray(array);
}

static __stdcall GLboolean
epoxy_glIsVertexArrayOES_dispatch_table_thunk(GLuint array)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsVertexArray(array);
}

static __stdcall GLboolean
epoxy_glIsVertexAttribEnabledAPPLE_dispatch_table_thunk(GLuint index, GLenum pname)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglIsVertexAttribEnabledAPPLE(index, pname);
}

static __stdcall void
epoxy_glLabelObjectEXT_dispatch_table_thunk(GLenum type, GLuint object, GLsizei length, const GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLabelObjectEXT(type, object, length, label);
}

static __stdcall void
epoxy_glLightEnviSGIX_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightEnviSGIX(pname, param);
}

static __stdcall void
epoxy_glLightModelf_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModelf(pname, param);
}

static __stdcall void
epoxy_glLightModelfv_dispatch_table_thunk(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModelfv(pname, params);
}

static __stdcall void
epoxy_glLightModeli_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModeli(pname, param);
}

static __stdcall void
epoxy_glLightModeliv_dispatch_table_thunk(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModeliv(pname, params);
}

static __stdcall void
epoxy_glLightModelx_dispatch_table_thunk(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModelx(pname, param);
}

static __stdcall void
epoxy_glLightModelxOES_dispatch_table_thunk(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModelxOES(pname, param);
}

static __stdcall void
epoxy_glLightModelxv_dispatch_table_thunk(GLenum pname, const GLfixed * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModelxv(pname, param);
}

static __stdcall void
epoxy_glLightModelxvOES_dispatch_table_thunk(GLenum pname, const GLfixed * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightModelxvOES(pname, param);
}

static __stdcall void
epoxy_glLightf_dispatch_table_thunk(GLenum light, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightf(light, pname, param);
}

static __stdcall void
epoxy_glLightfv_dispatch_table_thunk(GLenum light, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightfv(light, pname, params);
}

static __stdcall void
epoxy_glLighti_dispatch_table_thunk(GLenum light, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLighti(light, pname, param);
}

static __stdcall void
epoxy_glLightiv_dispatch_table_thunk(GLenum light, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightiv(light, pname, params);
}

static __stdcall void
epoxy_glLightx_dispatch_table_thunk(GLenum light, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightx(light, pname, param);
}

static __stdcall void
epoxy_glLightxOES_dispatch_table_thunk(GLenum light, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightxOES(light, pname, param);
}

static __stdcall void
epoxy_glLightxv_dispatch_table_thunk(GLenum light, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightxv(light, pname, params);
}

static __stdcall void
epoxy_glLightxvOES_dispatch_table_thunk(GLenum light, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLightxvOES(light, pname, params);
}

static __stdcall void
epoxy_glLineStipple_dispatch_table_thunk(GLint factor, GLushort pattern)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLineStipple(factor, pattern);
}

static __stdcall void
epoxy_glLineWidth_dispatch_table_thunk(GLfloat width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLineWidth(width);
}

static __stdcall void
epoxy_glLineWidthx_dispatch_table_thunk(GLfixed width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLineWidthx(width);
}

static __stdcall void
epoxy_glLineWidthxOES_dispatch_table_thunk(GLfixed width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLineWidthxOES(width);
}

static __stdcall void
epoxy_glLinkProgram_dispatch_table_thunk(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLinkProgram(program);
}

static __stdcall void
epoxy_glLinkProgramARB_dispatch_table_thunk(GLhandleARB programObj)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLinkProgram((uintptr_t)programObj);
}

static __stdcall void
epoxy_glListBase_dispatch_table_thunk(GLuint base)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglListBase(base);
}

static __stdcall void
epoxy_glListParameterfSGIX_dispatch_table_thunk(GLuint list, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglListParameterfSGIX(list, pname, param);
}

static __stdcall void
epoxy_glListParameterfvSGIX_dispatch_table_thunk(GLuint list, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglListParameterfvSGIX(list, pname, params);
}

static __stdcall void
epoxy_glListParameteriSGIX_dispatch_table_thunk(GLuint list, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglListParameteriSGIX(list, pname, param);
}

static __stdcall void
epoxy_glListParameterivSGIX_dispatch_table_thunk(GLuint list, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglListParameterivSGIX(list, pname, params);
}

static __stdcall void
epoxy_glLoadIdentity_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadIdentity();
}

static __stdcall void
epoxy_glLoadIdentityDeformationMapSGIX_dispatch_table_thunk(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadIdentityDeformationMapSGIX(mask);
}

static __stdcall void
epoxy_glLoadMatrixd_dispatch_table_thunk(const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadMatrixd(m);
}

static __stdcall void
epoxy_glLoadMatrixf_dispatch_table_thunk(const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadMatrixf(m);
}

static __stdcall void
epoxy_glLoadMatrixx_dispatch_table_thunk(const GLfixed * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadMatrixx(m);
}

static __stdcall void
epoxy_glLoadMatrixxOES_dispatch_table_thunk(const GLfixed * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadMatrixxOES(m);
}

static __stdcall void
epoxy_glLoadName_dispatch_table_thunk(GLuint name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadName(name);
}

static __stdcall void
epoxy_glLoadPaletteFromModelViewMatrixOES_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadPaletteFromModelViewMatrixOES();
}

static __stdcall void
epoxy_glLoadProgramNV_dispatch_table_thunk(GLenum target, GLuint id, GLsizei len, const GLubyte * program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadProgramNV(target, id, len, program);
}

static __stdcall void
epoxy_glLoadTransposeMatrixd_dispatch_table_thunk(const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadTransposeMatrixd(m);
}

static __stdcall void
epoxy_glLoadTransposeMatrixdARB_dispatch_table_thunk(const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadTransposeMatrixd(m);
}

static __stdcall void
epoxy_glLoadTransposeMatrixf_dispatch_table_thunk(const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadTransposeMatrixf(m);
}

static __stdcall void
epoxy_glLoadTransposeMatrixfARB_dispatch_table_thunk(const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadTransposeMatrixf(m);
}

static __stdcall void
epoxy_glLoadTransposeMatrixxOES_dispatch_table_thunk(const GLfixed * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLoadTransposeMatrixxOES(m);
}

static __stdcall void
epoxy_glLockArraysEXT_dispatch_table_thunk(GLint first, GLsizei count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLockArraysEXT(first, count);
}

static __stdcall void
epoxy_glLogicOp_dispatch_table_thunk(GLenum opcode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglLogicOp(opcode);
}

static __stdcall void
epoxy_glMakeBufferNonResidentNV_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeBufferNonResidentNV(target);
}

static __stdcall void
epoxy_glMakeBufferResidentNV_dispatch_table_thunk(GLenum target, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeBufferResidentNV(target, access);
}

static __stdcall void
epoxy_glMakeImageHandleNonResidentARB_dispatch_table_thunk(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeImageHandleNonResidentARB(handle);
}

static __stdcall void
epoxy_glMakeImageHandleNonResidentNV_dispatch_table_thunk(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeImageHandleNonResidentNV(handle);
}

static __stdcall void
epoxy_glMakeImageHandleResidentARB_dispatch_table_thunk(GLuint64 handle, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeImageHandleResidentARB(handle, access);
}

static __stdcall void
epoxy_glMakeImageHandleResidentNV_dispatch_table_thunk(GLuint64 handle, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeImageHandleResidentNV(handle, access);
}

static __stdcall void
epoxy_glMakeNamedBufferNonResidentNV_dispatch_table_thunk(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeNamedBufferNonResidentNV(buffer);
}

static __stdcall void
epoxy_glMakeNamedBufferResidentNV_dispatch_table_thunk(GLuint buffer, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeNamedBufferResidentNV(buffer, access);
}

static __stdcall void
epoxy_glMakeTextureHandleNonResidentARB_dispatch_table_thunk(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeTextureHandleNonResidentARB(handle);
}

static __stdcall void
epoxy_glMakeTextureHandleNonResidentNV_dispatch_table_thunk(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeTextureHandleNonResidentNV(handle);
}

static __stdcall void
epoxy_glMakeTextureHandleResidentARB_dispatch_table_thunk(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeTextureHandleResidentARB(handle);
}

static __stdcall void
epoxy_glMakeTextureHandleResidentNV_dispatch_table_thunk(GLuint64 handle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMakeTextureHandleResidentNV(handle);
}

static __stdcall void
epoxy_glMap1d_dispatch_table_thunk(GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMap1d(target, u1, u2, stride, order, points);
}

static __stdcall void
epoxy_glMap1f_dispatch_table_thunk(GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMap1f(target, u1, u2, stride, order, points);
}

static __stdcall void
epoxy_glMap1xOES_dispatch_table_thunk(GLenum target, GLfixed u1, GLfixed u2, GLint stride, GLint order, GLfixed points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMap1xOES(target, u1, u2, stride, order, points);
}

static __stdcall void
epoxy_glMap2d_dispatch_table_thunk(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMap2d(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}

static __stdcall void
epoxy_glMap2f_dispatch_table_thunk(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMap2f(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}

static __stdcall void
epoxy_glMap2xOES_dispatch_table_thunk(GLenum target, GLfixed u1, GLfixed u2, GLint ustride, GLint uorder, GLfixed v1, GLfixed v2, GLint vstride, GLint vorder, GLfixed points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMap2xOES(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}

static __stdcall void *
epoxy_glMapBuffer_dispatch_table_thunk(GLenum target, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglMapBuffer(target, access);
}

static __stdcall void *
epoxy_glMapBufferARB_dispatch_table_thunk(GLenum target, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglMapBuffer(target, access);
}

static __stdcall void *
epoxy_glMapBufferOES_dispatch_table_thunk(GLenum target, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglMapBuffer(target, access);
}

static __stdcall void *
epoxy_glMapBufferRange_dispatch_table_thunk(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglMapBufferRange(target, offset, length, access);
}

static __stdcall void *
epoxy_glMapBufferRangeEXT_dispatch_table_thunk(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglMapBufferRange(target, offset, length, access);
}

static __stdcall void
epoxy_glMapControlPointsNV_dispatch_table_thunk(GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLint uorder, GLint vorder, GLboolean packed, const void * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapControlPointsNV(target, index, type, ustride, vstride, uorder, vorder, packed, points);
}

static __stdcall void
epoxy_glMapGrid1d_dispatch_table_thunk(GLint un, GLdouble u1, GLdouble u2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapGrid1d(un, u1, u2);
}

static __stdcall void
epoxy_glMapGrid1f_dispatch_table_thunk(GLint un, GLfloat u1, GLfloat u2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapGrid1f(un, u1, u2);
}

static __stdcall void
epoxy_glMapGrid1xOES_dispatch_table_thunk(GLint n, GLfixed u1, GLfixed u2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapGrid1xOES(n, u1, u2);
}

static __stdcall void
epoxy_glMapGrid2d_dispatch_table_thunk(GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapGrid2d(un, u1, u2, vn, v1, v2);
}

static __stdcall void
epoxy_glMapGrid2f_dispatch_table_thunk(GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapGrid2f(un, u1, u2, vn, v1, v2);
}

static __stdcall void
epoxy_glMapGrid2xOES_dispatch_table_thunk(GLint n, GLfixed u1, GLfixed u2, GLfixed v1, GLfixed v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapGrid2xOES(n, u1, u2, v1, v2);
}

static __stdcall void *
epoxy_glMapNamedBufferEXT_dispatch_table_thunk(GLuint buffer, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglMapNamedBufferEXT(buffer, access);
}

static __stdcall void *
epoxy_glMapNamedBufferRangeEXT_dispatch_table_thunk(GLuint buffer, GLintptr offset, GLsizeiptr length, GLbitfield access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglMapNamedBufferRangeEXT(buffer, offset, length, access);
}

static __stdcall void *
epoxy_glMapObjectBufferATI_dispatch_table_thunk(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglMapObjectBufferATI(buffer);
}

static __stdcall void
epoxy_glMapParameterfvNV_dispatch_table_thunk(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapParameterfvNV(target, pname, params);
}

static __stdcall void
epoxy_glMapParameterivNV_dispatch_table_thunk(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapParameterivNV(target, pname, params);
}

static __stdcall void *
epoxy_glMapTexture2DINTEL_dispatch_table_thunk(GLuint texture, GLint level, GLbitfield access, GLint * stride, GLenum * layout)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglMapTexture2DINTEL(texture, level, access, stride, layout);
}

static __stdcall void
epoxy_glMapVertexAttrib1dAPPLE_dispatch_table_thunk(GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapVertexAttrib1dAPPLE(index, size, u1, u2, stride, order, points);
}

static __stdcall void
epoxy_glMapVertexAttrib1fAPPLE_dispatch_table_thunk(GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapVertexAttrib1fAPPLE(index, size, u1, u2, stride, order, points);
}

static __stdcall void
epoxy_glMapVertexAttrib2dAPPLE_dispatch_table_thunk(GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapVertexAttrib2dAPPLE(index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}

static __stdcall void
epoxy_glMapVertexAttrib2fAPPLE_dispatch_table_thunk(GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMapVertexAttrib2fAPPLE(index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}

static __stdcall void
epoxy_glMaterialf_dispatch_table_thunk(GLenum face, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialf(face, pname, param);
}

static __stdcall void
epoxy_glMaterialfv_dispatch_table_thunk(GLenum face, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialfv(face, pname, params);
}

static __stdcall void
epoxy_glMateriali_dispatch_table_thunk(GLenum face, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMateriali(face, pname, param);
}

static __stdcall void
epoxy_glMaterialiv_dispatch_table_thunk(GLenum face, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialiv(face, pname, params);
}

static __stdcall void
epoxy_glMaterialx_dispatch_table_thunk(GLenum face, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialx(face, pname, param);
}

static __stdcall void
epoxy_glMaterialxOES_dispatch_table_thunk(GLenum face, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialxOES(face, pname, param);
}

static __stdcall void
epoxy_glMaterialxv_dispatch_table_thunk(GLenum face, GLenum pname, const GLfixed * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialxv(face, pname, param);
}

static __stdcall void
epoxy_glMaterialxvOES_dispatch_table_thunk(GLenum face, GLenum pname, const GLfixed * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMaterialxvOES(face, pname, param);
}

static __stdcall void
epoxy_glMatrixFrustumEXT_dispatch_table_thunk(GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixFrustumEXT(mode, left, right, bottom, top, zNear, zFar);
}

static __stdcall void
epoxy_glMatrixIndexPointerARB_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixIndexPointerARB(size, type, stride, pointer);
}

static __stdcall void
epoxy_glMatrixIndexPointerOES_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixIndexPointerOES(size, type, stride, pointer);
}

static __stdcall void
epoxy_glMatrixIndexubvARB_dispatch_table_thunk(GLint size, const GLubyte * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixIndexubvARB(size, indices);
}

static __stdcall void
epoxy_glMatrixIndexuivARB_dispatch_table_thunk(GLint size, const GLuint * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixIndexuivARB(size, indices);
}

static __stdcall void
epoxy_glMatrixIndexusvARB_dispatch_table_thunk(GLint size, const GLushort * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixIndexusvARB(size, indices);
}

static __stdcall void
epoxy_glMatrixLoadIdentityEXT_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixLoadIdentityEXT(mode);
}

static __stdcall void
epoxy_glMatrixLoadTransposedEXT_dispatch_table_thunk(GLenum mode, const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixLoadTransposedEXT(mode, m);
}

static __stdcall void
epoxy_glMatrixLoadTransposefEXT_dispatch_table_thunk(GLenum mode, const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixLoadTransposefEXT(mode, m);
}

static __stdcall void
epoxy_glMatrixLoaddEXT_dispatch_table_thunk(GLenum mode, const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixLoaddEXT(mode, m);
}

static __stdcall void
epoxy_glMatrixLoadfEXT_dispatch_table_thunk(GLenum mode, const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixLoadfEXT(mode, m);
}

static __stdcall void
epoxy_glMatrixMode_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixMode(mode);
}

static __stdcall void
epoxy_glMatrixMultTransposedEXT_dispatch_table_thunk(GLenum mode, const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixMultTransposedEXT(mode, m);
}

static __stdcall void
epoxy_glMatrixMultTransposefEXT_dispatch_table_thunk(GLenum mode, const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixMultTransposefEXT(mode, m);
}

static __stdcall void
epoxy_glMatrixMultdEXT_dispatch_table_thunk(GLenum mode, const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixMultdEXT(mode, m);
}

static __stdcall void
epoxy_glMatrixMultfEXT_dispatch_table_thunk(GLenum mode, const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixMultfEXT(mode, m);
}

static __stdcall void
epoxy_glMatrixOrthoEXT_dispatch_table_thunk(GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixOrthoEXT(mode, left, right, bottom, top, zNear, zFar);
}

static __stdcall void
epoxy_glMatrixPopEXT_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixPopEXT(mode);
}

static __stdcall void
epoxy_glMatrixPushEXT_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixPushEXT(mode);
}

static __stdcall void
epoxy_glMatrixRotatedEXT_dispatch_table_thunk(GLenum mode, GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixRotatedEXT(mode, angle, x, y, z);
}

static __stdcall void
epoxy_glMatrixRotatefEXT_dispatch_table_thunk(GLenum mode, GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixRotatefEXT(mode, angle, x, y, z);
}

static __stdcall void
epoxy_glMatrixScaledEXT_dispatch_table_thunk(GLenum mode, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixScaledEXT(mode, x, y, z);
}

static __stdcall void
epoxy_glMatrixScalefEXT_dispatch_table_thunk(GLenum mode, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixScalefEXT(mode, x, y, z);
}

static __stdcall void
epoxy_glMatrixTranslatedEXT_dispatch_table_thunk(GLenum mode, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixTranslatedEXT(mode, x, y, z);
}

static __stdcall void
epoxy_glMatrixTranslatefEXT_dispatch_table_thunk(GLenum mode, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMatrixTranslatefEXT(mode, x, y, z);
}

static __stdcall void
epoxy_glMemoryBarrier_dispatch_table_thunk(GLbitfield barriers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMemoryBarrier(barriers);
}

static __stdcall void
epoxy_glMemoryBarrierEXT_dispatch_table_thunk(GLbitfield barriers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMemoryBarrier(barriers);
}

static __stdcall void
epoxy_glMinSampleShading_dispatch_table_thunk(GLfloat value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMinSampleShading(value);
}

static __stdcall void
epoxy_glMinSampleShadingARB_dispatch_table_thunk(GLfloat value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMinSampleShading(value);
}

static __stdcall void
epoxy_glMinmax_dispatch_table_thunk(GLenum target, GLenum internalformat, GLboolean sink)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMinmax(target, internalformat, sink);
}

static __stdcall void
epoxy_glMinmaxEXT_dispatch_table_thunk(GLenum target, GLenum internalformat, GLboolean sink)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMinmax(target, internalformat, sink);
}

static __stdcall void
epoxy_glMultMatrixd_dispatch_table_thunk(const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultMatrixd(m);
}

static __stdcall void
epoxy_glMultMatrixf_dispatch_table_thunk(const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultMatrixf(m);
}

static __stdcall void
epoxy_glMultMatrixx_dispatch_table_thunk(const GLfixed * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultMatrixx(m);
}

static __stdcall void
epoxy_glMultMatrixxOES_dispatch_table_thunk(const GLfixed * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultMatrixxOES(m);
}

static __stdcall void
epoxy_glMultTransposeMatrixd_dispatch_table_thunk(const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultTransposeMatrixd(m);
}

static __stdcall void
epoxy_glMultTransposeMatrixdARB_dispatch_table_thunk(const GLdouble * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultTransposeMatrixd(m);
}

static __stdcall void
epoxy_glMultTransposeMatrixf_dispatch_table_thunk(const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultTransposeMatrixf(m);
}

static __stdcall void
epoxy_glMultTransposeMatrixfARB_dispatch_table_thunk(const GLfloat * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultTransposeMatrixf(m);
}

static __stdcall void
epoxy_glMultTransposeMatrixxOES_dispatch_table_thunk(const GLfixed * m)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultTransposeMatrixxOES(m);
}

static __stdcall void
epoxy_glMultiDrawArrays_dispatch_table_thunk(GLenum mode, const GLint * first, const GLsizei * count, GLsizei drawcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawArrays(mode, first, count, drawcount);
}

static __stdcall void
epoxy_glMultiDrawArraysEXT_dispatch_table_thunk(GLenum mode, const GLint * first, const GLsizei * count, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawArrays(mode, first, count, primcount);
}

static __stdcall void
epoxy_glMultiDrawArraysIndirect_dispatch_table_thunk(GLenum mode, const void * indirect, GLsizei drawcount, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawArraysIndirect(mode, indirect, drawcount, stride);
}

static __stdcall void
epoxy_glMultiDrawArraysIndirectAMD_dispatch_table_thunk(GLenum mode, const void * indirect, GLsizei primcount, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawArraysIndirect(mode, indirect, primcount, stride);
}

static __stdcall void
epoxy_glMultiDrawArraysIndirectBindlessNV_dispatch_table_thunk(GLenum mode, const void * indirect, GLsizei drawCount, GLsizei stride, GLint vertexBufferCount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawArraysIndirectBindlessNV(mode, indirect, drawCount, stride, vertexBufferCount);
}

static __stdcall void
epoxy_glMultiDrawArraysIndirectCountARB_dispatch_table_thunk(GLenum mode, GLintptr indirect, GLintptr drawcount, GLsizei maxdrawcount, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawArraysIndirectCountARB(mode, indirect, drawcount, maxdrawcount, stride);
}

static __stdcall void
epoxy_glMultiDrawElementArrayAPPLE_dispatch_table_thunk(GLenum mode, const GLint * first, const GLsizei * count, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElementArrayAPPLE(mode, first, count, primcount);
}

static __stdcall void
epoxy_glMultiDrawElements_dispatch_table_thunk(GLenum mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei drawcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElements(mode, count, type, indices, drawcount);
}

static __stdcall void
epoxy_glMultiDrawElementsBaseVertex_dispatch_table_thunk(GLenum mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei drawcount, const GLint * basevertex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElementsBaseVertex(mode, count, type, indices, drawcount, basevertex);
}

static __stdcall void
epoxy_glMultiDrawElementsEXT_dispatch_table_thunk(GLenum mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElements(mode, count, type, indices, primcount);
}

static __stdcall void
epoxy_glMultiDrawElementsIndirect_dispatch_table_thunk(GLenum mode, GLenum type, const void * indirect, GLsizei drawcount, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElementsIndirect(mode, type, indirect, drawcount, stride);
}

static __stdcall void
epoxy_glMultiDrawElementsIndirectAMD_dispatch_table_thunk(GLenum mode, GLenum type, const void * indirect, GLsizei primcount, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElementsIndirect(mode, type, indirect, primcount, stride);
}

static __stdcall void
epoxy_glMultiDrawElementsIndirectBindlessNV_dispatch_table_thunk(GLenum mode, GLenum type, const void * indirect, GLsizei drawCount, GLsizei stride, GLint vertexBufferCount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElementsIndirectBindlessNV(mode, type, indirect, drawCount, stride, vertexBufferCount);
}

static __stdcall void
epoxy_glMultiDrawElementsIndirectCountARB_dispatch_table_thunk(GLenum mode, GLenum type, GLintptr indirect, GLintptr drawcount, GLsizei maxdrawcount, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawElementsIndirectCountARB(mode, type, indirect, drawcount, maxdrawcount, stride);
}

static __stdcall void
epoxy_glMultiDrawRangeElementArrayAPPLE_dispatch_table_thunk(GLenum mode, GLuint start, GLuint end, const GLint * first, const GLsizei * count, GLsizei primcount)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiDrawRangeElementArrayAPPLE(mode, start, end, first, count, primcount);
}

static __stdcall void
epoxy_glMultiModeDrawArraysIBM_dispatch_table_thunk(const GLenum * mode, const GLint * first, const GLsizei * count, GLsizei primcount, GLint modestride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiModeDrawArraysIBM(mode, first, count, primcount, modestride);
}

static __stdcall void
epoxy_glMultiModeDrawElementsIBM_dispatch_table_thunk(const GLenum * mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei primcount, GLint modestride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiModeDrawElementsIBM(mode, count, type, indices, primcount, modestride);
}

static __stdcall void
epoxy_glMultiTexBufferEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum internalformat, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexBufferEXT(texunit, target, internalformat, buffer);
}

static __stdcall void
epoxy_glMultiTexCoord1bOES_dispatch_table_thunk(GLenum texture, GLbyte s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1bOES(texture, s);
}

static __stdcall void
epoxy_glMultiTexCoord1bvOES_dispatch_table_thunk(GLenum texture, const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1bvOES(texture, coords);
}

static __stdcall void
epoxy_glMultiTexCoord1d_dispatch_table_thunk(GLenum target, GLdouble s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1d(target, s);
}

static __stdcall void
epoxy_glMultiTexCoord1dARB_dispatch_table_thunk(GLenum target, GLdouble s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1d(target, s);
}

static __stdcall void
epoxy_glMultiTexCoord1dv_dispatch_table_thunk(GLenum target, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1dv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord1dvARB_dispatch_table_thunk(GLenum target, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1dv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord1f_dispatch_table_thunk(GLenum target, GLfloat s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1f(target, s);
}

static __stdcall void
epoxy_glMultiTexCoord1fARB_dispatch_table_thunk(GLenum target, GLfloat s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1f(target, s);
}

static __stdcall void
epoxy_glMultiTexCoord1fv_dispatch_table_thunk(GLenum target, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1fv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord1fvARB_dispatch_table_thunk(GLenum target, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1fv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord1hNV_dispatch_table_thunk(GLenum target, GLhalfNV s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1hNV(target, s);
}

static __stdcall void
epoxy_glMultiTexCoord1hvNV_dispatch_table_thunk(GLenum target, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1hvNV(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord1i_dispatch_table_thunk(GLenum target, GLint s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1i(target, s);
}

static __stdcall void
epoxy_glMultiTexCoord1iARB_dispatch_table_thunk(GLenum target, GLint s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1i(target, s);
}

static __stdcall void
epoxy_glMultiTexCoord1iv_dispatch_table_thunk(GLenum target, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1iv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord1ivARB_dispatch_table_thunk(GLenum target, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1iv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord1s_dispatch_table_thunk(GLenum target, GLshort s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1s(target, s);
}

static __stdcall void
epoxy_glMultiTexCoord1sARB_dispatch_table_thunk(GLenum target, GLshort s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1s(target, s);
}

static __stdcall void
epoxy_glMultiTexCoord1sv_dispatch_table_thunk(GLenum target, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1sv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord1svARB_dispatch_table_thunk(GLenum target, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1sv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord1xOES_dispatch_table_thunk(GLenum texture, GLfixed s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1xOES(texture, s);
}

static __stdcall void
epoxy_glMultiTexCoord1xvOES_dispatch_table_thunk(GLenum texture, const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord1xvOES(texture, coords);
}

static __stdcall void
epoxy_glMultiTexCoord2bOES_dispatch_table_thunk(GLenum texture, GLbyte s, GLbyte t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2bOES(texture, s, t);
}

static __stdcall void
epoxy_glMultiTexCoord2bvOES_dispatch_table_thunk(GLenum texture, const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2bvOES(texture, coords);
}

static __stdcall void
epoxy_glMultiTexCoord2d_dispatch_table_thunk(GLenum target, GLdouble s, GLdouble t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2d(target, s, t);
}

static __stdcall void
epoxy_glMultiTexCoord2dARB_dispatch_table_thunk(GLenum target, GLdouble s, GLdouble t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2d(target, s, t);
}

static __stdcall void
epoxy_glMultiTexCoord2dv_dispatch_table_thunk(GLenum target, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2dv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord2dvARB_dispatch_table_thunk(GLenum target, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2dv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord2f_dispatch_table_thunk(GLenum target, GLfloat s, GLfloat t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2f(target, s, t);
}

static __stdcall void
epoxy_glMultiTexCoord2fARB_dispatch_table_thunk(GLenum target, GLfloat s, GLfloat t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2f(target, s, t);
}

static __stdcall void
epoxy_glMultiTexCoord2fv_dispatch_table_thunk(GLenum target, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2fv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord2fvARB_dispatch_table_thunk(GLenum target, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2fv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord2hNV_dispatch_table_thunk(GLenum target, GLhalfNV s, GLhalfNV t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2hNV(target, s, t);
}

static __stdcall void
epoxy_glMultiTexCoord2hvNV_dispatch_table_thunk(GLenum target, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2hvNV(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord2i_dispatch_table_thunk(GLenum target, GLint s, GLint t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2i(target, s, t);
}

static __stdcall void
epoxy_glMultiTexCoord2iARB_dispatch_table_thunk(GLenum target, GLint s, GLint t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2i(target, s, t);
}

static __stdcall void
epoxy_glMultiTexCoord2iv_dispatch_table_thunk(GLenum target, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2iv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord2ivARB_dispatch_table_thunk(GLenum target, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2iv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord2s_dispatch_table_thunk(GLenum target, GLshort s, GLshort t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2s(target, s, t);
}

static __stdcall void
epoxy_glMultiTexCoord2sARB_dispatch_table_thunk(GLenum target, GLshort s, GLshort t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2s(target, s, t);
}

static __stdcall void
epoxy_glMultiTexCoord2sv_dispatch_table_thunk(GLenum target, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2sv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord2svARB_dispatch_table_thunk(GLenum target, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2sv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord2xOES_dispatch_table_thunk(GLenum texture, GLfixed s, GLfixed t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2xOES(texture, s, t);
}

static __stdcall void
epoxy_glMultiTexCoord2xvOES_dispatch_table_thunk(GLenum texture, const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord2xvOES(texture, coords);
}

static __stdcall void
epoxy_glMultiTexCoord3bOES_dispatch_table_thunk(GLenum texture, GLbyte s, GLbyte t, GLbyte r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3bOES(texture, s, t, r);
}

static __stdcall void
epoxy_glMultiTexCoord3bvOES_dispatch_table_thunk(GLenum texture, const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3bvOES(texture, coords);
}

static __stdcall void
epoxy_glMultiTexCoord3d_dispatch_table_thunk(GLenum target, GLdouble s, GLdouble t, GLdouble r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3d(target, s, t, r);
}

static __stdcall void
epoxy_glMultiTexCoord3dARB_dispatch_table_thunk(GLenum target, GLdouble s, GLdouble t, GLdouble r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3d(target, s, t, r);
}

static __stdcall void
epoxy_glMultiTexCoord3dv_dispatch_table_thunk(GLenum target, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3dv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord3dvARB_dispatch_table_thunk(GLenum target, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3dv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord3f_dispatch_table_thunk(GLenum target, GLfloat s, GLfloat t, GLfloat r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3f(target, s, t, r);
}

static __stdcall void
epoxy_glMultiTexCoord3fARB_dispatch_table_thunk(GLenum target, GLfloat s, GLfloat t, GLfloat r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3f(target, s, t, r);
}

static __stdcall void
epoxy_glMultiTexCoord3fv_dispatch_table_thunk(GLenum target, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3fv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord3fvARB_dispatch_table_thunk(GLenum target, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3fv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord3hNV_dispatch_table_thunk(GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3hNV(target, s, t, r);
}

static __stdcall void
epoxy_glMultiTexCoord3hvNV_dispatch_table_thunk(GLenum target, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3hvNV(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord3i_dispatch_table_thunk(GLenum target, GLint s, GLint t, GLint r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3i(target, s, t, r);
}

static __stdcall void
epoxy_glMultiTexCoord3iARB_dispatch_table_thunk(GLenum target, GLint s, GLint t, GLint r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3i(target, s, t, r);
}

static __stdcall void
epoxy_glMultiTexCoord3iv_dispatch_table_thunk(GLenum target, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3iv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord3ivARB_dispatch_table_thunk(GLenum target, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3iv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord3s_dispatch_table_thunk(GLenum target, GLshort s, GLshort t, GLshort r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3s(target, s, t, r);
}

static __stdcall void
epoxy_glMultiTexCoord3sARB_dispatch_table_thunk(GLenum target, GLshort s, GLshort t, GLshort r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3s(target, s, t, r);
}

static __stdcall void
epoxy_glMultiTexCoord3sv_dispatch_table_thunk(GLenum target, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3sv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord3svARB_dispatch_table_thunk(GLenum target, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3sv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord3xOES_dispatch_table_thunk(GLenum texture, GLfixed s, GLfixed t, GLfixed r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3xOES(texture, s, t, r);
}

static __stdcall void
epoxy_glMultiTexCoord3xvOES_dispatch_table_thunk(GLenum texture, const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord3xvOES(texture, coords);
}

static __stdcall void
epoxy_glMultiTexCoord4bOES_dispatch_table_thunk(GLenum texture, GLbyte s, GLbyte t, GLbyte r, GLbyte q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4bOES(texture, s, t, r, q);
}

static __stdcall void
epoxy_glMultiTexCoord4bvOES_dispatch_table_thunk(GLenum texture, const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4bvOES(texture, coords);
}

static __stdcall void
epoxy_glMultiTexCoord4d_dispatch_table_thunk(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4d(target, s, t, r, q);
}

static __stdcall void
epoxy_glMultiTexCoord4dARB_dispatch_table_thunk(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4d(target, s, t, r, q);
}

static __stdcall void
epoxy_glMultiTexCoord4dv_dispatch_table_thunk(GLenum target, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4dv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord4dvARB_dispatch_table_thunk(GLenum target, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4dv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord4f_dispatch_table_thunk(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4f(target, s, t, r, q);
}

static __stdcall void
epoxy_glMultiTexCoord4fARB_dispatch_table_thunk(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4f(target, s, t, r, q);
}

static __stdcall void
epoxy_glMultiTexCoord4fv_dispatch_table_thunk(GLenum target, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4fv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord4fvARB_dispatch_table_thunk(GLenum target, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4fv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord4hNV_dispatch_table_thunk(GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4hNV(target, s, t, r, q);
}

static __stdcall void
epoxy_glMultiTexCoord4hvNV_dispatch_table_thunk(GLenum target, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4hvNV(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord4i_dispatch_table_thunk(GLenum target, GLint s, GLint t, GLint r, GLint q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4i(target, s, t, r, q);
}

static __stdcall void
epoxy_glMultiTexCoord4iARB_dispatch_table_thunk(GLenum target, GLint s, GLint t, GLint r, GLint q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4i(target, s, t, r, q);
}

static __stdcall void
epoxy_glMultiTexCoord4iv_dispatch_table_thunk(GLenum target, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4iv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord4ivARB_dispatch_table_thunk(GLenum target, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4iv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord4s_dispatch_table_thunk(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4s(target, s, t, r, q);
}

static __stdcall void
epoxy_glMultiTexCoord4sARB_dispatch_table_thunk(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4s(target, s, t, r, q);
}

static __stdcall void
epoxy_glMultiTexCoord4sv_dispatch_table_thunk(GLenum target, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4sv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord4svARB_dispatch_table_thunk(GLenum target, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4sv(target, v);
}

static __stdcall void
epoxy_glMultiTexCoord4x_dispatch_table_thunk(GLenum texture, GLfixed s, GLfixed t, GLfixed r, GLfixed q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4x(texture, s, t, r, q);
}

static __stdcall void
epoxy_glMultiTexCoord4xOES_dispatch_table_thunk(GLenum texture, GLfixed s, GLfixed t, GLfixed r, GLfixed q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4xOES(texture, s, t, r, q);
}

static __stdcall void
epoxy_glMultiTexCoord4xvOES_dispatch_table_thunk(GLenum texture, const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoord4xvOES(texture, coords);
}

static __stdcall void
epoxy_glMultiTexCoordP1ui_dispatch_table_thunk(GLenum texture, GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP1ui(texture, type, coords);
}

static __stdcall void
epoxy_glMultiTexCoordP1uiv_dispatch_table_thunk(GLenum texture, GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP1uiv(texture, type, coords);
}

static __stdcall void
epoxy_glMultiTexCoordP2ui_dispatch_table_thunk(GLenum texture, GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP2ui(texture, type, coords);
}

static __stdcall void
epoxy_glMultiTexCoordP2uiv_dispatch_table_thunk(GLenum texture, GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP2uiv(texture, type, coords);
}

static __stdcall void
epoxy_glMultiTexCoordP3ui_dispatch_table_thunk(GLenum texture, GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP3ui(texture, type, coords);
}

static __stdcall void
epoxy_glMultiTexCoordP3uiv_dispatch_table_thunk(GLenum texture, GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP3uiv(texture, type, coords);
}

static __stdcall void
epoxy_glMultiTexCoordP4ui_dispatch_table_thunk(GLenum texture, GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP4ui(texture, type, coords);
}

static __stdcall void
epoxy_glMultiTexCoordP4uiv_dispatch_table_thunk(GLenum texture, GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordP4uiv(texture, type, coords);
}

static __stdcall void
epoxy_glMultiTexCoordPointerEXT_dispatch_table_thunk(GLenum texunit, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexCoordPointerEXT(texunit, size, type, stride, pointer);
}

static __stdcall void
epoxy_glMultiTexEnvfEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexEnvfEXT(texunit, target, pname, param);
}

static __stdcall void
epoxy_glMultiTexEnvfvEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexEnvfvEXT(texunit, target, pname, params);
}

static __stdcall void
epoxy_glMultiTexEnviEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexEnviEXT(texunit, target, pname, param);
}

static __stdcall void
epoxy_glMultiTexEnvivEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexEnvivEXT(texunit, target, pname, params);
}

static __stdcall void
epoxy_glMultiTexGendEXT_dispatch_table_thunk(GLenum texunit, GLenum coord, GLenum pname, GLdouble param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexGendEXT(texunit, coord, pname, param);
}

static __stdcall void
epoxy_glMultiTexGendvEXT_dispatch_table_thunk(GLenum texunit, GLenum coord, GLenum pname, const GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexGendvEXT(texunit, coord, pname, params);
}

static __stdcall void
epoxy_glMultiTexGenfEXT_dispatch_table_thunk(GLenum texunit, GLenum coord, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexGenfEXT(texunit, coord, pname, param);
}

static __stdcall void
epoxy_glMultiTexGenfvEXT_dispatch_table_thunk(GLenum texunit, GLenum coord, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexGenfvEXT(texunit, coord, pname, params);
}

static __stdcall void
epoxy_glMultiTexGeniEXT_dispatch_table_thunk(GLenum texunit, GLenum coord, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexGeniEXT(texunit, coord, pname, param);
}

static __stdcall void
epoxy_glMultiTexGenivEXT_dispatch_table_thunk(GLenum texunit, GLenum coord, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexGenivEXT(texunit, coord, pname, params);
}

static __stdcall void
epoxy_glMultiTexImage1DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexImage1DEXT(texunit, target, level, internalformat, width, border, format, type, pixels);
}

static __stdcall void
epoxy_glMultiTexImage2DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexImage2DEXT(texunit, target, level, internalformat, width, height, border, format, type, pixels);
}

static __stdcall void
epoxy_glMultiTexImage3DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexImage3DEXT(texunit, target, level, internalformat, width, height, depth, border, format, type, pixels);
}

static __stdcall void
epoxy_glMultiTexParameterIivEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexParameterIivEXT(texunit, target, pname, params);
}

static __stdcall void
epoxy_glMultiTexParameterIuivEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexParameterIuivEXT(texunit, target, pname, params);
}

static __stdcall void
epoxy_glMultiTexParameterfEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexParameterfEXT(texunit, target, pname, param);
}

static __stdcall void
epoxy_glMultiTexParameterfvEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexParameterfvEXT(texunit, target, pname, params);
}

static __stdcall void
epoxy_glMultiTexParameteriEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexParameteriEXT(texunit, target, pname, param);
}

static __stdcall void
epoxy_glMultiTexParameterivEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexParameterivEXT(texunit, target, pname, params);
}

static __stdcall void
epoxy_glMultiTexRenderbufferEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexRenderbufferEXT(texunit, target, renderbuffer);
}

static __stdcall void
epoxy_glMultiTexSubImage1DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexSubImage1DEXT(texunit, target, level, xoffset, width, format, type, pixels);
}

static __stdcall void
epoxy_glMultiTexSubImage2DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexSubImage2DEXT(texunit, target, level, xoffset, yoffset, width, height, format, type, pixels);
}

static __stdcall void
epoxy_glMultiTexSubImage3DEXT_dispatch_table_thunk(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglMultiTexSubImage3DEXT(texunit, target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}

static __stdcall void
epoxy_glNamedBufferDataEXT_dispatch_table_thunk(GLuint buffer, GLsizeiptr size, const void * data, GLenum usage)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedBufferDataEXT(buffer, size, data, usage);
}

static __stdcall void
epoxy_glNamedBufferStorageEXT_dispatch_table_thunk(GLuint buffer, GLsizeiptr size, const void * data, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedBufferStorageEXT(buffer, size, data, flags);
}

static __stdcall void
epoxy_glNamedBufferSubDataEXT_dispatch_table_thunk(GLuint buffer, GLintptr offset, GLsizeiptr size, const void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedBufferSubDataEXT(buffer, offset, size, data);
}

static __stdcall void
epoxy_glNamedCopyBufferSubDataEXT_dispatch_table_thunk(GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedCopyBufferSubDataEXT(readBuffer, writeBuffer, readOffset, writeOffset, size);
}

static __stdcall void
epoxy_glNamedFramebufferParameteriEXT_dispatch_table_thunk(GLuint framebuffer, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferParameteriEXT(framebuffer, pname, param);
}

static __stdcall void
epoxy_glNamedFramebufferRenderbufferEXT_dispatch_table_thunk(GLuint framebuffer, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferRenderbufferEXT(framebuffer, attachment, renderbuffertarget, renderbuffer);
}

static __stdcall void
epoxy_glNamedFramebufferTexture1DEXT_dispatch_table_thunk(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferTexture1DEXT(framebuffer, attachment, textarget, texture, level);
}

static __stdcall void
epoxy_glNamedFramebufferTexture2DEXT_dispatch_table_thunk(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferTexture2DEXT(framebuffer, attachment, textarget, texture, level);
}

static __stdcall void
epoxy_glNamedFramebufferTexture3DEXT_dispatch_table_thunk(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferTexture3DEXT(framebuffer, attachment, textarget, texture, level, zoffset);
}

static __stdcall void
epoxy_glNamedFramebufferTextureEXT_dispatch_table_thunk(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferTextureEXT(framebuffer, attachment, texture, level);
}

static __stdcall void
epoxy_glNamedFramebufferTextureFaceEXT_dispatch_table_thunk(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLenum face)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferTextureFaceEXT(framebuffer, attachment, texture, level, face);
}

static __stdcall void
epoxy_glNamedFramebufferTextureLayerEXT_dispatch_table_thunk(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedFramebufferTextureLayerEXT(framebuffer, attachment, texture, level, layer);
}

static __stdcall void
epoxy_glNamedProgramLocalParameter4dEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameter4dEXT(program, target, index, x, y, z, w);
}

static __stdcall void
epoxy_glNamedProgramLocalParameter4dvEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, const GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameter4dvEXT(program, target, index, params);
}

static __stdcall void
epoxy_glNamedProgramLocalParameter4fEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameter4fEXT(program, target, index, x, y, z, w);
}

static __stdcall void
epoxy_glNamedProgramLocalParameter4fvEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameter4fvEXT(program, target, index, params);
}

static __stdcall void
epoxy_glNamedProgramLocalParameterI4iEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameterI4iEXT(program, target, index, x, y, z, w);
}

static __stdcall void
epoxy_glNamedProgramLocalParameterI4ivEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameterI4ivEXT(program, target, index, params);
}

static __stdcall void
epoxy_glNamedProgramLocalParameterI4uiEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameterI4uiEXT(program, target, index, x, y, z, w);
}

static __stdcall void
epoxy_glNamedProgramLocalParameterI4uivEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameterI4uivEXT(program, target, index, params);
}

static __stdcall void
epoxy_glNamedProgramLocalParameters4fvEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, GLsizei count, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParameters4fvEXT(program, target, index, count, params);
}

static __stdcall void
epoxy_glNamedProgramLocalParametersI4ivEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, GLsizei count, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParametersI4ivEXT(program, target, index, count, params);
}

static __stdcall void
epoxy_glNamedProgramLocalParametersI4uivEXT_dispatch_table_thunk(GLuint program, GLenum target, GLuint index, GLsizei count, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramLocalParametersI4uivEXT(program, target, index, count, params);
}

static __stdcall void
epoxy_glNamedProgramStringEXT_dispatch_table_thunk(GLuint program, GLenum target, GLenum format, GLsizei len, const void * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedProgramStringEXT(program, target, format, len, string);
}

static __stdcall void
epoxy_glNamedRenderbufferStorageEXT_dispatch_table_thunk(GLuint renderbuffer, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedRenderbufferStorageEXT(renderbuffer, internalformat, width, height);
}

static __stdcall void
epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_dispatch_table_thunk(GLuint renderbuffer, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedRenderbufferStorageMultisampleCoverageEXT(renderbuffer, coverageSamples, colorSamples, internalformat, width, height);
}

static __stdcall void
epoxy_glNamedRenderbufferStorageMultisampleEXT_dispatch_table_thunk(GLuint renderbuffer, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedRenderbufferStorageMultisampleEXT(renderbuffer, samples, internalformat, width, height);
}

static __stdcall void
epoxy_glNamedStringARB_dispatch_table_thunk(GLenum type, GLint namelen, const GLchar * name, GLint stringlen, const GLchar * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNamedStringARB(type, namelen, name, stringlen, string);
}

static __stdcall void
epoxy_glNewList_dispatch_table_thunk(GLuint list, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNewList(list, mode);
}

static __stdcall GLuint
epoxy_glNewObjectBufferATI_dispatch_table_thunk(GLsizei size, const void * pointer, GLenum usage)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglNewObjectBufferATI(size, pointer, usage);
}

static __stdcall void
epoxy_glNormal3b_dispatch_table_thunk(GLbyte nx, GLbyte ny, GLbyte nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3b(nx, ny, nz);
}

static __stdcall void
epoxy_glNormal3bv_dispatch_table_thunk(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3bv(v);
}

static __stdcall void
epoxy_glNormal3d_dispatch_table_thunk(GLdouble nx, GLdouble ny, GLdouble nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3d(nx, ny, nz);
}

static __stdcall void
epoxy_glNormal3dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3dv(v);
}

static __stdcall void
epoxy_glNormal3f_dispatch_table_thunk(GLfloat nx, GLfloat ny, GLfloat nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3f(nx, ny, nz);
}

static __stdcall void
epoxy_glNormal3fVertex3fSUN_dispatch_table_thunk(GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3fVertex3fSUN(nx, ny, nz, x, y, z);
}

static __stdcall void
epoxy_glNormal3fVertex3fvSUN_dispatch_table_thunk(const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3fVertex3fvSUN(n, v);
}

static __stdcall void
epoxy_glNormal3fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3fv(v);
}

static __stdcall void
epoxy_glNormal3hNV_dispatch_table_thunk(GLhalfNV nx, GLhalfNV ny, GLhalfNV nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3hNV(nx, ny, nz);
}

static __stdcall void
epoxy_glNormal3hvNV_dispatch_table_thunk(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3hvNV(v);
}

static __stdcall void
epoxy_glNormal3i_dispatch_table_thunk(GLint nx, GLint ny, GLint nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3i(nx, ny, nz);
}

static __stdcall void
epoxy_glNormal3iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3iv(v);
}

static __stdcall void
epoxy_glNormal3s_dispatch_table_thunk(GLshort nx, GLshort ny, GLshort nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3s(nx, ny, nz);
}

static __stdcall void
epoxy_glNormal3sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3sv(v);
}

static __stdcall void
epoxy_glNormal3x_dispatch_table_thunk(GLfixed nx, GLfixed ny, GLfixed nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3x(nx, ny, nz);
}

static __stdcall void
epoxy_glNormal3xOES_dispatch_table_thunk(GLfixed nx, GLfixed ny, GLfixed nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3xOES(nx, ny, nz);
}

static __stdcall void
epoxy_glNormal3xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormal3xvOES(coords);
}

static __stdcall void
epoxy_glNormalFormatNV_dispatch_table_thunk(GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalFormatNV(type, stride);
}

static __stdcall void
epoxy_glNormalP3ui_dispatch_table_thunk(GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalP3ui(type, coords);
}

static __stdcall void
epoxy_glNormalP3uiv_dispatch_table_thunk(GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalP3uiv(type, coords);
}

static __stdcall void
epoxy_glNormalPointer_dispatch_table_thunk(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalPointer(type, stride, pointer);
}

static __stdcall void
epoxy_glNormalPointerEXT_dispatch_table_thunk(GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalPointerEXT(type, stride, count, pointer);
}

static __stdcall void
epoxy_glNormalPointerListIBM_dispatch_table_thunk(GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalPointerListIBM(type, stride, pointer, ptrstride);
}

static __stdcall void
epoxy_glNormalPointervINTEL_dispatch_table_thunk(GLenum type, const void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalPointervINTEL(type, pointer);
}

static __stdcall void
epoxy_glNormalStream3bATI_dispatch_table_thunk(GLenum stream, GLbyte nx, GLbyte ny, GLbyte nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3bATI(stream, nx, ny, nz);
}

static __stdcall void
epoxy_glNormalStream3bvATI_dispatch_table_thunk(GLenum stream, const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3bvATI(stream, coords);
}

static __stdcall void
epoxy_glNormalStream3dATI_dispatch_table_thunk(GLenum stream, GLdouble nx, GLdouble ny, GLdouble nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3dATI(stream, nx, ny, nz);
}

static __stdcall void
epoxy_glNormalStream3dvATI_dispatch_table_thunk(GLenum stream, const GLdouble * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3dvATI(stream, coords);
}

static __stdcall void
epoxy_glNormalStream3fATI_dispatch_table_thunk(GLenum stream, GLfloat nx, GLfloat ny, GLfloat nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3fATI(stream, nx, ny, nz);
}

static __stdcall void
epoxy_glNormalStream3fvATI_dispatch_table_thunk(GLenum stream, const GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3fvATI(stream, coords);
}

static __stdcall void
epoxy_glNormalStream3iATI_dispatch_table_thunk(GLenum stream, GLint nx, GLint ny, GLint nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3iATI(stream, nx, ny, nz);
}

static __stdcall void
epoxy_glNormalStream3ivATI_dispatch_table_thunk(GLenum stream, const GLint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3ivATI(stream, coords);
}

static __stdcall void
epoxy_glNormalStream3sATI_dispatch_table_thunk(GLenum stream, GLshort nx, GLshort ny, GLshort nz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3sATI(stream, nx, ny, nz);
}

static __stdcall void
epoxy_glNormalStream3svATI_dispatch_table_thunk(GLenum stream, const GLshort * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglNormalStream3svATI(stream, coords);
}

static __stdcall void
epoxy_glObjectLabel_dispatch_table_thunk(GLenum identifier, GLuint name, GLsizei length, const GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglObjectLabel(identifier, name, length, label);
}

static __stdcall void
epoxy_glObjectLabelKHR_dispatch_table_thunk(GLenum identifier, GLuint name, GLsizei length, const GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglObjectLabel(identifier, name, length, label);
}

static __stdcall void
epoxy_glObjectPtrLabel_dispatch_table_thunk(const void * ptr, GLsizei length, const GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglObjectPtrLabel(ptr, length, label);
}

static __stdcall void
epoxy_glObjectPtrLabelKHR_dispatch_table_thunk(const void * ptr, GLsizei length, const GLchar * label)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglObjectPtrLabel(ptr, length, label);
}

static __stdcall GLenum
epoxy_glObjectPurgeableAPPLE_dispatch_table_thunk(GLenum objectType, GLuint name, GLenum option)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglObjectPurgeableAPPLE(objectType, name, option);
}

static __stdcall GLenum
epoxy_glObjectUnpurgeableAPPLE_dispatch_table_thunk(GLenum objectType, GLuint name, GLenum option)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglObjectUnpurgeableAPPLE(objectType, name, option);
}

static __stdcall void
epoxy_glOrtho_dispatch_table_thunk(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglOrtho(left, right, bottom, top, zNear, zFar);
}

static __stdcall void
epoxy_glOrthof_dispatch_table_thunk(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglOrthof(l, r, b, t, n, f);
}

static __stdcall void
epoxy_glOrthofOES_dispatch_table_thunk(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglOrthofOES(l, r, b, t, n, f);
}

static __stdcall void
epoxy_glOrthox_dispatch_table_thunk(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglOrthox(l, r, b, t, n, f);
}

static __stdcall void
epoxy_glOrthoxOES_dispatch_table_thunk(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglOrthoxOES(l, r, b, t, n, f);
}

static __stdcall void
epoxy_glPNTrianglesfATI_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPNTrianglesfATI(pname, param);
}

static __stdcall void
epoxy_glPNTrianglesiATI_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPNTrianglesiATI(pname, param);
}

static __stdcall void
epoxy_glPassTexCoordATI_dispatch_table_thunk(GLuint dst, GLuint coord, GLenum swizzle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPassTexCoordATI(dst, coord, swizzle);
}

static __stdcall void
epoxy_glPassThrough_dispatch_table_thunk(GLfloat token)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPassThrough(token);
}

static __stdcall void
epoxy_glPassThroughxOES_dispatch_table_thunk(GLfixed token)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPassThroughxOES(token);
}

static __stdcall void
epoxy_glPatchParameterfv_dispatch_table_thunk(GLenum pname, const GLfloat * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPatchParameterfv(pname, values);
}

static __stdcall void
epoxy_glPatchParameteri_dispatch_table_thunk(GLenum pname, GLint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPatchParameteri(pname, value);
}

static __stdcall void
epoxy_glPathColorGenNV_dispatch_table_thunk(GLenum color, GLenum genMode, GLenum colorFormat, const GLfloat * coeffs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathColorGenNV(color, genMode, colorFormat, coeffs);
}

static __stdcall void
epoxy_glPathCommandsNV_dispatch_table_thunk(GLuint path, GLsizei numCommands, const GLubyte * commands, GLsizei numCoords, GLenum coordType, const void * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathCommandsNV(path, numCommands, commands, numCoords, coordType, coords);
}

static __stdcall void
epoxy_glPathCoordsNV_dispatch_table_thunk(GLuint path, GLsizei numCoords, GLenum coordType, const void * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathCoordsNV(path, numCoords, coordType, coords);
}

static __stdcall void
epoxy_glPathCoverDepthFuncNV_dispatch_table_thunk(GLenum func)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathCoverDepthFuncNV(func);
}

static __stdcall void
epoxy_glPathDashArrayNV_dispatch_table_thunk(GLuint path, GLsizei dashCount, const GLfloat * dashArray)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathDashArrayNV(path, dashCount, dashArray);
}

static __stdcall void
epoxy_glPathFogGenNV_dispatch_table_thunk(GLenum genMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathFogGenNV(genMode);
}

static __stdcall void
epoxy_glPathGlyphRangeNV_dispatch_table_thunk(GLuint firstPathName, GLenum fontTarget, const void * fontName, GLbitfield fontStyle, GLuint firstGlyph, GLsizei numGlyphs, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathGlyphRangeNV(firstPathName, fontTarget, fontName, fontStyle, firstGlyph, numGlyphs, handleMissingGlyphs, pathParameterTemplate, emScale);
}

static __stdcall void
epoxy_glPathGlyphsNV_dispatch_table_thunk(GLuint firstPathName, GLenum fontTarget, const void * fontName, GLbitfield fontStyle, GLsizei numGlyphs, GLenum type, const void * charcodes, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathGlyphsNV(firstPathName, fontTarget, fontName, fontStyle, numGlyphs, type, charcodes, handleMissingGlyphs, pathParameterTemplate, emScale);
}

static __stdcall void
epoxy_glPathParameterfNV_dispatch_table_thunk(GLuint path, GLenum pname, GLfloat value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathParameterfNV(path, pname, value);
}

static __stdcall void
epoxy_glPathParameterfvNV_dispatch_table_thunk(GLuint path, GLenum pname, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathParameterfvNV(path, pname, value);
}

static __stdcall void
epoxy_glPathParameteriNV_dispatch_table_thunk(GLuint path, GLenum pname, GLint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathParameteriNV(path, pname, value);
}

static __stdcall void
epoxy_glPathParameterivNV_dispatch_table_thunk(GLuint path, GLenum pname, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathParameterivNV(path, pname, value);
}

static __stdcall void
epoxy_glPathStencilDepthOffsetNV_dispatch_table_thunk(GLfloat factor, GLfloat units)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathStencilDepthOffsetNV(factor, units);
}

static __stdcall void
epoxy_glPathStencilFuncNV_dispatch_table_thunk(GLenum func, GLint ref, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathStencilFuncNV(func, ref, mask);
}

static __stdcall void
epoxy_glPathStringNV_dispatch_table_thunk(GLuint path, GLenum format, GLsizei length, const void * pathString)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathStringNV(path, format, length, pathString);
}

static __stdcall void
epoxy_glPathSubCommandsNV_dispatch_table_thunk(GLuint path, GLsizei commandStart, GLsizei commandsToDelete, GLsizei numCommands, const GLubyte * commands, GLsizei numCoords, GLenum coordType, const void * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathSubCommandsNV(path, commandStart, commandsToDelete, numCommands, commands, numCoords, coordType, coords);
}

static __stdcall void
epoxy_glPathSubCoordsNV_dispatch_table_thunk(GLuint path, GLsizei coordStart, GLsizei numCoords, GLenum coordType, const void * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathSubCoordsNV(path, coordStart, numCoords, coordType, coords);
}

static __stdcall void
epoxy_glPathTexGenNV_dispatch_table_thunk(GLenum texCoordSet, GLenum genMode, GLint components, const GLfloat * coeffs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPathTexGenNV(texCoordSet, genMode, components, coeffs);
}

static __stdcall void
epoxy_glPauseTransformFeedback_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPauseTransformFeedback();
}

static __stdcall void
epoxy_glPauseTransformFeedbackNV_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPauseTransformFeedback();
}

static __stdcall void
epoxy_glPixelDataRangeNV_dispatch_table_thunk(GLenum target, GLsizei length, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelDataRangeNV(target, length, pointer);
}

static __stdcall void
epoxy_glPixelMapfv_dispatch_table_thunk(GLenum map, GLsizei mapsize, const GLfloat * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelMapfv(map, mapsize, values);
}

static __stdcall void
epoxy_glPixelMapuiv_dispatch_table_thunk(GLenum map, GLsizei mapsize, const GLuint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelMapuiv(map, mapsize, values);
}

static __stdcall void
epoxy_glPixelMapusv_dispatch_table_thunk(GLenum map, GLsizei mapsize, const GLushort * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelMapusv(map, mapsize, values);
}

static __stdcall void
epoxy_glPixelMapx_dispatch_table_thunk(GLenum map, GLint size, const GLfixed * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelMapx(map, size, values);
}

static __stdcall void
epoxy_glPixelStoref_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelStoref(pname, param);
}

static __stdcall void
epoxy_glPixelStorei_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelStorei(pname, param);
}

static __stdcall void
epoxy_glPixelStorex_dispatch_table_thunk(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelStorex(pname, param);
}

static __stdcall void
epoxy_glPixelTexGenParameterfSGIS_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTexGenParameterfSGIS(pname, param);
}

static __stdcall void
epoxy_glPixelTexGenParameterfvSGIS_dispatch_table_thunk(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTexGenParameterfvSGIS(pname, params);
}

static __stdcall void
epoxy_glPixelTexGenParameteriSGIS_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTexGenParameteriSGIS(pname, param);
}

static __stdcall void
epoxy_glPixelTexGenParameterivSGIS_dispatch_table_thunk(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTexGenParameterivSGIS(pname, params);
}

static __stdcall void
epoxy_glPixelTexGenSGIX_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTexGenSGIX(mode);
}

static __stdcall void
epoxy_glPixelTransferf_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransferf(pname, param);
}

static __stdcall void
epoxy_glPixelTransferi_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransferi(pname, param);
}

static __stdcall void
epoxy_glPixelTransferxOES_dispatch_table_thunk(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransferxOES(pname, param);
}

static __stdcall void
epoxy_glPixelTransformParameterfEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransformParameterfEXT(target, pname, param);
}

static __stdcall void
epoxy_glPixelTransformParameterfvEXT_dispatch_table_thunk(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransformParameterfvEXT(target, pname, params);
}

static __stdcall void
epoxy_glPixelTransformParameteriEXT_dispatch_table_thunk(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransformParameteriEXT(target, pname, param);
}

static __stdcall void
epoxy_glPixelTransformParameterivEXT_dispatch_table_thunk(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelTransformParameterivEXT(target, pname, params);
}

static __stdcall void
epoxy_glPixelZoom_dispatch_table_thunk(GLfloat xfactor, GLfloat yfactor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelZoom(xfactor, yfactor);
}

static __stdcall void
epoxy_glPixelZoomxOES_dispatch_table_thunk(GLfixed xfactor, GLfixed yfactor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPixelZoomxOES(xfactor, yfactor);
}

static __stdcall GLboolean
epoxy_glPointAlongPathNV_dispatch_table_thunk(GLuint path, GLsizei startSegment, GLsizei numSegments, GLfloat distance, GLfloat * x, GLfloat * y, GLfloat * tangentX, GLfloat * tangentY)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglPointAlongPathNV(path, startSegment, numSegments, distance, x, y, tangentX, tangentY);
}

static __stdcall void
epoxy_glPointParameterf_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterf(pname, param);
}

static __stdcall void
epoxy_glPointParameterfARB_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterf(pname, param);
}

static __stdcall void
epoxy_glPointParameterfEXT_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterf(pname, param);
}

static __stdcall void
epoxy_glPointParameterfSGIS_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterf(pname, param);
}

static __stdcall void
epoxy_glPointParameterfv_dispatch_table_thunk(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterfv(pname, params);
}

static __stdcall void
epoxy_glPointParameterfvARB_dispatch_table_thunk(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterfv(pname, params);
}

static __stdcall void
epoxy_glPointParameterfvEXT_dispatch_table_thunk(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterfv(pname, params);
}

static __stdcall void
epoxy_glPointParameterfvSGIS_dispatch_table_thunk(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterfv(pname, params);
}

static __stdcall void
epoxy_glPointParameteri_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameteri(pname, param);
}

static __stdcall void
epoxy_glPointParameteriNV_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameteri(pname, param);
}

static __stdcall void
epoxy_glPointParameteriv_dispatch_table_thunk(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameteriv(pname, params);
}

static __stdcall void
epoxy_glPointParameterivNV_dispatch_table_thunk(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameteriv(pname, params);
}

static __stdcall void
epoxy_glPointParameterx_dispatch_table_thunk(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterx(pname, param);
}

static __stdcall void
epoxy_glPointParameterxOES_dispatch_table_thunk(GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterxOES(pname, param);
}

static __stdcall void
epoxy_glPointParameterxv_dispatch_table_thunk(GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterxv(pname, params);
}

static __stdcall void
epoxy_glPointParameterxvOES_dispatch_table_thunk(GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointParameterxvOES(pname, params);
}

static __stdcall void
epoxy_glPointSize_dispatch_table_thunk(GLfloat size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointSize(size);
}

static __stdcall void
epoxy_glPointSizePointerOES_dispatch_table_thunk(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointSizePointerOES(type, stride, pointer);
}

static __stdcall void
epoxy_glPointSizex_dispatch_table_thunk(GLfixed size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointSizex(size);
}

static __stdcall void
epoxy_glPointSizexOES_dispatch_table_thunk(GLfixed size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPointSizexOES(size);
}

static __stdcall GLint
epoxy_glPollAsyncSGIX_dispatch_table_thunk(GLuint * markerp)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglPollAsyncSGIX(markerp);
}

static __stdcall GLint
epoxy_glPollInstrumentsSGIX_dispatch_table_thunk(GLint * marker_p)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglPollInstrumentsSGIX(marker_p);
}

static __stdcall void
epoxy_glPolygonMode_dispatch_table_thunk(GLenum face, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPolygonMode(face, mode);
}

static __stdcall void
epoxy_glPolygonOffset_dispatch_table_thunk(GLfloat factor, GLfloat units)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPolygonOffset(factor, units);
}

static __stdcall void
epoxy_glPolygonOffsetEXT_dispatch_table_thunk(GLfloat factor, GLfloat bias)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPolygonOffsetEXT(factor, bias);
}

static __stdcall void
epoxy_glPolygonOffsetx_dispatch_table_thunk(GLfixed factor, GLfixed units)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPolygonOffsetx(factor, units);
}

static __stdcall void
epoxy_glPolygonOffsetxOES_dispatch_table_thunk(GLfixed factor, GLfixed units)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPolygonOffsetxOES(factor, units);
}

static __stdcall void
epoxy_glPolygonStipple_dispatch_table_thunk(const GLubyte * mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPolygonStipple(mask);
}

static __stdcall void
epoxy_glPopAttrib_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopAttrib();
}

static __stdcall void
epoxy_glPopClientAttrib_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopClientAttrib();
}

static __stdcall void
epoxy_glPopDebugGroup_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopDebugGroup();
}

static __stdcall void
epoxy_glPopDebugGroupKHR_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopDebugGroup();
}

static __stdcall void
epoxy_glPopGroupMarkerEXT_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopGroupMarkerEXT();
}

static __stdcall void
epoxy_glPopMatrix_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopMatrix();
}

static __stdcall void
epoxy_glPopName_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPopName();
}

static __stdcall void
epoxy_glPresentFrameDualFillNV_dispatch_table_thunk(GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLenum target1, GLuint fill1, GLenum target2, GLuint fill2, GLenum target3, GLuint fill3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPresentFrameDualFillNV(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, target1, fill1, target2, fill2, target3, fill3);
}

static __stdcall void
epoxy_glPresentFrameKeyedNV_dispatch_table_thunk(GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLuint key0, GLenum target1, GLuint fill1, GLuint key1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPresentFrameKeyedNV(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, key0, target1, fill1, key1);
}

static __stdcall void
epoxy_glPrimitiveRestartIndex_dispatch_table_thunk(GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPrimitiveRestartIndex(index);
}

static __stdcall void
epoxy_glPrimitiveRestartIndexNV_dispatch_table_thunk(GLuint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPrimitiveRestartIndexNV(index);
}

static __stdcall void
epoxy_glPrimitiveRestartNV_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPrimitiveRestartNV();
}

static __stdcall void
epoxy_glPrioritizeTextures_dispatch_table_thunk(GLsizei n, const GLuint * textures, const GLfloat * priorities)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPrioritizeTextures(n, textures, priorities);
}

static __stdcall void
epoxy_glPrioritizeTexturesEXT_dispatch_table_thunk(GLsizei n, const GLuint * textures, const GLclampf * priorities)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPrioritizeTextures(n, textures, priorities);
}

static __stdcall void
epoxy_glPrioritizeTexturesxOES_dispatch_table_thunk(GLsizei n, const GLuint * textures, const GLfixed * priorities)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPrioritizeTexturesxOES(n, textures, priorities);
}

static __stdcall void
epoxy_glProgramBinary_dispatch_table_thunk(GLuint program, GLenum binaryFormat, const void * binary, GLsizei length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramBinary(program, binaryFormat, binary, length);
}

static __stdcall void
epoxy_glProgramBinaryOES_dispatch_table_thunk(GLuint program, GLenum binaryFormat, const void * binary, GLint length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramBinary(program, binaryFormat, binary, length);
}

static __stdcall void
epoxy_glProgramBufferParametersIivNV_dispatch_table_thunk(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramBufferParametersIivNV(target, bindingIndex, wordIndex, count, params);
}

static __stdcall void
epoxy_glProgramBufferParametersIuivNV_dispatch_table_thunk(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramBufferParametersIuivNV(target, bindingIndex, wordIndex, count, params);
}

static __stdcall void
epoxy_glProgramBufferParametersfvNV_dispatch_table_thunk(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramBufferParametersfvNV(target, bindingIndex, wordIndex, count, params);
}

static __stdcall void
epoxy_glProgramEnvParameter4dARB_dispatch_table_thunk(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameter4dARB(target, index, x, y, z, w);
}

static __stdcall void
epoxy_glProgramEnvParameter4dvARB_dispatch_table_thunk(GLenum target, GLuint index, const GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameter4dvARB(target, index, params);
}

static __stdcall void
epoxy_glProgramEnvParameter4fARB_dispatch_table_thunk(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameter4fARB(target, index, x, y, z, w);
}

static __stdcall void
epoxy_glProgramEnvParameter4fvARB_dispatch_table_thunk(GLenum target, GLuint index, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameter4fvARB(target, index, params);
}

static __stdcall void
epoxy_glProgramEnvParameterI4iNV_dispatch_table_thunk(GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameterI4iNV(target, index, x, y, z, w);
}

static __stdcall void
epoxy_glProgramEnvParameterI4ivNV_dispatch_table_thunk(GLenum target, GLuint index, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameterI4ivNV(target, index, params);
}

static __stdcall void
epoxy_glProgramEnvParameterI4uiNV_dispatch_table_thunk(GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameterI4uiNV(target, index, x, y, z, w);
}

static __stdcall void
epoxy_glProgramEnvParameterI4uivNV_dispatch_table_thunk(GLenum target, GLuint index, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameterI4uivNV(target, index, params);
}

static __stdcall void
epoxy_glProgramEnvParameters4fvEXT_dispatch_table_thunk(GLenum target, GLuint index, GLsizei count, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParameters4fvEXT(target, index, count, params);
}

static __stdcall void
epoxy_glProgramEnvParametersI4ivNV_dispatch_table_thunk(GLenum target, GLuint index, GLsizei count, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParametersI4ivNV(target, index, count, params);
}

static __stdcall void
epoxy_glProgramEnvParametersI4uivNV_dispatch_table_thunk(GLenum target, GLuint index, GLsizei count, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramEnvParametersI4uivNV(target, index, count, params);
}

static __stdcall void
epoxy_glProgramLocalParameter4dARB_dispatch_table_thunk(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameter4dARB(target, index, x, y, z, w);
}

static __stdcall void
epoxy_glProgramLocalParameter4dvARB_dispatch_table_thunk(GLenum target, GLuint index, const GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameter4dvARB(target, index, params);
}

static __stdcall void
epoxy_glProgramLocalParameter4fARB_dispatch_table_thunk(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameter4fARB(target, index, x, y, z, w);
}

static __stdcall void
epoxy_glProgramLocalParameter4fvARB_dispatch_table_thunk(GLenum target, GLuint index, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameter4fvARB(target, index, params);
}

static __stdcall void
epoxy_glProgramLocalParameterI4iNV_dispatch_table_thunk(GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameterI4iNV(target, index, x, y, z, w);
}

static __stdcall void
epoxy_glProgramLocalParameterI4ivNV_dispatch_table_thunk(GLenum target, GLuint index, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameterI4ivNV(target, index, params);
}

static __stdcall void
epoxy_glProgramLocalParameterI4uiNV_dispatch_table_thunk(GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameterI4uiNV(target, index, x, y, z, w);
}

static __stdcall void
epoxy_glProgramLocalParameterI4uivNV_dispatch_table_thunk(GLenum target, GLuint index, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameterI4uivNV(target, index, params);
}

static __stdcall void
epoxy_glProgramLocalParameters4fvEXT_dispatch_table_thunk(GLenum target, GLuint index, GLsizei count, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParameters4fvEXT(target, index, count, params);
}

static __stdcall void
epoxy_glProgramLocalParametersI4ivNV_dispatch_table_thunk(GLenum target, GLuint index, GLsizei count, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParametersI4ivNV(target, index, count, params);
}

static __stdcall void
epoxy_glProgramLocalParametersI4uivNV_dispatch_table_thunk(GLenum target, GLuint index, GLsizei count, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramLocalParametersI4uivNV(target, index, count, params);
}

static __stdcall void
epoxy_glProgramNamedParameter4dNV_dispatch_table_thunk(GLuint id, GLsizei len, const GLubyte * name, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramNamedParameter4dNV(id, len, name, x, y, z, w);
}

static __stdcall void
epoxy_glProgramNamedParameter4dvNV_dispatch_table_thunk(GLuint id, GLsizei len, const GLubyte * name, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramNamedParameter4dvNV(id, len, name, v);
}

static __stdcall void
epoxy_glProgramNamedParameter4fNV_dispatch_table_thunk(GLuint id, GLsizei len, const GLubyte * name, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramNamedParameter4fNV(id, len, name, x, y, z, w);
}

static __stdcall void
epoxy_glProgramNamedParameter4fvNV_dispatch_table_thunk(GLuint id, GLsizei len, const GLubyte * name, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramNamedParameter4fvNV(id, len, name, v);
}

static __stdcall void
epoxy_glProgramParameter4dNV_dispatch_table_thunk(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameter4dNV(target, index, x, y, z, w);
}

static __stdcall void
epoxy_glProgramParameter4dvNV_dispatch_table_thunk(GLenum target, GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameter4dvNV(target, index, v);
}

static __stdcall void
epoxy_glProgramParameter4fNV_dispatch_table_thunk(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameter4fNV(target, index, x, y, z, w);
}

static __stdcall void
epoxy_glProgramParameter4fvNV_dispatch_table_thunk(GLenum target, GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameter4fvNV(target, index, v);
}

static __stdcall void
epoxy_glProgramParameteri_dispatch_table_thunk(GLuint program, GLenum pname, GLint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameteri(program, pname, value);
}

static __stdcall void
epoxy_glProgramParameteriARB_dispatch_table_thunk(GLuint program, GLenum pname, GLint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameteri(program, pname, value);
}

static __stdcall void
epoxy_glProgramParameteriEXT_dispatch_table_thunk(GLuint program, GLenum pname, GLint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameteri(program, pname, value);
}

static __stdcall void
epoxy_glProgramParameters4dvNV_dispatch_table_thunk(GLenum target, GLuint index, GLsizei count, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameters4dvNV(target, index, count, v);
}

static __stdcall void
epoxy_glProgramParameters4fvNV_dispatch_table_thunk(GLenum target, GLuint index, GLsizei count, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramParameters4fvNV(target, index, count, v);
}

static __stdcall void
epoxy_glProgramStringARB_dispatch_table_thunk(GLenum target, GLenum format, GLsizei len, const void * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramStringARB(target, format, len, string);
}

static __stdcall void
epoxy_glProgramSubroutineParametersuivNV_dispatch_table_thunk(GLenum target, GLsizei count, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramSubroutineParametersuivNV(target, count, params);
}

static __stdcall void
epoxy_glProgramUniform1d_dispatch_table_thunk(GLuint program, GLint location, GLdouble v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1d(program, location, v0);
}

static __stdcall void
epoxy_glProgramUniform1dEXT_dispatch_table_thunk(GLuint program, GLint location, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1dEXT(program, location, x);
}

static __stdcall void
epoxy_glProgramUniform1dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1dv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform1dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1dvEXT(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform1f_dispatch_table_thunk(GLuint program, GLint location, GLfloat v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1f(program, location, v0);
}

static __stdcall void
epoxy_glProgramUniform1fEXT_dispatch_table_thunk(GLuint program, GLint location, GLfloat v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1f(program, location, v0);
}

static __stdcall void
epoxy_glProgramUniform1fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1fv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform1fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1fv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform1i_dispatch_table_thunk(GLuint program, GLint location, GLint v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1i(program, location, v0);
}

static __stdcall void
epoxy_glProgramUniform1i64NV_dispatch_table_thunk(GLuint program, GLint location, GLint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1i64NV(program, location, x);
}

static __stdcall void
epoxy_glProgramUniform1i64vNV_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1i64vNV(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform1iEXT_dispatch_table_thunk(GLuint program, GLint location, GLint v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1i(program, location, v0);
}

static __stdcall void
epoxy_glProgramUniform1iv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1iv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform1ivEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1iv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform1ui_dispatch_table_thunk(GLuint program, GLint location, GLuint v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1ui(program, location, v0);
}

static __stdcall void
epoxy_glProgramUniform1ui64NV_dispatch_table_thunk(GLuint program, GLint location, GLuint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1ui64NV(program, location, x);
}

static __stdcall void
epoxy_glProgramUniform1ui64vNV_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1ui64vNV(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform1uiEXT_dispatch_table_thunk(GLuint program, GLint location, GLuint v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1ui(program, location, v0);
}

static __stdcall void
epoxy_glProgramUniform1uiv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1uiv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform1uivEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform1uiv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform2d_dispatch_table_thunk(GLuint program, GLint location, GLdouble v0, GLdouble v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2d(program, location, v0, v1);
}

static __stdcall void
epoxy_glProgramUniform2dEXT_dispatch_table_thunk(GLuint program, GLint location, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2dEXT(program, location, x, y);
}

static __stdcall void
epoxy_glProgramUniform2dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2dv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform2dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2dvEXT(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform2f_dispatch_table_thunk(GLuint program, GLint location, GLfloat v0, GLfloat v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2f(program, location, v0, v1);
}

static __stdcall void
epoxy_glProgramUniform2fEXT_dispatch_table_thunk(GLuint program, GLint location, GLfloat v0, GLfloat v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2f(program, location, v0, v1);
}

static __stdcall void
epoxy_glProgramUniform2fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2fv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform2fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2fv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform2i_dispatch_table_thunk(GLuint program, GLint location, GLint v0, GLint v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2i(program, location, v0, v1);
}

static __stdcall void
epoxy_glProgramUniform2i64NV_dispatch_table_thunk(GLuint program, GLint location, GLint64EXT x, GLint64EXT y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2i64NV(program, location, x, y);
}

static __stdcall void
epoxy_glProgramUniform2i64vNV_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2i64vNV(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform2iEXT_dispatch_table_thunk(GLuint program, GLint location, GLint v0, GLint v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2i(program, location, v0, v1);
}

static __stdcall void
epoxy_glProgramUniform2iv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2iv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform2ivEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2iv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform2ui_dispatch_table_thunk(GLuint program, GLint location, GLuint v0, GLuint v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2ui(program, location, v0, v1);
}

static __stdcall void
epoxy_glProgramUniform2ui64NV_dispatch_table_thunk(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2ui64NV(program, location, x, y);
}

static __stdcall void
epoxy_glProgramUniform2ui64vNV_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2ui64vNV(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform2uiEXT_dispatch_table_thunk(GLuint program, GLint location, GLuint v0, GLuint v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2ui(program, location, v0, v1);
}

static __stdcall void
epoxy_glProgramUniform2uiv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2uiv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform2uivEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform2uiv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform3d_dispatch_table_thunk(GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3d(program, location, v0, v1, v2);
}

static __stdcall void
epoxy_glProgramUniform3dEXT_dispatch_table_thunk(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3dEXT(program, location, x, y, z);
}

static __stdcall void
epoxy_glProgramUniform3dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3dv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform3dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3dvEXT(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform3f_dispatch_table_thunk(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3f(program, location, v0, v1, v2);
}

static __stdcall void
epoxy_glProgramUniform3fEXT_dispatch_table_thunk(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3f(program, location, v0, v1, v2);
}

static __stdcall void
epoxy_glProgramUniform3fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3fv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform3fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3fv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform3i_dispatch_table_thunk(GLuint program, GLint location, GLint v0, GLint v1, GLint v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3i(program, location, v0, v1, v2);
}

static __stdcall void
epoxy_glProgramUniform3i64NV_dispatch_table_thunk(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3i64NV(program, location, x, y, z);
}

static __stdcall void
epoxy_glProgramUniform3i64vNV_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3i64vNV(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform3iEXT_dispatch_table_thunk(GLuint program, GLint location, GLint v0, GLint v1, GLint v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3i(program, location, v0, v1, v2);
}

static __stdcall void
epoxy_glProgramUniform3iv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3iv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform3ivEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3iv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform3ui_dispatch_table_thunk(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3ui(program, location, v0, v1, v2);
}

static __stdcall void
epoxy_glProgramUniform3ui64NV_dispatch_table_thunk(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3ui64NV(program, location, x, y, z);
}

static __stdcall void
epoxy_glProgramUniform3ui64vNV_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3ui64vNV(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform3uiEXT_dispatch_table_thunk(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3ui(program, location, v0, v1, v2);
}

static __stdcall void
epoxy_glProgramUniform3uiv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3uiv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform3uivEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform3uiv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform4d_dispatch_table_thunk(GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2, GLdouble v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4d(program, location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glProgramUniform4dEXT_dispatch_table_thunk(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4dEXT(program, location, x, y, z, w);
}

static __stdcall void
epoxy_glProgramUniform4dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4dv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform4dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4dvEXT(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform4f_dispatch_table_thunk(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4f(program, location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glProgramUniform4fEXT_dispatch_table_thunk(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4f(program, location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glProgramUniform4fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4fv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform4fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4fv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform4i_dispatch_table_thunk(GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4i(program, location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glProgramUniform4i64NV_dispatch_table_thunk(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4i64NV(program, location, x, y, z, w);
}

static __stdcall void
epoxy_glProgramUniform4i64vNV_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4i64vNV(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform4iEXT_dispatch_table_thunk(GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4i(program, location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glProgramUniform4iv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4iv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform4ivEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4iv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform4ui_dispatch_table_thunk(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4ui(program, location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glProgramUniform4ui64NV_dispatch_table_thunk(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4ui64NV(program, location, x, y, z, w);
}

static __stdcall void
epoxy_glProgramUniform4ui64vNV_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4ui64vNV(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform4uiEXT_dispatch_table_thunk(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4ui(program, location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glProgramUniform4uiv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4uiv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniform4uivEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniform4uiv(program, location, count, value);
}

static __stdcall void
epoxy_glProgramUniformHandleui64ARB_dispatch_table_thunk(GLuint program, GLint location, GLuint64 value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformHandleui64ARB(program, location, value);
}

static __stdcall void
epoxy_glProgramUniformHandleui64NV_dispatch_table_thunk(GLuint program, GLint location, GLuint64 value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformHandleui64NV(program, location, value);
}

static __stdcall void
epoxy_glProgramUniformHandleui64vARB_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint64 * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformHandleui64vARB(program, location, count, values);
}

static __stdcall void
epoxy_glProgramUniformHandleui64vNV_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint64 * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformHandleui64vNV(program, location, count, values);
}

static __stdcall void
epoxy_glProgramUniformMatrix2dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2dv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix2dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2dvEXT(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix2fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix2fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix2x3dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x3dv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix2x3dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x3dvEXT(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix2x3fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x3fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix2x3fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x3fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix2x4dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x4dv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix2x4dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x4dvEXT(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix2x4fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x4fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix2x4fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix2x4fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix3dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3dv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix3dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3dvEXT(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix3fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix3fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix3x2dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x2dv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix3x2dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x2dvEXT(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix3x2fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x2fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix3x2fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x2fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix3x4dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x4dv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix3x4dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x4dvEXT(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix3x4fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x4fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix3x4fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix3x4fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix4dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4dv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix4dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4dvEXT(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix4fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix4fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix4x2dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x2dv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix4x2dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x2dvEXT(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix4x2fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x2fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix4x2fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x2fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix4x3dv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x3dv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix4x3dvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x3dvEXT(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix4x3fv_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x3fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformMatrix4x3fvEXT_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformMatrix4x3fv(program, location, count, transpose, value);
}

static __stdcall void
epoxy_glProgramUniformui64NV_dispatch_table_thunk(GLuint program, GLint location, GLuint64EXT value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformui64NV(program, location, value);
}

static __stdcall void
epoxy_glProgramUniformui64vNV_dispatch_table_thunk(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramUniformui64vNV(program, location, count, value);
}

static __stdcall void
epoxy_glProgramVertexLimitNV_dispatch_table_thunk(GLenum target, GLint limit)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProgramVertexLimitNV(target, limit);
}

static __stdcall void
epoxy_glProvokingVertex_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProvokingVertex(mode);
}

static __stdcall void
epoxy_glProvokingVertexEXT_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglProvokingVertex(mode);
}

static __stdcall void
epoxy_glPushAttrib_dispatch_table_thunk(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushAttrib(mask);
}

static __stdcall void
epoxy_glPushClientAttrib_dispatch_table_thunk(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushClientAttrib(mask);
}

static __stdcall void
epoxy_glPushClientAttribDefaultEXT_dispatch_table_thunk(GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushClientAttribDefaultEXT(mask);
}

static __stdcall void
epoxy_glPushDebugGroup_dispatch_table_thunk(GLenum source, GLuint id, GLsizei length, const GLchar * message)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushDebugGroup(source, id, length, message);
}

static __stdcall void
epoxy_glPushDebugGroupKHR_dispatch_table_thunk(GLenum source, GLuint id, GLsizei length, const GLchar * message)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushDebugGroup(source, id, length, message);
}

static __stdcall void
epoxy_glPushGroupMarkerEXT_dispatch_table_thunk(GLsizei length, const GLchar * marker)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushGroupMarkerEXT(length, marker);
}

static __stdcall void
epoxy_glPushMatrix_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushMatrix();
}

static __stdcall void
epoxy_glPushName_dispatch_table_thunk(GLuint name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglPushName(name);
}

static __stdcall void
epoxy_glQueryCounter_dispatch_table_thunk(GLuint id, GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglQueryCounter(id, target);
}

static __stdcall void
epoxy_glQueryCounterEXT_dispatch_table_thunk(GLuint id, GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglQueryCounter(id, target);
}

static __stdcall GLbitfield
epoxy_glQueryMatrixxOES_dispatch_table_thunk(GLfixed * mantissa, GLint * exponent)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglQueryMatrixxOES(mantissa, exponent);
}

static __stdcall void
epoxy_glQueryObjectParameteruiAMD_dispatch_table_thunk(GLenum target, GLuint id, GLenum pname, GLuint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglQueryObjectParameteruiAMD(target, id, pname, param);
}

static __stdcall void
epoxy_glRasterPos2d_dispatch_table_thunk(GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2d(x, y);
}

static __stdcall void
epoxy_glRasterPos2dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2dv(v);
}

static __stdcall void
epoxy_glRasterPos2f_dispatch_table_thunk(GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2f(x, y);
}

static __stdcall void
epoxy_glRasterPos2fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2fv(v);
}

static __stdcall void
epoxy_glRasterPos2i_dispatch_table_thunk(GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2i(x, y);
}

static __stdcall void
epoxy_glRasterPos2iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2iv(v);
}

static __stdcall void
epoxy_glRasterPos2s_dispatch_table_thunk(GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2s(x, y);
}

static __stdcall void
epoxy_glRasterPos2sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2sv(v);
}

static __stdcall void
epoxy_glRasterPos2xOES_dispatch_table_thunk(GLfixed x, GLfixed y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2xOES(x, y);
}

static __stdcall void
epoxy_glRasterPos2xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos2xvOES(coords);
}

static __stdcall void
epoxy_glRasterPos3d_dispatch_table_thunk(GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3d(x, y, z);
}

static __stdcall void
epoxy_glRasterPos3dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3dv(v);
}

static __stdcall void
epoxy_glRasterPos3f_dispatch_table_thunk(GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3f(x, y, z);
}

static __stdcall void
epoxy_glRasterPos3fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3fv(v);
}

static __stdcall void
epoxy_glRasterPos3i_dispatch_table_thunk(GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3i(x, y, z);
}

static __stdcall void
epoxy_glRasterPos3iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3iv(v);
}

static __stdcall void
epoxy_glRasterPos3s_dispatch_table_thunk(GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3s(x, y, z);
}

static __stdcall void
epoxy_glRasterPos3sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3sv(v);
}

static __stdcall void
epoxy_glRasterPos3xOES_dispatch_table_thunk(GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3xOES(x, y, z);
}

static __stdcall void
epoxy_glRasterPos3xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos3xvOES(coords);
}

static __stdcall void
epoxy_glRasterPos4d_dispatch_table_thunk(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4d(x, y, z, w);
}

static __stdcall void
epoxy_glRasterPos4dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4dv(v);
}

static __stdcall void
epoxy_glRasterPos4f_dispatch_table_thunk(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4f(x, y, z, w);
}

static __stdcall void
epoxy_glRasterPos4fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4fv(v);
}

static __stdcall void
epoxy_glRasterPos4i_dispatch_table_thunk(GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4i(x, y, z, w);
}

static __stdcall void
epoxy_glRasterPos4iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4iv(v);
}

static __stdcall void
epoxy_glRasterPos4s_dispatch_table_thunk(GLshort x, GLshort y, GLshort z, GLshort w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4s(x, y, z, w);
}

static __stdcall void
epoxy_glRasterPos4sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4sv(v);
}

static __stdcall void
epoxy_glRasterPos4xOES_dispatch_table_thunk(GLfixed x, GLfixed y, GLfixed z, GLfixed w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4xOES(x, y, z, w);
}

static __stdcall void
epoxy_glRasterPos4xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRasterPos4xvOES(coords);
}

static __stdcall void
epoxy_glReadBuffer_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadBuffer(mode);
}

static __stdcall void
epoxy_glReadBufferIndexedEXT_dispatch_table_thunk(GLenum src, GLint index)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadBufferIndexedEXT(src, index);
}

static __stdcall void
epoxy_glReadBufferNV_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadBufferNV(mode);
}

static __stdcall void
epoxy_glReadInstrumentsSGIX_dispatch_table_thunk(GLint marker)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadInstrumentsSGIX(marker);
}

static __stdcall void
epoxy_glReadPixels_dispatch_table_thunk(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadPixels(x, y, width, height, format, type, pixels);
}

static __stdcall void
epoxy_glReadnPixelsARB_dispatch_table_thunk(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadnPixelsARB(x, y, width, height, format, type, bufSize, data);
}

static __stdcall void
epoxy_glReadnPixelsEXT_dispatch_table_thunk(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void * data)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReadnPixelsEXT(x, y, width, height, format, type, bufSize, data);
}

static __stdcall void
epoxy_glRectd_dispatch_table_thunk(GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectd(x1, y1, x2, y2);
}

static __stdcall void
epoxy_glRectdv_dispatch_table_thunk(const GLdouble * v1, const GLdouble * v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectdv(v1, v2);
}

static __stdcall void
epoxy_glRectf_dispatch_table_thunk(GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectf(x1, y1, x2, y2);
}

static __stdcall void
epoxy_glRectfv_dispatch_table_thunk(const GLfloat * v1, const GLfloat * v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectfv(v1, v2);
}

static __stdcall void
epoxy_glRecti_dispatch_table_thunk(GLint x1, GLint y1, GLint x2, GLint y2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRecti(x1, y1, x2, y2);
}

static __stdcall void
epoxy_glRectiv_dispatch_table_thunk(const GLint * v1, const GLint * v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectiv(v1, v2);
}

static __stdcall void
epoxy_glRects_dispatch_table_thunk(GLshort x1, GLshort y1, GLshort x2, GLshort y2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRects(x1, y1, x2, y2);
}

static __stdcall void
epoxy_glRectsv_dispatch_table_thunk(const GLshort * v1, const GLshort * v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectsv(v1, v2);
}

static __stdcall void
epoxy_glRectxOES_dispatch_table_thunk(GLfixed x1, GLfixed y1, GLfixed x2, GLfixed y2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectxOES(x1, y1, x2, y2);
}

static __stdcall void
epoxy_glRectxvOES_dispatch_table_thunk(const GLfixed * v1, const GLfixed * v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRectxvOES(v1, v2);
}

static __stdcall void
epoxy_glReferencePlaneSGIX_dispatch_table_thunk(const GLdouble * equation)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReferencePlaneSGIX(equation);
}

static __stdcall void
epoxy_glReleaseShaderCompiler_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReleaseShaderCompiler();
}

static __stdcall GLint
epoxy_glRenderMode_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglRenderMode(mode);
}

static __stdcall void
epoxy_glRenderbufferStorage_dispatch_table_thunk(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorage(target, internalformat, width, height);
}

static __stdcall void
epoxy_glRenderbufferStorageEXT_dispatch_table_thunk(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorage(target, internalformat, width, height);
}

static __stdcall void
epoxy_glRenderbufferStorageMultisample_dispatch_table_thunk(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageMultisample(target, samples, internalformat, width, height);
}

static __stdcall void
epoxy_glRenderbufferStorageMultisampleANGLE_dispatch_table_thunk(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageMultisampleANGLE(target, samples, internalformat, width, height);
}

static __stdcall void
epoxy_glRenderbufferStorageMultisampleAPPLE_dispatch_table_thunk(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageMultisampleAPPLE(target, samples, internalformat, width, height);
}

static __stdcall void
epoxy_glRenderbufferStorageMultisampleCoverageNV_dispatch_table_thunk(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageMultisampleCoverageNV(target, coverageSamples, colorSamples, internalformat, width, height);
}

static __stdcall void
epoxy_glRenderbufferStorageMultisampleEXT_dispatch_table_thunk(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageMultisample(target, samples, internalformat, width, height);
}

static __stdcall void
epoxy_glRenderbufferStorageMultisampleIMG_dispatch_table_thunk(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageMultisampleIMG(target, samples, internalformat, width, height);
}

static __stdcall void
epoxy_glRenderbufferStorageMultisampleNV_dispatch_table_thunk(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageMultisample(target, samples, internalformat, width, height);
}

static __stdcall void
epoxy_glRenderbufferStorageOES_dispatch_table_thunk(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRenderbufferStorageOES(target, internalformat, width, height);
}

static __stdcall void
epoxy_glReplacementCodePointerSUN_dispatch_table_thunk(GLenum type, GLsizei stride, const void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodePointerSUN(type, stride, pointer);
}

static __stdcall void
epoxy_glReplacementCodeubSUN_dispatch_table_thunk(GLubyte code)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeubSUN(code);
}

static __stdcall void
epoxy_glReplacementCodeubvSUN_dispatch_table_thunk(const GLubyte * code)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeubvSUN(code);
}

static __stdcall void
epoxy_glReplacementCodeuiColor3fVertex3fSUN_dispatch_table_thunk(GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiColor3fVertex3fSUN(rc, r, g, b, x, y, z);
}

static __stdcall void
epoxy_glReplacementCodeuiColor3fVertex3fvSUN_dispatch_table_thunk(const GLuint * rc, const GLfloat * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiColor3fVertex3fvSUN(rc, c, v);
}

static __stdcall void
epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_dispatch_table_thunk(GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiColor4fNormal3fVertex3fSUN(rc, r, g, b, a, nx, ny, nz, x, y, z);
}

static __stdcall void
epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_dispatch_table_thunk(const GLuint * rc, const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiColor4fNormal3fVertex3fvSUN(rc, c, n, v);
}

static __stdcall void
epoxy_glReplacementCodeuiColor4ubVertex3fSUN_dispatch_table_thunk(GLuint rc, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiColor4ubVertex3fSUN(rc, r, g, b, a, x, y, z);
}

static __stdcall void
epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_dispatch_table_thunk(const GLuint * rc, const GLubyte * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiColor4ubVertex3fvSUN(rc, c, v);
}

static __stdcall void
epoxy_glReplacementCodeuiNormal3fVertex3fSUN_dispatch_table_thunk(GLuint rc, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiNormal3fVertex3fSUN(rc, nx, ny, nz, x, y, z);
}

static __stdcall void
epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_dispatch_table_thunk(const GLuint * rc, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiNormal3fVertex3fvSUN(rc, n, v);
}

static __stdcall void
epoxy_glReplacementCodeuiSUN_dispatch_table_thunk(GLuint code)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiSUN(code);
}

static __stdcall void
epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_dispatch_table_thunk(GLuint rc, GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN(rc, s, t, r, g, b, a, nx, ny, nz, x, y, z);
}

static __stdcall void
epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_dispatch_table_thunk(const GLuint * rc, const GLfloat * tc, const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN(rc, tc, c, n, v);
}

static __stdcall void
epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_dispatch_table_thunk(GLuint rc, GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiTexCoord2fNormal3fVertex3fSUN(rc, s, t, nx, ny, nz, x, y, z);
}

static __stdcall void
epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_dispatch_table_thunk(const GLuint * rc, const GLfloat * tc, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN(rc, tc, n, v);
}

static __stdcall void
epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_dispatch_table_thunk(GLuint rc, GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiTexCoord2fVertex3fSUN(rc, s, t, x, y, z);
}

static __stdcall void
epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_dispatch_table_thunk(const GLuint * rc, const GLfloat * tc, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiTexCoord2fVertex3fvSUN(rc, tc, v);
}

static __stdcall void
epoxy_glReplacementCodeuiVertex3fSUN_dispatch_table_thunk(GLuint rc, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiVertex3fSUN(rc, x, y, z);
}

static __stdcall void
epoxy_glReplacementCodeuiVertex3fvSUN_dispatch_table_thunk(const GLuint * rc, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuiVertex3fvSUN(rc, v);
}

static __stdcall void
epoxy_glReplacementCodeuivSUN_dispatch_table_thunk(const GLuint * code)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeuivSUN(code);
}

static __stdcall void
epoxy_glReplacementCodeusSUN_dispatch_table_thunk(GLushort code)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeusSUN(code);
}

static __stdcall void
epoxy_glReplacementCodeusvSUN_dispatch_table_thunk(const GLushort * code)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglReplacementCodeusvSUN(code);
}

static __stdcall void
epoxy_glRequestResidentProgramsNV_dispatch_table_thunk(GLsizei n, const GLuint * programs)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRequestResidentProgramsNV(n, programs);
}

static __stdcall void
epoxy_glResetHistogram_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResetHistogram(target);
}

static __stdcall void
epoxy_glResetHistogramEXT_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResetHistogram(target);
}

static __stdcall void
epoxy_glResetMinmax_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResetMinmax(target);
}

static __stdcall void
epoxy_glResetMinmaxEXT_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResetMinmax(target);
}

static __stdcall void
epoxy_glResizeBuffersMESA_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResizeBuffersMESA();
}

static __stdcall void
epoxy_glResolveMultisampleFramebufferAPPLE_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResolveMultisampleFramebufferAPPLE();
}

static __stdcall void
epoxy_glResumeTransformFeedback_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResumeTransformFeedback();
}

static __stdcall void
epoxy_glResumeTransformFeedbackNV_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglResumeTransformFeedback();
}

static __stdcall void
epoxy_glRotated_dispatch_table_thunk(GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRotated(angle, x, y, z);
}

static __stdcall void
epoxy_glRotatef_dispatch_table_thunk(GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRotatef(angle, x, y, z);
}

static __stdcall void
epoxy_glRotatex_dispatch_table_thunk(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRotatex(angle, x, y, z);
}

static __stdcall void
epoxy_glRotatexOES_dispatch_table_thunk(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglRotatexOES(angle, x, y, z);
}

static __stdcall void
epoxy_glSampleCoverage_dispatch_table_thunk(GLfloat value, GLboolean invert)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleCoverage(value, invert);
}

static __stdcall void
epoxy_glSampleCoverageARB_dispatch_table_thunk(GLfloat value, GLboolean invert)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleCoverage(value, invert);
}

static __stdcall void
epoxy_glSampleCoverageOES_dispatch_table_thunk(GLfixed value, GLboolean invert)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleCoverageOES(value, invert);
}

static __stdcall void
epoxy_glSampleCoveragex_dispatch_table_thunk(GLclampx value, GLboolean invert)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleCoveragex(value, invert);
}

static __stdcall void
epoxy_glSampleCoveragexOES_dispatch_table_thunk(GLclampx value, GLboolean invert)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleCoveragexOES(value, invert);
}

static __stdcall void
epoxy_glSampleMapATI_dispatch_table_thunk(GLuint dst, GLuint interp, GLenum swizzle)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleMapATI(dst, interp, swizzle);
}

static __stdcall void
epoxy_glSampleMaskEXT_dispatch_table_thunk(GLclampf value, GLboolean invert)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleMaskEXT(value, invert);
}

static __stdcall void
epoxy_glSampleMaskIndexedNV_dispatch_table_thunk(GLuint index, GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleMaskIndexedNV(index, mask);
}

static __stdcall void
epoxy_glSampleMaskSGIS_dispatch_table_thunk(GLclampf value, GLboolean invert)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleMaskEXT(value, invert);
}

static __stdcall void
epoxy_glSampleMaski_dispatch_table_thunk(GLuint maskNumber, GLbitfield mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSampleMaski(maskNumber, mask);
}

static __stdcall void
epoxy_glSamplePatternEXT_dispatch_table_thunk(GLenum pattern)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplePatternEXT(pattern);
}

static __stdcall void
epoxy_glSamplePatternSGIS_dispatch_table_thunk(GLenum pattern)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplePatternEXT(pattern);
}

static __stdcall void
epoxy_glSamplerParameterIiv_dispatch_table_thunk(GLuint sampler, GLenum pname, const GLint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplerParameterIiv(sampler, pname, param);
}

static __stdcall void
epoxy_glSamplerParameterIuiv_dispatch_table_thunk(GLuint sampler, GLenum pname, const GLuint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplerParameterIuiv(sampler, pname, param);
}

static __stdcall void
epoxy_glSamplerParameterf_dispatch_table_thunk(GLuint sampler, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplerParameterf(sampler, pname, param);
}

static __stdcall void
epoxy_glSamplerParameterfv_dispatch_table_thunk(GLuint sampler, GLenum pname, const GLfloat * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplerParameterfv(sampler, pname, param);
}

static __stdcall void
epoxy_glSamplerParameteri_dispatch_table_thunk(GLuint sampler, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplerParameteri(sampler, pname, param);
}

static __stdcall void
epoxy_glSamplerParameteriv_dispatch_table_thunk(GLuint sampler, GLenum pname, const GLint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSamplerParameteriv(sampler, pname, param);
}

static __stdcall void
epoxy_glScaled_dispatch_table_thunk(GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScaled(x, y, z);
}

static __stdcall void
epoxy_glScalef_dispatch_table_thunk(GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScalef(x, y, z);
}

static __stdcall void
epoxy_glScalex_dispatch_table_thunk(GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScalex(x, y, z);
}

static __stdcall void
epoxy_glScalexOES_dispatch_table_thunk(GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScalexOES(x, y, z);
}

static __stdcall void
epoxy_glScissor_dispatch_table_thunk(GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScissor(x, y, width, height);
}

static __stdcall void
epoxy_glScissorArrayv_dispatch_table_thunk(GLuint first, GLsizei count, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScissorArrayv(first, count, v);
}

static __stdcall void
epoxy_glScissorIndexed_dispatch_table_thunk(GLuint index, GLint left, GLint bottom, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScissorIndexed(index, left, bottom, width, height);
}

static __stdcall void
epoxy_glScissorIndexedv_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglScissorIndexedv(index, v);
}

static __stdcall void
epoxy_glSecondaryColor3b_dispatch_table_thunk(GLbyte red, GLbyte green, GLbyte blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3b(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3bEXT_dispatch_table_thunk(GLbyte red, GLbyte green, GLbyte blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3b(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3bv_dispatch_table_thunk(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3bv(v);
}

static __stdcall void
epoxy_glSecondaryColor3bvEXT_dispatch_table_thunk(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3bv(v);
}

static __stdcall void
epoxy_glSecondaryColor3d_dispatch_table_thunk(GLdouble red, GLdouble green, GLdouble blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3d(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3dEXT_dispatch_table_thunk(GLdouble red, GLdouble green, GLdouble blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3d(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3dv(v);
}

static __stdcall void
epoxy_glSecondaryColor3dvEXT_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3dv(v);
}

static __stdcall void
epoxy_glSecondaryColor3f_dispatch_table_thunk(GLfloat red, GLfloat green, GLfloat blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3f(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3fEXT_dispatch_table_thunk(GLfloat red, GLfloat green, GLfloat blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3f(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3fv(v);
}

static __stdcall void
epoxy_glSecondaryColor3fvEXT_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3fv(v);
}

static __stdcall void
epoxy_glSecondaryColor3hNV_dispatch_table_thunk(GLhalfNV red, GLhalfNV green, GLhalfNV blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3hNV(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3hvNV_dispatch_table_thunk(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3hvNV(v);
}

static __stdcall void
epoxy_glSecondaryColor3i_dispatch_table_thunk(GLint red, GLint green, GLint blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3i(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3iEXT_dispatch_table_thunk(GLint red, GLint green, GLint blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3i(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3iv(v);
}

static __stdcall void
epoxy_glSecondaryColor3ivEXT_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3iv(v);
}

static __stdcall void
epoxy_glSecondaryColor3s_dispatch_table_thunk(GLshort red, GLshort green, GLshort blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3s(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3sEXT_dispatch_table_thunk(GLshort red, GLshort green, GLshort blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3s(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3sv(v);
}

static __stdcall void
epoxy_glSecondaryColor3svEXT_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3sv(v);
}

static __stdcall void
epoxy_glSecondaryColor3ub_dispatch_table_thunk(GLubyte red, GLubyte green, GLubyte blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3ub(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3ubEXT_dispatch_table_thunk(GLubyte red, GLubyte green, GLubyte blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3ub(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3ubv_dispatch_table_thunk(const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3ubv(v);
}

static __stdcall void
epoxy_glSecondaryColor3ubvEXT_dispatch_table_thunk(const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3ubv(v);
}

static __stdcall void
epoxy_glSecondaryColor3ui_dispatch_table_thunk(GLuint red, GLuint green, GLuint blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3ui(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3uiEXT_dispatch_table_thunk(GLuint red, GLuint green, GLuint blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3ui(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3uiv_dispatch_table_thunk(const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3uiv(v);
}

static __stdcall void
epoxy_glSecondaryColor3uivEXT_dispatch_table_thunk(const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3uiv(v);
}

static __stdcall void
epoxy_glSecondaryColor3us_dispatch_table_thunk(GLushort red, GLushort green, GLushort blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3us(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3usEXT_dispatch_table_thunk(GLushort red, GLushort green, GLushort blue)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3us(red, green, blue);
}

static __stdcall void
epoxy_glSecondaryColor3usv_dispatch_table_thunk(const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3usv(v);
}

static __stdcall void
epoxy_glSecondaryColor3usvEXT_dispatch_table_thunk(const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColor3usv(v);
}

static __stdcall void
epoxy_glSecondaryColorFormatNV_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColorFormatNV(size, type, stride);
}

static __stdcall void
epoxy_glSecondaryColorP3ui_dispatch_table_thunk(GLenum type, GLuint color)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColorP3ui(type, color);
}

static __stdcall void
epoxy_glSecondaryColorP3uiv_dispatch_table_thunk(GLenum type, const GLuint * color)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColorP3uiv(type, color);
}

static __stdcall void
epoxy_glSecondaryColorPointer_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColorPointer(size, type, stride, pointer);
}

static __stdcall void
epoxy_glSecondaryColorPointerEXT_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColorPointer(size, type, stride, pointer);
}

static __stdcall void
epoxy_glSecondaryColorPointerListIBM_dispatch_table_thunk(GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSecondaryColorPointerListIBM(size, type, stride, pointer, ptrstride);
}

static __stdcall void
epoxy_glSelectBuffer_dispatch_table_thunk(GLsizei size, GLuint * buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSelectBuffer(size, buffer);
}

static __stdcall void
epoxy_glSelectPerfMonitorCountersAMD_dispatch_table_thunk(GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint * counterList)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSelectPerfMonitorCountersAMD(monitor, enable, group, numCounters, counterList);
}

static __stdcall void
epoxy_glSeparableFilter2D_dispatch_table_thunk(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * row, const void * column)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSeparableFilter2D(target, internalformat, width, height, format, type, row, column);
}

static __stdcall void
epoxy_glSeparableFilter2DEXT_dispatch_table_thunk(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * row, const void * column)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSeparableFilter2D(target, internalformat, width, height, format, type, row, column);
}

static __stdcall void
epoxy_glSetFenceAPPLE_dispatch_table_thunk(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSetFenceAPPLE(fence);
}

static __stdcall void
epoxy_glSetFenceNV_dispatch_table_thunk(GLuint fence, GLenum condition)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSetFenceNV(fence, condition);
}

static __stdcall void
epoxy_glSetFragmentShaderConstantATI_dispatch_table_thunk(GLuint dst, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSetFragmentShaderConstantATI(dst, value);
}

static __stdcall void
epoxy_glSetInvariantEXT_dispatch_table_thunk(GLuint id, GLenum type, const void * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSetInvariantEXT(id, type, addr);
}

static __stdcall void
epoxy_glSetLocalConstantEXT_dispatch_table_thunk(GLuint id, GLenum type, const void * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSetLocalConstantEXT(id, type, addr);
}

static __stdcall void
epoxy_glSetMultisamplefvAMD_dispatch_table_thunk(GLenum pname, GLuint index, const GLfloat * val)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSetMultisamplefvAMD(pname, index, val);
}

static __stdcall void
epoxy_glShadeModel_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShadeModel(mode);
}

static __stdcall void
epoxy_glShaderBinary_dispatch_table_thunk(GLsizei count, const GLuint * shaders, GLenum binaryformat, const void * binary, GLsizei length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderBinary(count, shaders, binaryformat, binary, length);
}

static __stdcall void
epoxy_glShaderOp1EXT_dispatch_table_thunk(GLenum op, GLuint res, GLuint arg1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderOp1EXT(op, res, arg1);
}

static __stdcall void
epoxy_glShaderOp2EXT_dispatch_table_thunk(GLenum op, GLuint res, GLuint arg1, GLuint arg2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderOp2EXT(op, res, arg1, arg2);
}

static __stdcall void
epoxy_glShaderOp3EXT_dispatch_table_thunk(GLenum op, GLuint res, GLuint arg1, GLuint arg2, GLuint arg3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderOp3EXT(op, res, arg1, arg2, arg3);
}

static __stdcall void
epoxy_glShaderSource_dispatch_table_thunk(GLuint shader, GLsizei count, const GLchar *const* string, const GLint * length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderSource(shader, count, string, length);
}

static __stdcall void
epoxy_glShaderSourceARB_dispatch_table_thunk(GLhandleARB shaderObj, GLsizei count, const GLcharARB ** string, const GLint * length)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderSource((uintptr_t)shaderObj, count, string, length);
}

static __stdcall void
epoxy_glShaderStorageBlockBinding_dispatch_table_thunk(GLuint program, GLuint storageBlockIndex, GLuint storageBlockBinding)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglShaderStorageBlockBinding(program, storageBlockIndex, storageBlockBinding);
}

static __stdcall void
epoxy_glSharpenTexFuncSGIS_dispatch_table_thunk(GLenum target, GLsizei n, const GLfloat * points)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSharpenTexFuncSGIS(target, n, points);
}

static __stdcall void
epoxy_glSpriteParameterfSGIX_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSpriteParameterfSGIX(pname, param);
}

static __stdcall void
epoxy_glSpriteParameterfvSGIX_dispatch_table_thunk(GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSpriteParameterfvSGIX(pname, params);
}

static __stdcall void
epoxy_glSpriteParameteriSGIX_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSpriteParameteriSGIX(pname, param);
}

static __stdcall void
epoxy_glSpriteParameterivSGIX_dispatch_table_thunk(GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSpriteParameterivSGIX(pname, params);
}

static __stdcall void
epoxy_glStartInstrumentsSGIX_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStartInstrumentsSGIX();
}

static __stdcall void
epoxy_glStartTilingQCOM_dispatch_table_thunk(GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStartTilingQCOM(x, y, width, height, preserveMask);
}

static __stdcall void
epoxy_glStencilClearTagEXT_dispatch_table_thunk(GLsizei stencilTagBits, GLuint stencilClearTag)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilClearTagEXT(stencilTagBits, stencilClearTag);
}

static __stdcall void
epoxy_glStencilFillPathInstancedNV_dispatch_table_thunk(GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLenum fillMode, GLuint mask, GLenum transformType, const GLfloat * transformValues)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilFillPathInstancedNV(numPaths, pathNameType, paths, pathBase, fillMode, mask, transformType, transformValues);
}

static __stdcall void
epoxy_glStencilFillPathNV_dispatch_table_thunk(GLuint path, GLenum fillMode, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilFillPathNV(path, fillMode, mask);
}

static __stdcall void
epoxy_glStencilFunc_dispatch_table_thunk(GLenum func, GLint ref, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilFunc(func, ref, mask);
}

static __stdcall void
epoxy_glStencilFuncSeparate_dispatch_table_thunk(GLenum face, GLenum func, GLint ref, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilFuncSeparate(face, func, ref, mask);
}

static __stdcall void
epoxy_glStencilFuncSeparateATI_dispatch_table_thunk(GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilFuncSeparateATI(frontfunc, backfunc, ref, mask);
}

static __stdcall void
epoxy_glStencilMask_dispatch_table_thunk(GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilMask(mask);
}

static __stdcall void
epoxy_glStencilMaskSeparate_dispatch_table_thunk(GLenum face, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilMaskSeparate(face, mask);
}

static __stdcall void
epoxy_glStencilOp_dispatch_table_thunk(GLenum fail, GLenum zfail, GLenum zpass)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilOp(fail, zfail, zpass);
}

static __stdcall void
epoxy_glStencilOpSeparate_dispatch_table_thunk(GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilOpSeparate(face, sfail, dpfail, dppass);
}

static __stdcall void
epoxy_glStencilOpSeparateATI_dispatch_table_thunk(GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilOpSeparate(face, sfail, dpfail, dppass);
}

static __stdcall void
epoxy_glStencilOpValueAMD_dispatch_table_thunk(GLenum face, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilOpValueAMD(face, value);
}

static __stdcall void
epoxy_glStencilStrokePathInstancedNV_dispatch_table_thunk(GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLint reference, GLuint mask, GLenum transformType, const GLfloat * transformValues)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilStrokePathInstancedNV(numPaths, pathNameType, paths, pathBase, reference, mask, transformType, transformValues);
}

static __stdcall void
epoxy_glStencilStrokePathNV_dispatch_table_thunk(GLuint path, GLint reference, GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStencilStrokePathNV(path, reference, mask);
}

static __stdcall void
epoxy_glStopInstrumentsSGIX_dispatch_table_thunk(GLint marker)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStopInstrumentsSGIX(marker);
}

static __stdcall void
epoxy_glStringMarkerGREMEDY_dispatch_table_thunk(GLsizei len, const void * string)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglStringMarkerGREMEDY(len, string);
}

static __stdcall void
epoxy_glSwizzleEXT_dispatch_table_thunk(GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSwizzleEXT(res, in, outX, outY, outZ, outW);
}

static __stdcall void
epoxy_glSyncTextureINTEL_dispatch_table_thunk(GLuint texture)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglSyncTextureINTEL(texture);
}

static __stdcall void
epoxy_glTagSampleBufferSGIX_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTagSampleBufferSGIX();
}

static __stdcall void
epoxy_glTangent3bEXT_dispatch_table_thunk(GLbyte tx, GLbyte ty, GLbyte tz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3bEXT(tx, ty, tz);
}

static __stdcall void
epoxy_glTangent3bvEXT_dispatch_table_thunk(const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3bvEXT(v);
}

static __stdcall void
epoxy_glTangent3dEXT_dispatch_table_thunk(GLdouble tx, GLdouble ty, GLdouble tz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3dEXT(tx, ty, tz);
}

static __stdcall void
epoxy_glTangent3dvEXT_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3dvEXT(v);
}

static __stdcall void
epoxy_glTangent3fEXT_dispatch_table_thunk(GLfloat tx, GLfloat ty, GLfloat tz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3fEXT(tx, ty, tz);
}

static __stdcall void
epoxy_glTangent3fvEXT_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3fvEXT(v);
}

static __stdcall void
epoxy_glTangent3iEXT_dispatch_table_thunk(GLint tx, GLint ty, GLint tz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3iEXT(tx, ty, tz);
}

static __stdcall void
epoxy_glTangent3ivEXT_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3ivEXT(v);
}

static __stdcall void
epoxy_glTangent3sEXT_dispatch_table_thunk(GLshort tx, GLshort ty, GLshort tz)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3sEXT(tx, ty, tz);
}

static __stdcall void
epoxy_glTangent3svEXT_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangent3svEXT(v);
}

static __stdcall void
epoxy_glTangentPointerEXT_dispatch_table_thunk(GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTangentPointerEXT(type, stride, pointer);
}

static __stdcall void
epoxy_glTbufferMask3DFX_dispatch_table_thunk(GLuint mask)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTbufferMask3DFX(mask);
}

static __stdcall void
epoxy_glTessellationFactorAMD_dispatch_table_thunk(GLfloat factor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTessellationFactorAMD(factor);
}

static __stdcall void
epoxy_glTessellationModeAMD_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTessellationModeAMD(mode);
}

static __stdcall GLboolean
epoxy_glTestFenceAPPLE_dispatch_table_thunk(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglTestFenceAPPLE(fence);
}

static __stdcall GLboolean
epoxy_glTestFenceNV_dispatch_table_thunk(GLuint fence)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglTestFenceNV(fence);
}

static __stdcall GLboolean
epoxy_glTestObjectAPPLE_dispatch_table_thunk(GLenum object, GLuint name)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglTestObjectAPPLE(object, name);
}

static __stdcall void
epoxy_glTexBuffer_dispatch_table_thunk(GLenum target, GLenum internalformat, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexBuffer(target, internalformat, buffer);
}

static __stdcall void
epoxy_glTexBufferARB_dispatch_table_thunk(GLenum target, GLenum internalformat, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexBuffer(target, internalformat, buffer);
}

static __stdcall void
epoxy_glTexBufferEXT_dispatch_table_thunk(GLenum target, GLenum internalformat, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexBuffer(target, internalformat, buffer);
}

static __stdcall void
epoxy_glTexBufferRange_dispatch_table_thunk(GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexBufferRange(target, internalformat, buffer, offset, size);
}

static __stdcall void
epoxy_glTexBumpParameterfvATI_dispatch_table_thunk(GLenum pname, const GLfloat * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexBumpParameterfvATI(pname, param);
}

static __stdcall void
epoxy_glTexBumpParameterivATI_dispatch_table_thunk(GLenum pname, const GLint * param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexBumpParameterivATI(pname, param);
}

static __stdcall void
epoxy_glTexCoord1bOES_dispatch_table_thunk(GLbyte s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1bOES(s);
}

static __stdcall void
epoxy_glTexCoord1bvOES_dispatch_table_thunk(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1bvOES(coords);
}

static __stdcall void
epoxy_glTexCoord1d_dispatch_table_thunk(GLdouble s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1d(s);
}

static __stdcall void
epoxy_glTexCoord1dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1dv(v);
}

static __stdcall void
epoxy_glTexCoord1f_dispatch_table_thunk(GLfloat s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1f(s);
}

static __stdcall void
epoxy_glTexCoord1fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1fv(v);
}

static __stdcall void
epoxy_glTexCoord1hNV_dispatch_table_thunk(GLhalfNV s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1hNV(s);
}

static __stdcall void
epoxy_glTexCoord1hvNV_dispatch_table_thunk(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1hvNV(v);
}

static __stdcall void
epoxy_glTexCoord1i_dispatch_table_thunk(GLint s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1i(s);
}

static __stdcall void
epoxy_glTexCoord1iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1iv(v);
}

static __stdcall void
epoxy_glTexCoord1s_dispatch_table_thunk(GLshort s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1s(s);
}

static __stdcall void
epoxy_glTexCoord1sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1sv(v);
}

static __stdcall void
epoxy_glTexCoord1xOES_dispatch_table_thunk(GLfixed s)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1xOES(s);
}

static __stdcall void
epoxy_glTexCoord1xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord1xvOES(coords);
}

static __stdcall void
epoxy_glTexCoord2bOES_dispatch_table_thunk(GLbyte s, GLbyte t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2bOES(s, t);
}

static __stdcall void
epoxy_glTexCoord2bvOES_dispatch_table_thunk(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2bvOES(coords);
}

static __stdcall void
epoxy_glTexCoord2d_dispatch_table_thunk(GLdouble s, GLdouble t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2d(s, t);
}

static __stdcall void
epoxy_glTexCoord2dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2dv(v);
}

static __stdcall void
epoxy_glTexCoord2f_dispatch_table_thunk(GLfloat s, GLfloat t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2f(s, t);
}

static __stdcall void
epoxy_glTexCoord2fColor3fVertex3fSUN_dispatch_table_thunk(GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fColor3fVertex3fSUN(s, t, r, g, b, x, y, z);
}

static __stdcall void
epoxy_glTexCoord2fColor3fVertex3fvSUN_dispatch_table_thunk(const GLfloat * tc, const GLfloat * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fColor3fVertex3fvSUN(tc, c, v);
}

static __stdcall void
epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_dispatch_table_thunk(GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fColor4fNormal3fVertex3fSUN(s, t, r, g, b, a, nx, ny, nz, x, y, z);
}

static __stdcall void
epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_dispatch_table_thunk(const GLfloat * tc, const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fColor4fNormal3fVertex3fvSUN(tc, c, n, v);
}

static __stdcall void
epoxy_glTexCoord2fColor4ubVertex3fSUN_dispatch_table_thunk(GLfloat s, GLfloat t, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fColor4ubVertex3fSUN(s, t, r, g, b, a, x, y, z);
}

static __stdcall void
epoxy_glTexCoord2fColor4ubVertex3fvSUN_dispatch_table_thunk(const GLfloat * tc, const GLubyte * c, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fColor4ubVertex3fvSUN(tc, c, v);
}

static __stdcall void
epoxy_glTexCoord2fNormal3fVertex3fSUN_dispatch_table_thunk(GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fNormal3fVertex3fSUN(s, t, nx, ny, nz, x, y, z);
}

static __stdcall void
epoxy_glTexCoord2fNormal3fVertex3fvSUN_dispatch_table_thunk(const GLfloat * tc, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fNormal3fVertex3fvSUN(tc, n, v);
}

static __stdcall void
epoxy_glTexCoord2fVertex3fSUN_dispatch_table_thunk(GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fVertex3fSUN(s, t, x, y, z);
}

static __stdcall void
epoxy_glTexCoord2fVertex3fvSUN_dispatch_table_thunk(const GLfloat * tc, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fVertex3fvSUN(tc, v);
}

static __stdcall void
epoxy_glTexCoord2fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2fv(v);
}

static __stdcall void
epoxy_glTexCoord2hNV_dispatch_table_thunk(GLhalfNV s, GLhalfNV t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2hNV(s, t);
}

static __stdcall void
epoxy_glTexCoord2hvNV_dispatch_table_thunk(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2hvNV(v);
}

static __stdcall void
epoxy_glTexCoord2i_dispatch_table_thunk(GLint s, GLint t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2i(s, t);
}

static __stdcall void
epoxy_glTexCoord2iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2iv(v);
}

static __stdcall void
epoxy_glTexCoord2s_dispatch_table_thunk(GLshort s, GLshort t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2s(s, t);
}

static __stdcall void
epoxy_glTexCoord2sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2sv(v);
}

static __stdcall void
epoxy_glTexCoord2xOES_dispatch_table_thunk(GLfixed s, GLfixed t)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2xOES(s, t);
}

static __stdcall void
epoxy_glTexCoord2xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord2xvOES(coords);
}

static __stdcall void
epoxy_glTexCoord3bOES_dispatch_table_thunk(GLbyte s, GLbyte t, GLbyte r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3bOES(s, t, r);
}

static __stdcall void
epoxy_glTexCoord3bvOES_dispatch_table_thunk(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3bvOES(coords);
}

static __stdcall void
epoxy_glTexCoord3d_dispatch_table_thunk(GLdouble s, GLdouble t, GLdouble r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3d(s, t, r);
}

static __stdcall void
epoxy_glTexCoord3dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3dv(v);
}

static __stdcall void
epoxy_glTexCoord3f_dispatch_table_thunk(GLfloat s, GLfloat t, GLfloat r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3f(s, t, r);
}

static __stdcall void
epoxy_glTexCoord3fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3fv(v);
}

static __stdcall void
epoxy_glTexCoord3hNV_dispatch_table_thunk(GLhalfNV s, GLhalfNV t, GLhalfNV r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3hNV(s, t, r);
}

static __stdcall void
epoxy_glTexCoord3hvNV_dispatch_table_thunk(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3hvNV(v);
}

static __stdcall void
epoxy_glTexCoord3i_dispatch_table_thunk(GLint s, GLint t, GLint r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3i(s, t, r);
}

static __stdcall void
epoxy_glTexCoord3iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3iv(v);
}

static __stdcall void
epoxy_glTexCoord3s_dispatch_table_thunk(GLshort s, GLshort t, GLshort r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3s(s, t, r);
}

static __stdcall void
epoxy_glTexCoord3sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3sv(v);
}

static __stdcall void
epoxy_glTexCoord3xOES_dispatch_table_thunk(GLfixed s, GLfixed t, GLfixed r)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3xOES(s, t, r);
}

static __stdcall void
epoxy_glTexCoord3xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord3xvOES(coords);
}

static __stdcall void
epoxy_glTexCoord4bOES_dispatch_table_thunk(GLbyte s, GLbyte t, GLbyte r, GLbyte q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4bOES(s, t, r, q);
}

static __stdcall void
epoxy_glTexCoord4bvOES_dispatch_table_thunk(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4bvOES(coords);
}

static __stdcall void
epoxy_glTexCoord4d_dispatch_table_thunk(GLdouble s, GLdouble t, GLdouble r, GLdouble q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4d(s, t, r, q);
}

static __stdcall void
epoxy_glTexCoord4dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4dv(v);
}

static __stdcall void
epoxy_glTexCoord4f_dispatch_table_thunk(GLfloat s, GLfloat t, GLfloat r, GLfloat q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4f(s, t, r, q);
}

static __stdcall void
epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_dispatch_table_thunk(GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4fColor4fNormal3fVertex4fSUN(s, t, p, q, r, g, b, a, nx, ny, nz, x, y, z, w);
}

static __stdcall void
epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_dispatch_table_thunk(const GLfloat * tc, const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4fColor4fNormal3fVertex4fvSUN(tc, c, n, v);
}

static __stdcall void
epoxy_glTexCoord4fVertex4fSUN_dispatch_table_thunk(GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4fVertex4fSUN(s, t, p, q, x, y, z, w);
}

static __stdcall void
epoxy_glTexCoord4fVertex4fvSUN_dispatch_table_thunk(const GLfloat * tc, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4fVertex4fvSUN(tc, v);
}

static __stdcall void
epoxy_glTexCoord4fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4fv(v);
}

static __stdcall void
epoxy_glTexCoord4hNV_dispatch_table_thunk(GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4hNV(s, t, r, q);
}

static __stdcall void
epoxy_glTexCoord4hvNV_dispatch_table_thunk(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4hvNV(v);
}

static __stdcall void
epoxy_glTexCoord4i_dispatch_table_thunk(GLint s, GLint t, GLint r, GLint q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4i(s, t, r, q);
}

static __stdcall void
epoxy_glTexCoord4iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4iv(v);
}

static __stdcall void
epoxy_glTexCoord4s_dispatch_table_thunk(GLshort s, GLshort t, GLshort r, GLshort q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4s(s, t, r, q);
}

static __stdcall void
epoxy_glTexCoord4sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4sv(v);
}

static __stdcall void
epoxy_glTexCoord4xOES_dispatch_table_thunk(GLfixed s, GLfixed t, GLfixed r, GLfixed q)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4xOES(s, t, r, q);
}

static __stdcall void
epoxy_glTexCoord4xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoord4xvOES(coords);
}

static __stdcall void
epoxy_glTexCoordFormatNV_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordFormatNV(size, type, stride);
}

static __stdcall void
epoxy_glTexCoordP1ui_dispatch_table_thunk(GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP1ui(type, coords);
}

static __stdcall void
epoxy_glTexCoordP1uiv_dispatch_table_thunk(GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP1uiv(type, coords);
}

static __stdcall void
epoxy_glTexCoordP2ui_dispatch_table_thunk(GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP2ui(type, coords);
}

static __stdcall void
epoxy_glTexCoordP2uiv_dispatch_table_thunk(GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP2uiv(type, coords);
}

static __stdcall void
epoxy_glTexCoordP3ui_dispatch_table_thunk(GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP3ui(type, coords);
}

static __stdcall void
epoxy_glTexCoordP3uiv_dispatch_table_thunk(GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP3uiv(type, coords);
}

static __stdcall void
epoxy_glTexCoordP4ui_dispatch_table_thunk(GLenum type, GLuint coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP4ui(type, coords);
}

static __stdcall void
epoxy_glTexCoordP4uiv_dispatch_table_thunk(GLenum type, const GLuint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordP4uiv(type, coords);
}

static __stdcall void
epoxy_glTexCoordPointer_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordPointer(size, type, stride, pointer);
}

static __stdcall void
epoxy_glTexCoordPointerEXT_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordPointerEXT(size, type, stride, count, pointer);
}

static __stdcall void
epoxy_glTexCoordPointerListIBM_dispatch_table_thunk(GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordPointerListIBM(size, type, stride, pointer, ptrstride);
}

static __stdcall void
epoxy_glTexCoordPointervINTEL_dispatch_table_thunk(GLint size, GLenum type, const void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexCoordPointervINTEL(size, type, pointer);
}

static __stdcall void
epoxy_glTexEnvf_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvf(target, pname, param);
}

static __stdcall void
epoxy_glTexEnvfv_dispatch_table_thunk(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvfv(target, pname, params);
}

static __stdcall void
epoxy_glTexEnvi_dispatch_table_thunk(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvi(target, pname, param);
}

static __stdcall void
epoxy_glTexEnviv_dispatch_table_thunk(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnviv(target, pname, params);
}

static __stdcall void
epoxy_glTexEnvx_dispatch_table_thunk(GLenum target, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvx(target, pname, param);
}

static __stdcall void
epoxy_glTexEnvxOES_dispatch_table_thunk(GLenum target, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvxOES(target, pname, param);
}

static __stdcall void
epoxy_glTexEnvxv_dispatch_table_thunk(GLenum target, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvxv(target, pname, params);
}

static __stdcall void
epoxy_glTexEnvxvOES_dispatch_table_thunk(GLenum target, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexEnvxvOES(target, pname, params);
}

static __stdcall void
epoxy_glTexFilterFuncSGIS_dispatch_table_thunk(GLenum target, GLenum filter, GLsizei n, const GLfloat * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexFilterFuncSGIS(target, filter, n, weights);
}

static __stdcall void
epoxy_glTexGend_dispatch_table_thunk(GLenum coord, GLenum pname, GLdouble param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGend(coord, pname, param);
}

static __stdcall void
epoxy_glTexGendv_dispatch_table_thunk(GLenum coord, GLenum pname, const GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGendv(coord, pname, params);
}

static __stdcall void
epoxy_glTexGenf_dispatch_table_thunk(GLenum coord, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenf(coord, pname, param);
}

static __stdcall void
epoxy_glTexGenfOES_dispatch_table_thunk(GLenum coord, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenfOES(coord, pname, param);
}

static __stdcall void
epoxy_glTexGenfv_dispatch_table_thunk(GLenum coord, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenfv(coord, pname, params);
}

static __stdcall void
epoxy_glTexGenfvOES_dispatch_table_thunk(GLenum coord, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenfvOES(coord, pname, params);
}

static __stdcall void
epoxy_glTexGeni_dispatch_table_thunk(GLenum coord, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGeni(coord, pname, param);
}

static __stdcall void
epoxy_glTexGeniOES_dispatch_table_thunk(GLenum coord, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGeniOES(coord, pname, param);
}

static __stdcall void
epoxy_glTexGeniv_dispatch_table_thunk(GLenum coord, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGeniv(coord, pname, params);
}

static __stdcall void
epoxy_glTexGenivOES_dispatch_table_thunk(GLenum coord, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenivOES(coord, pname, params);
}

static __stdcall void
epoxy_glTexGenxOES_dispatch_table_thunk(GLenum coord, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenxOES(coord, pname, param);
}

static __stdcall void
epoxy_glTexGenxvOES_dispatch_table_thunk(GLenum coord, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexGenxvOES(coord, pname, params);
}

static __stdcall void
epoxy_glTexImage1D_dispatch_table_thunk(GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage1D(target, level, internalformat, width, border, format, type, pixels);
}

static __stdcall void
epoxy_glTexImage2D_dispatch_table_thunk(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage2D(target, level, internalformat, width, height, border, format, type, pixels);
}

static __stdcall void
epoxy_glTexImage2DMultisample_dispatch_table_thunk(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage2DMultisample(target, samples, internalformat, width, height, fixedsamplelocations);
}

static __stdcall void
epoxy_glTexImage2DMultisampleCoverageNV_dispatch_table_thunk(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage2DMultisampleCoverageNV(target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations);
}

static __stdcall void
epoxy_glTexImage3D_dispatch_table_thunk(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage3D(target, level, internalformat, width, height, depth, border, format, type, pixels);
}

static __stdcall void
epoxy_glTexImage3DEXT_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage3D(target, level, internalformat, width, height, depth, border, format, type, pixels);
}

static __stdcall void
epoxy_glTexImage3DMultisample_dispatch_table_thunk(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage3DMultisample(target, samples, internalformat, width, height, depth, fixedsamplelocations);
}

static __stdcall void
epoxy_glTexImage3DMultisampleCoverageNV_dispatch_table_thunk(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage3DMultisampleCoverageNV(target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations);
}

static __stdcall void
epoxy_glTexImage3DOES_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage3D(target, level, internalformat, width, height, depth, border, format, type, pixels);
}

static __stdcall void
epoxy_glTexImage4DSGIS_dispatch_table_thunk(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexImage4DSGIS(target, level, internalformat, width, height, depth, size4d, border, format, type, pixels);
}

static __stdcall void
epoxy_glTexPageCommitmentARB_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLboolean resident)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexPageCommitmentARB(target, level, xoffset, yoffset, zoffset, width, height, depth, resident);
}

static __stdcall void
epoxy_glTexParameterIiv_dispatch_table_thunk(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterIiv(target, pname, params);
}

static __stdcall void
epoxy_glTexParameterIivEXT_dispatch_table_thunk(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterIiv(target, pname, params);
}

static __stdcall void
epoxy_glTexParameterIuiv_dispatch_table_thunk(GLenum target, GLenum pname, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterIuiv(target, pname, params);
}

static __stdcall void
epoxy_glTexParameterIuivEXT_dispatch_table_thunk(GLenum target, GLenum pname, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterIuiv(target, pname, params);
}

static __stdcall void
epoxy_glTexParameterf_dispatch_table_thunk(GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterf(target, pname, param);
}

static __stdcall void
epoxy_glTexParameterfv_dispatch_table_thunk(GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterfv(target, pname, params);
}

static __stdcall void
epoxy_glTexParameteri_dispatch_table_thunk(GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameteri(target, pname, param);
}

static __stdcall void
epoxy_glTexParameteriv_dispatch_table_thunk(GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameteriv(target, pname, params);
}

static __stdcall void
epoxy_glTexParameterx_dispatch_table_thunk(GLenum target, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterx(target, pname, param);
}

static __stdcall void
epoxy_glTexParameterxOES_dispatch_table_thunk(GLenum target, GLenum pname, GLfixed param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterxOES(target, pname, param);
}

static __stdcall void
epoxy_glTexParameterxv_dispatch_table_thunk(GLenum target, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterxv(target, pname, params);
}

static __stdcall void
epoxy_glTexParameterxvOES_dispatch_table_thunk(GLenum target, GLenum pname, const GLfixed * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexParameterxvOES(target, pname, params);
}

static __stdcall void
epoxy_glTexRenderbufferNV_dispatch_table_thunk(GLenum target, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexRenderbufferNV(target, renderbuffer);
}

static __stdcall void
epoxy_glTexStorage1D_dispatch_table_thunk(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage1D(target, levels, internalformat, width);
}

static __stdcall void
epoxy_glTexStorage1DEXT_dispatch_table_thunk(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage1D(target, levels, internalformat, width);
}

static __stdcall void
epoxy_glTexStorage2D_dispatch_table_thunk(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage2D(target, levels, internalformat, width, height);
}

static __stdcall void
epoxy_glTexStorage2DEXT_dispatch_table_thunk(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage2D(target, levels, internalformat, width, height);
}

static __stdcall void
epoxy_glTexStorage2DMultisample_dispatch_table_thunk(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage2DMultisample(target, samples, internalformat, width, height, fixedsamplelocations);
}

static __stdcall void
epoxy_glTexStorage3D_dispatch_table_thunk(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage3D(target, levels, internalformat, width, height, depth);
}

static __stdcall void
epoxy_glTexStorage3DEXT_dispatch_table_thunk(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage3D(target, levels, internalformat, width, height, depth);
}

static __stdcall void
epoxy_glTexStorage3DMultisample_dispatch_table_thunk(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorage3DMultisample(target, samples, internalformat, width, height, depth, fixedsamplelocations);
}

static __stdcall void
epoxy_glTexStorageSparseAMD_dispatch_table_thunk(GLenum target, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLsizei layers, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexStorageSparseAMD(target, internalFormat, width, height, depth, layers, flags);
}

static __stdcall void
epoxy_glTexSubImage1D_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexSubImage1D(target, level, xoffset, width, format, type, pixels);
}

static __stdcall void
epoxy_glTexSubImage1DEXT_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexSubImage1D(target, level, xoffset, width, format, type, pixels);
}

static __stdcall void
epoxy_glTexSubImage2D_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexSubImage2D(target, level, xoffset, yoffset, width, height, format, type, pixels);
}

static __stdcall void
epoxy_glTexSubImage2DEXT_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexSubImage2D(target, level, xoffset, yoffset, width, height, format, type, pixels);
}

static __stdcall void
epoxy_glTexSubImage3D_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexSubImage3D(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}

static __stdcall void
epoxy_glTexSubImage3DEXT_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexSubImage3D(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}

static __stdcall void
epoxy_glTexSubImage3DOES_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexSubImage3D(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}

static __stdcall void
epoxy_glTexSubImage4DSGIS_dispatch_table_thunk(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint woffset, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexSubImage4DSGIS(target, level, xoffset, yoffset, zoffset, woffset, width, height, depth, size4d, format, type, pixels);
}

static __stdcall void
epoxy_glTextureBarrierNV_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureBarrierNV();
}

static __stdcall void
epoxy_glTextureBufferEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureBufferEXT(texture, target, internalformat, buffer);
}

static __stdcall void
epoxy_glTextureBufferRangeEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureBufferRangeEXT(texture, target, internalformat, buffer, offset, size);
}

static __stdcall void
epoxy_glTextureColorMaskSGIS_dispatch_table_thunk(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureColorMaskSGIS(red, green, blue, alpha);
}

static __stdcall void
epoxy_glTextureImage1DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage1DEXT(texture, target, level, internalformat, width, border, format, type, pixels);
}

static __stdcall void
epoxy_glTextureImage2DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage2DEXT(texture, target, level, internalformat, width, height, border, format, type, pixels);
}

static __stdcall void
epoxy_glTextureImage2DMultisampleCoverageNV_dispatch_table_thunk(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage2DMultisampleCoverageNV(texture, target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations);
}

static __stdcall void
epoxy_glTextureImage2DMultisampleNV_dispatch_table_thunk(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage2DMultisampleNV(texture, target, samples, internalFormat, width, height, fixedSampleLocations);
}

static __stdcall void
epoxy_glTextureImage3DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage3DEXT(texture, target, level, internalformat, width, height, depth, border, format, type, pixels);
}

static __stdcall void
epoxy_glTextureImage3DMultisampleCoverageNV_dispatch_table_thunk(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage3DMultisampleCoverageNV(texture, target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations);
}

static __stdcall void
epoxy_glTextureImage3DMultisampleNV_dispatch_table_thunk(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureImage3DMultisampleNV(texture, target, samples, internalFormat, width, height, depth, fixedSampleLocations);
}

static __stdcall void
epoxy_glTextureLightEXT_dispatch_table_thunk(GLenum pname)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureLightEXT(pname);
}

static __stdcall void
epoxy_glTextureMaterialEXT_dispatch_table_thunk(GLenum face, GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureMaterialEXT(face, mode);
}

static __stdcall void
epoxy_glTextureNormalEXT_dispatch_table_thunk(GLenum mode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureNormalEXT(mode);
}

static __stdcall void
epoxy_glTexturePageCommitmentEXT_dispatch_table_thunk(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLboolean resident)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTexturePageCommitmentEXT(texture, level, xoffset, yoffset, zoffset, width, height, depth, resident);
}

static __stdcall void
epoxy_glTextureParameterIivEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureParameterIivEXT(texture, target, pname, params);
}

static __stdcall void
epoxy_glTextureParameterIuivEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLenum pname, const GLuint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureParameterIuivEXT(texture, target, pname, params);
}

static __stdcall void
epoxy_glTextureParameterfEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureParameterfEXT(texture, target, pname, param);
}

static __stdcall void
epoxy_glTextureParameterfvEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureParameterfvEXT(texture, target, pname, params);
}

static __stdcall void
epoxy_glTextureParameteriEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureParameteriEXT(texture, target, pname, param);
}

static __stdcall void
epoxy_glTextureParameterivEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureParameterivEXT(texture, target, pname, params);
}

static __stdcall void
epoxy_glTextureRangeAPPLE_dispatch_table_thunk(GLenum target, GLsizei length, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureRangeAPPLE(target, length, pointer);
}

static __stdcall void
epoxy_glTextureRenderbufferEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLuint renderbuffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureRenderbufferEXT(texture, target, renderbuffer);
}

static __stdcall void
epoxy_glTextureStorage1DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureStorage1DEXT(texture, target, levels, internalformat, width);
}

static __stdcall void
epoxy_glTextureStorage2DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureStorage2DEXT(texture, target, levels, internalformat, width, height);
}

static __stdcall void
epoxy_glTextureStorage2DMultisampleEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureStorage2DMultisampleEXT(texture, target, samples, internalformat, width, height, fixedsamplelocations);
}

static __stdcall void
epoxy_glTextureStorage3DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureStorage3DEXT(texture, target, levels, internalformat, width, height, depth);
}

static __stdcall void
epoxy_glTextureStorage3DMultisampleEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureStorage3DMultisampleEXT(texture, target, samples, internalformat, width, height, depth, fixedsamplelocations);
}

static __stdcall void
epoxy_glTextureStorageSparseAMD_dispatch_table_thunk(GLuint texture, GLenum target, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLsizei layers, GLbitfield flags)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureStorageSparseAMD(texture, target, internalFormat, width, height, depth, layers, flags);
}

static __stdcall void
epoxy_glTextureSubImage1DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureSubImage1DEXT(texture, target, level, xoffset, width, format, type, pixels);
}

static __stdcall void
epoxy_glTextureSubImage2DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureSubImage2DEXT(texture, target, level, xoffset, yoffset, width, height, format, type, pixels);
}

static __stdcall void
epoxy_glTextureSubImage3DEXT_dispatch_table_thunk(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureSubImage3DEXT(texture, target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}

static __stdcall void
epoxy_glTextureView_dispatch_table_thunk(GLuint texture, GLenum target, GLuint origtexture, GLenum internalformat, GLuint minlevel, GLuint numlevels, GLuint minlayer, GLuint numlayers)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTextureView(texture, target, origtexture, internalformat, minlevel, numlevels, minlayer, numlayers);
}

static __stdcall void
epoxy_glTrackMatrixNV_dispatch_table_thunk(GLenum target, GLuint address, GLenum matrix, GLenum transform)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTrackMatrixNV(target, address, matrix, transform);
}

static __stdcall void
epoxy_glTransformFeedbackAttribsNV_dispatch_table_thunk(GLuint count, const GLint * attribs, GLenum bufferMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTransformFeedbackAttribsNV(count, attribs, bufferMode);
}

static __stdcall void
epoxy_glTransformFeedbackStreamAttribsNV_dispatch_table_thunk(GLsizei count, const GLint * attribs, GLsizei nbuffers, const GLint * bufstreams, GLenum bufferMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTransformFeedbackStreamAttribsNV(count, attribs, nbuffers, bufstreams, bufferMode);
}

static __stdcall void
epoxy_glTransformFeedbackVaryings_dispatch_table_thunk(GLuint program, GLsizei count, const GLchar *const* varyings, GLenum bufferMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTransformFeedbackVaryings(program, count, varyings, bufferMode);
}

static __stdcall void
epoxy_glTransformFeedbackVaryingsEXT_dispatch_table_thunk(GLuint program, GLsizei count, const GLchar *const* varyings, GLenum bufferMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTransformFeedbackVaryings(program, count, varyings, bufferMode);
}

static __stdcall void
epoxy_glTransformFeedbackVaryingsNV_dispatch_table_thunk(GLuint program, GLsizei count, const GLint * locations, GLenum bufferMode)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTransformFeedbackVaryingsNV(program, count, locations, bufferMode);
}

static __stdcall void
epoxy_glTransformPathNV_dispatch_table_thunk(GLuint resultPath, GLuint srcPath, GLenum transformType, const GLfloat * transformValues)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTransformPathNV(resultPath, srcPath, transformType, transformValues);
}

static __stdcall void
epoxy_glTranslated_dispatch_table_thunk(GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTranslated(x, y, z);
}

static __stdcall void
epoxy_glTranslatef_dispatch_table_thunk(GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTranslatef(x, y, z);
}

static __stdcall void
epoxy_glTranslatex_dispatch_table_thunk(GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTranslatex(x, y, z);
}

static __stdcall void
epoxy_glTranslatexOES_dispatch_table_thunk(GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglTranslatexOES(x, y, z);
}

static __stdcall void
epoxy_glUniform1d_dispatch_table_thunk(GLint location, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1d(location, x);
}

static __stdcall void
epoxy_glUniform1dv_dispatch_table_thunk(GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1dv(location, count, value);
}

static __stdcall void
epoxy_glUniform1f_dispatch_table_thunk(GLint location, GLfloat v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1f(location, v0);
}

static __stdcall void
epoxy_glUniform1fARB_dispatch_table_thunk(GLint location, GLfloat v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1f(location, v0);
}

static __stdcall void
epoxy_glUniform1fv_dispatch_table_thunk(GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1fv(location, count, value);
}

static __stdcall void
epoxy_glUniform1fvARB_dispatch_table_thunk(GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1fv(location, count, value);
}

static __stdcall void
epoxy_glUniform1i_dispatch_table_thunk(GLint location, GLint v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1i(location, v0);
}

static __stdcall void
epoxy_glUniform1i64NV_dispatch_table_thunk(GLint location, GLint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1i64NV(location, x);
}

static __stdcall void
epoxy_glUniform1i64vNV_dispatch_table_thunk(GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1i64vNV(location, count, value);
}

static __stdcall void
epoxy_glUniform1iARB_dispatch_table_thunk(GLint location, GLint v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1i(location, v0);
}

static __stdcall void
epoxy_glUniform1iv_dispatch_table_thunk(GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1iv(location, count, value);
}

static __stdcall void
epoxy_glUniform1ivARB_dispatch_table_thunk(GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1iv(location, count, value);
}

static __stdcall void
epoxy_glUniform1ui_dispatch_table_thunk(GLint location, GLuint v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1ui(location, v0);
}

static __stdcall void
epoxy_glUniform1ui64NV_dispatch_table_thunk(GLint location, GLuint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1ui64NV(location, x);
}

static __stdcall void
epoxy_glUniform1ui64vNV_dispatch_table_thunk(GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1ui64vNV(location, count, value);
}

static __stdcall void
epoxy_glUniform1uiEXT_dispatch_table_thunk(GLint location, GLuint v0)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1ui(location, v0);
}

static __stdcall void
epoxy_glUniform1uiv_dispatch_table_thunk(GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1uiv(location, count, value);
}

static __stdcall void
epoxy_glUniform1uivEXT_dispatch_table_thunk(GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform1uiv(location, count, value);
}

static __stdcall void
epoxy_glUniform2d_dispatch_table_thunk(GLint location, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2d(location, x, y);
}

static __stdcall void
epoxy_glUniform2dv_dispatch_table_thunk(GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2dv(location, count, value);
}

static __stdcall void
epoxy_glUniform2f_dispatch_table_thunk(GLint location, GLfloat v0, GLfloat v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2f(location, v0, v1);
}

static __stdcall void
epoxy_glUniform2fARB_dispatch_table_thunk(GLint location, GLfloat v0, GLfloat v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2f(location, v0, v1);
}

static __stdcall void
epoxy_glUniform2fv_dispatch_table_thunk(GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2fv(location, count, value);
}

static __stdcall void
epoxy_glUniform2fvARB_dispatch_table_thunk(GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2fv(location, count, value);
}

static __stdcall void
epoxy_glUniform2i_dispatch_table_thunk(GLint location, GLint v0, GLint v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2i(location, v0, v1);
}

static __stdcall void
epoxy_glUniform2i64NV_dispatch_table_thunk(GLint location, GLint64EXT x, GLint64EXT y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2i64NV(location, x, y);
}

static __stdcall void
epoxy_glUniform2i64vNV_dispatch_table_thunk(GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2i64vNV(location, count, value);
}

static __stdcall void
epoxy_glUniform2iARB_dispatch_table_thunk(GLint location, GLint v0, GLint v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2i(location, v0, v1);
}

static __stdcall void
epoxy_glUniform2iv_dispatch_table_thunk(GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2iv(location, count, value);
}

static __stdcall void
epoxy_glUniform2ivARB_dispatch_table_thunk(GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2iv(location, count, value);
}

static __stdcall void
epoxy_glUniform2ui_dispatch_table_thunk(GLint location, GLuint v0, GLuint v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2ui(location, v0, v1);
}

static __stdcall void
epoxy_glUniform2ui64NV_dispatch_table_thunk(GLint location, GLuint64EXT x, GLuint64EXT y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2ui64NV(location, x, y);
}

static __stdcall void
epoxy_glUniform2ui64vNV_dispatch_table_thunk(GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2ui64vNV(location, count, value);
}

static __stdcall void
epoxy_glUniform2uiEXT_dispatch_table_thunk(GLint location, GLuint v0, GLuint v1)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2ui(location, v0, v1);
}

static __stdcall void
epoxy_glUniform2uiv_dispatch_table_thunk(GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2uiv(location, count, value);
}

static __stdcall void
epoxy_glUniform2uivEXT_dispatch_table_thunk(GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform2uiv(location, count, value);
}

static __stdcall void
epoxy_glUniform3d_dispatch_table_thunk(GLint location, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3d(location, x, y, z);
}

static __stdcall void
epoxy_glUniform3dv_dispatch_table_thunk(GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3dv(location, count, value);
}

static __stdcall void
epoxy_glUniform3f_dispatch_table_thunk(GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3f(location, v0, v1, v2);
}

static __stdcall void
epoxy_glUniform3fARB_dispatch_table_thunk(GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3f(location, v0, v1, v2);
}

static __stdcall void
epoxy_glUniform3fv_dispatch_table_thunk(GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3fv(location, count, value);
}

static __stdcall void
epoxy_glUniform3fvARB_dispatch_table_thunk(GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3fv(location, count, value);
}

static __stdcall void
epoxy_glUniform3i_dispatch_table_thunk(GLint location, GLint v0, GLint v1, GLint v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3i(location, v0, v1, v2);
}

static __stdcall void
epoxy_glUniform3i64NV_dispatch_table_thunk(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3i64NV(location, x, y, z);
}

static __stdcall void
epoxy_glUniform3i64vNV_dispatch_table_thunk(GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3i64vNV(location, count, value);
}

static __stdcall void
epoxy_glUniform3iARB_dispatch_table_thunk(GLint location, GLint v0, GLint v1, GLint v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3i(location, v0, v1, v2);
}

static __stdcall void
epoxy_glUniform3iv_dispatch_table_thunk(GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3iv(location, count, value);
}

static __stdcall void
epoxy_glUniform3ivARB_dispatch_table_thunk(GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3iv(location, count, value);
}

static __stdcall void
epoxy_glUniform3ui_dispatch_table_thunk(GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3ui(location, v0, v1, v2);
}

static __stdcall void
epoxy_glUniform3ui64NV_dispatch_table_thunk(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3ui64NV(location, x, y, z);
}

static __stdcall void
epoxy_glUniform3ui64vNV_dispatch_table_thunk(GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3ui64vNV(location, count, value);
}

static __stdcall void
epoxy_glUniform3uiEXT_dispatch_table_thunk(GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3ui(location, v0, v1, v2);
}

static __stdcall void
epoxy_glUniform3uiv_dispatch_table_thunk(GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3uiv(location, count, value);
}

static __stdcall void
epoxy_glUniform3uivEXT_dispatch_table_thunk(GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform3uiv(location, count, value);
}

static __stdcall void
epoxy_glUniform4d_dispatch_table_thunk(GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4d(location, x, y, z, w);
}

static __stdcall void
epoxy_glUniform4dv_dispatch_table_thunk(GLint location, GLsizei count, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4dv(location, count, value);
}

static __stdcall void
epoxy_glUniform4f_dispatch_table_thunk(GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4f(location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glUniform4fARB_dispatch_table_thunk(GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4f(location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glUniform4fv_dispatch_table_thunk(GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4fv(location, count, value);
}

static __stdcall void
epoxy_glUniform4fvARB_dispatch_table_thunk(GLint location, GLsizei count, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4fv(location, count, value);
}

static __stdcall void
epoxy_glUniform4i_dispatch_table_thunk(GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4i(location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glUniform4i64NV_dispatch_table_thunk(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4i64NV(location, x, y, z, w);
}

static __stdcall void
epoxy_glUniform4i64vNV_dispatch_table_thunk(GLint location, GLsizei count, const GLint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4i64vNV(location, count, value);
}

static __stdcall void
epoxy_glUniform4iARB_dispatch_table_thunk(GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4i(location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glUniform4iv_dispatch_table_thunk(GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4iv(location, count, value);
}

static __stdcall void
epoxy_glUniform4ivARB_dispatch_table_thunk(GLint location, GLsizei count, const GLint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4iv(location, count, value);
}

static __stdcall void
epoxy_glUniform4ui_dispatch_table_thunk(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4ui(location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glUniform4ui64NV_dispatch_table_thunk(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4ui64NV(location, x, y, z, w);
}

static __stdcall void
epoxy_glUniform4ui64vNV_dispatch_table_thunk(GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4ui64vNV(location, count, value);
}

static __stdcall void
epoxy_glUniform4uiEXT_dispatch_table_thunk(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4ui(location, v0, v1, v2, v3);
}

static __stdcall void
epoxy_glUniform4uiv_dispatch_table_thunk(GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4uiv(location, count, value);
}

static __stdcall void
epoxy_glUniform4uivEXT_dispatch_table_thunk(GLint location, GLsizei count, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniform4uiv(location, count, value);
}

static __stdcall void
epoxy_glUniformBlockBinding_dispatch_table_thunk(GLuint program, GLuint uniformBlockIndex, GLuint uniformBlockBinding)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformBlockBinding(program, uniformBlockIndex, uniformBlockBinding);
}

static __stdcall void
epoxy_glUniformBufferEXT_dispatch_table_thunk(GLuint program, GLint location, GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformBufferEXT(program, location, buffer);
}

static __stdcall void
epoxy_glUniformHandleui64ARB_dispatch_table_thunk(GLint location, GLuint64 value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformHandleui64ARB(location, value);
}

static __stdcall void
epoxy_glUniformHandleui64NV_dispatch_table_thunk(GLint location, GLuint64 value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformHandleui64NV(location, value);
}

static __stdcall void
epoxy_glUniformHandleui64vARB_dispatch_table_thunk(GLint location, GLsizei count, const GLuint64 * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformHandleui64vARB(location, count, value);
}

static __stdcall void
epoxy_glUniformHandleui64vNV_dispatch_table_thunk(GLint location, GLsizei count, const GLuint64 * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformHandleui64vNV(location, count, value);
}

static __stdcall void
epoxy_glUniformMatrix2dv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2dv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix2fv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix2fvARB_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix2x3dv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2x3dv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix2x3fv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2x3fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix2x3fvNV_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2x3fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix2x4dv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2x4dv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix2x4fv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2x4fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix2x4fvNV_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix2x4fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix3dv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3dv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix3fv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix3fvARB_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix3x2dv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3x2dv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix3x2fv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3x2fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix3x2fvNV_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3x2fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix3x4dv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3x4dv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix3x4fv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3x4fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix3x4fvNV_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix3x4fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix4dv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4dv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix4fv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix4fvARB_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix4x2dv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4x2dv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix4x2fv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4x2fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix4x2fvNV_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4x2fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix4x3dv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4x3dv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix4x3fv_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4x3fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformMatrix4x3fvNV_dispatch_table_thunk(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformMatrix4x3fv(location, count, transpose, value);
}

static __stdcall void
epoxy_glUniformSubroutinesuiv_dispatch_table_thunk(GLenum shadertype, GLsizei count, const GLuint * indices)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformSubroutinesuiv(shadertype, count, indices);
}

static __stdcall void
epoxy_glUniformui64NV_dispatch_table_thunk(GLint location, GLuint64EXT value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformui64NV(location, value);
}

static __stdcall void
epoxy_glUniformui64vNV_dispatch_table_thunk(GLint location, GLsizei count, const GLuint64EXT * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUniformui64vNV(location, count, value);
}

static __stdcall void
epoxy_glUnlockArraysEXT_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUnlockArraysEXT();
}

static __stdcall GLboolean
epoxy_glUnmapBuffer_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglUnmapBuffer(target);
}

static __stdcall GLboolean
epoxy_glUnmapBufferARB_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglUnmapBuffer(target);
}

static __stdcall GLboolean
epoxy_glUnmapBufferOES_dispatch_table_thunk(GLenum target)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglUnmapBuffer(target);
}

static __stdcall GLboolean
epoxy_glUnmapNamedBufferEXT_dispatch_table_thunk(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglUnmapNamedBufferEXT(buffer);
}

static __stdcall void
epoxy_glUnmapObjectBufferATI_dispatch_table_thunk(GLuint buffer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUnmapObjectBufferATI(buffer);
}

static __stdcall void
epoxy_glUnmapTexture2DINTEL_dispatch_table_thunk(GLuint texture, GLint level)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUnmapTexture2DINTEL(texture, level);
}

static __stdcall void
epoxy_glUpdateObjectBufferATI_dispatch_table_thunk(GLuint buffer, GLuint offset, GLsizei size, const void * pointer, GLenum preserve)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUpdateObjectBufferATI(buffer, offset, size, pointer, preserve);
}

static __stdcall void
epoxy_glUseProgram_dispatch_table_thunk(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUseProgram(program);
}

static __stdcall void
epoxy_glUseProgramObjectARB_dispatch_table_thunk(GLhandleARB programObj)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUseProgram((uintptr_t)programObj);
}

static __stdcall void
epoxy_glUseProgramStages_dispatch_table_thunk(GLuint pipeline, GLbitfield stages, GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUseProgramStages(pipeline, stages, program);
}

static __stdcall void
epoxy_glUseProgramStagesEXT_dispatch_table_thunk(GLuint pipeline, GLbitfield stages, GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUseProgramStagesEXT(pipeline, stages, program);
}

static __stdcall void
epoxy_glUseShaderProgramEXT_dispatch_table_thunk(GLenum type, GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglUseShaderProgramEXT(type, program);
}

static __stdcall void
epoxy_glVDPAUFiniNV_dispatch_table_thunk(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUFiniNV();
}

static __stdcall void
epoxy_glVDPAUGetSurfaceivNV_dispatch_table_thunk(GLvdpauSurfaceNV surface, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUGetSurfaceivNV(surface, pname, bufSize, length, values);
}

static __stdcall void
epoxy_glVDPAUInitNV_dispatch_table_thunk(const void * vdpDevice, const void * getProcAddress)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUInitNV(vdpDevice, getProcAddress);
}

static __stdcall GLboolean
epoxy_glVDPAUIsSurfaceNV_dispatch_table_thunk(GLvdpauSurfaceNV surface)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglVDPAUIsSurfaceNV(surface);
}

static __stdcall void
epoxy_glVDPAUMapSurfacesNV_dispatch_table_thunk(GLsizei numSurfaces, const GLvdpauSurfaceNV * surfaces)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUMapSurfacesNV(numSurfaces, surfaces);
}

static __stdcall GLvdpauSurfaceNV
epoxy_glVDPAURegisterOutputSurfaceNV_dispatch_table_thunk(const void * vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint * textureNames)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglVDPAURegisterOutputSurfaceNV(vdpSurface, target, numTextureNames, textureNames);
}

static __stdcall GLvdpauSurfaceNV
epoxy_glVDPAURegisterVideoSurfaceNV_dispatch_table_thunk(const void * vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint * textureNames)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglVDPAURegisterVideoSurfaceNV(vdpSurface, target, numTextureNames, textureNames);
}

static __stdcall void
epoxy_glVDPAUSurfaceAccessNV_dispatch_table_thunk(GLvdpauSurfaceNV surface, GLenum access)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUSurfaceAccessNV(surface, access);
}

static __stdcall void
epoxy_glVDPAUUnmapSurfacesNV_dispatch_table_thunk(GLsizei numSurface, const GLvdpauSurfaceNV * surfaces)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUUnmapSurfacesNV(numSurface, surfaces);
}

static __stdcall void
epoxy_glVDPAUUnregisterSurfaceNV_dispatch_table_thunk(GLvdpauSurfaceNV surface)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVDPAUUnregisterSurfaceNV(surface);
}

static __stdcall void
epoxy_glValidateProgram_dispatch_table_thunk(GLuint program)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglValidateProgram(program);
}

static __stdcall void
epoxy_glValidateProgramARB_dispatch_table_thunk(GLhandleARB programObj)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglValidateProgram((uintptr_t)programObj);
}

static __stdcall void
epoxy_glValidateProgramPipeline_dispatch_table_thunk(GLuint pipeline)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglValidateProgramPipeline(pipeline);
}

static __stdcall void
epoxy_glValidateProgramPipelineEXT_dispatch_table_thunk(GLuint pipeline)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglValidateProgramPipelineEXT(pipeline);
}

static __stdcall void
epoxy_glVariantArrayObjectATI_dispatch_table_thunk(GLuint id, GLenum type, GLsizei stride, GLuint buffer, GLuint offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantArrayObjectATI(id, type, stride, buffer, offset);
}

static __stdcall void
epoxy_glVariantPointerEXT_dispatch_table_thunk(GLuint id, GLenum type, GLuint stride, const void * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantPointerEXT(id, type, stride, addr);
}

static __stdcall void
epoxy_glVariantbvEXT_dispatch_table_thunk(GLuint id, const GLbyte * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantbvEXT(id, addr);
}

static __stdcall void
epoxy_glVariantdvEXT_dispatch_table_thunk(GLuint id, const GLdouble * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantdvEXT(id, addr);
}

static __stdcall void
epoxy_glVariantfvEXT_dispatch_table_thunk(GLuint id, const GLfloat * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantfvEXT(id, addr);
}

static __stdcall void
epoxy_glVariantivEXT_dispatch_table_thunk(GLuint id, const GLint * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantivEXT(id, addr);
}

static __stdcall void
epoxy_glVariantsvEXT_dispatch_table_thunk(GLuint id, const GLshort * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantsvEXT(id, addr);
}

static __stdcall void
epoxy_glVariantubvEXT_dispatch_table_thunk(GLuint id, const GLubyte * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantubvEXT(id, addr);
}

static __stdcall void
epoxy_glVariantuivEXT_dispatch_table_thunk(GLuint id, const GLuint * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantuivEXT(id, addr);
}

static __stdcall void
epoxy_glVariantusvEXT_dispatch_table_thunk(GLuint id, const GLushort * addr)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVariantusvEXT(id, addr);
}

static __stdcall void
epoxy_glVertex2bOES_dispatch_table_thunk(GLbyte x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2bOES(x);
}

static __stdcall void
epoxy_glVertex2bvOES_dispatch_table_thunk(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2bvOES(coords);
}

static __stdcall void
epoxy_glVertex2d_dispatch_table_thunk(GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2d(x, y);
}

static __stdcall void
epoxy_glVertex2dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2dv(v);
}

static __stdcall void
epoxy_glVertex2f_dispatch_table_thunk(GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2f(x, y);
}

static __stdcall void
epoxy_glVertex2fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2fv(v);
}

static __stdcall void
epoxy_glVertex2hNV_dispatch_table_thunk(GLhalfNV x, GLhalfNV y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2hNV(x, y);
}

static __stdcall void
epoxy_glVertex2hvNV_dispatch_table_thunk(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2hvNV(v);
}

static __stdcall void
epoxy_glVertex2i_dispatch_table_thunk(GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2i(x, y);
}

static __stdcall void
epoxy_glVertex2iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2iv(v);
}

static __stdcall void
epoxy_glVertex2s_dispatch_table_thunk(GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2s(x, y);
}

static __stdcall void
epoxy_glVertex2sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2sv(v);
}

static __stdcall void
epoxy_glVertex2xOES_dispatch_table_thunk(GLfixed x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2xOES(x);
}

static __stdcall void
epoxy_glVertex2xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex2xvOES(coords);
}

static __stdcall void
epoxy_glVertex3bOES_dispatch_table_thunk(GLbyte x, GLbyte y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3bOES(x, y);
}

static __stdcall void
epoxy_glVertex3bvOES_dispatch_table_thunk(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3bvOES(coords);
}

static __stdcall void
epoxy_glVertex3d_dispatch_table_thunk(GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3d(x, y, z);
}

static __stdcall void
epoxy_glVertex3dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3dv(v);
}

static __stdcall void
epoxy_glVertex3f_dispatch_table_thunk(GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3f(x, y, z);
}

static __stdcall void
epoxy_glVertex3fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3fv(v);
}

static __stdcall void
epoxy_glVertex3hNV_dispatch_table_thunk(GLhalfNV x, GLhalfNV y, GLhalfNV z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3hNV(x, y, z);
}

static __stdcall void
epoxy_glVertex3hvNV_dispatch_table_thunk(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3hvNV(v);
}

static __stdcall void
epoxy_glVertex3i_dispatch_table_thunk(GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3i(x, y, z);
}

static __stdcall void
epoxy_glVertex3iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3iv(v);
}

static __stdcall void
epoxy_glVertex3s_dispatch_table_thunk(GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3s(x, y, z);
}

static __stdcall void
epoxy_glVertex3sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3sv(v);
}

static __stdcall void
epoxy_glVertex3xOES_dispatch_table_thunk(GLfixed x, GLfixed y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3xOES(x, y);
}

static __stdcall void
epoxy_glVertex3xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex3xvOES(coords);
}

static __stdcall void
epoxy_glVertex4bOES_dispatch_table_thunk(GLbyte x, GLbyte y, GLbyte z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4bOES(x, y, z);
}

static __stdcall void
epoxy_glVertex4bvOES_dispatch_table_thunk(const GLbyte * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4bvOES(coords);
}

static __stdcall void
epoxy_glVertex4d_dispatch_table_thunk(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4d(x, y, z, w);
}

static __stdcall void
epoxy_glVertex4dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4dv(v);
}

static __stdcall void
epoxy_glVertex4f_dispatch_table_thunk(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4f(x, y, z, w);
}

static __stdcall void
epoxy_glVertex4fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4fv(v);
}

static __stdcall void
epoxy_glVertex4hNV_dispatch_table_thunk(GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4hNV(x, y, z, w);
}

static __stdcall void
epoxy_glVertex4hvNV_dispatch_table_thunk(const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4hvNV(v);
}

static __stdcall void
epoxy_glVertex4i_dispatch_table_thunk(GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4i(x, y, z, w);
}

static __stdcall void
epoxy_glVertex4iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4iv(v);
}

static __stdcall void
epoxy_glVertex4s_dispatch_table_thunk(GLshort x, GLshort y, GLshort z, GLshort w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4s(x, y, z, w);
}

static __stdcall void
epoxy_glVertex4sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4sv(v);
}

static __stdcall void
epoxy_glVertex4xOES_dispatch_table_thunk(GLfixed x, GLfixed y, GLfixed z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4xOES(x, y, z);
}

static __stdcall void
epoxy_glVertex4xvOES_dispatch_table_thunk(const GLfixed * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertex4xvOES(coords);
}

static __stdcall void
epoxy_glVertexArrayBindVertexBufferEXT_dispatch_table_thunk(GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayBindVertexBufferEXT(vaobj, bindingindex, buffer, offset, stride);
}

static __stdcall void
epoxy_glVertexArrayColorOffsetEXT_dispatch_table_thunk(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayColorOffsetEXT(vaobj, buffer, size, type, stride, offset);
}

static __stdcall void
epoxy_glVertexArrayEdgeFlagOffsetEXT_dispatch_table_thunk(GLuint vaobj, GLuint buffer, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayEdgeFlagOffsetEXT(vaobj, buffer, stride, offset);
}

static __stdcall void
epoxy_glVertexArrayFogCoordOffsetEXT_dispatch_table_thunk(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayFogCoordOffsetEXT(vaobj, buffer, type, stride, offset);
}

static __stdcall void
epoxy_glVertexArrayIndexOffsetEXT_dispatch_table_thunk(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayIndexOffsetEXT(vaobj, buffer, type, stride, offset);
}

static __stdcall void
epoxy_glVertexArrayMultiTexCoordOffsetEXT_dispatch_table_thunk(GLuint vaobj, GLuint buffer, GLenum texunit, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayMultiTexCoordOffsetEXT(vaobj, buffer, texunit, size, type, stride, offset);
}

static __stdcall void
epoxy_glVertexArrayNormalOffsetEXT_dispatch_table_thunk(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayNormalOffsetEXT(vaobj, buffer, type, stride, offset);
}

static __stdcall void
epoxy_glVertexArrayParameteriAPPLE_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayParameteriAPPLE(pname, param);
}

static __stdcall void
epoxy_glVertexArrayRangeAPPLE_dispatch_table_thunk(GLsizei length, void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayRangeAPPLE(length, pointer);
}

static __stdcall void
epoxy_glVertexArrayRangeNV_dispatch_table_thunk(GLsizei length, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayRangeNV(length, pointer);
}

static __stdcall void
epoxy_glVertexArraySecondaryColorOffsetEXT_dispatch_table_thunk(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArraySecondaryColorOffsetEXT(vaobj, buffer, size, type, stride, offset);
}

static __stdcall void
epoxy_glVertexArrayTexCoordOffsetEXT_dispatch_table_thunk(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayTexCoordOffsetEXT(vaobj, buffer, size, type, stride, offset);
}

static __stdcall void
epoxy_glVertexArrayVertexAttribBindingEXT_dispatch_table_thunk(GLuint vaobj, GLuint attribindex, GLuint bindingindex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribBindingEXT(vaobj, attribindex, bindingindex);
}

static __stdcall void
epoxy_glVertexArrayVertexAttribDivisorEXT_dispatch_table_thunk(GLuint vaobj, GLuint index, GLuint divisor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribDivisorEXT(vaobj, index, divisor);
}

static __stdcall void
epoxy_glVertexArrayVertexAttribFormatEXT_dispatch_table_thunk(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribFormatEXT(vaobj, attribindex, size, type, normalized, relativeoffset);
}

static __stdcall void
epoxy_glVertexArrayVertexAttribIFormatEXT_dispatch_table_thunk(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribIFormatEXT(vaobj, attribindex, size, type, relativeoffset);
}

static __stdcall void
epoxy_glVertexArrayVertexAttribIOffsetEXT_dispatch_table_thunk(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribIOffsetEXT(vaobj, buffer, index, size, type, stride, offset);
}

static __stdcall void
epoxy_glVertexArrayVertexAttribLFormatEXT_dispatch_table_thunk(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribLFormatEXT(vaobj, attribindex, size, type, relativeoffset);
}

static __stdcall void
epoxy_glVertexArrayVertexAttribLOffsetEXT_dispatch_table_thunk(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribLOffsetEXT(vaobj, buffer, index, size, type, stride, offset);
}

static __stdcall void
epoxy_glVertexArrayVertexAttribOffsetEXT_dispatch_table_thunk(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexAttribOffsetEXT(vaobj, buffer, index, size, type, normalized, stride, offset);
}

static __stdcall void
epoxy_glVertexArrayVertexBindingDivisorEXT_dispatch_table_thunk(GLuint vaobj, GLuint bindingindex, GLuint divisor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexBindingDivisorEXT(vaobj, bindingindex, divisor);
}

static __stdcall void
epoxy_glVertexArrayVertexOffsetEXT_dispatch_table_thunk(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexArrayVertexOffsetEXT(vaobj, buffer, size, type, stride, offset);
}

static __stdcall void
epoxy_glVertexAttrib1d_dispatch_table_thunk(GLuint index, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1d(index, x);
}

static __stdcall void
epoxy_glVertexAttrib1dARB_dispatch_table_thunk(GLuint index, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1d(index, x);
}

static __stdcall void
epoxy_glVertexAttrib1dNV_dispatch_table_thunk(GLuint index, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1d(index, x);
}

static __stdcall void
epoxy_glVertexAttrib1dv_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1dv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib1dvARB_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1dv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib1dvNV_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1dv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib1f_dispatch_table_thunk(GLuint index, GLfloat x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1f(index, x);
}

static __stdcall void
epoxy_glVertexAttrib1fARB_dispatch_table_thunk(GLuint index, GLfloat x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1f(index, x);
}

static __stdcall void
epoxy_glVertexAttrib1fNV_dispatch_table_thunk(GLuint index, GLfloat x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1f(index, x);
}

static __stdcall void
epoxy_glVertexAttrib1fv_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1fv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib1fvARB_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1fv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib1fvNV_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1fv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib1hNV_dispatch_table_thunk(GLuint index, GLhalfNV x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1hNV(index, x);
}

static __stdcall void
epoxy_glVertexAttrib1hvNV_dispatch_table_thunk(GLuint index, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1hvNV(index, v);
}

static __stdcall void
epoxy_glVertexAttrib1s_dispatch_table_thunk(GLuint index, GLshort x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1s(index, x);
}

static __stdcall void
epoxy_glVertexAttrib1sARB_dispatch_table_thunk(GLuint index, GLshort x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1s(index, x);
}

static __stdcall void
epoxy_glVertexAttrib1sNV_dispatch_table_thunk(GLuint index, GLshort x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1s(index, x);
}

static __stdcall void
epoxy_glVertexAttrib1sv_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1sv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib1svARB_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1sv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib1svNV_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib1sv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib2d_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2d(index, x, y);
}

static __stdcall void
epoxy_glVertexAttrib2dARB_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2d(index, x, y);
}

static __stdcall void
epoxy_glVertexAttrib2dNV_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2d(index, x, y);
}

static __stdcall void
epoxy_glVertexAttrib2dv_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2dv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib2dvARB_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2dv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib2dvNV_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2dv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib2f_dispatch_table_thunk(GLuint index, GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2f(index, x, y);
}

static __stdcall void
epoxy_glVertexAttrib2fARB_dispatch_table_thunk(GLuint index, GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2f(index, x, y);
}

static __stdcall void
epoxy_glVertexAttrib2fNV_dispatch_table_thunk(GLuint index, GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2f(index, x, y);
}

static __stdcall void
epoxy_glVertexAttrib2fv_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2fv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib2fvARB_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2fv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib2fvNV_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2fv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib2hNV_dispatch_table_thunk(GLuint index, GLhalfNV x, GLhalfNV y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2hNV(index, x, y);
}

static __stdcall void
epoxy_glVertexAttrib2hvNV_dispatch_table_thunk(GLuint index, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2hvNV(index, v);
}

static __stdcall void
epoxy_glVertexAttrib2s_dispatch_table_thunk(GLuint index, GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2s(index, x, y);
}

static __stdcall void
epoxy_glVertexAttrib2sARB_dispatch_table_thunk(GLuint index, GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2s(index, x, y);
}

static __stdcall void
epoxy_glVertexAttrib2sNV_dispatch_table_thunk(GLuint index, GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2s(index, x, y);
}

static __stdcall void
epoxy_glVertexAttrib2sv_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2sv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib2svARB_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2sv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib2svNV_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib2sv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib3d_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3d(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttrib3dARB_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3d(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttrib3dNV_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3d(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttrib3dv_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3dv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib3dvARB_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3dv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib3dvNV_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3dv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib3f_dispatch_table_thunk(GLuint index, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3f(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttrib3fARB_dispatch_table_thunk(GLuint index, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3f(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttrib3fNV_dispatch_table_thunk(GLuint index, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3f(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttrib3fv_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3fv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib3fvARB_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3fv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib3fvNV_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3fv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib3hNV_dispatch_table_thunk(GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3hNV(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttrib3hvNV_dispatch_table_thunk(GLuint index, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3hvNV(index, v);
}

static __stdcall void
epoxy_glVertexAttrib3s_dispatch_table_thunk(GLuint index, GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3s(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttrib3sARB_dispatch_table_thunk(GLuint index, GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3s(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttrib3sNV_dispatch_table_thunk(GLuint index, GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3s(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttrib3sv_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3sv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib3svARB_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3sv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib3svNV_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib3sv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4Nbv_dispatch_table_thunk(GLuint index, const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nbv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4NbvARB_dispatch_table_thunk(GLuint index, const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nbv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4Niv_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Niv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4NivARB_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Niv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4Nsv_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nsv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4NsvARB_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nsv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4Nub_dispatch_table_thunk(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nub(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4NubARB_dispatch_table_thunk(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nub(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4Nubv_dispatch_table_thunk(GLuint index, const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nubv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4NubvARB_dispatch_table_thunk(GLuint index, const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nubv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4Nuiv_dispatch_table_thunk(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nuiv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4NuivARB_dispatch_table_thunk(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nuiv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4Nusv_dispatch_table_thunk(GLuint index, const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nusv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4NusvARB_dispatch_table_thunk(GLuint index, const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nusv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4bv_dispatch_table_thunk(GLuint index, const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4bv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4bvARB_dispatch_table_thunk(GLuint index, const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4bv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4d_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4d(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4dARB_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4d(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4dNV_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4d(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4dv_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4dv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4dvARB_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4dv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4dvNV_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4dv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4f_dispatch_table_thunk(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4f(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4fARB_dispatch_table_thunk(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4f(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4fNV_dispatch_table_thunk(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4f(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4fv_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4fv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4fvARB_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4fv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4fvNV_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4fv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4hNV_dispatch_table_thunk(GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4hNV(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4hvNV_dispatch_table_thunk(GLuint index, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4hvNV(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4iv_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4iv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4ivARB_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4iv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4s_dispatch_table_thunk(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4s(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4sARB_dispatch_table_thunk(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4s(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4sNV_dispatch_table_thunk(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4s(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4sv_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4sv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4svARB_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4sv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4svNV_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4sv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4ubNV_dispatch_table_thunk(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nub(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttrib4ubv_dispatch_table_thunk(GLuint index, const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4ubv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4ubvARB_dispatch_table_thunk(GLuint index, const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4ubv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4ubvNV_dispatch_table_thunk(GLuint index, const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4Nubv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4uiv_dispatch_table_thunk(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4uiv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4uivARB_dispatch_table_thunk(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4uiv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4usv_dispatch_table_thunk(GLuint index, const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4usv(index, v);
}

static __stdcall void
epoxy_glVertexAttrib4usvARB_dispatch_table_thunk(GLuint index, const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttrib4usv(index, v);
}

static __stdcall void
epoxy_glVertexAttribArrayObjectATI_dispatch_table_thunk(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLuint buffer, GLuint offset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribArrayObjectATI(index, size, type, normalized, stride, buffer, offset);
}

static __stdcall void
epoxy_glVertexAttribBinding_dispatch_table_thunk(GLuint attribindex, GLuint bindingindex)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribBinding(attribindex, bindingindex);
}

static __stdcall void
epoxy_glVertexAttribDivisor_dispatch_table_thunk(GLuint index, GLuint divisor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribDivisor(index, divisor);
}

static __stdcall void
epoxy_glVertexAttribDivisorANGLE_dispatch_table_thunk(GLuint index, GLuint divisor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribDivisor(index, divisor);
}

static __stdcall void
epoxy_glVertexAttribDivisorARB_dispatch_table_thunk(GLuint index, GLuint divisor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribDivisor(index, divisor);
}

static __stdcall void
epoxy_glVertexAttribDivisorEXT_dispatch_table_thunk(GLuint index, GLuint divisor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribDivisor(index, divisor);
}

static __stdcall void
epoxy_glVertexAttribDivisorNV_dispatch_table_thunk(GLuint index, GLuint divisor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribDivisor(index, divisor);
}

static __stdcall void
epoxy_glVertexAttribFormat_dispatch_table_thunk(GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribFormat(attribindex, size, type, normalized, relativeoffset);
}

static __stdcall void
epoxy_glVertexAttribFormatNV_dispatch_table_thunk(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribFormatNV(index, size, type, normalized, stride);
}

static __stdcall void
epoxy_glVertexAttribI1i_dispatch_table_thunk(GLuint index, GLint x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI1i(index, x);
}

static __stdcall void
epoxy_glVertexAttribI1iEXT_dispatch_table_thunk(GLuint index, GLint x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI1i(index, x);
}

static __stdcall void
epoxy_glVertexAttribI1iv_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI1iv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI1ivEXT_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI1iv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI1ui_dispatch_table_thunk(GLuint index, GLuint x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI1ui(index, x);
}

static __stdcall void
epoxy_glVertexAttribI1uiEXT_dispatch_table_thunk(GLuint index, GLuint x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI1ui(index, x);
}

static __stdcall void
epoxy_glVertexAttribI1uiv_dispatch_table_thunk(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI1uiv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI1uivEXT_dispatch_table_thunk(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI1uiv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI2i_dispatch_table_thunk(GLuint index, GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI2i(index, x, y);
}

static __stdcall void
epoxy_glVertexAttribI2iEXT_dispatch_table_thunk(GLuint index, GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI2i(index, x, y);
}

static __stdcall void
epoxy_glVertexAttribI2iv_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI2iv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI2ivEXT_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI2iv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI2ui_dispatch_table_thunk(GLuint index, GLuint x, GLuint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI2ui(index, x, y);
}

static __stdcall void
epoxy_glVertexAttribI2uiEXT_dispatch_table_thunk(GLuint index, GLuint x, GLuint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI2ui(index, x, y);
}

static __stdcall void
epoxy_glVertexAttribI2uiv_dispatch_table_thunk(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI2uiv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI2uivEXT_dispatch_table_thunk(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI2uiv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI3i_dispatch_table_thunk(GLuint index, GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI3i(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttribI3iEXT_dispatch_table_thunk(GLuint index, GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI3i(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttribI3iv_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI3iv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI3ivEXT_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI3iv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI3ui_dispatch_table_thunk(GLuint index, GLuint x, GLuint y, GLuint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI3ui(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttribI3uiEXT_dispatch_table_thunk(GLuint index, GLuint x, GLuint y, GLuint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI3ui(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttribI3uiv_dispatch_table_thunk(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI3uiv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI3uivEXT_dispatch_table_thunk(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI3uiv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI4bv_dispatch_table_thunk(GLuint index, const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4bv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI4bvEXT_dispatch_table_thunk(GLuint index, const GLbyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4bv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI4i_dispatch_table_thunk(GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4i(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttribI4iEXT_dispatch_table_thunk(GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4i(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttribI4iv_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4iv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI4ivEXT_dispatch_table_thunk(GLuint index, const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4iv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI4sv_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4sv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI4svEXT_dispatch_table_thunk(GLuint index, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4sv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI4ubv_dispatch_table_thunk(GLuint index, const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4ubv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI4ubvEXT_dispatch_table_thunk(GLuint index, const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4ubv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI4ui_dispatch_table_thunk(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4ui(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttribI4uiEXT_dispatch_table_thunk(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4ui(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttribI4uiv_dispatch_table_thunk(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4uiv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI4uivEXT_dispatch_table_thunk(GLuint index, const GLuint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4uiv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI4usv_dispatch_table_thunk(GLuint index, const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4usv(index, v);
}

static __stdcall void
epoxy_glVertexAttribI4usvEXT_dispatch_table_thunk(GLuint index, const GLushort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribI4usv(index, v);
}

static __stdcall void
epoxy_glVertexAttribIFormat_dispatch_table_thunk(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribIFormat(attribindex, size, type, relativeoffset);
}

static __stdcall void
epoxy_glVertexAttribIFormatNV_dispatch_table_thunk(GLuint index, GLint size, GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribIFormatNV(index, size, type, stride);
}

static __stdcall void
epoxy_glVertexAttribIPointer_dispatch_table_thunk(GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribIPointer(index, size, type, stride, pointer);
}

static __stdcall void
epoxy_glVertexAttribIPointerEXT_dispatch_table_thunk(GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribIPointer(index, size, type, stride, pointer);
}

static __stdcall void
epoxy_glVertexAttribL1d_dispatch_table_thunk(GLuint index, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1d(index, x);
}

static __stdcall void
epoxy_glVertexAttribL1dEXT_dispatch_table_thunk(GLuint index, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1d(index, x);
}

static __stdcall void
epoxy_glVertexAttribL1dv_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1dv(index, v);
}

static __stdcall void
epoxy_glVertexAttribL1dvEXT_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1dv(index, v);
}

static __stdcall void
epoxy_glVertexAttribL1i64NV_dispatch_table_thunk(GLuint index, GLint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1i64NV(index, x);
}

static __stdcall void
epoxy_glVertexAttribL1i64vNV_dispatch_table_thunk(GLuint index, const GLint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1i64vNV(index, v);
}

static __stdcall void
epoxy_glVertexAttribL1ui64ARB_dispatch_table_thunk(GLuint index, GLuint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1ui64ARB(index, x);
}

static __stdcall void
epoxy_glVertexAttribL1ui64NV_dispatch_table_thunk(GLuint index, GLuint64EXT x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1ui64NV(index, x);
}

static __stdcall void
epoxy_glVertexAttribL1ui64vARB_dispatch_table_thunk(GLuint index, const GLuint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1ui64vARB(index, v);
}

static __stdcall void
epoxy_glVertexAttribL1ui64vNV_dispatch_table_thunk(GLuint index, const GLuint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL1ui64vNV(index, v);
}

static __stdcall void
epoxy_glVertexAttribL2d_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2d(index, x, y);
}

static __stdcall void
epoxy_glVertexAttribL2dEXT_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2d(index, x, y);
}

static __stdcall void
epoxy_glVertexAttribL2dv_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2dv(index, v);
}

static __stdcall void
epoxy_glVertexAttribL2dvEXT_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2dv(index, v);
}

static __stdcall void
epoxy_glVertexAttribL2i64NV_dispatch_table_thunk(GLuint index, GLint64EXT x, GLint64EXT y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2i64NV(index, x, y);
}

static __stdcall void
epoxy_glVertexAttribL2i64vNV_dispatch_table_thunk(GLuint index, const GLint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2i64vNV(index, v);
}

static __stdcall void
epoxy_glVertexAttribL2ui64NV_dispatch_table_thunk(GLuint index, GLuint64EXT x, GLuint64EXT y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2ui64NV(index, x, y);
}

static __stdcall void
epoxy_glVertexAttribL2ui64vNV_dispatch_table_thunk(GLuint index, const GLuint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL2ui64vNV(index, v);
}

static __stdcall void
epoxy_glVertexAttribL3d_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3d(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttribL3dEXT_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3d(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttribL3dv_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3dv(index, v);
}

static __stdcall void
epoxy_glVertexAttribL3dvEXT_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3dv(index, v);
}

static __stdcall void
epoxy_glVertexAttribL3i64NV_dispatch_table_thunk(GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3i64NV(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttribL3i64vNV_dispatch_table_thunk(GLuint index, const GLint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3i64vNV(index, v);
}

static __stdcall void
epoxy_glVertexAttribL3ui64NV_dispatch_table_thunk(GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3ui64NV(index, x, y, z);
}

static __stdcall void
epoxy_glVertexAttribL3ui64vNV_dispatch_table_thunk(GLuint index, const GLuint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL3ui64vNV(index, v);
}

static __stdcall void
epoxy_glVertexAttribL4d_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4d(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttribL4dEXT_dispatch_table_thunk(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4d(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttribL4dv_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4dv(index, v);
}

static __stdcall void
epoxy_glVertexAttribL4dvEXT_dispatch_table_thunk(GLuint index, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4dv(index, v);
}

static __stdcall void
epoxy_glVertexAttribL4i64NV_dispatch_table_thunk(GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4i64NV(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttribL4i64vNV_dispatch_table_thunk(GLuint index, const GLint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4i64vNV(index, v);
}

static __stdcall void
epoxy_glVertexAttribL4ui64NV_dispatch_table_thunk(GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4ui64NV(index, x, y, z, w);
}

static __stdcall void
epoxy_glVertexAttribL4ui64vNV_dispatch_table_thunk(GLuint index, const GLuint64EXT * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribL4ui64vNV(index, v);
}

static __stdcall void
epoxy_glVertexAttribLFormat_dispatch_table_thunk(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribLFormat(attribindex, size, type, relativeoffset);
}

static __stdcall void
epoxy_glVertexAttribLFormatNV_dispatch_table_thunk(GLuint index, GLint size, GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribLFormatNV(index, size, type, stride);
}

static __stdcall void
epoxy_glVertexAttribLPointer_dispatch_table_thunk(GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribLPointer(index, size, type, stride, pointer);
}

static __stdcall void
epoxy_glVertexAttribLPointerEXT_dispatch_table_thunk(GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribLPointer(index, size, type, stride, pointer);
}

static __stdcall void
epoxy_glVertexAttribP1ui_dispatch_table_thunk(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP1ui(index, type, normalized, value);
}

static __stdcall void
epoxy_glVertexAttribP1uiv_dispatch_table_thunk(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP1uiv(index, type, normalized, value);
}

static __stdcall void
epoxy_glVertexAttribP2ui_dispatch_table_thunk(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP2ui(index, type, normalized, value);
}

static __stdcall void
epoxy_glVertexAttribP2uiv_dispatch_table_thunk(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP2uiv(index, type, normalized, value);
}

static __stdcall void
epoxy_glVertexAttribP3ui_dispatch_table_thunk(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP3ui(index, type, normalized, value);
}

static __stdcall void
epoxy_glVertexAttribP3uiv_dispatch_table_thunk(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP3uiv(index, type, normalized, value);
}

static __stdcall void
epoxy_glVertexAttribP4ui_dispatch_table_thunk(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP4ui(index, type, normalized, value);
}

static __stdcall void
epoxy_glVertexAttribP4uiv_dispatch_table_thunk(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribP4uiv(index, type, normalized, value);
}

static __stdcall void
epoxy_glVertexAttribParameteriAMD_dispatch_table_thunk(GLuint index, GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribParameteriAMD(index, pname, param);
}

static __stdcall void
epoxy_glVertexAttribPointer_dispatch_table_thunk(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribPointer(index, size, type, normalized, stride, pointer);
}

static __stdcall void
epoxy_glVertexAttribPointerARB_dispatch_table_thunk(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribPointer(index, size, type, normalized, stride, pointer);
}

static __stdcall void
epoxy_glVertexAttribPointerNV_dispatch_table_thunk(GLuint index, GLint fsize, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribPointerNV(index, fsize, type, stride, pointer);
}

static __stdcall void
epoxy_glVertexAttribs1dvNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs1dvNV(index, count, v);
}

static __stdcall void
epoxy_glVertexAttribs1fvNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs1fvNV(index, count, v);
}

static __stdcall void
epoxy_glVertexAttribs1hvNV_dispatch_table_thunk(GLuint index, GLsizei n, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs1hvNV(index, n, v);
}

static __stdcall void
epoxy_glVertexAttribs1svNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs1svNV(index, count, v);
}

static __stdcall void
epoxy_glVertexAttribs2dvNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs2dvNV(index, count, v);
}

static __stdcall void
epoxy_glVertexAttribs2fvNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs2fvNV(index, count, v);
}

static __stdcall void
epoxy_glVertexAttribs2hvNV_dispatch_table_thunk(GLuint index, GLsizei n, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs2hvNV(index, n, v);
}

static __stdcall void
epoxy_glVertexAttribs2svNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs2svNV(index, count, v);
}

static __stdcall void
epoxy_glVertexAttribs3dvNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs3dvNV(index, count, v);
}

static __stdcall void
epoxy_glVertexAttribs3fvNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs3fvNV(index, count, v);
}

static __stdcall void
epoxy_glVertexAttribs3hvNV_dispatch_table_thunk(GLuint index, GLsizei n, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs3hvNV(index, n, v);
}

static __stdcall void
epoxy_glVertexAttribs3svNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs3svNV(index, count, v);
}

static __stdcall void
epoxy_glVertexAttribs4dvNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs4dvNV(index, count, v);
}

static __stdcall void
epoxy_glVertexAttribs4fvNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs4fvNV(index, count, v);
}

static __stdcall void
epoxy_glVertexAttribs4hvNV_dispatch_table_thunk(GLuint index, GLsizei n, const GLhalfNV * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs4hvNV(index, n, v);
}

static __stdcall void
epoxy_glVertexAttribs4svNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs4svNV(index, count, v);
}

static __stdcall void
epoxy_glVertexAttribs4ubvNV_dispatch_table_thunk(GLuint index, GLsizei count, const GLubyte * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexAttribs4ubvNV(index, count, v);
}

static __stdcall void
epoxy_glVertexBindingDivisor_dispatch_table_thunk(GLuint bindingindex, GLuint divisor)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexBindingDivisor(bindingindex, divisor);
}

static __stdcall void
epoxy_glVertexBlendARB_dispatch_table_thunk(GLint count)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexBlendARB(count);
}

static __stdcall void
epoxy_glVertexBlendEnvfATI_dispatch_table_thunk(GLenum pname, GLfloat param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexBlendEnvfATI(pname, param);
}

static __stdcall void
epoxy_glVertexBlendEnviATI_dispatch_table_thunk(GLenum pname, GLint param)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexBlendEnviATI(pname, param);
}

static __stdcall void
epoxy_glVertexFormatNV_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexFormatNV(size, type, stride);
}

static __stdcall void
epoxy_glVertexP2ui_dispatch_table_thunk(GLenum type, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexP2ui(type, value);
}

static __stdcall void
epoxy_glVertexP2uiv_dispatch_table_thunk(GLenum type, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexP2uiv(type, value);
}

static __stdcall void
epoxy_glVertexP3ui_dispatch_table_thunk(GLenum type, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexP3ui(type, value);
}

static __stdcall void
epoxy_glVertexP3uiv_dispatch_table_thunk(GLenum type, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexP3uiv(type, value);
}

static __stdcall void
epoxy_glVertexP4ui_dispatch_table_thunk(GLenum type, GLuint value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexP4ui(type, value);
}

static __stdcall void
epoxy_glVertexP4uiv_dispatch_table_thunk(GLenum type, const GLuint * value)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexP4uiv(type, value);
}

static __stdcall void
epoxy_glVertexPointer_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexPointer(size, type, stride, pointer);
}

static __stdcall void
epoxy_glVertexPointerEXT_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexPointerEXT(size, type, stride, count, pointer);
}

static __stdcall void
epoxy_glVertexPointerListIBM_dispatch_table_thunk(GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexPointerListIBM(size, type, stride, pointer, ptrstride);
}

static __stdcall void
epoxy_glVertexPointervINTEL_dispatch_table_thunk(GLint size, GLenum type, const void ** pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexPointervINTEL(size, type, pointer);
}

static __stdcall void
epoxy_glVertexStream1dATI_dispatch_table_thunk(GLenum stream, GLdouble x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1dATI(stream, x);
}

static __stdcall void
epoxy_glVertexStream1dvATI_dispatch_table_thunk(GLenum stream, const GLdouble * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1dvATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream1fATI_dispatch_table_thunk(GLenum stream, GLfloat x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1fATI(stream, x);
}

static __stdcall void
epoxy_glVertexStream1fvATI_dispatch_table_thunk(GLenum stream, const GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1fvATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream1iATI_dispatch_table_thunk(GLenum stream, GLint x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1iATI(stream, x);
}

static __stdcall void
epoxy_glVertexStream1ivATI_dispatch_table_thunk(GLenum stream, const GLint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1ivATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream1sATI_dispatch_table_thunk(GLenum stream, GLshort x)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1sATI(stream, x);
}

static __stdcall void
epoxy_glVertexStream1svATI_dispatch_table_thunk(GLenum stream, const GLshort * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream1svATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream2dATI_dispatch_table_thunk(GLenum stream, GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2dATI(stream, x, y);
}

static __stdcall void
epoxy_glVertexStream2dvATI_dispatch_table_thunk(GLenum stream, const GLdouble * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2dvATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream2fATI_dispatch_table_thunk(GLenum stream, GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2fATI(stream, x, y);
}

static __stdcall void
epoxy_glVertexStream2fvATI_dispatch_table_thunk(GLenum stream, const GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2fvATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream2iATI_dispatch_table_thunk(GLenum stream, GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2iATI(stream, x, y);
}

static __stdcall void
epoxy_glVertexStream2ivATI_dispatch_table_thunk(GLenum stream, const GLint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2ivATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream2sATI_dispatch_table_thunk(GLenum stream, GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2sATI(stream, x, y);
}

static __stdcall void
epoxy_glVertexStream2svATI_dispatch_table_thunk(GLenum stream, const GLshort * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream2svATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream3dATI_dispatch_table_thunk(GLenum stream, GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3dATI(stream, x, y, z);
}

static __stdcall void
epoxy_glVertexStream3dvATI_dispatch_table_thunk(GLenum stream, const GLdouble * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3dvATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream3fATI_dispatch_table_thunk(GLenum stream, GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3fATI(stream, x, y, z);
}

static __stdcall void
epoxy_glVertexStream3fvATI_dispatch_table_thunk(GLenum stream, const GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3fvATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream3iATI_dispatch_table_thunk(GLenum stream, GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3iATI(stream, x, y, z);
}

static __stdcall void
epoxy_glVertexStream3ivATI_dispatch_table_thunk(GLenum stream, const GLint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3ivATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream3sATI_dispatch_table_thunk(GLenum stream, GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3sATI(stream, x, y, z);
}

static __stdcall void
epoxy_glVertexStream3svATI_dispatch_table_thunk(GLenum stream, const GLshort * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream3svATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream4dATI_dispatch_table_thunk(GLenum stream, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4dATI(stream, x, y, z, w);
}

static __stdcall void
epoxy_glVertexStream4dvATI_dispatch_table_thunk(GLenum stream, const GLdouble * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4dvATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream4fATI_dispatch_table_thunk(GLenum stream, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4fATI(stream, x, y, z, w);
}

static __stdcall void
epoxy_glVertexStream4fvATI_dispatch_table_thunk(GLenum stream, const GLfloat * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4fvATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream4iATI_dispatch_table_thunk(GLenum stream, GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4iATI(stream, x, y, z, w);
}

static __stdcall void
epoxy_glVertexStream4ivATI_dispatch_table_thunk(GLenum stream, const GLint * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4ivATI(stream, coords);
}

static __stdcall void
epoxy_glVertexStream4sATI_dispatch_table_thunk(GLenum stream, GLshort x, GLshort y, GLshort z, GLshort w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4sATI(stream, x, y, z, w);
}

static __stdcall void
epoxy_glVertexStream4svATI_dispatch_table_thunk(GLenum stream, const GLshort * coords)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexStream4svATI(stream, coords);
}

static __stdcall void
epoxy_glVertexWeightPointerEXT_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexWeightPointerEXT(size, type, stride, pointer);
}

static __stdcall void
epoxy_glVertexWeightfEXT_dispatch_table_thunk(GLfloat weight)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexWeightfEXT(weight);
}

static __stdcall void
epoxy_glVertexWeightfvEXT_dispatch_table_thunk(const GLfloat * weight)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexWeightfvEXT(weight);
}

static __stdcall void
epoxy_glVertexWeighthNV_dispatch_table_thunk(GLhalfNV weight)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexWeighthNV(weight);
}

static __stdcall void
epoxy_glVertexWeighthvNV_dispatch_table_thunk(const GLhalfNV * weight)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVertexWeighthvNV(weight);
}

static __stdcall GLenum
epoxy_glVideoCaptureNV_dispatch_table_thunk(GLuint video_capture_slot, GLuint * sequence_num, GLuint64EXT * capture_time)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    return dispatch_table->pglVideoCaptureNV(video_capture_slot, sequence_num, capture_time);
}

static __stdcall void
epoxy_glVideoCaptureStreamParameterdvNV_dispatch_table_thunk(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLdouble * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVideoCaptureStreamParameterdvNV(video_capture_slot, stream, pname, params);
}

static __stdcall void
epoxy_glVideoCaptureStreamParameterfvNV_dispatch_table_thunk(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLfloat * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVideoCaptureStreamParameterfvNV(video_capture_slot, stream, pname, params);
}

static __stdcall void
epoxy_glVideoCaptureStreamParameterivNV_dispatch_table_thunk(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLint * params)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglVideoCaptureStreamParameterivNV(video_capture_slot, stream, pname, params);
}

static __stdcall void
epoxy_glViewport_dispatch_table_thunk(GLint x, GLint y, GLsizei width, GLsizei height)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglViewport(x, y, width, height);
}

static __stdcall void
epoxy_glViewportArrayv_dispatch_table_thunk(GLuint first, GLsizei count, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglViewportArrayv(first, count, v);
}

static __stdcall void
epoxy_glViewportIndexedf_dispatch_table_thunk(GLuint index, GLfloat x, GLfloat y, GLfloat w, GLfloat h)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglViewportIndexedf(index, x, y, w, h);
}

static __stdcall void
epoxy_glViewportIndexedfv_dispatch_table_thunk(GLuint index, const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglViewportIndexedfv(index, v);
}

static __stdcall void
epoxy_glWaitSync_dispatch_table_thunk(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWaitSync(sync, flags, timeout);
}

static __stdcall void
epoxy_glWaitSyncAPPLE_dispatch_table_thunk(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWaitSync(sync, flags, timeout);
}

static __stdcall void
epoxy_glWeightPathsNV_dispatch_table_thunk(GLuint resultPath, GLsizei numPaths, const GLuint * paths, const GLfloat * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightPathsNV(resultPath, numPaths, paths, weights);
}

static __stdcall void
epoxy_glWeightPointerARB_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightPointerARB(size, type, stride, pointer);
}

static __stdcall void
epoxy_glWeightPointerOES_dispatch_table_thunk(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightPointerOES(size, type, stride, pointer);
}

static __stdcall void
epoxy_glWeightbvARB_dispatch_table_thunk(GLint size, const GLbyte * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightbvARB(size, weights);
}

static __stdcall void
epoxy_glWeightdvARB_dispatch_table_thunk(GLint size, const GLdouble * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightdvARB(size, weights);
}

static __stdcall void
epoxy_glWeightfvARB_dispatch_table_thunk(GLint size, const GLfloat * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightfvARB(size, weights);
}

static __stdcall void
epoxy_glWeightivARB_dispatch_table_thunk(GLint size, const GLint * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightivARB(size, weights);
}

static __stdcall void
epoxy_glWeightsvARB_dispatch_table_thunk(GLint size, const GLshort * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightsvARB(size, weights);
}

static __stdcall void
epoxy_glWeightubvARB_dispatch_table_thunk(GLint size, const GLubyte * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightubvARB(size, weights);
}

static __stdcall void
epoxy_glWeightuivARB_dispatch_table_thunk(GLint size, const GLuint * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightuivARB(size, weights);
}

static __stdcall void
epoxy_glWeightusvARB_dispatch_table_thunk(GLint size, const GLushort * weights)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWeightusvARB(size, weights);
}

static __stdcall void
epoxy_glWindowPos2d_dispatch_table_thunk(GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2d(x, y);
}

static __stdcall void
epoxy_glWindowPos2dARB_dispatch_table_thunk(GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2d(x, y);
}

static __stdcall void
epoxy_glWindowPos2dMESA_dispatch_table_thunk(GLdouble x, GLdouble y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2d(x, y);
}

static __stdcall void
epoxy_glWindowPos2dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2dv(v);
}

static __stdcall void
epoxy_glWindowPos2dvARB_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2dv(v);
}

static __stdcall void
epoxy_glWindowPos2dvMESA_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2dv(v);
}

static __stdcall void
epoxy_glWindowPos2f_dispatch_table_thunk(GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2f(x, y);
}

static __stdcall void
epoxy_glWindowPos2fARB_dispatch_table_thunk(GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2f(x, y);
}

static __stdcall void
epoxy_glWindowPos2fMESA_dispatch_table_thunk(GLfloat x, GLfloat y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2f(x, y);
}

static __stdcall void
epoxy_glWindowPos2fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2fv(v);
}

static __stdcall void
epoxy_glWindowPos2fvARB_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2fv(v);
}

static __stdcall void
epoxy_glWindowPos2fvMESA_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2fv(v);
}

static __stdcall void
epoxy_glWindowPos2i_dispatch_table_thunk(GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2i(x, y);
}

static __stdcall void
epoxy_glWindowPos2iARB_dispatch_table_thunk(GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2i(x, y);
}

static __stdcall void
epoxy_glWindowPos2iMESA_dispatch_table_thunk(GLint x, GLint y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2i(x, y);
}

static __stdcall void
epoxy_glWindowPos2iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2iv(v);
}

static __stdcall void
epoxy_glWindowPos2ivARB_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2iv(v);
}

static __stdcall void
epoxy_glWindowPos2ivMESA_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2iv(v);
}

static __stdcall void
epoxy_glWindowPos2s_dispatch_table_thunk(GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2s(x, y);
}

static __stdcall void
epoxy_glWindowPos2sARB_dispatch_table_thunk(GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2s(x, y);
}

static __stdcall void
epoxy_glWindowPos2sMESA_dispatch_table_thunk(GLshort x, GLshort y)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2s(x, y);
}

static __stdcall void
epoxy_glWindowPos2sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2sv(v);
}

static __stdcall void
epoxy_glWindowPos2svARB_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2sv(v);
}

static __stdcall void
epoxy_glWindowPos2svMESA_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos2sv(v);
}

static __stdcall void
epoxy_glWindowPos3d_dispatch_table_thunk(GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3d(x, y, z);
}

static __stdcall void
epoxy_glWindowPos3dARB_dispatch_table_thunk(GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3d(x, y, z);
}

static __stdcall void
epoxy_glWindowPos3dMESA_dispatch_table_thunk(GLdouble x, GLdouble y, GLdouble z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3d(x, y, z);
}

static __stdcall void
epoxy_glWindowPos3dv_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3dv(v);
}

static __stdcall void
epoxy_glWindowPos3dvARB_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3dv(v);
}

static __stdcall void
epoxy_glWindowPos3dvMESA_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3dv(v);
}

static __stdcall void
epoxy_glWindowPos3f_dispatch_table_thunk(GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3f(x, y, z);
}

static __stdcall void
epoxy_glWindowPos3fARB_dispatch_table_thunk(GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3f(x, y, z);
}

static __stdcall void
epoxy_glWindowPos3fMESA_dispatch_table_thunk(GLfloat x, GLfloat y, GLfloat z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3f(x, y, z);
}

static __stdcall void
epoxy_glWindowPos3fv_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3fv(v);
}

static __stdcall void
epoxy_glWindowPos3fvARB_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3fv(v);
}

static __stdcall void
epoxy_glWindowPos3fvMESA_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3fv(v);
}

static __stdcall void
epoxy_glWindowPos3i_dispatch_table_thunk(GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3i(x, y, z);
}

static __stdcall void
epoxy_glWindowPos3iARB_dispatch_table_thunk(GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3i(x, y, z);
}

static __stdcall void
epoxy_glWindowPos3iMESA_dispatch_table_thunk(GLint x, GLint y, GLint z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3i(x, y, z);
}

static __stdcall void
epoxy_glWindowPos3iv_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3iv(v);
}

static __stdcall void
epoxy_glWindowPos3ivARB_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3iv(v);
}

static __stdcall void
epoxy_glWindowPos3ivMESA_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3iv(v);
}

static __stdcall void
epoxy_glWindowPos3s_dispatch_table_thunk(GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3s(x, y, z);
}

static __stdcall void
epoxy_glWindowPos3sARB_dispatch_table_thunk(GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3s(x, y, z);
}

static __stdcall void
epoxy_glWindowPos3sMESA_dispatch_table_thunk(GLshort x, GLshort y, GLshort z)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3s(x, y, z);
}

static __stdcall void
epoxy_glWindowPos3sv_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3sv(v);
}

static __stdcall void
epoxy_glWindowPos3svARB_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3sv(v);
}

static __stdcall void
epoxy_glWindowPos3svMESA_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos3sv(v);
}

static __stdcall void
epoxy_glWindowPos4dMESA_dispatch_table_thunk(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4dMESA(x, y, z, w);
}

static __stdcall void
epoxy_glWindowPos4dvMESA_dispatch_table_thunk(const GLdouble * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4dvMESA(v);
}

static __stdcall void
epoxy_glWindowPos4fMESA_dispatch_table_thunk(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4fMESA(x, y, z, w);
}

static __stdcall void
epoxy_glWindowPos4fvMESA_dispatch_table_thunk(const GLfloat * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4fvMESA(v);
}

static __stdcall void
epoxy_glWindowPos4iMESA_dispatch_table_thunk(GLint x, GLint y, GLint z, GLint w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4iMESA(x, y, z, w);
}

static __stdcall void
epoxy_glWindowPos4ivMESA_dispatch_table_thunk(const GLint * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4ivMESA(v);
}

static __stdcall void
epoxy_glWindowPos4sMESA_dispatch_table_thunk(GLshort x, GLshort y, GLshort z, GLshort w)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4sMESA(x, y, z, w);
}

static __stdcall void
epoxy_glWindowPos4svMESA_dispatch_table_thunk(const GLshort * v)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWindowPos4svMESA(v);
}

static __stdcall void
epoxy_glWriteMaskEXT_dispatch_table_thunk(GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();

    dispatch_table->pglWriteMaskEXT(res, in, outX, outY, outZ, outW);
}

static struct dispatch_table resolver_table = {
    .pglAccum = epoxy_glAccum_rewrite_stub,
    .pglAccumxOES = epoxy_glAccumxOES_rewrite_stub,
    .pglActiveProgramEXT = epoxy_glActiveProgramEXT_rewrite_stub,
    .pglActiveShaderProgram = epoxy_glActiveShaderProgram_rewrite_stub,
    .pglActiveShaderProgramEXT = epoxy_glActiveShaderProgramEXT_rewrite_stub,
    .pglActiveStencilFaceEXT = epoxy_glActiveStencilFaceEXT_rewrite_stub,
    .pglActiveTexture = epoxy_glActiveTexture_rewrite_stub,
    .pglActiveVaryingNV = epoxy_glActiveVaryingNV_rewrite_stub,
    .pglAlphaFragmentOp1ATI = epoxy_glAlphaFragmentOp1ATI_rewrite_stub,
    .pglAlphaFragmentOp2ATI = epoxy_glAlphaFragmentOp2ATI_rewrite_stub,
    .pglAlphaFragmentOp3ATI = epoxy_glAlphaFragmentOp3ATI_rewrite_stub,
    .pglAlphaFunc = epoxy_glAlphaFunc_rewrite_stub,
    .pglAlphaFuncQCOM = epoxy_glAlphaFuncQCOM_rewrite_stub,
    .pglAlphaFuncx = epoxy_glAlphaFuncx_rewrite_stub,
    .pglAlphaFuncxOES = epoxy_glAlphaFuncxOES_rewrite_stub,
    .pglApplyTextureEXT = epoxy_glApplyTextureEXT_rewrite_stub,
    .pglAreProgramsResidentNV = epoxy_glAreProgramsResidentNV_rewrite_stub,
    .pglAreTexturesResident = epoxy_glAreTexturesResident_rewrite_stub,
    .pglAreTexturesResidentEXT = epoxy_glAreTexturesResidentEXT_rewrite_stub,
    .pglArrayElement = epoxy_glArrayElement_rewrite_stub,
    .pglArrayObjectATI = epoxy_glArrayObjectATI_rewrite_stub,
    .pglAsyncMarkerSGIX = epoxy_glAsyncMarkerSGIX_rewrite_stub,
    .pglAttachShader = epoxy_glAttachShader_rewrite_stub,
    .pglBegin = epoxy_glBegin_rewrite_stub,
    .pglBeginConditionalRender = epoxy_glBeginConditionalRender_rewrite_stub,
    .pglBeginConditionalRenderNVX = epoxy_glBeginConditionalRenderNVX_rewrite_stub,
    .pglBeginFragmentShaderATI = epoxy_glBeginFragmentShaderATI_rewrite_stub,
    .pglBeginOcclusionQueryNV = epoxy_glBeginOcclusionQueryNV_rewrite_stub,
    .pglBeginPerfMonitorAMD = epoxy_glBeginPerfMonitorAMD_rewrite_stub,
    .pglBeginPerfQueryINTEL = epoxy_glBeginPerfQueryINTEL_rewrite_stub,
    .pglBeginQuery = epoxy_glBeginQuery_rewrite_stub,
    .pglBeginQueryEXT = epoxy_glBeginQueryEXT_rewrite_stub,
    .pglBeginQueryIndexed = epoxy_glBeginQueryIndexed_rewrite_stub,
    .pglBeginTransformFeedback = epoxy_glBeginTransformFeedback_rewrite_stub,
    .pglBeginVertexShaderEXT = epoxy_glBeginVertexShaderEXT_rewrite_stub,
    .pglBeginVideoCaptureNV = epoxy_glBeginVideoCaptureNV_rewrite_stub,
    .pglBindAttribLocation = epoxy_glBindAttribLocation_rewrite_stub,
    .pglBindBuffer = epoxy_glBindBuffer_rewrite_stub,
    .pglBindBufferBase = epoxy_glBindBufferBase_rewrite_stub,
    .pglBindBufferOffsetEXT = epoxy_glBindBufferOffsetEXT_rewrite_stub,
    .pglBindBufferRange = epoxy_glBindBufferRange_rewrite_stub,
    .pglBindBuffersBase = epoxy_glBindBuffersBase_rewrite_stub,
    .pglBindBuffersRange = epoxy_glBindBuffersRange_rewrite_stub,
    .pglBindFragDataLocation = epoxy_glBindFragDataLocation_rewrite_stub,
    .pglBindFragDataLocationIndexed = epoxy_glBindFragDataLocationIndexed_rewrite_stub,
    .pglBindFragmentShaderATI = epoxy_glBindFragmentShaderATI_rewrite_stub,
    .pglBindFramebuffer = epoxy_glBindFramebuffer_rewrite_stub,
    .pglBindFramebufferEXT = epoxy_glBindFramebufferEXT_rewrite_stub,
    .pglBindFramebufferOES = epoxy_glBindFramebufferOES_rewrite_stub,
    .pglBindImageTexture = epoxy_glBindImageTexture_rewrite_stub,
    .pglBindImageTextureEXT = epoxy_glBindImageTextureEXT_rewrite_stub,
    .pglBindImageTextures = epoxy_glBindImageTextures_rewrite_stub,
    .pglBindLightParameterEXT = epoxy_glBindLightParameterEXT_rewrite_stub,
    .pglBindMaterialParameterEXT = epoxy_glBindMaterialParameterEXT_rewrite_stub,
    .pglBindMultiTextureEXT = epoxy_glBindMultiTextureEXT_rewrite_stub,
    .pglBindParameterEXT = epoxy_glBindParameterEXT_rewrite_stub,
    .pglBindProgramARB = epoxy_glBindProgramARB_rewrite_stub,
    .pglBindProgramPipeline = epoxy_glBindProgramPipeline_rewrite_stub,
    .pglBindProgramPipelineEXT = epoxy_glBindProgramPipelineEXT_rewrite_stub,
    .pglBindRenderbuffer = epoxy_glBindRenderbuffer_rewrite_stub,
    .pglBindRenderbufferEXT = epoxy_glBindRenderbufferEXT_rewrite_stub,
    .pglBindRenderbufferOES = epoxy_glBindRenderbufferOES_rewrite_stub,
    .pglBindSampler = epoxy_glBindSampler_rewrite_stub,
    .pglBindSamplers = epoxy_glBindSamplers_rewrite_stub,
    .pglBindTexGenParameterEXT = epoxy_glBindTexGenParameterEXT_rewrite_stub,
    .pglBindTexture = epoxy_glBindTexture_rewrite_stub,
    .pglBindTextureUnitParameterEXT = epoxy_glBindTextureUnitParameterEXT_rewrite_stub,
    .pglBindTextures = epoxy_glBindTextures_rewrite_stub,
    .pglBindTransformFeedback = epoxy_glBindTransformFeedback_rewrite_stub,
    .pglBindTransformFeedbackNV = epoxy_glBindTransformFeedbackNV_rewrite_stub,
    .pglBindVertexArray = epoxy_glBindVertexArray_rewrite_stub,
    .pglBindVertexArrayAPPLE = epoxy_glBindVertexArrayAPPLE_rewrite_stub,
    .pglBindVertexBuffer = epoxy_glBindVertexBuffer_rewrite_stub,
    .pglBindVertexBuffers = epoxy_glBindVertexBuffers_rewrite_stub,
    .pglBindVertexShaderEXT = epoxy_glBindVertexShaderEXT_rewrite_stub,
    .pglBindVideoCaptureStreamBufferNV = epoxy_glBindVideoCaptureStreamBufferNV_rewrite_stub,
    .pglBindVideoCaptureStreamTextureNV = epoxy_glBindVideoCaptureStreamTextureNV_rewrite_stub,
    .pglBinormal3bEXT = epoxy_glBinormal3bEXT_rewrite_stub,
    .pglBinormal3bvEXT = epoxy_glBinormal3bvEXT_rewrite_stub,
    .pglBinormal3dEXT = epoxy_glBinormal3dEXT_rewrite_stub,
    .pglBinormal3dvEXT = epoxy_glBinormal3dvEXT_rewrite_stub,
    .pglBinormal3fEXT = epoxy_glBinormal3fEXT_rewrite_stub,
    .pglBinormal3fvEXT = epoxy_glBinormal3fvEXT_rewrite_stub,
    .pglBinormal3iEXT = epoxy_glBinormal3iEXT_rewrite_stub,
    .pglBinormal3ivEXT = epoxy_glBinormal3ivEXT_rewrite_stub,
    .pglBinormal3sEXT = epoxy_glBinormal3sEXT_rewrite_stub,
    .pglBinormal3svEXT = epoxy_glBinormal3svEXT_rewrite_stub,
    .pglBinormalPointerEXT = epoxy_glBinormalPointerEXT_rewrite_stub,
    .pglBitmap = epoxy_glBitmap_rewrite_stub,
    .pglBitmapxOES = epoxy_glBitmapxOES_rewrite_stub,
    .pglBlendBarrierNV = epoxy_glBlendBarrierNV_rewrite_stub,
    .pglBlendColor = epoxy_glBlendColor_rewrite_stub,
    .pglBlendColorxOES = epoxy_glBlendColorxOES_rewrite_stub,
    .pglBlendEquation = epoxy_glBlendEquation_rewrite_stub,
    .pglBlendEquationOES = epoxy_glBlendEquationOES_rewrite_stub,
    .pglBlendEquationSeparate = epoxy_glBlendEquationSeparate_rewrite_stub,
    .pglBlendEquationSeparateOES = epoxy_glBlendEquationSeparateOES_rewrite_stub,
    .pglBlendEquationSeparatei = epoxy_glBlendEquationSeparatei_rewrite_stub,
    .pglBlendEquationi = epoxy_glBlendEquationi_rewrite_stub,
    .pglBlendFunc = epoxy_glBlendFunc_rewrite_stub,
    .pglBlendFuncSeparate = epoxy_glBlendFuncSeparate_rewrite_stub,
    .pglBlendFuncSeparateOES = epoxy_glBlendFuncSeparateOES_rewrite_stub,
    .pglBlendFuncSeparatei = epoxy_glBlendFuncSeparatei_rewrite_stub,
    .pglBlendFunci = epoxy_glBlendFunci_rewrite_stub,
    .pglBlendParameteriNV = epoxy_glBlendParameteriNV_rewrite_stub,
    .pglBlitFramebuffer = epoxy_glBlitFramebuffer_rewrite_stub,
    .pglBlitFramebufferANGLE = epoxy_glBlitFramebufferANGLE_rewrite_stub,
    .pglBufferAddressRangeNV = epoxy_glBufferAddressRangeNV_rewrite_stub,
    .pglBufferData = epoxy_glBufferData_rewrite_stub,
    .pglBufferParameteriAPPLE = epoxy_glBufferParameteriAPPLE_rewrite_stub,
    .pglBufferStorage = epoxy_glBufferStorage_rewrite_stub,
    .pglBufferSubData = epoxy_glBufferSubData_rewrite_stub,
    .pglCallList = epoxy_glCallList_rewrite_stub,
    .pglCallLists = epoxy_glCallLists_rewrite_stub,
    .pglCheckFramebufferStatus = epoxy_glCheckFramebufferStatus_rewrite_stub,
    .pglCheckFramebufferStatusOES = epoxy_glCheckFramebufferStatusOES_rewrite_stub,
    .pglCheckNamedFramebufferStatusEXT = epoxy_glCheckNamedFramebufferStatusEXT_rewrite_stub,
    .pglClampColor = epoxy_glClampColor_rewrite_stub,
    .pglClear = epoxy_glClear_rewrite_stub,
    .pglClearAccum = epoxy_glClearAccum_rewrite_stub,
    .pglClearAccumxOES = epoxy_glClearAccumxOES_rewrite_stub,
    .pglClearBufferData = epoxy_glClearBufferData_rewrite_stub,
    .pglClearBufferSubData = epoxy_glClearBufferSubData_rewrite_stub,
    .pglClearBufferfi = epoxy_glClearBufferfi_rewrite_stub,
    .pglClearBufferfv = epoxy_glClearBufferfv_rewrite_stub,
    .pglClearBufferiv = epoxy_glClearBufferiv_rewrite_stub,
    .pglClearBufferuiv = epoxy_glClearBufferuiv_rewrite_stub,
    .pglClearColor = epoxy_glClearColor_rewrite_stub,
    .pglClearColorIiEXT = epoxy_glClearColorIiEXT_rewrite_stub,
    .pglClearColorIuiEXT = epoxy_glClearColorIuiEXT_rewrite_stub,
    .pglClearColorx = epoxy_glClearColorx_rewrite_stub,
    .pglClearColorxOES = epoxy_glClearColorxOES_rewrite_stub,
    .pglClearDepth = epoxy_glClearDepth_rewrite_stub,
    .pglClearDepthdNV = epoxy_glClearDepthdNV_rewrite_stub,
    .pglClearDepthf = epoxy_glClearDepthf_rewrite_stub,
    .pglClearDepthx = epoxy_glClearDepthx_rewrite_stub,
    .pglClearDepthxOES = epoxy_glClearDepthxOES_rewrite_stub,
    .pglClearIndex = epoxy_glClearIndex_rewrite_stub,
    .pglClearNamedBufferDataEXT = epoxy_glClearNamedBufferDataEXT_rewrite_stub,
    .pglClearNamedBufferSubDataEXT = epoxy_glClearNamedBufferSubDataEXT_rewrite_stub,
    .pglClearStencil = epoxy_glClearStencil_rewrite_stub,
    .pglClearTexImage = epoxy_glClearTexImage_rewrite_stub,
    .pglClearTexSubImage = epoxy_glClearTexSubImage_rewrite_stub,
    .pglClientActiveTexture = epoxy_glClientActiveTexture_rewrite_stub,
    .pglClientActiveVertexStreamATI = epoxy_glClientActiveVertexStreamATI_rewrite_stub,
    .pglClientAttribDefaultEXT = epoxy_glClientAttribDefaultEXT_rewrite_stub,
    .pglClientWaitSync = epoxy_glClientWaitSync_rewrite_stub,
    .pglClipPlane = epoxy_glClipPlane_rewrite_stub,
    .pglClipPlanef = epoxy_glClipPlanef_rewrite_stub,
    .pglClipPlanefIMG = epoxy_glClipPlanefIMG_rewrite_stub,
    .pglClipPlanefOES = epoxy_glClipPlanefOES_rewrite_stub,
    .pglClipPlanex = epoxy_glClipPlanex_rewrite_stub,
    .pglClipPlanexIMG = epoxy_glClipPlanexIMG_rewrite_stub,
    .pglClipPlanexOES = epoxy_glClipPlanexOES_rewrite_stub,
    .pglColor3b = epoxy_glColor3b_rewrite_stub,
    .pglColor3bv = epoxy_glColor3bv_rewrite_stub,
    .pglColor3d = epoxy_glColor3d_rewrite_stub,
    .pglColor3dv = epoxy_glColor3dv_rewrite_stub,
    .pglColor3f = epoxy_glColor3f_rewrite_stub,
    .pglColor3fVertex3fSUN = epoxy_glColor3fVertex3fSUN_rewrite_stub,
    .pglColor3fVertex3fvSUN = epoxy_glColor3fVertex3fvSUN_rewrite_stub,
    .pglColor3fv = epoxy_glColor3fv_rewrite_stub,
    .pglColor3hNV = epoxy_glColor3hNV_rewrite_stub,
    .pglColor3hvNV = epoxy_glColor3hvNV_rewrite_stub,
    .pglColor3i = epoxy_glColor3i_rewrite_stub,
    .pglColor3iv = epoxy_glColor3iv_rewrite_stub,
    .pglColor3s = epoxy_glColor3s_rewrite_stub,
    .pglColor3sv = epoxy_glColor3sv_rewrite_stub,
    .pglColor3ub = epoxy_glColor3ub_rewrite_stub,
    .pglColor3ubv = epoxy_glColor3ubv_rewrite_stub,
    .pglColor3ui = epoxy_glColor3ui_rewrite_stub,
    .pglColor3uiv = epoxy_glColor3uiv_rewrite_stub,
    .pglColor3us = epoxy_glColor3us_rewrite_stub,
    .pglColor3usv = epoxy_glColor3usv_rewrite_stub,
    .pglColor3xOES = epoxy_glColor3xOES_rewrite_stub,
    .pglColor3xvOES = epoxy_glColor3xvOES_rewrite_stub,
    .pglColor4b = epoxy_glColor4b_rewrite_stub,
    .pglColor4bv = epoxy_glColor4bv_rewrite_stub,
    .pglColor4d = epoxy_glColor4d_rewrite_stub,
    .pglColor4dv = epoxy_glColor4dv_rewrite_stub,
    .pglColor4f = epoxy_glColor4f_rewrite_stub,
    .pglColor4fNormal3fVertex3fSUN = epoxy_glColor4fNormal3fVertex3fSUN_rewrite_stub,
    .pglColor4fNormal3fVertex3fvSUN = epoxy_glColor4fNormal3fVertex3fvSUN_rewrite_stub,
    .pglColor4fv = epoxy_glColor4fv_rewrite_stub,
    .pglColor4hNV = epoxy_glColor4hNV_rewrite_stub,
    .pglColor4hvNV = epoxy_glColor4hvNV_rewrite_stub,
    .pglColor4i = epoxy_glColor4i_rewrite_stub,
    .pglColor4iv = epoxy_glColor4iv_rewrite_stub,
    .pglColor4s = epoxy_glColor4s_rewrite_stub,
    .pglColor4sv = epoxy_glColor4sv_rewrite_stub,
    .pglColor4ub = epoxy_glColor4ub_rewrite_stub,
    .pglColor4ubVertex2fSUN = epoxy_glColor4ubVertex2fSUN_rewrite_stub,
    .pglColor4ubVertex2fvSUN = epoxy_glColor4ubVertex2fvSUN_rewrite_stub,
    .pglColor4ubVertex3fSUN = epoxy_glColor4ubVertex3fSUN_rewrite_stub,
    .pglColor4ubVertex3fvSUN = epoxy_glColor4ubVertex3fvSUN_rewrite_stub,
    .pglColor4ubv = epoxy_glColor4ubv_rewrite_stub,
    .pglColor4ui = epoxy_glColor4ui_rewrite_stub,
    .pglColor4uiv = epoxy_glColor4uiv_rewrite_stub,
    .pglColor4us = epoxy_glColor4us_rewrite_stub,
    .pglColor4usv = epoxy_glColor4usv_rewrite_stub,
    .pglColor4x = epoxy_glColor4x_rewrite_stub,
    .pglColor4xOES = epoxy_glColor4xOES_rewrite_stub,
    .pglColor4xvOES = epoxy_glColor4xvOES_rewrite_stub,
    .pglColorFormatNV = epoxy_glColorFormatNV_rewrite_stub,
    .pglColorFragmentOp1ATI = epoxy_glColorFragmentOp1ATI_rewrite_stub,
    .pglColorFragmentOp2ATI = epoxy_glColorFragmentOp2ATI_rewrite_stub,
    .pglColorFragmentOp3ATI = epoxy_glColorFragmentOp3ATI_rewrite_stub,
    .pglColorMask = epoxy_glColorMask_rewrite_stub,
    .pglColorMaski = epoxy_glColorMaski_rewrite_stub,
    .pglColorMaterial = epoxy_glColorMaterial_rewrite_stub,
    .pglColorP3ui = epoxy_glColorP3ui_rewrite_stub,
    .pglColorP3uiv = epoxy_glColorP3uiv_rewrite_stub,
    .pglColorP4ui = epoxy_glColorP4ui_rewrite_stub,
    .pglColorP4uiv = epoxy_glColorP4uiv_rewrite_stub,
    .pglColorPointer = epoxy_glColorPointer_rewrite_stub,
    .pglColorPointerEXT = epoxy_glColorPointerEXT_rewrite_stub,
    .pglColorPointerListIBM = epoxy_glColorPointerListIBM_rewrite_stub,
    .pglColorPointervINTEL = epoxy_glColorPointervINTEL_rewrite_stub,
    .pglColorSubTable = epoxy_glColorSubTable_rewrite_stub,
    .pglColorTable = epoxy_glColorTable_rewrite_stub,
    .pglColorTableParameterfv = epoxy_glColorTableParameterfv_rewrite_stub,
    .pglColorTableParameteriv = epoxy_glColorTableParameteriv_rewrite_stub,
    .pglCombinerInputNV = epoxy_glCombinerInputNV_rewrite_stub,
    .pglCombinerOutputNV = epoxy_glCombinerOutputNV_rewrite_stub,
    .pglCombinerParameterfNV = epoxy_glCombinerParameterfNV_rewrite_stub,
    .pglCombinerParameterfvNV = epoxy_glCombinerParameterfvNV_rewrite_stub,
    .pglCombinerParameteriNV = epoxy_glCombinerParameteriNV_rewrite_stub,
    .pglCombinerParameterivNV = epoxy_glCombinerParameterivNV_rewrite_stub,
    .pglCombinerStageParameterfvNV = epoxy_glCombinerStageParameterfvNV_rewrite_stub,
    .pglCompileShader = epoxy_glCompileShader_rewrite_stub,
    .pglCompileShaderIncludeARB = epoxy_glCompileShaderIncludeARB_rewrite_stub,
    .pglCompressedMultiTexImage1DEXT = epoxy_glCompressedMultiTexImage1DEXT_rewrite_stub,
    .pglCompressedMultiTexImage2DEXT = epoxy_glCompressedMultiTexImage2DEXT_rewrite_stub,
    .pglCompressedMultiTexImage3DEXT = epoxy_glCompressedMultiTexImage3DEXT_rewrite_stub,
    .pglCompressedMultiTexSubImage1DEXT = epoxy_glCompressedMultiTexSubImage1DEXT_rewrite_stub,
    .pglCompressedMultiTexSubImage2DEXT = epoxy_glCompressedMultiTexSubImage2DEXT_rewrite_stub,
    .pglCompressedMultiTexSubImage3DEXT = epoxy_glCompressedMultiTexSubImage3DEXT_rewrite_stub,
    .pglCompressedTexImage1D = epoxy_glCompressedTexImage1D_rewrite_stub,
    .pglCompressedTexImage2D = epoxy_glCompressedTexImage2D_rewrite_stub,
    .pglCompressedTexImage3D = epoxy_glCompressedTexImage3D_rewrite_stub,
    .pglCompressedTexSubImage1D = epoxy_glCompressedTexSubImage1D_rewrite_stub,
    .pglCompressedTexSubImage2D = epoxy_glCompressedTexSubImage2D_rewrite_stub,
    .pglCompressedTexSubImage3D = epoxy_glCompressedTexSubImage3D_rewrite_stub,
    .pglCompressedTextureImage1DEXT = epoxy_glCompressedTextureImage1DEXT_rewrite_stub,
    .pglCompressedTextureImage2DEXT = epoxy_glCompressedTextureImage2DEXT_rewrite_stub,
    .pglCompressedTextureImage3DEXT = epoxy_glCompressedTextureImage3DEXT_rewrite_stub,
    .pglCompressedTextureSubImage1DEXT = epoxy_glCompressedTextureSubImage1DEXT_rewrite_stub,
    .pglCompressedTextureSubImage2DEXT = epoxy_glCompressedTextureSubImage2DEXT_rewrite_stub,
    .pglCompressedTextureSubImage3DEXT = epoxy_glCompressedTextureSubImage3DEXT_rewrite_stub,
    .pglConvolutionFilter1D = epoxy_glConvolutionFilter1D_rewrite_stub,
    .pglConvolutionFilter2D = epoxy_glConvolutionFilter2D_rewrite_stub,
    .pglConvolutionParameterf = epoxy_glConvolutionParameterf_rewrite_stub,
    .pglConvolutionParameterfv = epoxy_glConvolutionParameterfv_rewrite_stub,
    .pglConvolutionParameteri = epoxy_glConvolutionParameteri_rewrite_stub,
    .pglConvolutionParameteriv = epoxy_glConvolutionParameteriv_rewrite_stub,
    .pglConvolutionParameterxOES = epoxy_glConvolutionParameterxOES_rewrite_stub,
    .pglConvolutionParameterxvOES = epoxy_glConvolutionParameterxvOES_rewrite_stub,
    .pglCopyBufferSubData = epoxy_glCopyBufferSubData_rewrite_stub,
    .pglCopyColorSubTable = epoxy_glCopyColorSubTable_rewrite_stub,
    .pglCopyColorTable = epoxy_glCopyColorTable_rewrite_stub,
    .pglCopyConvolutionFilter1D = epoxy_glCopyConvolutionFilter1D_rewrite_stub,
    .pglCopyConvolutionFilter2D = epoxy_glCopyConvolutionFilter2D_rewrite_stub,
    .pglCopyImageSubData = epoxy_glCopyImageSubData_rewrite_stub,
    .pglCopyImageSubDataNV = epoxy_glCopyImageSubDataNV_rewrite_stub,
    .pglCopyMultiTexImage1DEXT = epoxy_glCopyMultiTexImage1DEXT_rewrite_stub,
    .pglCopyMultiTexImage2DEXT = epoxy_glCopyMultiTexImage2DEXT_rewrite_stub,
    .pglCopyMultiTexSubImage1DEXT = epoxy_glCopyMultiTexSubImage1DEXT_rewrite_stub,
    .pglCopyMultiTexSubImage2DEXT = epoxy_glCopyMultiTexSubImage2DEXT_rewrite_stub,
    .pglCopyMultiTexSubImage3DEXT = epoxy_glCopyMultiTexSubImage3DEXT_rewrite_stub,
    .pglCopyPathNV = epoxy_glCopyPathNV_rewrite_stub,
    .pglCopyPixels = epoxy_glCopyPixels_rewrite_stub,
    .pglCopyTexImage1D = epoxy_glCopyTexImage1D_rewrite_stub,
    .pglCopyTexImage2D = epoxy_glCopyTexImage2D_rewrite_stub,
    .pglCopyTexSubImage1D = epoxy_glCopyTexSubImage1D_rewrite_stub,
    .pglCopyTexSubImage2D = epoxy_glCopyTexSubImage2D_rewrite_stub,
    .pglCopyTexSubImage3D = epoxy_glCopyTexSubImage3D_rewrite_stub,
    .pglCopyTextureImage1DEXT = epoxy_glCopyTextureImage1DEXT_rewrite_stub,
    .pglCopyTextureImage2DEXT = epoxy_glCopyTextureImage2DEXT_rewrite_stub,
    .pglCopyTextureLevelsAPPLE = epoxy_glCopyTextureLevelsAPPLE_rewrite_stub,
    .pglCopyTextureSubImage1DEXT = epoxy_glCopyTextureSubImage1DEXT_rewrite_stub,
    .pglCopyTextureSubImage2DEXT = epoxy_glCopyTextureSubImage2DEXT_rewrite_stub,
    .pglCopyTextureSubImage3DEXT = epoxy_glCopyTextureSubImage3DEXT_rewrite_stub,
    .pglCoverFillPathInstancedNV = epoxy_glCoverFillPathInstancedNV_rewrite_stub,
    .pglCoverFillPathNV = epoxy_glCoverFillPathNV_rewrite_stub,
    .pglCoverStrokePathInstancedNV = epoxy_glCoverStrokePathInstancedNV_rewrite_stub,
    .pglCoverStrokePathNV = epoxy_glCoverStrokePathNV_rewrite_stub,
    .pglCoverageMaskNV = epoxy_glCoverageMaskNV_rewrite_stub,
    .pglCoverageOperationNV = epoxy_glCoverageOperationNV_rewrite_stub,
    .pglCreatePerfQueryINTEL = epoxy_glCreatePerfQueryINTEL_rewrite_stub,
    .pglCreateProgram = epoxy_glCreateProgram_rewrite_stub,
    .pglCreateShader = epoxy_glCreateShader_rewrite_stub,
    .pglCreateShaderProgramEXT = epoxy_glCreateShaderProgramEXT_rewrite_stub,
    .pglCreateShaderProgramv = epoxy_glCreateShaderProgramv_rewrite_stub,
    .pglCreateShaderProgramvEXT = epoxy_glCreateShaderProgramvEXT_rewrite_stub,
    .pglCreateSyncFromCLeventARB = epoxy_glCreateSyncFromCLeventARB_rewrite_stub,
    .pglCullFace = epoxy_glCullFace_rewrite_stub,
    .pglCullParameterdvEXT = epoxy_glCullParameterdvEXT_rewrite_stub,
    .pglCullParameterfvEXT = epoxy_glCullParameterfvEXT_rewrite_stub,
    .pglCurrentPaletteMatrixARB = epoxy_glCurrentPaletteMatrixARB_rewrite_stub,
    .pglCurrentPaletteMatrixOES = epoxy_glCurrentPaletteMatrixOES_rewrite_stub,
    .pglDebugMessageCallback = epoxy_glDebugMessageCallback_rewrite_stub,
    .pglDebugMessageCallbackAMD = epoxy_glDebugMessageCallbackAMD_rewrite_stub,
    .pglDebugMessageControl = epoxy_glDebugMessageControl_rewrite_stub,
    .pglDebugMessageEnableAMD = epoxy_glDebugMessageEnableAMD_rewrite_stub,
    .pglDebugMessageInsert = epoxy_glDebugMessageInsert_rewrite_stub,
    .pglDebugMessageInsertAMD = epoxy_glDebugMessageInsertAMD_rewrite_stub,
    .pglDeformSGIX = epoxy_glDeformSGIX_rewrite_stub,
    .pglDeformationMap3dSGIX = epoxy_glDeformationMap3dSGIX_rewrite_stub,
    .pglDeformationMap3fSGIX = epoxy_glDeformationMap3fSGIX_rewrite_stub,
    .pglDeleteAsyncMarkersSGIX = epoxy_glDeleteAsyncMarkersSGIX_rewrite_stub,
    .pglDeleteBuffers = epoxy_glDeleteBuffers_rewrite_stub,
    .pglDeleteFencesAPPLE = epoxy_glDeleteFencesAPPLE_rewrite_stub,
    .pglDeleteFencesNV = epoxy_glDeleteFencesNV_rewrite_stub,
    .pglDeleteFragmentShaderATI = epoxy_glDeleteFragmentShaderATI_rewrite_stub,
    .pglDeleteFramebuffers = epoxy_glDeleteFramebuffers_rewrite_stub,
    .pglDeleteFramebuffersOES = epoxy_glDeleteFramebuffersOES_rewrite_stub,
    .pglDeleteLists = epoxy_glDeleteLists_rewrite_stub,
    .pglDeleteNamedStringARB = epoxy_glDeleteNamedStringARB_rewrite_stub,
    .pglDeleteNamesAMD = epoxy_glDeleteNamesAMD_rewrite_stub,
    .pglDeleteObjectARB = epoxy_glDeleteObjectARB_rewrite_stub,
    .pglDeleteOcclusionQueriesNV = epoxy_glDeleteOcclusionQueriesNV_rewrite_stub,
    .pglDeletePathsNV = epoxy_glDeletePathsNV_rewrite_stub,
    .pglDeletePerfMonitorsAMD = epoxy_glDeletePerfMonitorsAMD_rewrite_stub,
    .pglDeletePerfQueryINTEL = epoxy_glDeletePerfQueryINTEL_rewrite_stub,
    .pglDeleteProgram = epoxy_glDeleteProgram_rewrite_stub,
    .pglDeleteProgramPipelines = epoxy_glDeleteProgramPipelines_rewrite_stub,
    .pglDeleteProgramPipelinesEXT = epoxy_glDeleteProgramPipelinesEXT_rewrite_stub,
    .pglDeleteProgramsARB = epoxy_glDeleteProgramsARB_rewrite_stub,
    .pglDeleteQueries = epoxy_glDeleteQueries_rewrite_stub,
    .pglDeleteQueriesEXT = epoxy_glDeleteQueriesEXT_rewrite_stub,
    .pglDeleteRenderbuffers = epoxy_glDeleteRenderbuffers_rewrite_stub,
    .pglDeleteRenderbuffersOES = epoxy_glDeleteRenderbuffersOES_rewrite_stub,
    .pglDeleteSamplers = epoxy_glDeleteSamplers_rewrite_stub,
    .pglDeleteShader = epoxy_glDeleteShader_rewrite_stub,
    .pglDeleteSync = epoxy_glDeleteSync_rewrite_stub,
    .pglDeleteTextures = epoxy_glDeleteTextures_rewrite_stub,
    .pglDeleteTexturesEXT = epoxy_glDeleteTexturesEXT_rewrite_stub,
    .pglDeleteTransformFeedbacks = epoxy_glDeleteTransformFeedbacks_rewrite_stub,
    .pglDeleteVertexArrays = epoxy_glDeleteVertexArrays_rewrite_stub,
    .pglDeleteVertexShaderEXT = epoxy_glDeleteVertexShaderEXT_rewrite_stub,
    .pglDepthBoundsEXT = epoxy_glDepthBoundsEXT_rewrite_stub,
    .pglDepthBoundsdNV = epoxy_glDepthBoundsdNV_rewrite_stub,
    .pglDepthFunc = epoxy_glDepthFunc_rewrite_stub,
    .pglDepthMask = epoxy_glDepthMask_rewrite_stub,
    .pglDepthRange = epoxy_glDepthRange_rewrite_stub,
    .pglDepthRangeArrayv = epoxy_glDepthRangeArrayv_rewrite_stub,
    .pglDepthRangeIndexed = epoxy_glDepthRangeIndexed_rewrite_stub,
    .pglDepthRangedNV = epoxy_glDepthRangedNV_rewrite_stub,
    .pglDepthRangef = epoxy_glDepthRangef_rewrite_stub,
    .pglDepthRangex = epoxy_glDepthRangex_rewrite_stub,
    .pglDepthRangexOES = epoxy_glDepthRangexOES_rewrite_stub,
    .pglDetachShader = epoxy_glDetachShader_rewrite_stub,
    .pglDetailTexFuncSGIS = epoxy_glDetailTexFuncSGIS_rewrite_stub,
    .pglDisable = epoxy_glDisable_rewrite_stub,
    .pglDisableClientState = epoxy_glDisableClientState_rewrite_stub,
    .pglDisableClientStateIndexedEXT = epoxy_glDisableClientStateIndexedEXT_rewrite_stub,
    .pglDisableClientStateiEXT = epoxy_glDisableClientStateiEXT_rewrite_stub,
    .pglDisableDriverControlQCOM = epoxy_glDisableDriverControlQCOM_rewrite_stub,
    .pglDisableVariantClientStateEXT = epoxy_glDisableVariantClientStateEXT_rewrite_stub,
    .pglDisableVertexArrayAttribEXT = epoxy_glDisableVertexArrayAttribEXT_rewrite_stub,
    .pglDisableVertexArrayEXT = epoxy_glDisableVertexArrayEXT_rewrite_stub,
    .pglDisableVertexAttribAPPLE = epoxy_glDisableVertexAttribAPPLE_rewrite_stub,
    .pglDisableVertexAttribArray = epoxy_glDisableVertexAttribArray_rewrite_stub,
    .pglDisablei = epoxy_glDisablei_rewrite_stub,
    .pglDiscardFramebufferEXT = epoxy_glDiscardFramebufferEXT_rewrite_stub,
    .pglDispatchCompute = epoxy_glDispatchCompute_rewrite_stub,
    .pglDispatchComputeGroupSizeARB = epoxy_glDispatchComputeGroupSizeARB_rewrite_stub,
    .pglDispatchComputeIndirect = epoxy_glDispatchComputeIndirect_rewrite_stub,
    .pglDrawArrays = epoxy_glDrawArrays_rewrite_stub,
    .pglDrawArraysIndirect = epoxy_glDrawArraysIndirect_rewrite_stub,
    .pglDrawArraysInstanced = epoxy_glDrawArraysInstanced_rewrite_stub,
    .pglDrawArraysInstancedBaseInstance = epoxy_glDrawArraysInstancedBaseInstance_rewrite_stub,
    .pglDrawBuffer = epoxy_glDrawBuffer_rewrite_stub,
    .pglDrawBuffers = epoxy_glDrawBuffers_rewrite_stub,
    .pglDrawBuffersIndexedEXT = epoxy_glDrawBuffersIndexedEXT_rewrite_stub,
    .pglDrawBuffersNV = epoxy_glDrawBuffersNV_rewrite_stub,
    .pglDrawElementArrayAPPLE = epoxy_glDrawElementArrayAPPLE_rewrite_stub,
    .pglDrawElementArrayATI = epoxy_glDrawElementArrayATI_rewrite_stub,
    .pglDrawElements = epoxy_glDrawElements_rewrite_stub,
    .pglDrawElementsBaseVertex = epoxy_glDrawElementsBaseVertex_rewrite_stub,
    .pglDrawElementsIndirect = epoxy_glDrawElementsIndirect_rewrite_stub,
    .pglDrawElementsInstanced = epoxy_glDrawElementsInstanced_rewrite_stub,
    .pglDrawElementsInstancedBaseInstance = epoxy_glDrawElementsInstancedBaseInstance_rewrite_stub,
    .pglDrawElementsInstancedBaseVertex = epoxy_glDrawElementsInstancedBaseVertex_rewrite_stub,
    .pglDrawElementsInstancedBaseVertexBaseInstance = epoxy_glDrawElementsInstancedBaseVertexBaseInstance_rewrite_stub,
    .pglDrawMeshArraysSUN = epoxy_glDrawMeshArraysSUN_rewrite_stub,
    .pglDrawPixels = epoxy_glDrawPixels_rewrite_stub,
    .pglDrawRangeElementArrayAPPLE = epoxy_glDrawRangeElementArrayAPPLE_rewrite_stub,
    .pglDrawRangeElementArrayATI = epoxy_glDrawRangeElementArrayATI_rewrite_stub,
    .pglDrawRangeElements = epoxy_glDrawRangeElements_rewrite_stub,
    .pglDrawRangeElementsBaseVertex = epoxy_glDrawRangeElementsBaseVertex_rewrite_stub,
    .pglDrawTexfOES = epoxy_glDrawTexfOES_rewrite_stub,
    .pglDrawTexfvOES = epoxy_glDrawTexfvOES_rewrite_stub,
    .pglDrawTexiOES = epoxy_glDrawTexiOES_rewrite_stub,
    .pglDrawTexivOES = epoxy_glDrawTexivOES_rewrite_stub,
    .pglDrawTexsOES = epoxy_glDrawTexsOES_rewrite_stub,
    .pglDrawTexsvOES = epoxy_glDrawTexsvOES_rewrite_stub,
    .pglDrawTextureNV = epoxy_glDrawTextureNV_rewrite_stub,
    .pglDrawTexxOES = epoxy_glDrawTexxOES_rewrite_stub,
    .pglDrawTexxvOES = epoxy_glDrawTexxvOES_rewrite_stub,
    .pglDrawTransformFeedback = epoxy_glDrawTransformFeedback_rewrite_stub,
    .pglDrawTransformFeedbackInstanced = epoxy_glDrawTransformFeedbackInstanced_rewrite_stub,
    .pglDrawTransformFeedbackStream = epoxy_glDrawTransformFeedbackStream_rewrite_stub,
    .pglDrawTransformFeedbackStreamInstanced = epoxy_glDrawTransformFeedbackStreamInstanced_rewrite_stub,
    .pglEGLImageTargetRenderbufferStorageOES = epoxy_glEGLImageTargetRenderbufferStorageOES_rewrite_stub,
    .pglEGLImageTargetTexture2DOES = epoxy_glEGLImageTargetTexture2DOES_rewrite_stub,
    .pglEdgeFlag = epoxy_glEdgeFlag_rewrite_stub,
    .pglEdgeFlagFormatNV = epoxy_glEdgeFlagFormatNV_rewrite_stub,
    .pglEdgeFlagPointer = epoxy_glEdgeFlagPointer_rewrite_stub,
    .pglEdgeFlagPointerEXT = epoxy_glEdgeFlagPointerEXT_rewrite_stub,
    .pglEdgeFlagPointerListIBM = epoxy_glEdgeFlagPointerListIBM_rewrite_stub,
    .pglEdgeFlagv = epoxy_glEdgeFlagv_rewrite_stub,
    .pglElementPointerAPPLE = epoxy_glElementPointerAPPLE_rewrite_stub,
    .pglElementPointerATI = epoxy_glElementPointerATI_rewrite_stub,
    .pglEnable = epoxy_glEnable_rewrite_stub,
    .pglEnableClientState = epoxy_glEnableClientState_rewrite_stub,
    .pglEnableClientStateIndexedEXT = epoxy_glEnableClientStateIndexedEXT_rewrite_stub,
    .pglEnableClientStateiEXT = epoxy_glEnableClientStateiEXT_rewrite_stub,
    .pglEnableDriverControlQCOM = epoxy_glEnableDriverControlQCOM_rewrite_stub,
    .pglEnableVariantClientStateEXT = epoxy_glEnableVariantClientStateEXT_rewrite_stub,
    .pglEnableVertexArrayAttribEXT = epoxy_glEnableVertexArrayAttribEXT_rewrite_stub,
    .pglEnableVertexArrayEXT = epoxy_glEnableVertexArrayEXT_rewrite_stub,
    .pglEnableVertexAttribAPPLE = epoxy_glEnableVertexAttribAPPLE_rewrite_stub,
    .pglEnableVertexAttribArray = epoxy_glEnableVertexAttribArray_rewrite_stub,
    .pglEnablei = epoxy_glEnablei_rewrite_stub,
    .pglEnd = epoxy_glEnd_rewrite_stub,
    .pglEndConditionalRender = epoxy_glEndConditionalRender_rewrite_stub,
    .pglEndFragmentShaderATI = epoxy_glEndFragmentShaderATI_rewrite_stub,
    .pglEndList = epoxy_glEndList_rewrite_stub,
    .pglEndOcclusionQueryNV = epoxy_glEndOcclusionQueryNV_rewrite_stub,
    .pglEndPerfMonitorAMD = epoxy_glEndPerfMonitorAMD_rewrite_stub,
    .pglEndPerfQueryINTEL = epoxy_glEndPerfQueryINTEL_rewrite_stub,
    .pglEndQuery = epoxy_glEndQuery_rewrite_stub,
    .pglEndQueryEXT = epoxy_glEndQueryEXT_rewrite_stub,
    .pglEndQueryIndexed = epoxy_glEndQueryIndexed_rewrite_stub,
    .pglEndTilingQCOM = epoxy_glEndTilingQCOM_rewrite_stub,
    .pglEndTransformFeedback = epoxy_glEndTransformFeedback_rewrite_stub,
    .pglEndVertexShaderEXT = epoxy_glEndVertexShaderEXT_rewrite_stub,
    .pglEndVideoCaptureNV = epoxy_glEndVideoCaptureNV_rewrite_stub,
    .pglEvalCoord1d = epoxy_glEvalCoord1d_rewrite_stub,
    .pglEvalCoord1dv = epoxy_glEvalCoord1dv_rewrite_stub,
    .pglEvalCoord1f = epoxy_glEvalCoord1f_rewrite_stub,
    .pglEvalCoord1fv = epoxy_glEvalCoord1fv_rewrite_stub,
    .pglEvalCoord1xOES = epoxy_glEvalCoord1xOES_rewrite_stub,
    .pglEvalCoord1xvOES = epoxy_glEvalCoord1xvOES_rewrite_stub,
    .pglEvalCoord2d = epoxy_glEvalCoord2d_rewrite_stub,
    .pglEvalCoord2dv = epoxy_glEvalCoord2dv_rewrite_stub,
    .pglEvalCoord2f = epoxy_glEvalCoord2f_rewrite_stub,
    .pglEvalCoord2fv = epoxy_glEvalCoord2fv_rewrite_stub,
    .pglEvalCoord2xOES = epoxy_glEvalCoord2xOES_rewrite_stub,
    .pglEvalCoord2xvOES = epoxy_glEvalCoord2xvOES_rewrite_stub,
    .pglEvalMapsNV = epoxy_glEvalMapsNV_rewrite_stub,
    .pglEvalMesh1 = epoxy_glEvalMesh1_rewrite_stub,
    .pglEvalMesh2 = epoxy_glEvalMesh2_rewrite_stub,
    .pglEvalPoint1 = epoxy_glEvalPoint1_rewrite_stub,
    .pglEvalPoint2 = epoxy_glEvalPoint2_rewrite_stub,
    .pglExecuteProgramNV = epoxy_glExecuteProgramNV_rewrite_stub,
    .pglExtGetBufferPointervQCOM = epoxy_glExtGetBufferPointervQCOM_rewrite_stub,
    .pglExtGetBuffersQCOM = epoxy_glExtGetBuffersQCOM_rewrite_stub,
    .pglExtGetFramebuffersQCOM = epoxy_glExtGetFramebuffersQCOM_rewrite_stub,
    .pglExtGetProgramBinarySourceQCOM = epoxy_glExtGetProgramBinarySourceQCOM_rewrite_stub,
    .pglExtGetProgramsQCOM = epoxy_glExtGetProgramsQCOM_rewrite_stub,
    .pglExtGetRenderbuffersQCOM = epoxy_glExtGetRenderbuffersQCOM_rewrite_stub,
    .pglExtGetShadersQCOM = epoxy_glExtGetShadersQCOM_rewrite_stub,
    .pglExtGetTexLevelParameterivQCOM = epoxy_glExtGetTexLevelParameterivQCOM_rewrite_stub,
    .pglExtGetTexSubImageQCOM = epoxy_glExtGetTexSubImageQCOM_rewrite_stub,
    .pglExtGetTexturesQCOM = epoxy_glExtGetTexturesQCOM_rewrite_stub,
    .pglExtIsProgramBinaryQCOM = epoxy_glExtIsProgramBinaryQCOM_rewrite_stub,
    .pglExtTexObjectStateOverrideiQCOM = epoxy_glExtTexObjectStateOverrideiQCOM_rewrite_stub,
    .pglExtractComponentEXT = epoxy_glExtractComponentEXT_rewrite_stub,
    .pglFeedbackBuffer = epoxy_glFeedbackBuffer_rewrite_stub,
    .pglFeedbackBufferxOES = epoxy_glFeedbackBufferxOES_rewrite_stub,
    .pglFenceSync = epoxy_glFenceSync_rewrite_stub,
    .pglFinalCombinerInputNV = epoxy_glFinalCombinerInputNV_rewrite_stub,
    .pglFinish = epoxy_glFinish_rewrite_stub,
    .pglFinishAsyncSGIX = epoxy_glFinishAsyncSGIX_rewrite_stub,
    .pglFinishFenceAPPLE = epoxy_glFinishFenceAPPLE_rewrite_stub,
    .pglFinishFenceNV = epoxy_glFinishFenceNV_rewrite_stub,
    .pglFinishObjectAPPLE = epoxy_glFinishObjectAPPLE_rewrite_stub,
    .pglFinishTextureSUNX = epoxy_glFinishTextureSUNX_rewrite_stub,
    .pglFlush = epoxy_glFlush_rewrite_stub,
    .pglFlushMappedBufferRange = epoxy_glFlushMappedBufferRange_rewrite_stub,
    .pglFlushMappedNamedBufferRangeEXT = epoxy_glFlushMappedNamedBufferRangeEXT_rewrite_stub,
    .pglFlushPixelDataRangeNV = epoxy_glFlushPixelDataRangeNV_rewrite_stub,
    .pglFlushRasterSGIX = epoxy_glFlushRasterSGIX_rewrite_stub,
    .pglFlushStaticDataIBM = epoxy_glFlushStaticDataIBM_rewrite_stub,
    .pglFlushVertexArrayRangeAPPLE = epoxy_glFlushVertexArrayRangeAPPLE_rewrite_stub,
    .pglFlushVertexArrayRangeNV = epoxy_glFlushVertexArrayRangeNV_rewrite_stub,
    .pglFogCoordFormatNV = epoxy_glFogCoordFormatNV_rewrite_stub,
    .pglFogCoordPointer = epoxy_glFogCoordPointer_rewrite_stub,
    .pglFogCoordPointerListIBM = epoxy_glFogCoordPointerListIBM_rewrite_stub,
    .pglFogCoordd = epoxy_glFogCoordd_rewrite_stub,
    .pglFogCoorddv = epoxy_glFogCoorddv_rewrite_stub,
    .pglFogCoordf = epoxy_glFogCoordf_rewrite_stub,
    .pglFogCoordfv = epoxy_glFogCoordfv_rewrite_stub,
    .pglFogCoordhNV = epoxy_glFogCoordhNV_rewrite_stub,
    .pglFogCoordhvNV = epoxy_glFogCoordhvNV_rewrite_stub,
    .pglFogFuncSGIS = epoxy_glFogFuncSGIS_rewrite_stub,
    .pglFogf = epoxy_glFogf_rewrite_stub,
    .pglFogfv = epoxy_glFogfv_rewrite_stub,
    .pglFogi = epoxy_glFogi_rewrite_stub,
    .pglFogiv = epoxy_glFogiv_rewrite_stub,
    .pglFogx = epoxy_glFogx_rewrite_stub,
    .pglFogxOES = epoxy_glFogxOES_rewrite_stub,
    .pglFogxv = epoxy_glFogxv_rewrite_stub,
    .pglFogxvOES = epoxy_glFogxvOES_rewrite_stub,
    .pglFragmentColorMaterialSGIX = epoxy_glFragmentColorMaterialSGIX_rewrite_stub,
    .pglFragmentLightModelfSGIX = epoxy_glFragmentLightModelfSGIX_rewrite_stub,
    .pglFragmentLightModelfvSGIX = epoxy_glFragmentLightModelfvSGIX_rewrite_stub,
    .pglFragmentLightModeliSGIX = epoxy_glFragmentLightModeliSGIX_rewrite_stub,
    .pglFragmentLightModelivSGIX = epoxy_glFragmentLightModelivSGIX_rewrite_stub,
    .pglFragmentLightfSGIX = epoxy_glFragmentLightfSGIX_rewrite_stub,
    .pglFragmentLightfvSGIX = epoxy_glFragmentLightfvSGIX_rewrite_stub,
    .pglFragmentLightiSGIX = epoxy_glFragmentLightiSGIX_rewrite_stub,
    .pglFragmentLightivSGIX = epoxy_glFragmentLightivSGIX_rewrite_stub,
    .pglFragmentMaterialfSGIX = epoxy_glFragmentMaterialfSGIX_rewrite_stub,
    .pglFragmentMaterialfvSGIX = epoxy_glFragmentMaterialfvSGIX_rewrite_stub,
    .pglFragmentMaterialiSGIX = epoxy_glFragmentMaterialiSGIX_rewrite_stub,
    .pglFragmentMaterialivSGIX = epoxy_glFragmentMaterialivSGIX_rewrite_stub,
    .pglFrameTerminatorGREMEDY = epoxy_glFrameTerminatorGREMEDY_rewrite_stub,
    .pglFrameZoomSGIX = epoxy_glFrameZoomSGIX_rewrite_stub,
    .pglFramebufferDrawBufferEXT = epoxy_glFramebufferDrawBufferEXT_rewrite_stub,
    .pglFramebufferDrawBuffersEXT = epoxy_glFramebufferDrawBuffersEXT_rewrite_stub,
    .pglFramebufferParameteri = epoxy_glFramebufferParameteri_rewrite_stub,
    .pglFramebufferReadBufferEXT = epoxy_glFramebufferReadBufferEXT_rewrite_stub,
    .pglFramebufferRenderbuffer = epoxy_glFramebufferRenderbuffer_rewrite_stub,
    .pglFramebufferRenderbufferOES = epoxy_glFramebufferRenderbufferOES_rewrite_stub,
    .pglFramebufferTexture = epoxy_glFramebufferTexture_rewrite_stub,
    .pglFramebufferTexture1D = epoxy_glFramebufferTexture1D_rewrite_stub,
    .pglFramebufferTexture2D = epoxy_glFramebufferTexture2D_rewrite_stub,
    .pglFramebufferTexture2DMultisampleEXT = epoxy_glFramebufferTexture2DMultisampleEXT_rewrite_stub,
    .pglFramebufferTexture2DMultisampleIMG = epoxy_glFramebufferTexture2DMultisampleIMG_rewrite_stub,
    .pglFramebufferTexture2DOES = epoxy_glFramebufferTexture2DOES_rewrite_stub,
    .pglFramebufferTexture3D = epoxy_glFramebufferTexture3D_rewrite_stub,
    .pglFramebufferTextureFaceARB = epoxy_glFramebufferTextureFaceARB_rewrite_stub,
    .pglFramebufferTextureLayer = epoxy_glFramebufferTextureLayer_rewrite_stub,
    .pglFreeObjectBufferATI = epoxy_glFreeObjectBufferATI_rewrite_stub,
    .pglFrontFace = epoxy_glFrontFace_rewrite_stub,
    .pglFrustum = epoxy_glFrustum_rewrite_stub,
    .pglFrustumf = epoxy_glFrustumf_rewrite_stub,
    .pglFrustumfOES = epoxy_glFrustumfOES_rewrite_stub,
    .pglFrustumx = epoxy_glFrustumx_rewrite_stub,
    .pglFrustumxOES = epoxy_glFrustumxOES_rewrite_stub,
    .pglGenAsyncMarkersSGIX = epoxy_glGenAsyncMarkersSGIX_rewrite_stub,
    .pglGenBuffers = epoxy_glGenBuffers_rewrite_stub,
    .pglGenFencesAPPLE = epoxy_glGenFencesAPPLE_rewrite_stub,
    .pglGenFencesNV = epoxy_glGenFencesNV_rewrite_stub,
    .pglGenFragmentShadersATI = epoxy_glGenFragmentShadersATI_rewrite_stub,
    .pglGenFramebuffers = epoxy_glGenFramebuffers_rewrite_stub,
    .pglGenFramebuffersOES = epoxy_glGenFramebuffersOES_rewrite_stub,
    .pglGenLists = epoxy_glGenLists_rewrite_stub,
    .pglGenNamesAMD = epoxy_glGenNamesAMD_rewrite_stub,
    .pglGenOcclusionQueriesNV = epoxy_glGenOcclusionQueriesNV_rewrite_stub,
    .pglGenPathsNV = epoxy_glGenPathsNV_rewrite_stub,
    .pglGenPerfMonitorsAMD = epoxy_glGenPerfMonitorsAMD_rewrite_stub,
    .pglGenProgramPipelines = epoxy_glGenProgramPipelines_rewrite_stub,
    .pglGenProgramPipelinesEXT = epoxy_glGenProgramPipelinesEXT_rewrite_stub,
    .pglGenProgramsARB = epoxy_glGenProgramsARB_rewrite_stub,
    .pglGenQueries = epoxy_glGenQueries_rewrite_stub,
    .pglGenQueriesEXT = epoxy_glGenQueriesEXT_rewrite_stub,
    .pglGenRenderbuffers = epoxy_glGenRenderbuffers_rewrite_stub,
    .pglGenRenderbuffersOES = epoxy_glGenRenderbuffersOES_rewrite_stub,
    .pglGenSamplers = epoxy_glGenSamplers_rewrite_stub,
    .pglGenSymbolsEXT = epoxy_glGenSymbolsEXT_rewrite_stub,
    .pglGenTextures = epoxy_glGenTextures_rewrite_stub,
    .pglGenTexturesEXT = epoxy_glGenTexturesEXT_rewrite_stub,
    .pglGenTransformFeedbacks = epoxy_glGenTransformFeedbacks_rewrite_stub,
    .pglGenVertexArrays = epoxy_glGenVertexArrays_rewrite_stub,
    .pglGenVertexShadersEXT = epoxy_glGenVertexShadersEXT_rewrite_stub,
    .pglGenerateMipmap = epoxy_glGenerateMipmap_rewrite_stub,
    .pglGenerateMipmapOES = epoxy_glGenerateMipmapOES_rewrite_stub,
    .pglGenerateMultiTexMipmapEXT = epoxy_glGenerateMultiTexMipmapEXT_rewrite_stub,
    .pglGenerateTextureMipmapEXT = epoxy_glGenerateTextureMipmapEXT_rewrite_stub,
    .pglGetActiveAtomicCounterBufferiv = epoxy_glGetActiveAtomicCounterBufferiv_rewrite_stub,
    .pglGetActiveAttrib = epoxy_glGetActiveAttrib_rewrite_stub,
    .pglGetActiveSubroutineName = epoxy_glGetActiveSubroutineName_rewrite_stub,
    .pglGetActiveSubroutineUniformName = epoxy_glGetActiveSubroutineUniformName_rewrite_stub,
    .pglGetActiveSubroutineUniformiv = epoxy_glGetActiveSubroutineUniformiv_rewrite_stub,
    .pglGetActiveUniform = epoxy_glGetActiveUniform_rewrite_stub,
    .pglGetActiveUniformBlockName = epoxy_glGetActiveUniformBlockName_rewrite_stub,
    .pglGetActiveUniformBlockiv = epoxy_glGetActiveUniformBlockiv_rewrite_stub,
    .pglGetActiveUniformName = epoxy_glGetActiveUniformName_rewrite_stub,
    .pglGetActiveUniformsiv = epoxy_glGetActiveUniformsiv_rewrite_stub,
    .pglGetActiveVaryingNV = epoxy_glGetActiveVaryingNV_rewrite_stub,
    .pglGetArrayObjectfvATI = epoxy_glGetArrayObjectfvATI_rewrite_stub,
    .pglGetArrayObjectivATI = epoxy_glGetArrayObjectivATI_rewrite_stub,
    .pglGetAttachedObjectsARB = epoxy_glGetAttachedObjectsARB_rewrite_stub,
    .pglGetAttachedShaders = epoxy_glGetAttachedShaders_rewrite_stub,
    .pglGetAttribLocation = epoxy_glGetAttribLocation_rewrite_stub,
    .pglGetBooleani_v = epoxy_glGetBooleani_v_rewrite_stub,
    .pglGetBooleanv = epoxy_glGetBooleanv_rewrite_stub,
    .pglGetBufferParameteri64v = epoxy_glGetBufferParameteri64v_rewrite_stub,
    .pglGetBufferParameteriv = epoxy_glGetBufferParameteriv_rewrite_stub,
    .pglGetBufferParameterui64vNV = epoxy_glGetBufferParameterui64vNV_rewrite_stub,
    .pglGetBufferPointerv = epoxy_glGetBufferPointerv_rewrite_stub,
    .pglGetBufferSubData = epoxy_glGetBufferSubData_rewrite_stub,
    .pglGetClipPlane = epoxy_glGetClipPlane_rewrite_stub,
    .pglGetClipPlanef = epoxy_glGetClipPlanef_rewrite_stub,
    .pglGetClipPlanefOES = epoxy_glGetClipPlanefOES_rewrite_stub,
    .pglGetClipPlanex = epoxy_glGetClipPlanex_rewrite_stub,
    .pglGetClipPlanexOES = epoxy_glGetClipPlanexOES_rewrite_stub,
    .pglGetColorTable = epoxy_glGetColorTable_rewrite_stub,
    .pglGetColorTableParameterfv = epoxy_glGetColorTableParameterfv_rewrite_stub,
    .pglGetColorTableParameterfvSGI = epoxy_glGetColorTableParameterfvSGI_rewrite_stub,
    .pglGetColorTableParameteriv = epoxy_glGetColorTableParameteriv_rewrite_stub,
    .pglGetColorTableParameterivSGI = epoxy_glGetColorTableParameterivSGI_rewrite_stub,
    .pglGetColorTableSGI = epoxy_glGetColorTableSGI_rewrite_stub,
    .pglGetCombinerInputParameterfvNV = epoxy_glGetCombinerInputParameterfvNV_rewrite_stub,
    .pglGetCombinerInputParameterivNV = epoxy_glGetCombinerInputParameterivNV_rewrite_stub,
    .pglGetCombinerOutputParameterfvNV = epoxy_glGetCombinerOutputParameterfvNV_rewrite_stub,
    .pglGetCombinerOutputParameterivNV = epoxy_glGetCombinerOutputParameterivNV_rewrite_stub,
    .pglGetCombinerStageParameterfvNV = epoxy_glGetCombinerStageParameterfvNV_rewrite_stub,
    .pglGetCompressedMultiTexImageEXT = epoxy_glGetCompressedMultiTexImageEXT_rewrite_stub,
    .pglGetCompressedTexImage = epoxy_glGetCompressedTexImage_rewrite_stub,
    .pglGetCompressedTextureImageEXT = epoxy_glGetCompressedTextureImageEXT_rewrite_stub,
    .pglGetConvolutionFilter = epoxy_glGetConvolutionFilter_rewrite_stub,
    .pglGetConvolutionFilterEXT = epoxy_glGetConvolutionFilterEXT_rewrite_stub,
    .pglGetConvolutionParameterfv = epoxy_glGetConvolutionParameterfv_rewrite_stub,
    .pglGetConvolutionParameterfvEXT = epoxy_glGetConvolutionParameterfvEXT_rewrite_stub,
    .pglGetConvolutionParameteriv = epoxy_glGetConvolutionParameteriv_rewrite_stub,
    .pglGetConvolutionParameterivEXT = epoxy_glGetConvolutionParameterivEXT_rewrite_stub,
    .pglGetConvolutionParameterxvOES = epoxy_glGetConvolutionParameterxvOES_rewrite_stub,
    .pglGetDebugMessageLog = epoxy_glGetDebugMessageLog_rewrite_stub,
    .pglGetDebugMessageLogAMD = epoxy_glGetDebugMessageLogAMD_rewrite_stub,
    .pglGetDetailTexFuncSGIS = epoxy_glGetDetailTexFuncSGIS_rewrite_stub,
    .pglGetDoublei_v = epoxy_glGetDoublei_v_rewrite_stub,
    .pglGetDoublev = epoxy_glGetDoublev_rewrite_stub,
    .pglGetDriverControlStringQCOM = epoxy_glGetDriverControlStringQCOM_rewrite_stub,
    .pglGetDriverControlsQCOM = epoxy_glGetDriverControlsQCOM_rewrite_stub,
    .pglGetError = epoxy_glGetError_rewrite_stub,
    .pglGetFenceivNV = epoxy_glGetFenceivNV_rewrite_stub,
    .pglGetFinalCombinerInputParameterfvNV = epoxy_glGetFinalCombinerInputParameterfvNV_rewrite_stub,
    .pglGetFinalCombinerInputParameterivNV = epoxy_glGetFinalCombinerInputParameterivNV_rewrite_stub,
    .pglGetFirstPerfQueryIdINTEL = epoxy_glGetFirstPerfQueryIdINTEL_rewrite_stub,
    .pglGetFixedv = epoxy_glGetFixedv_rewrite_stub,
    .pglGetFixedvOES = epoxy_glGetFixedvOES_rewrite_stub,
    .pglGetFloati_v = epoxy_glGetFloati_v_rewrite_stub,
    .pglGetFloatv = epoxy_glGetFloatv_rewrite_stub,
    .pglGetFogFuncSGIS = epoxy_glGetFogFuncSGIS_rewrite_stub,
    .pglGetFragDataIndex = epoxy_glGetFragDataIndex_rewrite_stub,
    .pglGetFragDataLocation = epoxy_glGetFragDataLocation_rewrite_stub,
    .pglGetFragmentLightfvSGIX = epoxy_glGetFragmentLightfvSGIX_rewrite_stub,
    .pglGetFragmentLightivSGIX = epoxy_glGetFragmentLightivSGIX_rewrite_stub,
    .pglGetFragmentMaterialfvSGIX = epoxy_glGetFragmentMaterialfvSGIX_rewrite_stub,
    .pglGetFragmentMaterialivSGIX = epoxy_glGetFragmentMaterialivSGIX_rewrite_stub,
    .pglGetFramebufferAttachmentParameteriv = epoxy_glGetFramebufferAttachmentParameteriv_rewrite_stub,
    .pglGetFramebufferAttachmentParameterivOES = epoxy_glGetFramebufferAttachmentParameterivOES_rewrite_stub,
    .pglGetFramebufferParameteriv = epoxy_glGetFramebufferParameteriv_rewrite_stub,
    .pglGetFramebufferParameterivEXT = epoxy_glGetFramebufferParameterivEXT_rewrite_stub,
    .pglGetGraphicsResetStatusARB = epoxy_glGetGraphicsResetStatusARB_rewrite_stub,
    .pglGetGraphicsResetStatusEXT = epoxy_glGetGraphicsResetStatusEXT_rewrite_stub,
    .pglGetHandleARB = epoxy_glGetHandleARB_rewrite_stub,
    .pglGetHistogram = epoxy_glGetHistogram_rewrite_stub,
    .pglGetHistogramEXT = epoxy_glGetHistogramEXT_rewrite_stub,
    .pglGetHistogramParameterfv = epoxy_glGetHistogramParameterfv_rewrite_stub,
    .pglGetHistogramParameterfvEXT = epoxy_glGetHistogramParameterfvEXT_rewrite_stub,
    .pglGetHistogramParameteriv = epoxy_glGetHistogramParameteriv_rewrite_stub,
    .pglGetHistogramParameterivEXT = epoxy_glGetHistogramParameterivEXT_rewrite_stub,
    .pglGetHistogramParameterxvOES = epoxy_glGetHistogramParameterxvOES_rewrite_stub,
    .pglGetImageHandleARB = epoxy_glGetImageHandleARB_rewrite_stub,
    .pglGetImageHandleNV = epoxy_glGetImageHandleNV_rewrite_stub,
    .pglGetImageTransformParameterfvHP = epoxy_glGetImageTransformParameterfvHP_rewrite_stub,
    .pglGetImageTransformParameterivHP = epoxy_glGetImageTransformParameterivHP_rewrite_stub,
    .pglGetInfoLogARB = epoxy_glGetInfoLogARB_rewrite_stub,
    .pglGetInstrumentsSGIX = epoxy_glGetInstrumentsSGIX_rewrite_stub,
    .pglGetInteger64i_v = epoxy_glGetInteger64i_v_rewrite_stub,
    .pglGetInteger64v = epoxy_glGetInteger64v_rewrite_stub,
    .pglGetIntegeri_v = epoxy_glGetIntegeri_v_rewrite_stub,
    .pglGetIntegeri_vEXT = epoxy_glGetIntegeri_vEXT_rewrite_stub,
    .pglGetIntegerui64i_vNV = epoxy_glGetIntegerui64i_vNV_rewrite_stub,
    .pglGetIntegerui64vNV = epoxy_glGetIntegerui64vNV_rewrite_stub,
    .pglGetIntegerv = epoxy_glGetIntegerv_rewrite_stub,
    .pglGetInternalformati64v = epoxy_glGetInternalformati64v_rewrite_stub,
    .pglGetInternalformativ = epoxy_glGetInternalformativ_rewrite_stub,
    .pglGetInvariantBooleanvEXT = epoxy_glGetInvariantBooleanvEXT_rewrite_stub,
    .pglGetInvariantFloatvEXT = epoxy_glGetInvariantFloatvEXT_rewrite_stub,
    .pglGetInvariantIntegervEXT = epoxy_glGetInvariantIntegervEXT_rewrite_stub,
    .pglGetLightfv = epoxy_glGetLightfv_rewrite_stub,
    .pglGetLightiv = epoxy_glGetLightiv_rewrite_stub,
    .pglGetLightxOES = epoxy_glGetLightxOES_rewrite_stub,
    .pglGetLightxv = epoxy_glGetLightxv_rewrite_stub,
    .pglGetLightxvOES = epoxy_glGetLightxvOES_rewrite_stub,
    .pglGetListParameterfvSGIX = epoxy_glGetListParameterfvSGIX_rewrite_stub,
    .pglGetListParameterivSGIX = epoxy_glGetListParameterivSGIX_rewrite_stub,
    .pglGetLocalConstantBooleanvEXT = epoxy_glGetLocalConstantBooleanvEXT_rewrite_stub,
    .pglGetLocalConstantFloatvEXT = epoxy_glGetLocalConstantFloatvEXT_rewrite_stub,
    .pglGetLocalConstantIntegervEXT = epoxy_glGetLocalConstantIntegervEXT_rewrite_stub,
    .pglGetMapAttribParameterfvNV = epoxy_glGetMapAttribParameterfvNV_rewrite_stub,
    .pglGetMapAttribParameterivNV = epoxy_glGetMapAttribParameterivNV_rewrite_stub,
    .pglGetMapControlPointsNV = epoxy_glGetMapControlPointsNV_rewrite_stub,
    .pglGetMapParameterfvNV = epoxy_glGetMapParameterfvNV_rewrite_stub,
    .pglGetMapParameterivNV = epoxy_glGetMapParameterivNV_rewrite_stub,
    .pglGetMapdv = epoxy_glGetMapdv_rewrite_stub,
    .pglGetMapfv = epoxy_glGetMapfv_rewrite_stub,
    .pglGetMapiv = epoxy_glGetMapiv_rewrite_stub,
    .pglGetMapxvOES = epoxy_glGetMapxvOES_rewrite_stub,
    .pglGetMaterialfv = epoxy_glGetMaterialfv_rewrite_stub,
    .pglGetMaterialiv = epoxy_glGetMaterialiv_rewrite_stub,
    .pglGetMaterialxOES = epoxy_glGetMaterialxOES_rewrite_stub,
    .pglGetMaterialxv = epoxy_glGetMaterialxv_rewrite_stub,
    .pglGetMaterialxvOES = epoxy_glGetMaterialxvOES_rewrite_stub,
    .pglGetMinmax = epoxy_glGetMinmax_rewrite_stub,
    .pglGetMinmaxEXT = epoxy_glGetMinmaxEXT_rewrite_stub,
    .pglGetMinmaxParameterfv = epoxy_glGetMinmaxParameterfv_rewrite_stub,
    .pglGetMinmaxParameterfvEXT = epoxy_glGetMinmaxParameterfvEXT_rewrite_stub,
    .pglGetMinmaxParameteriv = epoxy_glGetMinmaxParameteriv_rewrite_stub,
    .pglGetMinmaxParameterivEXT = epoxy_glGetMinmaxParameterivEXT_rewrite_stub,
    .pglGetMultiTexEnvfvEXT = epoxy_glGetMultiTexEnvfvEXT_rewrite_stub,
    .pglGetMultiTexEnvivEXT = epoxy_glGetMultiTexEnvivEXT_rewrite_stub,
    .pglGetMultiTexGendvEXT = epoxy_glGetMultiTexGendvEXT_rewrite_stub,
    .pglGetMultiTexGenfvEXT = epoxy_glGetMultiTexGenfvEXT_rewrite_stub,
    .pglGetMultiTexGenivEXT = epoxy_glGetMultiTexGenivEXT_rewrite_stub,
    .pglGetMultiTexImageEXT = epoxy_glGetMultiTexImageEXT_rewrite_stub,
    .pglGetMultiTexLevelParameterfvEXT = epoxy_glGetMultiTexLevelParameterfvEXT_rewrite_stub,
    .pglGetMultiTexLevelParameterivEXT = epoxy_glGetMultiTexLevelParameterivEXT_rewrite_stub,
    .pglGetMultiTexParameterIivEXT = epoxy_glGetMultiTexParameterIivEXT_rewrite_stub,
    .pglGetMultiTexParameterIuivEXT = epoxy_glGetMultiTexParameterIuivEXT_rewrite_stub,
    .pglGetMultiTexParameterfvEXT = epoxy_glGetMultiTexParameterfvEXT_rewrite_stub,
    .pglGetMultiTexParameterivEXT = epoxy_glGetMultiTexParameterivEXT_rewrite_stub,
    .pglGetMultisamplefv = epoxy_glGetMultisamplefv_rewrite_stub,
    .pglGetNamedBufferParameterivEXT = epoxy_glGetNamedBufferParameterivEXT_rewrite_stub,
    .pglGetNamedBufferParameterui64vNV = epoxy_glGetNamedBufferParameterui64vNV_rewrite_stub,
    .pglGetNamedBufferPointervEXT = epoxy_glGetNamedBufferPointervEXT_rewrite_stub,
    .pglGetNamedBufferSubDataEXT = epoxy_glGetNamedBufferSubDataEXT_rewrite_stub,
    .pglGetNamedFramebufferAttachmentParameterivEXT = epoxy_glGetNamedFramebufferAttachmentParameterivEXT_rewrite_stub,
    .pglGetNamedFramebufferParameterivEXT = epoxy_glGetNamedFramebufferParameterivEXT_rewrite_stub,
    .pglGetNamedProgramLocalParameterIivEXT = epoxy_glGetNamedProgramLocalParameterIivEXT_rewrite_stub,
    .pglGetNamedProgramLocalParameterIuivEXT = epoxy_glGetNamedProgramLocalParameterIuivEXT_rewrite_stub,
    .pglGetNamedProgramLocalParameterdvEXT = epoxy_glGetNamedProgramLocalParameterdvEXT_rewrite_stub,
    .pglGetNamedProgramLocalParameterfvEXT = epoxy_glGetNamedProgramLocalParameterfvEXT_rewrite_stub,
    .pglGetNamedProgramStringEXT = epoxy_glGetNamedProgramStringEXT_rewrite_stub,
    .pglGetNamedProgramivEXT = epoxy_glGetNamedProgramivEXT_rewrite_stub,
    .pglGetNamedRenderbufferParameterivEXT = epoxy_glGetNamedRenderbufferParameterivEXT_rewrite_stub,
    .pglGetNamedStringARB = epoxy_glGetNamedStringARB_rewrite_stub,
    .pglGetNamedStringivARB = epoxy_glGetNamedStringivARB_rewrite_stub,
    .pglGetNextPerfQueryIdINTEL = epoxy_glGetNextPerfQueryIdINTEL_rewrite_stub,
    .pglGetObjectBufferfvATI = epoxy_glGetObjectBufferfvATI_rewrite_stub,
    .pglGetObjectBufferivATI = epoxy_glGetObjectBufferivATI_rewrite_stub,
    .pglGetObjectLabel = epoxy_glGetObjectLabel_rewrite_stub,
    .pglGetObjectLabelEXT = epoxy_glGetObjectLabelEXT_rewrite_stub,
    .pglGetObjectParameterfvARB = epoxy_glGetObjectParameterfvARB_rewrite_stub,
    .pglGetObjectParameterivAPPLE = epoxy_glGetObjectParameterivAPPLE_rewrite_stub,
    .pglGetObjectParameterivARB = epoxy_glGetObjectParameterivARB_rewrite_stub,
    .pglGetObjectPtrLabel = epoxy_glGetObjectPtrLabel_rewrite_stub,
    .pglGetOcclusionQueryivNV = epoxy_glGetOcclusionQueryivNV_rewrite_stub,
    .pglGetOcclusionQueryuivNV = epoxy_glGetOcclusionQueryuivNV_rewrite_stub,
    .pglGetPathColorGenfvNV = epoxy_glGetPathColorGenfvNV_rewrite_stub,
    .pglGetPathColorGenivNV = epoxy_glGetPathColorGenivNV_rewrite_stub,
    .pglGetPathCommandsNV = epoxy_glGetPathCommandsNV_rewrite_stub,
    .pglGetPathCoordsNV = epoxy_glGetPathCoordsNV_rewrite_stub,
    .pglGetPathDashArrayNV = epoxy_glGetPathDashArrayNV_rewrite_stub,
    .pglGetPathLengthNV = epoxy_glGetPathLengthNV_rewrite_stub,
    .pglGetPathMetricRangeNV = epoxy_glGetPathMetricRangeNV_rewrite_stub,
    .pglGetPathMetricsNV = epoxy_glGetPathMetricsNV_rewrite_stub,
    .pglGetPathParameterfvNV = epoxy_glGetPathParameterfvNV_rewrite_stub,
    .pglGetPathParameterivNV = epoxy_glGetPathParameterivNV_rewrite_stub,
    .pglGetPathSpacingNV = epoxy_glGetPathSpacingNV_rewrite_stub,
    .pglGetPathTexGenfvNV = epoxy_glGetPathTexGenfvNV_rewrite_stub,
    .pglGetPathTexGenivNV = epoxy_glGetPathTexGenivNV_rewrite_stub,
    .pglGetPerfCounterInfoINTEL = epoxy_glGetPerfCounterInfoINTEL_rewrite_stub,
    .pglGetPerfMonitorCounterDataAMD = epoxy_glGetPerfMonitorCounterDataAMD_rewrite_stub,
    .pglGetPerfMonitorCounterInfoAMD = epoxy_glGetPerfMonitorCounterInfoAMD_rewrite_stub,
    .pglGetPerfMonitorCounterStringAMD = epoxy_glGetPerfMonitorCounterStringAMD_rewrite_stub,
    .pglGetPerfMonitorCountersAMD = epoxy_glGetPerfMonitorCountersAMD_rewrite_stub,
    .pglGetPerfMonitorGroupStringAMD = epoxy_glGetPerfMonitorGroupStringAMD_rewrite_stub,
    .pglGetPerfMonitorGroupsAMD = epoxy_glGetPerfMonitorGroupsAMD_rewrite_stub,
    .pglGetPerfQueryDataINTEL = epoxy_glGetPerfQueryDataINTEL_rewrite_stub,
    .pglGetPerfQueryIdByNameINTEL = epoxy_glGetPerfQueryIdByNameINTEL_rewrite_stub,
    .pglGetPerfQueryInfoINTEL = epoxy_glGetPerfQueryInfoINTEL_rewrite_stub,
    .pglGetPixelMapfv = epoxy_glGetPixelMapfv_rewrite_stub,
    .pglGetPixelMapuiv = epoxy_glGetPixelMapuiv_rewrite_stub,
    .pglGetPixelMapusv = epoxy_glGetPixelMapusv_rewrite_stub,
    .pglGetPixelMapxv = epoxy_glGetPixelMapxv_rewrite_stub,
    .pglGetPixelTexGenParameterfvSGIS = epoxy_glGetPixelTexGenParameterfvSGIS_rewrite_stub,
    .pglGetPixelTexGenParameterivSGIS = epoxy_glGetPixelTexGenParameterivSGIS_rewrite_stub,
    .pglGetPixelTransformParameterfvEXT = epoxy_glGetPixelTransformParameterfvEXT_rewrite_stub,
    .pglGetPixelTransformParameterivEXT = epoxy_glGetPixelTransformParameterivEXT_rewrite_stub,
    .pglGetPointerIndexedvEXT = epoxy_glGetPointerIndexedvEXT_rewrite_stub,
    .pglGetPointeri_vEXT = epoxy_glGetPointeri_vEXT_rewrite_stub,
    .pglGetPointerv = epoxy_glGetPointerv_rewrite_stub,
    .pglGetPolygonStipple = epoxy_glGetPolygonStipple_rewrite_stub,
    .pglGetProgramBinary = epoxy_glGetProgramBinary_rewrite_stub,
    .pglGetProgramEnvParameterIivNV = epoxy_glGetProgramEnvParameterIivNV_rewrite_stub,
    .pglGetProgramEnvParameterIuivNV = epoxy_glGetProgramEnvParameterIuivNV_rewrite_stub,
    .pglGetProgramEnvParameterdvARB = epoxy_glGetProgramEnvParameterdvARB_rewrite_stub,
    .pglGetProgramEnvParameterfvARB = epoxy_glGetProgramEnvParameterfvARB_rewrite_stub,
    .pglGetProgramInfoLog = epoxy_glGetProgramInfoLog_rewrite_stub,
    .pglGetProgramInterfaceiv = epoxy_glGetProgramInterfaceiv_rewrite_stub,
    .pglGetProgramLocalParameterIivNV = epoxy_glGetProgramLocalParameterIivNV_rewrite_stub,
    .pglGetProgramLocalParameterIuivNV = epoxy_glGetProgramLocalParameterIuivNV_rewrite_stub,
    .pglGetProgramLocalParameterdvARB = epoxy_glGetProgramLocalParameterdvARB_rewrite_stub,
    .pglGetProgramLocalParameterfvARB = epoxy_glGetProgramLocalParameterfvARB_rewrite_stub,
    .pglGetProgramNamedParameterdvNV = epoxy_glGetProgramNamedParameterdvNV_rewrite_stub,
    .pglGetProgramNamedParameterfvNV = epoxy_glGetProgramNamedParameterfvNV_rewrite_stub,
    .pglGetProgramParameterdvNV = epoxy_glGetProgramParameterdvNV_rewrite_stub,
    .pglGetProgramParameterfvNV = epoxy_glGetProgramParameterfvNV_rewrite_stub,
    .pglGetProgramPipelineInfoLog = epoxy_glGetProgramPipelineInfoLog_rewrite_stub,
    .pglGetProgramPipelineInfoLogEXT = epoxy_glGetProgramPipelineInfoLogEXT_rewrite_stub,
    .pglGetProgramPipelineiv = epoxy_glGetProgramPipelineiv_rewrite_stub,
    .pglGetProgramPipelineivEXT = epoxy_glGetProgramPipelineivEXT_rewrite_stub,
    .pglGetProgramResourceIndex = epoxy_glGetProgramResourceIndex_rewrite_stub,
    .pglGetProgramResourceLocation = epoxy_glGetProgramResourceLocation_rewrite_stub,
    .pglGetProgramResourceLocationIndex = epoxy_glGetProgramResourceLocationIndex_rewrite_stub,
    .pglGetProgramResourceName = epoxy_glGetProgramResourceName_rewrite_stub,
    .pglGetProgramResourceiv = epoxy_glGetProgramResourceiv_rewrite_stub,
    .pglGetProgramStageiv = epoxy_glGetProgramStageiv_rewrite_stub,
    .pglGetProgramStringARB = epoxy_glGetProgramStringARB_rewrite_stub,
    .pglGetProgramStringNV = epoxy_glGetProgramStringNV_rewrite_stub,
    .pglGetProgramSubroutineParameteruivNV = epoxy_glGetProgramSubroutineParameteruivNV_rewrite_stub,
    .pglGetProgramiv = epoxy_glGetProgramiv_rewrite_stub,
    .pglGetProgramivARB = epoxy_glGetProgramivARB_rewrite_stub,
    .pglGetProgramivNV = epoxy_glGetProgramivNV_rewrite_stub,
    .pglGetQueryIndexediv = epoxy_glGetQueryIndexediv_rewrite_stub,
    .pglGetQueryObjecti64v = epoxy_glGetQueryObjecti64v_rewrite_stub,
    .pglGetQueryObjectiv = epoxy_glGetQueryObjectiv_rewrite_stub,
    .pglGetQueryObjectui64v = epoxy_glGetQueryObjectui64v_rewrite_stub,
    .pglGetQueryObjectuiv = epoxy_glGetQueryObjectuiv_rewrite_stub,
    .pglGetQueryObjectuivEXT = epoxy_glGetQueryObjectuivEXT_rewrite_stub,
    .pglGetQueryiv = epoxy_glGetQueryiv_rewrite_stub,
    .pglGetQueryivEXT = epoxy_glGetQueryivEXT_rewrite_stub,
    .pglGetRenderbufferParameteriv = epoxy_glGetRenderbufferParameteriv_rewrite_stub,
    .pglGetRenderbufferParameterivOES = epoxy_glGetRenderbufferParameterivOES_rewrite_stub,
    .pglGetSamplerParameterIiv = epoxy_glGetSamplerParameterIiv_rewrite_stub,
    .pglGetSamplerParameterIuiv = epoxy_glGetSamplerParameterIuiv_rewrite_stub,
    .pglGetSamplerParameterfv = epoxy_glGetSamplerParameterfv_rewrite_stub,
    .pglGetSamplerParameteriv = epoxy_glGetSamplerParameteriv_rewrite_stub,
    .pglGetSeparableFilter = epoxy_glGetSeparableFilter_rewrite_stub,
    .pglGetSeparableFilterEXT = epoxy_glGetSeparableFilterEXT_rewrite_stub,
    .pglGetShaderInfoLog = epoxy_glGetShaderInfoLog_rewrite_stub,
    .pglGetShaderPrecisionFormat = epoxy_glGetShaderPrecisionFormat_rewrite_stub,
    .pglGetShaderSource = epoxy_glGetShaderSource_rewrite_stub,
    .pglGetShaderiv = epoxy_glGetShaderiv_rewrite_stub,
    .pglGetSharpenTexFuncSGIS = epoxy_glGetSharpenTexFuncSGIS_rewrite_stub,
    .pglGetString = epoxy_glGetString_rewrite_stub,
    .pglGetStringi = epoxy_glGetStringi_rewrite_stub,
    .pglGetSubroutineIndex = epoxy_glGetSubroutineIndex_rewrite_stub,
    .pglGetSubroutineUniformLocation = epoxy_glGetSubroutineUniformLocation_rewrite_stub,
    .pglGetSynciv = epoxy_glGetSynciv_rewrite_stub,
    .pglGetTexBumpParameterfvATI = epoxy_glGetTexBumpParameterfvATI_rewrite_stub,
    .pglGetTexBumpParameterivATI = epoxy_glGetTexBumpParameterivATI_rewrite_stub,
    .pglGetTexEnvfv = epoxy_glGetTexEnvfv_rewrite_stub,
    .pglGetTexEnviv = epoxy_glGetTexEnviv_rewrite_stub,
    .pglGetTexEnvxv = epoxy_glGetTexEnvxv_rewrite_stub,
    .pglGetTexEnvxvOES = epoxy_glGetTexEnvxvOES_rewrite_stub,
    .pglGetTexFilterFuncSGIS = epoxy_glGetTexFilterFuncSGIS_rewrite_stub,
    .pglGetTexGendv = epoxy_glGetTexGendv_rewrite_stub,
    .pglGetTexGenfv = epoxy_glGetTexGenfv_rewrite_stub,
    .pglGetTexGenfvOES = epoxy_glGetTexGenfvOES_rewrite_stub,
    .pglGetTexGeniv = epoxy_glGetTexGeniv_rewrite_stub,
    .pglGetTexGenivOES = epoxy_glGetTexGenivOES_rewrite_stub,
    .pglGetTexGenxvOES = epoxy_glGetTexGenxvOES_rewrite_stub,
    .pglGetTexImage = epoxy_glGetTexImage_rewrite_stub,
    .pglGetTexLevelParameterfv = epoxy_glGetTexLevelParameterfv_rewrite_stub,
    .pglGetTexLevelParameteriv = epoxy_glGetTexLevelParameteriv_rewrite_stub,
    .pglGetTexLevelParameterxvOES = epoxy_glGetTexLevelParameterxvOES_rewrite_stub,
    .pglGetTexParameterIiv = epoxy_glGetTexParameterIiv_rewrite_stub,
    .pglGetTexParameterIuiv = epoxy_glGetTexParameterIuiv_rewrite_stub,
    .pglGetTexParameterPointervAPPLE = epoxy_glGetTexParameterPointervAPPLE_rewrite_stub,
    .pglGetTexParameterfv = epoxy_glGetTexParameterfv_rewrite_stub,
    .pglGetTexParameteriv = epoxy_glGetTexParameteriv_rewrite_stub,
    .pglGetTexParameterxv = epoxy_glGetTexParameterxv_rewrite_stub,
    .pglGetTexParameterxvOES = epoxy_glGetTexParameterxvOES_rewrite_stub,
    .pglGetTextureHandleARB = epoxy_glGetTextureHandleARB_rewrite_stub,
    .pglGetTextureHandleNV = epoxy_glGetTextureHandleNV_rewrite_stub,
    .pglGetTextureImageEXT = epoxy_glGetTextureImageEXT_rewrite_stub,
    .pglGetTextureLevelParameterfvEXT = epoxy_glGetTextureLevelParameterfvEXT_rewrite_stub,
    .pglGetTextureLevelParameterivEXT = epoxy_glGetTextureLevelParameterivEXT_rewrite_stub,
    .pglGetTextureParameterIivEXT = epoxy_glGetTextureParameterIivEXT_rewrite_stub,
    .pglGetTextureParameterIuivEXT = epoxy_glGetTextureParameterIuivEXT_rewrite_stub,
    .pglGetTextureParameterfvEXT = epoxy_glGetTextureParameterfvEXT_rewrite_stub,
    .pglGetTextureParameterivEXT = epoxy_glGetTextureParameterivEXT_rewrite_stub,
    .pglGetTextureSamplerHandleARB = epoxy_glGetTextureSamplerHandleARB_rewrite_stub,
    .pglGetTextureSamplerHandleNV = epoxy_glGetTextureSamplerHandleNV_rewrite_stub,
    .pglGetTrackMatrixivNV = epoxy_glGetTrackMatrixivNV_rewrite_stub,
    .pglGetTransformFeedbackVarying = epoxy_glGetTransformFeedbackVarying_rewrite_stub,
    .pglGetTransformFeedbackVaryingNV = epoxy_glGetTransformFeedbackVaryingNV_rewrite_stub,
    .pglGetTranslatedShaderSourceANGLE = epoxy_glGetTranslatedShaderSourceANGLE_rewrite_stub,
    .pglGetUniformBlockIndex = epoxy_glGetUniformBlockIndex_rewrite_stub,
    .pglGetUniformBufferSizeEXT = epoxy_glGetUniformBufferSizeEXT_rewrite_stub,
    .pglGetUniformIndices = epoxy_glGetUniformIndices_rewrite_stub,
    .pglGetUniformLocation = epoxy_glGetUniformLocation_rewrite_stub,
    .pglGetUniformOffsetEXT = epoxy_glGetUniformOffsetEXT_rewrite_stub,
    .pglGetUniformSubroutineuiv = epoxy_glGetUniformSubroutineuiv_rewrite_stub,
    .pglGetUniformdv = epoxy_glGetUniformdv_rewrite_stub,
    .pglGetUniformfv = epoxy_glGetUniformfv_rewrite_stub,
    .pglGetUniformi64vNV = epoxy_glGetUniformi64vNV_rewrite_stub,
    .pglGetUniformiv = epoxy_glGetUniformiv_rewrite_stub,
    .pglGetUniformui64vNV = epoxy_glGetUniformui64vNV_rewrite_stub,
    .pglGetUniformuiv = epoxy_glGetUniformuiv_rewrite_stub,
    .pglGetVariantArrayObjectfvATI = epoxy_glGetVariantArrayObjectfvATI_rewrite_stub,
    .pglGetVariantArrayObjectivATI = epoxy_glGetVariantArrayObjectivATI_rewrite_stub,
    .pglGetVariantBooleanvEXT = epoxy_glGetVariantBooleanvEXT_rewrite_stub,
    .pglGetVariantFloatvEXT = epoxy_glGetVariantFloatvEXT_rewrite_stub,
    .pglGetVariantIntegervEXT = epoxy_glGetVariantIntegervEXT_rewrite_stub,
    .pglGetVariantPointervEXT = epoxy_glGetVariantPointervEXT_rewrite_stub,
    .pglGetVaryingLocationNV = epoxy_glGetVaryingLocationNV_rewrite_stub,
    .pglGetVertexArrayIntegeri_vEXT = epoxy_glGetVertexArrayIntegeri_vEXT_rewrite_stub,
    .pglGetVertexArrayIntegervEXT = epoxy_glGetVertexArrayIntegervEXT_rewrite_stub,
    .pglGetVertexArrayPointeri_vEXT = epoxy_glGetVertexArrayPointeri_vEXT_rewrite_stub,
    .pglGetVertexArrayPointervEXT = epoxy_glGetVertexArrayPointervEXT_rewrite_stub,
    .pglGetVertexAttribArrayObjectfvATI = epoxy_glGetVertexAttribArrayObjectfvATI_rewrite_stub,
    .pglGetVertexAttribArrayObjectivATI = epoxy_glGetVertexAttribArrayObjectivATI_rewrite_stub,
    .pglGetVertexAttribIiv = epoxy_glGetVertexAttribIiv_rewrite_stub,
    .pglGetVertexAttribIuiv = epoxy_glGetVertexAttribIuiv_rewrite_stub,
    .pglGetVertexAttribLdv = epoxy_glGetVertexAttribLdv_rewrite_stub,
    .pglGetVertexAttribLi64vNV = epoxy_glGetVertexAttribLi64vNV_rewrite_stub,
    .pglGetVertexAttribLui64vARB = epoxy_glGetVertexAttribLui64vARB_rewrite_stub,
    .pglGetVertexAttribLui64vNV = epoxy_glGetVertexAttribLui64vNV_rewrite_stub,
    .pglGetVertexAttribPointerv = epoxy_glGetVertexAttribPointerv_rewrite_stub,
    .pglGetVertexAttribdv = epoxy_glGetVertexAttribdv_rewrite_stub,
    .pglGetVertexAttribfv = epoxy_glGetVertexAttribfv_rewrite_stub,
    .pglGetVertexAttribiv = epoxy_glGetVertexAttribiv_rewrite_stub,
    .pglGetVideoCaptureStreamdvNV = epoxy_glGetVideoCaptureStreamdvNV_rewrite_stub,
    .pglGetVideoCaptureStreamfvNV = epoxy_glGetVideoCaptureStreamfvNV_rewrite_stub,
    .pglGetVideoCaptureStreamivNV = epoxy_glGetVideoCaptureStreamivNV_rewrite_stub,
    .pglGetVideoCaptureivNV = epoxy_glGetVideoCaptureivNV_rewrite_stub,
    .pglGetVideoi64vNV = epoxy_glGetVideoi64vNV_rewrite_stub,
    .pglGetVideoivNV = epoxy_glGetVideoivNV_rewrite_stub,
    .pglGetVideoui64vNV = epoxy_glGetVideoui64vNV_rewrite_stub,
    .pglGetVideouivNV = epoxy_glGetVideouivNV_rewrite_stub,
    .pglGetnColorTableARB = epoxy_glGetnColorTableARB_rewrite_stub,
    .pglGetnCompressedTexImageARB = epoxy_glGetnCompressedTexImageARB_rewrite_stub,
    .pglGetnConvolutionFilterARB = epoxy_glGetnConvolutionFilterARB_rewrite_stub,
    .pglGetnHistogramARB = epoxy_glGetnHistogramARB_rewrite_stub,
    .pglGetnMapdvARB = epoxy_glGetnMapdvARB_rewrite_stub,
    .pglGetnMapfvARB = epoxy_glGetnMapfvARB_rewrite_stub,
    .pglGetnMapivARB = epoxy_glGetnMapivARB_rewrite_stub,
    .pglGetnMinmaxARB = epoxy_glGetnMinmaxARB_rewrite_stub,
    .pglGetnPixelMapfvARB = epoxy_glGetnPixelMapfvARB_rewrite_stub,
    .pglGetnPixelMapuivARB = epoxy_glGetnPixelMapuivARB_rewrite_stub,
    .pglGetnPixelMapusvARB = epoxy_glGetnPixelMapusvARB_rewrite_stub,
    .pglGetnPolygonStippleARB = epoxy_glGetnPolygonStippleARB_rewrite_stub,
    .pglGetnSeparableFilterARB = epoxy_glGetnSeparableFilterARB_rewrite_stub,
    .pglGetnTexImageARB = epoxy_glGetnTexImageARB_rewrite_stub,
    .pglGetnUniformdvARB = epoxy_glGetnUniformdvARB_rewrite_stub,
    .pglGetnUniformfvARB = epoxy_glGetnUniformfvARB_rewrite_stub,
    .pglGetnUniformfvEXT = epoxy_glGetnUniformfvEXT_rewrite_stub,
    .pglGetnUniformivARB = epoxy_glGetnUniformivARB_rewrite_stub,
    .pglGetnUniformivEXT = epoxy_glGetnUniformivEXT_rewrite_stub,
    .pglGetnUniformuivARB = epoxy_glGetnUniformuivARB_rewrite_stub,
    .pglGlobalAlphaFactorbSUN = epoxy_glGlobalAlphaFactorbSUN_rewrite_stub,
    .pglGlobalAlphaFactordSUN = epoxy_glGlobalAlphaFactordSUN_rewrite_stub,
    .pglGlobalAlphaFactorfSUN = epoxy_glGlobalAlphaFactorfSUN_rewrite_stub,
    .pglGlobalAlphaFactoriSUN = epoxy_glGlobalAlphaFactoriSUN_rewrite_stub,
    .pglGlobalAlphaFactorsSUN = epoxy_glGlobalAlphaFactorsSUN_rewrite_stub,
    .pglGlobalAlphaFactorubSUN = epoxy_glGlobalAlphaFactorubSUN_rewrite_stub,
    .pglGlobalAlphaFactoruiSUN = epoxy_glGlobalAlphaFactoruiSUN_rewrite_stub,
    .pglGlobalAlphaFactorusSUN = epoxy_glGlobalAlphaFactorusSUN_rewrite_stub,
    .pglHint = epoxy_glHint_rewrite_stub,
    .pglHintPGI = epoxy_glHintPGI_rewrite_stub,
    .pglHistogram = epoxy_glHistogram_rewrite_stub,
    .pglIglooInterfaceSGIX = epoxy_glIglooInterfaceSGIX_rewrite_stub,
    .pglImageTransformParameterfHP = epoxy_glImageTransformParameterfHP_rewrite_stub,
    .pglImageTransformParameterfvHP = epoxy_glImageTransformParameterfvHP_rewrite_stub,
    .pglImageTransformParameteriHP = epoxy_glImageTransformParameteriHP_rewrite_stub,
    .pglImageTransformParameterivHP = epoxy_glImageTransformParameterivHP_rewrite_stub,
    .pglImportSyncEXT = epoxy_glImportSyncEXT_rewrite_stub,
    .pglIndexFormatNV = epoxy_glIndexFormatNV_rewrite_stub,
    .pglIndexFuncEXT = epoxy_glIndexFuncEXT_rewrite_stub,
    .pglIndexMask = epoxy_glIndexMask_rewrite_stub,
    .pglIndexMaterialEXT = epoxy_glIndexMaterialEXT_rewrite_stub,
    .pglIndexPointer = epoxy_glIndexPointer_rewrite_stub,
    .pglIndexPointerEXT = epoxy_glIndexPointerEXT_rewrite_stub,
    .pglIndexPointerListIBM = epoxy_glIndexPointerListIBM_rewrite_stub,
    .pglIndexd = epoxy_glIndexd_rewrite_stub,
    .pglIndexdv = epoxy_glIndexdv_rewrite_stub,
    .pglIndexf = epoxy_glIndexf_rewrite_stub,
    .pglIndexfv = epoxy_glIndexfv_rewrite_stub,
    .pglIndexi = epoxy_glIndexi_rewrite_stub,
    .pglIndexiv = epoxy_glIndexiv_rewrite_stub,
    .pglIndexs = epoxy_glIndexs_rewrite_stub,
    .pglIndexsv = epoxy_glIndexsv_rewrite_stub,
    .pglIndexub = epoxy_glIndexub_rewrite_stub,
    .pglIndexubv = epoxy_glIndexubv_rewrite_stub,
    .pglIndexxOES = epoxy_glIndexxOES_rewrite_stub,
    .pglIndexxvOES = epoxy_glIndexxvOES_rewrite_stub,
    .pglInitNames = epoxy_glInitNames_rewrite_stub,
    .pglInsertComponentEXT = epoxy_glInsertComponentEXT_rewrite_stub,
    .pglInsertEventMarkerEXT = epoxy_glInsertEventMarkerEXT_rewrite_stub,
    .pglInstrumentsBufferSGIX = epoxy_glInstrumentsBufferSGIX_rewrite_stub,
    .pglInterleavedArrays = epoxy_glInterleavedArrays_rewrite_stub,
    .pglInterpolatePathsNV = epoxy_glInterpolatePathsNV_rewrite_stub,
    .pglInvalidateBufferData = epoxy_glInvalidateBufferData_rewrite_stub,
    .pglInvalidateBufferSubData = epoxy_glInvalidateBufferSubData_rewrite_stub,
    .pglInvalidateFramebuffer = epoxy_glInvalidateFramebuffer_rewrite_stub,
    .pglInvalidateSubFramebuffer = epoxy_glInvalidateSubFramebuffer_rewrite_stub,
    .pglInvalidateTexImage = epoxy_glInvalidateTexImage_rewrite_stub,
    .pglInvalidateTexSubImage = epoxy_glInvalidateTexSubImage_rewrite_stub,
    .pglIsAsyncMarkerSGIX = epoxy_glIsAsyncMarkerSGIX_rewrite_stub,
    .pglIsBuffer = epoxy_glIsBuffer_rewrite_stub,
    .pglIsBufferResidentNV = epoxy_glIsBufferResidentNV_rewrite_stub,
    .pglIsEnabled = epoxy_glIsEnabled_rewrite_stub,
    .pglIsEnabledi = epoxy_glIsEnabledi_rewrite_stub,
    .pglIsFenceAPPLE = epoxy_glIsFenceAPPLE_rewrite_stub,
    .pglIsFenceNV = epoxy_glIsFenceNV_rewrite_stub,
    .pglIsFramebuffer = epoxy_glIsFramebuffer_rewrite_stub,
    .pglIsFramebufferOES = epoxy_glIsFramebufferOES_rewrite_stub,
    .pglIsImageHandleResidentARB = epoxy_glIsImageHandleResidentARB_rewrite_stub,
    .pglIsImageHandleResidentNV = epoxy_glIsImageHandleResidentNV_rewrite_stub,
    .pglIsList = epoxy_glIsList_rewrite_stub,
    .pglIsNameAMD = epoxy_glIsNameAMD_rewrite_stub,
    .pglIsNamedBufferResidentNV = epoxy_glIsNamedBufferResidentNV_rewrite_stub,
    .pglIsNamedStringARB = epoxy_glIsNamedStringARB_rewrite_stub,
    .pglIsObjectBufferATI = epoxy_glIsObjectBufferATI_rewrite_stub,
    .pglIsOcclusionQueryNV = epoxy_glIsOcclusionQueryNV_rewrite_stub,
    .pglIsPathNV = epoxy_glIsPathNV_rewrite_stub,
    .pglIsPointInFillPathNV = epoxy_glIsPointInFillPathNV_rewrite_stub,
    .pglIsPointInStrokePathNV = epoxy_glIsPointInStrokePathNV_rewrite_stub,
    .pglIsProgram = epoxy_glIsProgram_rewrite_stub,
    .pglIsProgramARB = epoxy_glIsProgramARB_rewrite_stub,
    .pglIsProgramPipeline = epoxy_glIsProgramPipeline_rewrite_stub,
    .pglIsProgramPipelineEXT = epoxy_glIsProgramPipelineEXT_rewrite_stub,
    .pglIsQuery = epoxy_glIsQuery_rewrite_stub,
    .pglIsQueryEXT = epoxy_glIsQueryEXT_rewrite_stub,
    .pglIsRenderbuffer = epoxy_glIsRenderbuffer_rewrite_stub,
    .pglIsRenderbufferOES = epoxy_glIsRenderbufferOES_rewrite_stub,
    .pglIsSampler = epoxy_glIsSampler_rewrite_stub,
    .pglIsShader = epoxy_glIsShader_rewrite_stub,
    .pglIsSync = epoxy_glIsSync_rewrite_stub,
    .pglIsTexture = epoxy_glIsTexture_rewrite_stub,
    .pglIsTextureEXT = epoxy_glIsTextureEXT_rewrite_stub,
    .pglIsTextureHandleResidentARB = epoxy_glIsTextureHandleResidentARB_rewrite_stub,
    .pglIsTextureHandleResidentNV = epoxy_glIsTextureHandleResidentNV_rewrite_stub,
    .pglIsTransformFeedback = epoxy_glIsTransformFeedback_rewrite_stub,
    .pglIsVariantEnabledEXT = epoxy_glIsVariantEnabledEXT_rewrite_stub,
    .pglIsVertexArray = epoxy_glIsVertexArray_rewrite_stub,
    .pglIsVertexAttribEnabledAPPLE = epoxy_glIsVertexAttribEnabledAPPLE_rewrite_stub,
    .pglLabelObjectEXT = epoxy_glLabelObjectEXT_rewrite_stub,
    .pglLightEnviSGIX = epoxy_glLightEnviSGIX_rewrite_stub,
    .pglLightModelf = epoxy_glLightModelf_rewrite_stub,
    .pglLightModelfv = epoxy_glLightModelfv_rewrite_stub,
    .pglLightModeli = epoxy_glLightModeli_rewrite_stub,
    .pglLightModeliv = epoxy_glLightModeliv_rewrite_stub,
    .pglLightModelx = epoxy_glLightModelx_rewrite_stub,
    .pglLightModelxOES = epoxy_glLightModelxOES_rewrite_stub,
    .pglLightModelxv = epoxy_glLightModelxv_rewrite_stub,
    .pglLightModelxvOES = epoxy_glLightModelxvOES_rewrite_stub,
    .pglLightf = epoxy_glLightf_rewrite_stub,
    .pglLightfv = epoxy_glLightfv_rewrite_stub,
    .pglLighti = epoxy_glLighti_rewrite_stub,
    .pglLightiv = epoxy_glLightiv_rewrite_stub,
    .pglLightx = epoxy_glLightx_rewrite_stub,
    .pglLightxOES = epoxy_glLightxOES_rewrite_stub,
    .pglLightxv = epoxy_glLightxv_rewrite_stub,
    .pglLightxvOES = epoxy_glLightxvOES_rewrite_stub,
    .pglLineStipple = epoxy_glLineStipple_rewrite_stub,
    .pglLineWidth = epoxy_glLineWidth_rewrite_stub,
    .pglLineWidthx = epoxy_glLineWidthx_rewrite_stub,
    .pglLineWidthxOES = epoxy_glLineWidthxOES_rewrite_stub,
    .pglLinkProgram = epoxy_glLinkProgram_rewrite_stub,
    .pglListBase = epoxy_glListBase_rewrite_stub,
    .pglListParameterfSGIX = epoxy_glListParameterfSGIX_rewrite_stub,
    .pglListParameterfvSGIX = epoxy_glListParameterfvSGIX_rewrite_stub,
    .pglListParameteriSGIX = epoxy_glListParameteriSGIX_rewrite_stub,
    .pglListParameterivSGIX = epoxy_glListParameterivSGIX_rewrite_stub,
    .pglLoadIdentity = epoxy_glLoadIdentity_rewrite_stub,
    .pglLoadIdentityDeformationMapSGIX = epoxy_glLoadIdentityDeformationMapSGIX_rewrite_stub,
    .pglLoadMatrixd = epoxy_glLoadMatrixd_rewrite_stub,
    .pglLoadMatrixf = epoxy_glLoadMatrixf_rewrite_stub,
    .pglLoadMatrixx = epoxy_glLoadMatrixx_rewrite_stub,
    .pglLoadMatrixxOES = epoxy_glLoadMatrixxOES_rewrite_stub,
    .pglLoadName = epoxy_glLoadName_rewrite_stub,
    .pglLoadPaletteFromModelViewMatrixOES = epoxy_glLoadPaletteFromModelViewMatrixOES_rewrite_stub,
    .pglLoadProgramNV = epoxy_glLoadProgramNV_rewrite_stub,
    .pglLoadTransposeMatrixd = epoxy_glLoadTransposeMatrixd_rewrite_stub,
    .pglLoadTransposeMatrixf = epoxy_glLoadTransposeMatrixf_rewrite_stub,
    .pglLoadTransposeMatrixxOES = epoxy_glLoadTransposeMatrixxOES_rewrite_stub,
    .pglLockArraysEXT = epoxy_glLockArraysEXT_rewrite_stub,
    .pglLogicOp = epoxy_glLogicOp_rewrite_stub,
    .pglMakeBufferNonResidentNV = epoxy_glMakeBufferNonResidentNV_rewrite_stub,
    .pglMakeBufferResidentNV = epoxy_glMakeBufferResidentNV_rewrite_stub,
    .pglMakeImageHandleNonResidentARB = epoxy_glMakeImageHandleNonResidentARB_rewrite_stub,
    .pglMakeImageHandleNonResidentNV = epoxy_glMakeImageHandleNonResidentNV_rewrite_stub,
    .pglMakeImageHandleResidentARB = epoxy_glMakeImageHandleResidentARB_rewrite_stub,
    .pglMakeImageHandleResidentNV = epoxy_glMakeImageHandleResidentNV_rewrite_stub,
    .pglMakeNamedBufferNonResidentNV = epoxy_glMakeNamedBufferNonResidentNV_rewrite_stub,
    .pglMakeNamedBufferResidentNV = epoxy_glMakeNamedBufferResidentNV_rewrite_stub,
    .pglMakeTextureHandleNonResidentARB = epoxy_glMakeTextureHandleNonResidentARB_rewrite_stub,
    .pglMakeTextureHandleNonResidentNV = epoxy_glMakeTextureHandleNonResidentNV_rewrite_stub,
    .pglMakeTextureHandleResidentARB = epoxy_glMakeTextureHandleResidentARB_rewrite_stub,
    .pglMakeTextureHandleResidentNV = epoxy_glMakeTextureHandleResidentNV_rewrite_stub,
    .pglMap1d = epoxy_glMap1d_rewrite_stub,
    .pglMap1f = epoxy_glMap1f_rewrite_stub,
    .pglMap1xOES = epoxy_glMap1xOES_rewrite_stub,
    .pglMap2d = epoxy_glMap2d_rewrite_stub,
    .pglMap2f = epoxy_glMap2f_rewrite_stub,
    .pglMap2xOES = epoxy_glMap2xOES_rewrite_stub,
    .pglMapBuffer = epoxy_glMapBuffer_rewrite_stub,
    .pglMapBufferRange = epoxy_glMapBufferRange_rewrite_stub,
    .pglMapControlPointsNV = epoxy_glMapControlPointsNV_rewrite_stub,
    .pglMapGrid1d = epoxy_glMapGrid1d_rewrite_stub,
    .pglMapGrid1f = epoxy_glMapGrid1f_rewrite_stub,
    .pglMapGrid1xOES = epoxy_glMapGrid1xOES_rewrite_stub,
    .pglMapGrid2d = epoxy_glMapGrid2d_rewrite_stub,
    .pglMapGrid2f = epoxy_glMapGrid2f_rewrite_stub,
    .pglMapGrid2xOES = epoxy_glMapGrid2xOES_rewrite_stub,
    .pglMapNamedBufferEXT = epoxy_glMapNamedBufferEXT_rewrite_stub,
    .pglMapNamedBufferRangeEXT = epoxy_glMapNamedBufferRangeEXT_rewrite_stub,
    .pglMapObjectBufferATI = epoxy_glMapObjectBufferATI_rewrite_stub,
    .pglMapParameterfvNV = epoxy_glMapParameterfvNV_rewrite_stub,
    .pglMapParameterivNV = epoxy_glMapParameterivNV_rewrite_stub,
    .pglMapTexture2DINTEL = epoxy_glMapTexture2DINTEL_rewrite_stub,
    .pglMapVertexAttrib1dAPPLE = epoxy_glMapVertexAttrib1dAPPLE_rewrite_stub,
    .pglMapVertexAttrib1fAPPLE = epoxy_glMapVertexAttrib1fAPPLE_rewrite_stub,
    .pglMapVertexAttrib2dAPPLE = epoxy_glMapVertexAttrib2dAPPLE_rewrite_stub,
    .pglMapVertexAttrib2fAPPLE = epoxy_glMapVertexAttrib2fAPPLE_rewrite_stub,
    .pglMaterialf = epoxy_glMaterialf_rewrite_stub,
    .pglMaterialfv = epoxy_glMaterialfv_rewrite_stub,
    .pglMateriali = epoxy_glMateriali_rewrite_stub,
    .pglMaterialiv = epoxy_glMaterialiv_rewrite_stub,
    .pglMaterialx = epoxy_glMaterialx_rewrite_stub,
    .pglMaterialxOES = epoxy_glMaterialxOES_rewrite_stub,
    .pglMaterialxv = epoxy_glMaterialxv_rewrite_stub,
    .pglMaterialxvOES = epoxy_glMaterialxvOES_rewrite_stub,
    .pglMatrixFrustumEXT = epoxy_glMatrixFrustumEXT_rewrite_stub,
    .pglMatrixIndexPointerARB = epoxy_glMatrixIndexPointerARB_rewrite_stub,
    .pglMatrixIndexPointerOES = epoxy_glMatrixIndexPointerOES_rewrite_stub,
    .pglMatrixIndexubvARB = epoxy_glMatrixIndexubvARB_rewrite_stub,
    .pglMatrixIndexuivARB = epoxy_glMatrixIndexuivARB_rewrite_stub,
    .pglMatrixIndexusvARB = epoxy_glMatrixIndexusvARB_rewrite_stub,
    .pglMatrixLoadIdentityEXT = epoxy_glMatrixLoadIdentityEXT_rewrite_stub,
    .pglMatrixLoadTransposedEXT = epoxy_glMatrixLoadTransposedEXT_rewrite_stub,
    .pglMatrixLoadTransposefEXT = epoxy_glMatrixLoadTransposefEXT_rewrite_stub,
    .pglMatrixLoaddEXT = epoxy_glMatrixLoaddEXT_rewrite_stub,
    .pglMatrixLoadfEXT = epoxy_glMatrixLoadfEXT_rewrite_stub,
    .pglMatrixMode = epoxy_glMatrixMode_rewrite_stub,
    .pglMatrixMultTransposedEXT = epoxy_glMatrixMultTransposedEXT_rewrite_stub,
    .pglMatrixMultTransposefEXT = epoxy_glMatrixMultTransposefEXT_rewrite_stub,
    .pglMatrixMultdEXT = epoxy_glMatrixMultdEXT_rewrite_stub,
    .pglMatrixMultfEXT = epoxy_glMatrixMultfEXT_rewrite_stub,
    .pglMatrixOrthoEXT = epoxy_glMatrixOrthoEXT_rewrite_stub,
    .pglMatrixPopEXT = epoxy_glMatrixPopEXT_rewrite_stub,
    .pglMatrixPushEXT = epoxy_glMatrixPushEXT_rewrite_stub,
    .pglMatrixRotatedEXT = epoxy_glMatrixRotatedEXT_rewrite_stub,
    .pglMatrixRotatefEXT = epoxy_glMatrixRotatefEXT_rewrite_stub,
    .pglMatrixScaledEXT = epoxy_glMatrixScaledEXT_rewrite_stub,
    .pglMatrixScalefEXT = epoxy_glMatrixScalefEXT_rewrite_stub,
    .pglMatrixTranslatedEXT = epoxy_glMatrixTranslatedEXT_rewrite_stub,
    .pglMatrixTranslatefEXT = epoxy_glMatrixTranslatefEXT_rewrite_stub,
    .pglMemoryBarrier = epoxy_glMemoryBarrier_rewrite_stub,
    .pglMinSampleShading = epoxy_glMinSampleShading_rewrite_stub,
    .pglMinmax = epoxy_glMinmax_rewrite_stub,
    .pglMultMatrixd = epoxy_glMultMatrixd_rewrite_stub,
    .pglMultMatrixf = epoxy_glMultMatrixf_rewrite_stub,
    .pglMultMatrixx = epoxy_glMultMatrixx_rewrite_stub,
    .pglMultMatrixxOES = epoxy_glMultMatrixxOES_rewrite_stub,
    .pglMultTransposeMatrixd = epoxy_glMultTransposeMatrixd_rewrite_stub,
    .pglMultTransposeMatrixf = epoxy_glMultTransposeMatrixf_rewrite_stub,
    .pglMultTransposeMatrixxOES = epoxy_glMultTransposeMatrixxOES_rewrite_stub,
    .pglMultiDrawArrays = epoxy_glMultiDrawArrays_rewrite_stub,
    .pglMultiDrawArraysIndirect = epoxy_glMultiDrawArraysIndirect_rewrite_stub,
    .pglMultiDrawArraysIndirectBindlessNV = epoxy_glMultiDrawArraysIndirectBindlessNV_rewrite_stub,
    .pglMultiDrawArraysIndirectCountARB = epoxy_glMultiDrawArraysIndirectCountARB_rewrite_stub,
    .pglMultiDrawElementArrayAPPLE = epoxy_glMultiDrawElementArrayAPPLE_rewrite_stub,
    .pglMultiDrawElements = epoxy_glMultiDrawElements_rewrite_stub,
    .pglMultiDrawElementsBaseVertex = epoxy_glMultiDrawElementsBaseVertex_rewrite_stub,
    .pglMultiDrawElementsIndirect = epoxy_glMultiDrawElementsIndirect_rewrite_stub,
    .pglMultiDrawElementsIndirectBindlessNV = epoxy_glMultiDrawElementsIndirectBindlessNV_rewrite_stub,
    .pglMultiDrawElementsIndirectCountARB = epoxy_glMultiDrawElementsIndirectCountARB_rewrite_stub,
    .pglMultiDrawRangeElementArrayAPPLE = epoxy_glMultiDrawRangeElementArrayAPPLE_rewrite_stub,
    .pglMultiModeDrawArraysIBM = epoxy_glMultiModeDrawArraysIBM_rewrite_stub,
    .pglMultiModeDrawElementsIBM = epoxy_glMultiModeDrawElementsIBM_rewrite_stub,
    .pglMultiTexBufferEXT = epoxy_glMultiTexBufferEXT_rewrite_stub,
    .pglMultiTexCoord1bOES = epoxy_glMultiTexCoord1bOES_rewrite_stub,
    .pglMultiTexCoord1bvOES = epoxy_glMultiTexCoord1bvOES_rewrite_stub,
    .pglMultiTexCoord1d = epoxy_glMultiTexCoord1d_rewrite_stub,
    .pglMultiTexCoord1dv = epoxy_glMultiTexCoord1dv_rewrite_stub,
    .pglMultiTexCoord1f = epoxy_glMultiTexCoord1f_rewrite_stub,
    .pglMultiTexCoord1fv = epoxy_glMultiTexCoord1fv_rewrite_stub,
    .pglMultiTexCoord1hNV = epoxy_glMultiTexCoord1hNV_rewrite_stub,
    .pglMultiTexCoord1hvNV = epoxy_glMultiTexCoord1hvNV_rewrite_stub,
    .pglMultiTexCoord1i = epoxy_glMultiTexCoord1i_rewrite_stub,
    .pglMultiTexCoord1iv = epoxy_glMultiTexCoord1iv_rewrite_stub,
    .pglMultiTexCoord1s = epoxy_glMultiTexCoord1s_rewrite_stub,
    .pglMultiTexCoord1sv = epoxy_glMultiTexCoord1sv_rewrite_stub,
    .pglMultiTexCoord1xOES = epoxy_glMultiTexCoord1xOES_rewrite_stub,
    .pglMultiTexCoord1xvOES = epoxy_glMultiTexCoord1xvOES_rewrite_stub,
    .pglMultiTexCoord2bOES = epoxy_glMultiTexCoord2bOES_rewrite_stub,
    .pglMultiTexCoord2bvOES = epoxy_glMultiTexCoord2bvOES_rewrite_stub,
    .pglMultiTexCoord2d = epoxy_glMultiTexCoord2d_rewrite_stub,
    .pglMultiTexCoord2dv = epoxy_glMultiTexCoord2dv_rewrite_stub,
    .pglMultiTexCoord2f = epoxy_glMultiTexCoord2f_rewrite_stub,
    .pglMultiTexCoord2fv = epoxy_glMultiTexCoord2fv_rewrite_stub,
    .pglMultiTexCoord2hNV = epoxy_glMultiTexCoord2hNV_rewrite_stub,
    .pglMultiTexCoord2hvNV = epoxy_glMultiTexCoord2hvNV_rewrite_stub,
    .pglMultiTexCoord2i = epoxy_glMultiTexCoord2i_rewrite_stub,
    .pglMultiTexCoord2iv = epoxy_glMultiTexCoord2iv_rewrite_stub,
    .pglMultiTexCoord2s = epoxy_glMultiTexCoord2s_rewrite_stub,
    .pglMultiTexCoord2sv = epoxy_glMultiTexCoord2sv_rewrite_stub,
    .pglMultiTexCoord2xOES = epoxy_glMultiTexCoord2xOES_rewrite_stub,
    .pglMultiTexCoord2xvOES = epoxy_glMultiTexCoord2xvOES_rewrite_stub,
    .pglMultiTexCoord3bOES = epoxy_glMultiTexCoord3bOES_rewrite_stub,
    .pglMultiTexCoord3bvOES = epoxy_glMultiTexCoord3bvOES_rewrite_stub,
    .pglMultiTexCoord3d = epoxy_glMultiTexCoord3d_rewrite_stub,
    .pglMultiTexCoord3dv = epoxy_glMultiTexCoord3dv_rewrite_stub,
    .pglMultiTexCoord3f = epoxy_glMultiTexCoord3f_rewrite_stub,
    .pglMultiTexCoord3fv = epoxy_glMultiTexCoord3fv_rewrite_stub,
    .pglMultiTexCoord3hNV = epoxy_glMultiTexCoord3hNV_rewrite_stub,
    .pglMultiTexCoord3hvNV = epoxy_glMultiTexCoord3hvNV_rewrite_stub,
    .pglMultiTexCoord3i = epoxy_glMultiTexCoord3i_rewrite_stub,
    .pglMultiTexCoord3iv = epoxy_glMultiTexCoord3iv_rewrite_stub,
    .pglMultiTexCoord3s = epoxy_glMultiTexCoord3s_rewrite_stub,
    .pglMultiTexCoord3sv = epoxy_glMultiTexCoord3sv_rewrite_stub,
    .pglMultiTexCoord3xOES = epoxy_glMultiTexCoord3xOES_rewrite_stub,
    .pglMultiTexCoord3xvOES = epoxy_glMultiTexCoord3xvOES_rewrite_stub,
    .pglMultiTexCoord4bOES = epoxy_glMultiTexCoord4bOES_rewrite_stub,
    .pglMultiTexCoord4bvOES = epoxy_glMultiTexCoord4bvOES_rewrite_stub,
    .pglMultiTexCoord4d = epoxy_glMultiTexCoord4d_rewrite_stub,
    .pglMultiTexCoord4dv = epoxy_glMultiTexCoord4dv_rewrite_stub,
    .pglMultiTexCoord4f = epoxy_glMultiTexCoord4f_rewrite_stub,
    .pglMultiTexCoord4fv = epoxy_glMultiTexCoord4fv_rewrite_stub,
    .pglMultiTexCoord4hNV = epoxy_glMultiTexCoord4hNV_rewrite_stub,
    .pglMultiTexCoord4hvNV = epoxy_glMultiTexCoord4hvNV_rewrite_stub,
    .pglMultiTexCoord4i = epoxy_glMultiTexCoord4i_rewrite_stub,
    .pglMultiTexCoord4iv = epoxy_glMultiTexCoord4iv_rewrite_stub,
    .pglMultiTexCoord4s = epoxy_glMultiTexCoord4s_rewrite_stub,
    .pglMultiTexCoord4sv = epoxy_glMultiTexCoord4sv_rewrite_stub,
    .pglMultiTexCoord4x = epoxy_glMultiTexCoord4x_rewrite_stub,
    .pglMultiTexCoord4xOES = epoxy_glMultiTexCoord4xOES_rewrite_stub,
    .pglMultiTexCoord4xvOES = epoxy_glMultiTexCoord4xvOES_rewrite_stub,
    .pglMultiTexCoordP1ui = epoxy_glMultiTexCoordP1ui_rewrite_stub,
    .pglMultiTexCoordP1uiv = epoxy_glMultiTexCoordP1uiv_rewrite_stub,
    .pglMultiTexCoordP2ui = epoxy_glMultiTexCoordP2ui_rewrite_stub,
    .pglMultiTexCoordP2uiv = epoxy_glMultiTexCoordP2uiv_rewrite_stub,
    .pglMultiTexCoordP3ui = epoxy_glMultiTexCoordP3ui_rewrite_stub,
    .pglMultiTexCoordP3uiv = epoxy_glMultiTexCoordP3uiv_rewrite_stub,
    .pglMultiTexCoordP4ui = epoxy_glMultiTexCoordP4ui_rewrite_stub,
    .pglMultiTexCoordP4uiv = epoxy_glMultiTexCoordP4uiv_rewrite_stub,
    .pglMultiTexCoordPointerEXT = epoxy_glMultiTexCoordPointerEXT_rewrite_stub,
    .pglMultiTexEnvfEXT = epoxy_glMultiTexEnvfEXT_rewrite_stub,
    .pglMultiTexEnvfvEXT = epoxy_glMultiTexEnvfvEXT_rewrite_stub,
    .pglMultiTexEnviEXT = epoxy_glMultiTexEnviEXT_rewrite_stub,
    .pglMultiTexEnvivEXT = epoxy_glMultiTexEnvivEXT_rewrite_stub,
    .pglMultiTexGendEXT = epoxy_glMultiTexGendEXT_rewrite_stub,
    .pglMultiTexGendvEXT = epoxy_glMultiTexGendvEXT_rewrite_stub,
    .pglMultiTexGenfEXT = epoxy_glMultiTexGenfEXT_rewrite_stub,
    .pglMultiTexGenfvEXT = epoxy_glMultiTexGenfvEXT_rewrite_stub,
    .pglMultiTexGeniEXT = epoxy_glMultiTexGeniEXT_rewrite_stub,
    .pglMultiTexGenivEXT = epoxy_glMultiTexGenivEXT_rewrite_stub,
    .pglMultiTexImage1DEXT = epoxy_glMultiTexImage1DEXT_rewrite_stub,
    .pglMultiTexImage2DEXT = epoxy_glMultiTexImage2DEXT_rewrite_stub,
    .pglMultiTexImage3DEXT = epoxy_glMultiTexImage3DEXT_rewrite_stub,
    .pglMultiTexParameterIivEXT = epoxy_glMultiTexParameterIivEXT_rewrite_stub,
    .pglMultiTexParameterIuivEXT = epoxy_glMultiTexParameterIuivEXT_rewrite_stub,
    .pglMultiTexParameterfEXT = epoxy_glMultiTexParameterfEXT_rewrite_stub,
    .pglMultiTexParameterfvEXT = epoxy_glMultiTexParameterfvEXT_rewrite_stub,
    .pglMultiTexParameteriEXT = epoxy_glMultiTexParameteriEXT_rewrite_stub,
    .pglMultiTexParameterivEXT = epoxy_glMultiTexParameterivEXT_rewrite_stub,
    .pglMultiTexRenderbufferEXT = epoxy_glMultiTexRenderbufferEXT_rewrite_stub,
    .pglMultiTexSubImage1DEXT = epoxy_glMultiTexSubImage1DEXT_rewrite_stub,
    .pglMultiTexSubImage2DEXT = epoxy_glMultiTexSubImage2DEXT_rewrite_stub,
    .pglMultiTexSubImage3DEXT = epoxy_glMultiTexSubImage3DEXT_rewrite_stub,
    .pglNamedBufferDataEXT = epoxy_glNamedBufferDataEXT_rewrite_stub,
    .pglNamedBufferStorageEXT = epoxy_glNamedBufferStorageEXT_rewrite_stub,
    .pglNamedBufferSubDataEXT = epoxy_glNamedBufferSubDataEXT_rewrite_stub,
    .pglNamedCopyBufferSubDataEXT = epoxy_glNamedCopyBufferSubDataEXT_rewrite_stub,
    .pglNamedFramebufferParameteriEXT = epoxy_glNamedFramebufferParameteriEXT_rewrite_stub,
    .pglNamedFramebufferRenderbufferEXT = epoxy_glNamedFramebufferRenderbufferEXT_rewrite_stub,
    .pglNamedFramebufferTexture1DEXT = epoxy_glNamedFramebufferTexture1DEXT_rewrite_stub,
    .pglNamedFramebufferTexture2DEXT = epoxy_glNamedFramebufferTexture2DEXT_rewrite_stub,
    .pglNamedFramebufferTexture3DEXT = epoxy_glNamedFramebufferTexture3DEXT_rewrite_stub,
    .pglNamedFramebufferTextureEXT = epoxy_glNamedFramebufferTextureEXT_rewrite_stub,
    .pglNamedFramebufferTextureFaceEXT = epoxy_glNamedFramebufferTextureFaceEXT_rewrite_stub,
    .pglNamedFramebufferTextureLayerEXT = epoxy_glNamedFramebufferTextureLayerEXT_rewrite_stub,
    .pglNamedProgramLocalParameter4dEXT = epoxy_glNamedProgramLocalParameter4dEXT_rewrite_stub,
    .pglNamedProgramLocalParameter4dvEXT = epoxy_glNamedProgramLocalParameter4dvEXT_rewrite_stub,
    .pglNamedProgramLocalParameter4fEXT = epoxy_glNamedProgramLocalParameter4fEXT_rewrite_stub,
    .pglNamedProgramLocalParameter4fvEXT = epoxy_glNamedProgramLocalParameter4fvEXT_rewrite_stub,
    .pglNamedProgramLocalParameterI4iEXT = epoxy_glNamedProgramLocalParameterI4iEXT_rewrite_stub,
    .pglNamedProgramLocalParameterI4ivEXT = epoxy_glNamedProgramLocalParameterI4ivEXT_rewrite_stub,
    .pglNamedProgramLocalParameterI4uiEXT = epoxy_glNamedProgramLocalParameterI4uiEXT_rewrite_stub,
    .pglNamedProgramLocalParameterI4uivEXT = epoxy_glNamedProgramLocalParameterI4uivEXT_rewrite_stub,
    .pglNamedProgramLocalParameters4fvEXT = epoxy_glNamedProgramLocalParameters4fvEXT_rewrite_stub,
    .pglNamedProgramLocalParametersI4ivEXT = epoxy_glNamedProgramLocalParametersI4ivEXT_rewrite_stub,
    .pglNamedProgramLocalParametersI4uivEXT = epoxy_glNamedProgramLocalParametersI4uivEXT_rewrite_stub,
    .pglNamedProgramStringEXT = epoxy_glNamedProgramStringEXT_rewrite_stub,
    .pglNamedRenderbufferStorageEXT = epoxy_glNamedRenderbufferStorageEXT_rewrite_stub,
    .pglNamedRenderbufferStorageMultisampleCoverageEXT = epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_rewrite_stub,
    .pglNamedRenderbufferStorageMultisampleEXT = epoxy_glNamedRenderbufferStorageMultisampleEXT_rewrite_stub,
    .pglNamedStringARB = epoxy_glNamedStringARB_rewrite_stub,
    .pglNewList = epoxy_glNewList_rewrite_stub,
    .pglNewObjectBufferATI = epoxy_glNewObjectBufferATI_rewrite_stub,
    .pglNormal3b = epoxy_glNormal3b_rewrite_stub,
    .pglNormal3bv = epoxy_glNormal3bv_rewrite_stub,
    .pglNormal3d = epoxy_glNormal3d_rewrite_stub,
    .pglNormal3dv = epoxy_glNormal3dv_rewrite_stub,
    .pglNormal3f = epoxy_glNormal3f_rewrite_stub,
    .pglNormal3fVertex3fSUN = epoxy_glNormal3fVertex3fSUN_rewrite_stub,
    .pglNormal3fVertex3fvSUN = epoxy_glNormal3fVertex3fvSUN_rewrite_stub,
    .pglNormal3fv = epoxy_glNormal3fv_rewrite_stub,
    .pglNormal3hNV = epoxy_glNormal3hNV_rewrite_stub,
    .pglNormal3hvNV = epoxy_glNormal3hvNV_rewrite_stub,
    .pglNormal3i = epoxy_glNormal3i_rewrite_stub,
    .pglNormal3iv = epoxy_glNormal3iv_rewrite_stub,
    .pglNormal3s = epoxy_glNormal3s_rewrite_stub,
    .pglNormal3sv = epoxy_glNormal3sv_rewrite_stub,
    .pglNormal3x = epoxy_glNormal3x_rewrite_stub,
    .pglNormal3xOES = epoxy_glNormal3xOES_rewrite_stub,
    .pglNormal3xvOES = epoxy_glNormal3xvOES_rewrite_stub,
    .pglNormalFormatNV = epoxy_glNormalFormatNV_rewrite_stub,
    .pglNormalP3ui = epoxy_glNormalP3ui_rewrite_stub,
    .pglNormalP3uiv = epoxy_glNormalP3uiv_rewrite_stub,
    .pglNormalPointer = epoxy_glNormalPointer_rewrite_stub,
    .pglNormalPointerEXT = epoxy_glNormalPointerEXT_rewrite_stub,
    .pglNormalPointerListIBM = epoxy_glNormalPointerListIBM_rewrite_stub,
    .pglNormalPointervINTEL = epoxy_glNormalPointervINTEL_rewrite_stub,
    .pglNormalStream3bATI = epoxy_glNormalStream3bATI_rewrite_stub,
    .pglNormalStream3bvATI = epoxy_glNormalStream3bvATI_rewrite_stub,
    .pglNormalStream3dATI = epoxy_glNormalStream3dATI_rewrite_stub,
    .pglNormalStream3dvATI = epoxy_glNormalStream3dvATI_rewrite_stub,
    .pglNormalStream3fATI = epoxy_glNormalStream3fATI_rewrite_stub,
    .pglNormalStream3fvATI = epoxy_glNormalStream3fvATI_rewrite_stub,
    .pglNormalStream3iATI = epoxy_glNormalStream3iATI_rewrite_stub,
    .pglNormalStream3ivATI = epoxy_glNormalStream3ivATI_rewrite_stub,
    .pglNormalStream3sATI = epoxy_glNormalStream3sATI_rewrite_stub,
    .pglNormalStream3svATI = epoxy_glNormalStream3svATI_rewrite_stub,
    .pglObjectLabel = epoxy_glObjectLabel_rewrite_stub,
    .pglObjectPtrLabel = epoxy_glObjectPtrLabel_rewrite_stub,
    .pglObjectPurgeableAPPLE = epoxy_glObjectPurgeableAPPLE_rewrite_stub,
    .pglObjectUnpurgeableAPPLE = epoxy_glObjectUnpurgeableAPPLE_rewrite_stub,
    .pglOrtho = epoxy_glOrtho_rewrite_stub,
    .pglOrthof = epoxy_glOrthof_rewrite_stub,
    .pglOrthofOES = epoxy_glOrthofOES_rewrite_stub,
    .pglOrthox = epoxy_glOrthox_rewrite_stub,
    .pglOrthoxOES = epoxy_glOrthoxOES_rewrite_stub,
    .pglPNTrianglesfATI = epoxy_glPNTrianglesfATI_rewrite_stub,
    .pglPNTrianglesiATI = epoxy_glPNTrianglesiATI_rewrite_stub,
    .pglPassTexCoordATI = epoxy_glPassTexCoordATI_rewrite_stub,
    .pglPassThrough = epoxy_glPassThrough_rewrite_stub,
    .pglPassThroughxOES = epoxy_glPassThroughxOES_rewrite_stub,
    .pglPatchParameterfv = epoxy_glPatchParameterfv_rewrite_stub,
    .pglPatchParameteri = epoxy_glPatchParameteri_rewrite_stub,
    .pglPathColorGenNV = epoxy_glPathColorGenNV_rewrite_stub,
    .pglPathCommandsNV = epoxy_glPathCommandsNV_rewrite_stub,
    .pglPathCoordsNV = epoxy_glPathCoordsNV_rewrite_stub,
    .pglPathCoverDepthFuncNV = epoxy_glPathCoverDepthFuncNV_rewrite_stub,
    .pglPathDashArrayNV = epoxy_glPathDashArrayNV_rewrite_stub,
    .pglPathFogGenNV = epoxy_glPathFogGenNV_rewrite_stub,
    .pglPathGlyphRangeNV = epoxy_glPathGlyphRangeNV_rewrite_stub,
    .pglPathGlyphsNV = epoxy_glPathGlyphsNV_rewrite_stub,
    .pglPathParameterfNV = epoxy_glPathParameterfNV_rewrite_stub,
    .pglPathParameterfvNV = epoxy_glPathParameterfvNV_rewrite_stub,
    .pglPathParameteriNV = epoxy_glPathParameteriNV_rewrite_stub,
    .pglPathParameterivNV = epoxy_glPathParameterivNV_rewrite_stub,
    .pglPathStencilDepthOffsetNV = epoxy_glPathStencilDepthOffsetNV_rewrite_stub,
    .pglPathStencilFuncNV = epoxy_glPathStencilFuncNV_rewrite_stub,
    .pglPathStringNV = epoxy_glPathStringNV_rewrite_stub,
    .pglPathSubCommandsNV = epoxy_glPathSubCommandsNV_rewrite_stub,
    .pglPathSubCoordsNV = epoxy_glPathSubCoordsNV_rewrite_stub,
    .pglPathTexGenNV = epoxy_glPathTexGenNV_rewrite_stub,
    .pglPauseTransformFeedback = epoxy_glPauseTransformFeedback_rewrite_stub,
    .pglPixelDataRangeNV = epoxy_glPixelDataRangeNV_rewrite_stub,
    .pglPixelMapfv = epoxy_glPixelMapfv_rewrite_stub,
    .pglPixelMapuiv = epoxy_glPixelMapuiv_rewrite_stub,
    .pglPixelMapusv = epoxy_glPixelMapusv_rewrite_stub,
    .pglPixelMapx = epoxy_glPixelMapx_rewrite_stub,
    .pglPixelStoref = epoxy_glPixelStoref_rewrite_stub,
    .pglPixelStorei = epoxy_glPixelStorei_rewrite_stub,
    .pglPixelStorex = epoxy_glPixelStorex_rewrite_stub,
    .pglPixelTexGenParameterfSGIS = epoxy_glPixelTexGenParameterfSGIS_rewrite_stub,
    .pglPixelTexGenParameterfvSGIS = epoxy_glPixelTexGenParameterfvSGIS_rewrite_stub,
    .pglPixelTexGenParameteriSGIS = epoxy_glPixelTexGenParameteriSGIS_rewrite_stub,
    .pglPixelTexGenParameterivSGIS = epoxy_glPixelTexGenParameterivSGIS_rewrite_stub,
    .pglPixelTexGenSGIX = epoxy_glPixelTexGenSGIX_rewrite_stub,
    .pglPixelTransferf = epoxy_glPixelTransferf_rewrite_stub,
    .pglPixelTransferi = epoxy_glPixelTransferi_rewrite_stub,
    .pglPixelTransferxOES = epoxy_glPixelTransferxOES_rewrite_stub,
    .pglPixelTransformParameterfEXT = epoxy_glPixelTransformParameterfEXT_rewrite_stub,
    .pglPixelTransformParameterfvEXT = epoxy_glPixelTransformParameterfvEXT_rewrite_stub,
    .pglPixelTransformParameteriEXT = epoxy_glPixelTransformParameteriEXT_rewrite_stub,
    .pglPixelTransformParameterivEXT = epoxy_glPixelTransformParameterivEXT_rewrite_stub,
    .pglPixelZoom = epoxy_glPixelZoom_rewrite_stub,
    .pglPixelZoomxOES = epoxy_glPixelZoomxOES_rewrite_stub,
    .pglPointAlongPathNV = epoxy_glPointAlongPathNV_rewrite_stub,
    .pglPointParameterf = epoxy_glPointParameterf_rewrite_stub,
    .pglPointParameterfv = epoxy_glPointParameterfv_rewrite_stub,
    .pglPointParameteri = epoxy_glPointParameteri_rewrite_stub,
    .pglPointParameteriv = epoxy_glPointParameteriv_rewrite_stub,
    .pglPointParameterx = epoxy_glPointParameterx_rewrite_stub,
    .pglPointParameterxOES = epoxy_glPointParameterxOES_rewrite_stub,
    .pglPointParameterxv = epoxy_glPointParameterxv_rewrite_stub,
    .pglPointParameterxvOES = epoxy_glPointParameterxvOES_rewrite_stub,
    .pglPointSize = epoxy_glPointSize_rewrite_stub,
    .pglPointSizePointerOES = epoxy_glPointSizePointerOES_rewrite_stub,
    .pglPointSizex = epoxy_glPointSizex_rewrite_stub,
    .pglPointSizexOES = epoxy_glPointSizexOES_rewrite_stub,
    .pglPollAsyncSGIX = epoxy_glPollAsyncSGIX_rewrite_stub,
    .pglPollInstrumentsSGIX = epoxy_glPollInstrumentsSGIX_rewrite_stub,
    .pglPolygonMode = epoxy_glPolygonMode_rewrite_stub,
    .pglPolygonOffset = epoxy_glPolygonOffset_rewrite_stub,
    .pglPolygonOffsetEXT = epoxy_glPolygonOffsetEXT_rewrite_stub,
    .pglPolygonOffsetx = epoxy_glPolygonOffsetx_rewrite_stub,
    .pglPolygonOffsetxOES = epoxy_glPolygonOffsetxOES_rewrite_stub,
    .pglPolygonStipple = epoxy_glPolygonStipple_rewrite_stub,
    .pglPopAttrib = epoxy_glPopAttrib_rewrite_stub,
    .pglPopClientAttrib = epoxy_glPopClientAttrib_rewrite_stub,
    .pglPopDebugGroup = epoxy_glPopDebugGroup_rewrite_stub,
    .pglPopGroupMarkerEXT = epoxy_glPopGroupMarkerEXT_rewrite_stub,
    .pglPopMatrix = epoxy_glPopMatrix_rewrite_stub,
    .pglPopName = epoxy_glPopName_rewrite_stub,
    .pglPresentFrameDualFillNV = epoxy_glPresentFrameDualFillNV_rewrite_stub,
    .pglPresentFrameKeyedNV = epoxy_glPresentFrameKeyedNV_rewrite_stub,
    .pglPrimitiveRestartIndex = epoxy_glPrimitiveRestartIndex_rewrite_stub,
    .pglPrimitiveRestartIndexNV = epoxy_glPrimitiveRestartIndexNV_rewrite_stub,
    .pglPrimitiveRestartNV = epoxy_glPrimitiveRestartNV_rewrite_stub,
    .pglPrioritizeTextures = epoxy_glPrioritizeTextures_rewrite_stub,
    .pglPrioritizeTexturesxOES = epoxy_glPrioritizeTexturesxOES_rewrite_stub,
    .pglProgramBinary = epoxy_glProgramBinary_rewrite_stub,
    .pglProgramBufferParametersIivNV = epoxy_glProgramBufferParametersIivNV_rewrite_stub,
    .pglProgramBufferParametersIuivNV = epoxy_glProgramBufferParametersIuivNV_rewrite_stub,
    .pglProgramBufferParametersfvNV = epoxy_glProgramBufferParametersfvNV_rewrite_stub,
    .pglProgramEnvParameter4dARB = epoxy_glProgramEnvParameter4dARB_rewrite_stub,
    .pglProgramEnvParameter4dvARB = epoxy_glProgramEnvParameter4dvARB_rewrite_stub,
    .pglProgramEnvParameter4fARB = epoxy_glProgramEnvParameter4fARB_rewrite_stub,
    .pglProgramEnvParameter4fvARB = epoxy_glProgramEnvParameter4fvARB_rewrite_stub,
    .pglProgramEnvParameterI4iNV = epoxy_glProgramEnvParameterI4iNV_rewrite_stub,
    .pglProgramEnvParameterI4ivNV = epoxy_glProgramEnvParameterI4ivNV_rewrite_stub,
    .pglProgramEnvParameterI4uiNV = epoxy_glProgramEnvParameterI4uiNV_rewrite_stub,
    .pglProgramEnvParameterI4uivNV = epoxy_glProgramEnvParameterI4uivNV_rewrite_stub,
    .pglProgramEnvParameters4fvEXT = epoxy_glProgramEnvParameters4fvEXT_rewrite_stub,
    .pglProgramEnvParametersI4ivNV = epoxy_glProgramEnvParametersI4ivNV_rewrite_stub,
    .pglProgramEnvParametersI4uivNV = epoxy_glProgramEnvParametersI4uivNV_rewrite_stub,
    .pglProgramLocalParameter4dARB = epoxy_glProgramLocalParameter4dARB_rewrite_stub,
    .pglProgramLocalParameter4dvARB = epoxy_glProgramLocalParameter4dvARB_rewrite_stub,
    .pglProgramLocalParameter4fARB = epoxy_glProgramLocalParameter4fARB_rewrite_stub,
    .pglProgramLocalParameter4fvARB = epoxy_glProgramLocalParameter4fvARB_rewrite_stub,
    .pglProgramLocalParameterI4iNV = epoxy_glProgramLocalParameterI4iNV_rewrite_stub,
    .pglProgramLocalParameterI4ivNV = epoxy_glProgramLocalParameterI4ivNV_rewrite_stub,
    .pglProgramLocalParameterI4uiNV = epoxy_glProgramLocalParameterI4uiNV_rewrite_stub,
    .pglProgramLocalParameterI4uivNV = epoxy_glProgramLocalParameterI4uivNV_rewrite_stub,
    .pglProgramLocalParameters4fvEXT = epoxy_glProgramLocalParameters4fvEXT_rewrite_stub,
    .pglProgramLocalParametersI4ivNV = epoxy_glProgramLocalParametersI4ivNV_rewrite_stub,
    .pglProgramLocalParametersI4uivNV = epoxy_glProgramLocalParametersI4uivNV_rewrite_stub,
    .pglProgramNamedParameter4dNV = epoxy_glProgramNamedParameter4dNV_rewrite_stub,
    .pglProgramNamedParameter4dvNV = epoxy_glProgramNamedParameter4dvNV_rewrite_stub,
    .pglProgramNamedParameter4fNV = epoxy_glProgramNamedParameter4fNV_rewrite_stub,
    .pglProgramNamedParameter4fvNV = epoxy_glProgramNamedParameter4fvNV_rewrite_stub,
    .pglProgramParameter4dNV = epoxy_glProgramParameter4dNV_rewrite_stub,
    .pglProgramParameter4dvNV = epoxy_glProgramParameter4dvNV_rewrite_stub,
    .pglProgramParameter4fNV = epoxy_glProgramParameter4fNV_rewrite_stub,
    .pglProgramParameter4fvNV = epoxy_glProgramParameter4fvNV_rewrite_stub,
    .pglProgramParameteri = epoxy_glProgramParameteri_rewrite_stub,
    .pglProgramParameters4dvNV = epoxy_glProgramParameters4dvNV_rewrite_stub,
    .pglProgramParameters4fvNV = epoxy_glProgramParameters4fvNV_rewrite_stub,
    .pglProgramStringARB = epoxy_glProgramStringARB_rewrite_stub,
    .pglProgramSubroutineParametersuivNV = epoxy_glProgramSubroutineParametersuivNV_rewrite_stub,
    .pglProgramUniform1d = epoxy_glProgramUniform1d_rewrite_stub,
    .pglProgramUniform1dEXT = epoxy_glProgramUniform1dEXT_rewrite_stub,
    .pglProgramUniform1dv = epoxy_glProgramUniform1dv_rewrite_stub,
    .pglProgramUniform1dvEXT = epoxy_glProgramUniform1dvEXT_rewrite_stub,
    .pglProgramUniform1f = epoxy_glProgramUniform1f_rewrite_stub,
    .pglProgramUniform1fv = epoxy_glProgramUniform1fv_rewrite_stub,
    .pglProgramUniform1i = epoxy_glProgramUniform1i_rewrite_stub,
    .pglProgramUniform1i64NV = epoxy_glProgramUniform1i64NV_rewrite_stub,
    .pglProgramUniform1i64vNV = epoxy_glProgramUniform1i64vNV_rewrite_stub,
    .pglProgramUniform1iv = epoxy_glProgramUniform1iv_rewrite_stub,
    .pglProgramUniform1ui = epoxy_glProgramUniform1ui_rewrite_stub,
    .pglProgramUniform1ui64NV = epoxy_glProgramUniform1ui64NV_rewrite_stub,
    .pglProgramUniform1ui64vNV = epoxy_glProgramUniform1ui64vNV_rewrite_stub,
    .pglProgramUniform1uiv = epoxy_glProgramUniform1uiv_rewrite_stub,
    .pglProgramUniform2d = epoxy_glProgramUniform2d_rewrite_stub,
    .pglProgramUniform2dEXT = epoxy_glProgramUniform2dEXT_rewrite_stub,
    .pglProgramUniform2dv = epoxy_glProgramUniform2dv_rewrite_stub,
    .pglProgramUniform2dvEXT = epoxy_glProgramUniform2dvEXT_rewrite_stub,
    .pglProgramUniform2f = epoxy_glProgramUniform2f_rewrite_stub,
    .pglProgramUniform2fv = epoxy_glProgramUniform2fv_rewrite_stub,
    .pglProgramUniform2i = epoxy_glProgramUniform2i_rewrite_stub,
    .pglProgramUniform2i64NV = epoxy_glProgramUniform2i64NV_rewrite_stub,
    .pglProgramUniform2i64vNV = epoxy_glProgramUniform2i64vNV_rewrite_stub,
    .pglProgramUniform2iv = epoxy_glProgramUniform2iv_rewrite_stub,
    .pglProgramUniform2ui = epoxy_glProgramUniform2ui_rewrite_stub,
    .pglProgramUniform2ui64NV = epoxy_glProgramUniform2ui64NV_rewrite_stub,
    .pglProgramUniform2ui64vNV = epoxy_glProgramUniform2ui64vNV_rewrite_stub,
    .pglProgramUniform2uiv = epoxy_glProgramUniform2uiv_rewrite_stub,
    .pglProgramUniform3d = epoxy_glProgramUniform3d_rewrite_stub,
    .pglProgramUniform3dEXT = epoxy_glProgramUniform3dEXT_rewrite_stub,
    .pglProgramUniform3dv = epoxy_glProgramUniform3dv_rewrite_stub,
    .pglProgramUniform3dvEXT = epoxy_glProgramUniform3dvEXT_rewrite_stub,
    .pglProgramUniform3f = epoxy_glProgramUniform3f_rewrite_stub,
    .pglProgramUniform3fv = epoxy_glProgramUniform3fv_rewrite_stub,
    .pglProgramUniform3i = epoxy_glProgramUniform3i_rewrite_stub,
    .pglProgramUniform3i64NV = epoxy_glProgramUniform3i64NV_rewrite_stub,
    .pglProgramUniform3i64vNV = epoxy_glProgramUniform3i64vNV_rewrite_stub,
    .pglProgramUniform3iv = epoxy_glProgramUniform3iv_rewrite_stub,
    .pglProgramUniform3ui = epoxy_glProgramUniform3ui_rewrite_stub,
    .pglProgramUniform3ui64NV = epoxy_glProgramUniform3ui64NV_rewrite_stub,
    .pglProgramUniform3ui64vNV = epoxy_glProgramUniform3ui64vNV_rewrite_stub,
    .pglProgramUniform3uiv = epoxy_glProgramUniform3uiv_rewrite_stub,
    .pglProgramUniform4d = epoxy_glProgramUniform4d_rewrite_stub,
    .pglProgramUniform4dEXT = epoxy_glProgramUniform4dEXT_rewrite_stub,
    .pglProgramUniform4dv = epoxy_glProgramUniform4dv_rewrite_stub,
    .pglProgramUniform4dvEXT = epoxy_glProgramUniform4dvEXT_rewrite_stub,
    .pglProgramUniform4f = epoxy_glProgramUniform4f_rewrite_stub,
    .pglProgramUniform4fv = epoxy_glProgramUniform4fv_rewrite_stub,
    .pglProgramUniform4i = epoxy_glProgramUniform4i_rewrite_stub,
    .pglProgramUniform4i64NV = epoxy_glProgramUniform4i64NV_rewrite_stub,
    .pglProgramUniform4i64vNV = epoxy_glProgramUniform4i64vNV_rewrite_stub,
    .pglProgramUniform4iv = epoxy_glProgramUniform4iv_rewrite_stub,
    .pglProgramUniform4ui = epoxy_glProgramUniform4ui_rewrite_stub,
    .pglProgramUniform4ui64NV = epoxy_glProgramUniform4ui64NV_rewrite_stub,
    .pglProgramUniform4ui64vNV = epoxy_glProgramUniform4ui64vNV_rewrite_stub,
    .pglProgramUniform4uiv = epoxy_glProgramUniform4uiv_rewrite_stub,
    .pglProgramUniformHandleui64ARB = epoxy_glProgramUniformHandleui64ARB_rewrite_stub,
    .pglProgramUniformHandleui64NV = epoxy_glProgramUniformHandleui64NV_rewrite_stub,
    .pglProgramUniformHandleui64vARB = epoxy_glProgramUniformHandleui64vARB_rewrite_stub,
    .pglProgramUniformHandleui64vNV = epoxy_glProgramUniformHandleui64vNV_rewrite_stub,
    .pglProgramUniformMatrix2dv = epoxy_glProgramUniformMatrix2dv_rewrite_stub,
    .pglProgramUniformMatrix2dvEXT = epoxy_glProgramUniformMatrix2dvEXT_rewrite_stub,
    .pglProgramUniformMatrix2fv = epoxy_glProgramUniformMatrix2fv_rewrite_stub,
    .pglProgramUniformMatrix2x3dv = epoxy_glProgramUniformMatrix2x3dv_rewrite_stub,
    .pglProgramUniformMatrix2x3dvEXT = epoxy_glProgramUniformMatrix2x3dvEXT_rewrite_stub,
    .pglProgramUniformMatrix2x3fv = epoxy_glProgramUniformMatrix2x3fv_rewrite_stub,
    .pglProgramUniformMatrix2x4dv = epoxy_glProgramUniformMatrix2x4dv_rewrite_stub,
    .pglProgramUniformMatrix2x4dvEXT = epoxy_glProgramUniformMatrix2x4dvEXT_rewrite_stub,
    .pglProgramUniformMatrix2x4fv = epoxy_glProgramUniformMatrix2x4fv_rewrite_stub,
    .pglProgramUniformMatrix3dv = epoxy_glProgramUniformMatrix3dv_rewrite_stub,
    .pglProgramUniformMatrix3dvEXT = epoxy_glProgramUniformMatrix3dvEXT_rewrite_stub,
    .pglProgramUniformMatrix3fv = epoxy_glProgramUniformMatrix3fv_rewrite_stub,
    .pglProgramUniformMatrix3x2dv = epoxy_glProgramUniformMatrix3x2dv_rewrite_stub,
    .pglProgramUniformMatrix3x2dvEXT = epoxy_glProgramUniformMatrix3x2dvEXT_rewrite_stub,
    .pglProgramUniformMatrix3x2fv = epoxy_glProgramUniformMatrix3x2fv_rewrite_stub,
    .pglProgramUniformMatrix3x4dv = epoxy_glProgramUniformMatrix3x4dv_rewrite_stub,
    .pglProgramUniformMatrix3x4dvEXT = epoxy_glProgramUniformMatrix3x4dvEXT_rewrite_stub,
    .pglProgramUniformMatrix3x4fv = epoxy_glProgramUniformMatrix3x4fv_rewrite_stub,
    .pglProgramUniformMatrix4dv = epoxy_glProgramUniformMatrix4dv_rewrite_stub,
    .pglProgramUniformMatrix4dvEXT = epoxy_glProgramUniformMatrix4dvEXT_rewrite_stub,
    .pglProgramUniformMatrix4fv = epoxy_glProgramUniformMatrix4fv_rewrite_stub,
    .pglProgramUniformMatrix4x2dv = epoxy_glProgramUniformMatrix4x2dv_rewrite_stub,
    .pglProgramUniformMatrix4x2dvEXT = epoxy_glProgramUniformMatrix4x2dvEXT_rewrite_stub,
    .pglProgramUniformMatrix4x2fv = epoxy_glProgramUniformMatrix4x2fv_rewrite_stub,
    .pglProgramUniformMatrix4x3dv = epoxy_glProgramUniformMatrix4x3dv_rewrite_stub,
    .pglProgramUniformMatrix4x3dvEXT = epoxy_glProgramUniformMatrix4x3dvEXT_rewrite_stub,
    .pglProgramUniformMatrix4x3fv = epoxy_glProgramUniformMatrix4x3fv_rewrite_stub,
    .pglProgramUniformui64NV = epoxy_glProgramUniformui64NV_rewrite_stub,
    .pglProgramUniformui64vNV = epoxy_glProgramUniformui64vNV_rewrite_stub,
    .pglProgramVertexLimitNV = epoxy_glProgramVertexLimitNV_rewrite_stub,
    .pglProvokingVertex = epoxy_glProvokingVertex_rewrite_stub,
    .pglPushAttrib = epoxy_glPushAttrib_rewrite_stub,
    .pglPushClientAttrib = epoxy_glPushClientAttrib_rewrite_stub,
    .pglPushClientAttribDefaultEXT = epoxy_glPushClientAttribDefaultEXT_rewrite_stub,
    .pglPushDebugGroup = epoxy_glPushDebugGroup_rewrite_stub,
    .pglPushGroupMarkerEXT = epoxy_glPushGroupMarkerEXT_rewrite_stub,
    .pglPushMatrix = epoxy_glPushMatrix_rewrite_stub,
    .pglPushName = epoxy_glPushName_rewrite_stub,
    .pglQueryCounter = epoxy_glQueryCounter_rewrite_stub,
    .pglQueryMatrixxOES = epoxy_glQueryMatrixxOES_rewrite_stub,
    .pglQueryObjectParameteruiAMD = epoxy_glQueryObjectParameteruiAMD_rewrite_stub,
    .pglRasterPos2d = epoxy_glRasterPos2d_rewrite_stub,
    .pglRasterPos2dv = epoxy_glRasterPos2dv_rewrite_stub,
    .pglRasterPos2f = epoxy_glRasterPos2f_rewrite_stub,
    .pglRasterPos2fv = epoxy_glRasterPos2fv_rewrite_stub,
    .pglRasterPos2i = epoxy_glRasterPos2i_rewrite_stub,
    .pglRasterPos2iv = epoxy_glRasterPos2iv_rewrite_stub,
    .pglRasterPos2s = epoxy_glRasterPos2s_rewrite_stub,
    .pglRasterPos2sv = epoxy_glRasterPos2sv_rewrite_stub,
    .pglRasterPos2xOES = epoxy_glRasterPos2xOES_rewrite_stub,
    .pglRasterPos2xvOES = epoxy_glRasterPos2xvOES_rewrite_stub,
    .pglRasterPos3d = epoxy_glRasterPos3d_rewrite_stub,
    .pglRasterPos3dv = epoxy_glRasterPos3dv_rewrite_stub,
    .pglRasterPos3f = epoxy_glRasterPos3f_rewrite_stub,
    .pglRasterPos3fv = epoxy_glRasterPos3fv_rewrite_stub,
    .pglRasterPos3i = epoxy_glRasterPos3i_rewrite_stub,
    .pglRasterPos3iv = epoxy_glRasterPos3iv_rewrite_stub,
    .pglRasterPos3s = epoxy_glRasterPos3s_rewrite_stub,
    .pglRasterPos3sv = epoxy_glRasterPos3sv_rewrite_stub,
    .pglRasterPos3xOES = epoxy_glRasterPos3xOES_rewrite_stub,
    .pglRasterPos3xvOES = epoxy_glRasterPos3xvOES_rewrite_stub,
    .pglRasterPos4d = epoxy_glRasterPos4d_rewrite_stub,
    .pglRasterPos4dv = epoxy_glRasterPos4dv_rewrite_stub,
    .pglRasterPos4f = epoxy_glRasterPos4f_rewrite_stub,
    .pglRasterPos4fv = epoxy_glRasterPos4fv_rewrite_stub,
    .pglRasterPos4i = epoxy_glRasterPos4i_rewrite_stub,
    .pglRasterPos4iv = epoxy_glRasterPos4iv_rewrite_stub,
    .pglRasterPos4s = epoxy_glRasterPos4s_rewrite_stub,
    .pglRasterPos4sv = epoxy_glRasterPos4sv_rewrite_stub,
    .pglRasterPos4xOES = epoxy_glRasterPos4xOES_rewrite_stub,
    .pglRasterPos4xvOES = epoxy_glRasterPos4xvOES_rewrite_stub,
    .pglReadBuffer = epoxy_glReadBuffer_rewrite_stub,
    .pglReadBufferIndexedEXT = epoxy_glReadBufferIndexedEXT_rewrite_stub,
    .pglReadBufferNV = epoxy_glReadBufferNV_rewrite_stub,
    .pglReadInstrumentsSGIX = epoxy_glReadInstrumentsSGIX_rewrite_stub,
    .pglReadPixels = epoxy_glReadPixels_rewrite_stub,
    .pglReadnPixelsARB = epoxy_glReadnPixelsARB_rewrite_stub,
    .pglReadnPixelsEXT = epoxy_glReadnPixelsEXT_rewrite_stub,
    .pglRectd = epoxy_glRectd_rewrite_stub,
    .pglRectdv = epoxy_glRectdv_rewrite_stub,
    .pglRectf = epoxy_glRectf_rewrite_stub,
    .pglRectfv = epoxy_glRectfv_rewrite_stub,
    .pglRecti = epoxy_glRecti_rewrite_stub,
    .pglRectiv = epoxy_glRectiv_rewrite_stub,
    .pglRects = epoxy_glRects_rewrite_stub,
    .pglRectsv = epoxy_glRectsv_rewrite_stub,
    .pglRectxOES = epoxy_glRectxOES_rewrite_stub,
    .pglRectxvOES = epoxy_glRectxvOES_rewrite_stub,
    .pglReferencePlaneSGIX = epoxy_glReferencePlaneSGIX_rewrite_stub,
    .pglReleaseShaderCompiler = epoxy_glReleaseShaderCompiler_rewrite_stub,
    .pglRenderMode = epoxy_glRenderMode_rewrite_stub,
    .pglRenderbufferStorage = epoxy_glRenderbufferStorage_rewrite_stub,
    .pglRenderbufferStorageMultisample = epoxy_glRenderbufferStorageMultisample_rewrite_stub,
    .pglRenderbufferStorageMultisampleANGLE = epoxy_glRenderbufferStorageMultisampleANGLE_rewrite_stub,
    .pglRenderbufferStorageMultisampleAPPLE = epoxy_glRenderbufferStorageMultisampleAPPLE_rewrite_stub,
    .pglRenderbufferStorageMultisampleCoverageNV = epoxy_glRenderbufferStorageMultisampleCoverageNV_rewrite_stub,
    .pglRenderbufferStorageMultisampleIMG = epoxy_glRenderbufferStorageMultisampleIMG_rewrite_stub,
    .pglRenderbufferStorageOES = epoxy_glRenderbufferStorageOES_rewrite_stub,
    .pglReplacementCodePointerSUN = epoxy_glReplacementCodePointerSUN_rewrite_stub,
    .pglReplacementCodeubSUN = epoxy_glReplacementCodeubSUN_rewrite_stub,
    .pglReplacementCodeubvSUN = epoxy_glReplacementCodeubvSUN_rewrite_stub,
    .pglReplacementCodeuiColor3fVertex3fSUN = epoxy_glReplacementCodeuiColor3fVertex3fSUN_rewrite_stub,
    .pglReplacementCodeuiColor3fVertex3fvSUN = epoxy_glReplacementCodeuiColor3fVertex3fvSUN_rewrite_stub,
    .pglReplacementCodeuiColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_rewrite_stub,
    .pglReplacementCodeuiColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_rewrite_stub,
    .pglReplacementCodeuiColor4ubVertex3fSUN = epoxy_glReplacementCodeuiColor4ubVertex3fSUN_rewrite_stub,
    .pglReplacementCodeuiColor4ubVertex3fvSUN = epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_rewrite_stub,
    .pglReplacementCodeuiNormal3fVertex3fSUN = epoxy_glReplacementCodeuiNormal3fVertex3fSUN_rewrite_stub,
    .pglReplacementCodeuiNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_rewrite_stub,
    .pglReplacementCodeuiSUN = epoxy_glReplacementCodeuiSUN_rewrite_stub,
    .pglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_rewrite_stub,
    .pglReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_rewrite_stub,
    .pglReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_rewrite_stub,
    .pglReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_rewrite_stub,
    .pglReplacementCodeuiTexCoord2fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_rewrite_stub,
    .pglReplacementCodeuiTexCoord2fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_rewrite_stub,
    .pglReplacementCodeuiVertex3fSUN = epoxy_glReplacementCodeuiVertex3fSUN_rewrite_stub,
    .pglReplacementCodeuiVertex3fvSUN = epoxy_glReplacementCodeuiVertex3fvSUN_rewrite_stub,
    .pglReplacementCodeuivSUN = epoxy_glReplacementCodeuivSUN_rewrite_stub,
    .pglReplacementCodeusSUN = epoxy_glReplacementCodeusSUN_rewrite_stub,
    .pglReplacementCodeusvSUN = epoxy_glReplacementCodeusvSUN_rewrite_stub,
    .pglRequestResidentProgramsNV = epoxy_glRequestResidentProgramsNV_rewrite_stub,
    .pglResetHistogram = epoxy_glResetHistogram_rewrite_stub,
    .pglResetMinmax = epoxy_glResetMinmax_rewrite_stub,
    .pglResizeBuffersMESA = epoxy_glResizeBuffersMESA_rewrite_stub,
    .pglResolveMultisampleFramebufferAPPLE = epoxy_glResolveMultisampleFramebufferAPPLE_rewrite_stub,
    .pglResumeTransformFeedback = epoxy_glResumeTransformFeedback_rewrite_stub,
    .pglRotated = epoxy_glRotated_rewrite_stub,
    .pglRotatef = epoxy_glRotatef_rewrite_stub,
    .pglRotatex = epoxy_glRotatex_rewrite_stub,
    .pglRotatexOES = epoxy_glRotatexOES_rewrite_stub,
    .pglSampleCoverage = epoxy_glSampleCoverage_rewrite_stub,
    .pglSampleCoverageOES = epoxy_glSampleCoverageOES_rewrite_stub,
    .pglSampleCoveragex = epoxy_glSampleCoveragex_rewrite_stub,
    .pglSampleCoveragexOES = epoxy_glSampleCoveragexOES_rewrite_stub,
    .pglSampleMapATI = epoxy_glSampleMapATI_rewrite_stub,
    .pglSampleMaskEXT = epoxy_glSampleMaskEXT_rewrite_stub,
    .pglSampleMaskIndexedNV = epoxy_glSampleMaskIndexedNV_rewrite_stub,
    .pglSampleMaski = epoxy_glSampleMaski_rewrite_stub,
    .pglSamplePatternEXT = epoxy_glSamplePatternEXT_rewrite_stub,
    .pglSamplerParameterIiv = epoxy_glSamplerParameterIiv_rewrite_stub,
    .pglSamplerParameterIuiv = epoxy_glSamplerParameterIuiv_rewrite_stub,
    .pglSamplerParameterf = epoxy_glSamplerParameterf_rewrite_stub,
    .pglSamplerParameterfv = epoxy_glSamplerParameterfv_rewrite_stub,
    .pglSamplerParameteri = epoxy_glSamplerParameteri_rewrite_stub,
    .pglSamplerParameteriv = epoxy_glSamplerParameteriv_rewrite_stub,
    .pglScaled = epoxy_glScaled_rewrite_stub,
    .pglScalef = epoxy_glScalef_rewrite_stub,
    .pglScalex = epoxy_glScalex_rewrite_stub,
    .pglScalexOES = epoxy_glScalexOES_rewrite_stub,
    .pglScissor = epoxy_glScissor_rewrite_stub,
    .pglScissorArrayv = epoxy_glScissorArrayv_rewrite_stub,
    .pglScissorIndexed = epoxy_glScissorIndexed_rewrite_stub,
    .pglScissorIndexedv = epoxy_glScissorIndexedv_rewrite_stub,
    .pglSecondaryColor3b = epoxy_glSecondaryColor3b_rewrite_stub,
    .pglSecondaryColor3bv = epoxy_glSecondaryColor3bv_rewrite_stub,
    .pglSecondaryColor3d = epoxy_glSecondaryColor3d_rewrite_stub,
    .pglSecondaryColor3dv = epoxy_glSecondaryColor3dv_rewrite_stub,
    .pglSecondaryColor3f = epoxy_glSecondaryColor3f_rewrite_stub,
    .pglSecondaryColor3fv = epoxy_glSecondaryColor3fv_rewrite_stub,
    .pglSecondaryColor3hNV = epoxy_glSecondaryColor3hNV_rewrite_stub,
    .pglSecondaryColor3hvNV = epoxy_glSecondaryColor3hvNV_rewrite_stub,
    .pglSecondaryColor3i = epoxy_glSecondaryColor3i_rewrite_stub,
    .pglSecondaryColor3iv = epoxy_glSecondaryColor3iv_rewrite_stub,
    .pglSecondaryColor3s = epoxy_glSecondaryColor3s_rewrite_stub,
    .pglSecondaryColor3sv = epoxy_glSecondaryColor3sv_rewrite_stub,
    .pglSecondaryColor3ub = epoxy_glSecondaryColor3ub_rewrite_stub,
    .pglSecondaryColor3ubv = epoxy_glSecondaryColor3ubv_rewrite_stub,
    .pglSecondaryColor3ui = epoxy_glSecondaryColor3ui_rewrite_stub,
    .pglSecondaryColor3uiv = epoxy_glSecondaryColor3uiv_rewrite_stub,
    .pglSecondaryColor3us = epoxy_glSecondaryColor3us_rewrite_stub,
    .pglSecondaryColor3usv = epoxy_glSecondaryColor3usv_rewrite_stub,
    .pglSecondaryColorFormatNV = epoxy_glSecondaryColorFormatNV_rewrite_stub,
    .pglSecondaryColorP3ui = epoxy_glSecondaryColorP3ui_rewrite_stub,
    .pglSecondaryColorP3uiv = epoxy_glSecondaryColorP3uiv_rewrite_stub,
    .pglSecondaryColorPointer = epoxy_glSecondaryColorPointer_rewrite_stub,
    .pglSecondaryColorPointerListIBM = epoxy_glSecondaryColorPointerListIBM_rewrite_stub,
    .pglSelectBuffer = epoxy_glSelectBuffer_rewrite_stub,
    .pglSelectPerfMonitorCountersAMD = epoxy_glSelectPerfMonitorCountersAMD_rewrite_stub,
    .pglSeparableFilter2D = epoxy_glSeparableFilter2D_rewrite_stub,
    .pglSetFenceAPPLE = epoxy_glSetFenceAPPLE_rewrite_stub,
    .pglSetFenceNV = epoxy_glSetFenceNV_rewrite_stub,
    .pglSetFragmentShaderConstantATI = epoxy_glSetFragmentShaderConstantATI_rewrite_stub,
    .pglSetInvariantEXT = epoxy_glSetInvariantEXT_rewrite_stub,
    .pglSetLocalConstantEXT = epoxy_glSetLocalConstantEXT_rewrite_stub,
    .pglSetMultisamplefvAMD = epoxy_glSetMultisamplefvAMD_rewrite_stub,
    .pglShadeModel = epoxy_glShadeModel_rewrite_stub,
    .pglShaderBinary = epoxy_glShaderBinary_rewrite_stub,
    .pglShaderOp1EXT = epoxy_glShaderOp1EXT_rewrite_stub,
    .pglShaderOp2EXT = epoxy_glShaderOp2EXT_rewrite_stub,
    .pglShaderOp3EXT = epoxy_glShaderOp3EXT_rewrite_stub,
    .pglShaderSource = epoxy_glShaderSource_rewrite_stub,
    .pglShaderStorageBlockBinding = epoxy_glShaderStorageBlockBinding_rewrite_stub,
    .pglSharpenTexFuncSGIS = epoxy_glSharpenTexFuncSGIS_rewrite_stub,
    .pglSpriteParameterfSGIX = epoxy_glSpriteParameterfSGIX_rewrite_stub,
    .pglSpriteParameterfvSGIX = epoxy_glSpriteParameterfvSGIX_rewrite_stub,
    .pglSpriteParameteriSGIX = epoxy_glSpriteParameteriSGIX_rewrite_stub,
    .pglSpriteParameterivSGIX = epoxy_glSpriteParameterivSGIX_rewrite_stub,
    .pglStartInstrumentsSGIX = epoxy_glStartInstrumentsSGIX_rewrite_stub,
    .pglStartTilingQCOM = epoxy_glStartTilingQCOM_rewrite_stub,
    .pglStencilClearTagEXT = epoxy_glStencilClearTagEXT_rewrite_stub,
    .pglStencilFillPathInstancedNV = epoxy_glStencilFillPathInstancedNV_rewrite_stub,
    .pglStencilFillPathNV = epoxy_glStencilFillPathNV_rewrite_stub,
    .pglStencilFunc = epoxy_glStencilFunc_rewrite_stub,
    .pglStencilFuncSeparate = epoxy_glStencilFuncSeparate_rewrite_stub,
    .pglStencilFuncSeparateATI = epoxy_glStencilFuncSeparateATI_rewrite_stub,
    .pglStencilMask = epoxy_glStencilMask_rewrite_stub,
    .pglStencilMaskSeparate = epoxy_glStencilMaskSeparate_rewrite_stub,
    .pglStencilOp = epoxy_glStencilOp_rewrite_stub,
    .pglStencilOpSeparate = epoxy_glStencilOpSeparate_rewrite_stub,
    .pglStencilOpValueAMD = epoxy_glStencilOpValueAMD_rewrite_stub,
    .pglStencilStrokePathInstancedNV = epoxy_glStencilStrokePathInstancedNV_rewrite_stub,
    .pglStencilStrokePathNV = epoxy_glStencilStrokePathNV_rewrite_stub,
    .pglStopInstrumentsSGIX = epoxy_glStopInstrumentsSGIX_rewrite_stub,
    .pglStringMarkerGREMEDY = epoxy_glStringMarkerGREMEDY_rewrite_stub,
    .pglSwizzleEXT = epoxy_glSwizzleEXT_rewrite_stub,
    .pglSyncTextureINTEL = epoxy_glSyncTextureINTEL_rewrite_stub,
    .pglTagSampleBufferSGIX = epoxy_glTagSampleBufferSGIX_rewrite_stub,
    .pglTangent3bEXT = epoxy_glTangent3bEXT_rewrite_stub,
    .pglTangent3bvEXT = epoxy_glTangent3bvEXT_rewrite_stub,
    .pglTangent3dEXT = epoxy_glTangent3dEXT_rewrite_stub,
    .pglTangent3dvEXT = epoxy_glTangent3dvEXT_rewrite_stub,
    .pglTangent3fEXT = epoxy_glTangent3fEXT_rewrite_stub,
    .pglTangent3fvEXT = epoxy_glTangent3fvEXT_rewrite_stub,
    .pglTangent3iEXT = epoxy_glTangent3iEXT_rewrite_stub,
    .pglTangent3ivEXT = epoxy_glTangent3ivEXT_rewrite_stub,
    .pglTangent3sEXT = epoxy_glTangent3sEXT_rewrite_stub,
    .pglTangent3svEXT = epoxy_glTangent3svEXT_rewrite_stub,
    .pglTangentPointerEXT = epoxy_glTangentPointerEXT_rewrite_stub,
    .pglTbufferMask3DFX = epoxy_glTbufferMask3DFX_rewrite_stub,
    .pglTessellationFactorAMD = epoxy_glTessellationFactorAMD_rewrite_stub,
    .pglTessellationModeAMD = epoxy_glTessellationModeAMD_rewrite_stub,
    .pglTestFenceAPPLE = epoxy_glTestFenceAPPLE_rewrite_stub,
    .pglTestFenceNV = epoxy_glTestFenceNV_rewrite_stub,
    .pglTestObjectAPPLE = epoxy_glTestObjectAPPLE_rewrite_stub,
    .pglTexBuffer = epoxy_glTexBuffer_rewrite_stub,
    .pglTexBufferRange = epoxy_glTexBufferRange_rewrite_stub,
    .pglTexBumpParameterfvATI = epoxy_glTexBumpParameterfvATI_rewrite_stub,
    .pglTexBumpParameterivATI = epoxy_glTexBumpParameterivATI_rewrite_stub,
    .pglTexCoord1bOES = epoxy_glTexCoord1bOES_rewrite_stub,
    .pglTexCoord1bvOES = epoxy_glTexCoord1bvOES_rewrite_stub,
    .pglTexCoord1d = epoxy_glTexCoord1d_rewrite_stub,
    .pglTexCoord1dv = epoxy_glTexCoord1dv_rewrite_stub,
    .pglTexCoord1f = epoxy_glTexCoord1f_rewrite_stub,
    .pglTexCoord1fv = epoxy_glTexCoord1fv_rewrite_stub,
    .pglTexCoord1hNV = epoxy_glTexCoord1hNV_rewrite_stub,
    .pglTexCoord1hvNV = epoxy_glTexCoord1hvNV_rewrite_stub,
    .pglTexCoord1i = epoxy_glTexCoord1i_rewrite_stub,
    .pglTexCoord1iv = epoxy_glTexCoord1iv_rewrite_stub,
    .pglTexCoord1s = epoxy_glTexCoord1s_rewrite_stub,
    .pglTexCoord1sv = epoxy_glTexCoord1sv_rewrite_stub,
    .pglTexCoord1xOES = epoxy_glTexCoord1xOES_rewrite_stub,
    .pglTexCoord1xvOES = epoxy_glTexCoord1xvOES_rewrite_stub,
    .pglTexCoord2bOES = epoxy_glTexCoord2bOES_rewrite_stub,
    .pglTexCoord2bvOES = epoxy_glTexCoord2bvOES_rewrite_stub,
    .pglTexCoord2d = epoxy_glTexCoord2d_rewrite_stub,
    .pglTexCoord2dv = epoxy_glTexCoord2dv_rewrite_stub,
    .pglTexCoord2f = epoxy_glTexCoord2f_rewrite_stub,
    .pglTexCoord2fColor3fVertex3fSUN = epoxy_glTexCoord2fColor3fVertex3fSUN_rewrite_stub,
    .pglTexCoord2fColor3fVertex3fvSUN = epoxy_glTexCoord2fColor3fVertex3fvSUN_rewrite_stub,
    .pglTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_rewrite_stub,
    .pglTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_rewrite_stub,
    .pglTexCoord2fColor4ubVertex3fSUN = epoxy_glTexCoord2fColor4ubVertex3fSUN_rewrite_stub,
    .pglTexCoord2fColor4ubVertex3fvSUN = epoxy_glTexCoord2fColor4ubVertex3fvSUN_rewrite_stub,
    .pglTexCoord2fNormal3fVertex3fSUN = epoxy_glTexCoord2fNormal3fVertex3fSUN_rewrite_stub,
    .pglTexCoord2fNormal3fVertex3fvSUN = epoxy_glTexCoord2fNormal3fVertex3fvSUN_rewrite_stub,
    .pglTexCoord2fVertex3fSUN = epoxy_glTexCoord2fVertex3fSUN_rewrite_stub,
    .pglTexCoord2fVertex3fvSUN = epoxy_glTexCoord2fVertex3fvSUN_rewrite_stub,
    .pglTexCoord2fv = epoxy_glTexCoord2fv_rewrite_stub,
    .pglTexCoord2hNV = epoxy_glTexCoord2hNV_rewrite_stub,
    .pglTexCoord2hvNV = epoxy_glTexCoord2hvNV_rewrite_stub,
    .pglTexCoord2i = epoxy_glTexCoord2i_rewrite_stub,
    .pglTexCoord2iv = epoxy_glTexCoord2iv_rewrite_stub,
    .pglTexCoord2s = epoxy_glTexCoord2s_rewrite_stub,
    .pglTexCoord2sv = epoxy_glTexCoord2sv_rewrite_stub,
    .pglTexCoord2xOES = epoxy_glTexCoord2xOES_rewrite_stub,
    .pglTexCoord2xvOES = epoxy_glTexCoord2xvOES_rewrite_stub,
    .pglTexCoord3bOES = epoxy_glTexCoord3bOES_rewrite_stub,
    .pglTexCoord3bvOES = epoxy_glTexCoord3bvOES_rewrite_stub,
    .pglTexCoord3d = epoxy_glTexCoord3d_rewrite_stub,
    .pglTexCoord3dv = epoxy_glTexCoord3dv_rewrite_stub,
    .pglTexCoord3f = epoxy_glTexCoord3f_rewrite_stub,
    .pglTexCoord3fv = epoxy_glTexCoord3fv_rewrite_stub,
    .pglTexCoord3hNV = epoxy_glTexCoord3hNV_rewrite_stub,
    .pglTexCoord3hvNV = epoxy_glTexCoord3hvNV_rewrite_stub,
    .pglTexCoord3i = epoxy_glTexCoord3i_rewrite_stub,
    .pglTexCoord3iv = epoxy_glTexCoord3iv_rewrite_stub,
    .pglTexCoord3s = epoxy_glTexCoord3s_rewrite_stub,
    .pglTexCoord3sv = epoxy_glTexCoord3sv_rewrite_stub,
    .pglTexCoord3xOES = epoxy_glTexCoord3xOES_rewrite_stub,
    .pglTexCoord3xvOES = epoxy_glTexCoord3xvOES_rewrite_stub,
    .pglTexCoord4bOES = epoxy_glTexCoord4bOES_rewrite_stub,
    .pglTexCoord4bvOES = epoxy_glTexCoord4bvOES_rewrite_stub,
    .pglTexCoord4d = epoxy_glTexCoord4d_rewrite_stub,
    .pglTexCoord4dv = epoxy_glTexCoord4dv_rewrite_stub,
    .pglTexCoord4f = epoxy_glTexCoord4f_rewrite_stub,
    .pglTexCoord4fColor4fNormal3fVertex4fSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_rewrite_stub,
    .pglTexCoord4fColor4fNormal3fVertex4fvSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_rewrite_stub,
    .pglTexCoord4fVertex4fSUN = epoxy_glTexCoord4fVertex4fSUN_rewrite_stub,
    .pglTexCoord4fVertex4fvSUN = epoxy_glTexCoord4fVertex4fvSUN_rewrite_stub,
    .pglTexCoord4fv = epoxy_glTexCoord4fv_rewrite_stub,
    .pglTexCoord4hNV = epoxy_glTexCoord4hNV_rewrite_stub,
    .pglTexCoord4hvNV = epoxy_glTexCoord4hvNV_rewrite_stub,
    .pglTexCoord4i = epoxy_glTexCoord4i_rewrite_stub,
    .pglTexCoord4iv = epoxy_glTexCoord4iv_rewrite_stub,
    .pglTexCoord4s = epoxy_glTexCoord4s_rewrite_stub,
    .pglTexCoord4sv = epoxy_glTexCoord4sv_rewrite_stub,
    .pglTexCoord4xOES = epoxy_glTexCoord4xOES_rewrite_stub,
    .pglTexCoord4xvOES = epoxy_glTexCoord4xvOES_rewrite_stub,
    .pglTexCoordFormatNV = epoxy_glTexCoordFormatNV_rewrite_stub,
    .pglTexCoordP1ui = epoxy_glTexCoordP1ui_rewrite_stub,
    .pglTexCoordP1uiv = epoxy_glTexCoordP1uiv_rewrite_stub,
    .pglTexCoordP2ui = epoxy_glTexCoordP2ui_rewrite_stub,
    .pglTexCoordP2uiv = epoxy_glTexCoordP2uiv_rewrite_stub,
    .pglTexCoordP3ui = epoxy_glTexCoordP3ui_rewrite_stub,
    .pglTexCoordP3uiv = epoxy_glTexCoordP3uiv_rewrite_stub,
    .pglTexCoordP4ui = epoxy_glTexCoordP4ui_rewrite_stub,
    .pglTexCoordP4uiv = epoxy_glTexCoordP4uiv_rewrite_stub,
    .pglTexCoordPointer = epoxy_glTexCoordPointer_rewrite_stub,
    .pglTexCoordPointerEXT = epoxy_glTexCoordPointerEXT_rewrite_stub,
    .pglTexCoordPointerListIBM = epoxy_glTexCoordPointerListIBM_rewrite_stub,
    .pglTexCoordPointervINTEL = epoxy_glTexCoordPointervINTEL_rewrite_stub,
    .pglTexEnvf = epoxy_glTexEnvf_rewrite_stub,
    .pglTexEnvfv = epoxy_glTexEnvfv_rewrite_stub,
    .pglTexEnvi = epoxy_glTexEnvi_rewrite_stub,
    .pglTexEnviv = epoxy_glTexEnviv_rewrite_stub,
    .pglTexEnvx = epoxy_glTexEnvx_rewrite_stub,
    .pglTexEnvxOES = epoxy_glTexEnvxOES_rewrite_stub,
    .pglTexEnvxv = epoxy_glTexEnvxv_rewrite_stub,
    .pglTexEnvxvOES = epoxy_glTexEnvxvOES_rewrite_stub,
    .pglTexFilterFuncSGIS = epoxy_glTexFilterFuncSGIS_rewrite_stub,
    .pglTexGend = epoxy_glTexGend_rewrite_stub,
    .pglTexGendv = epoxy_glTexGendv_rewrite_stub,
    .pglTexGenf = epoxy_glTexGenf_rewrite_stub,
    .pglTexGenfOES = epoxy_glTexGenfOES_rewrite_stub,
    .pglTexGenfv = epoxy_glTexGenfv_rewrite_stub,
    .pglTexGenfvOES = epoxy_glTexGenfvOES_rewrite_stub,
    .pglTexGeni = epoxy_glTexGeni_rewrite_stub,
    .pglTexGeniOES = epoxy_glTexGeniOES_rewrite_stub,
    .pglTexGeniv = epoxy_glTexGeniv_rewrite_stub,
    .pglTexGenivOES = epoxy_glTexGenivOES_rewrite_stub,
    .pglTexGenxOES = epoxy_glTexGenxOES_rewrite_stub,
    .pglTexGenxvOES = epoxy_glTexGenxvOES_rewrite_stub,
    .pglTexImage1D = epoxy_glTexImage1D_rewrite_stub,
    .pglTexImage2D = epoxy_glTexImage2D_rewrite_stub,
    .pglTexImage2DMultisample = epoxy_glTexImage2DMultisample_rewrite_stub,
    .pglTexImage2DMultisampleCoverageNV = epoxy_glTexImage2DMultisampleCoverageNV_rewrite_stub,
    .pglTexImage3D = epoxy_glTexImage3D_rewrite_stub,
    .pglTexImage3DMultisample = epoxy_glTexImage3DMultisample_rewrite_stub,
    .pglTexImage3DMultisampleCoverageNV = epoxy_glTexImage3DMultisampleCoverageNV_rewrite_stub,
    .pglTexImage4DSGIS = epoxy_glTexImage4DSGIS_rewrite_stub,
    .pglTexPageCommitmentARB = epoxy_glTexPageCommitmentARB_rewrite_stub,
    .pglTexParameterIiv = epoxy_glTexParameterIiv_rewrite_stub,
    .pglTexParameterIuiv = epoxy_glTexParameterIuiv_rewrite_stub,
    .pglTexParameterf = epoxy_glTexParameterf_rewrite_stub,
    .pglTexParameterfv = epoxy_glTexParameterfv_rewrite_stub,
    .pglTexParameteri = epoxy_glTexParameteri_rewrite_stub,
    .pglTexParameteriv = epoxy_glTexParameteriv_rewrite_stub,
    .pglTexParameterx = epoxy_glTexParameterx_rewrite_stub,
    .pglTexParameterxOES = epoxy_glTexParameterxOES_rewrite_stub,
    .pglTexParameterxv = epoxy_glTexParameterxv_rewrite_stub,
    .pglTexParameterxvOES = epoxy_glTexParameterxvOES_rewrite_stub,
    .pglTexRenderbufferNV = epoxy_glTexRenderbufferNV_rewrite_stub,
    .pglTexStorage1D = epoxy_glTexStorage1D_rewrite_stub,
    .pglTexStorage2D = epoxy_glTexStorage2D_rewrite_stub,
    .pglTexStorage2DMultisample = epoxy_glTexStorage2DMultisample_rewrite_stub,
    .pglTexStorage3D = epoxy_glTexStorage3D_rewrite_stub,
    .pglTexStorage3DMultisample = epoxy_glTexStorage3DMultisample_rewrite_stub,
    .pglTexStorageSparseAMD = epoxy_glTexStorageSparseAMD_rewrite_stub,
    .pglTexSubImage1D = epoxy_glTexSubImage1D_rewrite_stub,
    .pglTexSubImage2D = epoxy_glTexSubImage2D_rewrite_stub,
    .pglTexSubImage3D = epoxy_glTexSubImage3D_rewrite_stub,
    .pglTexSubImage4DSGIS = epoxy_glTexSubImage4DSGIS_rewrite_stub,
    .pglTextureBarrierNV = epoxy_glTextureBarrierNV_rewrite_stub,
    .pglTextureBufferEXT = epoxy_glTextureBufferEXT_rewrite_stub,
    .pglTextureBufferRangeEXT = epoxy_glTextureBufferRangeEXT_rewrite_stub,
    .pglTextureColorMaskSGIS = epoxy_glTextureColorMaskSGIS_rewrite_stub,
    .pglTextureImage1DEXT = epoxy_glTextureImage1DEXT_rewrite_stub,
    .pglTextureImage2DEXT = epoxy_glTextureImage2DEXT_rewrite_stub,
    .pglTextureImage2DMultisampleCoverageNV = epoxy_glTextureImage2DMultisampleCoverageNV_rewrite_stub,
    .pglTextureImage2DMultisampleNV = epoxy_glTextureImage2DMultisampleNV_rewrite_stub,
    .pglTextureImage3DEXT = epoxy_glTextureImage3DEXT_rewrite_stub,
    .pglTextureImage3DMultisampleCoverageNV = epoxy_glTextureImage3DMultisampleCoverageNV_rewrite_stub,
    .pglTextureImage3DMultisampleNV = epoxy_glTextureImage3DMultisampleNV_rewrite_stub,
    .pglTextureLightEXT = epoxy_glTextureLightEXT_rewrite_stub,
    .pglTextureMaterialEXT = epoxy_glTextureMaterialEXT_rewrite_stub,
    .pglTextureNormalEXT = epoxy_glTextureNormalEXT_rewrite_stub,
    .pglTexturePageCommitmentEXT = epoxy_glTexturePageCommitmentEXT_rewrite_stub,
    .pglTextureParameterIivEXT = epoxy_glTextureParameterIivEXT_rewrite_stub,
    .pglTextureParameterIuivEXT = epoxy_glTextureParameterIuivEXT_rewrite_stub,
    .pglTextureParameterfEXT = epoxy_glTextureParameterfEXT_rewrite_stub,
    .pglTextureParameterfvEXT = epoxy_glTextureParameterfvEXT_rewrite_stub,
    .pglTextureParameteriEXT = epoxy_glTextureParameteriEXT_rewrite_stub,
    .pglTextureParameterivEXT = epoxy_glTextureParameterivEXT_rewrite_stub,
    .pglTextureRangeAPPLE = epoxy_glTextureRangeAPPLE_rewrite_stub,
    .pglTextureRenderbufferEXT = epoxy_glTextureRenderbufferEXT_rewrite_stub,
    .pglTextureStorage1DEXT = epoxy_glTextureStorage1DEXT_rewrite_stub,
    .pglTextureStorage2DEXT = epoxy_glTextureStorage2DEXT_rewrite_stub,
    .pglTextureStorage2DMultisampleEXT = epoxy_glTextureStorage2DMultisampleEXT_rewrite_stub,
    .pglTextureStorage3DEXT = epoxy_glTextureStorage3DEXT_rewrite_stub,
    .pglTextureStorage3DMultisampleEXT = epoxy_glTextureStorage3DMultisampleEXT_rewrite_stub,
    .pglTextureStorageSparseAMD = epoxy_glTextureStorageSparseAMD_rewrite_stub,
    .pglTextureSubImage1DEXT = epoxy_glTextureSubImage1DEXT_rewrite_stub,
    .pglTextureSubImage2DEXT = epoxy_glTextureSubImage2DEXT_rewrite_stub,
    .pglTextureSubImage3DEXT = epoxy_glTextureSubImage3DEXT_rewrite_stub,
    .pglTextureView = epoxy_glTextureView_rewrite_stub,
    .pglTrackMatrixNV = epoxy_glTrackMatrixNV_rewrite_stub,
    .pglTransformFeedbackAttribsNV = epoxy_glTransformFeedbackAttribsNV_rewrite_stub,
    .pglTransformFeedbackStreamAttribsNV = epoxy_glTransformFeedbackStreamAttribsNV_rewrite_stub,
    .pglTransformFeedbackVaryings = epoxy_glTransformFeedbackVaryings_rewrite_stub,
    .pglTransformFeedbackVaryingsNV = epoxy_glTransformFeedbackVaryingsNV_rewrite_stub,
    .pglTransformPathNV = epoxy_glTransformPathNV_rewrite_stub,
    .pglTranslated = epoxy_glTranslated_rewrite_stub,
    .pglTranslatef = epoxy_glTranslatef_rewrite_stub,
    .pglTranslatex = epoxy_glTranslatex_rewrite_stub,
    .pglTranslatexOES = epoxy_glTranslatexOES_rewrite_stub,
    .pglUniform1d = epoxy_glUniform1d_rewrite_stub,
    .pglUniform1dv = epoxy_glUniform1dv_rewrite_stub,
    .pglUniform1f = epoxy_glUniform1f_rewrite_stub,
    .pglUniform1fv = epoxy_glUniform1fv_rewrite_stub,
    .pglUniform1i = epoxy_glUniform1i_rewrite_stub,
    .pglUniform1i64NV = epoxy_glUniform1i64NV_rewrite_stub,
    .pglUniform1i64vNV = epoxy_glUniform1i64vNV_rewrite_stub,
    .pglUniform1iv = epoxy_glUniform1iv_rewrite_stub,
    .pglUniform1ui = epoxy_glUniform1ui_rewrite_stub,
    .pglUniform1ui64NV = epoxy_glUniform1ui64NV_rewrite_stub,
    .pglUniform1ui64vNV = epoxy_glUniform1ui64vNV_rewrite_stub,
    .pglUniform1uiv = epoxy_glUniform1uiv_rewrite_stub,
    .pglUniform2d = epoxy_glUniform2d_rewrite_stub,
    .pglUniform2dv = epoxy_glUniform2dv_rewrite_stub,
    .pglUniform2f = epoxy_glUniform2f_rewrite_stub,
    .pglUniform2fv = epoxy_glUniform2fv_rewrite_stub,
    .pglUniform2i = epoxy_glUniform2i_rewrite_stub,
    .pglUniform2i64NV = epoxy_glUniform2i64NV_rewrite_stub,
    .pglUniform2i64vNV = epoxy_glUniform2i64vNV_rewrite_stub,
    .pglUniform2iv = epoxy_glUniform2iv_rewrite_stub,
    .pglUniform2ui = epoxy_glUniform2ui_rewrite_stub,
    .pglUniform2ui64NV = epoxy_glUniform2ui64NV_rewrite_stub,
    .pglUniform2ui64vNV = epoxy_glUniform2ui64vNV_rewrite_stub,
    .pglUniform2uiv = epoxy_glUniform2uiv_rewrite_stub,
    .pglUniform3d = epoxy_glUniform3d_rewrite_stub,
    .pglUniform3dv = epoxy_glUniform3dv_rewrite_stub,
    .pglUniform3f = epoxy_glUniform3f_rewrite_stub,
    .pglUniform3fv = epoxy_glUniform3fv_rewrite_stub,
    .pglUniform3i = epoxy_glUniform3i_rewrite_stub,
    .pglUniform3i64NV = epoxy_glUniform3i64NV_rewrite_stub,
    .pglUniform3i64vNV = epoxy_glUniform3i64vNV_rewrite_stub,
    .pglUniform3iv = epoxy_glUniform3iv_rewrite_stub,
    .pglUniform3ui = epoxy_glUniform3ui_rewrite_stub,
    .pglUniform3ui64NV = epoxy_glUniform3ui64NV_rewrite_stub,
    .pglUniform3ui64vNV = epoxy_glUniform3ui64vNV_rewrite_stub,
    .pglUniform3uiv = epoxy_glUniform3uiv_rewrite_stub,
    .pglUniform4d = epoxy_glUniform4d_rewrite_stub,
    .pglUniform4dv = epoxy_glUniform4dv_rewrite_stub,
    .pglUniform4f = epoxy_glUniform4f_rewrite_stub,
    .pglUniform4fv = epoxy_glUniform4fv_rewrite_stub,
    .pglUniform4i = epoxy_glUniform4i_rewrite_stub,
    .pglUniform4i64NV = epoxy_glUniform4i64NV_rewrite_stub,
    .pglUniform4i64vNV = epoxy_glUniform4i64vNV_rewrite_stub,
    .pglUniform4iv = epoxy_glUniform4iv_rewrite_stub,
    .pglUniform4ui = epoxy_glUniform4ui_rewrite_stub,
    .pglUniform4ui64NV = epoxy_glUniform4ui64NV_rewrite_stub,
    .pglUniform4ui64vNV = epoxy_glUniform4ui64vNV_rewrite_stub,
    .pglUniform4uiv = epoxy_glUniform4uiv_rewrite_stub,
    .pglUniformBlockBinding = epoxy_glUniformBlockBinding_rewrite_stub,
    .pglUniformBufferEXT = epoxy_glUniformBufferEXT_rewrite_stub,
    .pglUniformHandleui64ARB = epoxy_glUniformHandleui64ARB_rewrite_stub,
    .pglUniformHandleui64NV = epoxy_glUniformHandleui64NV_rewrite_stub,
    .pglUniformHandleui64vARB = epoxy_glUniformHandleui64vARB_rewrite_stub,
    .pglUniformHandleui64vNV = epoxy_glUniformHandleui64vNV_rewrite_stub,
    .pglUniformMatrix2dv = epoxy_glUniformMatrix2dv_rewrite_stub,
    .pglUniformMatrix2fv = epoxy_glUniformMatrix2fv_rewrite_stub,
    .pglUniformMatrix2x3dv = epoxy_glUniformMatrix2x3dv_rewrite_stub,
    .pglUniformMatrix2x3fv = epoxy_glUniformMatrix2x3fv_rewrite_stub,
    .pglUniformMatrix2x4dv = epoxy_glUniformMatrix2x4dv_rewrite_stub,
    .pglUniformMatrix2x4fv = epoxy_glUniformMatrix2x4fv_rewrite_stub,
    .pglUniformMatrix3dv = epoxy_glUniformMatrix3dv_rewrite_stub,
    .pglUniformMatrix3fv = epoxy_glUniformMatrix3fv_rewrite_stub,
    .pglUniformMatrix3x2dv = epoxy_glUniformMatrix3x2dv_rewrite_stub,
    .pglUniformMatrix3x2fv = epoxy_glUniformMatrix3x2fv_rewrite_stub,
    .pglUniformMatrix3x4dv = epoxy_glUniformMatrix3x4dv_rewrite_stub,
    .pglUniformMatrix3x4fv = epoxy_glUniformMatrix3x4fv_rewrite_stub,
    .pglUniformMatrix4dv = epoxy_glUniformMatrix4dv_rewrite_stub,
    .pglUniformMatrix4fv = epoxy_glUniformMatrix4fv_rewrite_stub,
    .pglUniformMatrix4x2dv = epoxy_glUniformMatrix4x2dv_rewrite_stub,
    .pglUniformMatrix4x2fv = epoxy_glUniformMatrix4x2fv_rewrite_stub,
    .pglUniformMatrix4x3dv = epoxy_glUniformMatrix4x3dv_rewrite_stub,
    .pglUniformMatrix4x3fv = epoxy_glUniformMatrix4x3fv_rewrite_stub,
    .pglUniformSubroutinesuiv = epoxy_glUniformSubroutinesuiv_rewrite_stub,
    .pglUniformui64NV = epoxy_glUniformui64NV_rewrite_stub,
    .pglUniformui64vNV = epoxy_glUniformui64vNV_rewrite_stub,
    .pglUnlockArraysEXT = epoxy_glUnlockArraysEXT_rewrite_stub,
    .pglUnmapBuffer = epoxy_glUnmapBuffer_rewrite_stub,
    .pglUnmapNamedBufferEXT = epoxy_glUnmapNamedBufferEXT_rewrite_stub,
    .pglUnmapObjectBufferATI = epoxy_glUnmapObjectBufferATI_rewrite_stub,
    .pglUnmapTexture2DINTEL = epoxy_glUnmapTexture2DINTEL_rewrite_stub,
    .pglUpdateObjectBufferATI = epoxy_glUpdateObjectBufferATI_rewrite_stub,
    .pglUseProgram = epoxy_glUseProgram_rewrite_stub,
    .pglUseProgramStages = epoxy_glUseProgramStages_rewrite_stub,
    .pglUseProgramStagesEXT = epoxy_glUseProgramStagesEXT_rewrite_stub,
    .pglUseShaderProgramEXT = epoxy_glUseShaderProgramEXT_rewrite_stub,
    .pglVDPAUFiniNV = epoxy_glVDPAUFiniNV_rewrite_stub,
    .pglVDPAUGetSurfaceivNV = epoxy_glVDPAUGetSurfaceivNV_rewrite_stub,
    .pglVDPAUInitNV = epoxy_glVDPAUInitNV_rewrite_stub,
    .pglVDPAUIsSurfaceNV = epoxy_glVDPAUIsSurfaceNV_rewrite_stub,
    .pglVDPAUMapSurfacesNV = epoxy_glVDPAUMapSurfacesNV_rewrite_stub,
    .pglVDPAURegisterOutputSurfaceNV = epoxy_glVDPAURegisterOutputSurfaceNV_rewrite_stub,
    .pglVDPAURegisterVideoSurfaceNV = epoxy_glVDPAURegisterVideoSurfaceNV_rewrite_stub,
    .pglVDPAUSurfaceAccessNV = epoxy_glVDPAUSurfaceAccessNV_rewrite_stub,
    .pglVDPAUUnmapSurfacesNV = epoxy_glVDPAUUnmapSurfacesNV_rewrite_stub,
    .pglVDPAUUnregisterSurfaceNV = epoxy_glVDPAUUnregisterSurfaceNV_rewrite_stub,
    .pglValidateProgram = epoxy_glValidateProgram_rewrite_stub,
    .pglValidateProgramPipeline = epoxy_glValidateProgramPipeline_rewrite_stub,
    .pglValidateProgramPipelineEXT = epoxy_glValidateProgramPipelineEXT_rewrite_stub,
    .pglVariantArrayObjectATI = epoxy_glVariantArrayObjectATI_rewrite_stub,
    .pglVariantPointerEXT = epoxy_glVariantPointerEXT_rewrite_stub,
    .pglVariantbvEXT = epoxy_glVariantbvEXT_rewrite_stub,
    .pglVariantdvEXT = epoxy_glVariantdvEXT_rewrite_stub,
    .pglVariantfvEXT = epoxy_glVariantfvEXT_rewrite_stub,
    .pglVariantivEXT = epoxy_glVariantivEXT_rewrite_stub,
    .pglVariantsvEXT = epoxy_glVariantsvEXT_rewrite_stub,
    .pglVariantubvEXT = epoxy_glVariantubvEXT_rewrite_stub,
    .pglVariantuivEXT = epoxy_glVariantuivEXT_rewrite_stub,
    .pglVariantusvEXT = epoxy_glVariantusvEXT_rewrite_stub,
    .pglVertex2bOES = epoxy_glVertex2bOES_rewrite_stub,
    .pglVertex2bvOES = epoxy_glVertex2bvOES_rewrite_stub,
    .pglVertex2d = epoxy_glVertex2d_rewrite_stub,
    .pglVertex2dv = epoxy_glVertex2dv_rewrite_stub,
    .pglVertex2f = epoxy_glVertex2f_rewrite_stub,
    .pglVertex2fv = epoxy_glVertex2fv_rewrite_stub,
    .pglVertex2hNV = epoxy_glVertex2hNV_rewrite_stub,
    .pglVertex2hvNV = epoxy_glVertex2hvNV_rewrite_stub,
    .pglVertex2i = epoxy_glVertex2i_rewrite_stub,
    .pglVertex2iv = epoxy_glVertex2iv_rewrite_stub,
    .pglVertex2s = epoxy_glVertex2s_rewrite_stub,
    .pglVertex2sv = epoxy_glVertex2sv_rewrite_stub,
    .pglVertex2xOES = epoxy_glVertex2xOES_rewrite_stub,
    .pglVertex2xvOES = epoxy_glVertex2xvOES_rewrite_stub,
    .pglVertex3bOES = epoxy_glVertex3bOES_rewrite_stub,
    .pglVertex3bvOES = epoxy_glVertex3bvOES_rewrite_stub,
    .pglVertex3d = epoxy_glVertex3d_rewrite_stub,
    .pglVertex3dv = epoxy_glVertex3dv_rewrite_stub,
    .pglVertex3f = epoxy_glVertex3f_rewrite_stub,
    .pglVertex3fv = epoxy_glVertex3fv_rewrite_stub,
    .pglVertex3hNV = epoxy_glVertex3hNV_rewrite_stub,
    .pglVertex3hvNV = epoxy_glVertex3hvNV_rewrite_stub,
    .pglVertex3i = epoxy_glVertex3i_rewrite_stub,
    .pglVertex3iv = epoxy_glVertex3iv_rewrite_stub,
    .pglVertex3s = epoxy_glVertex3s_rewrite_stub,
    .pglVertex3sv = epoxy_glVertex3sv_rewrite_stub,
    .pglVertex3xOES = epoxy_glVertex3xOES_rewrite_stub,
    .pglVertex3xvOES = epoxy_glVertex3xvOES_rewrite_stub,
    .pglVertex4bOES = epoxy_glVertex4bOES_rewrite_stub,
    .pglVertex4bvOES = epoxy_glVertex4bvOES_rewrite_stub,
    .pglVertex4d = epoxy_glVertex4d_rewrite_stub,
    .pglVertex4dv = epoxy_glVertex4dv_rewrite_stub,
    .pglVertex4f = epoxy_glVertex4f_rewrite_stub,
    .pglVertex4fv = epoxy_glVertex4fv_rewrite_stub,
    .pglVertex4hNV = epoxy_glVertex4hNV_rewrite_stub,
    .pglVertex4hvNV = epoxy_glVertex4hvNV_rewrite_stub,
    .pglVertex4i = epoxy_glVertex4i_rewrite_stub,
    .pglVertex4iv = epoxy_glVertex4iv_rewrite_stub,
    .pglVertex4s = epoxy_glVertex4s_rewrite_stub,
    .pglVertex4sv = epoxy_glVertex4sv_rewrite_stub,
    .pglVertex4xOES = epoxy_glVertex4xOES_rewrite_stub,
    .pglVertex4xvOES = epoxy_glVertex4xvOES_rewrite_stub,
    .pglVertexArrayBindVertexBufferEXT = epoxy_glVertexArrayBindVertexBufferEXT_rewrite_stub,
    .pglVertexArrayColorOffsetEXT = epoxy_glVertexArrayColorOffsetEXT_rewrite_stub,
    .pglVertexArrayEdgeFlagOffsetEXT = epoxy_glVertexArrayEdgeFlagOffsetEXT_rewrite_stub,
    .pglVertexArrayFogCoordOffsetEXT = epoxy_glVertexArrayFogCoordOffsetEXT_rewrite_stub,
    .pglVertexArrayIndexOffsetEXT = epoxy_glVertexArrayIndexOffsetEXT_rewrite_stub,
    .pglVertexArrayMultiTexCoordOffsetEXT = epoxy_glVertexArrayMultiTexCoordOffsetEXT_rewrite_stub,
    .pglVertexArrayNormalOffsetEXT = epoxy_glVertexArrayNormalOffsetEXT_rewrite_stub,
    .pglVertexArrayParameteriAPPLE = epoxy_glVertexArrayParameteriAPPLE_rewrite_stub,
    .pglVertexArrayRangeAPPLE = epoxy_glVertexArrayRangeAPPLE_rewrite_stub,
    .pglVertexArrayRangeNV = epoxy_glVertexArrayRangeNV_rewrite_stub,
    .pglVertexArraySecondaryColorOffsetEXT = epoxy_glVertexArraySecondaryColorOffsetEXT_rewrite_stub,
    .pglVertexArrayTexCoordOffsetEXT = epoxy_glVertexArrayTexCoordOffsetEXT_rewrite_stub,
    .pglVertexArrayVertexAttribBindingEXT = epoxy_glVertexArrayVertexAttribBindingEXT_rewrite_stub,
    .pglVertexArrayVertexAttribDivisorEXT = epoxy_glVertexArrayVertexAttribDivisorEXT_rewrite_stub,
    .pglVertexArrayVertexAttribFormatEXT = epoxy_glVertexArrayVertexAttribFormatEXT_rewrite_stub,
    .pglVertexArrayVertexAttribIFormatEXT = epoxy_glVertexArrayVertexAttribIFormatEXT_rewrite_stub,
    .pglVertexArrayVertexAttribIOffsetEXT = epoxy_glVertexArrayVertexAttribIOffsetEXT_rewrite_stub,
    .pglVertexArrayVertexAttribLFormatEXT = epoxy_glVertexArrayVertexAttribLFormatEXT_rewrite_stub,
    .pglVertexArrayVertexAttribLOffsetEXT = epoxy_glVertexArrayVertexAttribLOffsetEXT_rewrite_stub,
    .pglVertexArrayVertexAttribOffsetEXT = epoxy_glVertexArrayVertexAttribOffsetEXT_rewrite_stub,
    .pglVertexArrayVertexBindingDivisorEXT = epoxy_glVertexArrayVertexBindingDivisorEXT_rewrite_stub,
    .pglVertexArrayVertexOffsetEXT = epoxy_glVertexArrayVertexOffsetEXT_rewrite_stub,
    .pglVertexAttrib1d = epoxy_glVertexAttrib1d_rewrite_stub,
    .pglVertexAttrib1dv = epoxy_glVertexAttrib1dv_rewrite_stub,
    .pglVertexAttrib1f = epoxy_glVertexAttrib1f_rewrite_stub,
    .pglVertexAttrib1fv = epoxy_glVertexAttrib1fv_rewrite_stub,
    .pglVertexAttrib1hNV = epoxy_glVertexAttrib1hNV_rewrite_stub,
    .pglVertexAttrib1hvNV = epoxy_glVertexAttrib1hvNV_rewrite_stub,
    .pglVertexAttrib1s = epoxy_glVertexAttrib1s_rewrite_stub,
    .pglVertexAttrib1sv = epoxy_glVertexAttrib1sv_rewrite_stub,
    .pglVertexAttrib2d = epoxy_glVertexAttrib2d_rewrite_stub,
    .pglVertexAttrib2dv = epoxy_glVertexAttrib2dv_rewrite_stub,
    .pglVertexAttrib2f = epoxy_glVertexAttrib2f_rewrite_stub,
    .pglVertexAttrib2fv = epoxy_glVertexAttrib2fv_rewrite_stub,
    .pglVertexAttrib2hNV = epoxy_glVertexAttrib2hNV_rewrite_stub,
    .pglVertexAttrib2hvNV = epoxy_glVertexAttrib2hvNV_rewrite_stub,
    .pglVertexAttrib2s = epoxy_glVertexAttrib2s_rewrite_stub,
    .pglVertexAttrib2sv = epoxy_glVertexAttrib2sv_rewrite_stub,
    .pglVertexAttrib3d = epoxy_glVertexAttrib3d_rewrite_stub,
    .pglVertexAttrib3dv = epoxy_glVertexAttrib3dv_rewrite_stub,
    .pglVertexAttrib3f = epoxy_glVertexAttrib3f_rewrite_stub,
    .pglVertexAttrib3fv = epoxy_glVertexAttrib3fv_rewrite_stub,
    .pglVertexAttrib3hNV = epoxy_glVertexAttrib3hNV_rewrite_stub,
    .pglVertexAttrib3hvNV = epoxy_glVertexAttrib3hvNV_rewrite_stub,
    .pglVertexAttrib3s = epoxy_glVertexAttrib3s_rewrite_stub,
    .pglVertexAttrib3sv = epoxy_glVertexAttrib3sv_rewrite_stub,
    .pglVertexAttrib4Nbv = epoxy_glVertexAttrib4Nbv_rewrite_stub,
    .pglVertexAttrib4Niv = epoxy_glVertexAttrib4Niv_rewrite_stub,
    .pglVertexAttrib4Nsv = epoxy_glVertexAttrib4Nsv_rewrite_stub,
    .pglVertexAttrib4Nub = epoxy_glVertexAttrib4Nub_rewrite_stub,
    .pglVertexAttrib4Nubv = epoxy_glVertexAttrib4Nubv_rewrite_stub,
    .pglVertexAttrib4Nuiv = epoxy_glVertexAttrib4Nuiv_rewrite_stub,
    .pglVertexAttrib4Nusv = epoxy_glVertexAttrib4Nusv_rewrite_stub,
    .pglVertexAttrib4bv = epoxy_glVertexAttrib4bv_rewrite_stub,
    .pglVertexAttrib4d = epoxy_glVertexAttrib4d_rewrite_stub,
    .pglVertexAttrib4dv = epoxy_glVertexAttrib4dv_rewrite_stub,
    .pglVertexAttrib4f = epoxy_glVertexAttrib4f_rewrite_stub,
    .pglVertexAttrib4fv = epoxy_glVertexAttrib4fv_rewrite_stub,
    .pglVertexAttrib4hNV = epoxy_glVertexAttrib4hNV_rewrite_stub,
    .pglVertexAttrib4hvNV = epoxy_glVertexAttrib4hvNV_rewrite_stub,
    .pglVertexAttrib4iv = epoxy_glVertexAttrib4iv_rewrite_stub,
    .pglVertexAttrib4s = epoxy_glVertexAttrib4s_rewrite_stub,
    .pglVertexAttrib4sv = epoxy_glVertexAttrib4sv_rewrite_stub,
    .pglVertexAttrib4ubv = epoxy_glVertexAttrib4ubv_rewrite_stub,
    .pglVertexAttrib4uiv = epoxy_glVertexAttrib4uiv_rewrite_stub,
    .pglVertexAttrib4usv = epoxy_glVertexAttrib4usv_rewrite_stub,
    .pglVertexAttribArrayObjectATI = epoxy_glVertexAttribArrayObjectATI_rewrite_stub,
    .pglVertexAttribBinding = epoxy_glVertexAttribBinding_rewrite_stub,
    .pglVertexAttribDivisor = epoxy_glVertexAttribDivisor_rewrite_stub,
    .pglVertexAttribFormat = epoxy_glVertexAttribFormat_rewrite_stub,
    .pglVertexAttribFormatNV = epoxy_glVertexAttribFormatNV_rewrite_stub,
    .pglVertexAttribI1i = epoxy_glVertexAttribI1i_rewrite_stub,
    .pglVertexAttribI1iv = epoxy_glVertexAttribI1iv_rewrite_stub,
    .pglVertexAttribI1ui = epoxy_glVertexAttribI1ui_rewrite_stub,
    .pglVertexAttribI1uiv = epoxy_glVertexAttribI1uiv_rewrite_stub,
    .pglVertexAttribI2i = epoxy_glVertexAttribI2i_rewrite_stub,
    .pglVertexAttribI2iv = epoxy_glVertexAttribI2iv_rewrite_stub,
    .pglVertexAttribI2ui = epoxy_glVertexAttribI2ui_rewrite_stub,
    .pglVertexAttribI2uiv = epoxy_glVertexAttribI2uiv_rewrite_stub,
    .pglVertexAttribI3i = epoxy_glVertexAttribI3i_rewrite_stub,
    .pglVertexAttribI3iv = epoxy_glVertexAttribI3iv_rewrite_stub,
    .pglVertexAttribI3ui = epoxy_glVertexAttribI3ui_rewrite_stub,
    .pglVertexAttribI3uiv = epoxy_glVertexAttribI3uiv_rewrite_stub,
    .pglVertexAttribI4bv = epoxy_glVertexAttribI4bv_rewrite_stub,
    .pglVertexAttribI4i = epoxy_glVertexAttribI4i_rewrite_stub,
    .pglVertexAttribI4iv = epoxy_glVertexAttribI4iv_rewrite_stub,
    .pglVertexAttribI4sv = epoxy_glVertexAttribI4sv_rewrite_stub,
    .pglVertexAttribI4ubv = epoxy_glVertexAttribI4ubv_rewrite_stub,
    .pglVertexAttribI4ui = epoxy_glVertexAttribI4ui_rewrite_stub,
    .pglVertexAttribI4uiv = epoxy_glVertexAttribI4uiv_rewrite_stub,
    .pglVertexAttribI4usv = epoxy_glVertexAttribI4usv_rewrite_stub,
    .pglVertexAttribIFormat = epoxy_glVertexAttribIFormat_rewrite_stub,
    .pglVertexAttribIFormatNV = epoxy_glVertexAttribIFormatNV_rewrite_stub,
    .pglVertexAttribIPointer = epoxy_glVertexAttribIPointer_rewrite_stub,
    .pglVertexAttribL1d = epoxy_glVertexAttribL1d_rewrite_stub,
    .pglVertexAttribL1dv = epoxy_glVertexAttribL1dv_rewrite_stub,
    .pglVertexAttribL1i64NV = epoxy_glVertexAttribL1i64NV_rewrite_stub,
    .pglVertexAttribL1i64vNV = epoxy_glVertexAttribL1i64vNV_rewrite_stub,
    .pglVertexAttribL1ui64ARB = epoxy_glVertexAttribL1ui64ARB_rewrite_stub,
    .pglVertexAttribL1ui64NV = epoxy_glVertexAttribL1ui64NV_rewrite_stub,
    .pglVertexAttribL1ui64vARB = epoxy_glVertexAttribL1ui64vARB_rewrite_stub,
    .pglVertexAttribL1ui64vNV = epoxy_glVertexAttribL1ui64vNV_rewrite_stub,
    .pglVertexAttribL2d = epoxy_glVertexAttribL2d_rewrite_stub,
    .pglVertexAttribL2dv = epoxy_glVertexAttribL2dv_rewrite_stub,
    .pglVertexAttribL2i64NV = epoxy_glVertexAttribL2i64NV_rewrite_stub,
    .pglVertexAttribL2i64vNV = epoxy_glVertexAttribL2i64vNV_rewrite_stub,
    .pglVertexAttribL2ui64NV = epoxy_glVertexAttribL2ui64NV_rewrite_stub,
    .pglVertexAttribL2ui64vNV = epoxy_glVertexAttribL2ui64vNV_rewrite_stub,
    .pglVertexAttribL3d = epoxy_glVertexAttribL3d_rewrite_stub,
    .pglVertexAttribL3dv = epoxy_glVertexAttribL3dv_rewrite_stub,
    .pglVertexAttribL3i64NV = epoxy_glVertexAttribL3i64NV_rewrite_stub,
    .pglVertexAttribL3i64vNV = epoxy_glVertexAttribL3i64vNV_rewrite_stub,
    .pglVertexAttribL3ui64NV = epoxy_glVertexAttribL3ui64NV_rewrite_stub,
    .pglVertexAttribL3ui64vNV = epoxy_glVertexAttribL3ui64vNV_rewrite_stub,
    .pglVertexAttribL4d = epoxy_glVertexAttribL4d_rewrite_stub,
    .pglVertexAttribL4dv = epoxy_glVertexAttribL4dv_rewrite_stub,
    .pglVertexAttribL4i64NV = epoxy_glVertexAttribL4i64NV_rewrite_stub,
    .pglVertexAttribL4i64vNV = epoxy_glVertexAttribL4i64vNV_rewrite_stub,
    .pglVertexAttribL4ui64NV = epoxy_glVertexAttribL4ui64NV_rewrite_stub,
    .pglVertexAttribL4ui64vNV = epoxy_glVertexAttribL4ui64vNV_rewrite_stub,
    .pglVertexAttribLFormat = epoxy_glVertexAttribLFormat_rewrite_stub,
    .pglVertexAttribLFormatNV = epoxy_glVertexAttribLFormatNV_rewrite_stub,
    .pglVertexAttribLPointer = epoxy_glVertexAttribLPointer_rewrite_stub,
    .pglVertexAttribP1ui = epoxy_glVertexAttribP1ui_rewrite_stub,
    .pglVertexAttribP1uiv = epoxy_glVertexAttribP1uiv_rewrite_stub,
    .pglVertexAttribP2ui = epoxy_glVertexAttribP2ui_rewrite_stub,
    .pglVertexAttribP2uiv = epoxy_glVertexAttribP2uiv_rewrite_stub,
    .pglVertexAttribP3ui = epoxy_glVertexAttribP3ui_rewrite_stub,
    .pglVertexAttribP3uiv = epoxy_glVertexAttribP3uiv_rewrite_stub,
    .pglVertexAttribP4ui = epoxy_glVertexAttribP4ui_rewrite_stub,
    .pglVertexAttribP4uiv = epoxy_glVertexAttribP4uiv_rewrite_stub,
    .pglVertexAttribParameteriAMD = epoxy_glVertexAttribParameteriAMD_rewrite_stub,
    .pglVertexAttribPointer = epoxy_glVertexAttribPointer_rewrite_stub,
    .pglVertexAttribPointerNV = epoxy_glVertexAttribPointerNV_rewrite_stub,
    .pglVertexAttribs1dvNV = epoxy_glVertexAttribs1dvNV_rewrite_stub,
    .pglVertexAttribs1fvNV = epoxy_glVertexAttribs1fvNV_rewrite_stub,
    .pglVertexAttribs1hvNV = epoxy_glVertexAttribs1hvNV_rewrite_stub,
    .pglVertexAttribs1svNV = epoxy_glVertexAttribs1svNV_rewrite_stub,
    .pglVertexAttribs2dvNV = epoxy_glVertexAttribs2dvNV_rewrite_stub,
    .pglVertexAttribs2fvNV = epoxy_glVertexAttribs2fvNV_rewrite_stub,
    .pglVertexAttribs2hvNV = epoxy_glVertexAttribs2hvNV_rewrite_stub,
    .pglVertexAttribs2svNV = epoxy_glVertexAttribs2svNV_rewrite_stub,
    .pglVertexAttribs3dvNV = epoxy_glVertexAttribs3dvNV_rewrite_stub,
    .pglVertexAttribs3fvNV = epoxy_glVertexAttribs3fvNV_rewrite_stub,
    .pglVertexAttribs3hvNV = epoxy_glVertexAttribs3hvNV_rewrite_stub,
    .pglVertexAttribs3svNV = epoxy_glVertexAttribs3svNV_rewrite_stub,
    .pglVertexAttribs4dvNV = epoxy_glVertexAttribs4dvNV_rewrite_stub,
    .pglVertexAttribs4fvNV = epoxy_glVertexAttribs4fvNV_rewrite_stub,
    .pglVertexAttribs4hvNV = epoxy_glVertexAttribs4hvNV_rewrite_stub,
    .pglVertexAttribs4svNV = epoxy_glVertexAttribs4svNV_rewrite_stub,
    .pglVertexAttribs4ubvNV = epoxy_glVertexAttribs4ubvNV_rewrite_stub,
    .pglVertexBindingDivisor = epoxy_glVertexBindingDivisor_rewrite_stub,
    .pglVertexBlendARB = epoxy_glVertexBlendARB_rewrite_stub,
    .pglVertexBlendEnvfATI = epoxy_glVertexBlendEnvfATI_rewrite_stub,
    .pglVertexBlendEnviATI = epoxy_glVertexBlendEnviATI_rewrite_stub,
    .pglVertexFormatNV = epoxy_glVertexFormatNV_rewrite_stub,
    .pglVertexP2ui = epoxy_glVertexP2ui_rewrite_stub,
    .pglVertexP2uiv = epoxy_glVertexP2uiv_rewrite_stub,
    .pglVertexP3ui = epoxy_glVertexP3ui_rewrite_stub,
    .pglVertexP3uiv = epoxy_glVertexP3uiv_rewrite_stub,
    .pglVertexP4ui = epoxy_glVertexP4ui_rewrite_stub,
    .pglVertexP4uiv = epoxy_glVertexP4uiv_rewrite_stub,
    .pglVertexPointer = epoxy_glVertexPointer_rewrite_stub,
    .pglVertexPointerEXT = epoxy_glVertexPointerEXT_rewrite_stub,
    .pglVertexPointerListIBM = epoxy_glVertexPointerListIBM_rewrite_stub,
    .pglVertexPointervINTEL = epoxy_glVertexPointervINTEL_rewrite_stub,
    .pglVertexStream1dATI = epoxy_glVertexStream1dATI_rewrite_stub,
    .pglVertexStream1dvATI = epoxy_glVertexStream1dvATI_rewrite_stub,
    .pglVertexStream1fATI = epoxy_glVertexStream1fATI_rewrite_stub,
    .pglVertexStream1fvATI = epoxy_glVertexStream1fvATI_rewrite_stub,
    .pglVertexStream1iATI = epoxy_glVertexStream1iATI_rewrite_stub,
    .pglVertexStream1ivATI = epoxy_glVertexStream1ivATI_rewrite_stub,
    .pglVertexStream1sATI = epoxy_glVertexStream1sATI_rewrite_stub,
    .pglVertexStream1svATI = epoxy_glVertexStream1svATI_rewrite_stub,
    .pglVertexStream2dATI = epoxy_glVertexStream2dATI_rewrite_stub,
    .pglVertexStream2dvATI = epoxy_glVertexStream2dvATI_rewrite_stub,
    .pglVertexStream2fATI = epoxy_glVertexStream2fATI_rewrite_stub,
    .pglVertexStream2fvATI = epoxy_glVertexStream2fvATI_rewrite_stub,
    .pglVertexStream2iATI = epoxy_glVertexStream2iATI_rewrite_stub,
    .pglVertexStream2ivATI = epoxy_glVertexStream2ivATI_rewrite_stub,
    .pglVertexStream2sATI = epoxy_glVertexStream2sATI_rewrite_stub,
    .pglVertexStream2svATI = epoxy_glVertexStream2svATI_rewrite_stub,
    .pglVertexStream3dATI = epoxy_glVertexStream3dATI_rewrite_stub,
    .pglVertexStream3dvATI = epoxy_glVertexStream3dvATI_rewrite_stub,
    .pglVertexStream3fATI = epoxy_glVertexStream3fATI_rewrite_stub,
    .pglVertexStream3fvATI = epoxy_glVertexStream3fvATI_rewrite_stub,
    .pglVertexStream3iATI = epoxy_glVertexStream3iATI_rewrite_stub,
    .pglVertexStream3ivATI = epoxy_glVertexStream3ivATI_rewrite_stub,
    .pglVertexStream3sATI = epoxy_glVertexStream3sATI_rewrite_stub,
    .pglVertexStream3svATI = epoxy_glVertexStream3svATI_rewrite_stub,
    .pglVertexStream4dATI = epoxy_glVertexStream4dATI_rewrite_stub,
    .pglVertexStream4dvATI = epoxy_glVertexStream4dvATI_rewrite_stub,
    .pglVertexStream4fATI = epoxy_glVertexStream4fATI_rewrite_stub,
    .pglVertexStream4fvATI = epoxy_glVertexStream4fvATI_rewrite_stub,
    .pglVertexStream4iATI = epoxy_glVertexStream4iATI_rewrite_stub,
    .pglVertexStream4ivATI = epoxy_glVertexStream4ivATI_rewrite_stub,
    .pglVertexStream4sATI = epoxy_glVertexStream4sATI_rewrite_stub,
    .pglVertexStream4svATI = epoxy_glVertexStream4svATI_rewrite_stub,
    .pglVertexWeightPointerEXT = epoxy_glVertexWeightPointerEXT_rewrite_stub,
    .pglVertexWeightfEXT = epoxy_glVertexWeightfEXT_rewrite_stub,
    .pglVertexWeightfvEXT = epoxy_glVertexWeightfvEXT_rewrite_stub,
    .pglVertexWeighthNV = epoxy_glVertexWeighthNV_rewrite_stub,
    .pglVertexWeighthvNV = epoxy_glVertexWeighthvNV_rewrite_stub,
    .pglVideoCaptureNV = epoxy_glVideoCaptureNV_rewrite_stub,
    .pglVideoCaptureStreamParameterdvNV = epoxy_glVideoCaptureStreamParameterdvNV_rewrite_stub,
    .pglVideoCaptureStreamParameterfvNV = epoxy_glVideoCaptureStreamParameterfvNV_rewrite_stub,
    .pglVideoCaptureStreamParameterivNV = epoxy_glVideoCaptureStreamParameterivNV_rewrite_stub,
    .pglViewport = epoxy_glViewport_rewrite_stub,
    .pglViewportArrayv = epoxy_glViewportArrayv_rewrite_stub,
    .pglViewportIndexedf = epoxy_glViewportIndexedf_rewrite_stub,
    .pglViewportIndexedfv = epoxy_glViewportIndexedfv_rewrite_stub,
    .pglWaitSync = epoxy_glWaitSync_rewrite_stub,
    .pglWeightPathsNV = epoxy_glWeightPathsNV_rewrite_stub,
    .pglWeightPointerARB = epoxy_glWeightPointerARB_rewrite_stub,
    .pglWeightPointerOES = epoxy_glWeightPointerOES_rewrite_stub,
    .pglWeightbvARB = epoxy_glWeightbvARB_rewrite_stub,
    .pglWeightdvARB = epoxy_glWeightdvARB_rewrite_stub,
    .pglWeightfvARB = epoxy_glWeightfvARB_rewrite_stub,
    .pglWeightivARB = epoxy_glWeightivARB_rewrite_stub,
    .pglWeightsvARB = epoxy_glWeightsvARB_rewrite_stub,
    .pglWeightubvARB = epoxy_glWeightubvARB_rewrite_stub,
    .pglWeightuivARB = epoxy_glWeightuivARB_rewrite_stub,
    .pglWeightusvARB = epoxy_glWeightusvARB_rewrite_stub,
    .pglWindowPos2d = epoxy_glWindowPos2d_rewrite_stub,
    .pglWindowPos2dv = epoxy_glWindowPos2dv_rewrite_stub,
    .pglWindowPos2f = epoxy_glWindowPos2f_rewrite_stub,
    .pglWindowPos2fv = epoxy_glWindowPos2fv_rewrite_stub,
    .pglWindowPos2i = epoxy_glWindowPos2i_rewrite_stub,
    .pglWindowPos2iv = epoxy_glWindowPos2iv_rewrite_stub,
    .pglWindowPos2s = epoxy_glWindowPos2s_rewrite_stub,
    .pglWindowPos2sv = epoxy_glWindowPos2sv_rewrite_stub,
    .pglWindowPos3d = epoxy_glWindowPos3d_rewrite_stub,
    .pglWindowPos3dv = epoxy_glWindowPos3dv_rewrite_stub,
    .pglWindowPos3f = epoxy_glWindowPos3f_rewrite_stub,
    .pglWindowPos3fv = epoxy_glWindowPos3fv_rewrite_stub,
    .pglWindowPos3i = epoxy_glWindowPos3i_rewrite_stub,
    .pglWindowPos3iv = epoxy_glWindowPos3iv_rewrite_stub,
    .pglWindowPos3s = epoxy_glWindowPos3s_rewrite_stub,
    .pglWindowPos3sv = epoxy_glWindowPos3sv_rewrite_stub,
    .pglWindowPos4dMESA = epoxy_glWindowPos4dMESA_rewrite_stub,
    .pglWindowPos4dvMESA = epoxy_glWindowPos4dvMESA_rewrite_stub,
    .pglWindowPos4fMESA = epoxy_glWindowPos4fMESA_rewrite_stub,
    .pglWindowPos4fvMESA = epoxy_glWindowPos4fvMESA_rewrite_stub,
    .pglWindowPos4iMESA = epoxy_glWindowPos4iMESA_rewrite_stub,
    .pglWindowPos4ivMESA = epoxy_glWindowPos4ivMESA_rewrite_stub,
    .pglWindowPos4sMESA = epoxy_glWindowPos4sMESA_rewrite_stub,
    .pglWindowPos4svMESA = epoxy_glWindowPos4svMESA_rewrite_stub,
    .pglWriteMaskEXT = epoxy_glWriteMaskEXT_rewrite_stub,
};

uint32_t gl_tls_index;
uint32_t gl_tls_size = sizeof(struct dispatch_table);

static inline struct dispatch_table *
get_dispatch_table(void)
{
	return TlsGetValue(gl_tls_index);
}

void
gl_init_dispatch_table(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();
    memcpy(dispatch_table, &resolver_table, sizeof(resolver_table));
}

PUBLIC PFNGLACCUMPROC epoxy_glAccum = epoxy_glAccum_dispatch_table_thunk;

PUBLIC PFNGLACCUMXOESPROC epoxy_glAccumxOES = epoxy_glAccumxOES_dispatch_table_thunk;

PUBLIC PFNGLACTIVEPROGRAMEXTPROC epoxy_glActiveProgramEXT = epoxy_glActiveProgramEXT_dispatch_table_thunk;

PUBLIC PFNGLACTIVESHADERPROGRAMPROC epoxy_glActiveShaderProgram = epoxy_glActiveShaderProgram_dispatch_table_thunk;

PUBLIC PFNGLACTIVESHADERPROGRAMEXTPROC epoxy_glActiveShaderProgramEXT = epoxy_glActiveShaderProgramEXT_dispatch_table_thunk;

PUBLIC PFNGLACTIVESTENCILFACEEXTPROC epoxy_glActiveStencilFaceEXT = epoxy_glActiveStencilFaceEXT_dispatch_table_thunk;

PUBLIC PFNGLACTIVETEXTUREPROC epoxy_glActiveTexture = epoxy_glActiveTexture_dispatch_table_thunk;

PUBLIC PFNGLACTIVETEXTUREARBPROC epoxy_glActiveTextureARB = epoxy_glActiveTextureARB_dispatch_table_thunk;

PUBLIC PFNGLACTIVEVARYINGNVPROC epoxy_glActiveVaryingNV = epoxy_glActiveVaryingNV_dispatch_table_thunk;

PUBLIC PFNGLALPHAFRAGMENTOP1ATIPROC epoxy_glAlphaFragmentOp1ATI = epoxy_glAlphaFragmentOp1ATI_dispatch_table_thunk;

PUBLIC PFNGLALPHAFRAGMENTOP2ATIPROC epoxy_glAlphaFragmentOp2ATI = epoxy_glAlphaFragmentOp2ATI_dispatch_table_thunk;

PUBLIC PFNGLALPHAFRAGMENTOP3ATIPROC epoxy_glAlphaFragmentOp3ATI = epoxy_glAlphaFragmentOp3ATI_dispatch_table_thunk;

PUBLIC PFNGLALPHAFUNCPROC epoxy_glAlphaFunc = epoxy_glAlphaFunc_dispatch_table_thunk;

PUBLIC PFNGLALPHAFUNCQCOMPROC epoxy_glAlphaFuncQCOM = epoxy_glAlphaFuncQCOM_dispatch_table_thunk;

PUBLIC PFNGLALPHAFUNCXPROC epoxy_glAlphaFuncx = epoxy_glAlphaFuncx_dispatch_table_thunk;

PUBLIC PFNGLALPHAFUNCXOESPROC epoxy_glAlphaFuncxOES = epoxy_glAlphaFuncxOES_dispatch_table_thunk;

PUBLIC PFNGLAPPLYTEXTUREEXTPROC epoxy_glApplyTextureEXT = epoxy_glApplyTextureEXT_dispatch_table_thunk;

PUBLIC PFNGLAREPROGRAMSRESIDENTNVPROC epoxy_glAreProgramsResidentNV = epoxy_glAreProgramsResidentNV_dispatch_table_thunk;

PUBLIC PFNGLARETEXTURESRESIDENTPROC epoxy_glAreTexturesResident = epoxy_glAreTexturesResident_dispatch_table_thunk;

PUBLIC PFNGLARETEXTURESRESIDENTEXTPROC epoxy_glAreTexturesResidentEXT = epoxy_glAreTexturesResidentEXT_dispatch_table_thunk;

PUBLIC PFNGLARRAYELEMENTPROC epoxy_glArrayElement = epoxy_glArrayElement_dispatch_table_thunk;

PUBLIC PFNGLARRAYELEMENTEXTPROC epoxy_glArrayElementEXT = epoxy_glArrayElementEXT_dispatch_table_thunk;

PUBLIC PFNGLARRAYOBJECTATIPROC epoxy_glArrayObjectATI = epoxy_glArrayObjectATI_dispatch_table_thunk;

PUBLIC PFNGLASYNCMARKERSGIXPROC epoxy_glAsyncMarkerSGIX = epoxy_glAsyncMarkerSGIX_dispatch_table_thunk;

PUBLIC PFNGLATTACHOBJECTARBPROC epoxy_glAttachObjectARB = epoxy_glAttachObjectARB_dispatch_table_thunk;

PUBLIC PFNGLATTACHSHADERPROC epoxy_glAttachShader = epoxy_glAttachShader_dispatch_table_thunk;

PFNGLBEGINPROC epoxy_glBegin_unwrapped = epoxy_glBegin_unwrapped_dispatch_table_thunk;

PUBLIC PFNGLBEGINCONDITIONALRENDERPROC epoxy_glBeginConditionalRender = epoxy_glBeginConditionalRender_dispatch_table_thunk;

PUBLIC PFNGLBEGINCONDITIONALRENDERNVPROC epoxy_glBeginConditionalRenderNV = epoxy_glBeginConditionalRenderNV_dispatch_table_thunk;

PUBLIC PFNGLBEGINCONDITIONALRENDERNVXPROC epoxy_glBeginConditionalRenderNVX = epoxy_glBeginConditionalRenderNVX_dispatch_table_thunk;

PUBLIC PFNGLBEGINFRAGMENTSHADERATIPROC epoxy_glBeginFragmentShaderATI = epoxy_glBeginFragmentShaderATI_dispatch_table_thunk;

PUBLIC PFNGLBEGINOCCLUSIONQUERYNVPROC epoxy_glBeginOcclusionQueryNV = epoxy_glBeginOcclusionQueryNV_dispatch_table_thunk;

PUBLIC PFNGLBEGINPERFMONITORAMDPROC epoxy_glBeginPerfMonitorAMD = epoxy_glBeginPerfMonitorAMD_dispatch_table_thunk;

PUBLIC PFNGLBEGINPERFQUERYINTELPROC epoxy_glBeginPerfQueryINTEL = epoxy_glBeginPerfQueryINTEL_dispatch_table_thunk;

PUBLIC PFNGLBEGINQUERYPROC epoxy_glBeginQuery = epoxy_glBeginQuery_dispatch_table_thunk;

PUBLIC PFNGLBEGINQUERYARBPROC epoxy_glBeginQueryARB = epoxy_glBeginQueryARB_dispatch_table_thunk;

PUBLIC PFNGLBEGINQUERYEXTPROC epoxy_glBeginQueryEXT = epoxy_glBeginQueryEXT_dispatch_table_thunk;

PUBLIC PFNGLBEGINQUERYINDEXEDPROC epoxy_glBeginQueryIndexed = epoxy_glBeginQueryIndexed_dispatch_table_thunk;

PUBLIC PFNGLBEGINTRANSFORMFEEDBACKPROC epoxy_glBeginTransformFeedback = epoxy_glBeginTransformFeedback_dispatch_table_thunk;

PUBLIC PFNGLBEGINTRANSFORMFEEDBACKEXTPROC epoxy_glBeginTransformFeedbackEXT = epoxy_glBeginTransformFeedbackEXT_dispatch_table_thunk;

PUBLIC PFNGLBEGINTRANSFORMFEEDBACKNVPROC epoxy_glBeginTransformFeedbackNV = epoxy_glBeginTransformFeedbackNV_dispatch_table_thunk;

PUBLIC PFNGLBEGINVERTEXSHADEREXTPROC epoxy_glBeginVertexShaderEXT = epoxy_glBeginVertexShaderEXT_dispatch_table_thunk;

PUBLIC PFNGLBEGINVIDEOCAPTURENVPROC epoxy_glBeginVideoCaptureNV = epoxy_glBeginVideoCaptureNV_dispatch_table_thunk;

PUBLIC PFNGLBINDATTRIBLOCATIONPROC epoxy_glBindAttribLocation = epoxy_glBindAttribLocation_dispatch_table_thunk;

PUBLIC PFNGLBINDATTRIBLOCATIONARBPROC epoxy_glBindAttribLocationARB = epoxy_glBindAttribLocationARB_dispatch_table_thunk;

PUBLIC PFNGLBINDBUFFERPROC epoxy_glBindBuffer = epoxy_glBindBuffer_dispatch_table_thunk;

PUBLIC PFNGLBINDBUFFERARBPROC epoxy_glBindBufferARB = epoxy_glBindBufferARB_dispatch_table_thunk;

PUBLIC PFNGLBINDBUFFERBASEPROC epoxy_glBindBufferBase = epoxy_glBindBufferBase_dispatch_table_thunk;

PUBLIC PFNGLBINDBUFFERBASEEXTPROC epoxy_glBindBufferBaseEXT = epoxy_glBindBufferBaseEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDBUFFERBASENVPROC epoxy_glBindBufferBaseNV = epoxy_glBindBufferBaseNV_dispatch_table_thunk;

PUBLIC PFNGLBINDBUFFEROFFSETEXTPROC epoxy_glBindBufferOffsetEXT = epoxy_glBindBufferOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDBUFFEROFFSETNVPROC epoxy_glBindBufferOffsetNV = epoxy_glBindBufferOffsetNV_dispatch_table_thunk;

PUBLIC PFNGLBINDBUFFERRANGEPROC epoxy_glBindBufferRange = epoxy_glBindBufferRange_dispatch_table_thunk;

PUBLIC PFNGLBINDBUFFERRANGEEXTPROC epoxy_glBindBufferRangeEXT = epoxy_glBindBufferRangeEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDBUFFERRANGENVPROC epoxy_glBindBufferRangeNV = epoxy_glBindBufferRangeNV_dispatch_table_thunk;

PUBLIC PFNGLBINDBUFFERSBASEPROC epoxy_glBindBuffersBase = epoxy_glBindBuffersBase_dispatch_table_thunk;

PUBLIC PFNGLBINDBUFFERSRANGEPROC epoxy_glBindBuffersRange = epoxy_glBindBuffersRange_dispatch_table_thunk;

PUBLIC PFNGLBINDFRAGDATALOCATIONPROC epoxy_glBindFragDataLocation = epoxy_glBindFragDataLocation_dispatch_table_thunk;

PUBLIC PFNGLBINDFRAGDATALOCATIONEXTPROC epoxy_glBindFragDataLocationEXT = epoxy_glBindFragDataLocationEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDFRAGDATALOCATIONINDEXEDPROC epoxy_glBindFragDataLocationIndexed = epoxy_glBindFragDataLocationIndexed_dispatch_table_thunk;

PUBLIC PFNGLBINDFRAGMENTSHADERATIPROC epoxy_glBindFragmentShaderATI = epoxy_glBindFragmentShaderATI_dispatch_table_thunk;

PUBLIC PFNGLBINDFRAMEBUFFERPROC epoxy_glBindFramebuffer = epoxy_glBindFramebuffer_dispatch_table_thunk;

PUBLIC PFNGLBINDFRAMEBUFFEREXTPROC epoxy_glBindFramebufferEXT = epoxy_glBindFramebufferEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDFRAMEBUFFEROESPROC epoxy_glBindFramebufferOES = epoxy_glBindFramebufferOES_dispatch_table_thunk;

PUBLIC PFNGLBINDIMAGETEXTUREPROC epoxy_glBindImageTexture = epoxy_glBindImageTexture_dispatch_table_thunk;

PUBLIC PFNGLBINDIMAGETEXTUREEXTPROC epoxy_glBindImageTextureEXT = epoxy_glBindImageTextureEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDIMAGETEXTURESPROC epoxy_glBindImageTextures = epoxy_glBindImageTextures_dispatch_table_thunk;

PUBLIC PFNGLBINDLIGHTPARAMETEREXTPROC epoxy_glBindLightParameterEXT = epoxy_glBindLightParameterEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDMATERIALPARAMETEREXTPROC epoxy_glBindMaterialParameterEXT = epoxy_glBindMaterialParameterEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDMULTITEXTUREEXTPROC epoxy_glBindMultiTextureEXT = epoxy_glBindMultiTextureEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDPARAMETEREXTPROC epoxy_glBindParameterEXT = epoxy_glBindParameterEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDPROGRAMARBPROC epoxy_glBindProgramARB = epoxy_glBindProgramARB_dispatch_table_thunk;

PUBLIC PFNGLBINDPROGRAMNVPROC epoxy_glBindProgramNV = epoxy_glBindProgramNV_dispatch_table_thunk;

PUBLIC PFNGLBINDPROGRAMPIPELINEPROC epoxy_glBindProgramPipeline = epoxy_glBindProgramPipeline_dispatch_table_thunk;

PUBLIC PFNGLBINDPROGRAMPIPELINEEXTPROC epoxy_glBindProgramPipelineEXT = epoxy_glBindProgramPipelineEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDRENDERBUFFERPROC epoxy_glBindRenderbuffer = epoxy_glBindRenderbuffer_dispatch_table_thunk;

PUBLIC PFNGLBINDRENDERBUFFEREXTPROC epoxy_glBindRenderbufferEXT = epoxy_glBindRenderbufferEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDRENDERBUFFEROESPROC epoxy_glBindRenderbufferOES = epoxy_glBindRenderbufferOES_dispatch_table_thunk;

PUBLIC PFNGLBINDSAMPLERPROC epoxy_glBindSampler = epoxy_glBindSampler_dispatch_table_thunk;

PUBLIC PFNGLBINDSAMPLERSPROC epoxy_glBindSamplers = epoxy_glBindSamplers_dispatch_table_thunk;

PUBLIC PFNGLBINDTEXGENPARAMETEREXTPROC epoxy_glBindTexGenParameterEXT = epoxy_glBindTexGenParameterEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDTEXTUREPROC epoxy_glBindTexture = epoxy_glBindTexture_dispatch_table_thunk;

PUBLIC PFNGLBINDTEXTUREEXTPROC epoxy_glBindTextureEXT = epoxy_glBindTextureEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDTEXTUREUNITPARAMETEREXTPROC epoxy_glBindTextureUnitParameterEXT = epoxy_glBindTextureUnitParameterEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDTEXTURESPROC epoxy_glBindTextures = epoxy_glBindTextures_dispatch_table_thunk;

PUBLIC PFNGLBINDTRANSFORMFEEDBACKPROC epoxy_glBindTransformFeedback = epoxy_glBindTransformFeedback_dispatch_table_thunk;

PUBLIC PFNGLBINDTRANSFORMFEEDBACKNVPROC epoxy_glBindTransformFeedbackNV = epoxy_glBindTransformFeedbackNV_dispatch_table_thunk;

PUBLIC PFNGLBINDVERTEXARRAYPROC epoxy_glBindVertexArray = epoxy_glBindVertexArray_dispatch_table_thunk;

PUBLIC PFNGLBINDVERTEXARRAYAPPLEPROC epoxy_glBindVertexArrayAPPLE = epoxy_glBindVertexArrayAPPLE_dispatch_table_thunk;

PUBLIC PFNGLBINDVERTEXARRAYOESPROC epoxy_glBindVertexArrayOES = epoxy_glBindVertexArrayOES_dispatch_table_thunk;

PUBLIC PFNGLBINDVERTEXBUFFERPROC epoxy_glBindVertexBuffer = epoxy_glBindVertexBuffer_dispatch_table_thunk;

PUBLIC PFNGLBINDVERTEXBUFFERSPROC epoxy_glBindVertexBuffers = epoxy_glBindVertexBuffers_dispatch_table_thunk;

PUBLIC PFNGLBINDVERTEXSHADEREXTPROC epoxy_glBindVertexShaderEXT = epoxy_glBindVertexShaderEXT_dispatch_table_thunk;

PUBLIC PFNGLBINDVIDEOCAPTURESTREAMBUFFERNVPROC epoxy_glBindVideoCaptureStreamBufferNV = epoxy_glBindVideoCaptureStreamBufferNV_dispatch_table_thunk;

PUBLIC PFNGLBINDVIDEOCAPTURESTREAMTEXTURENVPROC epoxy_glBindVideoCaptureStreamTextureNV = epoxy_glBindVideoCaptureStreamTextureNV_dispatch_table_thunk;

PUBLIC PFNGLBINORMAL3BEXTPROC epoxy_glBinormal3bEXT = epoxy_glBinormal3bEXT_dispatch_table_thunk;

PUBLIC PFNGLBINORMAL3BVEXTPROC epoxy_glBinormal3bvEXT = epoxy_glBinormal3bvEXT_dispatch_table_thunk;

PUBLIC PFNGLBINORMAL3DEXTPROC epoxy_glBinormal3dEXT = epoxy_glBinormal3dEXT_dispatch_table_thunk;

PUBLIC PFNGLBINORMAL3DVEXTPROC epoxy_glBinormal3dvEXT = epoxy_glBinormal3dvEXT_dispatch_table_thunk;

PUBLIC PFNGLBINORMAL3FEXTPROC epoxy_glBinormal3fEXT = epoxy_glBinormal3fEXT_dispatch_table_thunk;

PUBLIC PFNGLBINORMAL3FVEXTPROC epoxy_glBinormal3fvEXT = epoxy_glBinormal3fvEXT_dispatch_table_thunk;

PUBLIC PFNGLBINORMAL3IEXTPROC epoxy_glBinormal3iEXT = epoxy_glBinormal3iEXT_dispatch_table_thunk;

PUBLIC PFNGLBINORMAL3IVEXTPROC epoxy_glBinormal3ivEXT = epoxy_glBinormal3ivEXT_dispatch_table_thunk;

PUBLIC PFNGLBINORMAL3SEXTPROC epoxy_glBinormal3sEXT = epoxy_glBinormal3sEXT_dispatch_table_thunk;

PUBLIC PFNGLBINORMAL3SVEXTPROC epoxy_glBinormal3svEXT = epoxy_glBinormal3svEXT_dispatch_table_thunk;

PUBLIC PFNGLBINORMALPOINTEREXTPROC epoxy_glBinormalPointerEXT = epoxy_glBinormalPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLBITMAPPROC epoxy_glBitmap = epoxy_glBitmap_dispatch_table_thunk;

PUBLIC PFNGLBITMAPXOESPROC epoxy_glBitmapxOES = epoxy_glBitmapxOES_dispatch_table_thunk;

PUBLIC PFNGLBLENDBARRIERNVPROC epoxy_glBlendBarrierNV = epoxy_glBlendBarrierNV_dispatch_table_thunk;

PUBLIC PFNGLBLENDCOLORPROC epoxy_glBlendColor = epoxy_glBlendColor_dispatch_table_thunk;

PUBLIC PFNGLBLENDCOLOREXTPROC epoxy_glBlendColorEXT = epoxy_glBlendColorEXT_dispatch_table_thunk;

PUBLIC PFNGLBLENDCOLORXOESPROC epoxy_glBlendColorxOES = epoxy_glBlendColorxOES_dispatch_table_thunk;

PUBLIC PFNGLBLENDEQUATIONPROC epoxy_glBlendEquation = epoxy_glBlendEquation_dispatch_table_thunk;

PUBLIC PFNGLBLENDEQUATIONEXTPROC epoxy_glBlendEquationEXT = epoxy_glBlendEquationEXT_dispatch_table_thunk;

PUBLIC PFNGLBLENDEQUATIONINDEXEDAMDPROC epoxy_glBlendEquationIndexedAMD = epoxy_glBlendEquationIndexedAMD_dispatch_table_thunk;

PUBLIC PFNGLBLENDEQUATIONOESPROC epoxy_glBlendEquationOES = epoxy_glBlendEquationOES_dispatch_table_thunk;

PUBLIC PFNGLBLENDEQUATIONSEPARATEPROC epoxy_glBlendEquationSeparate = epoxy_glBlendEquationSeparate_dispatch_table_thunk;

PUBLIC PFNGLBLENDEQUATIONSEPARATEEXTPROC epoxy_glBlendEquationSeparateEXT = epoxy_glBlendEquationSeparateEXT_dispatch_table_thunk;

PUBLIC PFNGLBLENDEQUATIONSEPARATEINDEXEDAMDPROC epoxy_glBlendEquationSeparateIndexedAMD = epoxy_glBlendEquationSeparateIndexedAMD_dispatch_table_thunk;

PUBLIC PFNGLBLENDEQUATIONSEPARATEOESPROC epoxy_glBlendEquationSeparateOES = epoxy_glBlendEquationSeparateOES_dispatch_table_thunk;

PUBLIC PFNGLBLENDEQUATIONSEPARATEIPROC epoxy_glBlendEquationSeparatei = epoxy_glBlendEquationSeparatei_dispatch_table_thunk;

PUBLIC PFNGLBLENDEQUATIONSEPARATEIARBPROC epoxy_glBlendEquationSeparateiARB = epoxy_glBlendEquationSeparateiARB_dispatch_table_thunk;

PUBLIC PFNGLBLENDEQUATIONIPROC epoxy_glBlendEquationi = epoxy_glBlendEquationi_dispatch_table_thunk;

PUBLIC PFNGLBLENDEQUATIONIARBPROC epoxy_glBlendEquationiARB = epoxy_glBlendEquationiARB_dispatch_table_thunk;

PUBLIC PFNGLBLENDFUNCPROC epoxy_glBlendFunc = epoxy_glBlendFunc_dispatch_table_thunk;

PUBLIC PFNGLBLENDFUNCINDEXEDAMDPROC epoxy_glBlendFuncIndexedAMD = epoxy_glBlendFuncIndexedAMD_dispatch_table_thunk;

PUBLIC PFNGLBLENDFUNCSEPARATEPROC epoxy_glBlendFuncSeparate = epoxy_glBlendFuncSeparate_dispatch_table_thunk;

PUBLIC PFNGLBLENDFUNCSEPARATEEXTPROC epoxy_glBlendFuncSeparateEXT = epoxy_glBlendFuncSeparateEXT_dispatch_table_thunk;

PUBLIC PFNGLBLENDFUNCSEPARATEINGRPROC epoxy_glBlendFuncSeparateINGR = epoxy_glBlendFuncSeparateINGR_dispatch_table_thunk;

PUBLIC PFNGLBLENDFUNCSEPARATEINDEXEDAMDPROC epoxy_glBlendFuncSeparateIndexedAMD = epoxy_glBlendFuncSeparateIndexedAMD_dispatch_table_thunk;

PUBLIC PFNGLBLENDFUNCSEPARATEOESPROC epoxy_glBlendFuncSeparateOES = epoxy_glBlendFuncSeparateOES_dispatch_table_thunk;

PUBLIC PFNGLBLENDFUNCSEPARATEIPROC epoxy_glBlendFuncSeparatei = epoxy_glBlendFuncSeparatei_dispatch_table_thunk;

PUBLIC PFNGLBLENDFUNCSEPARATEIARBPROC epoxy_glBlendFuncSeparateiARB = epoxy_glBlendFuncSeparateiARB_dispatch_table_thunk;

PUBLIC PFNGLBLENDFUNCIPROC epoxy_glBlendFunci = epoxy_glBlendFunci_dispatch_table_thunk;

PUBLIC PFNGLBLENDFUNCIARBPROC epoxy_glBlendFunciARB = epoxy_glBlendFunciARB_dispatch_table_thunk;

PUBLIC PFNGLBLENDPARAMETERINVPROC epoxy_glBlendParameteriNV = epoxy_glBlendParameteriNV_dispatch_table_thunk;

PUBLIC PFNGLBLITFRAMEBUFFERPROC epoxy_glBlitFramebuffer = epoxy_glBlitFramebuffer_dispatch_table_thunk;

PUBLIC PFNGLBLITFRAMEBUFFERANGLEPROC epoxy_glBlitFramebufferANGLE = epoxy_glBlitFramebufferANGLE_dispatch_table_thunk;

PUBLIC PFNGLBLITFRAMEBUFFEREXTPROC epoxy_glBlitFramebufferEXT = epoxy_glBlitFramebufferEXT_dispatch_table_thunk;

PUBLIC PFNGLBLITFRAMEBUFFERNVPROC epoxy_glBlitFramebufferNV = epoxy_glBlitFramebufferNV_dispatch_table_thunk;

PUBLIC PFNGLBUFFERADDRESSRANGENVPROC epoxy_glBufferAddressRangeNV = epoxy_glBufferAddressRangeNV_dispatch_table_thunk;

PUBLIC PFNGLBUFFERDATAPROC epoxy_glBufferData = epoxy_glBufferData_dispatch_table_thunk;

PUBLIC PFNGLBUFFERDATAARBPROC epoxy_glBufferDataARB = epoxy_glBufferDataARB_dispatch_table_thunk;

PUBLIC PFNGLBUFFERPARAMETERIAPPLEPROC epoxy_glBufferParameteriAPPLE = epoxy_glBufferParameteriAPPLE_dispatch_table_thunk;

PUBLIC PFNGLBUFFERSTORAGEPROC epoxy_glBufferStorage = epoxy_glBufferStorage_dispatch_table_thunk;

PUBLIC PFNGLBUFFERSUBDATAPROC epoxy_glBufferSubData = epoxy_glBufferSubData_dispatch_table_thunk;

PUBLIC PFNGLBUFFERSUBDATAARBPROC epoxy_glBufferSubDataARB = epoxy_glBufferSubDataARB_dispatch_table_thunk;

PUBLIC PFNGLCALLLISTPROC epoxy_glCallList = epoxy_glCallList_dispatch_table_thunk;

PUBLIC PFNGLCALLLISTSPROC epoxy_glCallLists = epoxy_glCallLists_dispatch_table_thunk;

PUBLIC PFNGLCHECKFRAMEBUFFERSTATUSPROC epoxy_glCheckFramebufferStatus = epoxy_glCheckFramebufferStatus_dispatch_table_thunk;

PUBLIC PFNGLCHECKFRAMEBUFFERSTATUSEXTPROC epoxy_glCheckFramebufferStatusEXT = epoxy_glCheckFramebufferStatusEXT_dispatch_table_thunk;

PUBLIC PFNGLCHECKFRAMEBUFFERSTATUSOESPROC epoxy_glCheckFramebufferStatusOES = epoxy_glCheckFramebufferStatusOES_dispatch_table_thunk;

PUBLIC PFNGLCHECKNAMEDFRAMEBUFFERSTATUSEXTPROC epoxy_glCheckNamedFramebufferStatusEXT = epoxy_glCheckNamedFramebufferStatusEXT_dispatch_table_thunk;

PUBLIC PFNGLCLAMPCOLORPROC epoxy_glClampColor = epoxy_glClampColor_dispatch_table_thunk;

PUBLIC PFNGLCLAMPCOLORARBPROC epoxy_glClampColorARB = epoxy_glClampColorARB_dispatch_table_thunk;

PUBLIC PFNGLCLEARPROC epoxy_glClear = epoxy_glClear_dispatch_table_thunk;

PUBLIC PFNGLCLEARACCUMPROC epoxy_glClearAccum = epoxy_glClearAccum_dispatch_table_thunk;

PUBLIC PFNGLCLEARACCUMXOESPROC epoxy_glClearAccumxOES = epoxy_glClearAccumxOES_dispatch_table_thunk;

PUBLIC PFNGLCLEARBUFFERDATAPROC epoxy_glClearBufferData = epoxy_glClearBufferData_dispatch_table_thunk;

PUBLIC PFNGLCLEARBUFFERSUBDATAPROC epoxy_glClearBufferSubData = epoxy_glClearBufferSubData_dispatch_table_thunk;

PUBLIC PFNGLCLEARBUFFERFIPROC epoxy_glClearBufferfi = epoxy_glClearBufferfi_dispatch_table_thunk;

PUBLIC PFNGLCLEARBUFFERFVPROC epoxy_glClearBufferfv = epoxy_glClearBufferfv_dispatch_table_thunk;

PUBLIC PFNGLCLEARBUFFERIVPROC epoxy_glClearBufferiv = epoxy_glClearBufferiv_dispatch_table_thunk;

PUBLIC PFNGLCLEARBUFFERUIVPROC epoxy_glClearBufferuiv = epoxy_glClearBufferuiv_dispatch_table_thunk;

PUBLIC PFNGLCLEARCOLORPROC epoxy_glClearColor = epoxy_glClearColor_dispatch_table_thunk;

PUBLIC PFNGLCLEARCOLORIIEXTPROC epoxy_glClearColorIiEXT = epoxy_glClearColorIiEXT_dispatch_table_thunk;

PUBLIC PFNGLCLEARCOLORIUIEXTPROC epoxy_glClearColorIuiEXT = epoxy_glClearColorIuiEXT_dispatch_table_thunk;

PUBLIC PFNGLCLEARCOLORXPROC epoxy_glClearColorx = epoxy_glClearColorx_dispatch_table_thunk;

PUBLIC PFNGLCLEARCOLORXOESPROC epoxy_glClearColorxOES = epoxy_glClearColorxOES_dispatch_table_thunk;

PUBLIC PFNGLCLEARDEPTHPROC epoxy_glClearDepth = epoxy_glClearDepth_dispatch_table_thunk;

PUBLIC PFNGLCLEARDEPTHDNVPROC epoxy_glClearDepthdNV = epoxy_glClearDepthdNV_dispatch_table_thunk;

PUBLIC PFNGLCLEARDEPTHFPROC epoxy_glClearDepthf = epoxy_glClearDepthf_dispatch_table_thunk;

PUBLIC PFNGLCLEARDEPTHFOESPROC epoxy_glClearDepthfOES = epoxy_glClearDepthfOES_dispatch_table_thunk;

PUBLIC PFNGLCLEARDEPTHXPROC epoxy_glClearDepthx = epoxy_glClearDepthx_dispatch_table_thunk;

PUBLIC PFNGLCLEARDEPTHXOESPROC epoxy_glClearDepthxOES = epoxy_glClearDepthxOES_dispatch_table_thunk;

PUBLIC PFNGLCLEARINDEXPROC epoxy_glClearIndex = epoxy_glClearIndex_dispatch_table_thunk;

PUBLIC PFNGLCLEARNAMEDBUFFERDATAEXTPROC epoxy_glClearNamedBufferDataEXT = epoxy_glClearNamedBufferDataEXT_dispatch_table_thunk;

PUBLIC PFNGLCLEARNAMEDBUFFERSUBDATAEXTPROC epoxy_glClearNamedBufferSubDataEXT = epoxy_glClearNamedBufferSubDataEXT_dispatch_table_thunk;

PUBLIC PFNGLCLEARSTENCILPROC epoxy_glClearStencil = epoxy_glClearStencil_dispatch_table_thunk;

PUBLIC PFNGLCLEARTEXIMAGEPROC epoxy_glClearTexImage = epoxy_glClearTexImage_dispatch_table_thunk;

PUBLIC PFNGLCLEARTEXSUBIMAGEPROC epoxy_glClearTexSubImage = epoxy_glClearTexSubImage_dispatch_table_thunk;

PUBLIC PFNGLCLIENTACTIVETEXTUREPROC epoxy_glClientActiveTexture = epoxy_glClientActiveTexture_dispatch_table_thunk;

PUBLIC PFNGLCLIENTACTIVETEXTUREARBPROC epoxy_glClientActiveTextureARB = epoxy_glClientActiveTextureARB_dispatch_table_thunk;

PUBLIC PFNGLCLIENTACTIVEVERTEXSTREAMATIPROC epoxy_glClientActiveVertexStreamATI = epoxy_glClientActiveVertexStreamATI_dispatch_table_thunk;

PUBLIC PFNGLCLIENTATTRIBDEFAULTEXTPROC epoxy_glClientAttribDefaultEXT = epoxy_glClientAttribDefaultEXT_dispatch_table_thunk;

PUBLIC PFNGLCLIENTWAITSYNCPROC epoxy_glClientWaitSync = epoxy_glClientWaitSync_dispatch_table_thunk;

PUBLIC PFNGLCLIENTWAITSYNCAPPLEPROC epoxy_glClientWaitSyncAPPLE = epoxy_glClientWaitSyncAPPLE_dispatch_table_thunk;

PUBLIC PFNGLCLIPPLANEPROC epoxy_glClipPlane = epoxy_glClipPlane_dispatch_table_thunk;

PUBLIC PFNGLCLIPPLANEFPROC epoxy_glClipPlanef = epoxy_glClipPlanef_dispatch_table_thunk;

PUBLIC PFNGLCLIPPLANEFIMGPROC epoxy_glClipPlanefIMG = epoxy_glClipPlanefIMG_dispatch_table_thunk;

PUBLIC PFNGLCLIPPLANEFOESPROC epoxy_glClipPlanefOES = epoxy_glClipPlanefOES_dispatch_table_thunk;

PUBLIC PFNGLCLIPPLANEXPROC epoxy_glClipPlanex = epoxy_glClipPlanex_dispatch_table_thunk;

PUBLIC PFNGLCLIPPLANEXIMGPROC epoxy_glClipPlanexIMG = epoxy_glClipPlanexIMG_dispatch_table_thunk;

PUBLIC PFNGLCLIPPLANEXOESPROC epoxy_glClipPlanexOES = epoxy_glClipPlanexOES_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3BPROC epoxy_glColor3b = epoxy_glColor3b_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3BVPROC epoxy_glColor3bv = epoxy_glColor3bv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3DPROC epoxy_glColor3d = epoxy_glColor3d_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3DVPROC epoxy_glColor3dv = epoxy_glColor3dv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3FPROC epoxy_glColor3f = epoxy_glColor3f_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3FVERTEX3FSUNPROC epoxy_glColor3fVertex3fSUN = epoxy_glColor3fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3FVERTEX3FVSUNPROC epoxy_glColor3fVertex3fvSUN = epoxy_glColor3fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3FVPROC epoxy_glColor3fv = epoxy_glColor3fv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3HNVPROC epoxy_glColor3hNV = epoxy_glColor3hNV_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3HVNVPROC epoxy_glColor3hvNV = epoxy_glColor3hvNV_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3IPROC epoxy_glColor3i = epoxy_glColor3i_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3IVPROC epoxy_glColor3iv = epoxy_glColor3iv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3SPROC epoxy_glColor3s = epoxy_glColor3s_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3SVPROC epoxy_glColor3sv = epoxy_glColor3sv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3UBPROC epoxy_glColor3ub = epoxy_glColor3ub_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3UBVPROC epoxy_glColor3ubv = epoxy_glColor3ubv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3UIPROC epoxy_glColor3ui = epoxy_glColor3ui_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3UIVPROC epoxy_glColor3uiv = epoxy_glColor3uiv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3USPROC epoxy_glColor3us = epoxy_glColor3us_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3USVPROC epoxy_glColor3usv = epoxy_glColor3usv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3XOESPROC epoxy_glColor3xOES = epoxy_glColor3xOES_dispatch_table_thunk;

PUBLIC PFNGLCOLOR3XVOESPROC epoxy_glColor3xvOES = epoxy_glColor3xvOES_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4BPROC epoxy_glColor4b = epoxy_glColor4b_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4BVPROC epoxy_glColor4bv = epoxy_glColor4bv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4DPROC epoxy_glColor4d = epoxy_glColor4d_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4DVPROC epoxy_glColor4dv = epoxy_glColor4dv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4FPROC epoxy_glColor4f = epoxy_glColor4f_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glColor4fNormal3fVertex3fSUN = epoxy_glColor4fNormal3fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glColor4fNormal3fVertex3fvSUN = epoxy_glColor4fNormal3fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4FVPROC epoxy_glColor4fv = epoxy_glColor4fv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4HNVPROC epoxy_glColor4hNV = epoxy_glColor4hNV_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4HVNVPROC epoxy_glColor4hvNV = epoxy_glColor4hvNV_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4IPROC epoxy_glColor4i = epoxy_glColor4i_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4IVPROC epoxy_glColor4iv = epoxy_glColor4iv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4SPROC epoxy_glColor4s = epoxy_glColor4s_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4SVPROC epoxy_glColor4sv = epoxy_glColor4sv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4UBPROC epoxy_glColor4ub = epoxy_glColor4ub_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4UBVERTEX2FSUNPROC epoxy_glColor4ubVertex2fSUN = epoxy_glColor4ubVertex2fSUN_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4UBVERTEX2FVSUNPROC epoxy_glColor4ubVertex2fvSUN = epoxy_glColor4ubVertex2fvSUN_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4UBVERTEX3FSUNPROC epoxy_glColor4ubVertex3fSUN = epoxy_glColor4ubVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4UBVERTEX3FVSUNPROC epoxy_glColor4ubVertex3fvSUN = epoxy_glColor4ubVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4UBVPROC epoxy_glColor4ubv = epoxy_glColor4ubv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4UIPROC epoxy_glColor4ui = epoxy_glColor4ui_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4UIVPROC epoxy_glColor4uiv = epoxy_glColor4uiv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4USPROC epoxy_glColor4us = epoxy_glColor4us_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4USVPROC epoxy_glColor4usv = epoxy_glColor4usv_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4XPROC epoxy_glColor4x = epoxy_glColor4x_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4XOESPROC epoxy_glColor4xOES = epoxy_glColor4xOES_dispatch_table_thunk;

PUBLIC PFNGLCOLOR4XVOESPROC epoxy_glColor4xvOES = epoxy_glColor4xvOES_dispatch_table_thunk;

PUBLIC PFNGLCOLORFORMATNVPROC epoxy_glColorFormatNV = epoxy_glColorFormatNV_dispatch_table_thunk;

PUBLIC PFNGLCOLORFRAGMENTOP1ATIPROC epoxy_glColorFragmentOp1ATI = epoxy_glColorFragmentOp1ATI_dispatch_table_thunk;

PUBLIC PFNGLCOLORFRAGMENTOP2ATIPROC epoxy_glColorFragmentOp2ATI = epoxy_glColorFragmentOp2ATI_dispatch_table_thunk;

PUBLIC PFNGLCOLORFRAGMENTOP3ATIPROC epoxy_glColorFragmentOp3ATI = epoxy_glColorFragmentOp3ATI_dispatch_table_thunk;

PUBLIC PFNGLCOLORMASKPROC epoxy_glColorMask = epoxy_glColorMask_dispatch_table_thunk;

PUBLIC PFNGLCOLORMASKINDEXEDEXTPROC epoxy_glColorMaskIndexedEXT = epoxy_glColorMaskIndexedEXT_dispatch_table_thunk;

PUBLIC PFNGLCOLORMASKIPROC epoxy_glColorMaski = epoxy_glColorMaski_dispatch_table_thunk;

PUBLIC PFNGLCOLORMATERIALPROC epoxy_glColorMaterial = epoxy_glColorMaterial_dispatch_table_thunk;

PUBLIC PFNGLCOLORP3UIPROC epoxy_glColorP3ui = epoxy_glColorP3ui_dispatch_table_thunk;

PUBLIC PFNGLCOLORP3UIVPROC epoxy_glColorP3uiv = epoxy_glColorP3uiv_dispatch_table_thunk;

PUBLIC PFNGLCOLORP4UIPROC epoxy_glColorP4ui = epoxy_glColorP4ui_dispatch_table_thunk;

PUBLIC PFNGLCOLORP4UIVPROC epoxy_glColorP4uiv = epoxy_glColorP4uiv_dispatch_table_thunk;

PUBLIC PFNGLCOLORPOINTERPROC epoxy_glColorPointer = epoxy_glColorPointer_dispatch_table_thunk;

PUBLIC PFNGLCOLORPOINTEREXTPROC epoxy_glColorPointerEXT = epoxy_glColorPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLCOLORPOINTERLISTIBMPROC epoxy_glColorPointerListIBM = epoxy_glColorPointerListIBM_dispatch_table_thunk;

PUBLIC PFNGLCOLORPOINTERVINTELPROC epoxy_glColorPointervINTEL = epoxy_glColorPointervINTEL_dispatch_table_thunk;

PUBLIC PFNGLCOLORSUBTABLEPROC epoxy_glColorSubTable = epoxy_glColorSubTable_dispatch_table_thunk;

PUBLIC PFNGLCOLORSUBTABLEEXTPROC epoxy_glColorSubTableEXT = epoxy_glColorSubTableEXT_dispatch_table_thunk;

PUBLIC PFNGLCOLORTABLEPROC epoxy_glColorTable = epoxy_glColorTable_dispatch_table_thunk;

PUBLIC PFNGLCOLORTABLEEXTPROC epoxy_glColorTableEXT = epoxy_glColorTableEXT_dispatch_table_thunk;

PUBLIC PFNGLCOLORTABLEPARAMETERFVPROC epoxy_glColorTableParameterfv = epoxy_glColorTableParameterfv_dispatch_table_thunk;

PUBLIC PFNGLCOLORTABLEPARAMETERFVSGIPROC epoxy_glColorTableParameterfvSGI = epoxy_glColorTableParameterfvSGI_dispatch_table_thunk;

PUBLIC PFNGLCOLORTABLEPARAMETERIVPROC epoxy_glColorTableParameteriv = epoxy_glColorTableParameteriv_dispatch_table_thunk;

PUBLIC PFNGLCOLORTABLEPARAMETERIVSGIPROC epoxy_glColorTableParameterivSGI = epoxy_glColorTableParameterivSGI_dispatch_table_thunk;

PUBLIC PFNGLCOLORTABLESGIPROC epoxy_glColorTableSGI = epoxy_glColorTableSGI_dispatch_table_thunk;

PUBLIC PFNGLCOMBINERINPUTNVPROC epoxy_glCombinerInputNV = epoxy_glCombinerInputNV_dispatch_table_thunk;

PUBLIC PFNGLCOMBINEROUTPUTNVPROC epoxy_glCombinerOutputNV = epoxy_glCombinerOutputNV_dispatch_table_thunk;

PUBLIC PFNGLCOMBINERPARAMETERFNVPROC epoxy_glCombinerParameterfNV = epoxy_glCombinerParameterfNV_dispatch_table_thunk;

PUBLIC PFNGLCOMBINERPARAMETERFVNVPROC epoxy_glCombinerParameterfvNV = epoxy_glCombinerParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLCOMBINERPARAMETERINVPROC epoxy_glCombinerParameteriNV = epoxy_glCombinerParameteriNV_dispatch_table_thunk;

PUBLIC PFNGLCOMBINERPARAMETERIVNVPROC epoxy_glCombinerParameterivNV = epoxy_glCombinerParameterivNV_dispatch_table_thunk;

PUBLIC PFNGLCOMBINERSTAGEPARAMETERFVNVPROC epoxy_glCombinerStageParameterfvNV = epoxy_glCombinerStageParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLCOMPILESHADERPROC epoxy_glCompileShader = epoxy_glCompileShader_dispatch_table_thunk;

PUBLIC PFNGLCOMPILESHADERARBPROC epoxy_glCompileShaderARB = epoxy_glCompileShaderARB_dispatch_table_thunk;

PUBLIC PFNGLCOMPILESHADERINCLUDEARBPROC epoxy_glCompileShaderIncludeARB = epoxy_glCompileShaderIncludeARB_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDMULTITEXIMAGE1DEXTPROC epoxy_glCompressedMultiTexImage1DEXT = epoxy_glCompressedMultiTexImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDMULTITEXIMAGE2DEXTPROC epoxy_glCompressedMultiTexImage2DEXT = epoxy_glCompressedMultiTexImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDMULTITEXIMAGE3DEXTPROC epoxy_glCompressedMultiTexImage3DEXT = epoxy_glCompressedMultiTexImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDMULTITEXSUBIMAGE1DEXTPROC epoxy_glCompressedMultiTexSubImage1DEXT = epoxy_glCompressedMultiTexSubImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDMULTITEXSUBIMAGE2DEXTPROC epoxy_glCompressedMultiTexSubImage2DEXT = epoxy_glCompressedMultiTexSubImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDMULTITEXSUBIMAGE3DEXTPROC epoxy_glCompressedMultiTexSubImage3DEXT = epoxy_glCompressedMultiTexSubImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE1DPROC epoxy_glCompressedTexImage1D = epoxy_glCompressedTexImage1D_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE1DARBPROC epoxy_glCompressedTexImage1DARB = epoxy_glCompressedTexImage1DARB_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE2DPROC epoxy_glCompressedTexImage2D = epoxy_glCompressedTexImage2D_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE2DARBPROC epoxy_glCompressedTexImage2DARB = epoxy_glCompressedTexImage2DARB_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE3DPROC epoxy_glCompressedTexImage3D = epoxy_glCompressedTexImage3D_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE3DARBPROC epoxy_glCompressedTexImage3DARB = epoxy_glCompressedTexImage3DARB_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE3DOESPROC epoxy_glCompressedTexImage3DOES = epoxy_glCompressedTexImage3DOES_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE1DPROC epoxy_glCompressedTexSubImage1D = epoxy_glCompressedTexSubImage1D_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE1DARBPROC epoxy_glCompressedTexSubImage1DARB = epoxy_glCompressedTexSubImage1DARB_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE2DPROC epoxy_glCompressedTexSubImage2D = epoxy_glCompressedTexSubImage2D_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE2DARBPROC epoxy_glCompressedTexSubImage2DARB = epoxy_glCompressedTexSubImage2DARB_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE3DPROC epoxy_glCompressedTexSubImage3D = epoxy_glCompressedTexSubImage3D_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE3DARBPROC epoxy_glCompressedTexSubImage3DARB = epoxy_glCompressedTexSubImage3DARB_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE3DOESPROC epoxy_glCompressedTexSubImage3DOES = epoxy_glCompressedTexSubImage3DOES_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXTUREIMAGE1DEXTPROC epoxy_glCompressedTextureImage1DEXT = epoxy_glCompressedTextureImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXTUREIMAGE2DEXTPROC epoxy_glCompressedTextureImage2DEXT = epoxy_glCompressedTextureImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXTUREIMAGE3DEXTPROC epoxy_glCompressedTextureImage3DEXT = epoxy_glCompressedTextureImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXTURESUBIMAGE1DEXTPROC epoxy_glCompressedTextureSubImage1DEXT = epoxy_glCompressedTextureSubImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXTURESUBIMAGE2DEXTPROC epoxy_glCompressedTextureSubImage2DEXT = epoxy_glCompressedTextureSubImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOMPRESSEDTEXTURESUBIMAGE3DEXTPROC epoxy_glCompressedTextureSubImage3DEXT = epoxy_glCompressedTextureSubImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONFILTER1DPROC epoxy_glConvolutionFilter1D = epoxy_glConvolutionFilter1D_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONFILTER1DEXTPROC epoxy_glConvolutionFilter1DEXT = epoxy_glConvolutionFilter1DEXT_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONFILTER2DPROC epoxy_glConvolutionFilter2D = epoxy_glConvolutionFilter2D_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONFILTER2DEXTPROC epoxy_glConvolutionFilter2DEXT = epoxy_glConvolutionFilter2DEXT_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONPARAMETERFPROC epoxy_glConvolutionParameterf = epoxy_glConvolutionParameterf_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONPARAMETERFEXTPROC epoxy_glConvolutionParameterfEXT = epoxy_glConvolutionParameterfEXT_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONPARAMETERFVPROC epoxy_glConvolutionParameterfv = epoxy_glConvolutionParameterfv_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONPARAMETERFVEXTPROC epoxy_glConvolutionParameterfvEXT = epoxy_glConvolutionParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONPARAMETERIPROC epoxy_glConvolutionParameteri = epoxy_glConvolutionParameteri_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONPARAMETERIEXTPROC epoxy_glConvolutionParameteriEXT = epoxy_glConvolutionParameteriEXT_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONPARAMETERIVPROC epoxy_glConvolutionParameteriv = epoxy_glConvolutionParameteriv_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONPARAMETERIVEXTPROC epoxy_glConvolutionParameterivEXT = epoxy_glConvolutionParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONPARAMETERXOESPROC epoxy_glConvolutionParameterxOES = epoxy_glConvolutionParameterxOES_dispatch_table_thunk;

PUBLIC PFNGLCONVOLUTIONPARAMETERXVOESPROC epoxy_glConvolutionParameterxvOES = epoxy_glConvolutionParameterxvOES_dispatch_table_thunk;

PUBLIC PFNGLCOPYBUFFERSUBDATAPROC epoxy_glCopyBufferSubData = epoxy_glCopyBufferSubData_dispatch_table_thunk;

PUBLIC PFNGLCOPYBUFFERSUBDATANVPROC epoxy_glCopyBufferSubDataNV = epoxy_glCopyBufferSubDataNV_dispatch_table_thunk;

PUBLIC PFNGLCOPYCOLORSUBTABLEPROC epoxy_glCopyColorSubTable = epoxy_glCopyColorSubTable_dispatch_table_thunk;

PUBLIC PFNGLCOPYCOLORSUBTABLEEXTPROC epoxy_glCopyColorSubTableEXT = epoxy_glCopyColorSubTableEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYCOLORTABLEPROC epoxy_glCopyColorTable = epoxy_glCopyColorTable_dispatch_table_thunk;

PUBLIC PFNGLCOPYCOLORTABLESGIPROC epoxy_glCopyColorTableSGI = epoxy_glCopyColorTableSGI_dispatch_table_thunk;

PUBLIC PFNGLCOPYCONVOLUTIONFILTER1DPROC epoxy_glCopyConvolutionFilter1D = epoxy_glCopyConvolutionFilter1D_dispatch_table_thunk;

PUBLIC PFNGLCOPYCONVOLUTIONFILTER1DEXTPROC epoxy_glCopyConvolutionFilter1DEXT = epoxy_glCopyConvolutionFilter1DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYCONVOLUTIONFILTER2DPROC epoxy_glCopyConvolutionFilter2D = epoxy_glCopyConvolutionFilter2D_dispatch_table_thunk;

PUBLIC PFNGLCOPYCONVOLUTIONFILTER2DEXTPROC epoxy_glCopyConvolutionFilter2DEXT = epoxy_glCopyConvolutionFilter2DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYIMAGESUBDATAPROC epoxy_glCopyImageSubData = epoxy_glCopyImageSubData_dispatch_table_thunk;

PUBLIC PFNGLCOPYIMAGESUBDATANVPROC epoxy_glCopyImageSubDataNV = epoxy_glCopyImageSubDataNV_dispatch_table_thunk;

PUBLIC PFNGLCOPYMULTITEXIMAGE1DEXTPROC epoxy_glCopyMultiTexImage1DEXT = epoxy_glCopyMultiTexImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYMULTITEXIMAGE2DEXTPROC epoxy_glCopyMultiTexImage2DEXT = epoxy_glCopyMultiTexImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYMULTITEXSUBIMAGE1DEXTPROC epoxy_glCopyMultiTexSubImage1DEXT = epoxy_glCopyMultiTexSubImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYMULTITEXSUBIMAGE2DEXTPROC epoxy_glCopyMultiTexSubImage2DEXT = epoxy_glCopyMultiTexSubImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYMULTITEXSUBIMAGE3DEXTPROC epoxy_glCopyMultiTexSubImage3DEXT = epoxy_glCopyMultiTexSubImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYPATHNVPROC epoxy_glCopyPathNV = epoxy_glCopyPathNV_dispatch_table_thunk;

PUBLIC PFNGLCOPYPIXELSPROC epoxy_glCopyPixels = epoxy_glCopyPixels_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXIMAGE1DPROC epoxy_glCopyTexImage1D = epoxy_glCopyTexImage1D_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXIMAGE1DEXTPROC epoxy_glCopyTexImage1DEXT = epoxy_glCopyTexImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXIMAGE2DPROC epoxy_glCopyTexImage2D = epoxy_glCopyTexImage2D_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXIMAGE2DEXTPROC epoxy_glCopyTexImage2DEXT = epoxy_glCopyTexImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXSUBIMAGE1DPROC epoxy_glCopyTexSubImage1D = epoxy_glCopyTexSubImage1D_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXSUBIMAGE1DEXTPROC epoxy_glCopyTexSubImage1DEXT = epoxy_glCopyTexSubImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXSUBIMAGE2DPROC epoxy_glCopyTexSubImage2D = epoxy_glCopyTexSubImage2D_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXSUBIMAGE2DEXTPROC epoxy_glCopyTexSubImage2DEXT = epoxy_glCopyTexSubImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXSUBIMAGE3DPROC epoxy_glCopyTexSubImage3D = epoxy_glCopyTexSubImage3D_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXSUBIMAGE3DEXTPROC epoxy_glCopyTexSubImage3DEXT = epoxy_glCopyTexSubImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXSUBIMAGE3DOESPROC epoxy_glCopyTexSubImage3DOES = epoxy_glCopyTexSubImage3DOES_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXTUREIMAGE1DEXTPROC epoxy_glCopyTextureImage1DEXT = epoxy_glCopyTextureImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXTUREIMAGE2DEXTPROC epoxy_glCopyTextureImage2DEXT = epoxy_glCopyTextureImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXTURELEVELSAPPLEPROC epoxy_glCopyTextureLevelsAPPLE = epoxy_glCopyTextureLevelsAPPLE_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXTURESUBIMAGE1DEXTPROC epoxy_glCopyTextureSubImage1DEXT = epoxy_glCopyTextureSubImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXTURESUBIMAGE2DEXTPROC epoxy_glCopyTextureSubImage2DEXT = epoxy_glCopyTextureSubImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOPYTEXTURESUBIMAGE3DEXTPROC epoxy_glCopyTextureSubImage3DEXT = epoxy_glCopyTextureSubImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLCOVERFILLPATHINSTANCEDNVPROC epoxy_glCoverFillPathInstancedNV = epoxy_glCoverFillPathInstancedNV_dispatch_table_thunk;

PUBLIC PFNGLCOVERFILLPATHNVPROC epoxy_glCoverFillPathNV = epoxy_glCoverFillPathNV_dispatch_table_thunk;

PUBLIC PFNGLCOVERSTROKEPATHINSTANCEDNVPROC epoxy_glCoverStrokePathInstancedNV = epoxy_glCoverStrokePathInstancedNV_dispatch_table_thunk;

PUBLIC PFNGLCOVERSTROKEPATHNVPROC epoxy_glCoverStrokePathNV = epoxy_glCoverStrokePathNV_dispatch_table_thunk;

PUBLIC PFNGLCOVERAGEMASKNVPROC epoxy_glCoverageMaskNV = epoxy_glCoverageMaskNV_dispatch_table_thunk;

PUBLIC PFNGLCOVERAGEOPERATIONNVPROC epoxy_glCoverageOperationNV = epoxy_glCoverageOperationNV_dispatch_table_thunk;

PUBLIC PFNGLCREATEPERFQUERYINTELPROC epoxy_glCreatePerfQueryINTEL = epoxy_glCreatePerfQueryINTEL_dispatch_table_thunk;

PUBLIC PFNGLCREATEPROGRAMPROC epoxy_glCreateProgram = epoxy_glCreateProgram_dispatch_table_thunk;

PUBLIC PFNGLCREATEPROGRAMOBJECTARBPROC epoxy_glCreateProgramObjectARB = epoxy_glCreateProgramObjectARB_dispatch_table_thunk;

PUBLIC PFNGLCREATESHADERPROC epoxy_glCreateShader = epoxy_glCreateShader_dispatch_table_thunk;

PUBLIC PFNGLCREATESHADEROBJECTARBPROC epoxy_glCreateShaderObjectARB = epoxy_glCreateShaderObjectARB_dispatch_table_thunk;

PUBLIC PFNGLCREATESHADERPROGRAMEXTPROC epoxy_glCreateShaderProgramEXT = epoxy_glCreateShaderProgramEXT_dispatch_table_thunk;

PUBLIC PFNGLCREATESHADERPROGRAMVPROC epoxy_glCreateShaderProgramv = epoxy_glCreateShaderProgramv_dispatch_table_thunk;

PUBLIC PFNGLCREATESHADERPROGRAMVEXTPROC epoxy_glCreateShaderProgramvEXT = epoxy_glCreateShaderProgramvEXT_dispatch_table_thunk;

PUBLIC PFNGLCREATESYNCFROMCLEVENTARBPROC epoxy_glCreateSyncFromCLeventARB = epoxy_glCreateSyncFromCLeventARB_dispatch_table_thunk;

PUBLIC PFNGLCULLFACEPROC epoxy_glCullFace = epoxy_glCullFace_dispatch_table_thunk;

PUBLIC PFNGLCULLPARAMETERDVEXTPROC epoxy_glCullParameterdvEXT = epoxy_glCullParameterdvEXT_dispatch_table_thunk;

PUBLIC PFNGLCULLPARAMETERFVEXTPROC epoxy_glCullParameterfvEXT = epoxy_glCullParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLCURRENTPALETTEMATRIXARBPROC epoxy_glCurrentPaletteMatrixARB = epoxy_glCurrentPaletteMatrixARB_dispatch_table_thunk;

PUBLIC PFNGLCURRENTPALETTEMATRIXOESPROC epoxy_glCurrentPaletteMatrixOES = epoxy_glCurrentPaletteMatrixOES_dispatch_table_thunk;

PUBLIC PFNGLDEBUGMESSAGECALLBACKPROC epoxy_glDebugMessageCallback = epoxy_glDebugMessageCallback_dispatch_table_thunk;

PUBLIC PFNGLDEBUGMESSAGECALLBACKAMDPROC epoxy_glDebugMessageCallbackAMD = epoxy_glDebugMessageCallbackAMD_dispatch_table_thunk;

PUBLIC PFNGLDEBUGMESSAGECALLBACKARBPROC epoxy_glDebugMessageCallbackARB = epoxy_glDebugMessageCallbackARB_dispatch_table_thunk;

PUBLIC PFNGLDEBUGMESSAGECALLBACKKHRPROC epoxy_glDebugMessageCallbackKHR = epoxy_glDebugMessageCallbackKHR_dispatch_table_thunk;

PUBLIC PFNGLDEBUGMESSAGECONTROLPROC epoxy_glDebugMessageControl = epoxy_glDebugMessageControl_dispatch_table_thunk;

PUBLIC PFNGLDEBUGMESSAGECONTROLARBPROC epoxy_glDebugMessageControlARB = epoxy_glDebugMessageControlARB_dispatch_table_thunk;

PUBLIC PFNGLDEBUGMESSAGECONTROLKHRPROC epoxy_glDebugMessageControlKHR = epoxy_glDebugMessageControlKHR_dispatch_table_thunk;

PUBLIC PFNGLDEBUGMESSAGEENABLEAMDPROC epoxy_glDebugMessageEnableAMD = epoxy_glDebugMessageEnableAMD_dispatch_table_thunk;

PUBLIC PFNGLDEBUGMESSAGEINSERTPROC epoxy_glDebugMessageInsert = epoxy_glDebugMessageInsert_dispatch_table_thunk;

PUBLIC PFNGLDEBUGMESSAGEINSERTAMDPROC epoxy_glDebugMessageInsertAMD = epoxy_glDebugMessageInsertAMD_dispatch_table_thunk;

PUBLIC PFNGLDEBUGMESSAGEINSERTARBPROC epoxy_glDebugMessageInsertARB = epoxy_glDebugMessageInsertARB_dispatch_table_thunk;

PUBLIC PFNGLDEBUGMESSAGEINSERTKHRPROC epoxy_glDebugMessageInsertKHR = epoxy_glDebugMessageInsertKHR_dispatch_table_thunk;

PUBLIC PFNGLDEFORMSGIXPROC epoxy_glDeformSGIX = epoxy_glDeformSGIX_dispatch_table_thunk;

PUBLIC PFNGLDEFORMATIONMAP3DSGIXPROC epoxy_glDeformationMap3dSGIX = epoxy_glDeformationMap3dSGIX_dispatch_table_thunk;

PUBLIC PFNGLDEFORMATIONMAP3FSGIXPROC epoxy_glDeformationMap3fSGIX = epoxy_glDeformationMap3fSGIX_dispatch_table_thunk;

PUBLIC PFNGLDELETEASYNCMARKERSSGIXPROC epoxy_glDeleteAsyncMarkersSGIX = epoxy_glDeleteAsyncMarkersSGIX_dispatch_table_thunk;

PUBLIC PFNGLDELETEBUFFERSPROC epoxy_glDeleteBuffers = epoxy_glDeleteBuffers_dispatch_table_thunk;

PUBLIC PFNGLDELETEBUFFERSARBPROC epoxy_glDeleteBuffersARB = epoxy_glDeleteBuffersARB_dispatch_table_thunk;

PUBLIC PFNGLDELETEFENCESAPPLEPROC epoxy_glDeleteFencesAPPLE = epoxy_glDeleteFencesAPPLE_dispatch_table_thunk;

PUBLIC PFNGLDELETEFENCESNVPROC epoxy_glDeleteFencesNV = epoxy_glDeleteFencesNV_dispatch_table_thunk;

PUBLIC PFNGLDELETEFRAGMENTSHADERATIPROC epoxy_glDeleteFragmentShaderATI = epoxy_glDeleteFragmentShaderATI_dispatch_table_thunk;

PUBLIC PFNGLDELETEFRAMEBUFFERSPROC epoxy_glDeleteFramebuffers = epoxy_glDeleteFramebuffers_dispatch_table_thunk;

PUBLIC PFNGLDELETEFRAMEBUFFERSEXTPROC epoxy_glDeleteFramebuffersEXT = epoxy_glDeleteFramebuffersEXT_dispatch_table_thunk;

PUBLIC PFNGLDELETEFRAMEBUFFERSOESPROC epoxy_glDeleteFramebuffersOES = epoxy_glDeleteFramebuffersOES_dispatch_table_thunk;

PUBLIC PFNGLDELETELISTSPROC epoxy_glDeleteLists = epoxy_glDeleteLists_dispatch_table_thunk;

PUBLIC PFNGLDELETENAMEDSTRINGARBPROC epoxy_glDeleteNamedStringARB = epoxy_glDeleteNamedStringARB_dispatch_table_thunk;

PUBLIC PFNGLDELETENAMESAMDPROC epoxy_glDeleteNamesAMD = epoxy_glDeleteNamesAMD_dispatch_table_thunk;

PUBLIC PFNGLDELETEOBJECTARBPROC epoxy_glDeleteObjectARB = epoxy_glDeleteObjectARB_dispatch_table_thunk;

PUBLIC PFNGLDELETEOCCLUSIONQUERIESNVPROC epoxy_glDeleteOcclusionQueriesNV = epoxy_glDeleteOcclusionQueriesNV_dispatch_table_thunk;

PUBLIC PFNGLDELETEPATHSNVPROC epoxy_glDeletePathsNV = epoxy_glDeletePathsNV_dispatch_table_thunk;

PUBLIC PFNGLDELETEPERFMONITORSAMDPROC epoxy_glDeletePerfMonitorsAMD = epoxy_glDeletePerfMonitorsAMD_dispatch_table_thunk;

PUBLIC PFNGLDELETEPERFQUERYINTELPROC epoxy_glDeletePerfQueryINTEL = epoxy_glDeletePerfQueryINTEL_dispatch_table_thunk;

PUBLIC PFNGLDELETEPROGRAMPROC epoxy_glDeleteProgram = epoxy_glDeleteProgram_dispatch_table_thunk;

PUBLIC PFNGLDELETEPROGRAMPIPELINESPROC epoxy_glDeleteProgramPipelines = epoxy_glDeleteProgramPipelines_dispatch_table_thunk;

PUBLIC PFNGLDELETEPROGRAMPIPELINESEXTPROC epoxy_glDeleteProgramPipelinesEXT = epoxy_glDeleteProgramPipelinesEXT_dispatch_table_thunk;

PUBLIC PFNGLDELETEPROGRAMSARBPROC epoxy_glDeleteProgramsARB = epoxy_glDeleteProgramsARB_dispatch_table_thunk;

PUBLIC PFNGLDELETEPROGRAMSNVPROC epoxy_glDeleteProgramsNV = epoxy_glDeleteProgramsNV_dispatch_table_thunk;

PUBLIC PFNGLDELETEQUERIESPROC epoxy_glDeleteQueries = epoxy_glDeleteQueries_dispatch_table_thunk;

PUBLIC PFNGLDELETEQUERIESARBPROC epoxy_glDeleteQueriesARB = epoxy_glDeleteQueriesARB_dispatch_table_thunk;

PUBLIC PFNGLDELETEQUERIESEXTPROC epoxy_glDeleteQueriesEXT = epoxy_glDeleteQueriesEXT_dispatch_table_thunk;

PUBLIC PFNGLDELETERENDERBUFFERSPROC epoxy_glDeleteRenderbuffers = epoxy_glDeleteRenderbuffers_dispatch_table_thunk;

PUBLIC PFNGLDELETERENDERBUFFERSEXTPROC epoxy_glDeleteRenderbuffersEXT = epoxy_glDeleteRenderbuffersEXT_dispatch_table_thunk;

PUBLIC PFNGLDELETERENDERBUFFERSOESPROC epoxy_glDeleteRenderbuffersOES = epoxy_glDeleteRenderbuffersOES_dispatch_table_thunk;

PUBLIC PFNGLDELETESAMPLERSPROC epoxy_glDeleteSamplers = epoxy_glDeleteSamplers_dispatch_table_thunk;

PUBLIC PFNGLDELETESHADERPROC epoxy_glDeleteShader = epoxy_glDeleteShader_dispatch_table_thunk;

PUBLIC PFNGLDELETESYNCPROC epoxy_glDeleteSync = epoxy_glDeleteSync_dispatch_table_thunk;

PUBLIC PFNGLDELETESYNCAPPLEPROC epoxy_glDeleteSyncAPPLE = epoxy_glDeleteSyncAPPLE_dispatch_table_thunk;

PUBLIC PFNGLDELETETEXTURESPROC epoxy_glDeleteTextures = epoxy_glDeleteTextures_dispatch_table_thunk;

PUBLIC PFNGLDELETETEXTURESEXTPROC epoxy_glDeleteTexturesEXT = epoxy_glDeleteTexturesEXT_dispatch_table_thunk;

PUBLIC PFNGLDELETETRANSFORMFEEDBACKSPROC epoxy_glDeleteTransformFeedbacks = epoxy_glDeleteTransformFeedbacks_dispatch_table_thunk;

PUBLIC PFNGLDELETETRANSFORMFEEDBACKSNVPROC epoxy_glDeleteTransformFeedbacksNV = epoxy_glDeleteTransformFeedbacksNV_dispatch_table_thunk;

PUBLIC PFNGLDELETEVERTEXARRAYSPROC epoxy_glDeleteVertexArrays = epoxy_glDeleteVertexArrays_dispatch_table_thunk;

PUBLIC PFNGLDELETEVERTEXARRAYSAPPLEPROC epoxy_glDeleteVertexArraysAPPLE = epoxy_glDeleteVertexArraysAPPLE_dispatch_table_thunk;

PUBLIC PFNGLDELETEVERTEXARRAYSOESPROC epoxy_glDeleteVertexArraysOES = epoxy_glDeleteVertexArraysOES_dispatch_table_thunk;

PUBLIC PFNGLDELETEVERTEXSHADEREXTPROC epoxy_glDeleteVertexShaderEXT = epoxy_glDeleteVertexShaderEXT_dispatch_table_thunk;

PUBLIC PFNGLDEPTHBOUNDSEXTPROC epoxy_glDepthBoundsEXT = epoxy_glDepthBoundsEXT_dispatch_table_thunk;

PUBLIC PFNGLDEPTHBOUNDSDNVPROC epoxy_glDepthBoundsdNV = epoxy_glDepthBoundsdNV_dispatch_table_thunk;

PUBLIC PFNGLDEPTHFUNCPROC epoxy_glDepthFunc = epoxy_glDepthFunc_dispatch_table_thunk;

PUBLIC PFNGLDEPTHMASKPROC epoxy_glDepthMask = epoxy_glDepthMask_dispatch_table_thunk;

PUBLIC PFNGLDEPTHRANGEPROC epoxy_glDepthRange = epoxy_glDepthRange_dispatch_table_thunk;

PUBLIC PFNGLDEPTHRANGEARRAYVPROC epoxy_glDepthRangeArrayv = epoxy_glDepthRangeArrayv_dispatch_table_thunk;

PUBLIC PFNGLDEPTHRANGEINDEXEDPROC epoxy_glDepthRangeIndexed = epoxy_glDepthRangeIndexed_dispatch_table_thunk;

PUBLIC PFNGLDEPTHRANGEDNVPROC epoxy_glDepthRangedNV = epoxy_glDepthRangedNV_dispatch_table_thunk;

PUBLIC PFNGLDEPTHRANGEFPROC epoxy_glDepthRangef = epoxy_glDepthRangef_dispatch_table_thunk;

PUBLIC PFNGLDEPTHRANGEFOESPROC epoxy_glDepthRangefOES = epoxy_glDepthRangefOES_dispatch_table_thunk;

PUBLIC PFNGLDEPTHRANGEXPROC epoxy_glDepthRangex = epoxy_glDepthRangex_dispatch_table_thunk;

PUBLIC PFNGLDEPTHRANGEXOESPROC epoxy_glDepthRangexOES = epoxy_glDepthRangexOES_dispatch_table_thunk;

PUBLIC PFNGLDETACHOBJECTARBPROC epoxy_glDetachObjectARB = epoxy_glDetachObjectARB_dispatch_table_thunk;

PUBLIC PFNGLDETACHSHADERPROC epoxy_glDetachShader = epoxy_glDetachShader_dispatch_table_thunk;

PUBLIC PFNGLDETAILTEXFUNCSGISPROC epoxy_glDetailTexFuncSGIS = epoxy_glDetailTexFuncSGIS_dispatch_table_thunk;

PUBLIC PFNGLDISABLEPROC epoxy_glDisable = epoxy_glDisable_dispatch_table_thunk;

PUBLIC PFNGLDISABLECLIENTSTATEPROC epoxy_glDisableClientState = epoxy_glDisableClientState_dispatch_table_thunk;

PUBLIC PFNGLDISABLECLIENTSTATEINDEXEDEXTPROC epoxy_glDisableClientStateIndexedEXT = epoxy_glDisableClientStateIndexedEXT_dispatch_table_thunk;

PUBLIC PFNGLDISABLECLIENTSTATEIEXTPROC epoxy_glDisableClientStateiEXT = epoxy_glDisableClientStateiEXT_dispatch_table_thunk;

PUBLIC PFNGLDISABLEDRIVERCONTROLQCOMPROC epoxy_glDisableDriverControlQCOM = epoxy_glDisableDriverControlQCOM_dispatch_table_thunk;

PUBLIC PFNGLDISABLEINDEXEDEXTPROC epoxy_glDisableIndexedEXT = epoxy_glDisableIndexedEXT_dispatch_table_thunk;

PUBLIC PFNGLDISABLEVARIANTCLIENTSTATEEXTPROC epoxy_glDisableVariantClientStateEXT = epoxy_glDisableVariantClientStateEXT_dispatch_table_thunk;

PUBLIC PFNGLDISABLEVERTEXARRAYATTRIBEXTPROC epoxy_glDisableVertexArrayAttribEXT = epoxy_glDisableVertexArrayAttribEXT_dispatch_table_thunk;

PUBLIC PFNGLDISABLEVERTEXARRAYEXTPROC epoxy_glDisableVertexArrayEXT = epoxy_glDisableVertexArrayEXT_dispatch_table_thunk;

PUBLIC PFNGLDISABLEVERTEXATTRIBAPPLEPROC epoxy_glDisableVertexAttribAPPLE = epoxy_glDisableVertexAttribAPPLE_dispatch_table_thunk;

PUBLIC PFNGLDISABLEVERTEXATTRIBARRAYPROC epoxy_glDisableVertexAttribArray = epoxy_glDisableVertexAttribArray_dispatch_table_thunk;

PUBLIC PFNGLDISABLEVERTEXATTRIBARRAYARBPROC epoxy_glDisableVertexAttribArrayARB = epoxy_glDisableVertexAttribArrayARB_dispatch_table_thunk;

PUBLIC PFNGLDISABLEIPROC epoxy_glDisablei = epoxy_glDisablei_dispatch_table_thunk;

PUBLIC PFNGLDISCARDFRAMEBUFFEREXTPROC epoxy_glDiscardFramebufferEXT = epoxy_glDiscardFramebufferEXT_dispatch_table_thunk;

PUBLIC PFNGLDISPATCHCOMPUTEPROC epoxy_glDispatchCompute = epoxy_glDispatchCompute_dispatch_table_thunk;

PUBLIC PFNGLDISPATCHCOMPUTEGROUPSIZEARBPROC epoxy_glDispatchComputeGroupSizeARB = epoxy_glDispatchComputeGroupSizeARB_dispatch_table_thunk;

PUBLIC PFNGLDISPATCHCOMPUTEINDIRECTPROC epoxy_glDispatchComputeIndirect = epoxy_glDispatchComputeIndirect_dispatch_table_thunk;

PUBLIC PFNGLDRAWARRAYSPROC epoxy_glDrawArrays = epoxy_glDrawArrays_dispatch_table_thunk;

PUBLIC PFNGLDRAWARRAYSEXTPROC epoxy_glDrawArraysEXT = epoxy_glDrawArraysEXT_dispatch_table_thunk;

PUBLIC PFNGLDRAWARRAYSINDIRECTPROC epoxy_glDrawArraysIndirect = epoxy_glDrawArraysIndirect_dispatch_table_thunk;

PUBLIC PFNGLDRAWARRAYSINSTANCEDPROC epoxy_glDrawArraysInstanced = epoxy_glDrawArraysInstanced_dispatch_table_thunk;

PUBLIC PFNGLDRAWARRAYSINSTANCEDANGLEPROC epoxy_glDrawArraysInstancedANGLE = epoxy_glDrawArraysInstancedANGLE_dispatch_table_thunk;

PUBLIC PFNGLDRAWARRAYSINSTANCEDARBPROC epoxy_glDrawArraysInstancedARB = epoxy_glDrawArraysInstancedARB_dispatch_table_thunk;

PUBLIC PFNGLDRAWARRAYSINSTANCEDBASEINSTANCEPROC epoxy_glDrawArraysInstancedBaseInstance = epoxy_glDrawArraysInstancedBaseInstance_dispatch_table_thunk;

PUBLIC PFNGLDRAWARRAYSINSTANCEDEXTPROC epoxy_glDrawArraysInstancedEXT = epoxy_glDrawArraysInstancedEXT_dispatch_table_thunk;

PUBLIC PFNGLDRAWARRAYSINSTANCEDNVPROC epoxy_glDrawArraysInstancedNV = epoxy_glDrawArraysInstancedNV_dispatch_table_thunk;

PUBLIC PFNGLDRAWBUFFERPROC epoxy_glDrawBuffer = epoxy_glDrawBuffer_dispatch_table_thunk;

PUBLIC PFNGLDRAWBUFFERSPROC epoxy_glDrawBuffers = epoxy_glDrawBuffers_dispatch_table_thunk;

PUBLIC PFNGLDRAWBUFFERSARBPROC epoxy_glDrawBuffersARB = epoxy_glDrawBuffersARB_dispatch_table_thunk;

PUBLIC PFNGLDRAWBUFFERSATIPROC epoxy_glDrawBuffersATI = epoxy_glDrawBuffersATI_dispatch_table_thunk;

PUBLIC PFNGLDRAWBUFFERSEXTPROC epoxy_glDrawBuffersEXT = epoxy_glDrawBuffersEXT_dispatch_table_thunk;

PUBLIC PFNGLDRAWBUFFERSINDEXEDEXTPROC epoxy_glDrawBuffersIndexedEXT = epoxy_glDrawBuffersIndexedEXT_dispatch_table_thunk;

PUBLIC PFNGLDRAWBUFFERSNVPROC epoxy_glDrawBuffersNV = epoxy_glDrawBuffersNV_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTARRAYAPPLEPROC epoxy_glDrawElementArrayAPPLE = epoxy_glDrawElementArrayAPPLE_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTARRAYATIPROC epoxy_glDrawElementArrayATI = epoxy_glDrawElementArrayATI_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTSPROC epoxy_glDrawElements = epoxy_glDrawElements_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTSBASEVERTEXPROC epoxy_glDrawElementsBaseVertex = epoxy_glDrawElementsBaseVertex_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTSINDIRECTPROC epoxy_glDrawElementsIndirect = epoxy_glDrawElementsIndirect_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDPROC epoxy_glDrawElementsInstanced = epoxy_glDrawElementsInstanced_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDANGLEPROC epoxy_glDrawElementsInstancedANGLE = epoxy_glDrawElementsInstancedANGLE_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDARBPROC epoxy_glDrawElementsInstancedARB = epoxy_glDrawElementsInstancedARB_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDBASEINSTANCEPROC epoxy_glDrawElementsInstancedBaseInstance = epoxy_glDrawElementsInstancedBaseInstance_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXPROC epoxy_glDrawElementsInstancedBaseVertex = epoxy_glDrawElementsInstancedBaseVertex_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXBASEINSTANCEPROC epoxy_glDrawElementsInstancedBaseVertexBaseInstance = epoxy_glDrawElementsInstancedBaseVertexBaseInstance_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDEXTPROC epoxy_glDrawElementsInstancedEXT = epoxy_glDrawElementsInstancedEXT_dispatch_table_thunk;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDNVPROC epoxy_glDrawElementsInstancedNV = epoxy_glDrawElementsInstancedNV_dispatch_table_thunk;

PUBLIC PFNGLDRAWMESHARRAYSSUNPROC epoxy_glDrawMeshArraysSUN = epoxy_glDrawMeshArraysSUN_dispatch_table_thunk;

PUBLIC PFNGLDRAWPIXELSPROC epoxy_glDrawPixels = epoxy_glDrawPixels_dispatch_table_thunk;

PUBLIC PFNGLDRAWRANGEELEMENTARRAYAPPLEPROC epoxy_glDrawRangeElementArrayAPPLE = epoxy_glDrawRangeElementArrayAPPLE_dispatch_table_thunk;

PUBLIC PFNGLDRAWRANGEELEMENTARRAYATIPROC epoxy_glDrawRangeElementArrayATI = epoxy_glDrawRangeElementArrayATI_dispatch_table_thunk;

PUBLIC PFNGLDRAWRANGEELEMENTSPROC epoxy_glDrawRangeElements = epoxy_glDrawRangeElements_dispatch_table_thunk;

PUBLIC PFNGLDRAWRANGEELEMENTSBASEVERTEXPROC epoxy_glDrawRangeElementsBaseVertex = epoxy_glDrawRangeElementsBaseVertex_dispatch_table_thunk;

PUBLIC PFNGLDRAWRANGEELEMENTSEXTPROC epoxy_glDrawRangeElementsEXT = epoxy_glDrawRangeElementsEXT_dispatch_table_thunk;

PUBLIC PFNGLDRAWTEXFOESPROC epoxy_glDrawTexfOES = epoxy_glDrawTexfOES_dispatch_table_thunk;

PUBLIC PFNGLDRAWTEXFVOESPROC epoxy_glDrawTexfvOES = epoxy_glDrawTexfvOES_dispatch_table_thunk;

PUBLIC PFNGLDRAWTEXIOESPROC epoxy_glDrawTexiOES = epoxy_glDrawTexiOES_dispatch_table_thunk;

PUBLIC PFNGLDRAWTEXIVOESPROC epoxy_glDrawTexivOES = epoxy_glDrawTexivOES_dispatch_table_thunk;

PUBLIC PFNGLDRAWTEXSOESPROC epoxy_glDrawTexsOES = epoxy_glDrawTexsOES_dispatch_table_thunk;

PUBLIC PFNGLDRAWTEXSVOESPROC epoxy_glDrawTexsvOES = epoxy_glDrawTexsvOES_dispatch_table_thunk;

PUBLIC PFNGLDRAWTEXTURENVPROC epoxy_glDrawTextureNV = epoxy_glDrawTextureNV_dispatch_table_thunk;

PUBLIC PFNGLDRAWTEXXOESPROC epoxy_glDrawTexxOES = epoxy_glDrawTexxOES_dispatch_table_thunk;

PUBLIC PFNGLDRAWTEXXVOESPROC epoxy_glDrawTexxvOES = epoxy_glDrawTexxvOES_dispatch_table_thunk;

PUBLIC PFNGLDRAWTRANSFORMFEEDBACKPROC epoxy_glDrawTransformFeedback = epoxy_glDrawTransformFeedback_dispatch_table_thunk;

PUBLIC PFNGLDRAWTRANSFORMFEEDBACKINSTANCEDPROC epoxy_glDrawTransformFeedbackInstanced = epoxy_glDrawTransformFeedbackInstanced_dispatch_table_thunk;

PUBLIC PFNGLDRAWTRANSFORMFEEDBACKNVPROC epoxy_glDrawTransformFeedbackNV = epoxy_glDrawTransformFeedbackNV_dispatch_table_thunk;

PUBLIC PFNGLDRAWTRANSFORMFEEDBACKSTREAMPROC epoxy_glDrawTransformFeedbackStream = epoxy_glDrawTransformFeedbackStream_dispatch_table_thunk;

PUBLIC PFNGLDRAWTRANSFORMFEEDBACKSTREAMINSTANCEDPROC epoxy_glDrawTransformFeedbackStreamInstanced = epoxy_glDrawTransformFeedbackStreamInstanced_dispatch_table_thunk;

PUBLIC PFNGLEGLIMAGETARGETRENDERBUFFERSTORAGEOESPROC epoxy_glEGLImageTargetRenderbufferStorageOES = epoxy_glEGLImageTargetRenderbufferStorageOES_dispatch_table_thunk;

PUBLIC PFNGLEGLIMAGETARGETTEXTURE2DOESPROC epoxy_glEGLImageTargetTexture2DOES = epoxy_glEGLImageTargetTexture2DOES_dispatch_table_thunk;

PUBLIC PFNGLEDGEFLAGPROC epoxy_glEdgeFlag = epoxy_glEdgeFlag_dispatch_table_thunk;

PUBLIC PFNGLEDGEFLAGFORMATNVPROC epoxy_glEdgeFlagFormatNV = epoxy_glEdgeFlagFormatNV_dispatch_table_thunk;

PUBLIC PFNGLEDGEFLAGPOINTERPROC epoxy_glEdgeFlagPointer = epoxy_glEdgeFlagPointer_dispatch_table_thunk;

PUBLIC PFNGLEDGEFLAGPOINTEREXTPROC epoxy_glEdgeFlagPointerEXT = epoxy_glEdgeFlagPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLEDGEFLAGPOINTERLISTIBMPROC epoxy_glEdgeFlagPointerListIBM = epoxy_glEdgeFlagPointerListIBM_dispatch_table_thunk;

PUBLIC PFNGLEDGEFLAGVPROC epoxy_glEdgeFlagv = epoxy_glEdgeFlagv_dispatch_table_thunk;

PUBLIC PFNGLELEMENTPOINTERAPPLEPROC epoxy_glElementPointerAPPLE = epoxy_glElementPointerAPPLE_dispatch_table_thunk;

PUBLIC PFNGLELEMENTPOINTERATIPROC epoxy_glElementPointerATI = epoxy_glElementPointerATI_dispatch_table_thunk;

PUBLIC PFNGLENABLEPROC epoxy_glEnable = epoxy_glEnable_dispatch_table_thunk;

PUBLIC PFNGLENABLECLIENTSTATEPROC epoxy_glEnableClientState = epoxy_glEnableClientState_dispatch_table_thunk;

PUBLIC PFNGLENABLECLIENTSTATEINDEXEDEXTPROC epoxy_glEnableClientStateIndexedEXT = epoxy_glEnableClientStateIndexedEXT_dispatch_table_thunk;

PUBLIC PFNGLENABLECLIENTSTATEIEXTPROC epoxy_glEnableClientStateiEXT = epoxy_glEnableClientStateiEXT_dispatch_table_thunk;

PUBLIC PFNGLENABLEDRIVERCONTROLQCOMPROC epoxy_glEnableDriverControlQCOM = epoxy_glEnableDriverControlQCOM_dispatch_table_thunk;

PUBLIC PFNGLENABLEINDEXEDEXTPROC epoxy_glEnableIndexedEXT = epoxy_glEnableIndexedEXT_dispatch_table_thunk;

PUBLIC PFNGLENABLEVARIANTCLIENTSTATEEXTPROC epoxy_glEnableVariantClientStateEXT = epoxy_glEnableVariantClientStateEXT_dispatch_table_thunk;

PUBLIC PFNGLENABLEVERTEXARRAYATTRIBEXTPROC epoxy_glEnableVertexArrayAttribEXT = epoxy_glEnableVertexArrayAttribEXT_dispatch_table_thunk;

PUBLIC PFNGLENABLEVERTEXARRAYEXTPROC epoxy_glEnableVertexArrayEXT = epoxy_glEnableVertexArrayEXT_dispatch_table_thunk;

PUBLIC PFNGLENABLEVERTEXATTRIBAPPLEPROC epoxy_glEnableVertexAttribAPPLE = epoxy_glEnableVertexAttribAPPLE_dispatch_table_thunk;

PUBLIC PFNGLENABLEVERTEXATTRIBARRAYPROC epoxy_glEnableVertexAttribArray = epoxy_glEnableVertexAttribArray_dispatch_table_thunk;

PUBLIC PFNGLENABLEVERTEXATTRIBARRAYARBPROC epoxy_glEnableVertexAttribArrayARB = epoxy_glEnableVertexAttribArrayARB_dispatch_table_thunk;

PUBLIC PFNGLENABLEIPROC epoxy_glEnablei = epoxy_glEnablei_dispatch_table_thunk;

PFNGLENDPROC epoxy_glEnd_unwrapped = epoxy_glEnd_unwrapped_dispatch_table_thunk;

PUBLIC PFNGLENDCONDITIONALRENDERPROC epoxy_glEndConditionalRender = epoxy_glEndConditionalRender_dispatch_table_thunk;

PUBLIC PFNGLENDCONDITIONALRENDERNVPROC epoxy_glEndConditionalRenderNV = epoxy_glEndConditionalRenderNV_dispatch_table_thunk;

PUBLIC PFNGLENDCONDITIONALRENDERNVXPROC epoxy_glEndConditionalRenderNVX = epoxy_glEndConditionalRenderNVX_dispatch_table_thunk;

PUBLIC PFNGLENDFRAGMENTSHADERATIPROC epoxy_glEndFragmentShaderATI = epoxy_glEndFragmentShaderATI_dispatch_table_thunk;

PUBLIC PFNGLENDLISTPROC epoxy_glEndList = epoxy_glEndList_dispatch_table_thunk;

PUBLIC PFNGLENDOCCLUSIONQUERYNVPROC epoxy_glEndOcclusionQueryNV = epoxy_glEndOcclusionQueryNV_dispatch_table_thunk;

PUBLIC PFNGLENDPERFMONITORAMDPROC epoxy_glEndPerfMonitorAMD = epoxy_glEndPerfMonitorAMD_dispatch_table_thunk;

PUBLIC PFNGLENDPERFQUERYINTELPROC epoxy_glEndPerfQueryINTEL = epoxy_glEndPerfQueryINTEL_dispatch_table_thunk;

PUBLIC PFNGLENDQUERYPROC epoxy_glEndQuery = epoxy_glEndQuery_dispatch_table_thunk;

PUBLIC PFNGLENDQUERYARBPROC epoxy_glEndQueryARB = epoxy_glEndQueryARB_dispatch_table_thunk;

PUBLIC PFNGLENDQUERYEXTPROC epoxy_glEndQueryEXT = epoxy_glEndQueryEXT_dispatch_table_thunk;

PUBLIC PFNGLENDQUERYINDEXEDPROC epoxy_glEndQueryIndexed = epoxy_glEndQueryIndexed_dispatch_table_thunk;

PUBLIC PFNGLENDTILINGQCOMPROC epoxy_glEndTilingQCOM = epoxy_glEndTilingQCOM_dispatch_table_thunk;

PUBLIC PFNGLENDTRANSFORMFEEDBACKPROC epoxy_glEndTransformFeedback = epoxy_glEndTransformFeedback_dispatch_table_thunk;

PUBLIC PFNGLENDTRANSFORMFEEDBACKEXTPROC epoxy_glEndTransformFeedbackEXT = epoxy_glEndTransformFeedbackEXT_dispatch_table_thunk;

PUBLIC PFNGLENDTRANSFORMFEEDBACKNVPROC epoxy_glEndTransformFeedbackNV = epoxy_glEndTransformFeedbackNV_dispatch_table_thunk;

PUBLIC PFNGLENDVERTEXSHADEREXTPROC epoxy_glEndVertexShaderEXT = epoxy_glEndVertexShaderEXT_dispatch_table_thunk;

PUBLIC PFNGLENDVIDEOCAPTURENVPROC epoxy_glEndVideoCaptureNV = epoxy_glEndVideoCaptureNV_dispatch_table_thunk;

PUBLIC PFNGLEVALCOORD1DPROC epoxy_glEvalCoord1d = epoxy_glEvalCoord1d_dispatch_table_thunk;

PUBLIC PFNGLEVALCOORD1DVPROC epoxy_glEvalCoord1dv = epoxy_glEvalCoord1dv_dispatch_table_thunk;

PUBLIC PFNGLEVALCOORD1FPROC epoxy_glEvalCoord1f = epoxy_glEvalCoord1f_dispatch_table_thunk;

PUBLIC PFNGLEVALCOORD1FVPROC epoxy_glEvalCoord1fv = epoxy_glEvalCoord1fv_dispatch_table_thunk;

PUBLIC PFNGLEVALCOORD1XOESPROC epoxy_glEvalCoord1xOES = epoxy_glEvalCoord1xOES_dispatch_table_thunk;

PUBLIC PFNGLEVALCOORD1XVOESPROC epoxy_glEvalCoord1xvOES = epoxy_glEvalCoord1xvOES_dispatch_table_thunk;

PUBLIC PFNGLEVALCOORD2DPROC epoxy_glEvalCoord2d = epoxy_glEvalCoord2d_dispatch_table_thunk;

PUBLIC PFNGLEVALCOORD2DVPROC epoxy_glEvalCoord2dv = epoxy_glEvalCoord2dv_dispatch_table_thunk;

PUBLIC PFNGLEVALCOORD2FPROC epoxy_glEvalCoord2f = epoxy_glEvalCoord2f_dispatch_table_thunk;

PUBLIC PFNGLEVALCOORD2FVPROC epoxy_glEvalCoord2fv = epoxy_glEvalCoord2fv_dispatch_table_thunk;

PUBLIC PFNGLEVALCOORD2XOESPROC epoxy_glEvalCoord2xOES = epoxy_glEvalCoord2xOES_dispatch_table_thunk;

PUBLIC PFNGLEVALCOORD2XVOESPROC epoxy_glEvalCoord2xvOES = epoxy_glEvalCoord2xvOES_dispatch_table_thunk;

PUBLIC PFNGLEVALMAPSNVPROC epoxy_glEvalMapsNV = epoxy_glEvalMapsNV_dispatch_table_thunk;

PUBLIC PFNGLEVALMESH1PROC epoxy_glEvalMesh1 = epoxy_glEvalMesh1_dispatch_table_thunk;

PUBLIC PFNGLEVALMESH2PROC epoxy_glEvalMesh2 = epoxy_glEvalMesh2_dispatch_table_thunk;

PUBLIC PFNGLEVALPOINT1PROC epoxy_glEvalPoint1 = epoxy_glEvalPoint1_dispatch_table_thunk;

PUBLIC PFNGLEVALPOINT2PROC epoxy_glEvalPoint2 = epoxy_glEvalPoint2_dispatch_table_thunk;

PUBLIC PFNGLEXECUTEPROGRAMNVPROC epoxy_glExecuteProgramNV = epoxy_glExecuteProgramNV_dispatch_table_thunk;

PUBLIC PFNGLEXTGETBUFFERPOINTERVQCOMPROC epoxy_glExtGetBufferPointervQCOM = epoxy_glExtGetBufferPointervQCOM_dispatch_table_thunk;

PUBLIC PFNGLEXTGETBUFFERSQCOMPROC epoxy_glExtGetBuffersQCOM = epoxy_glExtGetBuffersQCOM_dispatch_table_thunk;

PUBLIC PFNGLEXTGETFRAMEBUFFERSQCOMPROC epoxy_glExtGetFramebuffersQCOM = epoxy_glExtGetFramebuffersQCOM_dispatch_table_thunk;

PUBLIC PFNGLEXTGETPROGRAMBINARYSOURCEQCOMPROC epoxy_glExtGetProgramBinarySourceQCOM = epoxy_glExtGetProgramBinarySourceQCOM_dispatch_table_thunk;

PUBLIC PFNGLEXTGETPROGRAMSQCOMPROC epoxy_glExtGetProgramsQCOM = epoxy_glExtGetProgramsQCOM_dispatch_table_thunk;

PUBLIC PFNGLEXTGETRENDERBUFFERSQCOMPROC epoxy_glExtGetRenderbuffersQCOM = epoxy_glExtGetRenderbuffersQCOM_dispatch_table_thunk;

PUBLIC PFNGLEXTGETSHADERSQCOMPROC epoxy_glExtGetShadersQCOM = epoxy_glExtGetShadersQCOM_dispatch_table_thunk;

PUBLIC PFNGLEXTGETTEXLEVELPARAMETERIVQCOMPROC epoxy_glExtGetTexLevelParameterivQCOM = epoxy_glExtGetTexLevelParameterivQCOM_dispatch_table_thunk;

PUBLIC PFNGLEXTGETTEXSUBIMAGEQCOMPROC epoxy_glExtGetTexSubImageQCOM = epoxy_glExtGetTexSubImageQCOM_dispatch_table_thunk;

PUBLIC PFNGLEXTGETTEXTURESQCOMPROC epoxy_glExtGetTexturesQCOM = epoxy_glExtGetTexturesQCOM_dispatch_table_thunk;

PUBLIC PFNGLEXTISPROGRAMBINARYQCOMPROC epoxy_glExtIsProgramBinaryQCOM = epoxy_glExtIsProgramBinaryQCOM_dispatch_table_thunk;

PUBLIC PFNGLEXTTEXOBJECTSTATEOVERRIDEIQCOMPROC epoxy_glExtTexObjectStateOverrideiQCOM = epoxy_glExtTexObjectStateOverrideiQCOM_dispatch_table_thunk;

PUBLIC PFNGLEXTRACTCOMPONENTEXTPROC epoxy_glExtractComponentEXT = epoxy_glExtractComponentEXT_dispatch_table_thunk;

PUBLIC PFNGLFEEDBACKBUFFERPROC epoxy_glFeedbackBuffer = epoxy_glFeedbackBuffer_dispatch_table_thunk;

PUBLIC PFNGLFEEDBACKBUFFERXOESPROC epoxy_glFeedbackBufferxOES = epoxy_glFeedbackBufferxOES_dispatch_table_thunk;

PUBLIC PFNGLFENCESYNCPROC epoxy_glFenceSync = epoxy_glFenceSync_dispatch_table_thunk;

PUBLIC PFNGLFENCESYNCAPPLEPROC epoxy_glFenceSyncAPPLE = epoxy_glFenceSyncAPPLE_dispatch_table_thunk;

PUBLIC PFNGLFINALCOMBINERINPUTNVPROC epoxy_glFinalCombinerInputNV = epoxy_glFinalCombinerInputNV_dispatch_table_thunk;

PUBLIC PFNGLFINISHPROC epoxy_glFinish = epoxy_glFinish_dispatch_table_thunk;

PUBLIC PFNGLFINISHASYNCSGIXPROC epoxy_glFinishAsyncSGIX = epoxy_glFinishAsyncSGIX_dispatch_table_thunk;

PUBLIC PFNGLFINISHFENCEAPPLEPROC epoxy_glFinishFenceAPPLE = epoxy_glFinishFenceAPPLE_dispatch_table_thunk;

PUBLIC PFNGLFINISHFENCENVPROC epoxy_glFinishFenceNV = epoxy_glFinishFenceNV_dispatch_table_thunk;

PUBLIC PFNGLFINISHOBJECTAPPLEPROC epoxy_glFinishObjectAPPLE = epoxy_glFinishObjectAPPLE_dispatch_table_thunk;

PUBLIC PFNGLFINISHTEXTURESUNXPROC epoxy_glFinishTextureSUNX = epoxy_glFinishTextureSUNX_dispatch_table_thunk;

PUBLIC PFNGLFLUSHPROC epoxy_glFlush = epoxy_glFlush_dispatch_table_thunk;

PUBLIC PFNGLFLUSHMAPPEDBUFFERRANGEPROC epoxy_glFlushMappedBufferRange = epoxy_glFlushMappedBufferRange_dispatch_table_thunk;

PUBLIC PFNGLFLUSHMAPPEDBUFFERRANGEAPPLEPROC epoxy_glFlushMappedBufferRangeAPPLE = epoxy_glFlushMappedBufferRangeAPPLE_dispatch_table_thunk;

PUBLIC PFNGLFLUSHMAPPEDBUFFERRANGEEXTPROC epoxy_glFlushMappedBufferRangeEXT = epoxy_glFlushMappedBufferRangeEXT_dispatch_table_thunk;

PUBLIC PFNGLFLUSHMAPPEDNAMEDBUFFERRANGEEXTPROC epoxy_glFlushMappedNamedBufferRangeEXT = epoxy_glFlushMappedNamedBufferRangeEXT_dispatch_table_thunk;

PUBLIC PFNGLFLUSHPIXELDATARANGENVPROC epoxy_glFlushPixelDataRangeNV = epoxy_glFlushPixelDataRangeNV_dispatch_table_thunk;

PUBLIC PFNGLFLUSHRASTERSGIXPROC epoxy_glFlushRasterSGIX = epoxy_glFlushRasterSGIX_dispatch_table_thunk;

PUBLIC PFNGLFLUSHSTATICDATAIBMPROC epoxy_glFlushStaticDataIBM = epoxy_glFlushStaticDataIBM_dispatch_table_thunk;

PUBLIC PFNGLFLUSHVERTEXARRAYRANGEAPPLEPROC epoxy_glFlushVertexArrayRangeAPPLE = epoxy_glFlushVertexArrayRangeAPPLE_dispatch_table_thunk;

PUBLIC PFNGLFLUSHVERTEXARRAYRANGENVPROC epoxy_glFlushVertexArrayRangeNV = epoxy_glFlushVertexArrayRangeNV_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDFORMATNVPROC epoxy_glFogCoordFormatNV = epoxy_glFogCoordFormatNV_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDPOINTERPROC epoxy_glFogCoordPointer = epoxy_glFogCoordPointer_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDPOINTEREXTPROC epoxy_glFogCoordPointerEXT = epoxy_glFogCoordPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDPOINTERLISTIBMPROC epoxy_glFogCoordPointerListIBM = epoxy_glFogCoordPointerListIBM_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDDPROC epoxy_glFogCoordd = epoxy_glFogCoordd_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDDEXTPROC epoxy_glFogCoorddEXT = epoxy_glFogCoorddEXT_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDDVPROC epoxy_glFogCoorddv = epoxy_glFogCoorddv_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDDVEXTPROC epoxy_glFogCoorddvEXT = epoxy_glFogCoorddvEXT_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDFPROC epoxy_glFogCoordf = epoxy_glFogCoordf_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDFEXTPROC epoxy_glFogCoordfEXT = epoxy_glFogCoordfEXT_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDFVPROC epoxy_glFogCoordfv = epoxy_glFogCoordfv_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDFVEXTPROC epoxy_glFogCoordfvEXT = epoxy_glFogCoordfvEXT_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDHNVPROC epoxy_glFogCoordhNV = epoxy_glFogCoordhNV_dispatch_table_thunk;

PUBLIC PFNGLFOGCOORDHVNVPROC epoxy_glFogCoordhvNV = epoxy_glFogCoordhvNV_dispatch_table_thunk;

PUBLIC PFNGLFOGFUNCSGISPROC epoxy_glFogFuncSGIS = epoxy_glFogFuncSGIS_dispatch_table_thunk;

PUBLIC PFNGLFOGFPROC epoxy_glFogf = epoxy_glFogf_dispatch_table_thunk;

PUBLIC PFNGLFOGFVPROC epoxy_glFogfv = epoxy_glFogfv_dispatch_table_thunk;

PUBLIC PFNGLFOGIPROC epoxy_glFogi = epoxy_glFogi_dispatch_table_thunk;

PUBLIC PFNGLFOGIVPROC epoxy_glFogiv = epoxy_glFogiv_dispatch_table_thunk;

PUBLIC PFNGLFOGXPROC epoxy_glFogx = epoxy_glFogx_dispatch_table_thunk;

PUBLIC PFNGLFOGXOESPROC epoxy_glFogxOES = epoxy_glFogxOES_dispatch_table_thunk;

PUBLIC PFNGLFOGXVPROC epoxy_glFogxv = epoxy_glFogxv_dispatch_table_thunk;

PUBLIC PFNGLFOGXVOESPROC epoxy_glFogxvOES = epoxy_glFogxvOES_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTCOLORMATERIALSGIXPROC epoxy_glFragmentColorMaterialSGIX = epoxy_glFragmentColorMaterialSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTLIGHTMODELFSGIXPROC epoxy_glFragmentLightModelfSGIX = epoxy_glFragmentLightModelfSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTLIGHTMODELFVSGIXPROC epoxy_glFragmentLightModelfvSGIX = epoxy_glFragmentLightModelfvSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTLIGHTMODELISGIXPROC epoxy_glFragmentLightModeliSGIX = epoxy_glFragmentLightModeliSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTLIGHTMODELIVSGIXPROC epoxy_glFragmentLightModelivSGIX = epoxy_glFragmentLightModelivSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTLIGHTFSGIXPROC epoxy_glFragmentLightfSGIX = epoxy_glFragmentLightfSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTLIGHTFVSGIXPROC epoxy_glFragmentLightfvSGIX = epoxy_glFragmentLightfvSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTLIGHTISGIXPROC epoxy_glFragmentLightiSGIX = epoxy_glFragmentLightiSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTLIGHTIVSGIXPROC epoxy_glFragmentLightivSGIX = epoxy_glFragmentLightivSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTMATERIALFSGIXPROC epoxy_glFragmentMaterialfSGIX = epoxy_glFragmentMaterialfSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTMATERIALFVSGIXPROC epoxy_glFragmentMaterialfvSGIX = epoxy_glFragmentMaterialfvSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTMATERIALISGIXPROC epoxy_glFragmentMaterialiSGIX = epoxy_glFragmentMaterialiSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAGMENTMATERIALIVSGIXPROC epoxy_glFragmentMaterialivSGIX = epoxy_glFragmentMaterialivSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAMETERMINATORGREMEDYPROC epoxy_glFrameTerminatorGREMEDY = epoxy_glFrameTerminatorGREMEDY_dispatch_table_thunk;

PUBLIC PFNGLFRAMEZOOMSGIXPROC epoxy_glFrameZoomSGIX = epoxy_glFrameZoomSGIX_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERDRAWBUFFEREXTPROC epoxy_glFramebufferDrawBufferEXT = epoxy_glFramebufferDrawBufferEXT_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERDRAWBUFFERSEXTPROC epoxy_glFramebufferDrawBuffersEXT = epoxy_glFramebufferDrawBuffersEXT_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERPARAMETERIPROC epoxy_glFramebufferParameteri = epoxy_glFramebufferParameteri_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERREADBUFFEREXTPROC epoxy_glFramebufferReadBufferEXT = epoxy_glFramebufferReadBufferEXT_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERRENDERBUFFERPROC epoxy_glFramebufferRenderbuffer = epoxy_glFramebufferRenderbuffer_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERRENDERBUFFEREXTPROC epoxy_glFramebufferRenderbufferEXT = epoxy_glFramebufferRenderbufferEXT_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERRENDERBUFFEROESPROC epoxy_glFramebufferRenderbufferOES = epoxy_glFramebufferRenderbufferOES_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTUREPROC epoxy_glFramebufferTexture = epoxy_glFramebufferTexture_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURE1DPROC epoxy_glFramebufferTexture1D = epoxy_glFramebufferTexture1D_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURE1DEXTPROC epoxy_glFramebufferTexture1DEXT = epoxy_glFramebufferTexture1DEXT_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURE2DPROC epoxy_glFramebufferTexture2D = epoxy_glFramebufferTexture2D_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURE2DEXTPROC epoxy_glFramebufferTexture2DEXT = epoxy_glFramebufferTexture2DEXT_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEEXTPROC epoxy_glFramebufferTexture2DMultisampleEXT = epoxy_glFramebufferTexture2DMultisampleEXT_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEIMGPROC epoxy_glFramebufferTexture2DMultisampleIMG = epoxy_glFramebufferTexture2DMultisampleIMG_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURE2DOESPROC epoxy_glFramebufferTexture2DOES = epoxy_glFramebufferTexture2DOES_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURE3DPROC epoxy_glFramebufferTexture3D = epoxy_glFramebufferTexture3D_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURE3DEXTPROC epoxy_glFramebufferTexture3DEXT = epoxy_glFramebufferTexture3DEXT_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURE3DOESPROC epoxy_glFramebufferTexture3DOES = epoxy_glFramebufferTexture3DOES_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTUREARBPROC epoxy_glFramebufferTextureARB = epoxy_glFramebufferTextureARB_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTUREEXTPROC epoxy_glFramebufferTextureEXT = epoxy_glFramebufferTextureEXT_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTUREFACEARBPROC epoxy_glFramebufferTextureFaceARB = epoxy_glFramebufferTextureFaceARB_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTUREFACEEXTPROC epoxy_glFramebufferTextureFaceEXT = epoxy_glFramebufferTextureFaceEXT_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURELAYERPROC epoxy_glFramebufferTextureLayer = epoxy_glFramebufferTextureLayer_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURELAYERARBPROC epoxy_glFramebufferTextureLayerARB = epoxy_glFramebufferTextureLayerARB_dispatch_table_thunk;

PUBLIC PFNGLFRAMEBUFFERTEXTURELAYEREXTPROC epoxy_glFramebufferTextureLayerEXT = epoxy_glFramebufferTextureLayerEXT_dispatch_table_thunk;

PUBLIC PFNGLFREEOBJECTBUFFERATIPROC epoxy_glFreeObjectBufferATI = epoxy_glFreeObjectBufferATI_dispatch_table_thunk;

PUBLIC PFNGLFRONTFACEPROC epoxy_glFrontFace = epoxy_glFrontFace_dispatch_table_thunk;

PUBLIC PFNGLFRUSTUMPROC epoxy_glFrustum = epoxy_glFrustum_dispatch_table_thunk;

PUBLIC PFNGLFRUSTUMFPROC epoxy_glFrustumf = epoxy_glFrustumf_dispatch_table_thunk;

PUBLIC PFNGLFRUSTUMFOESPROC epoxy_glFrustumfOES = epoxy_glFrustumfOES_dispatch_table_thunk;

PUBLIC PFNGLFRUSTUMXPROC epoxy_glFrustumx = epoxy_glFrustumx_dispatch_table_thunk;

PUBLIC PFNGLFRUSTUMXOESPROC epoxy_glFrustumxOES = epoxy_glFrustumxOES_dispatch_table_thunk;

PUBLIC PFNGLGENASYNCMARKERSSGIXPROC epoxy_glGenAsyncMarkersSGIX = epoxy_glGenAsyncMarkersSGIX_dispatch_table_thunk;

PUBLIC PFNGLGENBUFFERSPROC epoxy_glGenBuffers = epoxy_glGenBuffers_dispatch_table_thunk;

PUBLIC PFNGLGENBUFFERSARBPROC epoxy_glGenBuffersARB = epoxy_glGenBuffersARB_dispatch_table_thunk;

PUBLIC PFNGLGENFENCESAPPLEPROC epoxy_glGenFencesAPPLE = epoxy_glGenFencesAPPLE_dispatch_table_thunk;

PUBLIC PFNGLGENFENCESNVPROC epoxy_glGenFencesNV = epoxy_glGenFencesNV_dispatch_table_thunk;

PUBLIC PFNGLGENFRAGMENTSHADERSATIPROC epoxy_glGenFragmentShadersATI = epoxy_glGenFragmentShadersATI_dispatch_table_thunk;

PUBLIC PFNGLGENFRAMEBUFFERSPROC epoxy_glGenFramebuffers = epoxy_glGenFramebuffers_dispatch_table_thunk;

PUBLIC PFNGLGENFRAMEBUFFERSEXTPROC epoxy_glGenFramebuffersEXT = epoxy_glGenFramebuffersEXT_dispatch_table_thunk;

PUBLIC PFNGLGENFRAMEBUFFERSOESPROC epoxy_glGenFramebuffersOES = epoxy_glGenFramebuffersOES_dispatch_table_thunk;

PUBLIC PFNGLGENLISTSPROC epoxy_glGenLists = epoxy_glGenLists_dispatch_table_thunk;

PUBLIC PFNGLGENNAMESAMDPROC epoxy_glGenNamesAMD = epoxy_glGenNamesAMD_dispatch_table_thunk;

PUBLIC PFNGLGENOCCLUSIONQUERIESNVPROC epoxy_glGenOcclusionQueriesNV = epoxy_glGenOcclusionQueriesNV_dispatch_table_thunk;

PUBLIC PFNGLGENPATHSNVPROC epoxy_glGenPathsNV = epoxy_glGenPathsNV_dispatch_table_thunk;

PUBLIC PFNGLGENPERFMONITORSAMDPROC epoxy_glGenPerfMonitorsAMD = epoxy_glGenPerfMonitorsAMD_dispatch_table_thunk;

PUBLIC PFNGLGENPROGRAMPIPELINESPROC epoxy_glGenProgramPipelines = epoxy_glGenProgramPipelines_dispatch_table_thunk;

PUBLIC PFNGLGENPROGRAMPIPELINESEXTPROC epoxy_glGenProgramPipelinesEXT = epoxy_glGenProgramPipelinesEXT_dispatch_table_thunk;

PUBLIC PFNGLGENPROGRAMSARBPROC epoxy_glGenProgramsARB = epoxy_glGenProgramsARB_dispatch_table_thunk;

PUBLIC PFNGLGENPROGRAMSNVPROC epoxy_glGenProgramsNV = epoxy_glGenProgramsNV_dispatch_table_thunk;

PUBLIC PFNGLGENQUERIESPROC epoxy_glGenQueries = epoxy_glGenQueries_dispatch_table_thunk;

PUBLIC PFNGLGENQUERIESARBPROC epoxy_glGenQueriesARB = epoxy_glGenQueriesARB_dispatch_table_thunk;

PUBLIC PFNGLGENQUERIESEXTPROC epoxy_glGenQueriesEXT = epoxy_glGenQueriesEXT_dispatch_table_thunk;

PUBLIC PFNGLGENRENDERBUFFERSPROC epoxy_glGenRenderbuffers = epoxy_glGenRenderbuffers_dispatch_table_thunk;

PUBLIC PFNGLGENRENDERBUFFERSEXTPROC epoxy_glGenRenderbuffersEXT = epoxy_glGenRenderbuffersEXT_dispatch_table_thunk;

PUBLIC PFNGLGENRENDERBUFFERSOESPROC epoxy_glGenRenderbuffersOES = epoxy_glGenRenderbuffersOES_dispatch_table_thunk;

PUBLIC PFNGLGENSAMPLERSPROC epoxy_glGenSamplers = epoxy_glGenSamplers_dispatch_table_thunk;

PUBLIC PFNGLGENSYMBOLSEXTPROC epoxy_glGenSymbolsEXT = epoxy_glGenSymbolsEXT_dispatch_table_thunk;

PUBLIC PFNGLGENTEXTURESPROC epoxy_glGenTextures = epoxy_glGenTextures_dispatch_table_thunk;

PUBLIC PFNGLGENTEXTURESEXTPROC epoxy_glGenTexturesEXT = epoxy_glGenTexturesEXT_dispatch_table_thunk;

PUBLIC PFNGLGENTRANSFORMFEEDBACKSPROC epoxy_glGenTransformFeedbacks = epoxy_glGenTransformFeedbacks_dispatch_table_thunk;

PUBLIC PFNGLGENTRANSFORMFEEDBACKSNVPROC epoxy_glGenTransformFeedbacksNV = epoxy_glGenTransformFeedbacksNV_dispatch_table_thunk;

PUBLIC PFNGLGENVERTEXARRAYSPROC epoxy_glGenVertexArrays = epoxy_glGenVertexArrays_dispatch_table_thunk;

PUBLIC PFNGLGENVERTEXARRAYSAPPLEPROC epoxy_glGenVertexArraysAPPLE = epoxy_glGenVertexArraysAPPLE_dispatch_table_thunk;

PUBLIC PFNGLGENVERTEXARRAYSOESPROC epoxy_glGenVertexArraysOES = epoxy_glGenVertexArraysOES_dispatch_table_thunk;

PUBLIC PFNGLGENVERTEXSHADERSEXTPROC epoxy_glGenVertexShadersEXT = epoxy_glGenVertexShadersEXT_dispatch_table_thunk;

PUBLIC PFNGLGENERATEMIPMAPPROC epoxy_glGenerateMipmap = epoxy_glGenerateMipmap_dispatch_table_thunk;

PUBLIC PFNGLGENERATEMIPMAPEXTPROC epoxy_glGenerateMipmapEXT = epoxy_glGenerateMipmapEXT_dispatch_table_thunk;

PUBLIC PFNGLGENERATEMIPMAPOESPROC epoxy_glGenerateMipmapOES = epoxy_glGenerateMipmapOES_dispatch_table_thunk;

PUBLIC PFNGLGENERATEMULTITEXMIPMAPEXTPROC epoxy_glGenerateMultiTexMipmapEXT = epoxy_glGenerateMultiTexMipmapEXT_dispatch_table_thunk;

PUBLIC PFNGLGENERATETEXTUREMIPMAPEXTPROC epoxy_glGenerateTextureMipmapEXT = epoxy_glGenerateTextureMipmapEXT_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVEATOMICCOUNTERBUFFERIVPROC epoxy_glGetActiveAtomicCounterBufferiv = epoxy_glGetActiveAtomicCounterBufferiv_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVEATTRIBPROC epoxy_glGetActiveAttrib = epoxy_glGetActiveAttrib_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVEATTRIBARBPROC epoxy_glGetActiveAttribARB = epoxy_glGetActiveAttribARB_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVESUBROUTINENAMEPROC epoxy_glGetActiveSubroutineName = epoxy_glGetActiveSubroutineName_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVESUBROUTINEUNIFORMNAMEPROC epoxy_glGetActiveSubroutineUniformName = epoxy_glGetActiveSubroutineUniformName_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVESUBROUTINEUNIFORMIVPROC epoxy_glGetActiveSubroutineUniformiv = epoxy_glGetActiveSubroutineUniformiv_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVEUNIFORMPROC epoxy_glGetActiveUniform = epoxy_glGetActiveUniform_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVEUNIFORMARBPROC epoxy_glGetActiveUniformARB = epoxy_glGetActiveUniformARB_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVEUNIFORMBLOCKNAMEPROC epoxy_glGetActiveUniformBlockName = epoxy_glGetActiveUniformBlockName_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVEUNIFORMBLOCKIVPROC epoxy_glGetActiveUniformBlockiv = epoxy_glGetActiveUniformBlockiv_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVEUNIFORMNAMEPROC epoxy_glGetActiveUniformName = epoxy_glGetActiveUniformName_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVEUNIFORMSIVPROC epoxy_glGetActiveUniformsiv = epoxy_glGetActiveUniformsiv_dispatch_table_thunk;

PUBLIC PFNGLGETACTIVEVARYINGNVPROC epoxy_glGetActiveVaryingNV = epoxy_glGetActiveVaryingNV_dispatch_table_thunk;

PUBLIC PFNGLGETARRAYOBJECTFVATIPROC epoxy_glGetArrayObjectfvATI = epoxy_glGetArrayObjectfvATI_dispatch_table_thunk;

PUBLIC PFNGLGETARRAYOBJECTIVATIPROC epoxy_glGetArrayObjectivATI = epoxy_glGetArrayObjectivATI_dispatch_table_thunk;

PUBLIC PFNGLGETATTACHEDOBJECTSARBPROC epoxy_glGetAttachedObjectsARB = epoxy_glGetAttachedObjectsARB_dispatch_table_thunk;

PUBLIC PFNGLGETATTACHEDSHADERSPROC epoxy_glGetAttachedShaders = epoxy_glGetAttachedShaders_dispatch_table_thunk;

PUBLIC PFNGLGETATTRIBLOCATIONPROC epoxy_glGetAttribLocation = epoxy_glGetAttribLocation_dispatch_table_thunk;

PUBLIC PFNGLGETATTRIBLOCATIONARBPROC epoxy_glGetAttribLocationARB = epoxy_glGetAttribLocationARB_dispatch_table_thunk;

PUBLIC PFNGLGETBOOLEANINDEXEDVEXTPROC epoxy_glGetBooleanIndexedvEXT = epoxy_glGetBooleanIndexedvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETBOOLEANI_VPROC epoxy_glGetBooleani_v = epoxy_glGetBooleani_v_dispatch_table_thunk;

PUBLIC PFNGLGETBOOLEANVPROC epoxy_glGetBooleanv = epoxy_glGetBooleanv_dispatch_table_thunk;

PUBLIC PFNGLGETBUFFERPARAMETERI64VPROC epoxy_glGetBufferParameteri64v = epoxy_glGetBufferParameteri64v_dispatch_table_thunk;

PUBLIC PFNGLGETBUFFERPARAMETERIVPROC epoxy_glGetBufferParameteriv = epoxy_glGetBufferParameteriv_dispatch_table_thunk;

PUBLIC PFNGLGETBUFFERPARAMETERIVARBPROC epoxy_glGetBufferParameterivARB = epoxy_glGetBufferParameterivARB_dispatch_table_thunk;

PUBLIC PFNGLGETBUFFERPARAMETERUI64VNVPROC epoxy_glGetBufferParameterui64vNV = epoxy_glGetBufferParameterui64vNV_dispatch_table_thunk;

PUBLIC PFNGLGETBUFFERPOINTERVPROC epoxy_glGetBufferPointerv = epoxy_glGetBufferPointerv_dispatch_table_thunk;

PUBLIC PFNGLGETBUFFERPOINTERVARBPROC epoxy_glGetBufferPointervARB = epoxy_glGetBufferPointervARB_dispatch_table_thunk;

PUBLIC PFNGLGETBUFFERPOINTERVOESPROC epoxy_glGetBufferPointervOES = epoxy_glGetBufferPointervOES_dispatch_table_thunk;

PUBLIC PFNGLGETBUFFERSUBDATAPROC epoxy_glGetBufferSubData = epoxy_glGetBufferSubData_dispatch_table_thunk;

PUBLIC PFNGLGETBUFFERSUBDATAARBPROC epoxy_glGetBufferSubDataARB = epoxy_glGetBufferSubDataARB_dispatch_table_thunk;

PUBLIC PFNGLGETCLIPPLANEPROC epoxy_glGetClipPlane = epoxy_glGetClipPlane_dispatch_table_thunk;

PUBLIC PFNGLGETCLIPPLANEFPROC epoxy_glGetClipPlanef = epoxy_glGetClipPlanef_dispatch_table_thunk;

PUBLIC PFNGLGETCLIPPLANEFOESPROC epoxy_glGetClipPlanefOES = epoxy_glGetClipPlanefOES_dispatch_table_thunk;

PUBLIC PFNGLGETCLIPPLANEXPROC epoxy_glGetClipPlanex = epoxy_glGetClipPlanex_dispatch_table_thunk;

PUBLIC PFNGLGETCLIPPLANEXOESPROC epoxy_glGetClipPlanexOES = epoxy_glGetClipPlanexOES_dispatch_table_thunk;

PUBLIC PFNGLGETCOLORTABLEPROC epoxy_glGetColorTable = epoxy_glGetColorTable_dispatch_table_thunk;

PUBLIC PFNGLGETCOLORTABLEEXTPROC epoxy_glGetColorTableEXT = epoxy_glGetColorTableEXT_dispatch_table_thunk;

PUBLIC PFNGLGETCOLORTABLEPARAMETERFVPROC epoxy_glGetColorTableParameterfv = epoxy_glGetColorTableParameterfv_dispatch_table_thunk;

PUBLIC PFNGLGETCOLORTABLEPARAMETERFVEXTPROC epoxy_glGetColorTableParameterfvEXT = epoxy_glGetColorTableParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETCOLORTABLEPARAMETERFVSGIPROC epoxy_glGetColorTableParameterfvSGI = epoxy_glGetColorTableParameterfvSGI_dispatch_table_thunk;

PUBLIC PFNGLGETCOLORTABLEPARAMETERIVPROC epoxy_glGetColorTableParameteriv = epoxy_glGetColorTableParameteriv_dispatch_table_thunk;

PUBLIC PFNGLGETCOLORTABLEPARAMETERIVEXTPROC epoxy_glGetColorTableParameterivEXT = epoxy_glGetColorTableParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETCOLORTABLEPARAMETERIVSGIPROC epoxy_glGetColorTableParameterivSGI = epoxy_glGetColorTableParameterivSGI_dispatch_table_thunk;

PUBLIC PFNGLGETCOLORTABLESGIPROC epoxy_glGetColorTableSGI = epoxy_glGetColorTableSGI_dispatch_table_thunk;

PUBLIC PFNGLGETCOMBINERINPUTPARAMETERFVNVPROC epoxy_glGetCombinerInputParameterfvNV = epoxy_glGetCombinerInputParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETCOMBINERINPUTPARAMETERIVNVPROC epoxy_glGetCombinerInputParameterivNV = epoxy_glGetCombinerInputParameterivNV_dispatch_table_thunk;

PUBLIC PFNGLGETCOMBINEROUTPUTPARAMETERFVNVPROC epoxy_glGetCombinerOutputParameterfvNV = epoxy_glGetCombinerOutputParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETCOMBINEROUTPUTPARAMETERIVNVPROC epoxy_glGetCombinerOutputParameterivNV = epoxy_glGetCombinerOutputParameterivNV_dispatch_table_thunk;

PUBLIC PFNGLGETCOMBINERSTAGEPARAMETERFVNVPROC epoxy_glGetCombinerStageParameterfvNV = epoxy_glGetCombinerStageParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETCOMPRESSEDMULTITEXIMAGEEXTPROC epoxy_glGetCompressedMultiTexImageEXT = epoxy_glGetCompressedMultiTexImageEXT_dispatch_table_thunk;

PUBLIC PFNGLGETCOMPRESSEDTEXIMAGEPROC epoxy_glGetCompressedTexImage = epoxy_glGetCompressedTexImage_dispatch_table_thunk;

PUBLIC PFNGLGETCOMPRESSEDTEXIMAGEARBPROC epoxy_glGetCompressedTexImageARB = epoxy_glGetCompressedTexImageARB_dispatch_table_thunk;

PUBLIC PFNGLGETCOMPRESSEDTEXTUREIMAGEEXTPROC epoxy_glGetCompressedTextureImageEXT = epoxy_glGetCompressedTextureImageEXT_dispatch_table_thunk;

PUBLIC PFNGLGETCONVOLUTIONFILTERPROC epoxy_glGetConvolutionFilter = epoxy_glGetConvolutionFilter_dispatch_table_thunk;

PUBLIC PFNGLGETCONVOLUTIONFILTEREXTPROC epoxy_glGetConvolutionFilterEXT = epoxy_glGetConvolutionFilterEXT_dispatch_table_thunk;

PUBLIC PFNGLGETCONVOLUTIONPARAMETERFVPROC epoxy_glGetConvolutionParameterfv = epoxy_glGetConvolutionParameterfv_dispatch_table_thunk;

PUBLIC PFNGLGETCONVOLUTIONPARAMETERFVEXTPROC epoxy_glGetConvolutionParameterfvEXT = epoxy_glGetConvolutionParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETCONVOLUTIONPARAMETERIVPROC epoxy_glGetConvolutionParameteriv = epoxy_glGetConvolutionParameteriv_dispatch_table_thunk;

PUBLIC PFNGLGETCONVOLUTIONPARAMETERIVEXTPROC epoxy_glGetConvolutionParameterivEXT = epoxy_glGetConvolutionParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETCONVOLUTIONPARAMETERXVOESPROC epoxy_glGetConvolutionParameterxvOES = epoxy_glGetConvolutionParameterxvOES_dispatch_table_thunk;

PUBLIC PFNGLGETDEBUGMESSAGELOGPROC epoxy_glGetDebugMessageLog = epoxy_glGetDebugMessageLog_dispatch_table_thunk;

PUBLIC PFNGLGETDEBUGMESSAGELOGAMDPROC epoxy_glGetDebugMessageLogAMD = epoxy_glGetDebugMessageLogAMD_dispatch_table_thunk;

PUBLIC PFNGLGETDEBUGMESSAGELOGARBPROC epoxy_glGetDebugMessageLogARB = epoxy_glGetDebugMessageLogARB_dispatch_table_thunk;

PUBLIC PFNGLGETDEBUGMESSAGELOGKHRPROC epoxy_glGetDebugMessageLogKHR = epoxy_glGetDebugMessageLogKHR_dispatch_table_thunk;

PUBLIC PFNGLGETDETAILTEXFUNCSGISPROC epoxy_glGetDetailTexFuncSGIS = epoxy_glGetDetailTexFuncSGIS_dispatch_table_thunk;

PUBLIC PFNGLGETDOUBLEINDEXEDVEXTPROC epoxy_glGetDoubleIndexedvEXT = epoxy_glGetDoubleIndexedvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETDOUBLEI_VPROC epoxy_glGetDoublei_v = epoxy_glGetDoublei_v_dispatch_table_thunk;

PUBLIC PFNGLGETDOUBLEI_VEXTPROC epoxy_glGetDoublei_vEXT = epoxy_glGetDoublei_vEXT_dispatch_table_thunk;

PUBLIC PFNGLGETDOUBLEVPROC epoxy_glGetDoublev = epoxy_glGetDoublev_dispatch_table_thunk;

PUBLIC PFNGLGETDRIVERCONTROLSTRINGQCOMPROC epoxy_glGetDriverControlStringQCOM = epoxy_glGetDriverControlStringQCOM_dispatch_table_thunk;

PUBLIC PFNGLGETDRIVERCONTROLSQCOMPROC epoxy_glGetDriverControlsQCOM = epoxy_glGetDriverControlsQCOM_dispatch_table_thunk;

PUBLIC PFNGLGETERRORPROC epoxy_glGetError = epoxy_glGetError_dispatch_table_thunk;

PUBLIC PFNGLGETFENCEIVNVPROC epoxy_glGetFenceivNV = epoxy_glGetFenceivNV_dispatch_table_thunk;

PUBLIC PFNGLGETFINALCOMBINERINPUTPARAMETERFVNVPROC epoxy_glGetFinalCombinerInputParameterfvNV = epoxy_glGetFinalCombinerInputParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETFINALCOMBINERINPUTPARAMETERIVNVPROC epoxy_glGetFinalCombinerInputParameterivNV = epoxy_glGetFinalCombinerInputParameterivNV_dispatch_table_thunk;

PUBLIC PFNGLGETFIRSTPERFQUERYIDINTELPROC epoxy_glGetFirstPerfQueryIdINTEL = epoxy_glGetFirstPerfQueryIdINTEL_dispatch_table_thunk;

PUBLIC PFNGLGETFIXEDVPROC epoxy_glGetFixedv = epoxy_glGetFixedv_dispatch_table_thunk;

PUBLIC PFNGLGETFIXEDVOESPROC epoxy_glGetFixedvOES = epoxy_glGetFixedvOES_dispatch_table_thunk;

PUBLIC PFNGLGETFLOATINDEXEDVEXTPROC epoxy_glGetFloatIndexedvEXT = epoxy_glGetFloatIndexedvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETFLOATI_VPROC epoxy_glGetFloati_v = epoxy_glGetFloati_v_dispatch_table_thunk;

PUBLIC PFNGLGETFLOATI_VEXTPROC epoxy_glGetFloati_vEXT = epoxy_glGetFloati_vEXT_dispatch_table_thunk;

PUBLIC PFNGLGETFLOATVPROC epoxy_glGetFloatv = epoxy_glGetFloatv_dispatch_table_thunk;

PUBLIC PFNGLGETFOGFUNCSGISPROC epoxy_glGetFogFuncSGIS = epoxy_glGetFogFuncSGIS_dispatch_table_thunk;

PUBLIC PFNGLGETFRAGDATAINDEXPROC epoxy_glGetFragDataIndex = epoxy_glGetFragDataIndex_dispatch_table_thunk;

PUBLIC PFNGLGETFRAGDATALOCATIONPROC epoxy_glGetFragDataLocation = epoxy_glGetFragDataLocation_dispatch_table_thunk;

PUBLIC PFNGLGETFRAGDATALOCATIONEXTPROC epoxy_glGetFragDataLocationEXT = epoxy_glGetFragDataLocationEXT_dispatch_table_thunk;

PUBLIC PFNGLGETFRAGMENTLIGHTFVSGIXPROC epoxy_glGetFragmentLightfvSGIX = epoxy_glGetFragmentLightfvSGIX_dispatch_table_thunk;

PUBLIC PFNGLGETFRAGMENTLIGHTIVSGIXPROC epoxy_glGetFragmentLightivSGIX = epoxy_glGetFragmentLightivSGIX_dispatch_table_thunk;

PUBLIC PFNGLGETFRAGMENTMATERIALFVSGIXPROC epoxy_glGetFragmentMaterialfvSGIX = epoxy_glGetFragmentMaterialfvSGIX_dispatch_table_thunk;

PUBLIC PFNGLGETFRAGMENTMATERIALIVSGIXPROC epoxy_glGetFragmentMaterialivSGIX = epoxy_glGetFragmentMaterialivSGIX_dispatch_table_thunk;

PUBLIC PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVPROC epoxy_glGetFramebufferAttachmentParameteriv = epoxy_glGetFramebufferAttachmentParameteriv_dispatch_table_thunk;

PUBLIC PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC epoxy_glGetFramebufferAttachmentParameterivEXT = epoxy_glGetFramebufferAttachmentParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVOESPROC epoxy_glGetFramebufferAttachmentParameterivOES = epoxy_glGetFramebufferAttachmentParameterivOES_dispatch_table_thunk;

PUBLIC PFNGLGETFRAMEBUFFERPARAMETERIVPROC epoxy_glGetFramebufferParameteriv = epoxy_glGetFramebufferParameteriv_dispatch_table_thunk;

PUBLIC PFNGLGETFRAMEBUFFERPARAMETERIVEXTPROC epoxy_glGetFramebufferParameterivEXT = epoxy_glGetFramebufferParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETGRAPHICSRESETSTATUSARBPROC epoxy_glGetGraphicsResetStatusARB = epoxy_glGetGraphicsResetStatusARB_dispatch_table_thunk;

PUBLIC PFNGLGETGRAPHICSRESETSTATUSEXTPROC epoxy_glGetGraphicsResetStatusEXT = epoxy_glGetGraphicsResetStatusEXT_dispatch_table_thunk;

PUBLIC PFNGLGETHANDLEARBPROC epoxy_glGetHandleARB = epoxy_glGetHandleARB_dispatch_table_thunk;

PUBLIC PFNGLGETHISTOGRAMPROC epoxy_glGetHistogram = epoxy_glGetHistogram_dispatch_table_thunk;

PUBLIC PFNGLGETHISTOGRAMEXTPROC epoxy_glGetHistogramEXT = epoxy_glGetHistogramEXT_dispatch_table_thunk;

PUBLIC PFNGLGETHISTOGRAMPARAMETERFVPROC epoxy_glGetHistogramParameterfv = epoxy_glGetHistogramParameterfv_dispatch_table_thunk;

PUBLIC PFNGLGETHISTOGRAMPARAMETERFVEXTPROC epoxy_glGetHistogramParameterfvEXT = epoxy_glGetHistogramParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETHISTOGRAMPARAMETERIVPROC epoxy_glGetHistogramParameteriv = epoxy_glGetHistogramParameteriv_dispatch_table_thunk;

PUBLIC PFNGLGETHISTOGRAMPARAMETERIVEXTPROC epoxy_glGetHistogramParameterivEXT = epoxy_glGetHistogramParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETHISTOGRAMPARAMETERXVOESPROC epoxy_glGetHistogramParameterxvOES = epoxy_glGetHistogramParameterxvOES_dispatch_table_thunk;

PUBLIC PFNGLGETIMAGEHANDLEARBPROC epoxy_glGetImageHandleARB = epoxy_glGetImageHandleARB_dispatch_table_thunk;

PUBLIC PFNGLGETIMAGEHANDLENVPROC epoxy_glGetImageHandleNV = epoxy_glGetImageHandleNV_dispatch_table_thunk;

PUBLIC PFNGLGETIMAGETRANSFORMPARAMETERFVHPPROC epoxy_glGetImageTransformParameterfvHP = epoxy_glGetImageTransformParameterfvHP_dispatch_table_thunk;

PUBLIC PFNGLGETIMAGETRANSFORMPARAMETERIVHPPROC epoxy_glGetImageTransformParameterivHP = epoxy_glGetImageTransformParameterivHP_dispatch_table_thunk;

PUBLIC PFNGLGETINFOLOGARBPROC epoxy_glGetInfoLogARB = epoxy_glGetInfoLogARB_dispatch_table_thunk;

PUBLIC PFNGLGETINSTRUMENTSSGIXPROC epoxy_glGetInstrumentsSGIX = epoxy_glGetInstrumentsSGIX_dispatch_table_thunk;

PUBLIC PFNGLGETINTEGER64I_VPROC epoxy_glGetInteger64i_v = epoxy_glGetInteger64i_v_dispatch_table_thunk;

PUBLIC PFNGLGETINTEGER64VPROC epoxy_glGetInteger64v = epoxy_glGetInteger64v_dispatch_table_thunk;

PUBLIC PFNGLGETINTEGER64VAPPLEPROC epoxy_glGetInteger64vAPPLE = epoxy_glGetInteger64vAPPLE_dispatch_table_thunk;

PUBLIC PFNGLGETINTEGERINDEXEDVEXTPROC epoxy_glGetIntegerIndexedvEXT = epoxy_glGetIntegerIndexedvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETINTEGERI_VPROC epoxy_glGetIntegeri_v = epoxy_glGetIntegeri_v_dispatch_table_thunk;

PUBLIC PFNGLGETINTEGERI_VEXTPROC epoxy_glGetIntegeri_vEXT = epoxy_glGetIntegeri_vEXT_dispatch_table_thunk;

PUBLIC PFNGLGETINTEGERUI64I_VNVPROC epoxy_glGetIntegerui64i_vNV = epoxy_glGetIntegerui64i_vNV_dispatch_table_thunk;

PUBLIC PFNGLGETINTEGERUI64VNVPROC epoxy_glGetIntegerui64vNV = epoxy_glGetIntegerui64vNV_dispatch_table_thunk;

PUBLIC PFNGLGETINTEGERVPROC epoxy_glGetIntegerv = epoxy_glGetIntegerv_dispatch_table_thunk;

PUBLIC PFNGLGETINTERNALFORMATI64VPROC epoxy_glGetInternalformati64v = epoxy_glGetInternalformati64v_dispatch_table_thunk;

PUBLIC PFNGLGETINTERNALFORMATIVPROC epoxy_glGetInternalformativ = epoxy_glGetInternalformativ_dispatch_table_thunk;

PUBLIC PFNGLGETINVARIANTBOOLEANVEXTPROC epoxy_glGetInvariantBooleanvEXT = epoxy_glGetInvariantBooleanvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETINVARIANTFLOATVEXTPROC epoxy_glGetInvariantFloatvEXT = epoxy_glGetInvariantFloatvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETINVARIANTINTEGERVEXTPROC epoxy_glGetInvariantIntegervEXT = epoxy_glGetInvariantIntegervEXT_dispatch_table_thunk;

PUBLIC PFNGLGETLIGHTFVPROC epoxy_glGetLightfv = epoxy_glGetLightfv_dispatch_table_thunk;

PUBLIC PFNGLGETLIGHTIVPROC epoxy_glGetLightiv = epoxy_glGetLightiv_dispatch_table_thunk;

PUBLIC PFNGLGETLIGHTXOESPROC epoxy_glGetLightxOES = epoxy_glGetLightxOES_dispatch_table_thunk;

PUBLIC PFNGLGETLIGHTXVPROC epoxy_glGetLightxv = epoxy_glGetLightxv_dispatch_table_thunk;

PUBLIC PFNGLGETLIGHTXVOESPROC epoxy_glGetLightxvOES = epoxy_glGetLightxvOES_dispatch_table_thunk;

PUBLIC PFNGLGETLISTPARAMETERFVSGIXPROC epoxy_glGetListParameterfvSGIX = epoxy_glGetListParameterfvSGIX_dispatch_table_thunk;

PUBLIC PFNGLGETLISTPARAMETERIVSGIXPROC epoxy_glGetListParameterivSGIX = epoxy_glGetListParameterivSGIX_dispatch_table_thunk;

PUBLIC PFNGLGETLOCALCONSTANTBOOLEANVEXTPROC epoxy_glGetLocalConstantBooleanvEXT = epoxy_glGetLocalConstantBooleanvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETLOCALCONSTANTFLOATVEXTPROC epoxy_glGetLocalConstantFloatvEXT = epoxy_glGetLocalConstantFloatvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETLOCALCONSTANTINTEGERVEXTPROC epoxy_glGetLocalConstantIntegervEXT = epoxy_glGetLocalConstantIntegervEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMAPATTRIBPARAMETERFVNVPROC epoxy_glGetMapAttribParameterfvNV = epoxy_glGetMapAttribParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETMAPATTRIBPARAMETERIVNVPROC epoxy_glGetMapAttribParameterivNV = epoxy_glGetMapAttribParameterivNV_dispatch_table_thunk;

PUBLIC PFNGLGETMAPCONTROLPOINTSNVPROC epoxy_glGetMapControlPointsNV = epoxy_glGetMapControlPointsNV_dispatch_table_thunk;

PUBLIC PFNGLGETMAPPARAMETERFVNVPROC epoxy_glGetMapParameterfvNV = epoxy_glGetMapParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETMAPPARAMETERIVNVPROC epoxy_glGetMapParameterivNV = epoxy_glGetMapParameterivNV_dispatch_table_thunk;

PUBLIC PFNGLGETMAPDVPROC epoxy_glGetMapdv = epoxy_glGetMapdv_dispatch_table_thunk;

PUBLIC PFNGLGETMAPFVPROC epoxy_glGetMapfv = epoxy_glGetMapfv_dispatch_table_thunk;

PUBLIC PFNGLGETMAPIVPROC epoxy_glGetMapiv = epoxy_glGetMapiv_dispatch_table_thunk;

PUBLIC PFNGLGETMAPXVOESPROC epoxy_glGetMapxvOES = epoxy_glGetMapxvOES_dispatch_table_thunk;

PUBLIC PFNGLGETMATERIALFVPROC epoxy_glGetMaterialfv = epoxy_glGetMaterialfv_dispatch_table_thunk;

PUBLIC PFNGLGETMATERIALIVPROC epoxy_glGetMaterialiv = epoxy_glGetMaterialiv_dispatch_table_thunk;

PUBLIC PFNGLGETMATERIALXOESPROC epoxy_glGetMaterialxOES = epoxy_glGetMaterialxOES_dispatch_table_thunk;

PUBLIC PFNGLGETMATERIALXVPROC epoxy_glGetMaterialxv = epoxy_glGetMaterialxv_dispatch_table_thunk;

PUBLIC PFNGLGETMATERIALXVOESPROC epoxy_glGetMaterialxvOES = epoxy_glGetMaterialxvOES_dispatch_table_thunk;

PUBLIC PFNGLGETMINMAXPROC epoxy_glGetMinmax = epoxy_glGetMinmax_dispatch_table_thunk;

PUBLIC PFNGLGETMINMAXEXTPROC epoxy_glGetMinmaxEXT = epoxy_glGetMinmaxEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMINMAXPARAMETERFVPROC epoxy_glGetMinmaxParameterfv = epoxy_glGetMinmaxParameterfv_dispatch_table_thunk;

PUBLIC PFNGLGETMINMAXPARAMETERFVEXTPROC epoxy_glGetMinmaxParameterfvEXT = epoxy_glGetMinmaxParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMINMAXPARAMETERIVPROC epoxy_glGetMinmaxParameteriv = epoxy_glGetMinmaxParameteriv_dispatch_table_thunk;

PUBLIC PFNGLGETMINMAXPARAMETERIVEXTPROC epoxy_glGetMinmaxParameterivEXT = epoxy_glGetMinmaxParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTITEXENVFVEXTPROC epoxy_glGetMultiTexEnvfvEXT = epoxy_glGetMultiTexEnvfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTITEXENVIVEXTPROC epoxy_glGetMultiTexEnvivEXT = epoxy_glGetMultiTexEnvivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTITEXGENDVEXTPROC epoxy_glGetMultiTexGendvEXT = epoxy_glGetMultiTexGendvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTITEXGENFVEXTPROC epoxy_glGetMultiTexGenfvEXT = epoxy_glGetMultiTexGenfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTITEXGENIVEXTPROC epoxy_glGetMultiTexGenivEXT = epoxy_glGetMultiTexGenivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTITEXIMAGEEXTPROC epoxy_glGetMultiTexImageEXT = epoxy_glGetMultiTexImageEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTITEXLEVELPARAMETERFVEXTPROC epoxy_glGetMultiTexLevelParameterfvEXT = epoxy_glGetMultiTexLevelParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTITEXLEVELPARAMETERIVEXTPROC epoxy_glGetMultiTexLevelParameterivEXT = epoxy_glGetMultiTexLevelParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTITEXPARAMETERIIVEXTPROC epoxy_glGetMultiTexParameterIivEXT = epoxy_glGetMultiTexParameterIivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTITEXPARAMETERIUIVEXTPROC epoxy_glGetMultiTexParameterIuivEXT = epoxy_glGetMultiTexParameterIuivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTITEXPARAMETERFVEXTPROC epoxy_glGetMultiTexParameterfvEXT = epoxy_glGetMultiTexParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTITEXPARAMETERIVEXTPROC epoxy_glGetMultiTexParameterivEXT = epoxy_glGetMultiTexParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETMULTISAMPLEFVPROC epoxy_glGetMultisamplefv = epoxy_glGetMultisamplefv_dispatch_table_thunk;

PUBLIC PFNGLGETMULTISAMPLEFVNVPROC epoxy_glGetMultisamplefvNV = epoxy_glGetMultisamplefvNV_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDBUFFERPARAMETERIVEXTPROC epoxy_glGetNamedBufferParameterivEXT = epoxy_glGetNamedBufferParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDBUFFERPARAMETERUI64VNVPROC epoxy_glGetNamedBufferParameterui64vNV = epoxy_glGetNamedBufferParameterui64vNV_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDBUFFERPOINTERVEXTPROC epoxy_glGetNamedBufferPointervEXT = epoxy_glGetNamedBufferPointervEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDBUFFERSUBDATAEXTPROC epoxy_glGetNamedBufferSubDataEXT = epoxy_glGetNamedBufferSubDataEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC epoxy_glGetNamedFramebufferAttachmentParameterivEXT = epoxy_glGetNamedFramebufferAttachmentParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDFRAMEBUFFERPARAMETERIVEXTPROC epoxy_glGetNamedFramebufferParameterivEXT = epoxy_glGetNamedFramebufferParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDPROGRAMLOCALPARAMETERIIVEXTPROC epoxy_glGetNamedProgramLocalParameterIivEXT = epoxy_glGetNamedProgramLocalParameterIivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDPROGRAMLOCALPARAMETERIUIVEXTPROC epoxy_glGetNamedProgramLocalParameterIuivEXT = epoxy_glGetNamedProgramLocalParameterIuivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDPROGRAMLOCALPARAMETERDVEXTPROC epoxy_glGetNamedProgramLocalParameterdvEXT = epoxy_glGetNamedProgramLocalParameterdvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDPROGRAMLOCALPARAMETERFVEXTPROC epoxy_glGetNamedProgramLocalParameterfvEXT = epoxy_glGetNamedProgramLocalParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDPROGRAMSTRINGEXTPROC epoxy_glGetNamedProgramStringEXT = epoxy_glGetNamedProgramStringEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDPROGRAMIVEXTPROC epoxy_glGetNamedProgramivEXT = epoxy_glGetNamedProgramivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDRENDERBUFFERPARAMETERIVEXTPROC epoxy_glGetNamedRenderbufferParameterivEXT = epoxy_glGetNamedRenderbufferParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDSTRINGARBPROC epoxy_glGetNamedStringARB = epoxy_glGetNamedStringARB_dispatch_table_thunk;

PUBLIC PFNGLGETNAMEDSTRINGIVARBPROC epoxy_glGetNamedStringivARB = epoxy_glGetNamedStringivARB_dispatch_table_thunk;

PUBLIC PFNGLGETNEXTPERFQUERYIDINTELPROC epoxy_glGetNextPerfQueryIdINTEL = epoxy_glGetNextPerfQueryIdINTEL_dispatch_table_thunk;

PUBLIC PFNGLGETOBJECTBUFFERFVATIPROC epoxy_glGetObjectBufferfvATI = epoxy_glGetObjectBufferfvATI_dispatch_table_thunk;

PUBLIC PFNGLGETOBJECTBUFFERIVATIPROC epoxy_glGetObjectBufferivATI = epoxy_glGetObjectBufferivATI_dispatch_table_thunk;

PUBLIC PFNGLGETOBJECTLABELPROC epoxy_glGetObjectLabel = epoxy_glGetObjectLabel_dispatch_table_thunk;

PUBLIC PFNGLGETOBJECTLABELEXTPROC epoxy_glGetObjectLabelEXT = epoxy_glGetObjectLabelEXT_dispatch_table_thunk;

PUBLIC PFNGLGETOBJECTLABELKHRPROC epoxy_glGetObjectLabelKHR = epoxy_glGetObjectLabelKHR_dispatch_table_thunk;

PUBLIC PFNGLGETOBJECTPARAMETERFVARBPROC epoxy_glGetObjectParameterfvARB = epoxy_glGetObjectParameterfvARB_dispatch_table_thunk;

PUBLIC PFNGLGETOBJECTPARAMETERIVAPPLEPROC epoxy_glGetObjectParameterivAPPLE = epoxy_glGetObjectParameterivAPPLE_dispatch_table_thunk;

PUBLIC PFNGLGETOBJECTPARAMETERIVARBPROC epoxy_glGetObjectParameterivARB = epoxy_glGetObjectParameterivARB_dispatch_table_thunk;

PUBLIC PFNGLGETOBJECTPTRLABELPROC epoxy_glGetObjectPtrLabel = epoxy_glGetObjectPtrLabel_dispatch_table_thunk;

PUBLIC PFNGLGETOBJECTPTRLABELKHRPROC epoxy_glGetObjectPtrLabelKHR = epoxy_glGetObjectPtrLabelKHR_dispatch_table_thunk;

PUBLIC PFNGLGETOCCLUSIONQUERYIVNVPROC epoxy_glGetOcclusionQueryivNV = epoxy_glGetOcclusionQueryivNV_dispatch_table_thunk;

PUBLIC PFNGLGETOCCLUSIONQUERYUIVNVPROC epoxy_glGetOcclusionQueryuivNV = epoxy_glGetOcclusionQueryuivNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHCOLORGENFVNVPROC epoxy_glGetPathColorGenfvNV = epoxy_glGetPathColorGenfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHCOLORGENIVNVPROC epoxy_glGetPathColorGenivNV = epoxy_glGetPathColorGenivNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHCOMMANDSNVPROC epoxy_glGetPathCommandsNV = epoxy_glGetPathCommandsNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHCOORDSNVPROC epoxy_glGetPathCoordsNV = epoxy_glGetPathCoordsNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHDASHARRAYNVPROC epoxy_glGetPathDashArrayNV = epoxy_glGetPathDashArrayNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHLENGTHNVPROC epoxy_glGetPathLengthNV = epoxy_glGetPathLengthNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHMETRICRANGENVPROC epoxy_glGetPathMetricRangeNV = epoxy_glGetPathMetricRangeNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHMETRICSNVPROC epoxy_glGetPathMetricsNV = epoxy_glGetPathMetricsNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHPARAMETERFVNVPROC epoxy_glGetPathParameterfvNV = epoxy_glGetPathParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHPARAMETERIVNVPROC epoxy_glGetPathParameterivNV = epoxy_glGetPathParameterivNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHSPACINGNVPROC epoxy_glGetPathSpacingNV = epoxy_glGetPathSpacingNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHTEXGENFVNVPROC epoxy_glGetPathTexGenfvNV = epoxy_glGetPathTexGenfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETPATHTEXGENIVNVPROC epoxy_glGetPathTexGenivNV = epoxy_glGetPathTexGenivNV_dispatch_table_thunk;

PUBLIC PFNGLGETPERFCOUNTERINFOINTELPROC epoxy_glGetPerfCounterInfoINTEL = epoxy_glGetPerfCounterInfoINTEL_dispatch_table_thunk;

PUBLIC PFNGLGETPERFMONITORCOUNTERDATAAMDPROC epoxy_glGetPerfMonitorCounterDataAMD = epoxy_glGetPerfMonitorCounterDataAMD_dispatch_table_thunk;

PUBLIC PFNGLGETPERFMONITORCOUNTERINFOAMDPROC epoxy_glGetPerfMonitorCounterInfoAMD = epoxy_glGetPerfMonitorCounterInfoAMD_dispatch_table_thunk;

PUBLIC PFNGLGETPERFMONITORCOUNTERSTRINGAMDPROC epoxy_glGetPerfMonitorCounterStringAMD = epoxy_glGetPerfMonitorCounterStringAMD_dispatch_table_thunk;

PUBLIC PFNGLGETPERFMONITORCOUNTERSAMDPROC epoxy_glGetPerfMonitorCountersAMD = epoxy_glGetPerfMonitorCountersAMD_dispatch_table_thunk;

PUBLIC PFNGLGETPERFMONITORGROUPSTRINGAMDPROC epoxy_glGetPerfMonitorGroupStringAMD = epoxy_glGetPerfMonitorGroupStringAMD_dispatch_table_thunk;

PUBLIC PFNGLGETPERFMONITORGROUPSAMDPROC epoxy_glGetPerfMonitorGroupsAMD = epoxy_glGetPerfMonitorGroupsAMD_dispatch_table_thunk;

PUBLIC PFNGLGETPERFQUERYDATAINTELPROC epoxy_glGetPerfQueryDataINTEL = epoxy_glGetPerfQueryDataINTEL_dispatch_table_thunk;

PUBLIC PFNGLGETPERFQUERYIDBYNAMEINTELPROC epoxy_glGetPerfQueryIdByNameINTEL = epoxy_glGetPerfQueryIdByNameINTEL_dispatch_table_thunk;

PUBLIC PFNGLGETPERFQUERYINFOINTELPROC epoxy_glGetPerfQueryInfoINTEL = epoxy_glGetPerfQueryInfoINTEL_dispatch_table_thunk;

PUBLIC PFNGLGETPIXELMAPFVPROC epoxy_glGetPixelMapfv = epoxy_glGetPixelMapfv_dispatch_table_thunk;

PUBLIC PFNGLGETPIXELMAPUIVPROC epoxy_glGetPixelMapuiv = epoxy_glGetPixelMapuiv_dispatch_table_thunk;

PUBLIC PFNGLGETPIXELMAPUSVPROC epoxy_glGetPixelMapusv = epoxy_glGetPixelMapusv_dispatch_table_thunk;

PUBLIC PFNGLGETPIXELMAPXVPROC epoxy_glGetPixelMapxv = epoxy_glGetPixelMapxv_dispatch_table_thunk;

PUBLIC PFNGLGETPIXELTEXGENPARAMETERFVSGISPROC epoxy_glGetPixelTexGenParameterfvSGIS = epoxy_glGetPixelTexGenParameterfvSGIS_dispatch_table_thunk;

PUBLIC PFNGLGETPIXELTEXGENPARAMETERIVSGISPROC epoxy_glGetPixelTexGenParameterivSGIS = epoxy_glGetPixelTexGenParameterivSGIS_dispatch_table_thunk;

PUBLIC PFNGLGETPIXELTRANSFORMPARAMETERFVEXTPROC epoxy_glGetPixelTransformParameterfvEXT = epoxy_glGetPixelTransformParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETPIXELTRANSFORMPARAMETERIVEXTPROC epoxy_glGetPixelTransformParameterivEXT = epoxy_glGetPixelTransformParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETPOINTERINDEXEDVEXTPROC epoxy_glGetPointerIndexedvEXT = epoxy_glGetPointerIndexedvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETPOINTERI_VEXTPROC epoxy_glGetPointeri_vEXT = epoxy_glGetPointeri_vEXT_dispatch_table_thunk;

PUBLIC PFNGLGETPOINTERVPROC epoxy_glGetPointerv = epoxy_glGetPointerv_dispatch_table_thunk;

PUBLIC PFNGLGETPOINTERVEXTPROC epoxy_glGetPointervEXT = epoxy_glGetPointervEXT_dispatch_table_thunk;

PUBLIC PFNGLGETPOINTERVKHRPROC epoxy_glGetPointervKHR = epoxy_glGetPointervKHR_dispatch_table_thunk;

PUBLIC PFNGLGETPOLYGONSTIPPLEPROC epoxy_glGetPolygonStipple = epoxy_glGetPolygonStipple_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMBINARYPROC epoxy_glGetProgramBinary = epoxy_glGetProgramBinary_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMBINARYOESPROC epoxy_glGetProgramBinaryOES = epoxy_glGetProgramBinaryOES_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMENVPARAMETERIIVNVPROC epoxy_glGetProgramEnvParameterIivNV = epoxy_glGetProgramEnvParameterIivNV_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMENVPARAMETERIUIVNVPROC epoxy_glGetProgramEnvParameterIuivNV = epoxy_glGetProgramEnvParameterIuivNV_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMENVPARAMETERDVARBPROC epoxy_glGetProgramEnvParameterdvARB = epoxy_glGetProgramEnvParameterdvARB_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMENVPARAMETERFVARBPROC epoxy_glGetProgramEnvParameterfvARB = epoxy_glGetProgramEnvParameterfvARB_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMINFOLOGPROC epoxy_glGetProgramInfoLog = epoxy_glGetProgramInfoLog_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMINTERFACEIVPROC epoxy_glGetProgramInterfaceiv = epoxy_glGetProgramInterfaceiv_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMLOCALPARAMETERIIVNVPROC epoxy_glGetProgramLocalParameterIivNV = epoxy_glGetProgramLocalParameterIivNV_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMLOCALPARAMETERIUIVNVPROC epoxy_glGetProgramLocalParameterIuivNV = epoxy_glGetProgramLocalParameterIuivNV_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMLOCALPARAMETERDVARBPROC epoxy_glGetProgramLocalParameterdvARB = epoxy_glGetProgramLocalParameterdvARB_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMLOCALPARAMETERFVARBPROC epoxy_glGetProgramLocalParameterfvARB = epoxy_glGetProgramLocalParameterfvARB_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMNAMEDPARAMETERDVNVPROC epoxy_glGetProgramNamedParameterdvNV = epoxy_glGetProgramNamedParameterdvNV_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMNAMEDPARAMETERFVNVPROC epoxy_glGetProgramNamedParameterfvNV = epoxy_glGetProgramNamedParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMPARAMETERDVNVPROC epoxy_glGetProgramParameterdvNV = epoxy_glGetProgramParameterdvNV_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMPARAMETERFVNVPROC epoxy_glGetProgramParameterfvNV = epoxy_glGetProgramParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMPIPELINEINFOLOGPROC epoxy_glGetProgramPipelineInfoLog = epoxy_glGetProgramPipelineInfoLog_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMPIPELINEINFOLOGEXTPROC epoxy_glGetProgramPipelineInfoLogEXT = epoxy_glGetProgramPipelineInfoLogEXT_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMPIPELINEIVPROC epoxy_glGetProgramPipelineiv = epoxy_glGetProgramPipelineiv_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMPIPELINEIVEXTPROC epoxy_glGetProgramPipelineivEXT = epoxy_glGetProgramPipelineivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMRESOURCEINDEXPROC epoxy_glGetProgramResourceIndex = epoxy_glGetProgramResourceIndex_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMRESOURCELOCATIONPROC epoxy_glGetProgramResourceLocation = epoxy_glGetProgramResourceLocation_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMRESOURCELOCATIONINDEXPROC epoxy_glGetProgramResourceLocationIndex = epoxy_glGetProgramResourceLocationIndex_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMRESOURCENAMEPROC epoxy_glGetProgramResourceName = epoxy_glGetProgramResourceName_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMRESOURCEIVPROC epoxy_glGetProgramResourceiv = epoxy_glGetProgramResourceiv_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMSTAGEIVPROC epoxy_glGetProgramStageiv = epoxy_glGetProgramStageiv_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMSTRINGARBPROC epoxy_glGetProgramStringARB = epoxy_glGetProgramStringARB_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMSTRINGNVPROC epoxy_glGetProgramStringNV = epoxy_glGetProgramStringNV_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMSUBROUTINEPARAMETERUIVNVPROC epoxy_glGetProgramSubroutineParameteruivNV = epoxy_glGetProgramSubroutineParameteruivNV_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMIVPROC epoxy_glGetProgramiv = epoxy_glGetProgramiv_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMIVARBPROC epoxy_glGetProgramivARB = epoxy_glGetProgramivARB_dispatch_table_thunk;

PUBLIC PFNGLGETPROGRAMIVNVPROC epoxy_glGetProgramivNV = epoxy_glGetProgramivNV_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYINDEXEDIVPROC epoxy_glGetQueryIndexediv = epoxy_glGetQueryIndexediv_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYOBJECTI64VPROC epoxy_glGetQueryObjecti64v = epoxy_glGetQueryObjecti64v_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYOBJECTI64VEXTPROC epoxy_glGetQueryObjecti64vEXT = epoxy_glGetQueryObjecti64vEXT_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYOBJECTIVPROC epoxy_glGetQueryObjectiv = epoxy_glGetQueryObjectiv_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYOBJECTIVARBPROC epoxy_glGetQueryObjectivARB = epoxy_glGetQueryObjectivARB_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYOBJECTIVEXTPROC epoxy_glGetQueryObjectivEXT = epoxy_glGetQueryObjectivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYOBJECTUI64VPROC epoxy_glGetQueryObjectui64v = epoxy_glGetQueryObjectui64v_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYOBJECTUI64VEXTPROC epoxy_glGetQueryObjectui64vEXT = epoxy_glGetQueryObjectui64vEXT_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYOBJECTUIVPROC epoxy_glGetQueryObjectuiv = epoxy_glGetQueryObjectuiv_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYOBJECTUIVARBPROC epoxy_glGetQueryObjectuivARB = epoxy_glGetQueryObjectuivARB_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYOBJECTUIVEXTPROC epoxy_glGetQueryObjectuivEXT = epoxy_glGetQueryObjectuivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYIVPROC epoxy_glGetQueryiv = epoxy_glGetQueryiv_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYIVARBPROC epoxy_glGetQueryivARB = epoxy_glGetQueryivARB_dispatch_table_thunk;

PUBLIC PFNGLGETQUERYIVEXTPROC epoxy_glGetQueryivEXT = epoxy_glGetQueryivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETRENDERBUFFERPARAMETERIVPROC epoxy_glGetRenderbufferParameteriv = epoxy_glGetRenderbufferParameteriv_dispatch_table_thunk;

PUBLIC PFNGLGETRENDERBUFFERPARAMETERIVEXTPROC epoxy_glGetRenderbufferParameterivEXT = epoxy_glGetRenderbufferParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETRENDERBUFFERPARAMETERIVOESPROC epoxy_glGetRenderbufferParameterivOES = epoxy_glGetRenderbufferParameterivOES_dispatch_table_thunk;

PUBLIC PFNGLGETSAMPLERPARAMETERIIVPROC epoxy_glGetSamplerParameterIiv = epoxy_glGetSamplerParameterIiv_dispatch_table_thunk;

PUBLIC PFNGLGETSAMPLERPARAMETERIUIVPROC epoxy_glGetSamplerParameterIuiv = epoxy_glGetSamplerParameterIuiv_dispatch_table_thunk;

PUBLIC PFNGLGETSAMPLERPARAMETERFVPROC epoxy_glGetSamplerParameterfv = epoxy_glGetSamplerParameterfv_dispatch_table_thunk;

PUBLIC PFNGLGETSAMPLERPARAMETERIVPROC epoxy_glGetSamplerParameteriv = epoxy_glGetSamplerParameteriv_dispatch_table_thunk;

PUBLIC PFNGLGETSEPARABLEFILTERPROC epoxy_glGetSeparableFilter = epoxy_glGetSeparableFilter_dispatch_table_thunk;

PUBLIC PFNGLGETSEPARABLEFILTEREXTPROC epoxy_glGetSeparableFilterEXT = epoxy_glGetSeparableFilterEXT_dispatch_table_thunk;

PUBLIC PFNGLGETSHADERINFOLOGPROC epoxy_glGetShaderInfoLog = epoxy_glGetShaderInfoLog_dispatch_table_thunk;

PUBLIC PFNGLGETSHADERPRECISIONFORMATPROC epoxy_glGetShaderPrecisionFormat = epoxy_glGetShaderPrecisionFormat_dispatch_table_thunk;

PUBLIC PFNGLGETSHADERSOURCEPROC epoxy_glGetShaderSource = epoxy_glGetShaderSource_dispatch_table_thunk;

PUBLIC PFNGLGETSHADERSOURCEARBPROC epoxy_glGetShaderSourceARB = epoxy_glGetShaderSourceARB_dispatch_table_thunk;

PUBLIC PFNGLGETSHADERIVPROC epoxy_glGetShaderiv = epoxy_glGetShaderiv_dispatch_table_thunk;

PUBLIC PFNGLGETSHARPENTEXFUNCSGISPROC epoxy_glGetSharpenTexFuncSGIS = epoxy_glGetSharpenTexFuncSGIS_dispatch_table_thunk;

PUBLIC PFNGLGETSTRINGPROC epoxy_glGetString = epoxy_glGetString_dispatch_table_thunk;

PUBLIC PFNGLGETSTRINGIPROC epoxy_glGetStringi = epoxy_glGetStringi_dispatch_table_thunk;

PUBLIC PFNGLGETSUBROUTINEINDEXPROC epoxy_glGetSubroutineIndex = epoxy_glGetSubroutineIndex_dispatch_table_thunk;

PUBLIC PFNGLGETSUBROUTINEUNIFORMLOCATIONPROC epoxy_glGetSubroutineUniformLocation = epoxy_glGetSubroutineUniformLocation_dispatch_table_thunk;

PUBLIC PFNGLGETSYNCIVPROC epoxy_glGetSynciv = epoxy_glGetSynciv_dispatch_table_thunk;

PUBLIC PFNGLGETSYNCIVAPPLEPROC epoxy_glGetSyncivAPPLE = epoxy_glGetSyncivAPPLE_dispatch_table_thunk;

PUBLIC PFNGLGETTEXBUMPPARAMETERFVATIPROC epoxy_glGetTexBumpParameterfvATI = epoxy_glGetTexBumpParameterfvATI_dispatch_table_thunk;

PUBLIC PFNGLGETTEXBUMPPARAMETERIVATIPROC epoxy_glGetTexBumpParameterivATI = epoxy_glGetTexBumpParameterivATI_dispatch_table_thunk;

PUBLIC PFNGLGETTEXENVFVPROC epoxy_glGetTexEnvfv = epoxy_glGetTexEnvfv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXENVIVPROC epoxy_glGetTexEnviv = epoxy_glGetTexEnviv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXENVXVPROC epoxy_glGetTexEnvxv = epoxy_glGetTexEnvxv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXENVXVOESPROC epoxy_glGetTexEnvxvOES = epoxy_glGetTexEnvxvOES_dispatch_table_thunk;

PUBLIC PFNGLGETTEXFILTERFUNCSGISPROC epoxy_glGetTexFilterFuncSGIS = epoxy_glGetTexFilterFuncSGIS_dispatch_table_thunk;

PUBLIC PFNGLGETTEXGENDVPROC epoxy_glGetTexGendv = epoxy_glGetTexGendv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXGENFVPROC epoxy_glGetTexGenfv = epoxy_glGetTexGenfv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXGENFVOESPROC epoxy_glGetTexGenfvOES = epoxy_glGetTexGenfvOES_dispatch_table_thunk;

PUBLIC PFNGLGETTEXGENIVPROC epoxy_glGetTexGeniv = epoxy_glGetTexGeniv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXGENIVOESPROC epoxy_glGetTexGenivOES = epoxy_glGetTexGenivOES_dispatch_table_thunk;

PUBLIC PFNGLGETTEXGENXVOESPROC epoxy_glGetTexGenxvOES = epoxy_glGetTexGenxvOES_dispatch_table_thunk;

PUBLIC PFNGLGETTEXIMAGEPROC epoxy_glGetTexImage = epoxy_glGetTexImage_dispatch_table_thunk;

PUBLIC PFNGLGETTEXLEVELPARAMETERFVPROC epoxy_glGetTexLevelParameterfv = epoxy_glGetTexLevelParameterfv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXLEVELPARAMETERIVPROC epoxy_glGetTexLevelParameteriv = epoxy_glGetTexLevelParameteriv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXLEVELPARAMETERXVOESPROC epoxy_glGetTexLevelParameterxvOES = epoxy_glGetTexLevelParameterxvOES_dispatch_table_thunk;

PUBLIC PFNGLGETTEXPARAMETERIIVPROC epoxy_glGetTexParameterIiv = epoxy_glGetTexParameterIiv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXPARAMETERIIVEXTPROC epoxy_glGetTexParameterIivEXT = epoxy_glGetTexParameterIivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETTEXPARAMETERIUIVPROC epoxy_glGetTexParameterIuiv = epoxy_glGetTexParameterIuiv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXPARAMETERIUIVEXTPROC epoxy_glGetTexParameterIuivEXT = epoxy_glGetTexParameterIuivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETTEXPARAMETERPOINTERVAPPLEPROC epoxy_glGetTexParameterPointervAPPLE = epoxy_glGetTexParameterPointervAPPLE_dispatch_table_thunk;

PUBLIC PFNGLGETTEXPARAMETERFVPROC epoxy_glGetTexParameterfv = epoxy_glGetTexParameterfv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXPARAMETERIVPROC epoxy_glGetTexParameteriv = epoxy_glGetTexParameteriv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXPARAMETERXVPROC epoxy_glGetTexParameterxv = epoxy_glGetTexParameterxv_dispatch_table_thunk;

PUBLIC PFNGLGETTEXPARAMETERXVOESPROC epoxy_glGetTexParameterxvOES = epoxy_glGetTexParameterxvOES_dispatch_table_thunk;

PUBLIC PFNGLGETTEXTUREHANDLEARBPROC epoxy_glGetTextureHandleARB = epoxy_glGetTextureHandleARB_dispatch_table_thunk;

PUBLIC PFNGLGETTEXTUREHANDLENVPROC epoxy_glGetTextureHandleNV = epoxy_glGetTextureHandleNV_dispatch_table_thunk;

PUBLIC PFNGLGETTEXTUREIMAGEEXTPROC epoxy_glGetTextureImageEXT = epoxy_glGetTextureImageEXT_dispatch_table_thunk;

PUBLIC PFNGLGETTEXTURELEVELPARAMETERFVEXTPROC epoxy_glGetTextureLevelParameterfvEXT = epoxy_glGetTextureLevelParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETTEXTURELEVELPARAMETERIVEXTPROC epoxy_glGetTextureLevelParameterivEXT = epoxy_glGetTextureLevelParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETTEXTUREPARAMETERIIVEXTPROC epoxy_glGetTextureParameterIivEXT = epoxy_glGetTextureParameterIivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETTEXTUREPARAMETERIUIVEXTPROC epoxy_glGetTextureParameterIuivEXT = epoxy_glGetTextureParameterIuivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETTEXTUREPARAMETERFVEXTPROC epoxy_glGetTextureParameterfvEXT = epoxy_glGetTextureParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETTEXTUREPARAMETERIVEXTPROC epoxy_glGetTextureParameterivEXT = epoxy_glGetTextureParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETTEXTURESAMPLERHANDLEARBPROC epoxy_glGetTextureSamplerHandleARB = epoxy_glGetTextureSamplerHandleARB_dispatch_table_thunk;

PUBLIC PFNGLGETTEXTURESAMPLERHANDLENVPROC epoxy_glGetTextureSamplerHandleNV = epoxy_glGetTextureSamplerHandleNV_dispatch_table_thunk;

PUBLIC PFNGLGETTRACKMATRIXIVNVPROC epoxy_glGetTrackMatrixivNV = epoxy_glGetTrackMatrixivNV_dispatch_table_thunk;

PUBLIC PFNGLGETTRANSFORMFEEDBACKVARYINGPROC epoxy_glGetTransformFeedbackVarying = epoxy_glGetTransformFeedbackVarying_dispatch_table_thunk;

PUBLIC PFNGLGETTRANSFORMFEEDBACKVARYINGEXTPROC epoxy_glGetTransformFeedbackVaryingEXT = epoxy_glGetTransformFeedbackVaryingEXT_dispatch_table_thunk;

PUBLIC PFNGLGETTRANSFORMFEEDBACKVARYINGNVPROC epoxy_glGetTransformFeedbackVaryingNV = epoxy_glGetTransformFeedbackVaryingNV_dispatch_table_thunk;

PUBLIC PFNGLGETTRANSLATEDSHADERSOURCEANGLEPROC epoxy_glGetTranslatedShaderSourceANGLE = epoxy_glGetTranslatedShaderSourceANGLE_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMBLOCKINDEXPROC epoxy_glGetUniformBlockIndex = epoxy_glGetUniformBlockIndex_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMBUFFERSIZEEXTPROC epoxy_glGetUniformBufferSizeEXT = epoxy_glGetUniformBufferSizeEXT_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMINDICESPROC epoxy_glGetUniformIndices = epoxy_glGetUniformIndices_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMLOCATIONPROC epoxy_glGetUniformLocation = epoxy_glGetUniformLocation_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMLOCATIONARBPROC epoxy_glGetUniformLocationARB = epoxy_glGetUniformLocationARB_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMOFFSETEXTPROC epoxy_glGetUniformOffsetEXT = epoxy_glGetUniformOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMSUBROUTINEUIVPROC epoxy_glGetUniformSubroutineuiv = epoxy_glGetUniformSubroutineuiv_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMDVPROC epoxy_glGetUniformdv = epoxy_glGetUniformdv_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMFVPROC epoxy_glGetUniformfv = epoxy_glGetUniformfv_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMFVARBPROC epoxy_glGetUniformfvARB = epoxy_glGetUniformfvARB_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMI64VNVPROC epoxy_glGetUniformi64vNV = epoxy_glGetUniformi64vNV_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMIVPROC epoxy_glGetUniformiv = epoxy_glGetUniformiv_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMIVARBPROC epoxy_glGetUniformivARB = epoxy_glGetUniformivARB_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMUI64VNVPROC epoxy_glGetUniformui64vNV = epoxy_glGetUniformui64vNV_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMUIVPROC epoxy_glGetUniformuiv = epoxy_glGetUniformuiv_dispatch_table_thunk;

PUBLIC PFNGLGETUNIFORMUIVEXTPROC epoxy_glGetUniformuivEXT = epoxy_glGetUniformuivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETVARIANTARRAYOBJECTFVATIPROC epoxy_glGetVariantArrayObjectfvATI = epoxy_glGetVariantArrayObjectfvATI_dispatch_table_thunk;

PUBLIC PFNGLGETVARIANTARRAYOBJECTIVATIPROC epoxy_glGetVariantArrayObjectivATI = epoxy_glGetVariantArrayObjectivATI_dispatch_table_thunk;

PUBLIC PFNGLGETVARIANTBOOLEANVEXTPROC epoxy_glGetVariantBooleanvEXT = epoxy_glGetVariantBooleanvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETVARIANTFLOATVEXTPROC epoxy_glGetVariantFloatvEXT = epoxy_glGetVariantFloatvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETVARIANTINTEGERVEXTPROC epoxy_glGetVariantIntegervEXT = epoxy_glGetVariantIntegervEXT_dispatch_table_thunk;

PUBLIC PFNGLGETVARIANTPOINTERVEXTPROC epoxy_glGetVariantPointervEXT = epoxy_glGetVariantPointervEXT_dispatch_table_thunk;

PUBLIC PFNGLGETVARYINGLOCATIONNVPROC epoxy_glGetVaryingLocationNV = epoxy_glGetVaryingLocationNV_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXARRAYINTEGERI_VEXTPROC epoxy_glGetVertexArrayIntegeri_vEXT = epoxy_glGetVertexArrayIntegeri_vEXT_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXARRAYINTEGERVEXTPROC epoxy_glGetVertexArrayIntegervEXT = epoxy_glGetVertexArrayIntegervEXT_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXARRAYPOINTERI_VEXTPROC epoxy_glGetVertexArrayPointeri_vEXT = epoxy_glGetVertexArrayPointeri_vEXT_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXARRAYPOINTERVEXTPROC epoxy_glGetVertexArrayPointervEXT = epoxy_glGetVertexArrayPointervEXT_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBARRAYOBJECTFVATIPROC epoxy_glGetVertexAttribArrayObjectfvATI = epoxy_glGetVertexAttribArrayObjectfvATI_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBARRAYOBJECTIVATIPROC epoxy_glGetVertexAttribArrayObjectivATI = epoxy_glGetVertexAttribArrayObjectivATI_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBIIVPROC epoxy_glGetVertexAttribIiv = epoxy_glGetVertexAttribIiv_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBIIVEXTPROC epoxy_glGetVertexAttribIivEXT = epoxy_glGetVertexAttribIivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBIUIVPROC epoxy_glGetVertexAttribIuiv = epoxy_glGetVertexAttribIuiv_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBIUIVEXTPROC epoxy_glGetVertexAttribIuivEXT = epoxy_glGetVertexAttribIuivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBLDVPROC epoxy_glGetVertexAttribLdv = epoxy_glGetVertexAttribLdv_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBLDVEXTPROC epoxy_glGetVertexAttribLdvEXT = epoxy_glGetVertexAttribLdvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBLI64VNVPROC epoxy_glGetVertexAttribLi64vNV = epoxy_glGetVertexAttribLi64vNV_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBLUI64VARBPROC epoxy_glGetVertexAttribLui64vARB = epoxy_glGetVertexAttribLui64vARB_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBLUI64VNVPROC epoxy_glGetVertexAttribLui64vNV = epoxy_glGetVertexAttribLui64vNV_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBPOINTERVPROC epoxy_glGetVertexAttribPointerv = epoxy_glGetVertexAttribPointerv_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBPOINTERVARBPROC epoxy_glGetVertexAttribPointervARB = epoxy_glGetVertexAttribPointervARB_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBPOINTERVNVPROC epoxy_glGetVertexAttribPointervNV = epoxy_glGetVertexAttribPointervNV_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBDVPROC epoxy_glGetVertexAttribdv = epoxy_glGetVertexAttribdv_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBDVARBPROC epoxy_glGetVertexAttribdvARB = epoxy_glGetVertexAttribdvARB_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBDVNVPROC epoxy_glGetVertexAttribdvNV = epoxy_glGetVertexAttribdvNV_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBFVPROC epoxy_glGetVertexAttribfv = epoxy_glGetVertexAttribfv_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBFVARBPROC epoxy_glGetVertexAttribfvARB = epoxy_glGetVertexAttribfvARB_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBFVNVPROC epoxy_glGetVertexAttribfvNV = epoxy_glGetVertexAttribfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBIVPROC epoxy_glGetVertexAttribiv = epoxy_glGetVertexAttribiv_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBIVARBPROC epoxy_glGetVertexAttribivARB = epoxy_glGetVertexAttribivARB_dispatch_table_thunk;

PUBLIC PFNGLGETVERTEXATTRIBIVNVPROC epoxy_glGetVertexAttribivNV = epoxy_glGetVertexAttribivNV_dispatch_table_thunk;

PUBLIC PFNGLGETVIDEOCAPTURESTREAMDVNVPROC epoxy_glGetVideoCaptureStreamdvNV = epoxy_glGetVideoCaptureStreamdvNV_dispatch_table_thunk;

PUBLIC PFNGLGETVIDEOCAPTURESTREAMFVNVPROC epoxy_glGetVideoCaptureStreamfvNV = epoxy_glGetVideoCaptureStreamfvNV_dispatch_table_thunk;

PUBLIC PFNGLGETVIDEOCAPTURESTREAMIVNVPROC epoxy_glGetVideoCaptureStreamivNV = epoxy_glGetVideoCaptureStreamivNV_dispatch_table_thunk;

PUBLIC PFNGLGETVIDEOCAPTUREIVNVPROC epoxy_glGetVideoCaptureivNV = epoxy_glGetVideoCaptureivNV_dispatch_table_thunk;

PUBLIC PFNGLGETVIDEOI64VNVPROC epoxy_glGetVideoi64vNV = epoxy_glGetVideoi64vNV_dispatch_table_thunk;

PUBLIC PFNGLGETVIDEOIVNVPROC epoxy_glGetVideoivNV = epoxy_glGetVideoivNV_dispatch_table_thunk;

PUBLIC PFNGLGETVIDEOUI64VNVPROC epoxy_glGetVideoui64vNV = epoxy_glGetVideoui64vNV_dispatch_table_thunk;

PUBLIC PFNGLGETVIDEOUIVNVPROC epoxy_glGetVideouivNV = epoxy_glGetVideouivNV_dispatch_table_thunk;

PUBLIC PFNGLGETNCOLORTABLEARBPROC epoxy_glGetnColorTableARB = epoxy_glGetnColorTableARB_dispatch_table_thunk;

PUBLIC PFNGLGETNCOMPRESSEDTEXIMAGEARBPROC epoxy_glGetnCompressedTexImageARB = epoxy_glGetnCompressedTexImageARB_dispatch_table_thunk;

PUBLIC PFNGLGETNCONVOLUTIONFILTERARBPROC epoxy_glGetnConvolutionFilterARB = epoxy_glGetnConvolutionFilterARB_dispatch_table_thunk;

PUBLIC PFNGLGETNHISTOGRAMARBPROC epoxy_glGetnHistogramARB = epoxy_glGetnHistogramARB_dispatch_table_thunk;

PUBLIC PFNGLGETNMAPDVARBPROC epoxy_glGetnMapdvARB = epoxy_glGetnMapdvARB_dispatch_table_thunk;

PUBLIC PFNGLGETNMAPFVARBPROC epoxy_glGetnMapfvARB = epoxy_glGetnMapfvARB_dispatch_table_thunk;

PUBLIC PFNGLGETNMAPIVARBPROC epoxy_glGetnMapivARB = epoxy_glGetnMapivARB_dispatch_table_thunk;

PUBLIC PFNGLGETNMINMAXARBPROC epoxy_glGetnMinmaxARB = epoxy_glGetnMinmaxARB_dispatch_table_thunk;

PUBLIC PFNGLGETNPIXELMAPFVARBPROC epoxy_glGetnPixelMapfvARB = epoxy_glGetnPixelMapfvARB_dispatch_table_thunk;

PUBLIC PFNGLGETNPIXELMAPUIVARBPROC epoxy_glGetnPixelMapuivARB = epoxy_glGetnPixelMapuivARB_dispatch_table_thunk;

PUBLIC PFNGLGETNPIXELMAPUSVARBPROC epoxy_glGetnPixelMapusvARB = epoxy_glGetnPixelMapusvARB_dispatch_table_thunk;

PUBLIC PFNGLGETNPOLYGONSTIPPLEARBPROC epoxy_glGetnPolygonStippleARB = epoxy_glGetnPolygonStippleARB_dispatch_table_thunk;

PUBLIC PFNGLGETNSEPARABLEFILTERARBPROC epoxy_glGetnSeparableFilterARB = epoxy_glGetnSeparableFilterARB_dispatch_table_thunk;

PUBLIC PFNGLGETNTEXIMAGEARBPROC epoxy_glGetnTexImageARB = epoxy_glGetnTexImageARB_dispatch_table_thunk;

PUBLIC PFNGLGETNUNIFORMDVARBPROC epoxy_glGetnUniformdvARB = epoxy_glGetnUniformdvARB_dispatch_table_thunk;

PUBLIC PFNGLGETNUNIFORMFVARBPROC epoxy_glGetnUniformfvARB = epoxy_glGetnUniformfvARB_dispatch_table_thunk;

PUBLIC PFNGLGETNUNIFORMFVEXTPROC epoxy_glGetnUniformfvEXT = epoxy_glGetnUniformfvEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNUNIFORMIVARBPROC epoxy_glGetnUniformivARB = epoxy_glGetnUniformivARB_dispatch_table_thunk;

PUBLIC PFNGLGETNUNIFORMIVEXTPROC epoxy_glGetnUniformivEXT = epoxy_glGetnUniformivEXT_dispatch_table_thunk;

PUBLIC PFNGLGETNUNIFORMUIVARBPROC epoxy_glGetnUniformuivARB = epoxy_glGetnUniformuivARB_dispatch_table_thunk;

PUBLIC PFNGLGLOBALALPHAFACTORBSUNPROC epoxy_glGlobalAlphaFactorbSUN = epoxy_glGlobalAlphaFactorbSUN_dispatch_table_thunk;

PUBLIC PFNGLGLOBALALPHAFACTORDSUNPROC epoxy_glGlobalAlphaFactordSUN = epoxy_glGlobalAlphaFactordSUN_dispatch_table_thunk;

PUBLIC PFNGLGLOBALALPHAFACTORFSUNPROC epoxy_glGlobalAlphaFactorfSUN = epoxy_glGlobalAlphaFactorfSUN_dispatch_table_thunk;

PUBLIC PFNGLGLOBALALPHAFACTORISUNPROC epoxy_glGlobalAlphaFactoriSUN = epoxy_glGlobalAlphaFactoriSUN_dispatch_table_thunk;

PUBLIC PFNGLGLOBALALPHAFACTORSSUNPROC epoxy_glGlobalAlphaFactorsSUN = epoxy_glGlobalAlphaFactorsSUN_dispatch_table_thunk;

PUBLIC PFNGLGLOBALALPHAFACTORUBSUNPROC epoxy_glGlobalAlphaFactorubSUN = epoxy_glGlobalAlphaFactorubSUN_dispatch_table_thunk;

PUBLIC PFNGLGLOBALALPHAFACTORUISUNPROC epoxy_glGlobalAlphaFactoruiSUN = epoxy_glGlobalAlphaFactoruiSUN_dispatch_table_thunk;

PUBLIC PFNGLGLOBALALPHAFACTORUSSUNPROC epoxy_glGlobalAlphaFactorusSUN = epoxy_glGlobalAlphaFactorusSUN_dispatch_table_thunk;

PUBLIC PFNGLHINTPROC epoxy_glHint = epoxy_glHint_dispatch_table_thunk;

PUBLIC PFNGLHINTPGIPROC epoxy_glHintPGI = epoxy_glHintPGI_dispatch_table_thunk;

PUBLIC PFNGLHISTOGRAMPROC epoxy_glHistogram = epoxy_glHistogram_dispatch_table_thunk;

PUBLIC PFNGLHISTOGRAMEXTPROC epoxy_glHistogramEXT = epoxy_glHistogramEXT_dispatch_table_thunk;

PUBLIC PFNGLIGLOOINTERFACESGIXPROC epoxy_glIglooInterfaceSGIX = epoxy_glIglooInterfaceSGIX_dispatch_table_thunk;

PUBLIC PFNGLIMAGETRANSFORMPARAMETERFHPPROC epoxy_glImageTransformParameterfHP = epoxy_glImageTransformParameterfHP_dispatch_table_thunk;

PUBLIC PFNGLIMAGETRANSFORMPARAMETERFVHPPROC epoxy_glImageTransformParameterfvHP = epoxy_glImageTransformParameterfvHP_dispatch_table_thunk;

PUBLIC PFNGLIMAGETRANSFORMPARAMETERIHPPROC epoxy_glImageTransformParameteriHP = epoxy_glImageTransformParameteriHP_dispatch_table_thunk;

PUBLIC PFNGLIMAGETRANSFORMPARAMETERIVHPPROC epoxy_glImageTransformParameterivHP = epoxy_glImageTransformParameterivHP_dispatch_table_thunk;

PUBLIC PFNGLIMPORTSYNCEXTPROC epoxy_glImportSyncEXT = epoxy_glImportSyncEXT_dispatch_table_thunk;

PUBLIC PFNGLINDEXFORMATNVPROC epoxy_glIndexFormatNV = epoxy_glIndexFormatNV_dispatch_table_thunk;

PUBLIC PFNGLINDEXFUNCEXTPROC epoxy_glIndexFuncEXT = epoxy_glIndexFuncEXT_dispatch_table_thunk;

PUBLIC PFNGLINDEXMASKPROC epoxy_glIndexMask = epoxy_glIndexMask_dispatch_table_thunk;

PUBLIC PFNGLINDEXMATERIALEXTPROC epoxy_glIndexMaterialEXT = epoxy_glIndexMaterialEXT_dispatch_table_thunk;

PUBLIC PFNGLINDEXPOINTERPROC epoxy_glIndexPointer = epoxy_glIndexPointer_dispatch_table_thunk;

PUBLIC PFNGLINDEXPOINTEREXTPROC epoxy_glIndexPointerEXT = epoxy_glIndexPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLINDEXPOINTERLISTIBMPROC epoxy_glIndexPointerListIBM = epoxy_glIndexPointerListIBM_dispatch_table_thunk;

PUBLIC PFNGLINDEXDPROC epoxy_glIndexd = epoxy_glIndexd_dispatch_table_thunk;

PUBLIC PFNGLINDEXDVPROC epoxy_glIndexdv = epoxy_glIndexdv_dispatch_table_thunk;

PUBLIC PFNGLINDEXFPROC epoxy_glIndexf = epoxy_glIndexf_dispatch_table_thunk;

PUBLIC PFNGLINDEXFVPROC epoxy_glIndexfv = epoxy_glIndexfv_dispatch_table_thunk;

PUBLIC PFNGLINDEXIPROC epoxy_glIndexi = epoxy_glIndexi_dispatch_table_thunk;

PUBLIC PFNGLINDEXIVPROC epoxy_glIndexiv = epoxy_glIndexiv_dispatch_table_thunk;

PUBLIC PFNGLINDEXSPROC epoxy_glIndexs = epoxy_glIndexs_dispatch_table_thunk;

PUBLIC PFNGLINDEXSVPROC epoxy_glIndexsv = epoxy_glIndexsv_dispatch_table_thunk;

PUBLIC PFNGLINDEXUBPROC epoxy_glIndexub = epoxy_glIndexub_dispatch_table_thunk;

PUBLIC PFNGLINDEXUBVPROC epoxy_glIndexubv = epoxy_glIndexubv_dispatch_table_thunk;

PUBLIC PFNGLINDEXXOESPROC epoxy_glIndexxOES = epoxy_glIndexxOES_dispatch_table_thunk;

PUBLIC PFNGLINDEXXVOESPROC epoxy_glIndexxvOES = epoxy_glIndexxvOES_dispatch_table_thunk;

PUBLIC PFNGLINITNAMESPROC epoxy_glInitNames = epoxy_glInitNames_dispatch_table_thunk;

PUBLIC PFNGLINSERTCOMPONENTEXTPROC epoxy_glInsertComponentEXT = epoxy_glInsertComponentEXT_dispatch_table_thunk;

PUBLIC PFNGLINSERTEVENTMARKEREXTPROC epoxy_glInsertEventMarkerEXT = epoxy_glInsertEventMarkerEXT_dispatch_table_thunk;

PUBLIC PFNGLINSTRUMENTSBUFFERSGIXPROC epoxy_glInstrumentsBufferSGIX = epoxy_glInstrumentsBufferSGIX_dispatch_table_thunk;

PUBLIC PFNGLINTERLEAVEDARRAYSPROC epoxy_glInterleavedArrays = epoxy_glInterleavedArrays_dispatch_table_thunk;

PUBLIC PFNGLINTERPOLATEPATHSNVPROC epoxy_glInterpolatePathsNV = epoxy_glInterpolatePathsNV_dispatch_table_thunk;

PUBLIC PFNGLINVALIDATEBUFFERDATAPROC epoxy_glInvalidateBufferData = epoxy_glInvalidateBufferData_dispatch_table_thunk;

PUBLIC PFNGLINVALIDATEBUFFERSUBDATAPROC epoxy_glInvalidateBufferSubData = epoxy_glInvalidateBufferSubData_dispatch_table_thunk;

PUBLIC PFNGLINVALIDATEFRAMEBUFFERPROC epoxy_glInvalidateFramebuffer = epoxy_glInvalidateFramebuffer_dispatch_table_thunk;

PUBLIC PFNGLINVALIDATESUBFRAMEBUFFERPROC epoxy_glInvalidateSubFramebuffer = epoxy_glInvalidateSubFramebuffer_dispatch_table_thunk;

PUBLIC PFNGLINVALIDATETEXIMAGEPROC epoxy_glInvalidateTexImage = epoxy_glInvalidateTexImage_dispatch_table_thunk;

PUBLIC PFNGLINVALIDATETEXSUBIMAGEPROC epoxy_glInvalidateTexSubImage = epoxy_glInvalidateTexSubImage_dispatch_table_thunk;

PUBLIC PFNGLISASYNCMARKERSGIXPROC epoxy_glIsAsyncMarkerSGIX = epoxy_glIsAsyncMarkerSGIX_dispatch_table_thunk;

PUBLIC PFNGLISBUFFERPROC epoxy_glIsBuffer = epoxy_glIsBuffer_dispatch_table_thunk;

PUBLIC PFNGLISBUFFERARBPROC epoxy_glIsBufferARB = epoxy_glIsBufferARB_dispatch_table_thunk;

PUBLIC PFNGLISBUFFERRESIDENTNVPROC epoxy_glIsBufferResidentNV = epoxy_glIsBufferResidentNV_dispatch_table_thunk;

PUBLIC PFNGLISENABLEDPROC epoxy_glIsEnabled = epoxy_glIsEnabled_dispatch_table_thunk;

PUBLIC PFNGLISENABLEDINDEXEDEXTPROC epoxy_glIsEnabledIndexedEXT = epoxy_glIsEnabledIndexedEXT_dispatch_table_thunk;

PUBLIC PFNGLISENABLEDIPROC epoxy_glIsEnabledi = epoxy_glIsEnabledi_dispatch_table_thunk;

PUBLIC PFNGLISFENCEAPPLEPROC epoxy_glIsFenceAPPLE = epoxy_glIsFenceAPPLE_dispatch_table_thunk;

PUBLIC PFNGLISFENCENVPROC epoxy_glIsFenceNV = epoxy_glIsFenceNV_dispatch_table_thunk;

PUBLIC PFNGLISFRAMEBUFFERPROC epoxy_glIsFramebuffer = epoxy_glIsFramebuffer_dispatch_table_thunk;

PUBLIC PFNGLISFRAMEBUFFEREXTPROC epoxy_glIsFramebufferEXT = epoxy_glIsFramebufferEXT_dispatch_table_thunk;

PUBLIC PFNGLISFRAMEBUFFEROESPROC epoxy_glIsFramebufferOES = epoxy_glIsFramebufferOES_dispatch_table_thunk;

PUBLIC PFNGLISIMAGEHANDLERESIDENTARBPROC epoxy_glIsImageHandleResidentARB = epoxy_glIsImageHandleResidentARB_dispatch_table_thunk;

PUBLIC PFNGLISIMAGEHANDLERESIDENTNVPROC epoxy_glIsImageHandleResidentNV = epoxy_glIsImageHandleResidentNV_dispatch_table_thunk;

PUBLIC PFNGLISLISTPROC epoxy_glIsList = epoxy_glIsList_dispatch_table_thunk;

PUBLIC PFNGLISNAMEAMDPROC epoxy_glIsNameAMD = epoxy_glIsNameAMD_dispatch_table_thunk;

PUBLIC PFNGLISNAMEDBUFFERRESIDENTNVPROC epoxy_glIsNamedBufferResidentNV = epoxy_glIsNamedBufferResidentNV_dispatch_table_thunk;

PUBLIC PFNGLISNAMEDSTRINGARBPROC epoxy_glIsNamedStringARB = epoxy_glIsNamedStringARB_dispatch_table_thunk;

PUBLIC PFNGLISOBJECTBUFFERATIPROC epoxy_glIsObjectBufferATI = epoxy_glIsObjectBufferATI_dispatch_table_thunk;

PUBLIC PFNGLISOCCLUSIONQUERYNVPROC epoxy_glIsOcclusionQueryNV = epoxy_glIsOcclusionQueryNV_dispatch_table_thunk;

PUBLIC PFNGLISPATHNVPROC epoxy_glIsPathNV = epoxy_glIsPathNV_dispatch_table_thunk;

PUBLIC PFNGLISPOINTINFILLPATHNVPROC epoxy_glIsPointInFillPathNV = epoxy_glIsPointInFillPathNV_dispatch_table_thunk;

PUBLIC PFNGLISPOINTINSTROKEPATHNVPROC epoxy_glIsPointInStrokePathNV = epoxy_glIsPointInStrokePathNV_dispatch_table_thunk;

PUBLIC PFNGLISPROGRAMPROC epoxy_glIsProgram = epoxy_glIsProgram_dispatch_table_thunk;

PUBLIC PFNGLISPROGRAMARBPROC epoxy_glIsProgramARB = epoxy_glIsProgramARB_dispatch_table_thunk;

PUBLIC PFNGLISPROGRAMNVPROC epoxy_glIsProgramNV = epoxy_glIsProgramNV_dispatch_table_thunk;

PUBLIC PFNGLISPROGRAMPIPELINEPROC epoxy_glIsProgramPipeline = epoxy_glIsProgramPipeline_dispatch_table_thunk;

PUBLIC PFNGLISPROGRAMPIPELINEEXTPROC epoxy_glIsProgramPipelineEXT = epoxy_glIsProgramPipelineEXT_dispatch_table_thunk;

PUBLIC PFNGLISQUERYPROC epoxy_glIsQuery = epoxy_glIsQuery_dispatch_table_thunk;

PUBLIC PFNGLISQUERYARBPROC epoxy_glIsQueryARB = epoxy_glIsQueryARB_dispatch_table_thunk;

PUBLIC PFNGLISQUERYEXTPROC epoxy_glIsQueryEXT = epoxy_glIsQueryEXT_dispatch_table_thunk;

PUBLIC PFNGLISRENDERBUFFERPROC epoxy_glIsRenderbuffer = epoxy_glIsRenderbuffer_dispatch_table_thunk;

PUBLIC PFNGLISRENDERBUFFEREXTPROC epoxy_glIsRenderbufferEXT = epoxy_glIsRenderbufferEXT_dispatch_table_thunk;

PUBLIC PFNGLISRENDERBUFFEROESPROC epoxy_glIsRenderbufferOES = epoxy_glIsRenderbufferOES_dispatch_table_thunk;

PUBLIC PFNGLISSAMPLERPROC epoxy_glIsSampler = epoxy_glIsSampler_dispatch_table_thunk;

PUBLIC PFNGLISSHADERPROC epoxy_glIsShader = epoxy_glIsShader_dispatch_table_thunk;

PUBLIC PFNGLISSYNCPROC epoxy_glIsSync = epoxy_glIsSync_dispatch_table_thunk;

PUBLIC PFNGLISSYNCAPPLEPROC epoxy_glIsSyncAPPLE = epoxy_glIsSyncAPPLE_dispatch_table_thunk;

PUBLIC PFNGLISTEXTUREPROC epoxy_glIsTexture = epoxy_glIsTexture_dispatch_table_thunk;

PUBLIC PFNGLISTEXTUREEXTPROC epoxy_glIsTextureEXT = epoxy_glIsTextureEXT_dispatch_table_thunk;

PUBLIC PFNGLISTEXTUREHANDLERESIDENTARBPROC epoxy_glIsTextureHandleResidentARB = epoxy_glIsTextureHandleResidentARB_dispatch_table_thunk;

PUBLIC PFNGLISTEXTUREHANDLERESIDENTNVPROC epoxy_glIsTextureHandleResidentNV = epoxy_glIsTextureHandleResidentNV_dispatch_table_thunk;

PUBLIC PFNGLISTRANSFORMFEEDBACKPROC epoxy_glIsTransformFeedback = epoxy_glIsTransformFeedback_dispatch_table_thunk;

PUBLIC PFNGLISTRANSFORMFEEDBACKNVPROC epoxy_glIsTransformFeedbackNV = epoxy_glIsTransformFeedbackNV_dispatch_table_thunk;

PUBLIC PFNGLISVARIANTENABLEDEXTPROC epoxy_glIsVariantEnabledEXT = epoxy_glIsVariantEnabledEXT_dispatch_table_thunk;

PUBLIC PFNGLISVERTEXARRAYPROC epoxy_glIsVertexArray = epoxy_glIsVertexArray_dispatch_table_thunk;

PUBLIC PFNGLISVERTEXARRAYAPPLEPROC epoxy_glIsVertexArrayAPPLE = epoxy_glIsVertexArrayAPPLE_dispatch_table_thunk;

PUBLIC PFNGLISVERTEXARRAYOESPROC epoxy_glIsVertexArrayOES = epoxy_glIsVertexArrayOES_dispatch_table_thunk;

PUBLIC PFNGLISVERTEXATTRIBENABLEDAPPLEPROC epoxy_glIsVertexAttribEnabledAPPLE = epoxy_glIsVertexAttribEnabledAPPLE_dispatch_table_thunk;

PUBLIC PFNGLLABELOBJECTEXTPROC epoxy_glLabelObjectEXT = epoxy_glLabelObjectEXT_dispatch_table_thunk;

PUBLIC PFNGLLIGHTENVISGIXPROC epoxy_glLightEnviSGIX = epoxy_glLightEnviSGIX_dispatch_table_thunk;

PUBLIC PFNGLLIGHTMODELFPROC epoxy_glLightModelf = epoxy_glLightModelf_dispatch_table_thunk;

PUBLIC PFNGLLIGHTMODELFVPROC epoxy_glLightModelfv = epoxy_glLightModelfv_dispatch_table_thunk;

PUBLIC PFNGLLIGHTMODELIPROC epoxy_glLightModeli = epoxy_glLightModeli_dispatch_table_thunk;

PUBLIC PFNGLLIGHTMODELIVPROC epoxy_glLightModeliv = epoxy_glLightModeliv_dispatch_table_thunk;

PUBLIC PFNGLLIGHTMODELXPROC epoxy_glLightModelx = epoxy_glLightModelx_dispatch_table_thunk;

PUBLIC PFNGLLIGHTMODELXOESPROC epoxy_glLightModelxOES = epoxy_glLightModelxOES_dispatch_table_thunk;

PUBLIC PFNGLLIGHTMODELXVPROC epoxy_glLightModelxv = epoxy_glLightModelxv_dispatch_table_thunk;

PUBLIC PFNGLLIGHTMODELXVOESPROC epoxy_glLightModelxvOES = epoxy_glLightModelxvOES_dispatch_table_thunk;

PUBLIC PFNGLLIGHTFPROC epoxy_glLightf = epoxy_glLightf_dispatch_table_thunk;

PUBLIC PFNGLLIGHTFVPROC epoxy_glLightfv = epoxy_glLightfv_dispatch_table_thunk;

PUBLIC PFNGLLIGHTIPROC epoxy_glLighti = epoxy_glLighti_dispatch_table_thunk;

PUBLIC PFNGLLIGHTIVPROC epoxy_glLightiv = epoxy_glLightiv_dispatch_table_thunk;

PUBLIC PFNGLLIGHTXPROC epoxy_glLightx = epoxy_glLightx_dispatch_table_thunk;

PUBLIC PFNGLLIGHTXOESPROC epoxy_glLightxOES = epoxy_glLightxOES_dispatch_table_thunk;

PUBLIC PFNGLLIGHTXVPROC epoxy_glLightxv = epoxy_glLightxv_dispatch_table_thunk;

PUBLIC PFNGLLIGHTXVOESPROC epoxy_glLightxvOES = epoxy_glLightxvOES_dispatch_table_thunk;

PUBLIC PFNGLLINESTIPPLEPROC epoxy_glLineStipple = epoxy_glLineStipple_dispatch_table_thunk;

PUBLIC PFNGLLINEWIDTHPROC epoxy_glLineWidth = epoxy_glLineWidth_dispatch_table_thunk;

PUBLIC PFNGLLINEWIDTHXPROC epoxy_glLineWidthx = epoxy_glLineWidthx_dispatch_table_thunk;

PUBLIC PFNGLLINEWIDTHXOESPROC epoxy_glLineWidthxOES = epoxy_glLineWidthxOES_dispatch_table_thunk;

PUBLIC PFNGLLINKPROGRAMPROC epoxy_glLinkProgram = epoxy_glLinkProgram_dispatch_table_thunk;

PUBLIC PFNGLLINKPROGRAMARBPROC epoxy_glLinkProgramARB = epoxy_glLinkProgramARB_dispatch_table_thunk;

PUBLIC PFNGLLISTBASEPROC epoxy_glListBase = epoxy_glListBase_dispatch_table_thunk;

PUBLIC PFNGLLISTPARAMETERFSGIXPROC epoxy_glListParameterfSGIX = epoxy_glListParameterfSGIX_dispatch_table_thunk;

PUBLIC PFNGLLISTPARAMETERFVSGIXPROC epoxy_glListParameterfvSGIX = epoxy_glListParameterfvSGIX_dispatch_table_thunk;

PUBLIC PFNGLLISTPARAMETERISGIXPROC epoxy_glListParameteriSGIX = epoxy_glListParameteriSGIX_dispatch_table_thunk;

PUBLIC PFNGLLISTPARAMETERIVSGIXPROC epoxy_glListParameterivSGIX = epoxy_glListParameterivSGIX_dispatch_table_thunk;

PUBLIC PFNGLLOADIDENTITYPROC epoxy_glLoadIdentity = epoxy_glLoadIdentity_dispatch_table_thunk;

PUBLIC PFNGLLOADIDENTITYDEFORMATIONMAPSGIXPROC epoxy_glLoadIdentityDeformationMapSGIX = epoxy_glLoadIdentityDeformationMapSGIX_dispatch_table_thunk;

PUBLIC PFNGLLOADMATRIXDPROC epoxy_glLoadMatrixd = epoxy_glLoadMatrixd_dispatch_table_thunk;

PUBLIC PFNGLLOADMATRIXFPROC epoxy_glLoadMatrixf = epoxy_glLoadMatrixf_dispatch_table_thunk;

PUBLIC PFNGLLOADMATRIXXPROC epoxy_glLoadMatrixx = epoxy_glLoadMatrixx_dispatch_table_thunk;

PUBLIC PFNGLLOADMATRIXXOESPROC epoxy_glLoadMatrixxOES = epoxy_glLoadMatrixxOES_dispatch_table_thunk;

PUBLIC PFNGLLOADNAMEPROC epoxy_glLoadName = epoxy_glLoadName_dispatch_table_thunk;

PUBLIC PFNGLLOADPALETTEFROMMODELVIEWMATRIXOESPROC epoxy_glLoadPaletteFromModelViewMatrixOES = epoxy_glLoadPaletteFromModelViewMatrixOES_dispatch_table_thunk;

PUBLIC PFNGLLOADPROGRAMNVPROC epoxy_glLoadProgramNV = epoxy_glLoadProgramNV_dispatch_table_thunk;

PUBLIC PFNGLLOADTRANSPOSEMATRIXDPROC epoxy_glLoadTransposeMatrixd = epoxy_glLoadTransposeMatrixd_dispatch_table_thunk;

PUBLIC PFNGLLOADTRANSPOSEMATRIXDARBPROC epoxy_glLoadTransposeMatrixdARB = epoxy_glLoadTransposeMatrixdARB_dispatch_table_thunk;

PUBLIC PFNGLLOADTRANSPOSEMATRIXFPROC epoxy_glLoadTransposeMatrixf = epoxy_glLoadTransposeMatrixf_dispatch_table_thunk;

PUBLIC PFNGLLOADTRANSPOSEMATRIXFARBPROC epoxy_glLoadTransposeMatrixfARB = epoxy_glLoadTransposeMatrixfARB_dispatch_table_thunk;

PUBLIC PFNGLLOADTRANSPOSEMATRIXXOESPROC epoxy_glLoadTransposeMatrixxOES = epoxy_glLoadTransposeMatrixxOES_dispatch_table_thunk;

PUBLIC PFNGLLOCKARRAYSEXTPROC epoxy_glLockArraysEXT = epoxy_glLockArraysEXT_dispatch_table_thunk;

PUBLIC PFNGLLOGICOPPROC epoxy_glLogicOp = epoxy_glLogicOp_dispatch_table_thunk;

PUBLIC PFNGLMAKEBUFFERNONRESIDENTNVPROC epoxy_glMakeBufferNonResidentNV = epoxy_glMakeBufferNonResidentNV_dispatch_table_thunk;

PUBLIC PFNGLMAKEBUFFERRESIDENTNVPROC epoxy_glMakeBufferResidentNV = epoxy_glMakeBufferResidentNV_dispatch_table_thunk;

PUBLIC PFNGLMAKEIMAGEHANDLENONRESIDENTARBPROC epoxy_glMakeImageHandleNonResidentARB = epoxy_glMakeImageHandleNonResidentARB_dispatch_table_thunk;

PUBLIC PFNGLMAKEIMAGEHANDLENONRESIDENTNVPROC epoxy_glMakeImageHandleNonResidentNV = epoxy_glMakeImageHandleNonResidentNV_dispatch_table_thunk;

PUBLIC PFNGLMAKEIMAGEHANDLERESIDENTARBPROC epoxy_glMakeImageHandleResidentARB = epoxy_glMakeImageHandleResidentARB_dispatch_table_thunk;

PUBLIC PFNGLMAKEIMAGEHANDLERESIDENTNVPROC epoxy_glMakeImageHandleResidentNV = epoxy_glMakeImageHandleResidentNV_dispatch_table_thunk;

PUBLIC PFNGLMAKENAMEDBUFFERNONRESIDENTNVPROC epoxy_glMakeNamedBufferNonResidentNV = epoxy_glMakeNamedBufferNonResidentNV_dispatch_table_thunk;

PUBLIC PFNGLMAKENAMEDBUFFERRESIDENTNVPROC epoxy_glMakeNamedBufferResidentNV = epoxy_glMakeNamedBufferResidentNV_dispatch_table_thunk;

PUBLIC PFNGLMAKETEXTUREHANDLENONRESIDENTARBPROC epoxy_glMakeTextureHandleNonResidentARB = epoxy_glMakeTextureHandleNonResidentARB_dispatch_table_thunk;

PUBLIC PFNGLMAKETEXTUREHANDLENONRESIDENTNVPROC epoxy_glMakeTextureHandleNonResidentNV = epoxy_glMakeTextureHandleNonResidentNV_dispatch_table_thunk;

PUBLIC PFNGLMAKETEXTUREHANDLERESIDENTARBPROC epoxy_glMakeTextureHandleResidentARB = epoxy_glMakeTextureHandleResidentARB_dispatch_table_thunk;

PUBLIC PFNGLMAKETEXTUREHANDLERESIDENTNVPROC epoxy_glMakeTextureHandleResidentNV = epoxy_glMakeTextureHandleResidentNV_dispatch_table_thunk;

PUBLIC PFNGLMAP1DPROC epoxy_glMap1d = epoxy_glMap1d_dispatch_table_thunk;

PUBLIC PFNGLMAP1FPROC epoxy_glMap1f = epoxy_glMap1f_dispatch_table_thunk;

PUBLIC PFNGLMAP1XOESPROC epoxy_glMap1xOES = epoxy_glMap1xOES_dispatch_table_thunk;

PUBLIC PFNGLMAP2DPROC epoxy_glMap2d = epoxy_glMap2d_dispatch_table_thunk;

PUBLIC PFNGLMAP2FPROC epoxy_glMap2f = epoxy_glMap2f_dispatch_table_thunk;

PUBLIC PFNGLMAP2XOESPROC epoxy_glMap2xOES = epoxy_glMap2xOES_dispatch_table_thunk;

PUBLIC PFNGLMAPBUFFERPROC epoxy_glMapBuffer = epoxy_glMapBuffer_dispatch_table_thunk;

PUBLIC PFNGLMAPBUFFERARBPROC epoxy_glMapBufferARB = epoxy_glMapBufferARB_dispatch_table_thunk;

PUBLIC PFNGLMAPBUFFEROESPROC epoxy_glMapBufferOES = epoxy_glMapBufferOES_dispatch_table_thunk;

PUBLIC PFNGLMAPBUFFERRANGEPROC epoxy_glMapBufferRange = epoxy_glMapBufferRange_dispatch_table_thunk;

PUBLIC PFNGLMAPBUFFERRANGEEXTPROC epoxy_glMapBufferRangeEXT = epoxy_glMapBufferRangeEXT_dispatch_table_thunk;

PUBLIC PFNGLMAPCONTROLPOINTSNVPROC epoxy_glMapControlPointsNV = epoxy_glMapControlPointsNV_dispatch_table_thunk;

PUBLIC PFNGLMAPGRID1DPROC epoxy_glMapGrid1d = epoxy_glMapGrid1d_dispatch_table_thunk;

PUBLIC PFNGLMAPGRID1FPROC epoxy_glMapGrid1f = epoxy_glMapGrid1f_dispatch_table_thunk;

PUBLIC PFNGLMAPGRID1XOESPROC epoxy_glMapGrid1xOES = epoxy_glMapGrid1xOES_dispatch_table_thunk;

PUBLIC PFNGLMAPGRID2DPROC epoxy_glMapGrid2d = epoxy_glMapGrid2d_dispatch_table_thunk;

PUBLIC PFNGLMAPGRID2FPROC epoxy_glMapGrid2f = epoxy_glMapGrid2f_dispatch_table_thunk;

PUBLIC PFNGLMAPGRID2XOESPROC epoxy_glMapGrid2xOES = epoxy_glMapGrid2xOES_dispatch_table_thunk;

PUBLIC PFNGLMAPNAMEDBUFFEREXTPROC epoxy_glMapNamedBufferEXT = epoxy_glMapNamedBufferEXT_dispatch_table_thunk;

PUBLIC PFNGLMAPNAMEDBUFFERRANGEEXTPROC epoxy_glMapNamedBufferRangeEXT = epoxy_glMapNamedBufferRangeEXT_dispatch_table_thunk;

PUBLIC PFNGLMAPOBJECTBUFFERATIPROC epoxy_glMapObjectBufferATI = epoxy_glMapObjectBufferATI_dispatch_table_thunk;

PUBLIC PFNGLMAPPARAMETERFVNVPROC epoxy_glMapParameterfvNV = epoxy_glMapParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLMAPPARAMETERIVNVPROC epoxy_glMapParameterivNV = epoxy_glMapParameterivNV_dispatch_table_thunk;

PUBLIC PFNGLMAPTEXTURE2DINTELPROC epoxy_glMapTexture2DINTEL = epoxy_glMapTexture2DINTEL_dispatch_table_thunk;

PUBLIC PFNGLMAPVERTEXATTRIB1DAPPLEPROC epoxy_glMapVertexAttrib1dAPPLE = epoxy_glMapVertexAttrib1dAPPLE_dispatch_table_thunk;

PUBLIC PFNGLMAPVERTEXATTRIB1FAPPLEPROC epoxy_glMapVertexAttrib1fAPPLE = epoxy_glMapVertexAttrib1fAPPLE_dispatch_table_thunk;

PUBLIC PFNGLMAPVERTEXATTRIB2DAPPLEPROC epoxy_glMapVertexAttrib2dAPPLE = epoxy_glMapVertexAttrib2dAPPLE_dispatch_table_thunk;

PUBLIC PFNGLMAPVERTEXATTRIB2FAPPLEPROC epoxy_glMapVertexAttrib2fAPPLE = epoxy_glMapVertexAttrib2fAPPLE_dispatch_table_thunk;

PUBLIC PFNGLMATERIALFPROC epoxy_glMaterialf = epoxy_glMaterialf_dispatch_table_thunk;

PUBLIC PFNGLMATERIALFVPROC epoxy_glMaterialfv = epoxy_glMaterialfv_dispatch_table_thunk;

PUBLIC PFNGLMATERIALIPROC epoxy_glMateriali = epoxy_glMateriali_dispatch_table_thunk;

PUBLIC PFNGLMATERIALIVPROC epoxy_glMaterialiv = epoxy_glMaterialiv_dispatch_table_thunk;

PUBLIC PFNGLMATERIALXPROC epoxy_glMaterialx = epoxy_glMaterialx_dispatch_table_thunk;

PUBLIC PFNGLMATERIALXOESPROC epoxy_glMaterialxOES = epoxy_glMaterialxOES_dispatch_table_thunk;

PUBLIC PFNGLMATERIALXVPROC epoxy_glMaterialxv = epoxy_glMaterialxv_dispatch_table_thunk;

PUBLIC PFNGLMATERIALXVOESPROC epoxy_glMaterialxvOES = epoxy_glMaterialxvOES_dispatch_table_thunk;

PUBLIC PFNGLMATRIXFRUSTUMEXTPROC epoxy_glMatrixFrustumEXT = epoxy_glMatrixFrustumEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXINDEXPOINTERARBPROC epoxy_glMatrixIndexPointerARB = epoxy_glMatrixIndexPointerARB_dispatch_table_thunk;

PUBLIC PFNGLMATRIXINDEXPOINTEROESPROC epoxy_glMatrixIndexPointerOES = epoxy_glMatrixIndexPointerOES_dispatch_table_thunk;

PUBLIC PFNGLMATRIXINDEXUBVARBPROC epoxy_glMatrixIndexubvARB = epoxy_glMatrixIndexubvARB_dispatch_table_thunk;

PUBLIC PFNGLMATRIXINDEXUIVARBPROC epoxy_glMatrixIndexuivARB = epoxy_glMatrixIndexuivARB_dispatch_table_thunk;

PUBLIC PFNGLMATRIXINDEXUSVARBPROC epoxy_glMatrixIndexusvARB = epoxy_glMatrixIndexusvARB_dispatch_table_thunk;

PUBLIC PFNGLMATRIXLOADIDENTITYEXTPROC epoxy_glMatrixLoadIdentityEXT = epoxy_glMatrixLoadIdentityEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXLOADTRANSPOSEDEXTPROC epoxy_glMatrixLoadTransposedEXT = epoxy_glMatrixLoadTransposedEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXLOADTRANSPOSEFEXTPROC epoxy_glMatrixLoadTransposefEXT = epoxy_glMatrixLoadTransposefEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXLOADDEXTPROC epoxy_glMatrixLoaddEXT = epoxy_glMatrixLoaddEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXLOADFEXTPROC epoxy_glMatrixLoadfEXT = epoxy_glMatrixLoadfEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXMODEPROC epoxy_glMatrixMode = epoxy_glMatrixMode_dispatch_table_thunk;

PUBLIC PFNGLMATRIXMULTTRANSPOSEDEXTPROC epoxy_glMatrixMultTransposedEXT = epoxy_glMatrixMultTransposedEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXMULTTRANSPOSEFEXTPROC epoxy_glMatrixMultTransposefEXT = epoxy_glMatrixMultTransposefEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXMULTDEXTPROC epoxy_glMatrixMultdEXT = epoxy_glMatrixMultdEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXMULTFEXTPROC epoxy_glMatrixMultfEXT = epoxy_glMatrixMultfEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXORTHOEXTPROC epoxy_glMatrixOrthoEXT = epoxy_glMatrixOrthoEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXPOPEXTPROC epoxy_glMatrixPopEXT = epoxy_glMatrixPopEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXPUSHEXTPROC epoxy_glMatrixPushEXT = epoxy_glMatrixPushEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXROTATEDEXTPROC epoxy_glMatrixRotatedEXT = epoxy_glMatrixRotatedEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXROTATEFEXTPROC epoxy_glMatrixRotatefEXT = epoxy_glMatrixRotatefEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXSCALEDEXTPROC epoxy_glMatrixScaledEXT = epoxy_glMatrixScaledEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXSCALEFEXTPROC epoxy_glMatrixScalefEXT = epoxy_glMatrixScalefEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXTRANSLATEDEXTPROC epoxy_glMatrixTranslatedEXT = epoxy_glMatrixTranslatedEXT_dispatch_table_thunk;

PUBLIC PFNGLMATRIXTRANSLATEFEXTPROC epoxy_glMatrixTranslatefEXT = epoxy_glMatrixTranslatefEXT_dispatch_table_thunk;

PUBLIC PFNGLMEMORYBARRIERPROC epoxy_glMemoryBarrier = epoxy_glMemoryBarrier_dispatch_table_thunk;

PUBLIC PFNGLMEMORYBARRIEREXTPROC epoxy_glMemoryBarrierEXT = epoxy_glMemoryBarrierEXT_dispatch_table_thunk;

PUBLIC PFNGLMINSAMPLESHADINGPROC epoxy_glMinSampleShading = epoxy_glMinSampleShading_dispatch_table_thunk;

PUBLIC PFNGLMINSAMPLESHADINGARBPROC epoxy_glMinSampleShadingARB = epoxy_glMinSampleShadingARB_dispatch_table_thunk;

PUBLIC PFNGLMINMAXPROC epoxy_glMinmax = epoxy_glMinmax_dispatch_table_thunk;

PUBLIC PFNGLMINMAXEXTPROC epoxy_glMinmaxEXT = epoxy_glMinmaxEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTMATRIXDPROC epoxy_glMultMatrixd = epoxy_glMultMatrixd_dispatch_table_thunk;

PUBLIC PFNGLMULTMATRIXFPROC epoxy_glMultMatrixf = epoxy_glMultMatrixf_dispatch_table_thunk;

PUBLIC PFNGLMULTMATRIXXPROC epoxy_glMultMatrixx = epoxy_glMultMatrixx_dispatch_table_thunk;

PUBLIC PFNGLMULTMATRIXXOESPROC epoxy_glMultMatrixxOES = epoxy_glMultMatrixxOES_dispatch_table_thunk;

PUBLIC PFNGLMULTTRANSPOSEMATRIXDPROC epoxy_glMultTransposeMatrixd = epoxy_glMultTransposeMatrixd_dispatch_table_thunk;

PUBLIC PFNGLMULTTRANSPOSEMATRIXDARBPROC epoxy_glMultTransposeMatrixdARB = epoxy_glMultTransposeMatrixdARB_dispatch_table_thunk;

PUBLIC PFNGLMULTTRANSPOSEMATRIXFPROC epoxy_glMultTransposeMatrixf = epoxy_glMultTransposeMatrixf_dispatch_table_thunk;

PUBLIC PFNGLMULTTRANSPOSEMATRIXFARBPROC epoxy_glMultTransposeMatrixfARB = epoxy_glMultTransposeMatrixfARB_dispatch_table_thunk;

PUBLIC PFNGLMULTTRANSPOSEMATRIXXOESPROC epoxy_glMultTransposeMatrixxOES = epoxy_glMultTransposeMatrixxOES_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWARRAYSPROC epoxy_glMultiDrawArrays = epoxy_glMultiDrawArrays_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWARRAYSEXTPROC epoxy_glMultiDrawArraysEXT = epoxy_glMultiDrawArraysEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWARRAYSINDIRECTPROC epoxy_glMultiDrawArraysIndirect = epoxy_glMultiDrawArraysIndirect_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWARRAYSINDIRECTAMDPROC epoxy_glMultiDrawArraysIndirectAMD = epoxy_glMultiDrawArraysIndirectAMD_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWARRAYSINDIRECTBINDLESSNVPROC epoxy_glMultiDrawArraysIndirectBindlessNV = epoxy_glMultiDrawArraysIndirectBindlessNV_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWARRAYSINDIRECTCOUNTARBPROC epoxy_glMultiDrawArraysIndirectCountARB = epoxy_glMultiDrawArraysIndirectCountARB_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWELEMENTARRAYAPPLEPROC epoxy_glMultiDrawElementArrayAPPLE = epoxy_glMultiDrawElementArrayAPPLE_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWELEMENTSPROC epoxy_glMultiDrawElements = epoxy_glMultiDrawElements_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWELEMENTSBASEVERTEXPROC epoxy_glMultiDrawElementsBaseVertex = epoxy_glMultiDrawElementsBaseVertex_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWELEMENTSEXTPROC epoxy_glMultiDrawElementsEXT = epoxy_glMultiDrawElementsEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWELEMENTSINDIRECTPROC epoxy_glMultiDrawElementsIndirect = epoxy_glMultiDrawElementsIndirect_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWELEMENTSINDIRECTAMDPROC epoxy_glMultiDrawElementsIndirectAMD = epoxy_glMultiDrawElementsIndirectAMD_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWELEMENTSINDIRECTBINDLESSNVPROC epoxy_glMultiDrawElementsIndirectBindlessNV = epoxy_glMultiDrawElementsIndirectBindlessNV_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWELEMENTSINDIRECTCOUNTARBPROC epoxy_glMultiDrawElementsIndirectCountARB = epoxy_glMultiDrawElementsIndirectCountARB_dispatch_table_thunk;

PUBLIC PFNGLMULTIDRAWRANGEELEMENTARRAYAPPLEPROC epoxy_glMultiDrawRangeElementArrayAPPLE = epoxy_glMultiDrawRangeElementArrayAPPLE_dispatch_table_thunk;

PUBLIC PFNGLMULTIMODEDRAWARRAYSIBMPROC epoxy_glMultiModeDrawArraysIBM = epoxy_glMultiModeDrawArraysIBM_dispatch_table_thunk;

PUBLIC PFNGLMULTIMODEDRAWELEMENTSIBMPROC epoxy_glMultiModeDrawElementsIBM = epoxy_glMultiModeDrawElementsIBM_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXBUFFEREXTPROC epoxy_glMultiTexBufferEXT = epoxy_glMultiTexBufferEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1BOESPROC epoxy_glMultiTexCoord1bOES = epoxy_glMultiTexCoord1bOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1BVOESPROC epoxy_glMultiTexCoord1bvOES = epoxy_glMultiTexCoord1bvOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1DPROC epoxy_glMultiTexCoord1d = epoxy_glMultiTexCoord1d_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1DARBPROC epoxy_glMultiTexCoord1dARB = epoxy_glMultiTexCoord1dARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1DVPROC epoxy_glMultiTexCoord1dv = epoxy_glMultiTexCoord1dv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1DVARBPROC epoxy_glMultiTexCoord1dvARB = epoxy_glMultiTexCoord1dvARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1FPROC epoxy_glMultiTexCoord1f = epoxy_glMultiTexCoord1f_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1FARBPROC epoxy_glMultiTexCoord1fARB = epoxy_glMultiTexCoord1fARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1FVPROC epoxy_glMultiTexCoord1fv = epoxy_glMultiTexCoord1fv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1FVARBPROC epoxy_glMultiTexCoord1fvARB = epoxy_glMultiTexCoord1fvARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1HNVPROC epoxy_glMultiTexCoord1hNV = epoxy_glMultiTexCoord1hNV_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1HVNVPROC epoxy_glMultiTexCoord1hvNV = epoxy_glMultiTexCoord1hvNV_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1IPROC epoxy_glMultiTexCoord1i = epoxy_glMultiTexCoord1i_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1IARBPROC epoxy_glMultiTexCoord1iARB = epoxy_glMultiTexCoord1iARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1IVPROC epoxy_glMultiTexCoord1iv = epoxy_glMultiTexCoord1iv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1IVARBPROC epoxy_glMultiTexCoord1ivARB = epoxy_glMultiTexCoord1ivARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1SPROC epoxy_glMultiTexCoord1s = epoxy_glMultiTexCoord1s_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1SARBPROC epoxy_glMultiTexCoord1sARB = epoxy_glMultiTexCoord1sARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1SVPROC epoxy_glMultiTexCoord1sv = epoxy_glMultiTexCoord1sv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1SVARBPROC epoxy_glMultiTexCoord1svARB = epoxy_glMultiTexCoord1svARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1XOESPROC epoxy_glMultiTexCoord1xOES = epoxy_glMultiTexCoord1xOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD1XVOESPROC epoxy_glMultiTexCoord1xvOES = epoxy_glMultiTexCoord1xvOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2BOESPROC epoxy_glMultiTexCoord2bOES = epoxy_glMultiTexCoord2bOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2BVOESPROC epoxy_glMultiTexCoord2bvOES = epoxy_glMultiTexCoord2bvOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2DPROC epoxy_glMultiTexCoord2d = epoxy_glMultiTexCoord2d_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2DARBPROC epoxy_glMultiTexCoord2dARB = epoxy_glMultiTexCoord2dARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2DVPROC epoxy_glMultiTexCoord2dv = epoxy_glMultiTexCoord2dv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2DVARBPROC epoxy_glMultiTexCoord2dvARB = epoxy_glMultiTexCoord2dvARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2FPROC epoxy_glMultiTexCoord2f = epoxy_glMultiTexCoord2f_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2FARBPROC epoxy_glMultiTexCoord2fARB = epoxy_glMultiTexCoord2fARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2FVPROC epoxy_glMultiTexCoord2fv = epoxy_glMultiTexCoord2fv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2FVARBPROC epoxy_glMultiTexCoord2fvARB = epoxy_glMultiTexCoord2fvARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2HNVPROC epoxy_glMultiTexCoord2hNV = epoxy_glMultiTexCoord2hNV_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2HVNVPROC epoxy_glMultiTexCoord2hvNV = epoxy_glMultiTexCoord2hvNV_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2IPROC epoxy_glMultiTexCoord2i = epoxy_glMultiTexCoord2i_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2IARBPROC epoxy_glMultiTexCoord2iARB = epoxy_glMultiTexCoord2iARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2IVPROC epoxy_glMultiTexCoord2iv = epoxy_glMultiTexCoord2iv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2IVARBPROC epoxy_glMultiTexCoord2ivARB = epoxy_glMultiTexCoord2ivARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2SPROC epoxy_glMultiTexCoord2s = epoxy_glMultiTexCoord2s_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2SARBPROC epoxy_glMultiTexCoord2sARB = epoxy_glMultiTexCoord2sARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2SVPROC epoxy_glMultiTexCoord2sv = epoxy_glMultiTexCoord2sv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2SVARBPROC epoxy_glMultiTexCoord2svARB = epoxy_glMultiTexCoord2svARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2XOESPROC epoxy_glMultiTexCoord2xOES = epoxy_glMultiTexCoord2xOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD2XVOESPROC epoxy_glMultiTexCoord2xvOES = epoxy_glMultiTexCoord2xvOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3BOESPROC epoxy_glMultiTexCoord3bOES = epoxy_glMultiTexCoord3bOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3BVOESPROC epoxy_glMultiTexCoord3bvOES = epoxy_glMultiTexCoord3bvOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3DPROC epoxy_glMultiTexCoord3d = epoxy_glMultiTexCoord3d_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3DARBPROC epoxy_glMultiTexCoord3dARB = epoxy_glMultiTexCoord3dARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3DVPROC epoxy_glMultiTexCoord3dv = epoxy_glMultiTexCoord3dv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3DVARBPROC epoxy_glMultiTexCoord3dvARB = epoxy_glMultiTexCoord3dvARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3FPROC epoxy_glMultiTexCoord3f = epoxy_glMultiTexCoord3f_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3FARBPROC epoxy_glMultiTexCoord3fARB = epoxy_glMultiTexCoord3fARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3FVPROC epoxy_glMultiTexCoord3fv = epoxy_glMultiTexCoord3fv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3FVARBPROC epoxy_glMultiTexCoord3fvARB = epoxy_glMultiTexCoord3fvARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3HNVPROC epoxy_glMultiTexCoord3hNV = epoxy_glMultiTexCoord3hNV_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3HVNVPROC epoxy_glMultiTexCoord3hvNV = epoxy_glMultiTexCoord3hvNV_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3IPROC epoxy_glMultiTexCoord3i = epoxy_glMultiTexCoord3i_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3IARBPROC epoxy_glMultiTexCoord3iARB = epoxy_glMultiTexCoord3iARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3IVPROC epoxy_glMultiTexCoord3iv = epoxy_glMultiTexCoord3iv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3IVARBPROC epoxy_glMultiTexCoord3ivARB = epoxy_glMultiTexCoord3ivARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3SPROC epoxy_glMultiTexCoord3s = epoxy_glMultiTexCoord3s_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3SARBPROC epoxy_glMultiTexCoord3sARB = epoxy_glMultiTexCoord3sARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3SVPROC epoxy_glMultiTexCoord3sv = epoxy_glMultiTexCoord3sv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3SVARBPROC epoxy_glMultiTexCoord3svARB = epoxy_glMultiTexCoord3svARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3XOESPROC epoxy_glMultiTexCoord3xOES = epoxy_glMultiTexCoord3xOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD3XVOESPROC epoxy_glMultiTexCoord3xvOES = epoxy_glMultiTexCoord3xvOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4BOESPROC epoxy_glMultiTexCoord4bOES = epoxy_glMultiTexCoord4bOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4BVOESPROC epoxy_glMultiTexCoord4bvOES = epoxy_glMultiTexCoord4bvOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4DPROC epoxy_glMultiTexCoord4d = epoxy_glMultiTexCoord4d_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4DARBPROC epoxy_glMultiTexCoord4dARB = epoxy_glMultiTexCoord4dARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4DVPROC epoxy_glMultiTexCoord4dv = epoxy_glMultiTexCoord4dv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4DVARBPROC epoxy_glMultiTexCoord4dvARB = epoxy_glMultiTexCoord4dvARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4FPROC epoxy_glMultiTexCoord4f = epoxy_glMultiTexCoord4f_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4FARBPROC epoxy_glMultiTexCoord4fARB = epoxy_glMultiTexCoord4fARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4FVPROC epoxy_glMultiTexCoord4fv = epoxy_glMultiTexCoord4fv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4FVARBPROC epoxy_glMultiTexCoord4fvARB = epoxy_glMultiTexCoord4fvARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4HNVPROC epoxy_glMultiTexCoord4hNV = epoxy_glMultiTexCoord4hNV_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4HVNVPROC epoxy_glMultiTexCoord4hvNV = epoxy_glMultiTexCoord4hvNV_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4IPROC epoxy_glMultiTexCoord4i = epoxy_glMultiTexCoord4i_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4IARBPROC epoxy_glMultiTexCoord4iARB = epoxy_glMultiTexCoord4iARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4IVPROC epoxy_glMultiTexCoord4iv = epoxy_glMultiTexCoord4iv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4IVARBPROC epoxy_glMultiTexCoord4ivARB = epoxy_glMultiTexCoord4ivARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4SPROC epoxy_glMultiTexCoord4s = epoxy_glMultiTexCoord4s_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4SARBPROC epoxy_glMultiTexCoord4sARB = epoxy_glMultiTexCoord4sARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4SVPROC epoxy_glMultiTexCoord4sv = epoxy_glMultiTexCoord4sv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4SVARBPROC epoxy_glMultiTexCoord4svARB = epoxy_glMultiTexCoord4svARB_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4XPROC epoxy_glMultiTexCoord4x = epoxy_glMultiTexCoord4x_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4XOESPROC epoxy_glMultiTexCoord4xOES = epoxy_glMultiTexCoord4xOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORD4XVOESPROC epoxy_glMultiTexCoord4xvOES = epoxy_glMultiTexCoord4xvOES_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORDP1UIPROC epoxy_glMultiTexCoordP1ui = epoxy_glMultiTexCoordP1ui_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORDP1UIVPROC epoxy_glMultiTexCoordP1uiv = epoxy_glMultiTexCoordP1uiv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORDP2UIPROC epoxy_glMultiTexCoordP2ui = epoxy_glMultiTexCoordP2ui_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORDP2UIVPROC epoxy_glMultiTexCoordP2uiv = epoxy_glMultiTexCoordP2uiv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORDP3UIPROC epoxy_glMultiTexCoordP3ui = epoxy_glMultiTexCoordP3ui_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORDP3UIVPROC epoxy_glMultiTexCoordP3uiv = epoxy_glMultiTexCoordP3uiv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORDP4UIPROC epoxy_glMultiTexCoordP4ui = epoxy_glMultiTexCoordP4ui_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORDP4UIVPROC epoxy_glMultiTexCoordP4uiv = epoxy_glMultiTexCoordP4uiv_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXCOORDPOINTEREXTPROC epoxy_glMultiTexCoordPointerEXT = epoxy_glMultiTexCoordPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXENVFEXTPROC epoxy_glMultiTexEnvfEXT = epoxy_glMultiTexEnvfEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXENVFVEXTPROC epoxy_glMultiTexEnvfvEXT = epoxy_glMultiTexEnvfvEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXENVIEXTPROC epoxy_glMultiTexEnviEXT = epoxy_glMultiTexEnviEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXENVIVEXTPROC epoxy_glMultiTexEnvivEXT = epoxy_glMultiTexEnvivEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXGENDEXTPROC epoxy_glMultiTexGendEXT = epoxy_glMultiTexGendEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXGENDVEXTPROC epoxy_glMultiTexGendvEXT = epoxy_glMultiTexGendvEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXGENFEXTPROC epoxy_glMultiTexGenfEXT = epoxy_glMultiTexGenfEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXGENFVEXTPROC epoxy_glMultiTexGenfvEXT = epoxy_glMultiTexGenfvEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXGENIEXTPROC epoxy_glMultiTexGeniEXT = epoxy_glMultiTexGeniEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXGENIVEXTPROC epoxy_glMultiTexGenivEXT = epoxy_glMultiTexGenivEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXIMAGE1DEXTPROC epoxy_glMultiTexImage1DEXT = epoxy_glMultiTexImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXIMAGE2DEXTPROC epoxy_glMultiTexImage2DEXT = epoxy_glMultiTexImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXIMAGE3DEXTPROC epoxy_glMultiTexImage3DEXT = epoxy_glMultiTexImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXPARAMETERIIVEXTPROC epoxy_glMultiTexParameterIivEXT = epoxy_glMultiTexParameterIivEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXPARAMETERIUIVEXTPROC epoxy_glMultiTexParameterIuivEXT = epoxy_glMultiTexParameterIuivEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXPARAMETERFEXTPROC epoxy_glMultiTexParameterfEXT = epoxy_glMultiTexParameterfEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXPARAMETERFVEXTPROC epoxy_glMultiTexParameterfvEXT = epoxy_glMultiTexParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXPARAMETERIEXTPROC epoxy_glMultiTexParameteriEXT = epoxy_glMultiTexParameteriEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXPARAMETERIVEXTPROC epoxy_glMultiTexParameterivEXT = epoxy_glMultiTexParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXRENDERBUFFEREXTPROC epoxy_glMultiTexRenderbufferEXT = epoxy_glMultiTexRenderbufferEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXSUBIMAGE1DEXTPROC epoxy_glMultiTexSubImage1DEXT = epoxy_glMultiTexSubImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXSUBIMAGE2DEXTPROC epoxy_glMultiTexSubImage2DEXT = epoxy_glMultiTexSubImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLMULTITEXSUBIMAGE3DEXTPROC epoxy_glMultiTexSubImage3DEXT = epoxy_glMultiTexSubImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDBUFFERDATAEXTPROC epoxy_glNamedBufferDataEXT = epoxy_glNamedBufferDataEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDBUFFERSTORAGEEXTPROC epoxy_glNamedBufferStorageEXT = epoxy_glNamedBufferStorageEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDBUFFERSUBDATAEXTPROC epoxy_glNamedBufferSubDataEXT = epoxy_glNamedBufferSubDataEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDCOPYBUFFERSUBDATAEXTPROC epoxy_glNamedCopyBufferSubDataEXT = epoxy_glNamedCopyBufferSubDataEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDFRAMEBUFFERPARAMETERIEXTPROC epoxy_glNamedFramebufferParameteriEXT = epoxy_glNamedFramebufferParameteriEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDFRAMEBUFFERRENDERBUFFEREXTPROC epoxy_glNamedFramebufferRenderbufferEXT = epoxy_glNamedFramebufferRenderbufferEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTURE1DEXTPROC epoxy_glNamedFramebufferTexture1DEXT = epoxy_glNamedFramebufferTexture1DEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTURE2DEXTPROC epoxy_glNamedFramebufferTexture2DEXT = epoxy_glNamedFramebufferTexture2DEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTURE3DEXTPROC epoxy_glNamedFramebufferTexture3DEXT = epoxy_glNamedFramebufferTexture3DEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTUREEXTPROC epoxy_glNamedFramebufferTextureEXT = epoxy_glNamedFramebufferTextureEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTUREFACEEXTPROC epoxy_glNamedFramebufferTextureFaceEXT = epoxy_glNamedFramebufferTextureFaceEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTURELAYEREXTPROC epoxy_glNamedFramebufferTextureLayerEXT = epoxy_glNamedFramebufferTextureLayerEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETER4DEXTPROC epoxy_glNamedProgramLocalParameter4dEXT = epoxy_glNamedProgramLocalParameter4dEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETER4DVEXTPROC epoxy_glNamedProgramLocalParameter4dvEXT = epoxy_glNamedProgramLocalParameter4dvEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETER4FEXTPROC epoxy_glNamedProgramLocalParameter4fEXT = epoxy_glNamedProgramLocalParameter4fEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETER4FVEXTPROC epoxy_glNamedProgramLocalParameter4fvEXT = epoxy_glNamedProgramLocalParameter4fvEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERI4IEXTPROC epoxy_glNamedProgramLocalParameterI4iEXT = epoxy_glNamedProgramLocalParameterI4iEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERI4IVEXTPROC epoxy_glNamedProgramLocalParameterI4ivEXT = epoxy_glNamedProgramLocalParameterI4ivEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIEXTPROC epoxy_glNamedProgramLocalParameterI4uiEXT = epoxy_glNamedProgramLocalParameterI4uiEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIVEXTPROC epoxy_glNamedProgramLocalParameterI4uivEXT = epoxy_glNamedProgramLocalParameterI4uivEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERS4FVEXTPROC epoxy_glNamedProgramLocalParameters4fvEXT = epoxy_glNamedProgramLocalParameters4fvEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERSI4IVEXTPROC epoxy_glNamedProgramLocalParametersI4ivEXT = epoxy_glNamedProgramLocalParametersI4ivEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERSI4UIVEXTPROC epoxy_glNamedProgramLocalParametersI4uivEXT = epoxy_glNamedProgramLocalParametersI4uivEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDPROGRAMSTRINGEXTPROC epoxy_glNamedProgramStringEXT = epoxy_glNamedProgramStringEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDRENDERBUFFERSTORAGEEXTPROC epoxy_glNamedRenderbufferStorageEXT = epoxy_glNamedRenderbufferStorageEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLECOVERAGEEXTPROC epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT = epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC epoxy_glNamedRenderbufferStorageMultisampleEXT = epoxy_glNamedRenderbufferStorageMultisampleEXT_dispatch_table_thunk;

PUBLIC PFNGLNAMEDSTRINGARBPROC epoxy_glNamedStringARB = epoxy_glNamedStringARB_dispatch_table_thunk;

PUBLIC PFNGLNEWLISTPROC epoxy_glNewList = epoxy_glNewList_dispatch_table_thunk;

PUBLIC PFNGLNEWOBJECTBUFFERATIPROC epoxy_glNewObjectBufferATI = epoxy_glNewObjectBufferATI_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3BPROC epoxy_glNormal3b = epoxy_glNormal3b_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3BVPROC epoxy_glNormal3bv = epoxy_glNormal3bv_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3DPROC epoxy_glNormal3d = epoxy_glNormal3d_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3DVPROC epoxy_glNormal3dv = epoxy_glNormal3dv_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3FPROC epoxy_glNormal3f = epoxy_glNormal3f_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3FVERTEX3FSUNPROC epoxy_glNormal3fVertex3fSUN = epoxy_glNormal3fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3FVERTEX3FVSUNPROC epoxy_glNormal3fVertex3fvSUN = epoxy_glNormal3fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3FVPROC epoxy_glNormal3fv = epoxy_glNormal3fv_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3HNVPROC epoxy_glNormal3hNV = epoxy_glNormal3hNV_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3HVNVPROC epoxy_glNormal3hvNV = epoxy_glNormal3hvNV_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3IPROC epoxy_glNormal3i = epoxy_glNormal3i_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3IVPROC epoxy_glNormal3iv = epoxy_glNormal3iv_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3SPROC epoxy_glNormal3s = epoxy_glNormal3s_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3SVPROC epoxy_glNormal3sv = epoxy_glNormal3sv_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3XPROC epoxy_glNormal3x = epoxy_glNormal3x_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3XOESPROC epoxy_glNormal3xOES = epoxy_glNormal3xOES_dispatch_table_thunk;

PUBLIC PFNGLNORMAL3XVOESPROC epoxy_glNormal3xvOES = epoxy_glNormal3xvOES_dispatch_table_thunk;

PUBLIC PFNGLNORMALFORMATNVPROC epoxy_glNormalFormatNV = epoxy_glNormalFormatNV_dispatch_table_thunk;

PUBLIC PFNGLNORMALP3UIPROC epoxy_glNormalP3ui = epoxy_glNormalP3ui_dispatch_table_thunk;

PUBLIC PFNGLNORMALP3UIVPROC epoxy_glNormalP3uiv = epoxy_glNormalP3uiv_dispatch_table_thunk;

PUBLIC PFNGLNORMALPOINTERPROC epoxy_glNormalPointer = epoxy_glNormalPointer_dispatch_table_thunk;

PUBLIC PFNGLNORMALPOINTEREXTPROC epoxy_glNormalPointerEXT = epoxy_glNormalPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLNORMALPOINTERLISTIBMPROC epoxy_glNormalPointerListIBM = epoxy_glNormalPointerListIBM_dispatch_table_thunk;

PUBLIC PFNGLNORMALPOINTERVINTELPROC epoxy_glNormalPointervINTEL = epoxy_glNormalPointervINTEL_dispatch_table_thunk;

PUBLIC PFNGLNORMALSTREAM3BATIPROC epoxy_glNormalStream3bATI = epoxy_glNormalStream3bATI_dispatch_table_thunk;

PUBLIC PFNGLNORMALSTREAM3BVATIPROC epoxy_glNormalStream3bvATI = epoxy_glNormalStream3bvATI_dispatch_table_thunk;

PUBLIC PFNGLNORMALSTREAM3DATIPROC epoxy_glNormalStream3dATI = epoxy_glNormalStream3dATI_dispatch_table_thunk;

PUBLIC PFNGLNORMALSTREAM3DVATIPROC epoxy_glNormalStream3dvATI = epoxy_glNormalStream3dvATI_dispatch_table_thunk;

PUBLIC PFNGLNORMALSTREAM3FATIPROC epoxy_glNormalStream3fATI = epoxy_glNormalStream3fATI_dispatch_table_thunk;

PUBLIC PFNGLNORMALSTREAM3FVATIPROC epoxy_glNormalStream3fvATI = epoxy_glNormalStream3fvATI_dispatch_table_thunk;

PUBLIC PFNGLNORMALSTREAM3IATIPROC epoxy_glNormalStream3iATI = epoxy_glNormalStream3iATI_dispatch_table_thunk;

PUBLIC PFNGLNORMALSTREAM3IVATIPROC epoxy_glNormalStream3ivATI = epoxy_glNormalStream3ivATI_dispatch_table_thunk;

PUBLIC PFNGLNORMALSTREAM3SATIPROC epoxy_glNormalStream3sATI = epoxy_glNormalStream3sATI_dispatch_table_thunk;

PUBLIC PFNGLNORMALSTREAM3SVATIPROC epoxy_glNormalStream3svATI = epoxy_glNormalStream3svATI_dispatch_table_thunk;

PUBLIC PFNGLOBJECTLABELPROC epoxy_glObjectLabel = epoxy_glObjectLabel_dispatch_table_thunk;

PUBLIC PFNGLOBJECTLABELKHRPROC epoxy_glObjectLabelKHR = epoxy_glObjectLabelKHR_dispatch_table_thunk;

PUBLIC PFNGLOBJECTPTRLABELPROC epoxy_glObjectPtrLabel = epoxy_glObjectPtrLabel_dispatch_table_thunk;

PUBLIC PFNGLOBJECTPTRLABELKHRPROC epoxy_glObjectPtrLabelKHR = epoxy_glObjectPtrLabelKHR_dispatch_table_thunk;

PUBLIC PFNGLOBJECTPURGEABLEAPPLEPROC epoxy_glObjectPurgeableAPPLE = epoxy_glObjectPurgeableAPPLE_dispatch_table_thunk;

PUBLIC PFNGLOBJECTUNPURGEABLEAPPLEPROC epoxy_glObjectUnpurgeableAPPLE = epoxy_glObjectUnpurgeableAPPLE_dispatch_table_thunk;

PUBLIC PFNGLORTHOPROC epoxy_glOrtho = epoxy_glOrtho_dispatch_table_thunk;

PUBLIC PFNGLORTHOFPROC epoxy_glOrthof = epoxy_glOrthof_dispatch_table_thunk;

PUBLIC PFNGLORTHOFOESPROC epoxy_glOrthofOES = epoxy_glOrthofOES_dispatch_table_thunk;

PUBLIC PFNGLORTHOXPROC epoxy_glOrthox = epoxy_glOrthox_dispatch_table_thunk;

PUBLIC PFNGLORTHOXOESPROC epoxy_glOrthoxOES = epoxy_glOrthoxOES_dispatch_table_thunk;

PUBLIC PFNGLPNTRIANGLESFATIPROC epoxy_glPNTrianglesfATI = epoxy_glPNTrianglesfATI_dispatch_table_thunk;

PUBLIC PFNGLPNTRIANGLESIATIPROC epoxy_glPNTrianglesiATI = epoxy_glPNTrianglesiATI_dispatch_table_thunk;

PUBLIC PFNGLPASSTEXCOORDATIPROC epoxy_glPassTexCoordATI = epoxy_glPassTexCoordATI_dispatch_table_thunk;

PUBLIC PFNGLPASSTHROUGHPROC epoxy_glPassThrough = epoxy_glPassThrough_dispatch_table_thunk;

PUBLIC PFNGLPASSTHROUGHXOESPROC epoxy_glPassThroughxOES = epoxy_glPassThroughxOES_dispatch_table_thunk;

PUBLIC PFNGLPATCHPARAMETERFVPROC epoxy_glPatchParameterfv = epoxy_glPatchParameterfv_dispatch_table_thunk;

PUBLIC PFNGLPATCHPARAMETERIPROC epoxy_glPatchParameteri = epoxy_glPatchParameteri_dispatch_table_thunk;

PUBLIC PFNGLPATHCOLORGENNVPROC epoxy_glPathColorGenNV = epoxy_glPathColorGenNV_dispatch_table_thunk;

PUBLIC PFNGLPATHCOMMANDSNVPROC epoxy_glPathCommandsNV = epoxy_glPathCommandsNV_dispatch_table_thunk;

PUBLIC PFNGLPATHCOORDSNVPROC epoxy_glPathCoordsNV = epoxy_glPathCoordsNV_dispatch_table_thunk;

PUBLIC PFNGLPATHCOVERDEPTHFUNCNVPROC epoxy_glPathCoverDepthFuncNV = epoxy_glPathCoverDepthFuncNV_dispatch_table_thunk;

PUBLIC PFNGLPATHDASHARRAYNVPROC epoxy_glPathDashArrayNV = epoxy_glPathDashArrayNV_dispatch_table_thunk;

PUBLIC PFNGLPATHFOGGENNVPROC epoxy_glPathFogGenNV = epoxy_glPathFogGenNV_dispatch_table_thunk;

PUBLIC PFNGLPATHGLYPHRANGENVPROC epoxy_glPathGlyphRangeNV = epoxy_glPathGlyphRangeNV_dispatch_table_thunk;

PUBLIC PFNGLPATHGLYPHSNVPROC epoxy_glPathGlyphsNV = epoxy_glPathGlyphsNV_dispatch_table_thunk;

PUBLIC PFNGLPATHPARAMETERFNVPROC epoxy_glPathParameterfNV = epoxy_glPathParameterfNV_dispatch_table_thunk;

PUBLIC PFNGLPATHPARAMETERFVNVPROC epoxy_glPathParameterfvNV = epoxy_glPathParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLPATHPARAMETERINVPROC epoxy_glPathParameteriNV = epoxy_glPathParameteriNV_dispatch_table_thunk;

PUBLIC PFNGLPATHPARAMETERIVNVPROC epoxy_glPathParameterivNV = epoxy_glPathParameterivNV_dispatch_table_thunk;

PUBLIC PFNGLPATHSTENCILDEPTHOFFSETNVPROC epoxy_glPathStencilDepthOffsetNV = epoxy_glPathStencilDepthOffsetNV_dispatch_table_thunk;

PUBLIC PFNGLPATHSTENCILFUNCNVPROC epoxy_glPathStencilFuncNV = epoxy_glPathStencilFuncNV_dispatch_table_thunk;

PUBLIC PFNGLPATHSTRINGNVPROC epoxy_glPathStringNV = epoxy_glPathStringNV_dispatch_table_thunk;

PUBLIC PFNGLPATHSUBCOMMANDSNVPROC epoxy_glPathSubCommandsNV = epoxy_glPathSubCommandsNV_dispatch_table_thunk;

PUBLIC PFNGLPATHSUBCOORDSNVPROC epoxy_glPathSubCoordsNV = epoxy_glPathSubCoordsNV_dispatch_table_thunk;

PUBLIC PFNGLPATHTEXGENNVPROC epoxy_glPathTexGenNV = epoxy_glPathTexGenNV_dispatch_table_thunk;

PUBLIC PFNGLPAUSETRANSFORMFEEDBACKPROC epoxy_glPauseTransformFeedback = epoxy_glPauseTransformFeedback_dispatch_table_thunk;

PUBLIC PFNGLPAUSETRANSFORMFEEDBACKNVPROC epoxy_glPauseTransformFeedbackNV = epoxy_glPauseTransformFeedbackNV_dispatch_table_thunk;

PUBLIC PFNGLPIXELDATARANGENVPROC epoxy_glPixelDataRangeNV = epoxy_glPixelDataRangeNV_dispatch_table_thunk;

PUBLIC PFNGLPIXELMAPFVPROC epoxy_glPixelMapfv = epoxy_glPixelMapfv_dispatch_table_thunk;

PUBLIC PFNGLPIXELMAPUIVPROC epoxy_glPixelMapuiv = epoxy_glPixelMapuiv_dispatch_table_thunk;

PUBLIC PFNGLPIXELMAPUSVPROC epoxy_glPixelMapusv = epoxy_glPixelMapusv_dispatch_table_thunk;

PUBLIC PFNGLPIXELMAPXPROC epoxy_glPixelMapx = epoxy_glPixelMapx_dispatch_table_thunk;

PUBLIC PFNGLPIXELSTOREFPROC epoxy_glPixelStoref = epoxy_glPixelStoref_dispatch_table_thunk;

PUBLIC PFNGLPIXELSTOREIPROC epoxy_glPixelStorei = epoxy_glPixelStorei_dispatch_table_thunk;

PUBLIC PFNGLPIXELSTOREXPROC epoxy_glPixelStorex = epoxy_glPixelStorex_dispatch_table_thunk;

PUBLIC PFNGLPIXELTEXGENPARAMETERFSGISPROC epoxy_glPixelTexGenParameterfSGIS = epoxy_glPixelTexGenParameterfSGIS_dispatch_table_thunk;

PUBLIC PFNGLPIXELTEXGENPARAMETERFVSGISPROC epoxy_glPixelTexGenParameterfvSGIS = epoxy_glPixelTexGenParameterfvSGIS_dispatch_table_thunk;

PUBLIC PFNGLPIXELTEXGENPARAMETERISGISPROC epoxy_glPixelTexGenParameteriSGIS = epoxy_glPixelTexGenParameteriSGIS_dispatch_table_thunk;

PUBLIC PFNGLPIXELTEXGENPARAMETERIVSGISPROC epoxy_glPixelTexGenParameterivSGIS = epoxy_glPixelTexGenParameterivSGIS_dispatch_table_thunk;

PUBLIC PFNGLPIXELTEXGENSGIXPROC epoxy_glPixelTexGenSGIX = epoxy_glPixelTexGenSGIX_dispatch_table_thunk;

PUBLIC PFNGLPIXELTRANSFERFPROC epoxy_glPixelTransferf = epoxy_glPixelTransferf_dispatch_table_thunk;

PUBLIC PFNGLPIXELTRANSFERIPROC epoxy_glPixelTransferi = epoxy_glPixelTransferi_dispatch_table_thunk;

PUBLIC PFNGLPIXELTRANSFERXOESPROC epoxy_glPixelTransferxOES = epoxy_glPixelTransferxOES_dispatch_table_thunk;

PUBLIC PFNGLPIXELTRANSFORMPARAMETERFEXTPROC epoxy_glPixelTransformParameterfEXT = epoxy_glPixelTransformParameterfEXT_dispatch_table_thunk;

PUBLIC PFNGLPIXELTRANSFORMPARAMETERFVEXTPROC epoxy_glPixelTransformParameterfvEXT = epoxy_glPixelTransformParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLPIXELTRANSFORMPARAMETERIEXTPROC epoxy_glPixelTransformParameteriEXT = epoxy_glPixelTransformParameteriEXT_dispatch_table_thunk;

PUBLIC PFNGLPIXELTRANSFORMPARAMETERIVEXTPROC epoxy_glPixelTransformParameterivEXT = epoxy_glPixelTransformParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLPIXELZOOMPROC epoxy_glPixelZoom = epoxy_glPixelZoom_dispatch_table_thunk;

PUBLIC PFNGLPIXELZOOMXOESPROC epoxy_glPixelZoomxOES = epoxy_glPixelZoomxOES_dispatch_table_thunk;

PUBLIC PFNGLPOINTALONGPATHNVPROC epoxy_glPointAlongPathNV = epoxy_glPointAlongPathNV_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERFPROC epoxy_glPointParameterf = epoxy_glPointParameterf_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERFARBPROC epoxy_glPointParameterfARB = epoxy_glPointParameterfARB_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERFEXTPROC epoxy_glPointParameterfEXT = epoxy_glPointParameterfEXT_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERFSGISPROC epoxy_glPointParameterfSGIS = epoxy_glPointParameterfSGIS_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERFVPROC epoxy_glPointParameterfv = epoxy_glPointParameterfv_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERFVARBPROC epoxy_glPointParameterfvARB = epoxy_glPointParameterfvARB_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERFVEXTPROC epoxy_glPointParameterfvEXT = epoxy_glPointParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERFVSGISPROC epoxy_glPointParameterfvSGIS = epoxy_glPointParameterfvSGIS_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERIPROC epoxy_glPointParameteri = epoxy_glPointParameteri_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERINVPROC epoxy_glPointParameteriNV = epoxy_glPointParameteriNV_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERIVPROC epoxy_glPointParameteriv = epoxy_glPointParameteriv_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERIVNVPROC epoxy_glPointParameterivNV = epoxy_glPointParameterivNV_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERXPROC epoxy_glPointParameterx = epoxy_glPointParameterx_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERXOESPROC epoxy_glPointParameterxOES = epoxy_glPointParameterxOES_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERXVPROC epoxy_glPointParameterxv = epoxy_glPointParameterxv_dispatch_table_thunk;

PUBLIC PFNGLPOINTPARAMETERXVOESPROC epoxy_glPointParameterxvOES = epoxy_glPointParameterxvOES_dispatch_table_thunk;

PUBLIC PFNGLPOINTSIZEPROC epoxy_glPointSize = epoxy_glPointSize_dispatch_table_thunk;

PUBLIC PFNGLPOINTSIZEPOINTEROESPROC epoxy_glPointSizePointerOES = epoxy_glPointSizePointerOES_dispatch_table_thunk;

PUBLIC PFNGLPOINTSIZEXPROC epoxy_glPointSizex = epoxy_glPointSizex_dispatch_table_thunk;

PUBLIC PFNGLPOINTSIZEXOESPROC epoxy_glPointSizexOES = epoxy_glPointSizexOES_dispatch_table_thunk;

PUBLIC PFNGLPOLLASYNCSGIXPROC epoxy_glPollAsyncSGIX = epoxy_glPollAsyncSGIX_dispatch_table_thunk;

PUBLIC PFNGLPOLLINSTRUMENTSSGIXPROC epoxy_glPollInstrumentsSGIX = epoxy_glPollInstrumentsSGIX_dispatch_table_thunk;

PUBLIC PFNGLPOLYGONMODEPROC epoxy_glPolygonMode = epoxy_glPolygonMode_dispatch_table_thunk;

PUBLIC PFNGLPOLYGONOFFSETPROC epoxy_glPolygonOffset = epoxy_glPolygonOffset_dispatch_table_thunk;

PUBLIC PFNGLPOLYGONOFFSETEXTPROC epoxy_glPolygonOffsetEXT = epoxy_glPolygonOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLPOLYGONOFFSETXPROC epoxy_glPolygonOffsetx = epoxy_glPolygonOffsetx_dispatch_table_thunk;

PUBLIC PFNGLPOLYGONOFFSETXOESPROC epoxy_glPolygonOffsetxOES = epoxy_glPolygonOffsetxOES_dispatch_table_thunk;

PUBLIC PFNGLPOLYGONSTIPPLEPROC epoxy_glPolygonStipple = epoxy_glPolygonStipple_dispatch_table_thunk;

PUBLIC PFNGLPOPATTRIBPROC epoxy_glPopAttrib = epoxy_glPopAttrib_dispatch_table_thunk;

PUBLIC PFNGLPOPCLIENTATTRIBPROC epoxy_glPopClientAttrib = epoxy_glPopClientAttrib_dispatch_table_thunk;

PUBLIC PFNGLPOPDEBUGGROUPPROC epoxy_glPopDebugGroup = epoxy_glPopDebugGroup_dispatch_table_thunk;

PUBLIC PFNGLPOPDEBUGGROUPKHRPROC epoxy_glPopDebugGroupKHR = epoxy_glPopDebugGroupKHR_dispatch_table_thunk;

PUBLIC PFNGLPOPGROUPMARKEREXTPROC epoxy_glPopGroupMarkerEXT = epoxy_glPopGroupMarkerEXT_dispatch_table_thunk;

PUBLIC PFNGLPOPMATRIXPROC epoxy_glPopMatrix = epoxy_glPopMatrix_dispatch_table_thunk;

PUBLIC PFNGLPOPNAMEPROC epoxy_glPopName = epoxy_glPopName_dispatch_table_thunk;

PUBLIC PFNGLPRESENTFRAMEDUALFILLNVPROC epoxy_glPresentFrameDualFillNV = epoxy_glPresentFrameDualFillNV_dispatch_table_thunk;

PUBLIC PFNGLPRESENTFRAMEKEYEDNVPROC epoxy_glPresentFrameKeyedNV = epoxy_glPresentFrameKeyedNV_dispatch_table_thunk;

PUBLIC PFNGLPRIMITIVERESTARTINDEXPROC epoxy_glPrimitiveRestartIndex = epoxy_glPrimitiveRestartIndex_dispatch_table_thunk;

PUBLIC PFNGLPRIMITIVERESTARTINDEXNVPROC epoxy_glPrimitiveRestartIndexNV = epoxy_glPrimitiveRestartIndexNV_dispatch_table_thunk;

PUBLIC PFNGLPRIMITIVERESTARTNVPROC epoxy_glPrimitiveRestartNV = epoxy_glPrimitiveRestartNV_dispatch_table_thunk;

PUBLIC PFNGLPRIORITIZETEXTURESPROC epoxy_glPrioritizeTextures = epoxy_glPrioritizeTextures_dispatch_table_thunk;

PUBLIC PFNGLPRIORITIZETEXTURESEXTPROC epoxy_glPrioritizeTexturesEXT = epoxy_glPrioritizeTexturesEXT_dispatch_table_thunk;

PUBLIC PFNGLPRIORITIZETEXTURESXOESPROC epoxy_glPrioritizeTexturesxOES = epoxy_glPrioritizeTexturesxOES_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMBINARYPROC epoxy_glProgramBinary = epoxy_glProgramBinary_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMBINARYOESPROC epoxy_glProgramBinaryOES = epoxy_glProgramBinaryOES_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMBUFFERPARAMETERSIIVNVPROC epoxy_glProgramBufferParametersIivNV = epoxy_glProgramBufferParametersIivNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMBUFFERPARAMETERSIUIVNVPROC epoxy_glProgramBufferParametersIuivNV = epoxy_glProgramBufferParametersIuivNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMBUFFERPARAMETERSFVNVPROC epoxy_glProgramBufferParametersfvNV = epoxy_glProgramBufferParametersfvNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMENVPARAMETER4DARBPROC epoxy_glProgramEnvParameter4dARB = epoxy_glProgramEnvParameter4dARB_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMENVPARAMETER4DVARBPROC epoxy_glProgramEnvParameter4dvARB = epoxy_glProgramEnvParameter4dvARB_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMENVPARAMETER4FARBPROC epoxy_glProgramEnvParameter4fARB = epoxy_glProgramEnvParameter4fARB_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMENVPARAMETER4FVARBPROC epoxy_glProgramEnvParameter4fvARB = epoxy_glProgramEnvParameter4fvARB_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMENVPARAMETERI4INVPROC epoxy_glProgramEnvParameterI4iNV = epoxy_glProgramEnvParameterI4iNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMENVPARAMETERI4IVNVPROC epoxy_glProgramEnvParameterI4ivNV = epoxy_glProgramEnvParameterI4ivNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMENVPARAMETERI4UINVPROC epoxy_glProgramEnvParameterI4uiNV = epoxy_glProgramEnvParameterI4uiNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMENVPARAMETERI4UIVNVPROC epoxy_glProgramEnvParameterI4uivNV = epoxy_glProgramEnvParameterI4uivNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMENVPARAMETERS4FVEXTPROC epoxy_glProgramEnvParameters4fvEXT = epoxy_glProgramEnvParameters4fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMENVPARAMETERSI4IVNVPROC epoxy_glProgramEnvParametersI4ivNV = epoxy_glProgramEnvParametersI4ivNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMENVPARAMETERSI4UIVNVPROC epoxy_glProgramEnvParametersI4uivNV = epoxy_glProgramEnvParametersI4uivNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMLOCALPARAMETER4DARBPROC epoxy_glProgramLocalParameter4dARB = epoxy_glProgramLocalParameter4dARB_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMLOCALPARAMETER4DVARBPROC epoxy_glProgramLocalParameter4dvARB = epoxy_glProgramLocalParameter4dvARB_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMLOCALPARAMETER4FARBPROC epoxy_glProgramLocalParameter4fARB = epoxy_glProgramLocalParameter4fARB_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMLOCALPARAMETER4FVARBPROC epoxy_glProgramLocalParameter4fvARB = epoxy_glProgramLocalParameter4fvARB_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMLOCALPARAMETERI4INVPROC epoxy_glProgramLocalParameterI4iNV = epoxy_glProgramLocalParameterI4iNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMLOCALPARAMETERI4IVNVPROC epoxy_glProgramLocalParameterI4ivNV = epoxy_glProgramLocalParameterI4ivNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMLOCALPARAMETERI4UINVPROC epoxy_glProgramLocalParameterI4uiNV = epoxy_glProgramLocalParameterI4uiNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMLOCALPARAMETERI4UIVNVPROC epoxy_glProgramLocalParameterI4uivNV = epoxy_glProgramLocalParameterI4uivNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMLOCALPARAMETERS4FVEXTPROC epoxy_glProgramLocalParameters4fvEXT = epoxy_glProgramLocalParameters4fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMLOCALPARAMETERSI4IVNVPROC epoxy_glProgramLocalParametersI4ivNV = epoxy_glProgramLocalParametersI4ivNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMLOCALPARAMETERSI4UIVNVPROC epoxy_glProgramLocalParametersI4uivNV = epoxy_glProgramLocalParametersI4uivNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMNAMEDPARAMETER4DNVPROC epoxy_glProgramNamedParameter4dNV = epoxy_glProgramNamedParameter4dNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMNAMEDPARAMETER4DVNVPROC epoxy_glProgramNamedParameter4dvNV = epoxy_glProgramNamedParameter4dvNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMNAMEDPARAMETER4FNVPROC epoxy_glProgramNamedParameter4fNV = epoxy_glProgramNamedParameter4fNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMNAMEDPARAMETER4FVNVPROC epoxy_glProgramNamedParameter4fvNV = epoxy_glProgramNamedParameter4fvNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMPARAMETER4DNVPROC epoxy_glProgramParameter4dNV = epoxy_glProgramParameter4dNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMPARAMETER4DVNVPROC epoxy_glProgramParameter4dvNV = epoxy_glProgramParameter4dvNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMPARAMETER4FNVPROC epoxy_glProgramParameter4fNV = epoxy_glProgramParameter4fNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMPARAMETER4FVNVPROC epoxy_glProgramParameter4fvNV = epoxy_glProgramParameter4fvNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMPARAMETERIPROC epoxy_glProgramParameteri = epoxy_glProgramParameteri_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMPARAMETERIARBPROC epoxy_glProgramParameteriARB = epoxy_glProgramParameteriARB_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMPARAMETERIEXTPROC epoxy_glProgramParameteriEXT = epoxy_glProgramParameteriEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMPARAMETERS4DVNVPROC epoxy_glProgramParameters4dvNV = epoxy_glProgramParameters4dvNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMPARAMETERS4FVNVPROC epoxy_glProgramParameters4fvNV = epoxy_glProgramParameters4fvNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMSTRINGARBPROC epoxy_glProgramStringARB = epoxy_glProgramStringARB_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMSUBROUTINEPARAMETERSUIVNVPROC epoxy_glProgramSubroutineParametersuivNV = epoxy_glProgramSubroutineParametersuivNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1DPROC epoxy_glProgramUniform1d = epoxy_glProgramUniform1d_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1DEXTPROC epoxy_glProgramUniform1dEXT = epoxy_glProgramUniform1dEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1DVPROC epoxy_glProgramUniform1dv = epoxy_glProgramUniform1dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1DVEXTPROC epoxy_glProgramUniform1dvEXT = epoxy_glProgramUniform1dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1FPROC epoxy_glProgramUniform1f = epoxy_glProgramUniform1f_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1FEXTPROC epoxy_glProgramUniform1fEXT = epoxy_glProgramUniform1fEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1FVPROC epoxy_glProgramUniform1fv = epoxy_glProgramUniform1fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1FVEXTPROC epoxy_glProgramUniform1fvEXT = epoxy_glProgramUniform1fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1IPROC epoxy_glProgramUniform1i = epoxy_glProgramUniform1i_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1I64NVPROC epoxy_glProgramUniform1i64NV = epoxy_glProgramUniform1i64NV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1I64VNVPROC epoxy_glProgramUniform1i64vNV = epoxy_glProgramUniform1i64vNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1IEXTPROC epoxy_glProgramUniform1iEXT = epoxy_glProgramUniform1iEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1IVPROC epoxy_glProgramUniform1iv = epoxy_glProgramUniform1iv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1IVEXTPROC epoxy_glProgramUniform1ivEXT = epoxy_glProgramUniform1ivEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1UIPROC epoxy_glProgramUniform1ui = epoxy_glProgramUniform1ui_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1UI64NVPROC epoxy_glProgramUniform1ui64NV = epoxy_glProgramUniform1ui64NV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1UI64VNVPROC epoxy_glProgramUniform1ui64vNV = epoxy_glProgramUniform1ui64vNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1UIEXTPROC epoxy_glProgramUniform1uiEXT = epoxy_glProgramUniform1uiEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1UIVPROC epoxy_glProgramUniform1uiv = epoxy_glProgramUniform1uiv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM1UIVEXTPROC epoxy_glProgramUniform1uivEXT = epoxy_glProgramUniform1uivEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2DPROC epoxy_glProgramUniform2d = epoxy_glProgramUniform2d_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2DEXTPROC epoxy_glProgramUniform2dEXT = epoxy_glProgramUniform2dEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2DVPROC epoxy_glProgramUniform2dv = epoxy_glProgramUniform2dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2DVEXTPROC epoxy_glProgramUniform2dvEXT = epoxy_glProgramUniform2dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2FPROC epoxy_glProgramUniform2f = epoxy_glProgramUniform2f_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2FEXTPROC epoxy_glProgramUniform2fEXT = epoxy_glProgramUniform2fEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2FVPROC epoxy_glProgramUniform2fv = epoxy_glProgramUniform2fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2FVEXTPROC epoxy_glProgramUniform2fvEXT = epoxy_glProgramUniform2fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2IPROC epoxy_glProgramUniform2i = epoxy_glProgramUniform2i_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2I64NVPROC epoxy_glProgramUniform2i64NV = epoxy_glProgramUniform2i64NV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2I64VNVPROC epoxy_glProgramUniform2i64vNV = epoxy_glProgramUniform2i64vNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2IEXTPROC epoxy_glProgramUniform2iEXT = epoxy_glProgramUniform2iEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2IVPROC epoxy_glProgramUniform2iv = epoxy_glProgramUniform2iv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2IVEXTPROC epoxy_glProgramUniform2ivEXT = epoxy_glProgramUniform2ivEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2UIPROC epoxy_glProgramUniform2ui = epoxy_glProgramUniform2ui_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2UI64NVPROC epoxy_glProgramUniform2ui64NV = epoxy_glProgramUniform2ui64NV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2UI64VNVPROC epoxy_glProgramUniform2ui64vNV = epoxy_glProgramUniform2ui64vNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2UIEXTPROC epoxy_glProgramUniform2uiEXT = epoxy_glProgramUniform2uiEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2UIVPROC epoxy_glProgramUniform2uiv = epoxy_glProgramUniform2uiv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM2UIVEXTPROC epoxy_glProgramUniform2uivEXT = epoxy_glProgramUniform2uivEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3DPROC epoxy_glProgramUniform3d = epoxy_glProgramUniform3d_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3DEXTPROC epoxy_glProgramUniform3dEXT = epoxy_glProgramUniform3dEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3DVPROC epoxy_glProgramUniform3dv = epoxy_glProgramUniform3dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3DVEXTPROC epoxy_glProgramUniform3dvEXT = epoxy_glProgramUniform3dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3FPROC epoxy_glProgramUniform3f = epoxy_glProgramUniform3f_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3FEXTPROC epoxy_glProgramUniform3fEXT = epoxy_glProgramUniform3fEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3FVPROC epoxy_glProgramUniform3fv = epoxy_glProgramUniform3fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3FVEXTPROC epoxy_glProgramUniform3fvEXT = epoxy_glProgramUniform3fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3IPROC epoxy_glProgramUniform3i = epoxy_glProgramUniform3i_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3I64NVPROC epoxy_glProgramUniform3i64NV = epoxy_glProgramUniform3i64NV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3I64VNVPROC epoxy_glProgramUniform3i64vNV = epoxy_glProgramUniform3i64vNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3IEXTPROC epoxy_glProgramUniform3iEXT = epoxy_glProgramUniform3iEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3IVPROC epoxy_glProgramUniform3iv = epoxy_glProgramUniform3iv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3IVEXTPROC epoxy_glProgramUniform3ivEXT = epoxy_glProgramUniform3ivEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3UIPROC epoxy_glProgramUniform3ui = epoxy_glProgramUniform3ui_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3UI64NVPROC epoxy_glProgramUniform3ui64NV = epoxy_glProgramUniform3ui64NV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3UI64VNVPROC epoxy_glProgramUniform3ui64vNV = epoxy_glProgramUniform3ui64vNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3UIEXTPROC epoxy_glProgramUniform3uiEXT = epoxy_glProgramUniform3uiEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3UIVPROC epoxy_glProgramUniform3uiv = epoxy_glProgramUniform3uiv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM3UIVEXTPROC epoxy_glProgramUniform3uivEXT = epoxy_glProgramUniform3uivEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4DPROC epoxy_glProgramUniform4d = epoxy_glProgramUniform4d_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4DEXTPROC epoxy_glProgramUniform4dEXT = epoxy_glProgramUniform4dEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4DVPROC epoxy_glProgramUniform4dv = epoxy_glProgramUniform4dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4DVEXTPROC epoxy_glProgramUniform4dvEXT = epoxy_glProgramUniform4dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4FPROC epoxy_glProgramUniform4f = epoxy_glProgramUniform4f_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4FEXTPROC epoxy_glProgramUniform4fEXT = epoxy_glProgramUniform4fEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4FVPROC epoxy_glProgramUniform4fv = epoxy_glProgramUniform4fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4FVEXTPROC epoxy_glProgramUniform4fvEXT = epoxy_glProgramUniform4fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4IPROC epoxy_glProgramUniform4i = epoxy_glProgramUniform4i_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4I64NVPROC epoxy_glProgramUniform4i64NV = epoxy_glProgramUniform4i64NV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4I64VNVPROC epoxy_glProgramUniform4i64vNV = epoxy_glProgramUniform4i64vNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4IEXTPROC epoxy_glProgramUniform4iEXT = epoxy_glProgramUniform4iEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4IVPROC epoxy_glProgramUniform4iv = epoxy_glProgramUniform4iv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4IVEXTPROC epoxy_glProgramUniform4ivEXT = epoxy_glProgramUniform4ivEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4UIPROC epoxy_glProgramUniform4ui = epoxy_glProgramUniform4ui_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4UI64NVPROC epoxy_glProgramUniform4ui64NV = epoxy_glProgramUniform4ui64NV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4UI64VNVPROC epoxy_glProgramUniform4ui64vNV = epoxy_glProgramUniform4ui64vNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4UIEXTPROC epoxy_glProgramUniform4uiEXT = epoxy_glProgramUniform4uiEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4UIVPROC epoxy_glProgramUniform4uiv = epoxy_glProgramUniform4uiv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORM4UIVEXTPROC epoxy_glProgramUniform4uivEXT = epoxy_glProgramUniform4uivEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMHANDLEUI64ARBPROC epoxy_glProgramUniformHandleui64ARB = epoxy_glProgramUniformHandleui64ARB_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMHANDLEUI64NVPROC epoxy_glProgramUniformHandleui64NV = epoxy_glProgramUniformHandleui64NV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMHANDLEUI64VARBPROC epoxy_glProgramUniformHandleui64vARB = epoxy_glProgramUniformHandleui64vARB_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMHANDLEUI64VNVPROC epoxy_glProgramUniformHandleui64vNV = epoxy_glProgramUniformHandleui64vNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2DVPROC epoxy_glProgramUniformMatrix2dv = epoxy_glProgramUniformMatrix2dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2DVEXTPROC epoxy_glProgramUniformMatrix2dvEXT = epoxy_glProgramUniformMatrix2dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2FVPROC epoxy_glProgramUniformMatrix2fv = epoxy_glProgramUniformMatrix2fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2FVEXTPROC epoxy_glProgramUniformMatrix2fvEXT = epoxy_glProgramUniformMatrix2fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X3DVPROC epoxy_glProgramUniformMatrix2x3dv = epoxy_glProgramUniformMatrix2x3dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X3DVEXTPROC epoxy_glProgramUniformMatrix2x3dvEXT = epoxy_glProgramUniformMatrix2x3dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X3FVPROC epoxy_glProgramUniformMatrix2x3fv = epoxy_glProgramUniformMatrix2x3fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X3FVEXTPROC epoxy_glProgramUniformMatrix2x3fvEXT = epoxy_glProgramUniformMatrix2x3fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X4DVPROC epoxy_glProgramUniformMatrix2x4dv = epoxy_glProgramUniformMatrix2x4dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X4DVEXTPROC epoxy_glProgramUniformMatrix2x4dvEXT = epoxy_glProgramUniformMatrix2x4dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X4FVPROC epoxy_glProgramUniformMatrix2x4fv = epoxy_glProgramUniformMatrix2x4fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X4FVEXTPROC epoxy_glProgramUniformMatrix2x4fvEXT = epoxy_glProgramUniformMatrix2x4fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3DVPROC epoxy_glProgramUniformMatrix3dv = epoxy_glProgramUniformMatrix3dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3DVEXTPROC epoxy_glProgramUniformMatrix3dvEXT = epoxy_glProgramUniformMatrix3dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3FVPROC epoxy_glProgramUniformMatrix3fv = epoxy_glProgramUniformMatrix3fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3FVEXTPROC epoxy_glProgramUniformMatrix3fvEXT = epoxy_glProgramUniformMatrix3fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X2DVPROC epoxy_glProgramUniformMatrix3x2dv = epoxy_glProgramUniformMatrix3x2dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X2DVEXTPROC epoxy_glProgramUniformMatrix3x2dvEXT = epoxy_glProgramUniformMatrix3x2dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X2FVPROC epoxy_glProgramUniformMatrix3x2fv = epoxy_glProgramUniformMatrix3x2fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X2FVEXTPROC epoxy_glProgramUniformMatrix3x2fvEXT = epoxy_glProgramUniformMatrix3x2fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X4DVPROC epoxy_glProgramUniformMatrix3x4dv = epoxy_glProgramUniformMatrix3x4dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X4DVEXTPROC epoxy_glProgramUniformMatrix3x4dvEXT = epoxy_glProgramUniformMatrix3x4dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X4FVPROC epoxy_glProgramUniformMatrix3x4fv = epoxy_glProgramUniformMatrix3x4fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X4FVEXTPROC epoxy_glProgramUniformMatrix3x4fvEXT = epoxy_glProgramUniformMatrix3x4fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4DVPROC epoxy_glProgramUniformMatrix4dv = epoxy_glProgramUniformMatrix4dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4DVEXTPROC epoxy_glProgramUniformMatrix4dvEXT = epoxy_glProgramUniformMatrix4dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4FVPROC epoxy_glProgramUniformMatrix4fv = epoxy_glProgramUniformMatrix4fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4FVEXTPROC epoxy_glProgramUniformMatrix4fvEXT = epoxy_glProgramUniformMatrix4fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X2DVPROC epoxy_glProgramUniformMatrix4x2dv = epoxy_glProgramUniformMatrix4x2dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X2DVEXTPROC epoxy_glProgramUniformMatrix4x2dvEXT = epoxy_glProgramUniformMatrix4x2dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X2FVPROC epoxy_glProgramUniformMatrix4x2fv = epoxy_glProgramUniformMatrix4x2fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X2FVEXTPROC epoxy_glProgramUniformMatrix4x2fvEXT = epoxy_glProgramUniformMatrix4x2fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X3DVPROC epoxy_glProgramUniformMatrix4x3dv = epoxy_glProgramUniformMatrix4x3dv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X3DVEXTPROC epoxy_glProgramUniformMatrix4x3dvEXT = epoxy_glProgramUniformMatrix4x3dvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X3FVPROC epoxy_glProgramUniformMatrix4x3fv = epoxy_glProgramUniformMatrix4x3fv_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X3FVEXTPROC epoxy_glProgramUniformMatrix4x3fvEXT = epoxy_glProgramUniformMatrix4x3fvEXT_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMUI64NVPROC epoxy_glProgramUniformui64NV = epoxy_glProgramUniformui64NV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMUNIFORMUI64VNVPROC epoxy_glProgramUniformui64vNV = epoxy_glProgramUniformui64vNV_dispatch_table_thunk;

PUBLIC PFNGLPROGRAMVERTEXLIMITNVPROC epoxy_glProgramVertexLimitNV = epoxy_glProgramVertexLimitNV_dispatch_table_thunk;

PUBLIC PFNGLPROVOKINGVERTEXPROC epoxy_glProvokingVertex = epoxy_glProvokingVertex_dispatch_table_thunk;

PUBLIC PFNGLPROVOKINGVERTEXEXTPROC epoxy_glProvokingVertexEXT = epoxy_glProvokingVertexEXT_dispatch_table_thunk;

PUBLIC PFNGLPUSHATTRIBPROC epoxy_glPushAttrib = epoxy_glPushAttrib_dispatch_table_thunk;

PUBLIC PFNGLPUSHCLIENTATTRIBPROC epoxy_glPushClientAttrib = epoxy_glPushClientAttrib_dispatch_table_thunk;

PUBLIC PFNGLPUSHCLIENTATTRIBDEFAULTEXTPROC epoxy_glPushClientAttribDefaultEXT = epoxy_glPushClientAttribDefaultEXT_dispatch_table_thunk;

PUBLIC PFNGLPUSHDEBUGGROUPPROC epoxy_glPushDebugGroup = epoxy_glPushDebugGroup_dispatch_table_thunk;

PUBLIC PFNGLPUSHDEBUGGROUPKHRPROC epoxy_glPushDebugGroupKHR = epoxy_glPushDebugGroupKHR_dispatch_table_thunk;

PUBLIC PFNGLPUSHGROUPMARKEREXTPROC epoxy_glPushGroupMarkerEXT = epoxy_glPushGroupMarkerEXT_dispatch_table_thunk;

PUBLIC PFNGLPUSHMATRIXPROC epoxy_glPushMatrix = epoxy_glPushMatrix_dispatch_table_thunk;

PUBLIC PFNGLPUSHNAMEPROC epoxy_glPushName = epoxy_glPushName_dispatch_table_thunk;

PUBLIC PFNGLQUERYCOUNTERPROC epoxy_glQueryCounter = epoxy_glQueryCounter_dispatch_table_thunk;

PUBLIC PFNGLQUERYCOUNTEREXTPROC epoxy_glQueryCounterEXT = epoxy_glQueryCounterEXT_dispatch_table_thunk;

PUBLIC PFNGLQUERYMATRIXXOESPROC epoxy_glQueryMatrixxOES = epoxy_glQueryMatrixxOES_dispatch_table_thunk;

PUBLIC PFNGLQUERYOBJECTPARAMETERUIAMDPROC epoxy_glQueryObjectParameteruiAMD = epoxy_glQueryObjectParameteruiAMD_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS2DPROC epoxy_glRasterPos2d = epoxy_glRasterPos2d_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS2DVPROC epoxy_glRasterPos2dv = epoxy_glRasterPos2dv_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS2FPROC epoxy_glRasterPos2f = epoxy_glRasterPos2f_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS2FVPROC epoxy_glRasterPos2fv = epoxy_glRasterPos2fv_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS2IPROC epoxy_glRasterPos2i = epoxy_glRasterPos2i_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS2IVPROC epoxy_glRasterPos2iv = epoxy_glRasterPos2iv_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS2SPROC epoxy_glRasterPos2s = epoxy_glRasterPos2s_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS2SVPROC epoxy_glRasterPos2sv = epoxy_glRasterPos2sv_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS2XOESPROC epoxy_glRasterPos2xOES = epoxy_glRasterPos2xOES_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS2XVOESPROC epoxy_glRasterPos2xvOES = epoxy_glRasterPos2xvOES_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS3DPROC epoxy_glRasterPos3d = epoxy_glRasterPos3d_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS3DVPROC epoxy_glRasterPos3dv = epoxy_glRasterPos3dv_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS3FPROC epoxy_glRasterPos3f = epoxy_glRasterPos3f_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS3FVPROC epoxy_glRasterPos3fv = epoxy_glRasterPos3fv_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS3IPROC epoxy_glRasterPos3i = epoxy_glRasterPos3i_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS3IVPROC epoxy_glRasterPos3iv = epoxy_glRasterPos3iv_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS3SPROC epoxy_glRasterPos3s = epoxy_glRasterPos3s_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS3SVPROC epoxy_glRasterPos3sv = epoxy_glRasterPos3sv_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS3XOESPROC epoxy_glRasterPos3xOES = epoxy_glRasterPos3xOES_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS3XVOESPROC epoxy_glRasterPos3xvOES = epoxy_glRasterPos3xvOES_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS4DPROC epoxy_glRasterPos4d = epoxy_glRasterPos4d_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS4DVPROC epoxy_glRasterPos4dv = epoxy_glRasterPos4dv_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS4FPROC epoxy_glRasterPos4f = epoxy_glRasterPos4f_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS4FVPROC epoxy_glRasterPos4fv = epoxy_glRasterPos4fv_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS4IPROC epoxy_glRasterPos4i = epoxy_glRasterPos4i_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS4IVPROC epoxy_glRasterPos4iv = epoxy_glRasterPos4iv_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS4SPROC epoxy_glRasterPos4s = epoxy_glRasterPos4s_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS4SVPROC epoxy_glRasterPos4sv = epoxy_glRasterPos4sv_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS4XOESPROC epoxy_glRasterPos4xOES = epoxy_glRasterPos4xOES_dispatch_table_thunk;

PUBLIC PFNGLRASTERPOS4XVOESPROC epoxy_glRasterPos4xvOES = epoxy_glRasterPos4xvOES_dispatch_table_thunk;

PUBLIC PFNGLREADBUFFERPROC epoxy_glReadBuffer = epoxy_glReadBuffer_dispatch_table_thunk;

PUBLIC PFNGLREADBUFFERINDEXEDEXTPROC epoxy_glReadBufferIndexedEXT = epoxy_glReadBufferIndexedEXT_dispatch_table_thunk;

PUBLIC PFNGLREADBUFFERNVPROC epoxy_glReadBufferNV = epoxy_glReadBufferNV_dispatch_table_thunk;

PUBLIC PFNGLREADINSTRUMENTSSGIXPROC epoxy_glReadInstrumentsSGIX = epoxy_glReadInstrumentsSGIX_dispatch_table_thunk;

PUBLIC PFNGLREADPIXELSPROC epoxy_glReadPixels = epoxy_glReadPixels_dispatch_table_thunk;

PUBLIC PFNGLREADNPIXELSARBPROC epoxy_glReadnPixelsARB = epoxy_glReadnPixelsARB_dispatch_table_thunk;

PUBLIC PFNGLREADNPIXELSEXTPROC epoxy_glReadnPixelsEXT = epoxy_glReadnPixelsEXT_dispatch_table_thunk;

PUBLIC PFNGLRECTDPROC epoxy_glRectd = epoxy_glRectd_dispatch_table_thunk;

PUBLIC PFNGLRECTDVPROC epoxy_glRectdv = epoxy_glRectdv_dispatch_table_thunk;

PUBLIC PFNGLRECTFPROC epoxy_glRectf = epoxy_glRectf_dispatch_table_thunk;

PUBLIC PFNGLRECTFVPROC epoxy_glRectfv = epoxy_glRectfv_dispatch_table_thunk;

PUBLIC PFNGLRECTIPROC epoxy_glRecti = epoxy_glRecti_dispatch_table_thunk;

PUBLIC PFNGLRECTIVPROC epoxy_glRectiv = epoxy_glRectiv_dispatch_table_thunk;

PUBLIC PFNGLRECTSPROC epoxy_glRects = epoxy_glRects_dispatch_table_thunk;

PUBLIC PFNGLRECTSVPROC epoxy_glRectsv = epoxy_glRectsv_dispatch_table_thunk;

PUBLIC PFNGLRECTXOESPROC epoxy_glRectxOES = epoxy_glRectxOES_dispatch_table_thunk;

PUBLIC PFNGLRECTXVOESPROC epoxy_glRectxvOES = epoxy_glRectxvOES_dispatch_table_thunk;

PUBLIC PFNGLREFERENCEPLANESGIXPROC epoxy_glReferencePlaneSGIX = epoxy_glReferencePlaneSGIX_dispatch_table_thunk;

PUBLIC PFNGLRELEASESHADERCOMPILERPROC epoxy_glReleaseShaderCompiler = epoxy_glReleaseShaderCompiler_dispatch_table_thunk;

PUBLIC PFNGLRENDERMODEPROC epoxy_glRenderMode = epoxy_glRenderMode_dispatch_table_thunk;

PUBLIC PFNGLRENDERBUFFERSTORAGEPROC epoxy_glRenderbufferStorage = epoxy_glRenderbufferStorage_dispatch_table_thunk;

PUBLIC PFNGLRENDERBUFFERSTORAGEEXTPROC epoxy_glRenderbufferStorageEXT = epoxy_glRenderbufferStorageEXT_dispatch_table_thunk;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEPROC epoxy_glRenderbufferStorageMultisample = epoxy_glRenderbufferStorageMultisample_dispatch_table_thunk;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEANGLEPROC epoxy_glRenderbufferStorageMultisampleANGLE = epoxy_glRenderbufferStorageMultisampleANGLE_dispatch_table_thunk;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEAPPLEPROC epoxy_glRenderbufferStorageMultisampleAPPLE = epoxy_glRenderbufferStorageMultisampleAPPLE_dispatch_table_thunk;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLECOVERAGENVPROC epoxy_glRenderbufferStorageMultisampleCoverageNV = epoxy_glRenderbufferStorageMultisampleCoverageNV_dispatch_table_thunk;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC epoxy_glRenderbufferStorageMultisampleEXT = epoxy_glRenderbufferStorageMultisampleEXT_dispatch_table_thunk;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEIMGPROC epoxy_glRenderbufferStorageMultisampleIMG = epoxy_glRenderbufferStorageMultisampleIMG_dispatch_table_thunk;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLENVPROC epoxy_glRenderbufferStorageMultisampleNV = epoxy_glRenderbufferStorageMultisampleNV_dispatch_table_thunk;

PUBLIC PFNGLRENDERBUFFERSTORAGEOESPROC epoxy_glRenderbufferStorageOES = epoxy_glRenderbufferStorageOES_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEPOINTERSUNPROC epoxy_glReplacementCodePointerSUN = epoxy_glReplacementCodePointerSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUBSUNPROC epoxy_glReplacementCodeubSUN = epoxy_glReplacementCodeubSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUBVSUNPROC epoxy_glReplacementCodeubvSUN = epoxy_glReplacementCodeubvSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiColor3fVertex3fSUN = epoxy_glReplacementCodeuiColor3fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiColor3fVertex3fvSUN = epoxy_glReplacementCodeuiColor3fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FSUNPROC epoxy_glReplacementCodeuiColor4ubVertex3fSUN = epoxy_glReplacementCodeuiColor4ubVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FVSUNPROC epoxy_glReplacementCodeuiColor4ubVertex3fvSUN = epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiNormal3fVertex3fSUN = epoxy_glReplacementCodeuiNormal3fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUISUNPROC epoxy_glReplacementCodeuiSUN = epoxy_glReplacementCodeuiSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FSUNPROC epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUIVERTEX3FSUNPROC epoxy_glReplacementCodeuiVertex3fSUN = epoxy_glReplacementCodeuiVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUIVERTEX3FVSUNPROC epoxy_glReplacementCodeuiVertex3fvSUN = epoxy_glReplacementCodeuiVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUIVSUNPROC epoxy_glReplacementCodeuivSUN = epoxy_glReplacementCodeuivSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUSSUNPROC epoxy_glReplacementCodeusSUN = epoxy_glReplacementCodeusSUN_dispatch_table_thunk;

PUBLIC PFNGLREPLACEMENTCODEUSVSUNPROC epoxy_glReplacementCodeusvSUN = epoxy_glReplacementCodeusvSUN_dispatch_table_thunk;

PUBLIC PFNGLREQUESTRESIDENTPROGRAMSNVPROC epoxy_glRequestResidentProgramsNV = epoxy_glRequestResidentProgramsNV_dispatch_table_thunk;

PUBLIC PFNGLRESETHISTOGRAMPROC epoxy_glResetHistogram = epoxy_glResetHistogram_dispatch_table_thunk;

PUBLIC PFNGLRESETHISTOGRAMEXTPROC epoxy_glResetHistogramEXT = epoxy_glResetHistogramEXT_dispatch_table_thunk;

PUBLIC PFNGLRESETMINMAXPROC epoxy_glResetMinmax = epoxy_glResetMinmax_dispatch_table_thunk;

PUBLIC PFNGLRESETMINMAXEXTPROC epoxy_glResetMinmaxEXT = epoxy_glResetMinmaxEXT_dispatch_table_thunk;

PUBLIC PFNGLRESIZEBUFFERSMESAPROC epoxy_glResizeBuffersMESA = epoxy_glResizeBuffersMESA_dispatch_table_thunk;

PUBLIC PFNGLRESOLVEMULTISAMPLEFRAMEBUFFERAPPLEPROC epoxy_glResolveMultisampleFramebufferAPPLE = epoxy_glResolveMultisampleFramebufferAPPLE_dispatch_table_thunk;

PUBLIC PFNGLRESUMETRANSFORMFEEDBACKPROC epoxy_glResumeTransformFeedback = epoxy_glResumeTransformFeedback_dispatch_table_thunk;

PUBLIC PFNGLRESUMETRANSFORMFEEDBACKNVPROC epoxy_glResumeTransformFeedbackNV = epoxy_glResumeTransformFeedbackNV_dispatch_table_thunk;

PUBLIC PFNGLROTATEDPROC epoxy_glRotated = epoxy_glRotated_dispatch_table_thunk;

PUBLIC PFNGLROTATEFPROC epoxy_glRotatef = epoxy_glRotatef_dispatch_table_thunk;

PUBLIC PFNGLROTATEXPROC epoxy_glRotatex = epoxy_glRotatex_dispatch_table_thunk;

PUBLIC PFNGLROTATEXOESPROC epoxy_glRotatexOES = epoxy_glRotatexOES_dispatch_table_thunk;

PUBLIC PFNGLSAMPLECOVERAGEPROC epoxy_glSampleCoverage = epoxy_glSampleCoverage_dispatch_table_thunk;

PUBLIC PFNGLSAMPLECOVERAGEARBPROC epoxy_glSampleCoverageARB = epoxy_glSampleCoverageARB_dispatch_table_thunk;

PUBLIC PFNGLSAMPLECOVERAGEOESPROC epoxy_glSampleCoverageOES = epoxy_glSampleCoverageOES_dispatch_table_thunk;

PUBLIC PFNGLSAMPLECOVERAGEXPROC epoxy_glSampleCoveragex = epoxy_glSampleCoveragex_dispatch_table_thunk;

PUBLIC PFNGLSAMPLECOVERAGEXOESPROC epoxy_glSampleCoveragexOES = epoxy_glSampleCoveragexOES_dispatch_table_thunk;

PUBLIC PFNGLSAMPLEMAPATIPROC epoxy_glSampleMapATI = epoxy_glSampleMapATI_dispatch_table_thunk;

PUBLIC PFNGLSAMPLEMASKEXTPROC epoxy_glSampleMaskEXT = epoxy_glSampleMaskEXT_dispatch_table_thunk;

PUBLIC PFNGLSAMPLEMASKINDEXEDNVPROC epoxy_glSampleMaskIndexedNV = epoxy_glSampleMaskIndexedNV_dispatch_table_thunk;

PUBLIC PFNGLSAMPLEMASKSGISPROC epoxy_glSampleMaskSGIS = epoxy_glSampleMaskSGIS_dispatch_table_thunk;

PUBLIC PFNGLSAMPLEMASKIPROC epoxy_glSampleMaski = epoxy_glSampleMaski_dispatch_table_thunk;

PUBLIC PFNGLSAMPLEPATTERNEXTPROC epoxy_glSamplePatternEXT = epoxy_glSamplePatternEXT_dispatch_table_thunk;

PUBLIC PFNGLSAMPLEPATTERNSGISPROC epoxy_glSamplePatternSGIS = epoxy_glSamplePatternSGIS_dispatch_table_thunk;

PUBLIC PFNGLSAMPLERPARAMETERIIVPROC epoxy_glSamplerParameterIiv = epoxy_glSamplerParameterIiv_dispatch_table_thunk;

PUBLIC PFNGLSAMPLERPARAMETERIUIVPROC epoxy_glSamplerParameterIuiv = epoxy_glSamplerParameterIuiv_dispatch_table_thunk;

PUBLIC PFNGLSAMPLERPARAMETERFPROC epoxy_glSamplerParameterf = epoxy_glSamplerParameterf_dispatch_table_thunk;

PUBLIC PFNGLSAMPLERPARAMETERFVPROC epoxy_glSamplerParameterfv = epoxy_glSamplerParameterfv_dispatch_table_thunk;

PUBLIC PFNGLSAMPLERPARAMETERIPROC epoxy_glSamplerParameteri = epoxy_glSamplerParameteri_dispatch_table_thunk;

PUBLIC PFNGLSAMPLERPARAMETERIVPROC epoxy_glSamplerParameteriv = epoxy_glSamplerParameteriv_dispatch_table_thunk;

PUBLIC PFNGLSCALEDPROC epoxy_glScaled = epoxy_glScaled_dispatch_table_thunk;

PUBLIC PFNGLSCALEFPROC epoxy_glScalef = epoxy_glScalef_dispatch_table_thunk;

PUBLIC PFNGLSCALEXPROC epoxy_glScalex = epoxy_glScalex_dispatch_table_thunk;

PUBLIC PFNGLSCALEXOESPROC epoxy_glScalexOES = epoxy_glScalexOES_dispatch_table_thunk;

PUBLIC PFNGLSCISSORPROC epoxy_glScissor = epoxy_glScissor_dispatch_table_thunk;

PUBLIC PFNGLSCISSORARRAYVPROC epoxy_glScissorArrayv = epoxy_glScissorArrayv_dispatch_table_thunk;

PUBLIC PFNGLSCISSORINDEXEDPROC epoxy_glScissorIndexed = epoxy_glScissorIndexed_dispatch_table_thunk;

PUBLIC PFNGLSCISSORINDEXEDVPROC epoxy_glScissorIndexedv = epoxy_glScissorIndexedv_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3BPROC epoxy_glSecondaryColor3b = epoxy_glSecondaryColor3b_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3BEXTPROC epoxy_glSecondaryColor3bEXT = epoxy_glSecondaryColor3bEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3BVPROC epoxy_glSecondaryColor3bv = epoxy_glSecondaryColor3bv_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3BVEXTPROC epoxy_glSecondaryColor3bvEXT = epoxy_glSecondaryColor3bvEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3DPROC epoxy_glSecondaryColor3d = epoxy_glSecondaryColor3d_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3DEXTPROC epoxy_glSecondaryColor3dEXT = epoxy_glSecondaryColor3dEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3DVPROC epoxy_glSecondaryColor3dv = epoxy_glSecondaryColor3dv_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3DVEXTPROC epoxy_glSecondaryColor3dvEXT = epoxy_glSecondaryColor3dvEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3FPROC epoxy_glSecondaryColor3f = epoxy_glSecondaryColor3f_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3FEXTPROC epoxy_glSecondaryColor3fEXT = epoxy_glSecondaryColor3fEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3FVPROC epoxy_glSecondaryColor3fv = epoxy_glSecondaryColor3fv_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3FVEXTPROC epoxy_glSecondaryColor3fvEXT = epoxy_glSecondaryColor3fvEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3HNVPROC epoxy_glSecondaryColor3hNV = epoxy_glSecondaryColor3hNV_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3HVNVPROC epoxy_glSecondaryColor3hvNV = epoxy_glSecondaryColor3hvNV_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3IPROC epoxy_glSecondaryColor3i = epoxy_glSecondaryColor3i_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3IEXTPROC epoxy_glSecondaryColor3iEXT = epoxy_glSecondaryColor3iEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3IVPROC epoxy_glSecondaryColor3iv = epoxy_glSecondaryColor3iv_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3IVEXTPROC epoxy_glSecondaryColor3ivEXT = epoxy_glSecondaryColor3ivEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3SPROC epoxy_glSecondaryColor3s = epoxy_glSecondaryColor3s_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3SEXTPROC epoxy_glSecondaryColor3sEXT = epoxy_glSecondaryColor3sEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3SVPROC epoxy_glSecondaryColor3sv = epoxy_glSecondaryColor3sv_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3SVEXTPROC epoxy_glSecondaryColor3svEXT = epoxy_glSecondaryColor3svEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3UBPROC epoxy_glSecondaryColor3ub = epoxy_glSecondaryColor3ub_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3UBEXTPROC epoxy_glSecondaryColor3ubEXT = epoxy_glSecondaryColor3ubEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3UBVPROC epoxy_glSecondaryColor3ubv = epoxy_glSecondaryColor3ubv_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3UBVEXTPROC epoxy_glSecondaryColor3ubvEXT = epoxy_glSecondaryColor3ubvEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3UIPROC epoxy_glSecondaryColor3ui = epoxy_glSecondaryColor3ui_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3UIEXTPROC epoxy_glSecondaryColor3uiEXT = epoxy_glSecondaryColor3uiEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3UIVPROC epoxy_glSecondaryColor3uiv = epoxy_glSecondaryColor3uiv_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3UIVEXTPROC epoxy_glSecondaryColor3uivEXT = epoxy_glSecondaryColor3uivEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3USPROC epoxy_glSecondaryColor3us = epoxy_glSecondaryColor3us_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3USEXTPROC epoxy_glSecondaryColor3usEXT = epoxy_glSecondaryColor3usEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3USVPROC epoxy_glSecondaryColor3usv = epoxy_glSecondaryColor3usv_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLOR3USVEXTPROC epoxy_glSecondaryColor3usvEXT = epoxy_glSecondaryColor3usvEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLORFORMATNVPROC epoxy_glSecondaryColorFormatNV = epoxy_glSecondaryColorFormatNV_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLORP3UIPROC epoxy_glSecondaryColorP3ui = epoxy_glSecondaryColorP3ui_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLORP3UIVPROC epoxy_glSecondaryColorP3uiv = epoxy_glSecondaryColorP3uiv_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLORPOINTERPROC epoxy_glSecondaryColorPointer = epoxy_glSecondaryColorPointer_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLORPOINTEREXTPROC epoxy_glSecondaryColorPointerEXT = epoxy_glSecondaryColorPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLSECONDARYCOLORPOINTERLISTIBMPROC epoxy_glSecondaryColorPointerListIBM = epoxy_glSecondaryColorPointerListIBM_dispatch_table_thunk;

PUBLIC PFNGLSELECTBUFFERPROC epoxy_glSelectBuffer = epoxy_glSelectBuffer_dispatch_table_thunk;

PUBLIC PFNGLSELECTPERFMONITORCOUNTERSAMDPROC epoxy_glSelectPerfMonitorCountersAMD = epoxy_glSelectPerfMonitorCountersAMD_dispatch_table_thunk;

PUBLIC PFNGLSEPARABLEFILTER2DPROC epoxy_glSeparableFilter2D = epoxy_glSeparableFilter2D_dispatch_table_thunk;

PUBLIC PFNGLSEPARABLEFILTER2DEXTPROC epoxy_glSeparableFilter2DEXT = epoxy_glSeparableFilter2DEXT_dispatch_table_thunk;

PUBLIC PFNGLSETFENCEAPPLEPROC epoxy_glSetFenceAPPLE = epoxy_glSetFenceAPPLE_dispatch_table_thunk;

PUBLIC PFNGLSETFENCENVPROC epoxy_glSetFenceNV = epoxy_glSetFenceNV_dispatch_table_thunk;

PUBLIC PFNGLSETFRAGMENTSHADERCONSTANTATIPROC epoxy_glSetFragmentShaderConstantATI = epoxy_glSetFragmentShaderConstantATI_dispatch_table_thunk;

PUBLIC PFNGLSETINVARIANTEXTPROC epoxy_glSetInvariantEXT = epoxy_glSetInvariantEXT_dispatch_table_thunk;

PUBLIC PFNGLSETLOCALCONSTANTEXTPROC epoxy_glSetLocalConstantEXT = epoxy_glSetLocalConstantEXT_dispatch_table_thunk;

PUBLIC PFNGLSETMULTISAMPLEFVAMDPROC epoxy_glSetMultisamplefvAMD = epoxy_glSetMultisamplefvAMD_dispatch_table_thunk;

PUBLIC PFNGLSHADEMODELPROC epoxy_glShadeModel = epoxy_glShadeModel_dispatch_table_thunk;

PUBLIC PFNGLSHADERBINARYPROC epoxy_glShaderBinary = epoxy_glShaderBinary_dispatch_table_thunk;

PUBLIC PFNGLSHADEROP1EXTPROC epoxy_glShaderOp1EXT = epoxy_glShaderOp1EXT_dispatch_table_thunk;

PUBLIC PFNGLSHADEROP2EXTPROC epoxy_glShaderOp2EXT = epoxy_glShaderOp2EXT_dispatch_table_thunk;

PUBLIC PFNGLSHADEROP3EXTPROC epoxy_glShaderOp3EXT = epoxy_glShaderOp3EXT_dispatch_table_thunk;

PUBLIC PFNGLSHADERSOURCEPROC epoxy_glShaderSource = epoxy_glShaderSource_dispatch_table_thunk;

PUBLIC PFNGLSHADERSOURCEARBPROC epoxy_glShaderSourceARB = epoxy_glShaderSourceARB_dispatch_table_thunk;

PUBLIC PFNGLSHADERSTORAGEBLOCKBINDINGPROC epoxy_glShaderStorageBlockBinding = epoxy_glShaderStorageBlockBinding_dispatch_table_thunk;

PUBLIC PFNGLSHARPENTEXFUNCSGISPROC epoxy_glSharpenTexFuncSGIS = epoxy_glSharpenTexFuncSGIS_dispatch_table_thunk;

PUBLIC PFNGLSPRITEPARAMETERFSGIXPROC epoxy_glSpriteParameterfSGIX = epoxy_glSpriteParameterfSGIX_dispatch_table_thunk;

PUBLIC PFNGLSPRITEPARAMETERFVSGIXPROC epoxy_glSpriteParameterfvSGIX = epoxy_glSpriteParameterfvSGIX_dispatch_table_thunk;

PUBLIC PFNGLSPRITEPARAMETERISGIXPROC epoxy_glSpriteParameteriSGIX = epoxy_glSpriteParameteriSGIX_dispatch_table_thunk;

PUBLIC PFNGLSPRITEPARAMETERIVSGIXPROC epoxy_glSpriteParameterivSGIX = epoxy_glSpriteParameterivSGIX_dispatch_table_thunk;

PUBLIC PFNGLSTARTINSTRUMENTSSGIXPROC epoxy_glStartInstrumentsSGIX = epoxy_glStartInstrumentsSGIX_dispatch_table_thunk;

PUBLIC PFNGLSTARTTILINGQCOMPROC epoxy_glStartTilingQCOM = epoxy_glStartTilingQCOM_dispatch_table_thunk;

PUBLIC PFNGLSTENCILCLEARTAGEXTPROC epoxy_glStencilClearTagEXT = epoxy_glStencilClearTagEXT_dispatch_table_thunk;

PUBLIC PFNGLSTENCILFILLPATHINSTANCEDNVPROC epoxy_glStencilFillPathInstancedNV = epoxy_glStencilFillPathInstancedNV_dispatch_table_thunk;

PUBLIC PFNGLSTENCILFILLPATHNVPROC epoxy_glStencilFillPathNV = epoxy_glStencilFillPathNV_dispatch_table_thunk;

PUBLIC PFNGLSTENCILFUNCPROC epoxy_glStencilFunc = epoxy_glStencilFunc_dispatch_table_thunk;

PUBLIC PFNGLSTENCILFUNCSEPARATEPROC epoxy_glStencilFuncSeparate = epoxy_glStencilFuncSeparate_dispatch_table_thunk;

PUBLIC PFNGLSTENCILFUNCSEPARATEATIPROC epoxy_glStencilFuncSeparateATI = epoxy_glStencilFuncSeparateATI_dispatch_table_thunk;

PUBLIC PFNGLSTENCILMASKPROC epoxy_glStencilMask = epoxy_glStencilMask_dispatch_table_thunk;

PUBLIC PFNGLSTENCILMASKSEPARATEPROC epoxy_glStencilMaskSeparate = epoxy_glStencilMaskSeparate_dispatch_table_thunk;

PUBLIC PFNGLSTENCILOPPROC epoxy_glStencilOp = epoxy_glStencilOp_dispatch_table_thunk;

PUBLIC PFNGLSTENCILOPSEPARATEPROC epoxy_glStencilOpSeparate = epoxy_glStencilOpSeparate_dispatch_table_thunk;

PUBLIC PFNGLSTENCILOPSEPARATEATIPROC epoxy_glStencilOpSeparateATI = epoxy_glStencilOpSeparateATI_dispatch_table_thunk;

PUBLIC PFNGLSTENCILOPVALUEAMDPROC epoxy_glStencilOpValueAMD = epoxy_glStencilOpValueAMD_dispatch_table_thunk;

PUBLIC PFNGLSTENCILSTROKEPATHINSTANCEDNVPROC epoxy_glStencilStrokePathInstancedNV = epoxy_glStencilStrokePathInstancedNV_dispatch_table_thunk;

PUBLIC PFNGLSTENCILSTROKEPATHNVPROC epoxy_glStencilStrokePathNV = epoxy_glStencilStrokePathNV_dispatch_table_thunk;

PUBLIC PFNGLSTOPINSTRUMENTSSGIXPROC epoxy_glStopInstrumentsSGIX = epoxy_glStopInstrumentsSGIX_dispatch_table_thunk;

PUBLIC PFNGLSTRINGMARKERGREMEDYPROC epoxy_glStringMarkerGREMEDY = epoxy_glStringMarkerGREMEDY_dispatch_table_thunk;

PUBLIC PFNGLSWIZZLEEXTPROC epoxy_glSwizzleEXT = epoxy_glSwizzleEXT_dispatch_table_thunk;

PUBLIC PFNGLSYNCTEXTUREINTELPROC epoxy_glSyncTextureINTEL = epoxy_glSyncTextureINTEL_dispatch_table_thunk;

PUBLIC PFNGLTAGSAMPLEBUFFERSGIXPROC epoxy_glTagSampleBufferSGIX = epoxy_glTagSampleBufferSGIX_dispatch_table_thunk;

PUBLIC PFNGLTANGENT3BEXTPROC epoxy_glTangent3bEXT = epoxy_glTangent3bEXT_dispatch_table_thunk;

PUBLIC PFNGLTANGENT3BVEXTPROC epoxy_glTangent3bvEXT = epoxy_glTangent3bvEXT_dispatch_table_thunk;

PUBLIC PFNGLTANGENT3DEXTPROC epoxy_glTangent3dEXT = epoxy_glTangent3dEXT_dispatch_table_thunk;

PUBLIC PFNGLTANGENT3DVEXTPROC epoxy_glTangent3dvEXT = epoxy_glTangent3dvEXT_dispatch_table_thunk;

PUBLIC PFNGLTANGENT3FEXTPROC epoxy_glTangent3fEXT = epoxy_glTangent3fEXT_dispatch_table_thunk;

PUBLIC PFNGLTANGENT3FVEXTPROC epoxy_glTangent3fvEXT = epoxy_glTangent3fvEXT_dispatch_table_thunk;

PUBLIC PFNGLTANGENT3IEXTPROC epoxy_glTangent3iEXT = epoxy_glTangent3iEXT_dispatch_table_thunk;

PUBLIC PFNGLTANGENT3IVEXTPROC epoxy_glTangent3ivEXT = epoxy_glTangent3ivEXT_dispatch_table_thunk;

PUBLIC PFNGLTANGENT3SEXTPROC epoxy_glTangent3sEXT = epoxy_glTangent3sEXT_dispatch_table_thunk;

PUBLIC PFNGLTANGENT3SVEXTPROC epoxy_glTangent3svEXT = epoxy_glTangent3svEXT_dispatch_table_thunk;

PUBLIC PFNGLTANGENTPOINTEREXTPROC epoxy_glTangentPointerEXT = epoxy_glTangentPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLTBUFFERMASK3DFXPROC epoxy_glTbufferMask3DFX = epoxy_glTbufferMask3DFX_dispatch_table_thunk;

PUBLIC PFNGLTESSELLATIONFACTORAMDPROC epoxy_glTessellationFactorAMD = epoxy_glTessellationFactorAMD_dispatch_table_thunk;

PUBLIC PFNGLTESSELLATIONMODEAMDPROC epoxy_glTessellationModeAMD = epoxy_glTessellationModeAMD_dispatch_table_thunk;

PUBLIC PFNGLTESTFENCEAPPLEPROC epoxy_glTestFenceAPPLE = epoxy_glTestFenceAPPLE_dispatch_table_thunk;

PUBLIC PFNGLTESTFENCENVPROC epoxy_glTestFenceNV = epoxy_glTestFenceNV_dispatch_table_thunk;

PUBLIC PFNGLTESTOBJECTAPPLEPROC epoxy_glTestObjectAPPLE = epoxy_glTestObjectAPPLE_dispatch_table_thunk;

PUBLIC PFNGLTEXBUFFERPROC epoxy_glTexBuffer = epoxy_glTexBuffer_dispatch_table_thunk;

PUBLIC PFNGLTEXBUFFERARBPROC epoxy_glTexBufferARB = epoxy_glTexBufferARB_dispatch_table_thunk;

PUBLIC PFNGLTEXBUFFEREXTPROC epoxy_glTexBufferEXT = epoxy_glTexBufferEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXBUFFERRANGEPROC epoxy_glTexBufferRange = epoxy_glTexBufferRange_dispatch_table_thunk;

PUBLIC PFNGLTEXBUMPPARAMETERFVATIPROC epoxy_glTexBumpParameterfvATI = epoxy_glTexBumpParameterfvATI_dispatch_table_thunk;

PUBLIC PFNGLTEXBUMPPARAMETERIVATIPROC epoxy_glTexBumpParameterivATI = epoxy_glTexBumpParameterivATI_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1BOESPROC epoxy_glTexCoord1bOES = epoxy_glTexCoord1bOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1BVOESPROC epoxy_glTexCoord1bvOES = epoxy_glTexCoord1bvOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1DPROC epoxy_glTexCoord1d = epoxy_glTexCoord1d_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1DVPROC epoxy_glTexCoord1dv = epoxy_glTexCoord1dv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1FPROC epoxy_glTexCoord1f = epoxy_glTexCoord1f_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1FVPROC epoxy_glTexCoord1fv = epoxy_glTexCoord1fv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1HNVPROC epoxy_glTexCoord1hNV = epoxy_glTexCoord1hNV_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1HVNVPROC epoxy_glTexCoord1hvNV = epoxy_glTexCoord1hvNV_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1IPROC epoxy_glTexCoord1i = epoxy_glTexCoord1i_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1IVPROC epoxy_glTexCoord1iv = epoxy_glTexCoord1iv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1SPROC epoxy_glTexCoord1s = epoxy_glTexCoord1s_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1SVPROC epoxy_glTexCoord1sv = epoxy_glTexCoord1sv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1XOESPROC epoxy_glTexCoord1xOES = epoxy_glTexCoord1xOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD1XVOESPROC epoxy_glTexCoord1xvOES = epoxy_glTexCoord1xvOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2BOESPROC epoxy_glTexCoord2bOES = epoxy_glTexCoord2bOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2BVOESPROC epoxy_glTexCoord2bvOES = epoxy_glTexCoord2bvOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2DPROC epoxy_glTexCoord2d = epoxy_glTexCoord2d_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2DVPROC epoxy_glTexCoord2dv = epoxy_glTexCoord2dv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2FPROC epoxy_glTexCoord2f = epoxy_glTexCoord2f_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2FCOLOR3FVERTEX3FSUNPROC epoxy_glTexCoord2fColor3fVertex3fSUN = epoxy_glTexCoord2fColor3fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2FCOLOR3FVERTEX3FVSUNPROC epoxy_glTexCoord2fColor3fVertex3fvSUN = epoxy_glTexCoord2fColor3fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2FCOLOR4UBVERTEX3FSUNPROC epoxy_glTexCoord2fColor4ubVertex3fSUN = epoxy_glTexCoord2fColor4ubVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2FCOLOR4UBVERTEX3FVSUNPROC epoxy_glTexCoord2fColor4ubVertex3fvSUN = epoxy_glTexCoord2fColor4ubVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2FNORMAL3FVERTEX3FSUNPROC epoxy_glTexCoord2fNormal3fVertex3fSUN = epoxy_glTexCoord2fNormal3fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2FNORMAL3FVERTEX3FVSUNPROC epoxy_glTexCoord2fNormal3fVertex3fvSUN = epoxy_glTexCoord2fNormal3fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2FVERTEX3FSUNPROC epoxy_glTexCoord2fVertex3fSUN = epoxy_glTexCoord2fVertex3fSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2FVERTEX3FVSUNPROC epoxy_glTexCoord2fVertex3fvSUN = epoxy_glTexCoord2fVertex3fvSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2FVPROC epoxy_glTexCoord2fv = epoxy_glTexCoord2fv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2HNVPROC epoxy_glTexCoord2hNV = epoxy_glTexCoord2hNV_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2HVNVPROC epoxy_glTexCoord2hvNV = epoxy_glTexCoord2hvNV_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2IPROC epoxy_glTexCoord2i = epoxy_glTexCoord2i_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2IVPROC epoxy_glTexCoord2iv = epoxy_glTexCoord2iv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2SPROC epoxy_glTexCoord2s = epoxy_glTexCoord2s_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2SVPROC epoxy_glTexCoord2sv = epoxy_glTexCoord2sv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2XOESPROC epoxy_glTexCoord2xOES = epoxy_glTexCoord2xOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD2XVOESPROC epoxy_glTexCoord2xvOES = epoxy_glTexCoord2xvOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3BOESPROC epoxy_glTexCoord3bOES = epoxy_glTexCoord3bOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3BVOESPROC epoxy_glTexCoord3bvOES = epoxy_glTexCoord3bvOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3DPROC epoxy_glTexCoord3d = epoxy_glTexCoord3d_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3DVPROC epoxy_glTexCoord3dv = epoxy_glTexCoord3dv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3FPROC epoxy_glTexCoord3f = epoxy_glTexCoord3f_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3FVPROC epoxy_glTexCoord3fv = epoxy_glTexCoord3fv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3HNVPROC epoxy_glTexCoord3hNV = epoxy_glTexCoord3hNV_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3HVNVPROC epoxy_glTexCoord3hvNV = epoxy_glTexCoord3hvNV_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3IPROC epoxy_glTexCoord3i = epoxy_glTexCoord3i_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3IVPROC epoxy_glTexCoord3iv = epoxy_glTexCoord3iv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3SPROC epoxy_glTexCoord3s = epoxy_glTexCoord3s_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3SVPROC epoxy_glTexCoord3sv = epoxy_glTexCoord3sv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3XOESPROC epoxy_glTexCoord3xOES = epoxy_glTexCoord3xOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD3XVOESPROC epoxy_glTexCoord3xvOES = epoxy_glTexCoord3xvOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4BOESPROC epoxy_glTexCoord4bOES = epoxy_glTexCoord4bOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4BVOESPROC epoxy_glTexCoord4bvOES = epoxy_glTexCoord4bvOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4DPROC epoxy_glTexCoord4d = epoxy_glTexCoord4d_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4DVPROC epoxy_glTexCoord4dv = epoxy_glTexCoord4dv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4FPROC epoxy_glTexCoord4f = epoxy_glTexCoord4f_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FSUNPROC epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FVSUNPROC epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4FVERTEX4FSUNPROC epoxy_glTexCoord4fVertex4fSUN = epoxy_glTexCoord4fVertex4fSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4FVERTEX4FVSUNPROC epoxy_glTexCoord4fVertex4fvSUN = epoxy_glTexCoord4fVertex4fvSUN_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4FVPROC epoxy_glTexCoord4fv = epoxy_glTexCoord4fv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4HNVPROC epoxy_glTexCoord4hNV = epoxy_glTexCoord4hNV_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4HVNVPROC epoxy_glTexCoord4hvNV = epoxy_glTexCoord4hvNV_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4IPROC epoxy_glTexCoord4i = epoxy_glTexCoord4i_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4IVPROC epoxy_glTexCoord4iv = epoxy_glTexCoord4iv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4SPROC epoxy_glTexCoord4s = epoxy_glTexCoord4s_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4SVPROC epoxy_glTexCoord4sv = epoxy_glTexCoord4sv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4XOESPROC epoxy_glTexCoord4xOES = epoxy_glTexCoord4xOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORD4XVOESPROC epoxy_glTexCoord4xvOES = epoxy_glTexCoord4xvOES_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDFORMATNVPROC epoxy_glTexCoordFormatNV = epoxy_glTexCoordFormatNV_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDP1UIPROC epoxy_glTexCoordP1ui = epoxy_glTexCoordP1ui_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDP1UIVPROC epoxy_glTexCoordP1uiv = epoxy_glTexCoordP1uiv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDP2UIPROC epoxy_glTexCoordP2ui = epoxy_glTexCoordP2ui_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDP2UIVPROC epoxy_glTexCoordP2uiv = epoxy_glTexCoordP2uiv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDP3UIPROC epoxy_glTexCoordP3ui = epoxy_glTexCoordP3ui_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDP3UIVPROC epoxy_glTexCoordP3uiv = epoxy_glTexCoordP3uiv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDP4UIPROC epoxy_glTexCoordP4ui = epoxy_glTexCoordP4ui_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDP4UIVPROC epoxy_glTexCoordP4uiv = epoxy_glTexCoordP4uiv_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDPOINTERPROC epoxy_glTexCoordPointer = epoxy_glTexCoordPointer_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDPOINTEREXTPROC epoxy_glTexCoordPointerEXT = epoxy_glTexCoordPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDPOINTERLISTIBMPROC epoxy_glTexCoordPointerListIBM = epoxy_glTexCoordPointerListIBM_dispatch_table_thunk;

PUBLIC PFNGLTEXCOORDPOINTERVINTELPROC epoxy_glTexCoordPointervINTEL = epoxy_glTexCoordPointervINTEL_dispatch_table_thunk;

PUBLIC PFNGLTEXENVFPROC epoxy_glTexEnvf = epoxy_glTexEnvf_dispatch_table_thunk;

PUBLIC PFNGLTEXENVFVPROC epoxy_glTexEnvfv = epoxy_glTexEnvfv_dispatch_table_thunk;

PUBLIC PFNGLTEXENVIPROC epoxy_glTexEnvi = epoxy_glTexEnvi_dispatch_table_thunk;

PUBLIC PFNGLTEXENVIVPROC epoxy_glTexEnviv = epoxy_glTexEnviv_dispatch_table_thunk;

PUBLIC PFNGLTEXENVXPROC epoxy_glTexEnvx = epoxy_glTexEnvx_dispatch_table_thunk;

PUBLIC PFNGLTEXENVXOESPROC epoxy_glTexEnvxOES = epoxy_glTexEnvxOES_dispatch_table_thunk;

PUBLIC PFNGLTEXENVXVPROC epoxy_glTexEnvxv = epoxy_glTexEnvxv_dispatch_table_thunk;

PUBLIC PFNGLTEXENVXVOESPROC epoxy_glTexEnvxvOES = epoxy_glTexEnvxvOES_dispatch_table_thunk;

PUBLIC PFNGLTEXFILTERFUNCSGISPROC epoxy_glTexFilterFuncSGIS = epoxy_glTexFilterFuncSGIS_dispatch_table_thunk;

PUBLIC PFNGLTEXGENDPROC epoxy_glTexGend = epoxy_glTexGend_dispatch_table_thunk;

PUBLIC PFNGLTEXGENDVPROC epoxy_glTexGendv = epoxy_glTexGendv_dispatch_table_thunk;

PUBLIC PFNGLTEXGENFPROC epoxy_glTexGenf = epoxy_glTexGenf_dispatch_table_thunk;

PUBLIC PFNGLTEXGENFOESPROC epoxy_glTexGenfOES = epoxy_glTexGenfOES_dispatch_table_thunk;

PUBLIC PFNGLTEXGENFVPROC epoxy_glTexGenfv = epoxy_glTexGenfv_dispatch_table_thunk;

PUBLIC PFNGLTEXGENFVOESPROC epoxy_glTexGenfvOES = epoxy_glTexGenfvOES_dispatch_table_thunk;

PUBLIC PFNGLTEXGENIPROC epoxy_glTexGeni = epoxy_glTexGeni_dispatch_table_thunk;

PUBLIC PFNGLTEXGENIOESPROC epoxy_glTexGeniOES = epoxy_glTexGeniOES_dispatch_table_thunk;

PUBLIC PFNGLTEXGENIVPROC epoxy_glTexGeniv = epoxy_glTexGeniv_dispatch_table_thunk;

PUBLIC PFNGLTEXGENIVOESPROC epoxy_glTexGenivOES = epoxy_glTexGenivOES_dispatch_table_thunk;

PUBLIC PFNGLTEXGENXOESPROC epoxy_glTexGenxOES = epoxy_glTexGenxOES_dispatch_table_thunk;

PUBLIC PFNGLTEXGENXVOESPROC epoxy_glTexGenxvOES = epoxy_glTexGenxvOES_dispatch_table_thunk;

PUBLIC PFNGLTEXIMAGE1DPROC epoxy_glTexImage1D = epoxy_glTexImage1D_dispatch_table_thunk;

PUBLIC PFNGLTEXIMAGE2DPROC epoxy_glTexImage2D = epoxy_glTexImage2D_dispatch_table_thunk;

PUBLIC PFNGLTEXIMAGE2DMULTISAMPLEPROC epoxy_glTexImage2DMultisample = epoxy_glTexImage2DMultisample_dispatch_table_thunk;

PUBLIC PFNGLTEXIMAGE2DMULTISAMPLECOVERAGENVPROC epoxy_glTexImage2DMultisampleCoverageNV = epoxy_glTexImage2DMultisampleCoverageNV_dispatch_table_thunk;

PUBLIC PFNGLTEXIMAGE3DPROC epoxy_glTexImage3D = epoxy_glTexImage3D_dispatch_table_thunk;

PUBLIC PFNGLTEXIMAGE3DEXTPROC epoxy_glTexImage3DEXT = epoxy_glTexImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXIMAGE3DMULTISAMPLEPROC epoxy_glTexImage3DMultisample = epoxy_glTexImage3DMultisample_dispatch_table_thunk;

PUBLIC PFNGLTEXIMAGE3DMULTISAMPLECOVERAGENVPROC epoxy_glTexImage3DMultisampleCoverageNV = epoxy_glTexImage3DMultisampleCoverageNV_dispatch_table_thunk;

PUBLIC PFNGLTEXIMAGE3DOESPROC epoxy_glTexImage3DOES = epoxy_glTexImage3DOES_dispatch_table_thunk;

PUBLIC PFNGLTEXIMAGE4DSGISPROC epoxy_glTexImage4DSGIS = epoxy_glTexImage4DSGIS_dispatch_table_thunk;

PUBLIC PFNGLTEXPAGECOMMITMENTARBPROC epoxy_glTexPageCommitmentARB = epoxy_glTexPageCommitmentARB_dispatch_table_thunk;

PUBLIC PFNGLTEXPARAMETERIIVPROC epoxy_glTexParameterIiv = epoxy_glTexParameterIiv_dispatch_table_thunk;

PUBLIC PFNGLTEXPARAMETERIIVEXTPROC epoxy_glTexParameterIivEXT = epoxy_glTexParameterIivEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXPARAMETERIUIVPROC epoxy_glTexParameterIuiv = epoxy_glTexParameterIuiv_dispatch_table_thunk;

PUBLIC PFNGLTEXPARAMETERIUIVEXTPROC epoxy_glTexParameterIuivEXT = epoxy_glTexParameterIuivEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXPARAMETERFPROC epoxy_glTexParameterf = epoxy_glTexParameterf_dispatch_table_thunk;

PUBLIC PFNGLTEXPARAMETERFVPROC epoxy_glTexParameterfv = epoxy_glTexParameterfv_dispatch_table_thunk;

PUBLIC PFNGLTEXPARAMETERIPROC epoxy_glTexParameteri = epoxy_glTexParameteri_dispatch_table_thunk;

PUBLIC PFNGLTEXPARAMETERIVPROC epoxy_glTexParameteriv = epoxy_glTexParameteriv_dispatch_table_thunk;

PUBLIC PFNGLTEXPARAMETERXPROC epoxy_glTexParameterx = epoxy_glTexParameterx_dispatch_table_thunk;

PUBLIC PFNGLTEXPARAMETERXOESPROC epoxy_glTexParameterxOES = epoxy_glTexParameterxOES_dispatch_table_thunk;

PUBLIC PFNGLTEXPARAMETERXVPROC epoxy_glTexParameterxv = epoxy_glTexParameterxv_dispatch_table_thunk;

PUBLIC PFNGLTEXPARAMETERXVOESPROC epoxy_glTexParameterxvOES = epoxy_glTexParameterxvOES_dispatch_table_thunk;

PUBLIC PFNGLTEXRENDERBUFFERNVPROC epoxy_glTexRenderbufferNV = epoxy_glTexRenderbufferNV_dispatch_table_thunk;

PUBLIC PFNGLTEXSTORAGE1DPROC epoxy_glTexStorage1D = epoxy_glTexStorage1D_dispatch_table_thunk;

PUBLIC PFNGLTEXSTORAGE1DEXTPROC epoxy_glTexStorage1DEXT = epoxy_glTexStorage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXSTORAGE2DPROC epoxy_glTexStorage2D = epoxy_glTexStorage2D_dispatch_table_thunk;

PUBLIC PFNGLTEXSTORAGE2DEXTPROC epoxy_glTexStorage2DEXT = epoxy_glTexStorage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXSTORAGE2DMULTISAMPLEPROC epoxy_glTexStorage2DMultisample = epoxy_glTexStorage2DMultisample_dispatch_table_thunk;

PUBLIC PFNGLTEXSTORAGE3DPROC epoxy_glTexStorage3D = epoxy_glTexStorage3D_dispatch_table_thunk;

PUBLIC PFNGLTEXSTORAGE3DEXTPROC epoxy_glTexStorage3DEXT = epoxy_glTexStorage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXSTORAGE3DMULTISAMPLEPROC epoxy_glTexStorage3DMultisample = epoxy_glTexStorage3DMultisample_dispatch_table_thunk;

PUBLIC PFNGLTEXSTORAGESPARSEAMDPROC epoxy_glTexStorageSparseAMD = epoxy_glTexStorageSparseAMD_dispatch_table_thunk;

PUBLIC PFNGLTEXSUBIMAGE1DPROC epoxy_glTexSubImage1D = epoxy_glTexSubImage1D_dispatch_table_thunk;

PUBLIC PFNGLTEXSUBIMAGE1DEXTPROC epoxy_glTexSubImage1DEXT = epoxy_glTexSubImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXSUBIMAGE2DPROC epoxy_glTexSubImage2D = epoxy_glTexSubImage2D_dispatch_table_thunk;

PUBLIC PFNGLTEXSUBIMAGE2DEXTPROC epoxy_glTexSubImage2DEXT = epoxy_glTexSubImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXSUBIMAGE3DPROC epoxy_glTexSubImage3D = epoxy_glTexSubImage3D_dispatch_table_thunk;

PUBLIC PFNGLTEXSUBIMAGE3DEXTPROC epoxy_glTexSubImage3DEXT = epoxy_glTexSubImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXSUBIMAGE3DOESPROC epoxy_glTexSubImage3DOES = epoxy_glTexSubImage3DOES_dispatch_table_thunk;

PUBLIC PFNGLTEXSUBIMAGE4DSGISPROC epoxy_glTexSubImage4DSGIS = epoxy_glTexSubImage4DSGIS_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREBARRIERNVPROC epoxy_glTextureBarrierNV = epoxy_glTextureBarrierNV_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREBUFFEREXTPROC epoxy_glTextureBufferEXT = epoxy_glTextureBufferEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREBUFFERRANGEEXTPROC epoxy_glTextureBufferRangeEXT = epoxy_glTextureBufferRangeEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTURECOLORMASKSGISPROC epoxy_glTextureColorMaskSGIS = epoxy_glTextureColorMaskSGIS_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREIMAGE1DEXTPROC epoxy_glTextureImage1DEXT = epoxy_glTextureImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREIMAGE2DEXTPROC epoxy_glTextureImage2DEXT = epoxy_glTextureImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREIMAGE2DMULTISAMPLECOVERAGENVPROC epoxy_glTextureImage2DMultisampleCoverageNV = epoxy_glTextureImage2DMultisampleCoverageNV_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREIMAGE2DMULTISAMPLENVPROC epoxy_glTextureImage2DMultisampleNV = epoxy_glTextureImage2DMultisampleNV_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREIMAGE3DEXTPROC epoxy_glTextureImage3DEXT = epoxy_glTextureImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREIMAGE3DMULTISAMPLECOVERAGENVPROC epoxy_glTextureImage3DMultisampleCoverageNV = epoxy_glTextureImage3DMultisampleCoverageNV_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREIMAGE3DMULTISAMPLENVPROC epoxy_glTextureImage3DMultisampleNV = epoxy_glTextureImage3DMultisampleNV_dispatch_table_thunk;

PUBLIC PFNGLTEXTURELIGHTEXTPROC epoxy_glTextureLightEXT = epoxy_glTextureLightEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREMATERIALEXTPROC epoxy_glTextureMaterialEXT = epoxy_glTextureMaterialEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTURENORMALEXTPROC epoxy_glTextureNormalEXT = epoxy_glTextureNormalEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREPAGECOMMITMENTEXTPROC epoxy_glTexturePageCommitmentEXT = epoxy_glTexturePageCommitmentEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREPARAMETERIIVEXTPROC epoxy_glTextureParameterIivEXT = epoxy_glTextureParameterIivEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREPARAMETERIUIVEXTPROC epoxy_glTextureParameterIuivEXT = epoxy_glTextureParameterIuivEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREPARAMETERFEXTPROC epoxy_glTextureParameterfEXT = epoxy_glTextureParameterfEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREPARAMETERFVEXTPROC epoxy_glTextureParameterfvEXT = epoxy_glTextureParameterfvEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREPARAMETERIEXTPROC epoxy_glTextureParameteriEXT = epoxy_glTextureParameteriEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREPARAMETERIVEXTPROC epoxy_glTextureParameterivEXT = epoxy_glTextureParameterivEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTURERANGEAPPLEPROC epoxy_glTextureRangeAPPLE = epoxy_glTextureRangeAPPLE_dispatch_table_thunk;

PUBLIC PFNGLTEXTURERENDERBUFFEREXTPROC epoxy_glTextureRenderbufferEXT = epoxy_glTextureRenderbufferEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTURESTORAGE1DEXTPROC epoxy_glTextureStorage1DEXT = epoxy_glTextureStorage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTURESTORAGE2DEXTPROC epoxy_glTextureStorage2DEXT = epoxy_glTextureStorage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTURESTORAGE2DMULTISAMPLEEXTPROC epoxy_glTextureStorage2DMultisampleEXT = epoxy_glTextureStorage2DMultisampleEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTURESTORAGE3DEXTPROC epoxy_glTextureStorage3DEXT = epoxy_glTextureStorage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTURESTORAGE3DMULTISAMPLEEXTPROC epoxy_glTextureStorage3DMultisampleEXT = epoxy_glTextureStorage3DMultisampleEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTURESTORAGESPARSEAMDPROC epoxy_glTextureStorageSparseAMD = epoxy_glTextureStorageSparseAMD_dispatch_table_thunk;

PUBLIC PFNGLTEXTURESUBIMAGE1DEXTPROC epoxy_glTextureSubImage1DEXT = epoxy_glTextureSubImage1DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTURESUBIMAGE2DEXTPROC epoxy_glTextureSubImage2DEXT = epoxy_glTextureSubImage2DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTURESUBIMAGE3DEXTPROC epoxy_glTextureSubImage3DEXT = epoxy_glTextureSubImage3DEXT_dispatch_table_thunk;

PUBLIC PFNGLTEXTUREVIEWPROC epoxy_glTextureView = epoxy_glTextureView_dispatch_table_thunk;

PUBLIC PFNGLTRACKMATRIXNVPROC epoxy_glTrackMatrixNV = epoxy_glTrackMatrixNV_dispatch_table_thunk;

PUBLIC PFNGLTRANSFORMFEEDBACKATTRIBSNVPROC epoxy_glTransformFeedbackAttribsNV = epoxy_glTransformFeedbackAttribsNV_dispatch_table_thunk;

PUBLIC PFNGLTRANSFORMFEEDBACKSTREAMATTRIBSNVPROC epoxy_glTransformFeedbackStreamAttribsNV = epoxy_glTransformFeedbackStreamAttribsNV_dispatch_table_thunk;

PUBLIC PFNGLTRANSFORMFEEDBACKVARYINGSPROC epoxy_glTransformFeedbackVaryings = epoxy_glTransformFeedbackVaryings_dispatch_table_thunk;

PUBLIC PFNGLTRANSFORMFEEDBACKVARYINGSEXTPROC epoxy_glTransformFeedbackVaryingsEXT = epoxy_glTransformFeedbackVaryingsEXT_dispatch_table_thunk;

PUBLIC PFNGLTRANSFORMFEEDBACKVARYINGSNVPROC epoxy_glTransformFeedbackVaryingsNV = epoxy_glTransformFeedbackVaryingsNV_dispatch_table_thunk;

PUBLIC PFNGLTRANSFORMPATHNVPROC epoxy_glTransformPathNV = epoxy_glTransformPathNV_dispatch_table_thunk;

PUBLIC PFNGLTRANSLATEDPROC epoxy_glTranslated = epoxy_glTranslated_dispatch_table_thunk;

PUBLIC PFNGLTRANSLATEFPROC epoxy_glTranslatef = epoxy_glTranslatef_dispatch_table_thunk;

PUBLIC PFNGLTRANSLATEXPROC epoxy_glTranslatex = epoxy_glTranslatex_dispatch_table_thunk;

PUBLIC PFNGLTRANSLATEXOESPROC epoxy_glTranslatexOES = epoxy_glTranslatexOES_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1DPROC epoxy_glUniform1d = epoxy_glUniform1d_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1DVPROC epoxy_glUniform1dv = epoxy_glUniform1dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1FPROC epoxy_glUniform1f = epoxy_glUniform1f_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1FARBPROC epoxy_glUniform1fARB = epoxy_glUniform1fARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1FVPROC epoxy_glUniform1fv = epoxy_glUniform1fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1FVARBPROC epoxy_glUniform1fvARB = epoxy_glUniform1fvARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1IPROC epoxy_glUniform1i = epoxy_glUniform1i_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1I64NVPROC epoxy_glUniform1i64NV = epoxy_glUniform1i64NV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1I64VNVPROC epoxy_glUniform1i64vNV = epoxy_glUniform1i64vNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1IARBPROC epoxy_glUniform1iARB = epoxy_glUniform1iARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1IVPROC epoxy_glUniform1iv = epoxy_glUniform1iv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1IVARBPROC epoxy_glUniform1ivARB = epoxy_glUniform1ivARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1UIPROC epoxy_glUniform1ui = epoxy_glUniform1ui_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1UI64NVPROC epoxy_glUniform1ui64NV = epoxy_glUniform1ui64NV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1UI64VNVPROC epoxy_glUniform1ui64vNV = epoxy_glUniform1ui64vNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1UIEXTPROC epoxy_glUniform1uiEXT = epoxy_glUniform1uiEXT_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1UIVPROC epoxy_glUniform1uiv = epoxy_glUniform1uiv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM1UIVEXTPROC epoxy_glUniform1uivEXT = epoxy_glUniform1uivEXT_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2DPROC epoxy_glUniform2d = epoxy_glUniform2d_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2DVPROC epoxy_glUniform2dv = epoxy_glUniform2dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2FPROC epoxy_glUniform2f = epoxy_glUniform2f_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2FARBPROC epoxy_glUniform2fARB = epoxy_glUniform2fARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2FVPROC epoxy_glUniform2fv = epoxy_glUniform2fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2FVARBPROC epoxy_glUniform2fvARB = epoxy_glUniform2fvARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2IPROC epoxy_glUniform2i = epoxy_glUniform2i_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2I64NVPROC epoxy_glUniform2i64NV = epoxy_glUniform2i64NV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2I64VNVPROC epoxy_glUniform2i64vNV = epoxy_glUniform2i64vNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2IARBPROC epoxy_glUniform2iARB = epoxy_glUniform2iARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2IVPROC epoxy_glUniform2iv = epoxy_glUniform2iv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2IVARBPROC epoxy_glUniform2ivARB = epoxy_glUniform2ivARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2UIPROC epoxy_glUniform2ui = epoxy_glUniform2ui_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2UI64NVPROC epoxy_glUniform2ui64NV = epoxy_glUniform2ui64NV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2UI64VNVPROC epoxy_glUniform2ui64vNV = epoxy_glUniform2ui64vNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2UIEXTPROC epoxy_glUniform2uiEXT = epoxy_glUniform2uiEXT_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2UIVPROC epoxy_glUniform2uiv = epoxy_glUniform2uiv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM2UIVEXTPROC epoxy_glUniform2uivEXT = epoxy_glUniform2uivEXT_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3DPROC epoxy_glUniform3d = epoxy_glUniform3d_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3DVPROC epoxy_glUniform3dv = epoxy_glUniform3dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3FPROC epoxy_glUniform3f = epoxy_glUniform3f_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3FARBPROC epoxy_glUniform3fARB = epoxy_glUniform3fARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3FVPROC epoxy_glUniform3fv = epoxy_glUniform3fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3FVARBPROC epoxy_glUniform3fvARB = epoxy_glUniform3fvARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3IPROC epoxy_glUniform3i = epoxy_glUniform3i_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3I64NVPROC epoxy_glUniform3i64NV = epoxy_glUniform3i64NV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3I64VNVPROC epoxy_glUniform3i64vNV = epoxy_glUniform3i64vNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3IARBPROC epoxy_glUniform3iARB = epoxy_glUniform3iARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3IVPROC epoxy_glUniform3iv = epoxy_glUniform3iv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3IVARBPROC epoxy_glUniform3ivARB = epoxy_glUniform3ivARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3UIPROC epoxy_glUniform3ui = epoxy_glUniform3ui_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3UI64NVPROC epoxy_glUniform3ui64NV = epoxy_glUniform3ui64NV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3UI64VNVPROC epoxy_glUniform3ui64vNV = epoxy_glUniform3ui64vNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3UIEXTPROC epoxy_glUniform3uiEXT = epoxy_glUniform3uiEXT_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3UIVPROC epoxy_glUniform3uiv = epoxy_glUniform3uiv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM3UIVEXTPROC epoxy_glUniform3uivEXT = epoxy_glUniform3uivEXT_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4DPROC epoxy_glUniform4d = epoxy_glUniform4d_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4DVPROC epoxy_glUniform4dv = epoxy_glUniform4dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4FPROC epoxy_glUniform4f = epoxy_glUniform4f_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4FARBPROC epoxy_glUniform4fARB = epoxy_glUniform4fARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4FVPROC epoxy_glUniform4fv = epoxy_glUniform4fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4FVARBPROC epoxy_glUniform4fvARB = epoxy_glUniform4fvARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4IPROC epoxy_glUniform4i = epoxy_glUniform4i_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4I64NVPROC epoxy_glUniform4i64NV = epoxy_glUniform4i64NV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4I64VNVPROC epoxy_glUniform4i64vNV = epoxy_glUniform4i64vNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4IARBPROC epoxy_glUniform4iARB = epoxy_glUniform4iARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4IVPROC epoxy_glUniform4iv = epoxy_glUniform4iv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4IVARBPROC epoxy_glUniform4ivARB = epoxy_glUniform4ivARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4UIPROC epoxy_glUniform4ui = epoxy_glUniform4ui_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4UI64NVPROC epoxy_glUniform4ui64NV = epoxy_glUniform4ui64NV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4UI64VNVPROC epoxy_glUniform4ui64vNV = epoxy_glUniform4ui64vNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4UIEXTPROC epoxy_glUniform4uiEXT = epoxy_glUniform4uiEXT_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4UIVPROC epoxy_glUniform4uiv = epoxy_glUniform4uiv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORM4UIVEXTPROC epoxy_glUniform4uivEXT = epoxy_glUniform4uivEXT_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMBLOCKBINDINGPROC epoxy_glUniformBlockBinding = epoxy_glUniformBlockBinding_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMBUFFEREXTPROC epoxy_glUniformBufferEXT = epoxy_glUniformBufferEXT_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMHANDLEUI64ARBPROC epoxy_glUniformHandleui64ARB = epoxy_glUniformHandleui64ARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMHANDLEUI64NVPROC epoxy_glUniformHandleui64NV = epoxy_glUniformHandleui64NV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMHANDLEUI64VARBPROC epoxy_glUniformHandleui64vARB = epoxy_glUniformHandleui64vARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMHANDLEUI64VNVPROC epoxy_glUniformHandleui64vNV = epoxy_glUniformHandleui64vNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX2DVPROC epoxy_glUniformMatrix2dv = epoxy_glUniformMatrix2dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX2FVPROC epoxy_glUniformMatrix2fv = epoxy_glUniformMatrix2fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX2FVARBPROC epoxy_glUniformMatrix2fvARB = epoxy_glUniformMatrix2fvARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX2X3DVPROC epoxy_glUniformMatrix2x3dv = epoxy_glUniformMatrix2x3dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX2X3FVPROC epoxy_glUniformMatrix2x3fv = epoxy_glUniformMatrix2x3fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX2X3FVNVPROC epoxy_glUniformMatrix2x3fvNV = epoxy_glUniformMatrix2x3fvNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX2X4DVPROC epoxy_glUniformMatrix2x4dv = epoxy_glUniformMatrix2x4dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX2X4FVPROC epoxy_glUniformMatrix2x4fv = epoxy_glUniformMatrix2x4fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX2X4FVNVPROC epoxy_glUniformMatrix2x4fvNV = epoxy_glUniformMatrix2x4fvNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX3DVPROC epoxy_glUniformMatrix3dv = epoxy_glUniformMatrix3dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX3FVPROC epoxy_glUniformMatrix3fv = epoxy_glUniformMatrix3fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX3FVARBPROC epoxy_glUniformMatrix3fvARB = epoxy_glUniformMatrix3fvARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX3X2DVPROC epoxy_glUniformMatrix3x2dv = epoxy_glUniformMatrix3x2dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX3X2FVPROC epoxy_glUniformMatrix3x2fv = epoxy_glUniformMatrix3x2fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX3X2FVNVPROC epoxy_glUniformMatrix3x2fvNV = epoxy_glUniformMatrix3x2fvNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX3X4DVPROC epoxy_glUniformMatrix3x4dv = epoxy_glUniformMatrix3x4dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX3X4FVPROC epoxy_glUniformMatrix3x4fv = epoxy_glUniformMatrix3x4fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX3X4FVNVPROC epoxy_glUniformMatrix3x4fvNV = epoxy_glUniformMatrix3x4fvNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX4DVPROC epoxy_glUniformMatrix4dv = epoxy_glUniformMatrix4dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX4FVPROC epoxy_glUniformMatrix4fv = epoxy_glUniformMatrix4fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX4FVARBPROC epoxy_glUniformMatrix4fvARB = epoxy_glUniformMatrix4fvARB_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX4X2DVPROC epoxy_glUniformMatrix4x2dv = epoxy_glUniformMatrix4x2dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX4X2FVPROC epoxy_glUniformMatrix4x2fv = epoxy_glUniformMatrix4x2fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX4X2FVNVPROC epoxy_glUniformMatrix4x2fvNV = epoxy_glUniformMatrix4x2fvNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX4X3DVPROC epoxy_glUniformMatrix4x3dv = epoxy_glUniformMatrix4x3dv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX4X3FVPROC epoxy_glUniformMatrix4x3fv = epoxy_glUniformMatrix4x3fv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMMATRIX4X3FVNVPROC epoxy_glUniformMatrix4x3fvNV = epoxy_glUniformMatrix4x3fvNV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMSUBROUTINESUIVPROC epoxy_glUniformSubroutinesuiv = epoxy_glUniformSubroutinesuiv_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMUI64NVPROC epoxy_glUniformui64NV = epoxy_glUniformui64NV_dispatch_table_thunk;

PUBLIC PFNGLUNIFORMUI64VNVPROC epoxy_glUniformui64vNV = epoxy_glUniformui64vNV_dispatch_table_thunk;

PUBLIC PFNGLUNLOCKARRAYSEXTPROC epoxy_glUnlockArraysEXT = epoxy_glUnlockArraysEXT_dispatch_table_thunk;

PUBLIC PFNGLUNMAPBUFFERPROC epoxy_glUnmapBuffer = epoxy_glUnmapBuffer_dispatch_table_thunk;

PUBLIC PFNGLUNMAPBUFFERARBPROC epoxy_glUnmapBufferARB = epoxy_glUnmapBufferARB_dispatch_table_thunk;

PUBLIC PFNGLUNMAPBUFFEROESPROC epoxy_glUnmapBufferOES = epoxy_glUnmapBufferOES_dispatch_table_thunk;

PUBLIC PFNGLUNMAPNAMEDBUFFEREXTPROC epoxy_glUnmapNamedBufferEXT = epoxy_glUnmapNamedBufferEXT_dispatch_table_thunk;

PUBLIC PFNGLUNMAPOBJECTBUFFERATIPROC epoxy_glUnmapObjectBufferATI = epoxy_glUnmapObjectBufferATI_dispatch_table_thunk;

PUBLIC PFNGLUNMAPTEXTURE2DINTELPROC epoxy_glUnmapTexture2DINTEL = epoxy_glUnmapTexture2DINTEL_dispatch_table_thunk;

PUBLIC PFNGLUPDATEOBJECTBUFFERATIPROC epoxy_glUpdateObjectBufferATI = epoxy_glUpdateObjectBufferATI_dispatch_table_thunk;

PUBLIC PFNGLUSEPROGRAMPROC epoxy_glUseProgram = epoxy_glUseProgram_dispatch_table_thunk;

PUBLIC PFNGLUSEPROGRAMOBJECTARBPROC epoxy_glUseProgramObjectARB = epoxy_glUseProgramObjectARB_dispatch_table_thunk;

PUBLIC PFNGLUSEPROGRAMSTAGESPROC epoxy_glUseProgramStages = epoxy_glUseProgramStages_dispatch_table_thunk;

PUBLIC PFNGLUSEPROGRAMSTAGESEXTPROC epoxy_glUseProgramStagesEXT = epoxy_glUseProgramStagesEXT_dispatch_table_thunk;

PUBLIC PFNGLUSESHADERPROGRAMEXTPROC epoxy_glUseShaderProgramEXT = epoxy_glUseShaderProgramEXT_dispatch_table_thunk;

PUBLIC PFNGLVDPAUFININVPROC epoxy_glVDPAUFiniNV = epoxy_glVDPAUFiniNV_dispatch_table_thunk;

PUBLIC PFNGLVDPAUGETSURFACEIVNVPROC epoxy_glVDPAUGetSurfaceivNV = epoxy_glVDPAUGetSurfaceivNV_dispatch_table_thunk;

PUBLIC PFNGLVDPAUINITNVPROC epoxy_glVDPAUInitNV = epoxy_glVDPAUInitNV_dispatch_table_thunk;

PUBLIC PFNGLVDPAUISSURFACENVPROC epoxy_glVDPAUIsSurfaceNV = epoxy_glVDPAUIsSurfaceNV_dispatch_table_thunk;

PUBLIC PFNGLVDPAUMAPSURFACESNVPROC epoxy_glVDPAUMapSurfacesNV = epoxy_glVDPAUMapSurfacesNV_dispatch_table_thunk;

PUBLIC PFNGLVDPAUREGISTEROUTPUTSURFACENVPROC epoxy_glVDPAURegisterOutputSurfaceNV = epoxy_glVDPAURegisterOutputSurfaceNV_dispatch_table_thunk;

PUBLIC PFNGLVDPAUREGISTERVIDEOSURFACENVPROC epoxy_glVDPAURegisterVideoSurfaceNV = epoxy_glVDPAURegisterVideoSurfaceNV_dispatch_table_thunk;

PUBLIC PFNGLVDPAUSURFACEACCESSNVPROC epoxy_glVDPAUSurfaceAccessNV = epoxy_glVDPAUSurfaceAccessNV_dispatch_table_thunk;

PUBLIC PFNGLVDPAUUNMAPSURFACESNVPROC epoxy_glVDPAUUnmapSurfacesNV = epoxy_glVDPAUUnmapSurfacesNV_dispatch_table_thunk;

PUBLIC PFNGLVDPAUUNREGISTERSURFACENVPROC epoxy_glVDPAUUnregisterSurfaceNV = epoxy_glVDPAUUnregisterSurfaceNV_dispatch_table_thunk;

PUBLIC PFNGLVALIDATEPROGRAMPROC epoxy_glValidateProgram = epoxy_glValidateProgram_dispatch_table_thunk;

PUBLIC PFNGLVALIDATEPROGRAMARBPROC epoxy_glValidateProgramARB = epoxy_glValidateProgramARB_dispatch_table_thunk;

PUBLIC PFNGLVALIDATEPROGRAMPIPELINEPROC epoxy_glValidateProgramPipeline = epoxy_glValidateProgramPipeline_dispatch_table_thunk;

PUBLIC PFNGLVALIDATEPROGRAMPIPELINEEXTPROC epoxy_glValidateProgramPipelineEXT = epoxy_glValidateProgramPipelineEXT_dispatch_table_thunk;

PUBLIC PFNGLVARIANTARRAYOBJECTATIPROC epoxy_glVariantArrayObjectATI = epoxy_glVariantArrayObjectATI_dispatch_table_thunk;

PUBLIC PFNGLVARIANTPOINTEREXTPROC epoxy_glVariantPointerEXT = epoxy_glVariantPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLVARIANTBVEXTPROC epoxy_glVariantbvEXT = epoxy_glVariantbvEXT_dispatch_table_thunk;

PUBLIC PFNGLVARIANTDVEXTPROC epoxy_glVariantdvEXT = epoxy_glVariantdvEXT_dispatch_table_thunk;

PUBLIC PFNGLVARIANTFVEXTPROC epoxy_glVariantfvEXT = epoxy_glVariantfvEXT_dispatch_table_thunk;

PUBLIC PFNGLVARIANTIVEXTPROC epoxy_glVariantivEXT = epoxy_glVariantivEXT_dispatch_table_thunk;

PUBLIC PFNGLVARIANTSVEXTPROC epoxy_glVariantsvEXT = epoxy_glVariantsvEXT_dispatch_table_thunk;

PUBLIC PFNGLVARIANTUBVEXTPROC epoxy_glVariantubvEXT = epoxy_glVariantubvEXT_dispatch_table_thunk;

PUBLIC PFNGLVARIANTUIVEXTPROC epoxy_glVariantuivEXT = epoxy_glVariantuivEXT_dispatch_table_thunk;

PUBLIC PFNGLVARIANTUSVEXTPROC epoxy_glVariantusvEXT = epoxy_glVariantusvEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2BOESPROC epoxy_glVertex2bOES = epoxy_glVertex2bOES_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2BVOESPROC epoxy_glVertex2bvOES = epoxy_glVertex2bvOES_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2DPROC epoxy_glVertex2d = epoxy_glVertex2d_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2DVPROC epoxy_glVertex2dv = epoxy_glVertex2dv_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2FPROC epoxy_glVertex2f = epoxy_glVertex2f_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2FVPROC epoxy_glVertex2fv = epoxy_glVertex2fv_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2HNVPROC epoxy_glVertex2hNV = epoxy_glVertex2hNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2HVNVPROC epoxy_glVertex2hvNV = epoxy_glVertex2hvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2IPROC epoxy_glVertex2i = epoxy_glVertex2i_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2IVPROC epoxy_glVertex2iv = epoxy_glVertex2iv_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2SPROC epoxy_glVertex2s = epoxy_glVertex2s_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2SVPROC epoxy_glVertex2sv = epoxy_glVertex2sv_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2XOESPROC epoxy_glVertex2xOES = epoxy_glVertex2xOES_dispatch_table_thunk;

PUBLIC PFNGLVERTEX2XVOESPROC epoxy_glVertex2xvOES = epoxy_glVertex2xvOES_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3BOESPROC epoxy_glVertex3bOES = epoxy_glVertex3bOES_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3BVOESPROC epoxy_glVertex3bvOES = epoxy_glVertex3bvOES_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3DPROC epoxy_glVertex3d = epoxy_glVertex3d_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3DVPROC epoxy_glVertex3dv = epoxy_glVertex3dv_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3FPROC epoxy_glVertex3f = epoxy_glVertex3f_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3FVPROC epoxy_glVertex3fv = epoxy_glVertex3fv_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3HNVPROC epoxy_glVertex3hNV = epoxy_glVertex3hNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3HVNVPROC epoxy_glVertex3hvNV = epoxy_glVertex3hvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3IPROC epoxy_glVertex3i = epoxy_glVertex3i_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3IVPROC epoxy_glVertex3iv = epoxy_glVertex3iv_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3SPROC epoxy_glVertex3s = epoxy_glVertex3s_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3SVPROC epoxy_glVertex3sv = epoxy_glVertex3sv_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3XOESPROC epoxy_glVertex3xOES = epoxy_glVertex3xOES_dispatch_table_thunk;

PUBLIC PFNGLVERTEX3XVOESPROC epoxy_glVertex3xvOES = epoxy_glVertex3xvOES_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4BOESPROC epoxy_glVertex4bOES = epoxy_glVertex4bOES_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4BVOESPROC epoxy_glVertex4bvOES = epoxy_glVertex4bvOES_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4DPROC epoxy_glVertex4d = epoxy_glVertex4d_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4DVPROC epoxy_glVertex4dv = epoxy_glVertex4dv_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4FPROC epoxy_glVertex4f = epoxy_glVertex4f_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4FVPROC epoxy_glVertex4fv = epoxy_glVertex4fv_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4HNVPROC epoxy_glVertex4hNV = epoxy_glVertex4hNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4HVNVPROC epoxy_glVertex4hvNV = epoxy_glVertex4hvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4IPROC epoxy_glVertex4i = epoxy_glVertex4i_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4IVPROC epoxy_glVertex4iv = epoxy_glVertex4iv_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4SPROC epoxy_glVertex4s = epoxy_glVertex4s_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4SVPROC epoxy_glVertex4sv = epoxy_glVertex4sv_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4XOESPROC epoxy_glVertex4xOES = epoxy_glVertex4xOES_dispatch_table_thunk;

PUBLIC PFNGLVERTEX4XVOESPROC epoxy_glVertex4xvOES = epoxy_glVertex4xvOES_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYBINDVERTEXBUFFEREXTPROC epoxy_glVertexArrayBindVertexBufferEXT = epoxy_glVertexArrayBindVertexBufferEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYCOLOROFFSETEXTPROC epoxy_glVertexArrayColorOffsetEXT = epoxy_glVertexArrayColorOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYEDGEFLAGOFFSETEXTPROC epoxy_glVertexArrayEdgeFlagOffsetEXT = epoxy_glVertexArrayEdgeFlagOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYFOGCOORDOFFSETEXTPROC epoxy_glVertexArrayFogCoordOffsetEXT = epoxy_glVertexArrayFogCoordOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYINDEXOFFSETEXTPROC epoxy_glVertexArrayIndexOffsetEXT = epoxy_glVertexArrayIndexOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYMULTITEXCOORDOFFSETEXTPROC epoxy_glVertexArrayMultiTexCoordOffsetEXT = epoxy_glVertexArrayMultiTexCoordOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYNORMALOFFSETEXTPROC epoxy_glVertexArrayNormalOffsetEXT = epoxy_glVertexArrayNormalOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYPARAMETERIAPPLEPROC epoxy_glVertexArrayParameteriAPPLE = epoxy_glVertexArrayParameteriAPPLE_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYRANGEAPPLEPROC epoxy_glVertexArrayRangeAPPLE = epoxy_glVertexArrayRangeAPPLE_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYRANGENVPROC epoxy_glVertexArrayRangeNV = epoxy_glVertexArrayRangeNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYSECONDARYCOLOROFFSETEXTPROC epoxy_glVertexArraySecondaryColorOffsetEXT = epoxy_glVertexArraySecondaryColorOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYTEXCOORDOFFSETEXTPROC epoxy_glVertexArrayTexCoordOffsetEXT = epoxy_glVertexArrayTexCoordOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBBINDINGEXTPROC epoxy_glVertexArrayVertexAttribBindingEXT = epoxy_glVertexArrayVertexAttribBindingEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBDIVISOREXTPROC epoxy_glVertexArrayVertexAttribDivisorEXT = epoxy_glVertexArrayVertexAttribDivisorEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBFORMATEXTPROC epoxy_glVertexArrayVertexAttribFormatEXT = epoxy_glVertexArrayVertexAttribFormatEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBIFORMATEXTPROC epoxy_glVertexArrayVertexAttribIFormatEXT = epoxy_glVertexArrayVertexAttribIFormatEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBIOFFSETEXTPROC epoxy_glVertexArrayVertexAttribIOffsetEXT = epoxy_glVertexArrayVertexAttribIOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBLFORMATEXTPROC epoxy_glVertexArrayVertexAttribLFormatEXT = epoxy_glVertexArrayVertexAttribLFormatEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBLOFFSETEXTPROC epoxy_glVertexArrayVertexAttribLOffsetEXT = epoxy_glVertexArrayVertexAttribLOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBOFFSETEXTPROC epoxy_glVertexArrayVertexAttribOffsetEXT = epoxy_glVertexArrayVertexAttribOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYVERTEXBINDINGDIVISOREXTPROC epoxy_glVertexArrayVertexBindingDivisorEXT = epoxy_glVertexArrayVertexBindingDivisorEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXARRAYVERTEXOFFSETEXTPROC epoxy_glVertexArrayVertexOffsetEXT = epoxy_glVertexArrayVertexOffsetEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1DPROC epoxy_glVertexAttrib1d = epoxy_glVertexAttrib1d_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1DARBPROC epoxy_glVertexAttrib1dARB = epoxy_glVertexAttrib1dARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1DNVPROC epoxy_glVertexAttrib1dNV = epoxy_glVertexAttrib1dNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1DVPROC epoxy_glVertexAttrib1dv = epoxy_glVertexAttrib1dv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1DVARBPROC epoxy_glVertexAttrib1dvARB = epoxy_glVertexAttrib1dvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1DVNVPROC epoxy_glVertexAttrib1dvNV = epoxy_glVertexAttrib1dvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1FPROC epoxy_glVertexAttrib1f = epoxy_glVertexAttrib1f_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1FARBPROC epoxy_glVertexAttrib1fARB = epoxy_glVertexAttrib1fARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1FNVPROC epoxy_glVertexAttrib1fNV = epoxy_glVertexAttrib1fNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1FVPROC epoxy_glVertexAttrib1fv = epoxy_glVertexAttrib1fv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1FVARBPROC epoxy_glVertexAttrib1fvARB = epoxy_glVertexAttrib1fvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1FVNVPROC epoxy_glVertexAttrib1fvNV = epoxy_glVertexAttrib1fvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1HNVPROC epoxy_glVertexAttrib1hNV = epoxy_glVertexAttrib1hNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1HVNVPROC epoxy_glVertexAttrib1hvNV = epoxy_glVertexAttrib1hvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1SPROC epoxy_glVertexAttrib1s = epoxy_glVertexAttrib1s_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1SARBPROC epoxy_glVertexAttrib1sARB = epoxy_glVertexAttrib1sARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1SNVPROC epoxy_glVertexAttrib1sNV = epoxy_glVertexAttrib1sNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1SVPROC epoxy_glVertexAttrib1sv = epoxy_glVertexAttrib1sv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1SVARBPROC epoxy_glVertexAttrib1svARB = epoxy_glVertexAttrib1svARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB1SVNVPROC epoxy_glVertexAttrib1svNV = epoxy_glVertexAttrib1svNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2DPROC epoxy_glVertexAttrib2d = epoxy_glVertexAttrib2d_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2DARBPROC epoxy_glVertexAttrib2dARB = epoxy_glVertexAttrib2dARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2DNVPROC epoxy_glVertexAttrib2dNV = epoxy_glVertexAttrib2dNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2DVPROC epoxy_glVertexAttrib2dv = epoxy_glVertexAttrib2dv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2DVARBPROC epoxy_glVertexAttrib2dvARB = epoxy_glVertexAttrib2dvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2DVNVPROC epoxy_glVertexAttrib2dvNV = epoxy_glVertexAttrib2dvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2FPROC epoxy_glVertexAttrib2f = epoxy_glVertexAttrib2f_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2FARBPROC epoxy_glVertexAttrib2fARB = epoxy_glVertexAttrib2fARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2FNVPROC epoxy_glVertexAttrib2fNV = epoxy_glVertexAttrib2fNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2FVPROC epoxy_glVertexAttrib2fv = epoxy_glVertexAttrib2fv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2FVARBPROC epoxy_glVertexAttrib2fvARB = epoxy_glVertexAttrib2fvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2FVNVPROC epoxy_glVertexAttrib2fvNV = epoxy_glVertexAttrib2fvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2HNVPROC epoxy_glVertexAttrib2hNV = epoxy_glVertexAttrib2hNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2HVNVPROC epoxy_glVertexAttrib2hvNV = epoxy_glVertexAttrib2hvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2SPROC epoxy_glVertexAttrib2s = epoxy_glVertexAttrib2s_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2SARBPROC epoxy_glVertexAttrib2sARB = epoxy_glVertexAttrib2sARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2SNVPROC epoxy_glVertexAttrib2sNV = epoxy_glVertexAttrib2sNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2SVPROC epoxy_glVertexAttrib2sv = epoxy_glVertexAttrib2sv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2SVARBPROC epoxy_glVertexAttrib2svARB = epoxy_glVertexAttrib2svARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB2SVNVPROC epoxy_glVertexAttrib2svNV = epoxy_glVertexAttrib2svNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3DPROC epoxy_glVertexAttrib3d = epoxy_glVertexAttrib3d_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3DARBPROC epoxy_glVertexAttrib3dARB = epoxy_glVertexAttrib3dARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3DNVPROC epoxy_glVertexAttrib3dNV = epoxy_glVertexAttrib3dNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3DVPROC epoxy_glVertexAttrib3dv = epoxy_glVertexAttrib3dv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3DVARBPROC epoxy_glVertexAttrib3dvARB = epoxy_glVertexAttrib3dvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3DVNVPROC epoxy_glVertexAttrib3dvNV = epoxy_glVertexAttrib3dvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3FPROC epoxy_glVertexAttrib3f = epoxy_glVertexAttrib3f_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3FARBPROC epoxy_glVertexAttrib3fARB = epoxy_glVertexAttrib3fARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3FNVPROC epoxy_glVertexAttrib3fNV = epoxy_glVertexAttrib3fNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3FVPROC epoxy_glVertexAttrib3fv = epoxy_glVertexAttrib3fv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3FVARBPROC epoxy_glVertexAttrib3fvARB = epoxy_glVertexAttrib3fvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3FVNVPROC epoxy_glVertexAttrib3fvNV = epoxy_glVertexAttrib3fvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3HNVPROC epoxy_glVertexAttrib3hNV = epoxy_glVertexAttrib3hNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3HVNVPROC epoxy_glVertexAttrib3hvNV = epoxy_glVertexAttrib3hvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3SPROC epoxy_glVertexAttrib3s = epoxy_glVertexAttrib3s_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3SARBPROC epoxy_glVertexAttrib3sARB = epoxy_glVertexAttrib3sARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3SNVPROC epoxy_glVertexAttrib3sNV = epoxy_glVertexAttrib3sNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3SVPROC epoxy_glVertexAttrib3sv = epoxy_glVertexAttrib3sv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3SVARBPROC epoxy_glVertexAttrib3svARB = epoxy_glVertexAttrib3svARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB3SVNVPROC epoxy_glVertexAttrib3svNV = epoxy_glVertexAttrib3svNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NBVPROC epoxy_glVertexAttrib4Nbv = epoxy_glVertexAttrib4Nbv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NBVARBPROC epoxy_glVertexAttrib4NbvARB = epoxy_glVertexAttrib4NbvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NIVPROC epoxy_glVertexAttrib4Niv = epoxy_glVertexAttrib4Niv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NIVARBPROC epoxy_glVertexAttrib4NivARB = epoxy_glVertexAttrib4NivARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NSVPROC epoxy_glVertexAttrib4Nsv = epoxy_glVertexAttrib4Nsv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NSVARBPROC epoxy_glVertexAttrib4NsvARB = epoxy_glVertexAttrib4NsvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NUBPROC epoxy_glVertexAttrib4Nub = epoxy_glVertexAttrib4Nub_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NUBARBPROC epoxy_glVertexAttrib4NubARB = epoxy_glVertexAttrib4NubARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NUBVPROC epoxy_glVertexAttrib4Nubv = epoxy_glVertexAttrib4Nubv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NUBVARBPROC epoxy_glVertexAttrib4NubvARB = epoxy_glVertexAttrib4NubvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NUIVPROC epoxy_glVertexAttrib4Nuiv = epoxy_glVertexAttrib4Nuiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NUIVARBPROC epoxy_glVertexAttrib4NuivARB = epoxy_glVertexAttrib4NuivARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NUSVPROC epoxy_glVertexAttrib4Nusv = epoxy_glVertexAttrib4Nusv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4NUSVARBPROC epoxy_glVertexAttrib4NusvARB = epoxy_glVertexAttrib4NusvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4BVPROC epoxy_glVertexAttrib4bv = epoxy_glVertexAttrib4bv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4BVARBPROC epoxy_glVertexAttrib4bvARB = epoxy_glVertexAttrib4bvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4DPROC epoxy_glVertexAttrib4d = epoxy_glVertexAttrib4d_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4DARBPROC epoxy_glVertexAttrib4dARB = epoxy_glVertexAttrib4dARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4DNVPROC epoxy_glVertexAttrib4dNV = epoxy_glVertexAttrib4dNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4DVPROC epoxy_glVertexAttrib4dv = epoxy_glVertexAttrib4dv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4DVARBPROC epoxy_glVertexAttrib4dvARB = epoxy_glVertexAttrib4dvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4DVNVPROC epoxy_glVertexAttrib4dvNV = epoxy_glVertexAttrib4dvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4FPROC epoxy_glVertexAttrib4f = epoxy_glVertexAttrib4f_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4FARBPROC epoxy_glVertexAttrib4fARB = epoxy_glVertexAttrib4fARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4FNVPROC epoxy_glVertexAttrib4fNV = epoxy_glVertexAttrib4fNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4FVPROC epoxy_glVertexAttrib4fv = epoxy_glVertexAttrib4fv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4FVARBPROC epoxy_glVertexAttrib4fvARB = epoxy_glVertexAttrib4fvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4FVNVPROC epoxy_glVertexAttrib4fvNV = epoxy_glVertexAttrib4fvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4HNVPROC epoxy_glVertexAttrib4hNV = epoxy_glVertexAttrib4hNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4HVNVPROC epoxy_glVertexAttrib4hvNV = epoxy_glVertexAttrib4hvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4IVPROC epoxy_glVertexAttrib4iv = epoxy_glVertexAttrib4iv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4IVARBPROC epoxy_glVertexAttrib4ivARB = epoxy_glVertexAttrib4ivARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4SPROC epoxy_glVertexAttrib4s = epoxy_glVertexAttrib4s_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4SARBPROC epoxy_glVertexAttrib4sARB = epoxy_glVertexAttrib4sARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4SNVPROC epoxy_glVertexAttrib4sNV = epoxy_glVertexAttrib4sNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4SVPROC epoxy_glVertexAttrib4sv = epoxy_glVertexAttrib4sv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4SVARBPROC epoxy_glVertexAttrib4svARB = epoxy_glVertexAttrib4svARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4SVNVPROC epoxy_glVertexAttrib4svNV = epoxy_glVertexAttrib4svNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4UBNVPROC epoxy_glVertexAttrib4ubNV = epoxy_glVertexAttrib4ubNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4UBVPROC epoxy_glVertexAttrib4ubv = epoxy_glVertexAttrib4ubv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4UBVARBPROC epoxy_glVertexAttrib4ubvARB = epoxy_glVertexAttrib4ubvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4UBVNVPROC epoxy_glVertexAttrib4ubvNV = epoxy_glVertexAttrib4ubvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4UIVPROC epoxy_glVertexAttrib4uiv = epoxy_glVertexAttrib4uiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4UIVARBPROC epoxy_glVertexAttrib4uivARB = epoxy_glVertexAttrib4uivARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4USVPROC epoxy_glVertexAttrib4usv = epoxy_glVertexAttrib4usv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIB4USVARBPROC epoxy_glVertexAttrib4usvARB = epoxy_glVertexAttrib4usvARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBARRAYOBJECTATIPROC epoxy_glVertexAttribArrayObjectATI = epoxy_glVertexAttribArrayObjectATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBBINDINGPROC epoxy_glVertexAttribBinding = epoxy_glVertexAttribBinding_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBDIVISORPROC epoxy_glVertexAttribDivisor = epoxy_glVertexAttribDivisor_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBDIVISORANGLEPROC epoxy_glVertexAttribDivisorANGLE = epoxy_glVertexAttribDivisorANGLE_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBDIVISORARBPROC epoxy_glVertexAttribDivisorARB = epoxy_glVertexAttribDivisorARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBDIVISOREXTPROC epoxy_glVertexAttribDivisorEXT = epoxy_glVertexAttribDivisorEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBDIVISORNVPROC epoxy_glVertexAttribDivisorNV = epoxy_glVertexAttribDivisorNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBFORMATPROC epoxy_glVertexAttribFormat = epoxy_glVertexAttribFormat_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBFORMATNVPROC epoxy_glVertexAttribFormatNV = epoxy_glVertexAttribFormatNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI1IPROC epoxy_glVertexAttribI1i = epoxy_glVertexAttribI1i_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI1IEXTPROC epoxy_glVertexAttribI1iEXT = epoxy_glVertexAttribI1iEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI1IVPROC epoxy_glVertexAttribI1iv = epoxy_glVertexAttribI1iv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI1IVEXTPROC epoxy_glVertexAttribI1ivEXT = epoxy_glVertexAttribI1ivEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI1UIPROC epoxy_glVertexAttribI1ui = epoxy_glVertexAttribI1ui_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI1UIEXTPROC epoxy_glVertexAttribI1uiEXT = epoxy_glVertexAttribI1uiEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI1UIVPROC epoxy_glVertexAttribI1uiv = epoxy_glVertexAttribI1uiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI1UIVEXTPROC epoxy_glVertexAttribI1uivEXT = epoxy_glVertexAttribI1uivEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI2IPROC epoxy_glVertexAttribI2i = epoxy_glVertexAttribI2i_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI2IEXTPROC epoxy_glVertexAttribI2iEXT = epoxy_glVertexAttribI2iEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI2IVPROC epoxy_glVertexAttribI2iv = epoxy_glVertexAttribI2iv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI2IVEXTPROC epoxy_glVertexAttribI2ivEXT = epoxy_glVertexAttribI2ivEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI2UIPROC epoxy_glVertexAttribI2ui = epoxy_glVertexAttribI2ui_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI2UIEXTPROC epoxy_glVertexAttribI2uiEXT = epoxy_glVertexAttribI2uiEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI2UIVPROC epoxy_glVertexAttribI2uiv = epoxy_glVertexAttribI2uiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI2UIVEXTPROC epoxy_glVertexAttribI2uivEXT = epoxy_glVertexAttribI2uivEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI3IPROC epoxy_glVertexAttribI3i = epoxy_glVertexAttribI3i_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI3IEXTPROC epoxy_glVertexAttribI3iEXT = epoxy_glVertexAttribI3iEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI3IVPROC epoxy_glVertexAttribI3iv = epoxy_glVertexAttribI3iv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI3IVEXTPROC epoxy_glVertexAttribI3ivEXT = epoxy_glVertexAttribI3ivEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI3UIPROC epoxy_glVertexAttribI3ui = epoxy_glVertexAttribI3ui_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI3UIEXTPROC epoxy_glVertexAttribI3uiEXT = epoxy_glVertexAttribI3uiEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI3UIVPROC epoxy_glVertexAttribI3uiv = epoxy_glVertexAttribI3uiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI3UIVEXTPROC epoxy_glVertexAttribI3uivEXT = epoxy_glVertexAttribI3uivEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4BVPROC epoxy_glVertexAttribI4bv = epoxy_glVertexAttribI4bv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4BVEXTPROC epoxy_glVertexAttribI4bvEXT = epoxy_glVertexAttribI4bvEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4IPROC epoxy_glVertexAttribI4i = epoxy_glVertexAttribI4i_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4IEXTPROC epoxy_glVertexAttribI4iEXT = epoxy_glVertexAttribI4iEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4IVPROC epoxy_glVertexAttribI4iv = epoxy_glVertexAttribI4iv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4IVEXTPROC epoxy_glVertexAttribI4ivEXT = epoxy_glVertexAttribI4ivEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4SVPROC epoxy_glVertexAttribI4sv = epoxy_glVertexAttribI4sv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4SVEXTPROC epoxy_glVertexAttribI4svEXT = epoxy_glVertexAttribI4svEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4UBVPROC epoxy_glVertexAttribI4ubv = epoxy_glVertexAttribI4ubv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4UBVEXTPROC epoxy_glVertexAttribI4ubvEXT = epoxy_glVertexAttribI4ubvEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4UIPROC epoxy_glVertexAttribI4ui = epoxy_glVertexAttribI4ui_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4UIEXTPROC epoxy_glVertexAttribI4uiEXT = epoxy_glVertexAttribI4uiEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4UIVPROC epoxy_glVertexAttribI4uiv = epoxy_glVertexAttribI4uiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4UIVEXTPROC epoxy_glVertexAttribI4uivEXT = epoxy_glVertexAttribI4uivEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4USVPROC epoxy_glVertexAttribI4usv = epoxy_glVertexAttribI4usv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBI4USVEXTPROC epoxy_glVertexAttribI4usvEXT = epoxy_glVertexAttribI4usvEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBIFORMATPROC epoxy_glVertexAttribIFormat = epoxy_glVertexAttribIFormat_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBIFORMATNVPROC epoxy_glVertexAttribIFormatNV = epoxy_glVertexAttribIFormatNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBIPOINTERPROC epoxy_glVertexAttribIPointer = epoxy_glVertexAttribIPointer_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBIPOINTEREXTPROC epoxy_glVertexAttribIPointerEXT = epoxy_glVertexAttribIPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL1DPROC epoxy_glVertexAttribL1d = epoxy_glVertexAttribL1d_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL1DEXTPROC epoxy_glVertexAttribL1dEXT = epoxy_glVertexAttribL1dEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL1DVPROC epoxy_glVertexAttribL1dv = epoxy_glVertexAttribL1dv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL1DVEXTPROC epoxy_glVertexAttribL1dvEXT = epoxy_glVertexAttribL1dvEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL1I64NVPROC epoxy_glVertexAttribL1i64NV = epoxy_glVertexAttribL1i64NV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL1I64VNVPROC epoxy_glVertexAttribL1i64vNV = epoxy_glVertexAttribL1i64vNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL1UI64ARBPROC epoxy_glVertexAttribL1ui64ARB = epoxy_glVertexAttribL1ui64ARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL1UI64NVPROC epoxy_glVertexAttribL1ui64NV = epoxy_glVertexAttribL1ui64NV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL1UI64VARBPROC epoxy_glVertexAttribL1ui64vARB = epoxy_glVertexAttribL1ui64vARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL1UI64VNVPROC epoxy_glVertexAttribL1ui64vNV = epoxy_glVertexAttribL1ui64vNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL2DPROC epoxy_glVertexAttribL2d = epoxy_glVertexAttribL2d_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL2DEXTPROC epoxy_glVertexAttribL2dEXT = epoxy_glVertexAttribL2dEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL2DVPROC epoxy_glVertexAttribL2dv = epoxy_glVertexAttribL2dv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL2DVEXTPROC epoxy_glVertexAttribL2dvEXT = epoxy_glVertexAttribL2dvEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL2I64NVPROC epoxy_glVertexAttribL2i64NV = epoxy_glVertexAttribL2i64NV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL2I64VNVPROC epoxy_glVertexAttribL2i64vNV = epoxy_glVertexAttribL2i64vNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL2UI64NVPROC epoxy_glVertexAttribL2ui64NV = epoxy_glVertexAttribL2ui64NV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL2UI64VNVPROC epoxy_glVertexAttribL2ui64vNV = epoxy_glVertexAttribL2ui64vNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL3DPROC epoxy_glVertexAttribL3d = epoxy_glVertexAttribL3d_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL3DEXTPROC epoxy_glVertexAttribL3dEXT = epoxy_glVertexAttribL3dEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL3DVPROC epoxy_glVertexAttribL3dv = epoxy_glVertexAttribL3dv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL3DVEXTPROC epoxy_glVertexAttribL3dvEXT = epoxy_glVertexAttribL3dvEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL3I64NVPROC epoxy_glVertexAttribL3i64NV = epoxy_glVertexAttribL3i64NV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL3I64VNVPROC epoxy_glVertexAttribL3i64vNV = epoxy_glVertexAttribL3i64vNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL3UI64NVPROC epoxy_glVertexAttribL3ui64NV = epoxy_glVertexAttribL3ui64NV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL3UI64VNVPROC epoxy_glVertexAttribL3ui64vNV = epoxy_glVertexAttribL3ui64vNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL4DPROC epoxy_glVertexAttribL4d = epoxy_glVertexAttribL4d_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL4DEXTPROC epoxy_glVertexAttribL4dEXT = epoxy_glVertexAttribL4dEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL4DVPROC epoxy_glVertexAttribL4dv = epoxy_glVertexAttribL4dv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL4DVEXTPROC epoxy_glVertexAttribL4dvEXT = epoxy_glVertexAttribL4dvEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL4I64NVPROC epoxy_glVertexAttribL4i64NV = epoxy_glVertexAttribL4i64NV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL4I64VNVPROC epoxy_glVertexAttribL4i64vNV = epoxy_glVertexAttribL4i64vNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL4UI64NVPROC epoxy_glVertexAttribL4ui64NV = epoxy_glVertexAttribL4ui64NV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBL4UI64VNVPROC epoxy_glVertexAttribL4ui64vNV = epoxy_glVertexAttribL4ui64vNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBLFORMATPROC epoxy_glVertexAttribLFormat = epoxy_glVertexAttribLFormat_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBLFORMATNVPROC epoxy_glVertexAttribLFormatNV = epoxy_glVertexAttribLFormatNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBLPOINTERPROC epoxy_glVertexAttribLPointer = epoxy_glVertexAttribLPointer_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBLPOINTEREXTPROC epoxy_glVertexAttribLPointerEXT = epoxy_glVertexAttribLPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBP1UIPROC epoxy_glVertexAttribP1ui = epoxy_glVertexAttribP1ui_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBP1UIVPROC epoxy_glVertexAttribP1uiv = epoxy_glVertexAttribP1uiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBP2UIPROC epoxy_glVertexAttribP2ui = epoxy_glVertexAttribP2ui_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBP2UIVPROC epoxy_glVertexAttribP2uiv = epoxy_glVertexAttribP2uiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBP3UIPROC epoxy_glVertexAttribP3ui = epoxy_glVertexAttribP3ui_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBP3UIVPROC epoxy_glVertexAttribP3uiv = epoxy_glVertexAttribP3uiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBP4UIPROC epoxy_glVertexAttribP4ui = epoxy_glVertexAttribP4ui_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBP4UIVPROC epoxy_glVertexAttribP4uiv = epoxy_glVertexAttribP4uiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBPARAMETERIAMDPROC epoxy_glVertexAttribParameteriAMD = epoxy_glVertexAttribParameteriAMD_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBPOINTERPROC epoxy_glVertexAttribPointer = epoxy_glVertexAttribPointer_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBPOINTERARBPROC epoxy_glVertexAttribPointerARB = epoxy_glVertexAttribPointerARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBPOINTERNVPROC epoxy_glVertexAttribPointerNV = epoxy_glVertexAttribPointerNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS1DVNVPROC epoxy_glVertexAttribs1dvNV = epoxy_glVertexAttribs1dvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS1FVNVPROC epoxy_glVertexAttribs1fvNV = epoxy_glVertexAttribs1fvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS1HVNVPROC epoxy_glVertexAttribs1hvNV = epoxy_glVertexAttribs1hvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS1SVNVPROC epoxy_glVertexAttribs1svNV = epoxy_glVertexAttribs1svNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS2DVNVPROC epoxy_glVertexAttribs2dvNV = epoxy_glVertexAttribs2dvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS2FVNVPROC epoxy_glVertexAttribs2fvNV = epoxy_glVertexAttribs2fvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS2HVNVPROC epoxy_glVertexAttribs2hvNV = epoxy_glVertexAttribs2hvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS2SVNVPROC epoxy_glVertexAttribs2svNV = epoxy_glVertexAttribs2svNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS3DVNVPROC epoxy_glVertexAttribs3dvNV = epoxy_glVertexAttribs3dvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS3FVNVPROC epoxy_glVertexAttribs3fvNV = epoxy_glVertexAttribs3fvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS3HVNVPROC epoxy_glVertexAttribs3hvNV = epoxy_glVertexAttribs3hvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS3SVNVPROC epoxy_glVertexAttribs3svNV = epoxy_glVertexAttribs3svNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS4DVNVPROC epoxy_glVertexAttribs4dvNV = epoxy_glVertexAttribs4dvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS4FVNVPROC epoxy_glVertexAttribs4fvNV = epoxy_glVertexAttribs4fvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS4HVNVPROC epoxy_glVertexAttribs4hvNV = epoxy_glVertexAttribs4hvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS4SVNVPROC epoxy_glVertexAttribs4svNV = epoxy_glVertexAttribs4svNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXATTRIBS4UBVNVPROC epoxy_glVertexAttribs4ubvNV = epoxy_glVertexAttribs4ubvNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXBINDINGDIVISORPROC epoxy_glVertexBindingDivisor = epoxy_glVertexBindingDivisor_dispatch_table_thunk;

PUBLIC PFNGLVERTEXBLENDARBPROC epoxy_glVertexBlendARB = epoxy_glVertexBlendARB_dispatch_table_thunk;

PUBLIC PFNGLVERTEXBLENDENVFATIPROC epoxy_glVertexBlendEnvfATI = epoxy_glVertexBlendEnvfATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXBLENDENVIATIPROC epoxy_glVertexBlendEnviATI = epoxy_glVertexBlendEnviATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXFORMATNVPROC epoxy_glVertexFormatNV = epoxy_glVertexFormatNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXP2UIPROC epoxy_glVertexP2ui = epoxy_glVertexP2ui_dispatch_table_thunk;

PUBLIC PFNGLVERTEXP2UIVPROC epoxy_glVertexP2uiv = epoxy_glVertexP2uiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXP3UIPROC epoxy_glVertexP3ui = epoxy_glVertexP3ui_dispatch_table_thunk;

PUBLIC PFNGLVERTEXP3UIVPROC epoxy_glVertexP3uiv = epoxy_glVertexP3uiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXP4UIPROC epoxy_glVertexP4ui = epoxy_glVertexP4ui_dispatch_table_thunk;

PUBLIC PFNGLVERTEXP4UIVPROC epoxy_glVertexP4uiv = epoxy_glVertexP4uiv_dispatch_table_thunk;

PUBLIC PFNGLVERTEXPOINTERPROC epoxy_glVertexPointer = epoxy_glVertexPointer_dispatch_table_thunk;

PUBLIC PFNGLVERTEXPOINTEREXTPROC epoxy_glVertexPointerEXT = epoxy_glVertexPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXPOINTERLISTIBMPROC epoxy_glVertexPointerListIBM = epoxy_glVertexPointerListIBM_dispatch_table_thunk;

PUBLIC PFNGLVERTEXPOINTERVINTELPROC epoxy_glVertexPointervINTEL = epoxy_glVertexPointervINTEL_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM1DATIPROC epoxy_glVertexStream1dATI = epoxy_glVertexStream1dATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM1DVATIPROC epoxy_glVertexStream1dvATI = epoxy_glVertexStream1dvATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM1FATIPROC epoxy_glVertexStream1fATI = epoxy_glVertexStream1fATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM1FVATIPROC epoxy_glVertexStream1fvATI = epoxy_glVertexStream1fvATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM1IATIPROC epoxy_glVertexStream1iATI = epoxy_glVertexStream1iATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM1IVATIPROC epoxy_glVertexStream1ivATI = epoxy_glVertexStream1ivATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM1SATIPROC epoxy_glVertexStream1sATI = epoxy_glVertexStream1sATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM1SVATIPROC epoxy_glVertexStream1svATI = epoxy_glVertexStream1svATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM2DATIPROC epoxy_glVertexStream2dATI = epoxy_glVertexStream2dATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM2DVATIPROC epoxy_glVertexStream2dvATI = epoxy_glVertexStream2dvATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM2FATIPROC epoxy_glVertexStream2fATI = epoxy_glVertexStream2fATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM2FVATIPROC epoxy_glVertexStream2fvATI = epoxy_glVertexStream2fvATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM2IATIPROC epoxy_glVertexStream2iATI = epoxy_glVertexStream2iATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM2IVATIPROC epoxy_glVertexStream2ivATI = epoxy_glVertexStream2ivATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM2SATIPROC epoxy_glVertexStream2sATI = epoxy_glVertexStream2sATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM2SVATIPROC epoxy_glVertexStream2svATI = epoxy_glVertexStream2svATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM3DATIPROC epoxy_glVertexStream3dATI = epoxy_glVertexStream3dATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM3DVATIPROC epoxy_glVertexStream3dvATI = epoxy_glVertexStream3dvATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM3FATIPROC epoxy_glVertexStream3fATI = epoxy_glVertexStream3fATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM3FVATIPROC epoxy_glVertexStream3fvATI = epoxy_glVertexStream3fvATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM3IATIPROC epoxy_glVertexStream3iATI = epoxy_glVertexStream3iATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM3IVATIPROC epoxy_glVertexStream3ivATI = epoxy_glVertexStream3ivATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM3SATIPROC epoxy_glVertexStream3sATI = epoxy_glVertexStream3sATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM3SVATIPROC epoxy_glVertexStream3svATI = epoxy_glVertexStream3svATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM4DATIPROC epoxy_glVertexStream4dATI = epoxy_glVertexStream4dATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM4DVATIPROC epoxy_glVertexStream4dvATI = epoxy_glVertexStream4dvATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM4FATIPROC epoxy_glVertexStream4fATI = epoxy_glVertexStream4fATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM4FVATIPROC epoxy_glVertexStream4fvATI = epoxy_glVertexStream4fvATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM4IATIPROC epoxy_glVertexStream4iATI = epoxy_glVertexStream4iATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM4IVATIPROC epoxy_glVertexStream4ivATI = epoxy_glVertexStream4ivATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM4SATIPROC epoxy_glVertexStream4sATI = epoxy_glVertexStream4sATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXSTREAM4SVATIPROC epoxy_glVertexStream4svATI = epoxy_glVertexStream4svATI_dispatch_table_thunk;

PUBLIC PFNGLVERTEXWEIGHTPOINTEREXTPROC epoxy_glVertexWeightPointerEXT = epoxy_glVertexWeightPointerEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXWEIGHTFEXTPROC epoxy_glVertexWeightfEXT = epoxy_glVertexWeightfEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXWEIGHTFVEXTPROC epoxy_glVertexWeightfvEXT = epoxy_glVertexWeightfvEXT_dispatch_table_thunk;

PUBLIC PFNGLVERTEXWEIGHTHNVPROC epoxy_glVertexWeighthNV = epoxy_glVertexWeighthNV_dispatch_table_thunk;

PUBLIC PFNGLVERTEXWEIGHTHVNVPROC epoxy_glVertexWeighthvNV = epoxy_glVertexWeighthvNV_dispatch_table_thunk;

PUBLIC PFNGLVIDEOCAPTURENVPROC epoxy_glVideoCaptureNV = epoxy_glVideoCaptureNV_dispatch_table_thunk;

PUBLIC PFNGLVIDEOCAPTURESTREAMPARAMETERDVNVPROC epoxy_glVideoCaptureStreamParameterdvNV = epoxy_glVideoCaptureStreamParameterdvNV_dispatch_table_thunk;

PUBLIC PFNGLVIDEOCAPTURESTREAMPARAMETERFVNVPROC epoxy_glVideoCaptureStreamParameterfvNV = epoxy_glVideoCaptureStreamParameterfvNV_dispatch_table_thunk;

PUBLIC PFNGLVIDEOCAPTURESTREAMPARAMETERIVNVPROC epoxy_glVideoCaptureStreamParameterivNV = epoxy_glVideoCaptureStreamParameterivNV_dispatch_table_thunk;

PUBLIC PFNGLVIEWPORTPROC epoxy_glViewport = epoxy_glViewport_dispatch_table_thunk;

PUBLIC PFNGLVIEWPORTARRAYVPROC epoxy_glViewportArrayv = epoxy_glViewportArrayv_dispatch_table_thunk;

PUBLIC PFNGLVIEWPORTINDEXEDFPROC epoxy_glViewportIndexedf = epoxy_glViewportIndexedf_dispatch_table_thunk;

PUBLIC PFNGLVIEWPORTINDEXEDFVPROC epoxy_glViewportIndexedfv = epoxy_glViewportIndexedfv_dispatch_table_thunk;

PUBLIC PFNGLWAITSYNCPROC epoxy_glWaitSync = epoxy_glWaitSync_dispatch_table_thunk;

PUBLIC PFNGLWAITSYNCAPPLEPROC epoxy_glWaitSyncAPPLE = epoxy_glWaitSyncAPPLE_dispatch_table_thunk;

PUBLIC PFNGLWEIGHTPATHSNVPROC epoxy_glWeightPathsNV = epoxy_glWeightPathsNV_dispatch_table_thunk;

PUBLIC PFNGLWEIGHTPOINTERARBPROC epoxy_glWeightPointerARB = epoxy_glWeightPointerARB_dispatch_table_thunk;

PUBLIC PFNGLWEIGHTPOINTEROESPROC epoxy_glWeightPointerOES = epoxy_glWeightPointerOES_dispatch_table_thunk;

PUBLIC PFNGLWEIGHTBVARBPROC epoxy_glWeightbvARB = epoxy_glWeightbvARB_dispatch_table_thunk;

PUBLIC PFNGLWEIGHTDVARBPROC epoxy_glWeightdvARB = epoxy_glWeightdvARB_dispatch_table_thunk;

PUBLIC PFNGLWEIGHTFVARBPROC epoxy_glWeightfvARB = epoxy_glWeightfvARB_dispatch_table_thunk;

PUBLIC PFNGLWEIGHTIVARBPROC epoxy_glWeightivARB = epoxy_glWeightivARB_dispatch_table_thunk;

PUBLIC PFNGLWEIGHTSVARBPROC epoxy_glWeightsvARB = epoxy_glWeightsvARB_dispatch_table_thunk;

PUBLIC PFNGLWEIGHTUBVARBPROC epoxy_glWeightubvARB = epoxy_glWeightubvARB_dispatch_table_thunk;

PUBLIC PFNGLWEIGHTUIVARBPROC epoxy_glWeightuivARB = epoxy_glWeightuivARB_dispatch_table_thunk;

PUBLIC PFNGLWEIGHTUSVARBPROC epoxy_glWeightusvARB = epoxy_glWeightusvARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2DPROC epoxy_glWindowPos2d = epoxy_glWindowPos2d_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2DARBPROC epoxy_glWindowPos2dARB = epoxy_glWindowPos2dARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2DMESAPROC epoxy_glWindowPos2dMESA = epoxy_glWindowPos2dMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2DVPROC epoxy_glWindowPos2dv = epoxy_glWindowPos2dv_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2DVARBPROC epoxy_glWindowPos2dvARB = epoxy_glWindowPos2dvARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2DVMESAPROC epoxy_glWindowPos2dvMESA = epoxy_glWindowPos2dvMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2FPROC epoxy_glWindowPos2f = epoxy_glWindowPos2f_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2FARBPROC epoxy_glWindowPos2fARB = epoxy_glWindowPos2fARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2FMESAPROC epoxy_glWindowPos2fMESA = epoxy_glWindowPos2fMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2FVPROC epoxy_glWindowPos2fv = epoxy_glWindowPos2fv_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2FVARBPROC epoxy_glWindowPos2fvARB = epoxy_glWindowPos2fvARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2FVMESAPROC epoxy_glWindowPos2fvMESA = epoxy_glWindowPos2fvMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2IPROC epoxy_glWindowPos2i = epoxy_glWindowPos2i_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2IARBPROC epoxy_glWindowPos2iARB = epoxy_glWindowPos2iARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2IMESAPROC epoxy_glWindowPos2iMESA = epoxy_glWindowPos2iMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2IVPROC epoxy_glWindowPos2iv = epoxy_glWindowPos2iv_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2IVARBPROC epoxy_glWindowPos2ivARB = epoxy_glWindowPos2ivARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2IVMESAPROC epoxy_glWindowPos2ivMESA = epoxy_glWindowPos2ivMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2SPROC epoxy_glWindowPos2s = epoxy_glWindowPos2s_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2SARBPROC epoxy_glWindowPos2sARB = epoxy_glWindowPos2sARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2SMESAPROC epoxy_glWindowPos2sMESA = epoxy_glWindowPos2sMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2SVPROC epoxy_glWindowPos2sv = epoxy_glWindowPos2sv_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2SVARBPROC epoxy_glWindowPos2svARB = epoxy_glWindowPos2svARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS2SVMESAPROC epoxy_glWindowPos2svMESA = epoxy_glWindowPos2svMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3DPROC epoxy_glWindowPos3d = epoxy_glWindowPos3d_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3DARBPROC epoxy_glWindowPos3dARB = epoxy_glWindowPos3dARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3DMESAPROC epoxy_glWindowPos3dMESA = epoxy_glWindowPos3dMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3DVPROC epoxy_glWindowPos3dv = epoxy_glWindowPos3dv_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3DVARBPROC epoxy_glWindowPos3dvARB = epoxy_glWindowPos3dvARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3DVMESAPROC epoxy_glWindowPos3dvMESA = epoxy_glWindowPos3dvMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3FPROC epoxy_glWindowPos3f = epoxy_glWindowPos3f_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3FARBPROC epoxy_glWindowPos3fARB = epoxy_glWindowPos3fARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3FMESAPROC epoxy_glWindowPos3fMESA = epoxy_glWindowPos3fMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3FVPROC epoxy_glWindowPos3fv = epoxy_glWindowPos3fv_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3FVARBPROC epoxy_glWindowPos3fvARB = epoxy_glWindowPos3fvARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3FVMESAPROC epoxy_glWindowPos3fvMESA = epoxy_glWindowPos3fvMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3IPROC epoxy_glWindowPos3i = epoxy_glWindowPos3i_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3IARBPROC epoxy_glWindowPos3iARB = epoxy_glWindowPos3iARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3IMESAPROC epoxy_glWindowPos3iMESA = epoxy_glWindowPos3iMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3IVPROC epoxy_glWindowPos3iv = epoxy_glWindowPos3iv_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3IVARBPROC epoxy_glWindowPos3ivARB = epoxy_glWindowPos3ivARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3IVMESAPROC epoxy_glWindowPos3ivMESA = epoxy_glWindowPos3ivMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3SPROC epoxy_glWindowPos3s = epoxy_glWindowPos3s_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3SARBPROC epoxy_glWindowPos3sARB = epoxy_glWindowPos3sARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3SMESAPROC epoxy_glWindowPos3sMESA = epoxy_glWindowPos3sMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3SVPROC epoxy_glWindowPos3sv = epoxy_glWindowPos3sv_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3SVARBPROC epoxy_glWindowPos3svARB = epoxy_glWindowPos3svARB_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS3SVMESAPROC epoxy_glWindowPos3svMESA = epoxy_glWindowPos3svMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS4DMESAPROC epoxy_glWindowPos4dMESA = epoxy_glWindowPos4dMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS4DVMESAPROC epoxy_glWindowPos4dvMESA = epoxy_glWindowPos4dvMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS4FMESAPROC epoxy_glWindowPos4fMESA = epoxy_glWindowPos4fMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS4FVMESAPROC epoxy_glWindowPos4fvMESA = epoxy_glWindowPos4fvMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS4IMESAPROC epoxy_glWindowPos4iMESA = epoxy_glWindowPos4iMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS4IVMESAPROC epoxy_glWindowPos4ivMESA = epoxy_glWindowPos4ivMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS4SMESAPROC epoxy_glWindowPos4sMESA = epoxy_glWindowPos4sMESA_dispatch_table_thunk;

PUBLIC PFNGLWINDOWPOS4SVMESAPROC epoxy_glWindowPos4svMESA = epoxy_glWindowPos4svMESA_dispatch_table_thunk;

PUBLIC PFNGLWRITEMASKEXTPROC epoxy_glWriteMaskEXT = epoxy_glWriteMaskEXT_dispatch_table_thunk;

#else /* !USING_DISPATCH_TABLE */
static void
epoxy_glAccum_rewrite_ptr(GLenum op, GLfloat value)
{
    epoxy_glAccum = (void *)epoxy_glAccum_resolver();
    epoxy_glAccum(op, value);
}
PUBLIC PFNGLACCUMPROC epoxy_glAccum = epoxy_glAccum_rewrite_ptr;

static void
epoxy_glAccumxOES_rewrite_ptr(GLenum op, GLfixed value)
{
    epoxy_glAccumxOES = (void *)epoxy_glAccumxOES_resolver();
    epoxy_glAccumxOES(op, value);
}
PUBLIC PFNGLACCUMXOESPROC epoxy_glAccumxOES = epoxy_glAccumxOES_rewrite_ptr;

static void
epoxy_glActiveProgramEXT_rewrite_ptr(GLuint program)
{
    epoxy_glActiveProgramEXT = (void *)epoxy_glActiveProgramEXT_resolver();
    epoxy_glActiveProgramEXT(program);
}
PUBLIC PFNGLACTIVEPROGRAMEXTPROC epoxy_glActiveProgramEXT = epoxy_glActiveProgramEXT_rewrite_ptr;

static void
epoxy_glActiveShaderProgram_rewrite_ptr(GLuint pipeline, GLuint program)
{
    epoxy_glActiveShaderProgram = (void *)epoxy_glActiveShaderProgram_resolver();
    epoxy_glActiveShaderProgram(pipeline, program);
}
PUBLIC PFNGLACTIVESHADERPROGRAMPROC epoxy_glActiveShaderProgram = epoxy_glActiveShaderProgram_rewrite_ptr;

static void
epoxy_glActiveShaderProgramEXT_rewrite_ptr(GLuint pipeline, GLuint program)
{
    epoxy_glActiveShaderProgramEXT = (void *)epoxy_glActiveShaderProgramEXT_resolver();
    epoxy_glActiveShaderProgramEXT(pipeline, program);
}
PUBLIC PFNGLACTIVESHADERPROGRAMEXTPROC epoxy_glActiveShaderProgramEXT = epoxy_glActiveShaderProgramEXT_rewrite_ptr;

static void
epoxy_glActiveStencilFaceEXT_rewrite_ptr(GLenum face)
{
    epoxy_glActiveStencilFaceEXT = (void *)epoxy_glActiveStencilFaceEXT_resolver();
    epoxy_glActiveStencilFaceEXT(face);
}
PUBLIC PFNGLACTIVESTENCILFACEEXTPROC epoxy_glActiveStencilFaceEXT = epoxy_glActiveStencilFaceEXT_rewrite_ptr;

static void
epoxy_glActiveTexture_rewrite_ptr(GLenum texture)
{
    epoxy_glActiveTexture = (void *)epoxy_glActiveTexture_resolver();
    epoxy_glActiveTexture(texture);
}
PUBLIC PFNGLACTIVETEXTUREPROC epoxy_glActiveTexture = epoxy_glActiveTexture_rewrite_ptr;

static void
epoxy_glActiveTextureARB_rewrite_ptr(GLenum texture)
{
    epoxy_glActiveTextureARB = (void *)epoxy_glActiveTexture_resolver();
    epoxy_glActiveTextureARB(texture);
}
PUBLIC PFNGLACTIVETEXTUREARBPROC epoxy_glActiveTextureARB = epoxy_glActiveTextureARB_rewrite_ptr;

static void
epoxy_glActiveVaryingNV_rewrite_ptr(GLuint program, const GLchar * name)
{
    epoxy_glActiveVaryingNV = (void *)epoxy_glActiveVaryingNV_resolver();
    epoxy_glActiveVaryingNV(program, name);
}
PUBLIC PFNGLACTIVEVARYINGNVPROC epoxy_glActiveVaryingNV = epoxy_glActiveVaryingNV_rewrite_ptr;

static void
epoxy_glAlphaFragmentOp1ATI_rewrite_ptr(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod)
{
    epoxy_glAlphaFragmentOp1ATI = (void *)epoxy_glAlphaFragmentOp1ATI_resolver();
    epoxy_glAlphaFragmentOp1ATI(op, dst, dstMod, arg1, arg1Rep, arg1Mod);
}
PUBLIC PFNGLALPHAFRAGMENTOP1ATIPROC epoxy_glAlphaFragmentOp1ATI = epoxy_glAlphaFragmentOp1ATI_rewrite_ptr;

static void
epoxy_glAlphaFragmentOp2ATI_rewrite_ptr(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod)
{
    epoxy_glAlphaFragmentOp2ATI = (void *)epoxy_glAlphaFragmentOp2ATI_resolver();
    epoxy_glAlphaFragmentOp2ATI(op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod);
}
PUBLIC PFNGLALPHAFRAGMENTOP2ATIPROC epoxy_glAlphaFragmentOp2ATI = epoxy_glAlphaFragmentOp2ATI_rewrite_ptr;

static void
epoxy_glAlphaFragmentOp3ATI_rewrite_ptr(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod)
{
    epoxy_glAlphaFragmentOp3ATI = (void *)epoxy_glAlphaFragmentOp3ATI_resolver();
    epoxy_glAlphaFragmentOp3ATI(op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod);
}
PUBLIC PFNGLALPHAFRAGMENTOP3ATIPROC epoxy_glAlphaFragmentOp3ATI = epoxy_glAlphaFragmentOp3ATI_rewrite_ptr;

static void
epoxy_glAlphaFunc_rewrite_ptr(GLenum func, GLfloat ref)
{
    epoxy_glAlphaFunc = (void *)epoxy_glAlphaFunc_resolver();
    epoxy_glAlphaFunc(func, ref);
}
PUBLIC PFNGLALPHAFUNCPROC epoxy_glAlphaFunc = epoxy_glAlphaFunc_rewrite_ptr;

static void
epoxy_glAlphaFuncQCOM_rewrite_ptr(GLenum func, GLclampf ref)
{
    epoxy_glAlphaFuncQCOM = (void *)epoxy_glAlphaFuncQCOM_resolver();
    epoxy_glAlphaFuncQCOM(func, ref);
}
PUBLIC PFNGLALPHAFUNCQCOMPROC epoxy_glAlphaFuncQCOM = epoxy_glAlphaFuncQCOM_rewrite_ptr;

static void
epoxy_glAlphaFuncx_rewrite_ptr(GLenum func, GLfixed ref)
{
    epoxy_glAlphaFuncx = (void *)epoxy_glAlphaFuncx_resolver();
    epoxy_glAlphaFuncx(func, ref);
}
PUBLIC PFNGLALPHAFUNCXPROC epoxy_glAlphaFuncx = epoxy_glAlphaFuncx_rewrite_ptr;

static void
epoxy_glAlphaFuncxOES_rewrite_ptr(GLenum func, GLfixed ref)
{
    epoxy_glAlphaFuncxOES = (void *)epoxy_glAlphaFuncxOES_resolver();
    epoxy_glAlphaFuncxOES(func, ref);
}
PUBLIC PFNGLALPHAFUNCXOESPROC epoxy_glAlphaFuncxOES = epoxy_glAlphaFuncxOES_rewrite_ptr;

static void
epoxy_glApplyTextureEXT_rewrite_ptr(GLenum mode)
{
    epoxy_glApplyTextureEXT = (void *)epoxy_glApplyTextureEXT_resolver();
    epoxy_glApplyTextureEXT(mode);
}
PUBLIC PFNGLAPPLYTEXTUREEXTPROC epoxy_glApplyTextureEXT = epoxy_glApplyTextureEXT_rewrite_ptr;

static GLboolean
epoxy_glAreProgramsResidentNV_rewrite_ptr(GLsizei n, const GLuint * programs, GLboolean * residences)
{
    epoxy_glAreProgramsResidentNV = (void *)epoxy_glAreProgramsResidentNV_resolver();
    return epoxy_glAreProgramsResidentNV(n, programs, residences);
}
PUBLIC PFNGLAREPROGRAMSRESIDENTNVPROC epoxy_glAreProgramsResidentNV = epoxy_glAreProgramsResidentNV_rewrite_ptr;

static GLboolean
epoxy_glAreTexturesResident_rewrite_ptr(GLsizei n, const GLuint * textures, GLboolean * residences)
{
    epoxy_glAreTexturesResident = (void *)epoxy_glAreTexturesResident_resolver();
    return epoxy_glAreTexturesResident(n, textures, residences);
}
PUBLIC PFNGLARETEXTURESRESIDENTPROC epoxy_glAreTexturesResident = epoxy_glAreTexturesResident_rewrite_ptr;

static GLboolean
epoxy_glAreTexturesResidentEXT_rewrite_ptr(GLsizei n, const GLuint * textures, GLboolean * residences)
{
    epoxy_glAreTexturesResidentEXT = (void *)epoxy_glAreTexturesResidentEXT_resolver();
    return epoxy_glAreTexturesResidentEXT(n, textures, residences);
}
PUBLIC PFNGLARETEXTURESRESIDENTEXTPROC epoxy_glAreTexturesResidentEXT = epoxy_glAreTexturesResidentEXT_rewrite_ptr;

static void
epoxy_glArrayElement_rewrite_ptr(GLint i)
{
    epoxy_glArrayElement = (void *)epoxy_glArrayElement_resolver();
    epoxy_glArrayElement(i);
}
PUBLIC PFNGLARRAYELEMENTPROC epoxy_glArrayElement = epoxy_glArrayElement_rewrite_ptr;

static void
epoxy_glArrayElementEXT_rewrite_ptr(GLint i)
{
    epoxy_glArrayElementEXT = (void *)epoxy_glArrayElement_resolver();
    epoxy_glArrayElementEXT(i);
}
PUBLIC PFNGLARRAYELEMENTEXTPROC epoxy_glArrayElementEXT = epoxy_glArrayElementEXT_rewrite_ptr;

static void
epoxy_glArrayObjectATI_rewrite_ptr(GLenum array, GLint size, GLenum type, GLsizei stride, GLuint buffer, GLuint offset)
{
    epoxy_glArrayObjectATI = (void *)epoxy_glArrayObjectATI_resolver();
    epoxy_glArrayObjectATI(array, size, type, stride, buffer, offset);
}
PUBLIC PFNGLARRAYOBJECTATIPROC epoxy_glArrayObjectATI = epoxy_glArrayObjectATI_rewrite_ptr;

static void
epoxy_glAsyncMarkerSGIX_rewrite_ptr(GLuint marker)
{
    epoxy_glAsyncMarkerSGIX = (void *)epoxy_glAsyncMarkerSGIX_resolver();
    epoxy_glAsyncMarkerSGIX(marker);
}
PUBLIC PFNGLASYNCMARKERSGIXPROC epoxy_glAsyncMarkerSGIX = epoxy_glAsyncMarkerSGIX_rewrite_ptr;

static void
epoxy_glAttachObjectARB_rewrite_ptr(GLhandleARB containerObj, GLhandleARB obj)
{
    epoxy_glAttachObjectARB = (void *)epoxy_glAttachShader_resolver();
    epoxy_glAttachObjectARB((uintptr_t)containerObj, (uintptr_t)obj);
}
PUBLIC PFNGLATTACHOBJECTARBPROC epoxy_glAttachObjectARB = epoxy_glAttachObjectARB_rewrite_ptr;

static void
epoxy_glAttachShader_rewrite_ptr(GLuint program, GLuint shader)
{
    epoxy_glAttachShader = (void *)epoxy_glAttachShader_resolver();
    epoxy_glAttachShader(program, shader);
}
PUBLIC PFNGLATTACHSHADERPROC epoxy_glAttachShader = epoxy_glAttachShader_rewrite_ptr;

static void
epoxy_glBegin_unwrapped_rewrite_ptr(GLenum mode)
{
    epoxy_glBegin_unwrapped = (void *)epoxy_glBegin_resolver();
    epoxy_glBegin_unwrapped(mode);
}
PFNGLBEGINPROC epoxy_glBegin_unwrapped = epoxy_glBegin_unwrapped_rewrite_ptr;

static void
epoxy_glBeginConditionalRender_rewrite_ptr(GLuint id, GLenum mode)
{
    epoxy_glBeginConditionalRender = (void *)epoxy_glBeginConditionalRender_resolver();
    epoxy_glBeginConditionalRender(id, mode);
}
PUBLIC PFNGLBEGINCONDITIONALRENDERPROC epoxy_glBeginConditionalRender = epoxy_glBeginConditionalRender_rewrite_ptr;

static void
epoxy_glBeginConditionalRenderNV_rewrite_ptr(GLuint id, GLenum mode)
{
    epoxy_glBeginConditionalRenderNV = (void *)epoxy_glBeginConditionalRender_resolver();
    epoxy_glBeginConditionalRenderNV(id, mode);
}
PUBLIC PFNGLBEGINCONDITIONALRENDERNVPROC epoxy_glBeginConditionalRenderNV = epoxy_glBeginConditionalRenderNV_rewrite_ptr;

static void
epoxy_glBeginConditionalRenderNVX_rewrite_ptr(GLuint id)
{
    epoxy_glBeginConditionalRenderNVX = (void *)epoxy_glBeginConditionalRenderNVX_resolver();
    epoxy_glBeginConditionalRenderNVX(id);
}
PUBLIC PFNGLBEGINCONDITIONALRENDERNVXPROC epoxy_glBeginConditionalRenderNVX = epoxy_glBeginConditionalRenderNVX_rewrite_ptr;

static void
epoxy_glBeginFragmentShaderATI_rewrite_ptr(void)
{
    epoxy_glBeginFragmentShaderATI = (void *)epoxy_glBeginFragmentShaderATI_resolver();
    epoxy_glBeginFragmentShaderATI();
}
PUBLIC PFNGLBEGINFRAGMENTSHADERATIPROC epoxy_glBeginFragmentShaderATI = epoxy_glBeginFragmentShaderATI_rewrite_ptr;

static void
epoxy_glBeginOcclusionQueryNV_rewrite_ptr(GLuint id)
{
    epoxy_glBeginOcclusionQueryNV = (void *)epoxy_glBeginOcclusionQueryNV_resolver();
    epoxy_glBeginOcclusionQueryNV(id);
}
PUBLIC PFNGLBEGINOCCLUSIONQUERYNVPROC epoxy_glBeginOcclusionQueryNV = epoxy_glBeginOcclusionQueryNV_rewrite_ptr;

static void
epoxy_glBeginPerfMonitorAMD_rewrite_ptr(GLuint monitor)
{
    epoxy_glBeginPerfMonitorAMD = (void *)epoxy_glBeginPerfMonitorAMD_resolver();
    epoxy_glBeginPerfMonitorAMD(monitor);
}
PUBLIC PFNGLBEGINPERFMONITORAMDPROC epoxy_glBeginPerfMonitorAMD = epoxy_glBeginPerfMonitorAMD_rewrite_ptr;

static void
epoxy_glBeginPerfQueryINTEL_rewrite_ptr(GLuint queryHandle)
{
    epoxy_glBeginPerfQueryINTEL = (void *)epoxy_glBeginPerfQueryINTEL_resolver();
    epoxy_glBeginPerfQueryINTEL(queryHandle);
}
PUBLIC PFNGLBEGINPERFQUERYINTELPROC epoxy_glBeginPerfQueryINTEL = epoxy_glBeginPerfQueryINTEL_rewrite_ptr;

static void
epoxy_glBeginQuery_rewrite_ptr(GLenum target, GLuint id)
{
    epoxy_glBeginQuery = (void *)epoxy_glBeginQuery_resolver();
    epoxy_glBeginQuery(target, id);
}
PUBLIC PFNGLBEGINQUERYPROC epoxy_glBeginQuery = epoxy_glBeginQuery_rewrite_ptr;

static void
epoxy_glBeginQueryARB_rewrite_ptr(GLenum target, GLuint id)
{
    epoxy_glBeginQueryARB = (void *)epoxy_glBeginQuery_resolver();
    epoxy_glBeginQueryARB(target, id);
}
PUBLIC PFNGLBEGINQUERYARBPROC epoxy_glBeginQueryARB = epoxy_glBeginQueryARB_rewrite_ptr;

static void
epoxy_glBeginQueryEXT_rewrite_ptr(GLenum target, GLuint id)
{
    epoxy_glBeginQueryEXT = (void *)epoxy_glBeginQueryEXT_resolver();
    epoxy_glBeginQueryEXT(target, id);
}
PUBLIC PFNGLBEGINQUERYEXTPROC epoxy_glBeginQueryEXT = epoxy_glBeginQueryEXT_rewrite_ptr;

static void
epoxy_glBeginQueryIndexed_rewrite_ptr(GLenum target, GLuint index, GLuint id)
{
    epoxy_glBeginQueryIndexed = (void *)epoxy_glBeginQueryIndexed_resolver();
    epoxy_glBeginQueryIndexed(target, index, id);
}
PUBLIC PFNGLBEGINQUERYINDEXEDPROC epoxy_glBeginQueryIndexed = epoxy_glBeginQueryIndexed_rewrite_ptr;

static void
epoxy_glBeginTransformFeedback_rewrite_ptr(GLenum primitiveMode)
{
    epoxy_glBeginTransformFeedback = (void *)epoxy_glBeginTransformFeedback_resolver();
    epoxy_glBeginTransformFeedback(primitiveMode);
}
PUBLIC PFNGLBEGINTRANSFORMFEEDBACKPROC epoxy_glBeginTransformFeedback = epoxy_glBeginTransformFeedback_rewrite_ptr;

static void
epoxy_glBeginTransformFeedbackEXT_rewrite_ptr(GLenum primitiveMode)
{
    epoxy_glBeginTransformFeedbackEXT = (void *)epoxy_glBeginTransformFeedback_resolver();
    epoxy_glBeginTransformFeedbackEXT(primitiveMode);
}
PUBLIC PFNGLBEGINTRANSFORMFEEDBACKEXTPROC epoxy_glBeginTransformFeedbackEXT = epoxy_glBeginTransformFeedbackEXT_rewrite_ptr;

static void
epoxy_glBeginTransformFeedbackNV_rewrite_ptr(GLenum primitiveMode)
{
    epoxy_glBeginTransformFeedbackNV = (void *)epoxy_glBeginTransformFeedback_resolver();
    epoxy_glBeginTransformFeedbackNV(primitiveMode);
}
PUBLIC PFNGLBEGINTRANSFORMFEEDBACKNVPROC epoxy_glBeginTransformFeedbackNV = epoxy_glBeginTransformFeedbackNV_rewrite_ptr;

static void
epoxy_glBeginVertexShaderEXT_rewrite_ptr(void)
{
    epoxy_glBeginVertexShaderEXT = (void *)epoxy_glBeginVertexShaderEXT_resolver();
    epoxy_glBeginVertexShaderEXT();
}
PUBLIC PFNGLBEGINVERTEXSHADEREXTPROC epoxy_glBeginVertexShaderEXT = epoxy_glBeginVertexShaderEXT_rewrite_ptr;

static void
epoxy_glBeginVideoCaptureNV_rewrite_ptr(GLuint video_capture_slot)
{
    epoxy_glBeginVideoCaptureNV = (void *)epoxy_glBeginVideoCaptureNV_resolver();
    epoxy_glBeginVideoCaptureNV(video_capture_slot);
}
PUBLIC PFNGLBEGINVIDEOCAPTURENVPROC epoxy_glBeginVideoCaptureNV = epoxy_glBeginVideoCaptureNV_rewrite_ptr;

static void
epoxy_glBindAttribLocation_rewrite_ptr(GLuint program, GLuint index, const GLchar * name)
{
    epoxy_glBindAttribLocation = (void *)epoxy_glBindAttribLocation_resolver();
    epoxy_glBindAttribLocation(program, index, name);
}
PUBLIC PFNGLBINDATTRIBLOCATIONPROC epoxy_glBindAttribLocation = epoxy_glBindAttribLocation_rewrite_ptr;

static void
epoxy_glBindAttribLocationARB_rewrite_ptr(GLhandleARB programObj, GLuint index, const GLcharARB * name)
{
    epoxy_glBindAttribLocationARB = (void *)epoxy_glBindAttribLocation_resolver();
    epoxy_glBindAttribLocationARB((uintptr_t)programObj, index, name);
}
PUBLIC PFNGLBINDATTRIBLOCATIONARBPROC epoxy_glBindAttribLocationARB = epoxy_glBindAttribLocationARB_rewrite_ptr;

static void
epoxy_glBindBuffer_rewrite_ptr(GLenum target, GLuint buffer)
{
    epoxy_glBindBuffer = (void *)epoxy_glBindBuffer_resolver();
    epoxy_glBindBuffer(target, buffer);
}
PUBLIC PFNGLBINDBUFFERPROC epoxy_glBindBuffer = epoxy_glBindBuffer_rewrite_ptr;

static void
epoxy_glBindBufferARB_rewrite_ptr(GLenum target, GLuint buffer)
{
    epoxy_glBindBufferARB = (void *)epoxy_glBindBuffer_resolver();
    epoxy_glBindBufferARB(target, buffer);
}
PUBLIC PFNGLBINDBUFFERARBPROC epoxy_glBindBufferARB = epoxy_glBindBufferARB_rewrite_ptr;

static void
epoxy_glBindBufferBase_rewrite_ptr(GLenum target, GLuint index, GLuint buffer)
{
    epoxy_glBindBufferBase = (void *)epoxy_glBindBufferBase_resolver();
    epoxy_glBindBufferBase(target, index, buffer);
}
PUBLIC PFNGLBINDBUFFERBASEPROC epoxy_glBindBufferBase = epoxy_glBindBufferBase_rewrite_ptr;

static void
epoxy_glBindBufferBaseEXT_rewrite_ptr(GLenum target, GLuint index, GLuint buffer)
{
    epoxy_glBindBufferBaseEXT = (void *)epoxy_glBindBufferBase_resolver();
    epoxy_glBindBufferBaseEXT(target, index, buffer);
}
PUBLIC PFNGLBINDBUFFERBASEEXTPROC epoxy_glBindBufferBaseEXT = epoxy_glBindBufferBaseEXT_rewrite_ptr;

static void
epoxy_glBindBufferBaseNV_rewrite_ptr(GLenum target, GLuint index, GLuint buffer)
{
    epoxy_glBindBufferBaseNV = (void *)epoxy_glBindBufferBase_resolver();
    epoxy_glBindBufferBaseNV(target, index, buffer);
}
PUBLIC PFNGLBINDBUFFERBASENVPROC epoxy_glBindBufferBaseNV = epoxy_glBindBufferBaseNV_rewrite_ptr;

static void
epoxy_glBindBufferOffsetEXT_rewrite_ptr(GLenum target, GLuint index, GLuint buffer, GLintptr offset)
{
    epoxy_glBindBufferOffsetEXT = (void *)epoxy_glBindBufferOffsetEXT_resolver();
    epoxy_glBindBufferOffsetEXT(target, index, buffer, offset);
}
PUBLIC PFNGLBINDBUFFEROFFSETEXTPROC epoxy_glBindBufferOffsetEXT = epoxy_glBindBufferOffsetEXT_rewrite_ptr;

static void
epoxy_glBindBufferOffsetNV_rewrite_ptr(GLenum target, GLuint index, GLuint buffer, GLintptr offset)
{
    epoxy_glBindBufferOffsetNV = (void *)epoxy_glBindBufferOffsetEXT_resolver();
    epoxy_glBindBufferOffsetNV(target, index, buffer, offset);
}
PUBLIC PFNGLBINDBUFFEROFFSETNVPROC epoxy_glBindBufferOffsetNV = epoxy_glBindBufferOffsetNV_rewrite_ptr;

static void
epoxy_glBindBufferRange_rewrite_ptr(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    epoxy_glBindBufferRange = (void *)epoxy_glBindBufferRange_resolver();
    epoxy_glBindBufferRange(target, index, buffer, offset, size);
}
PUBLIC PFNGLBINDBUFFERRANGEPROC epoxy_glBindBufferRange = epoxy_glBindBufferRange_rewrite_ptr;

static void
epoxy_glBindBufferRangeEXT_rewrite_ptr(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    epoxy_glBindBufferRangeEXT = (void *)epoxy_glBindBufferRange_resolver();
    epoxy_glBindBufferRangeEXT(target, index, buffer, offset, size);
}
PUBLIC PFNGLBINDBUFFERRANGEEXTPROC epoxy_glBindBufferRangeEXT = epoxy_glBindBufferRangeEXT_rewrite_ptr;

static void
epoxy_glBindBufferRangeNV_rewrite_ptr(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    epoxy_glBindBufferRangeNV = (void *)epoxy_glBindBufferRange_resolver();
    epoxy_glBindBufferRangeNV(target, index, buffer, offset, size);
}
PUBLIC PFNGLBINDBUFFERRANGENVPROC epoxy_glBindBufferRangeNV = epoxy_glBindBufferRangeNV_rewrite_ptr;

static void
epoxy_glBindBuffersBase_rewrite_ptr(GLenum target, GLuint first, GLsizei count, const GLuint * buffers)
{
    epoxy_glBindBuffersBase = (void *)epoxy_glBindBuffersBase_resolver();
    epoxy_glBindBuffersBase(target, first, count, buffers);
}
PUBLIC PFNGLBINDBUFFERSBASEPROC epoxy_glBindBuffersBase = epoxy_glBindBuffersBase_rewrite_ptr;

static void
epoxy_glBindBuffersRange_rewrite_ptr(GLenum target, GLuint first, GLsizei count, const GLuint * buffers, const GLintptr * offsets, const GLsizeiptr * sizes)
{
    epoxy_glBindBuffersRange = (void *)epoxy_glBindBuffersRange_resolver();
    epoxy_glBindBuffersRange(target, first, count, buffers, offsets, sizes);
}
PUBLIC PFNGLBINDBUFFERSRANGEPROC epoxy_glBindBuffersRange = epoxy_glBindBuffersRange_rewrite_ptr;

static void
epoxy_glBindFragDataLocation_rewrite_ptr(GLuint program, GLuint color, const GLchar * name)
{
    epoxy_glBindFragDataLocation = (void *)epoxy_glBindFragDataLocation_resolver();
    epoxy_glBindFragDataLocation(program, color, name);
}
PUBLIC PFNGLBINDFRAGDATALOCATIONPROC epoxy_glBindFragDataLocation = epoxy_glBindFragDataLocation_rewrite_ptr;

static void
epoxy_glBindFragDataLocationEXT_rewrite_ptr(GLuint program, GLuint color, const GLchar * name)
{
    epoxy_glBindFragDataLocationEXT = (void *)epoxy_glBindFragDataLocation_resolver();
    epoxy_glBindFragDataLocationEXT(program, color, name);
}
PUBLIC PFNGLBINDFRAGDATALOCATIONEXTPROC epoxy_glBindFragDataLocationEXT = epoxy_glBindFragDataLocationEXT_rewrite_ptr;

static void
epoxy_glBindFragDataLocationIndexed_rewrite_ptr(GLuint program, GLuint colorNumber, GLuint index, const GLchar * name)
{
    epoxy_glBindFragDataLocationIndexed = (void *)epoxy_glBindFragDataLocationIndexed_resolver();
    epoxy_glBindFragDataLocationIndexed(program, colorNumber, index, name);
}
PUBLIC PFNGLBINDFRAGDATALOCATIONINDEXEDPROC epoxy_glBindFragDataLocationIndexed = epoxy_glBindFragDataLocationIndexed_rewrite_ptr;

static void
epoxy_glBindFragmentShaderATI_rewrite_ptr(GLuint id)
{
    epoxy_glBindFragmentShaderATI = (void *)epoxy_glBindFragmentShaderATI_resolver();
    epoxy_glBindFragmentShaderATI(id);
}
PUBLIC PFNGLBINDFRAGMENTSHADERATIPROC epoxy_glBindFragmentShaderATI = epoxy_glBindFragmentShaderATI_rewrite_ptr;

static void
epoxy_glBindFramebuffer_rewrite_ptr(GLenum target, GLuint framebuffer)
{
    epoxy_glBindFramebuffer = (void *)epoxy_glBindFramebuffer_resolver();
    epoxy_glBindFramebuffer(target, framebuffer);
}
PUBLIC PFNGLBINDFRAMEBUFFERPROC epoxy_glBindFramebuffer = epoxy_glBindFramebuffer_rewrite_ptr;

static void
epoxy_glBindFramebufferEXT_rewrite_ptr(GLenum target, GLuint framebuffer)
{
    epoxy_glBindFramebufferEXT = (void *)epoxy_glBindFramebufferEXT_resolver();
    epoxy_glBindFramebufferEXT(target, framebuffer);
}
PUBLIC PFNGLBINDFRAMEBUFFEREXTPROC epoxy_glBindFramebufferEXT = epoxy_glBindFramebufferEXT_rewrite_ptr;

static void
epoxy_glBindFramebufferOES_rewrite_ptr(GLenum target, GLuint framebuffer)
{
    epoxy_glBindFramebufferOES = (void *)epoxy_glBindFramebufferOES_resolver();
    epoxy_glBindFramebufferOES(target, framebuffer);
}
PUBLIC PFNGLBINDFRAMEBUFFEROESPROC epoxy_glBindFramebufferOES = epoxy_glBindFramebufferOES_rewrite_ptr;

static void
epoxy_glBindImageTexture_rewrite_ptr(GLuint unit, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLenum format)
{
    epoxy_glBindImageTexture = (void *)epoxy_glBindImageTexture_resolver();
    epoxy_glBindImageTexture(unit, texture, level, layered, layer, access, format);
}
PUBLIC PFNGLBINDIMAGETEXTUREPROC epoxy_glBindImageTexture = epoxy_glBindImageTexture_rewrite_ptr;

static void
epoxy_glBindImageTextureEXT_rewrite_ptr(GLuint index, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLint format)
{
    epoxy_glBindImageTextureEXT = (void *)epoxy_glBindImageTextureEXT_resolver();
    epoxy_glBindImageTextureEXT(index, texture, level, layered, layer, access, format);
}
PUBLIC PFNGLBINDIMAGETEXTUREEXTPROC epoxy_glBindImageTextureEXT = epoxy_glBindImageTextureEXT_rewrite_ptr;

static void
epoxy_glBindImageTextures_rewrite_ptr(GLuint first, GLsizei count, const GLuint * textures)
{
    epoxy_glBindImageTextures = (void *)epoxy_glBindImageTextures_resolver();
    epoxy_glBindImageTextures(first, count, textures);
}
PUBLIC PFNGLBINDIMAGETEXTURESPROC epoxy_glBindImageTextures = epoxy_glBindImageTextures_rewrite_ptr;

static GLuint
epoxy_glBindLightParameterEXT_rewrite_ptr(GLenum light, GLenum value)
{
    epoxy_glBindLightParameterEXT = (void *)epoxy_glBindLightParameterEXT_resolver();
    return epoxy_glBindLightParameterEXT(light, value);
}
PUBLIC PFNGLBINDLIGHTPARAMETEREXTPROC epoxy_glBindLightParameterEXT = epoxy_glBindLightParameterEXT_rewrite_ptr;

static GLuint
epoxy_glBindMaterialParameterEXT_rewrite_ptr(GLenum face, GLenum value)
{
    epoxy_glBindMaterialParameterEXT = (void *)epoxy_glBindMaterialParameterEXT_resolver();
    return epoxy_glBindMaterialParameterEXT(face, value);
}
PUBLIC PFNGLBINDMATERIALPARAMETEREXTPROC epoxy_glBindMaterialParameterEXT = epoxy_glBindMaterialParameterEXT_rewrite_ptr;

static void
epoxy_glBindMultiTextureEXT_rewrite_ptr(GLenum texunit, GLenum target, GLuint texture)
{
    epoxy_glBindMultiTextureEXT = (void *)epoxy_glBindMultiTextureEXT_resolver();
    epoxy_glBindMultiTextureEXT(texunit, target, texture);
}
PUBLIC PFNGLBINDMULTITEXTUREEXTPROC epoxy_glBindMultiTextureEXT = epoxy_glBindMultiTextureEXT_rewrite_ptr;

static GLuint
epoxy_glBindParameterEXT_rewrite_ptr(GLenum value)
{
    epoxy_glBindParameterEXT = (void *)epoxy_glBindParameterEXT_resolver();
    return epoxy_glBindParameterEXT(value);
}
PUBLIC PFNGLBINDPARAMETEREXTPROC epoxy_glBindParameterEXT = epoxy_glBindParameterEXT_rewrite_ptr;

static void
epoxy_glBindProgramARB_rewrite_ptr(GLenum target, GLuint program)
{
    epoxy_glBindProgramARB = (void *)epoxy_glBindProgramARB_resolver();
    epoxy_glBindProgramARB(target, program);
}
PUBLIC PFNGLBINDPROGRAMARBPROC epoxy_glBindProgramARB = epoxy_glBindProgramARB_rewrite_ptr;

static void
epoxy_glBindProgramNV_rewrite_ptr(GLenum target, GLuint id)
{
    epoxy_glBindProgramNV = (void *)epoxy_glBindProgramARB_resolver();
    epoxy_glBindProgramNV(target, id);
}
PUBLIC PFNGLBINDPROGRAMNVPROC epoxy_glBindProgramNV = epoxy_glBindProgramNV_rewrite_ptr;

static void
epoxy_glBindProgramPipeline_rewrite_ptr(GLuint pipeline)
{
    epoxy_glBindProgramPipeline = (void *)epoxy_glBindProgramPipeline_resolver();
    epoxy_glBindProgramPipeline(pipeline);
}
PUBLIC PFNGLBINDPROGRAMPIPELINEPROC epoxy_glBindProgramPipeline = epoxy_glBindProgramPipeline_rewrite_ptr;

static void
epoxy_glBindProgramPipelineEXT_rewrite_ptr(GLuint pipeline)
{
    epoxy_glBindProgramPipelineEXT = (void *)epoxy_glBindProgramPipelineEXT_resolver();
    epoxy_glBindProgramPipelineEXT(pipeline);
}
PUBLIC PFNGLBINDPROGRAMPIPELINEEXTPROC epoxy_glBindProgramPipelineEXT = epoxy_glBindProgramPipelineEXT_rewrite_ptr;

static void
epoxy_glBindRenderbuffer_rewrite_ptr(GLenum target, GLuint renderbuffer)
{
    epoxy_glBindRenderbuffer = (void *)epoxy_glBindRenderbuffer_resolver();
    epoxy_glBindRenderbuffer(target, renderbuffer);
}
PUBLIC PFNGLBINDRENDERBUFFERPROC epoxy_glBindRenderbuffer = epoxy_glBindRenderbuffer_rewrite_ptr;

static void
epoxy_glBindRenderbufferEXT_rewrite_ptr(GLenum target, GLuint renderbuffer)
{
    epoxy_glBindRenderbufferEXT = (void *)epoxy_glBindRenderbufferEXT_resolver();
    epoxy_glBindRenderbufferEXT(target, renderbuffer);
}
PUBLIC PFNGLBINDRENDERBUFFEREXTPROC epoxy_glBindRenderbufferEXT = epoxy_glBindRenderbufferEXT_rewrite_ptr;

static void
epoxy_glBindRenderbufferOES_rewrite_ptr(GLenum target, GLuint renderbuffer)
{
    epoxy_glBindRenderbufferOES = (void *)epoxy_glBindRenderbufferOES_resolver();
    epoxy_glBindRenderbufferOES(target, renderbuffer);
}
PUBLIC PFNGLBINDRENDERBUFFEROESPROC epoxy_glBindRenderbufferOES = epoxy_glBindRenderbufferOES_rewrite_ptr;

static void
epoxy_glBindSampler_rewrite_ptr(GLuint unit, GLuint sampler)
{
    epoxy_glBindSampler = (void *)epoxy_glBindSampler_resolver();
    epoxy_glBindSampler(unit, sampler);
}
PUBLIC PFNGLBINDSAMPLERPROC epoxy_glBindSampler = epoxy_glBindSampler_rewrite_ptr;

static void
epoxy_glBindSamplers_rewrite_ptr(GLuint first, GLsizei count, const GLuint * samplers)
{
    epoxy_glBindSamplers = (void *)epoxy_glBindSamplers_resolver();
    epoxy_glBindSamplers(first, count, samplers);
}
PUBLIC PFNGLBINDSAMPLERSPROC epoxy_glBindSamplers = epoxy_glBindSamplers_rewrite_ptr;

static GLuint
epoxy_glBindTexGenParameterEXT_rewrite_ptr(GLenum unit, GLenum coord, GLenum value)
{
    epoxy_glBindTexGenParameterEXT = (void *)epoxy_glBindTexGenParameterEXT_resolver();
    return epoxy_glBindTexGenParameterEXT(unit, coord, value);
}
PUBLIC PFNGLBINDTEXGENPARAMETEREXTPROC epoxy_glBindTexGenParameterEXT = epoxy_glBindTexGenParameterEXT_rewrite_ptr;

static void
epoxy_glBindTexture_rewrite_ptr(GLenum target, GLuint texture)
{
    epoxy_glBindTexture = (void *)epoxy_glBindTexture_resolver();
    epoxy_glBindTexture(target, texture);
}
PUBLIC PFNGLBINDTEXTUREPROC epoxy_glBindTexture = epoxy_glBindTexture_rewrite_ptr;

static void
epoxy_glBindTextureEXT_rewrite_ptr(GLenum target, GLuint texture)
{
    epoxy_glBindTextureEXT = (void *)epoxy_glBindTexture_resolver();
    epoxy_glBindTextureEXT(target, texture);
}
PUBLIC PFNGLBINDTEXTUREEXTPROC epoxy_glBindTextureEXT = epoxy_glBindTextureEXT_rewrite_ptr;

static GLuint
epoxy_glBindTextureUnitParameterEXT_rewrite_ptr(GLenum unit, GLenum value)
{
    epoxy_glBindTextureUnitParameterEXT = (void *)epoxy_glBindTextureUnitParameterEXT_resolver();
    return epoxy_glBindTextureUnitParameterEXT(unit, value);
}
PUBLIC PFNGLBINDTEXTUREUNITPARAMETEREXTPROC epoxy_glBindTextureUnitParameterEXT = epoxy_glBindTextureUnitParameterEXT_rewrite_ptr;

static void
epoxy_glBindTextures_rewrite_ptr(GLuint first, GLsizei count, const GLuint * textures)
{
    epoxy_glBindTextures = (void *)epoxy_glBindTextures_resolver();
    epoxy_glBindTextures(first, count, textures);
}
PUBLIC PFNGLBINDTEXTURESPROC epoxy_glBindTextures = epoxy_glBindTextures_rewrite_ptr;

static void
epoxy_glBindTransformFeedback_rewrite_ptr(GLenum target, GLuint id)
{
    epoxy_glBindTransformFeedback = (void *)epoxy_glBindTransformFeedback_resolver();
    epoxy_glBindTransformFeedback(target, id);
}
PUBLIC PFNGLBINDTRANSFORMFEEDBACKPROC epoxy_glBindTransformFeedback = epoxy_glBindTransformFeedback_rewrite_ptr;

static void
epoxy_glBindTransformFeedbackNV_rewrite_ptr(GLenum target, GLuint id)
{
    epoxy_glBindTransformFeedbackNV = (void *)epoxy_glBindTransformFeedbackNV_resolver();
    epoxy_glBindTransformFeedbackNV(target, id);
}
PUBLIC PFNGLBINDTRANSFORMFEEDBACKNVPROC epoxy_glBindTransformFeedbackNV = epoxy_glBindTransformFeedbackNV_rewrite_ptr;

static void
epoxy_glBindVertexArray_rewrite_ptr(GLuint array)
{
    epoxy_glBindVertexArray = (void *)epoxy_glBindVertexArray_resolver();
    epoxy_glBindVertexArray(array);
}
PUBLIC PFNGLBINDVERTEXARRAYPROC epoxy_glBindVertexArray = epoxy_glBindVertexArray_rewrite_ptr;

static void
epoxy_glBindVertexArrayAPPLE_rewrite_ptr(GLuint array)
{
    epoxy_glBindVertexArrayAPPLE = (void *)epoxy_glBindVertexArrayAPPLE_resolver();
    epoxy_glBindVertexArrayAPPLE(array);
}
PUBLIC PFNGLBINDVERTEXARRAYAPPLEPROC epoxy_glBindVertexArrayAPPLE = epoxy_glBindVertexArrayAPPLE_rewrite_ptr;

static void
epoxy_glBindVertexArrayOES_rewrite_ptr(GLuint array)
{
    epoxy_glBindVertexArrayOES = (void *)epoxy_glBindVertexArray_resolver();
    epoxy_glBindVertexArrayOES(array);
}
PUBLIC PFNGLBINDVERTEXARRAYOESPROC epoxy_glBindVertexArrayOES = epoxy_glBindVertexArrayOES_rewrite_ptr;

static void
epoxy_glBindVertexBuffer_rewrite_ptr(GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
{
    epoxy_glBindVertexBuffer = (void *)epoxy_glBindVertexBuffer_resolver();
    epoxy_glBindVertexBuffer(bindingindex, buffer, offset, stride);
}
PUBLIC PFNGLBINDVERTEXBUFFERPROC epoxy_glBindVertexBuffer = epoxy_glBindVertexBuffer_rewrite_ptr;

static void
epoxy_glBindVertexBuffers_rewrite_ptr(GLuint first, GLsizei count, const GLuint * buffers, const GLintptr * offsets, const GLsizei * strides)
{
    epoxy_glBindVertexBuffers = (void *)epoxy_glBindVertexBuffers_resolver();
    epoxy_glBindVertexBuffers(first, count, buffers, offsets, strides);
}
PUBLIC PFNGLBINDVERTEXBUFFERSPROC epoxy_glBindVertexBuffers = epoxy_glBindVertexBuffers_rewrite_ptr;

static void
epoxy_glBindVertexShaderEXT_rewrite_ptr(GLuint id)
{
    epoxy_glBindVertexShaderEXT = (void *)epoxy_glBindVertexShaderEXT_resolver();
    epoxy_glBindVertexShaderEXT(id);
}
PUBLIC PFNGLBINDVERTEXSHADEREXTPROC epoxy_glBindVertexShaderEXT = epoxy_glBindVertexShaderEXT_rewrite_ptr;

static void
epoxy_glBindVideoCaptureStreamBufferNV_rewrite_ptr(GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLintptrARB offset)
{
    epoxy_glBindVideoCaptureStreamBufferNV = (void *)epoxy_glBindVideoCaptureStreamBufferNV_resolver();
    epoxy_glBindVideoCaptureStreamBufferNV(video_capture_slot, stream, frame_region, offset);
}
PUBLIC PFNGLBINDVIDEOCAPTURESTREAMBUFFERNVPROC epoxy_glBindVideoCaptureStreamBufferNV = epoxy_glBindVideoCaptureStreamBufferNV_rewrite_ptr;

static void
epoxy_glBindVideoCaptureStreamTextureNV_rewrite_ptr(GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLenum target, GLuint texture)
{
    epoxy_glBindVideoCaptureStreamTextureNV = (void *)epoxy_glBindVideoCaptureStreamTextureNV_resolver();
    epoxy_glBindVideoCaptureStreamTextureNV(video_capture_slot, stream, frame_region, target, texture);
}
PUBLIC PFNGLBINDVIDEOCAPTURESTREAMTEXTURENVPROC epoxy_glBindVideoCaptureStreamTextureNV = epoxy_glBindVideoCaptureStreamTextureNV_rewrite_ptr;

static void
epoxy_glBinormal3bEXT_rewrite_ptr(GLbyte bx, GLbyte by, GLbyte bz)
{
    epoxy_glBinormal3bEXT = (void *)epoxy_glBinormal3bEXT_resolver();
    epoxy_glBinormal3bEXT(bx, by, bz);
}
PUBLIC PFNGLBINORMAL3BEXTPROC epoxy_glBinormal3bEXT = epoxy_glBinormal3bEXT_rewrite_ptr;

static void
epoxy_glBinormal3bvEXT_rewrite_ptr(const GLbyte * v)
{
    epoxy_glBinormal3bvEXT = (void *)epoxy_glBinormal3bvEXT_resolver();
    epoxy_glBinormal3bvEXT(v);
}
PUBLIC PFNGLBINORMAL3BVEXTPROC epoxy_glBinormal3bvEXT = epoxy_glBinormal3bvEXT_rewrite_ptr;

static void
epoxy_glBinormal3dEXT_rewrite_ptr(GLdouble bx, GLdouble by, GLdouble bz)
{
    epoxy_glBinormal3dEXT = (void *)epoxy_glBinormal3dEXT_resolver();
    epoxy_glBinormal3dEXT(bx, by, bz);
}
PUBLIC PFNGLBINORMAL3DEXTPROC epoxy_glBinormal3dEXT = epoxy_glBinormal3dEXT_rewrite_ptr;

static void
epoxy_glBinormal3dvEXT_rewrite_ptr(const GLdouble * v)
{
    epoxy_glBinormal3dvEXT = (void *)epoxy_glBinormal3dvEXT_resolver();
    epoxy_glBinormal3dvEXT(v);
}
PUBLIC PFNGLBINORMAL3DVEXTPROC epoxy_glBinormal3dvEXT = epoxy_glBinormal3dvEXT_rewrite_ptr;

static void
epoxy_glBinormal3fEXT_rewrite_ptr(GLfloat bx, GLfloat by, GLfloat bz)
{
    epoxy_glBinormal3fEXT = (void *)epoxy_glBinormal3fEXT_resolver();
    epoxy_glBinormal3fEXT(bx, by, bz);
}
PUBLIC PFNGLBINORMAL3FEXTPROC epoxy_glBinormal3fEXT = epoxy_glBinormal3fEXT_rewrite_ptr;

static void
epoxy_glBinormal3fvEXT_rewrite_ptr(const GLfloat * v)
{
    epoxy_glBinormal3fvEXT = (void *)epoxy_glBinormal3fvEXT_resolver();
    epoxy_glBinormal3fvEXT(v);
}
PUBLIC PFNGLBINORMAL3FVEXTPROC epoxy_glBinormal3fvEXT = epoxy_glBinormal3fvEXT_rewrite_ptr;

static void
epoxy_glBinormal3iEXT_rewrite_ptr(GLint bx, GLint by, GLint bz)
{
    epoxy_glBinormal3iEXT = (void *)epoxy_glBinormal3iEXT_resolver();
    epoxy_glBinormal3iEXT(bx, by, bz);
}
PUBLIC PFNGLBINORMAL3IEXTPROC epoxy_glBinormal3iEXT = epoxy_glBinormal3iEXT_rewrite_ptr;

static void
epoxy_glBinormal3ivEXT_rewrite_ptr(const GLint * v)
{
    epoxy_glBinormal3ivEXT = (void *)epoxy_glBinormal3ivEXT_resolver();
    epoxy_glBinormal3ivEXT(v);
}
PUBLIC PFNGLBINORMAL3IVEXTPROC epoxy_glBinormal3ivEXT = epoxy_glBinormal3ivEXT_rewrite_ptr;

static void
epoxy_glBinormal3sEXT_rewrite_ptr(GLshort bx, GLshort by, GLshort bz)
{
    epoxy_glBinormal3sEXT = (void *)epoxy_glBinormal3sEXT_resolver();
    epoxy_glBinormal3sEXT(bx, by, bz);
}
PUBLIC PFNGLBINORMAL3SEXTPROC epoxy_glBinormal3sEXT = epoxy_glBinormal3sEXT_rewrite_ptr;

static void
epoxy_glBinormal3svEXT_rewrite_ptr(const GLshort * v)
{
    epoxy_glBinormal3svEXT = (void *)epoxy_glBinormal3svEXT_resolver();
    epoxy_glBinormal3svEXT(v);
}
PUBLIC PFNGLBINORMAL3SVEXTPROC epoxy_glBinormal3svEXT = epoxy_glBinormal3svEXT_rewrite_ptr;

static void
epoxy_glBinormalPointerEXT_rewrite_ptr(GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glBinormalPointerEXT = (void *)epoxy_glBinormalPointerEXT_resolver();
    epoxy_glBinormalPointerEXT(type, stride, pointer);
}
PUBLIC PFNGLBINORMALPOINTEREXTPROC epoxy_glBinormalPointerEXT = epoxy_glBinormalPointerEXT_rewrite_ptr;

static void
epoxy_glBitmap_rewrite_ptr(GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte * bitmap)
{
    epoxy_glBitmap = (void *)epoxy_glBitmap_resolver();
    epoxy_glBitmap(width, height, xorig, yorig, xmove, ymove, bitmap);
}
PUBLIC PFNGLBITMAPPROC epoxy_glBitmap = epoxy_glBitmap_rewrite_ptr;

static void
epoxy_glBitmapxOES_rewrite_ptr(GLsizei width, GLsizei height, GLfixed xorig, GLfixed yorig, GLfixed xmove, GLfixed ymove, const GLubyte * bitmap)
{
    epoxy_glBitmapxOES = (void *)epoxy_glBitmapxOES_resolver();
    epoxy_glBitmapxOES(width, height, xorig, yorig, xmove, ymove, bitmap);
}
PUBLIC PFNGLBITMAPXOESPROC epoxy_glBitmapxOES = epoxy_glBitmapxOES_rewrite_ptr;

static void
epoxy_glBlendBarrierNV_rewrite_ptr(void)
{
    epoxy_glBlendBarrierNV = (void *)epoxy_glBlendBarrierNV_resolver();
    epoxy_glBlendBarrierNV();
}
PUBLIC PFNGLBLENDBARRIERNVPROC epoxy_glBlendBarrierNV = epoxy_glBlendBarrierNV_rewrite_ptr;

static void
epoxy_glBlendColor_rewrite_ptr(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    epoxy_glBlendColor = (void *)epoxy_glBlendColor_resolver();
    epoxy_glBlendColor(red, green, blue, alpha);
}
PUBLIC PFNGLBLENDCOLORPROC epoxy_glBlendColor = epoxy_glBlendColor_rewrite_ptr;

static void
epoxy_glBlendColorEXT_rewrite_ptr(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    epoxy_glBlendColorEXT = (void *)epoxy_glBlendColor_resolver();
    epoxy_glBlendColorEXT(red, green, blue, alpha);
}
PUBLIC PFNGLBLENDCOLOREXTPROC epoxy_glBlendColorEXT = epoxy_glBlendColorEXT_rewrite_ptr;

static void
epoxy_glBlendColorxOES_rewrite_ptr(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    epoxy_glBlendColorxOES = (void *)epoxy_glBlendColorxOES_resolver();
    epoxy_glBlendColorxOES(red, green, blue, alpha);
}
PUBLIC PFNGLBLENDCOLORXOESPROC epoxy_glBlendColorxOES = epoxy_glBlendColorxOES_rewrite_ptr;

static void
epoxy_glBlendEquation_rewrite_ptr(GLenum mode)
{
    epoxy_glBlendEquation = (void *)epoxy_glBlendEquation_resolver();
    epoxy_glBlendEquation(mode);
}
PUBLIC PFNGLBLENDEQUATIONPROC epoxy_glBlendEquation = epoxy_glBlendEquation_rewrite_ptr;

static void
epoxy_glBlendEquationEXT_rewrite_ptr(GLenum mode)
{
    epoxy_glBlendEquationEXT = (void *)epoxy_glBlendEquation_resolver();
    epoxy_glBlendEquationEXT(mode);
}
PUBLIC PFNGLBLENDEQUATIONEXTPROC epoxy_glBlendEquationEXT = epoxy_glBlendEquationEXT_rewrite_ptr;

static void
epoxy_glBlendEquationIndexedAMD_rewrite_ptr(GLuint buf, GLenum mode)
{
    epoxy_glBlendEquationIndexedAMD = (void *)epoxy_glBlendEquationi_resolver();
    epoxy_glBlendEquationIndexedAMD(buf, mode);
}
PUBLIC PFNGLBLENDEQUATIONINDEXEDAMDPROC epoxy_glBlendEquationIndexedAMD = epoxy_glBlendEquationIndexedAMD_rewrite_ptr;

static void
epoxy_glBlendEquationOES_rewrite_ptr(GLenum mode)
{
    epoxy_glBlendEquationOES = (void *)epoxy_glBlendEquationOES_resolver();
    epoxy_glBlendEquationOES(mode);
}
PUBLIC PFNGLBLENDEQUATIONOESPROC epoxy_glBlendEquationOES = epoxy_glBlendEquationOES_rewrite_ptr;

static void
epoxy_glBlendEquationSeparate_rewrite_ptr(GLenum modeRGB, GLenum modeAlpha)
{
    epoxy_glBlendEquationSeparate = (void *)epoxy_glBlendEquationSeparate_resolver();
    epoxy_glBlendEquationSeparate(modeRGB, modeAlpha);
}
PUBLIC PFNGLBLENDEQUATIONSEPARATEPROC epoxy_glBlendEquationSeparate = epoxy_glBlendEquationSeparate_rewrite_ptr;

static void
epoxy_glBlendEquationSeparateEXT_rewrite_ptr(GLenum modeRGB, GLenum modeAlpha)
{
    epoxy_glBlendEquationSeparateEXT = (void *)epoxy_glBlendEquationSeparate_resolver();
    epoxy_glBlendEquationSeparateEXT(modeRGB, modeAlpha);
}
PUBLIC PFNGLBLENDEQUATIONSEPARATEEXTPROC epoxy_glBlendEquationSeparateEXT = epoxy_glBlendEquationSeparateEXT_rewrite_ptr;

static void
epoxy_glBlendEquationSeparateIndexedAMD_rewrite_ptr(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
{
    epoxy_glBlendEquationSeparateIndexedAMD = (void *)epoxy_glBlendEquationSeparatei_resolver();
    epoxy_glBlendEquationSeparateIndexedAMD(buf, modeRGB, modeAlpha);
}
PUBLIC PFNGLBLENDEQUATIONSEPARATEINDEXEDAMDPROC epoxy_glBlendEquationSeparateIndexedAMD = epoxy_glBlendEquationSeparateIndexedAMD_rewrite_ptr;

static void
epoxy_glBlendEquationSeparateOES_rewrite_ptr(GLenum modeRGB, GLenum modeAlpha)
{
    epoxy_glBlendEquationSeparateOES = (void *)epoxy_glBlendEquationSeparateOES_resolver();
    epoxy_glBlendEquationSeparateOES(modeRGB, modeAlpha);
}
PUBLIC PFNGLBLENDEQUATIONSEPARATEOESPROC epoxy_glBlendEquationSeparateOES = epoxy_glBlendEquationSeparateOES_rewrite_ptr;

static void
epoxy_glBlendEquationSeparatei_rewrite_ptr(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
{
    epoxy_glBlendEquationSeparatei = (void *)epoxy_glBlendEquationSeparatei_resolver();
    epoxy_glBlendEquationSeparatei(buf, modeRGB, modeAlpha);
}
PUBLIC PFNGLBLENDEQUATIONSEPARATEIPROC epoxy_glBlendEquationSeparatei = epoxy_glBlendEquationSeparatei_rewrite_ptr;

static void
epoxy_glBlendEquationSeparateiARB_rewrite_ptr(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
{
    epoxy_glBlendEquationSeparateiARB = (void *)epoxy_glBlendEquationSeparatei_resolver();
    epoxy_glBlendEquationSeparateiARB(buf, modeRGB, modeAlpha);
}
PUBLIC PFNGLBLENDEQUATIONSEPARATEIARBPROC epoxy_glBlendEquationSeparateiARB = epoxy_glBlendEquationSeparateiARB_rewrite_ptr;

static void
epoxy_glBlendEquationi_rewrite_ptr(GLuint buf, GLenum mode)
{
    epoxy_glBlendEquationi = (void *)epoxy_glBlendEquationi_resolver();
    epoxy_glBlendEquationi(buf, mode);
}
PUBLIC PFNGLBLENDEQUATIONIPROC epoxy_glBlendEquationi = epoxy_glBlendEquationi_rewrite_ptr;

static void
epoxy_glBlendEquationiARB_rewrite_ptr(GLuint buf, GLenum mode)
{
    epoxy_glBlendEquationiARB = (void *)epoxy_glBlendEquationi_resolver();
    epoxy_glBlendEquationiARB(buf, mode);
}
PUBLIC PFNGLBLENDEQUATIONIARBPROC epoxy_glBlendEquationiARB = epoxy_glBlendEquationiARB_rewrite_ptr;

static void
epoxy_glBlendFunc_rewrite_ptr(GLenum sfactor, GLenum dfactor)
{
    epoxy_glBlendFunc = (void *)epoxy_glBlendFunc_resolver();
    epoxy_glBlendFunc(sfactor, dfactor);
}
PUBLIC PFNGLBLENDFUNCPROC epoxy_glBlendFunc = epoxy_glBlendFunc_rewrite_ptr;

static void
epoxy_glBlendFuncIndexedAMD_rewrite_ptr(GLuint buf, GLenum src, GLenum dst)
{
    epoxy_glBlendFuncIndexedAMD = (void *)epoxy_glBlendFunci_resolver();
    epoxy_glBlendFuncIndexedAMD(buf, src, dst);
}
PUBLIC PFNGLBLENDFUNCINDEXEDAMDPROC epoxy_glBlendFuncIndexedAMD = epoxy_glBlendFuncIndexedAMD_rewrite_ptr;

static void
epoxy_glBlendFuncSeparate_rewrite_ptr(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
{
    epoxy_glBlendFuncSeparate = (void *)epoxy_glBlendFuncSeparate_resolver();
    epoxy_glBlendFuncSeparate(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
}
PUBLIC PFNGLBLENDFUNCSEPARATEPROC epoxy_glBlendFuncSeparate = epoxy_glBlendFuncSeparate_rewrite_ptr;

static void
epoxy_glBlendFuncSeparateEXT_rewrite_ptr(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
{
    epoxy_glBlendFuncSeparateEXT = (void *)epoxy_glBlendFuncSeparate_resolver();
    epoxy_glBlendFuncSeparateEXT(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
}
PUBLIC PFNGLBLENDFUNCSEPARATEEXTPROC epoxy_glBlendFuncSeparateEXT = epoxy_glBlendFuncSeparateEXT_rewrite_ptr;

static void
epoxy_glBlendFuncSeparateINGR_rewrite_ptr(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
{
    epoxy_glBlendFuncSeparateINGR = (void *)epoxy_glBlendFuncSeparate_resolver();
    epoxy_glBlendFuncSeparateINGR(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
}
PUBLIC PFNGLBLENDFUNCSEPARATEINGRPROC epoxy_glBlendFuncSeparateINGR = epoxy_glBlendFuncSeparateINGR_rewrite_ptr;

static void
epoxy_glBlendFuncSeparateIndexedAMD_rewrite_ptr(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    epoxy_glBlendFuncSeparateIndexedAMD = (void *)epoxy_glBlendFuncSeparatei_resolver();
    epoxy_glBlendFuncSeparateIndexedAMD(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
}
PUBLIC PFNGLBLENDFUNCSEPARATEINDEXEDAMDPROC epoxy_glBlendFuncSeparateIndexedAMD = epoxy_glBlendFuncSeparateIndexedAMD_rewrite_ptr;

static void
epoxy_glBlendFuncSeparateOES_rewrite_ptr(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    epoxy_glBlendFuncSeparateOES = (void *)epoxy_glBlendFuncSeparateOES_resolver();
    epoxy_glBlendFuncSeparateOES(srcRGB, dstRGB, srcAlpha, dstAlpha);
}
PUBLIC PFNGLBLENDFUNCSEPARATEOESPROC epoxy_glBlendFuncSeparateOES = epoxy_glBlendFuncSeparateOES_rewrite_ptr;

static void
epoxy_glBlendFuncSeparatei_rewrite_ptr(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    epoxy_glBlendFuncSeparatei = (void *)epoxy_glBlendFuncSeparatei_resolver();
    epoxy_glBlendFuncSeparatei(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
}
PUBLIC PFNGLBLENDFUNCSEPARATEIPROC epoxy_glBlendFuncSeparatei = epoxy_glBlendFuncSeparatei_rewrite_ptr;

static void
epoxy_glBlendFuncSeparateiARB_rewrite_ptr(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    epoxy_glBlendFuncSeparateiARB = (void *)epoxy_glBlendFuncSeparatei_resolver();
    epoxy_glBlendFuncSeparateiARB(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
}
PUBLIC PFNGLBLENDFUNCSEPARATEIARBPROC epoxy_glBlendFuncSeparateiARB = epoxy_glBlendFuncSeparateiARB_rewrite_ptr;

static void
epoxy_glBlendFunci_rewrite_ptr(GLuint buf, GLenum src, GLenum dst)
{
    epoxy_glBlendFunci = (void *)epoxy_glBlendFunci_resolver();
    epoxy_glBlendFunci(buf, src, dst);
}
PUBLIC PFNGLBLENDFUNCIPROC epoxy_glBlendFunci = epoxy_glBlendFunci_rewrite_ptr;

static void
epoxy_glBlendFunciARB_rewrite_ptr(GLuint buf, GLenum src, GLenum dst)
{
    epoxy_glBlendFunciARB = (void *)epoxy_glBlendFunci_resolver();
    epoxy_glBlendFunciARB(buf, src, dst);
}
PUBLIC PFNGLBLENDFUNCIARBPROC epoxy_glBlendFunciARB = epoxy_glBlendFunciARB_rewrite_ptr;

static void
epoxy_glBlendParameteriNV_rewrite_ptr(GLenum pname, GLint value)
{
    epoxy_glBlendParameteriNV = (void *)epoxy_glBlendParameteriNV_resolver();
    epoxy_glBlendParameteriNV(pname, value);
}
PUBLIC PFNGLBLENDPARAMETERINVPROC epoxy_glBlendParameteriNV = epoxy_glBlendParameteriNV_rewrite_ptr;

static void
epoxy_glBlitFramebuffer_rewrite_ptr(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    epoxy_glBlitFramebuffer = (void *)epoxy_glBlitFramebuffer_resolver();
    epoxy_glBlitFramebuffer(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
}
PUBLIC PFNGLBLITFRAMEBUFFERPROC epoxy_glBlitFramebuffer = epoxy_glBlitFramebuffer_rewrite_ptr;

static void
epoxy_glBlitFramebufferANGLE_rewrite_ptr(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    epoxy_glBlitFramebufferANGLE = (void *)epoxy_glBlitFramebufferANGLE_resolver();
    epoxy_glBlitFramebufferANGLE(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
}
PUBLIC PFNGLBLITFRAMEBUFFERANGLEPROC epoxy_glBlitFramebufferANGLE = epoxy_glBlitFramebufferANGLE_rewrite_ptr;

static void
epoxy_glBlitFramebufferEXT_rewrite_ptr(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    epoxy_glBlitFramebufferEXT = (void *)epoxy_glBlitFramebuffer_resolver();
    epoxy_glBlitFramebufferEXT(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
}
PUBLIC PFNGLBLITFRAMEBUFFEREXTPROC epoxy_glBlitFramebufferEXT = epoxy_glBlitFramebufferEXT_rewrite_ptr;

static void
epoxy_glBlitFramebufferNV_rewrite_ptr(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    epoxy_glBlitFramebufferNV = (void *)epoxy_glBlitFramebuffer_resolver();
    epoxy_glBlitFramebufferNV(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
}
PUBLIC PFNGLBLITFRAMEBUFFERNVPROC epoxy_glBlitFramebufferNV = epoxy_glBlitFramebufferNV_rewrite_ptr;

static void
epoxy_glBufferAddressRangeNV_rewrite_ptr(GLenum pname, GLuint index, GLuint64EXT address, GLsizeiptr length)
{
    epoxy_glBufferAddressRangeNV = (void *)epoxy_glBufferAddressRangeNV_resolver();
    epoxy_glBufferAddressRangeNV(pname, index, address, length);
}
PUBLIC PFNGLBUFFERADDRESSRANGENVPROC epoxy_glBufferAddressRangeNV = epoxy_glBufferAddressRangeNV_rewrite_ptr;

static void
epoxy_glBufferData_rewrite_ptr(GLenum target, GLsizeiptr size, const void * data, GLenum usage)
{
    epoxy_glBufferData = (void *)epoxy_glBufferData_resolver();
    epoxy_glBufferData(target, size, data, usage);
}
PUBLIC PFNGLBUFFERDATAPROC epoxy_glBufferData = epoxy_glBufferData_rewrite_ptr;

static void
epoxy_glBufferDataARB_rewrite_ptr(GLenum target, GLsizeiptrARB size, const void * data, GLenum usage)
{
    epoxy_glBufferDataARB = (void *)epoxy_glBufferData_resolver();
    epoxy_glBufferDataARB(target, size, data, usage);
}
PUBLIC PFNGLBUFFERDATAARBPROC epoxy_glBufferDataARB = epoxy_glBufferDataARB_rewrite_ptr;

static void
epoxy_glBufferParameteriAPPLE_rewrite_ptr(GLenum target, GLenum pname, GLint param)
{
    epoxy_glBufferParameteriAPPLE = (void *)epoxy_glBufferParameteriAPPLE_resolver();
    epoxy_glBufferParameteriAPPLE(target, pname, param);
}
PUBLIC PFNGLBUFFERPARAMETERIAPPLEPROC epoxy_glBufferParameteriAPPLE = epoxy_glBufferParameteriAPPLE_rewrite_ptr;

static void
epoxy_glBufferStorage_rewrite_ptr(GLenum target, GLsizeiptr size, const void * data, GLbitfield flags)
{
    epoxy_glBufferStorage = (void *)epoxy_glBufferStorage_resolver();
    epoxy_glBufferStorage(target, size, data, flags);
}
PUBLIC PFNGLBUFFERSTORAGEPROC epoxy_glBufferStorage = epoxy_glBufferStorage_rewrite_ptr;

static void
epoxy_glBufferSubData_rewrite_ptr(GLenum target, GLintptr offset, GLsizeiptr size, const void * data)
{
    epoxy_glBufferSubData = (void *)epoxy_glBufferSubData_resolver();
    epoxy_glBufferSubData(target, offset, size, data);
}
PUBLIC PFNGLBUFFERSUBDATAPROC epoxy_glBufferSubData = epoxy_glBufferSubData_rewrite_ptr;

static void
epoxy_glBufferSubDataARB_rewrite_ptr(GLenum target, GLintptrARB offset, GLsizeiptrARB size, const void * data)
{
    epoxy_glBufferSubDataARB = (void *)epoxy_glBufferSubData_resolver();
    epoxy_glBufferSubDataARB(target, offset, size, data);
}
PUBLIC PFNGLBUFFERSUBDATAARBPROC epoxy_glBufferSubDataARB = epoxy_glBufferSubDataARB_rewrite_ptr;

static void
epoxy_glCallList_rewrite_ptr(GLuint list)
{
    epoxy_glCallList = (void *)epoxy_glCallList_resolver();
    epoxy_glCallList(list);
}
PUBLIC PFNGLCALLLISTPROC epoxy_glCallList = epoxy_glCallList_rewrite_ptr;

static void
epoxy_glCallLists_rewrite_ptr(GLsizei n, GLenum type, const void * lists)
{
    epoxy_glCallLists = (void *)epoxy_glCallLists_resolver();
    epoxy_glCallLists(n, type, lists);
}
PUBLIC PFNGLCALLLISTSPROC epoxy_glCallLists = epoxy_glCallLists_rewrite_ptr;

static GLenum
epoxy_glCheckFramebufferStatus_rewrite_ptr(GLenum target)
{
    epoxy_glCheckFramebufferStatus = (void *)epoxy_glCheckFramebufferStatus_resolver();
    return epoxy_glCheckFramebufferStatus(target);
}
PUBLIC PFNGLCHECKFRAMEBUFFERSTATUSPROC epoxy_glCheckFramebufferStatus = epoxy_glCheckFramebufferStatus_rewrite_ptr;

static GLenum
epoxy_glCheckFramebufferStatusEXT_rewrite_ptr(GLenum target)
{
    epoxy_glCheckFramebufferStatusEXT = (void *)epoxy_glCheckFramebufferStatus_resolver();
    return epoxy_glCheckFramebufferStatusEXT(target);
}
PUBLIC PFNGLCHECKFRAMEBUFFERSTATUSEXTPROC epoxy_glCheckFramebufferStatusEXT = epoxy_glCheckFramebufferStatusEXT_rewrite_ptr;

static GLenum
epoxy_glCheckFramebufferStatusOES_rewrite_ptr(GLenum target)
{
    epoxy_glCheckFramebufferStatusOES = (void *)epoxy_glCheckFramebufferStatusOES_resolver();
    return epoxy_glCheckFramebufferStatusOES(target);
}
PUBLIC PFNGLCHECKFRAMEBUFFERSTATUSOESPROC epoxy_glCheckFramebufferStatusOES = epoxy_glCheckFramebufferStatusOES_rewrite_ptr;

static GLenum
epoxy_glCheckNamedFramebufferStatusEXT_rewrite_ptr(GLuint framebuffer, GLenum target)
{
    epoxy_glCheckNamedFramebufferStatusEXT = (void *)epoxy_glCheckNamedFramebufferStatusEXT_resolver();
    return epoxy_glCheckNamedFramebufferStatusEXT(framebuffer, target);
}
PUBLIC PFNGLCHECKNAMEDFRAMEBUFFERSTATUSEXTPROC epoxy_glCheckNamedFramebufferStatusEXT = epoxy_glCheckNamedFramebufferStatusEXT_rewrite_ptr;

static void
epoxy_glClampColor_rewrite_ptr(GLenum target, GLenum clamp)
{
    epoxy_glClampColor = (void *)epoxy_glClampColor_resolver();
    epoxy_glClampColor(target, clamp);
}
PUBLIC PFNGLCLAMPCOLORPROC epoxy_glClampColor = epoxy_glClampColor_rewrite_ptr;

static void
epoxy_glClampColorARB_rewrite_ptr(GLenum target, GLenum clamp)
{
    epoxy_glClampColorARB = (void *)epoxy_glClampColor_resolver();
    epoxy_glClampColorARB(target, clamp);
}
PUBLIC PFNGLCLAMPCOLORARBPROC epoxy_glClampColorARB = epoxy_glClampColorARB_rewrite_ptr;

static void
epoxy_glClear_rewrite_ptr(GLbitfield mask)
{
    epoxy_glClear = (void *)epoxy_glClear_resolver();
    epoxy_glClear(mask);
}
PUBLIC PFNGLCLEARPROC epoxy_glClear = epoxy_glClear_rewrite_ptr;

static void
epoxy_glClearAccum_rewrite_ptr(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    epoxy_glClearAccum = (void *)epoxy_glClearAccum_resolver();
    epoxy_glClearAccum(red, green, blue, alpha);
}
PUBLIC PFNGLCLEARACCUMPROC epoxy_glClearAccum = epoxy_glClearAccum_rewrite_ptr;

static void
epoxy_glClearAccumxOES_rewrite_ptr(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    epoxy_glClearAccumxOES = (void *)epoxy_glClearAccumxOES_resolver();
    epoxy_glClearAccumxOES(red, green, blue, alpha);
}
PUBLIC PFNGLCLEARACCUMXOESPROC epoxy_glClearAccumxOES = epoxy_glClearAccumxOES_rewrite_ptr;

static void
epoxy_glClearBufferData_rewrite_ptr(GLenum target, GLenum internalformat, GLenum format, GLenum type, const void * data)
{
    epoxy_glClearBufferData = (void *)epoxy_glClearBufferData_resolver();
    epoxy_glClearBufferData(target, internalformat, format, type, data);
}
PUBLIC PFNGLCLEARBUFFERDATAPROC epoxy_glClearBufferData = epoxy_glClearBufferData_rewrite_ptr;

static void
epoxy_glClearBufferSubData_rewrite_ptr(GLenum target, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const void * data)
{
    epoxy_glClearBufferSubData = (void *)epoxy_glClearBufferSubData_resolver();
    epoxy_glClearBufferSubData(target, internalformat, offset, size, format, type, data);
}
PUBLIC PFNGLCLEARBUFFERSUBDATAPROC epoxy_glClearBufferSubData = epoxy_glClearBufferSubData_rewrite_ptr;

static void
epoxy_glClearBufferfi_rewrite_ptr(GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil)
{
    epoxy_glClearBufferfi = (void *)epoxy_glClearBufferfi_resolver();
    epoxy_glClearBufferfi(buffer, drawbuffer, depth, stencil);
}
PUBLIC PFNGLCLEARBUFFERFIPROC epoxy_glClearBufferfi = epoxy_glClearBufferfi_rewrite_ptr;

static void
epoxy_glClearBufferfv_rewrite_ptr(GLenum buffer, GLint drawbuffer, const GLfloat * value)
{
    epoxy_glClearBufferfv = (void *)epoxy_glClearBufferfv_resolver();
    epoxy_glClearBufferfv(buffer, drawbuffer, value);
}
PUBLIC PFNGLCLEARBUFFERFVPROC epoxy_glClearBufferfv = epoxy_glClearBufferfv_rewrite_ptr;

static void
epoxy_glClearBufferiv_rewrite_ptr(GLenum buffer, GLint drawbuffer, const GLint * value)
{
    epoxy_glClearBufferiv = (void *)epoxy_glClearBufferiv_resolver();
    epoxy_glClearBufferiv(buffer, drawbuffer, value);
}
PUBLIC PFNGLCLEARBUFFERIVPROC epoxy_glClearBufferiv = epoxy_glClearBufferiv_rewrite_ptr;

static void
epoxy_glClearBufferuiv_rewrite_ptr(GLenum buffer, GLint drawbuffer, const GLuint * value)
{
    epoxy_glClearBufferuiv = (void *)epoxy_glClearBufferuiv_resolver();
    epoxy_glClearBufferuiv(buffer, drawbuffer, value);
}
PUBLIC PFNGLCLEARBUFFERUIVPROC epoxy_glClearBufferuiv = epoxy_glClearBufferuiv_rewrite_ptr;

static void
epoxy_glClearColor_rewrite_ptr(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    epoxy_glClearColor = (void *)epoxy_glClearColor_resolver();
    epoxy_glClearColor(red, green, blue, alpha);
}
PUBLIC PFNGLCLEARCOLORPROC epoxy_glClearColor = epoxy_glClearColor_rewrite_ptr;

static void
epoxy_glClearColorIiEXT_rewrite_ptr(GLint red, GLint green, GLint blue, GLint alpha)
{
    epoxy_glClearColorIiEXT = (void *)epoxy_glClearColorIiEXT_resolver();
    epoxy_glClearColorIiEXT(red, green, blue, alpha);
}
PUBLIC PFNGLCLEARCOLORIIEXTPROC epoxy_glClearColorIiEXT = epoxy_glClearColorIiEXT_rewrite_ptr;

static void
epoxy_glClearColorIuiEXT_rewrite_ptr(GLuint red, GLuint green, GLuint blue, GLuint alpha)
{
    epoxy_glClearColorIuiEXT = (void *)epoxy_glClearColorIuiEXT_resolver();
    epoxy_glClearColorIuiEXT(red, green, blue, alpha);
}
PUBLIC PFNGLCLEARCOLORIUIEXTPROC epoxy_glClearColorIuiEXT = epoxy_glClearColorIuiEXT_rewrite_ptr;

static void
epoxy_glClearColorx_rewrite_ptr(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    epoxy_glClearColorx = (void *)epoxy_glClearColorx_resolver();
    epoxy_glClearColorx(red, green, blue, alpha);
}
PUBLIC PFNGLCLEARCOLORXPROC epoxy_glClearColorx = epoxy_glClearColorx_rewrite_ptr;

static void
epoxy_glClearColorxOES_rewrite_ptr(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    epoxy_glClearColorxOES = (void *)epoxy_glClearColorxOES_resolver();
    epoxy_glClearColorxOES(red, green, blue, alpha);
}
PUBLIC PFNGLCLEARCOLORXOESPROC epoxy_glClearColorxOES = epoxy_glClearColorxOES_rewrite_ptr;

static void
epoxy_glClearDepth_rewrite_ptr(GLdouble depth)
{
    epoxy_glClearDepth = (void *)epoxy_glClearDepth_resolver();
    epoxy_glClearDepth(depth);
}
PUBLIC PFNGLCLEARDEPTHPROC epoxy_glClearDepth = epoxy_glClearDepth_rewrite_ptr;

static void
epoxy_glClearDepthdNV_rewrite_ptr(GLdouble depth)
{
    epoxy_glClearDepthdNV = (void *)epoxy_glClearDepthdNV_resolver();
    epoxy_glClearDepthdNV(depth);
}
PUBLIC PFNGLCLEARDEPTHDNVPROC epoxy_glClearDepthdNV = epoxy_glClearDepthdNV_rewrite_ptr;

static void
epoxy_glClearDepthf_rewrite_ptr(GLfloat d)
{
    epoxy_glClearDepthf = (void *)epoxy_glClearDepthf_resolver();
    epoxy_glClearDepthf(d);
}
PUBLIC PFNGLCLEARDEPTHFPROC epoxy_glClearDepthf = epoxy_glClearDepthf_rewrite_ptr;

static void
epoxy_glClearDepthfOES_rewrite_ptr(GLclampf depth)
{
    epoxy_glClearDepthfOES = (void *)epoxy_glClearDepthf_resolver();
    epoxy_glClearDepthfOES(depth);
}
PUBLIC PFNGLCLEARDEPTHFOESPROC epoxy_glClearDepthfOES = epoxy_glClearDepthfOES_rewrite_ptr;

static void
epoxy_glClearDepthx_rewrite_ptr(GLfixed depth)
{
    epoxy_glClearDepthx = (void *)epoxy_glClearDepthx_resolver();
    epoxy_glClearDepthx(depth);
}
PUBLIC PFNGLCLEARDEPTHXPROC epoxy_glClearDepthx = epoxy_glClearDepthx_rewrite_ptr;

static void
epoxy_glClearDepthxOES_rewrite_ptr(GLfixed depth)
{
    epoxy_glClearDepthxOES = (void *)epoxy_glClearDepthxOES_resolver();
    epoxy_glClearDepthxOES(depth);
}
PUBLIC PFNGLCLEARDEPTHXOESPROC epoxy_glClearDepthxOES = epoxy_glClearDepthxOES_rewrite_ptr;

static void
epoxy_glClearIndex_rewrite_ptr(GLfloat c)
{
    epoxy_glClearIndex = (void *)epoxy_glClearIndex_resolver();
    epoxy_glClearIndex(c);
}
PUBLIC PFNGLCLEARINDEXPROC epoxy_glClearIndex = epoxy_glClearIndex_rewrite_ptr;

static void
epoxy_glClearNamedBufferDataEXT_rewrite_ptr(GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const void * data)
{
    epoxy_glClearNamedBufferDataEXT = (void *)epoxy_glClearNamedBufferDataEXT_resolver();
    epoxy_glClearNamedBufferDataEXT(buffer, internalformat, format, type, data);
}
PUBLIC PFNGLCLEARNAMEDBUFFERDATAEXTPROC epoxy_glClearNamedBufferDataEXT = epoxy_glClearNamedBufferDataEXT_rewrite_ptr;

static void
epoxy_glClearNamedBufferSubDataEXT_rewrite_ptr(GLuint buffer, GLenum internalformat, GLsizeiptr offset, GLsizeiptr size, GLenum format, GLenum type, const void * data)
{
    epoxy_glClearNamedBufferSubDataEXT = (void *)epoxy_glClearNamedBufferSubDataEXT_resolver();
    epoxy_glClearNamedBufferSubDataEXT(buffer, internalformat, offset, size, format, type, data);
}
PUBLIC PFNGLCLEARNAMEDBUFFERSUBDATAEXTPROC epoxy_glClearNamedBufferSubDataEXT = epoxy_glClearNamedBufferSubDataEXT_rewrite_ptr;

static void
epoxy_glClearStencil_rewrite_ptr(GLint s)
{
    epoxy_glClearStencil = (void *)epoxy_glClearStencil_resolver();
    epoxy_glClearStencil(s);
}
PUBLIC PFNGLCLEARSTENCILPROC epoxy_glClearStencil = epoxy_glClearStencil_rewrite_ptr;

static void
epoxy_glClearTexImage_rewrite_ptr(GLuint texture, GLint level, GLenum format, GLenum type, const void * data)
{
    epoxy_glClearTexImage = (void *)epoxy_glClearTexImage_resolver();
    epoxy_glClearTexImage(texture, level, format, type, data);
}
PUBLIC PFNGLCLEARTEXIMAGEPROC epoxy_glClearTexImage = epoxy_glClearTexImage_rewrite_ptr;

static void
epoxy_glClearTexSubImage_rewrite_ptr(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * data)
{
    epoxy_glClearTexSubImage = (void *)epoxy_glClearTexSubImage_resolver();
    epoxy_glClearTexSubImage(texture, level, xoffset, yoffset, zoffset, width, height, depth, format, type, data);
}
PUBLIC PFNGLCLEARTEXSUBIMAGEPROC epoxy_glClearTexSubImage = epoxy_glClearTexSubImage_rewrite_ptr;

static void
epoxy_glClientActiveTexture_rewrite_ptr(GLenum texture)
{
    epoxy_glClientActiveTexture = (void *)epoxy_glClientActiveTexture_resolver();
    epoxy_glClientActiveTexture(texture);
}
PUBLIC PFNGLCLIENTACTIVETEXTUREPROC epoxy_glClientActiveTexture = epoxy_glClientActiveTexture_rewrite_ptr;

static void
epoxy_glClientActiveTextureARB_rewrite_ptr(GLenum texture)
{
    epoxy_glClientActiveTextureARB = (void *)epoxy_glClientActiveTexture_resolver();
    epoxy_glClientActiveTextureARB(texture);
}
PUBLIC PFNGLCLIENTACTIVETEXTUREARBPROC epoxy_glClientActiveTextureARB = epoxy_glClientActiveTextureARB_rewrite_ptr;

static void
epoxy_glClientActiveVertexStreamATI_rewrite_ptr(GLenum stream)
{
    epoxy_glClientActiveVertexStreamATI = (void *)epoxy_glClientActiveVertexStreamATI_resolver();
    epoxy_glClientActiveVertexStreamATI(stream);
}
PUBLIC PFNGLCLIENTACTIVEVERTEXSTREAMATIPROC epoxy_glClientActiveVertexStreamATI = epoxy_glClientActiveVertexStreamATI_rewrite_ptr;

static void
epoxy_glClientAttribDefaultEXT_rewrite_ptr(GLbitfield mask)
{
    epoxy_glClientAttribDefaultEXT = (void *)epoxy_glClientAttribDefaultEXT_resolver();
    epoxy_glClientAttribDefaultEXT(mask);
}
PUBLIC PFNGLCLIENTATTRIBDEFAULTEXTPROC epoxy_glClientAttribDefaultEXT = epoxy_glClientAttribDefaultEXT_rewrite_ptr;

static GLenum
epoxy_glClientWaitSync_rewrite_ptr(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    epoxy_glClientWaitSync = (void *)epoxy_glClientWaitSync_resolver();
    return epoxy_glClientWaitSync(sync, flags, timeout);
}
PUBLIC PFNGLCLIENTWAITSYNCPROC epoxy_glClientWaitSync = epoxy_glClientWaitSync_rewrite_ptr;

static GLenum
epoxy_glClientWaitSyncAPPLE_rewrite_ptr(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    epoxy_glClientWaitSyncAPPLE = (void *)epoxy_glClientWaitSync_resolver();
    return epoxy_glClientWaitSyncAPPLE(sync, flags, timeout);
}
PUBLIC PFNGLCLIENTWAITSYNCAPPLEPROC epoxy_glClientWaitSyncAPPLE = epoxy_glClientWaitSyncAPPLE_rewrite_ptr;

static void
epoxy_glClipPlane_rewrite_ptr(GLenum plane, const GLdouble * equation)
{
    epoxy_glClipPlane = (void *)epoxy_glClipPlane_resolver();
    epoxy_glClipPlane(plane, equation);
}
PUBLIC PFNGLCLIPPLANEPROC epoxy_glClipPlane = epoxy_glClipPlane_rewrite_ptr;

static void
epoxy_glClipPlanef_rewrite_ptr(GLenum p, const GLfloat * eqn)
{
    epoxy_glClipPlanef = (void *)epoxy_glClipPlanef_resolver();
    epoxy_glClipPlanef(p, eqn);
}
PUBLIC PFNGLCLIPPLANEFPROC epoxy_glClipPlanef = epoxy_glClipPlanef_rewrite_ptr;

static void
epoxy_glClipPlanefIMG_rewrite_ptr(GLenum p, const GLfloat * eqn)
{
    epoxy_glClipPlanefIMG = (void *)epoxy_glClipPlanefIMG_resolver();
    epoxy_glClipPlanefIMG(p, eqn);
}
PUBLIC PFNGLCLIPPLANEFIMGPROC epoxy_glClipPlanefIMG = epoxy_glClipPlanefIMG_rewrite_ptr;

static void
epoxy_glClipPlanefOES_rewrite_ptr(GLenum plane, const GLfloat * equation)
{
    epoxy_glClipPlanefOES = (void *)epoxy_glClipPlanefOES_resolver();
    epoxy_glClipPlanefOES(plane, equation);
}
PUBLIC PFNGLCLIPPLANEFOESPROC epoxy_glClipPlanefOES = epoxy_glClipPlanefOES_rewrite_ptr;

static void
epoxy_glClipPlanex_rewrite_ptr(GLenum plane, const GLfixed * equation)
{
    epoxy_glClipPlanex = (void *)epoxy_glClipPlanex_resolver();
    epoxy_glClipPlanex(plane, equation);
}
PUBLIC PFNGLCLIPPLANEXPROC epoxy_glClipPlanex = epoxy_glClipPlanex_rewrite_ptr;

static void
epoxy_glClipPlanexIMG_rewrite_ptr(GLenum p, const GLfixed * eqn)
{
    epoxy_glClipPlanexIMG = (void *)epoxy_glClipPlanexIMG_resolver();
    epoxy_glClipPlanexIMG(p, eqn);
}
PUBLIC PFNGLCLIPPLANEXIMGPROC epoxy_glClipPlanexIMG = epoxy_glClipPlanexIMG_rewrite_ptr;

static void
epoxy_glClipPlanexOES_rewrite_ptr(GLenum plane, const GLfixed * equation)
{
    epoxy_glClipPlanexOES = (void *)epoxy_glClipPlanexOES_resolver();
    epoxy_glClipPlanexOES(plane, equation);
}
PUBLIC PFNGLCLIPPLANEXOESPROC epoxy_glClipPlanexOES = epoxy_glClipPlanexOES_rewrite_ptr;

static void
epoxy_glColor3b_rewrite_ptr(GLbyte red, GLbyte green, GLbyte blue)
{
    epoxy_glColor3b = (void *)epoxy_glColor3b_resolver();
    epoxy_glColor3b(red, green, blue);
}
PUBLIC PFNGLCOLOR3BPROC epoxy_glColor3b = epoxy_glColor3b_rewrite_ptr;

static void
epoxy_glColor3bv_rewrite_ptr(const GLbyte * v)
{
    epoxy_glColor3bv = (void *)epoxy_glColor3bv_resolver();
    epoxy_glColor3bv(v);
}
PUBLIC PFNGLCOLOR3BVPROC epoxy_glColor3bv = epoxy_glColor3bv_rewrite_ptr;

static void
epoxy_glColor3d_rewrite_ptr(GLdouble red, GLdouble green, GLdouble blue)
{
    epoxy_glColor3d = (void *)epoxy_glColor3d_resolver();
    epoxy_glColor3d(red, green, blue);
}
PUBLIC PFNGLCOLOR3DPROC epoxy_glColor3d = epoxy_glColor3d_rewrite_ptr;

static void
epoxy_glColor3dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glColor3dv = (void *)epoxy_glColor3dv_resolver();
    epoxy_glColor3dv(v);
}
PUBLIC PFNGLCOLOR3DVPROC epoxy_glColor3dv = epoxy_glColor3dv_rewrite_ptr;

static void
epoxy_glColor3f_rewrite_ptr(GLfloat red, GLfloat green, GLfloat blue)
{
    epoxy_glColor3f = (void *)epoxy_glColor3f_resolver();
    epoxy_glColor3f(red, green, blue);
}
PUBLIC PFNGLCOLOR3FPROC epoxy_glColor3f = epoxy_glColor3f_rewrite_ptr;

static void
epoxy_glColor3fVertex3fSUN_rewrite_ptr(GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glColor3fVertex3fSUN = (void *)epoxy_glColor3fVertex3fSUN_resolver();
    epoxy_glColor3fVertex3fSUN(r, g, b, x, y, z);
}
PUBLIC PFNGLCOLOR3FVERTEX3FSUNPROC epoxy_glColor3fVertex3fSUN = epoxy_glColor3fVertex3fSUN_rewrite_ptr;

static void
epoxy_glColor3fVertex3fvSUN_rewrite_ptr(const GLfloat * c, const GLfloat * v)
{
    epoxy_glColor3fVertex3fvSUN = (void *)epoxy_glColor3fVertex3fvSUN_resolver();
    epoxy_glColor3fVertex3fvSUN(c, v);
}
PUBLIC PFNGLCOLOR3FVERTEX3FVSUNPROC epoxy_glColor3fVertex3fvSUN = epoxy_glColor3fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glColor3fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glColor3fv = (void *)epoxy_glColor3fv_resolver();
    epoxy_glColor3fv(v);
}
PUBLIC PFNGLCOLOR3FVPROC epoxy_glColor3fv = epoxy_glColor3fv_rewrite_ptr;

static void
epoxy_glColor3hNV_rewrite_ptr(GLhalfNV red, GLhalfNV green, GLhalfNV blue)
{
    epoxy_glColor3hNV = (void *)epoxy_glColor3hNV_resolver();
    epoxy_glColor3hNV(red, green, blue);
}
PUBLIC PFNGLCOLOR3HNVPROC epoxy_glColor3hNV = epoxy_glColor3hNV_rewrite_ptr;

static void
epoxy_glColor3hvNV_rewrite_ptr(const GLhalfNV * v)
{
    epoxy_glColor3hvNV = (void *)epoxy_glColor3hvNV_resolver();
    epoxy_glColor3hvNV(v);
}
PUBLIC PFNGLCOLOR3HVNVPROC epoxy_glColor3hvNV = epoxy_glColor3hvNV_rewrite_ptr;

static void
epoxy_glColor3i_rewrite_ptr(GLint red, GLint green, GLint blue)
{
    epoxy_glColor3i = (void *)epoxy_glColor3i_resolver();
    epoxy_glColor3i(red, green, blue);
}
PUBLIC PFNGLCOLOR3IPROC epoxy_glColor3i = epoxy_glColor3i_rewrite_ptr;

static void
epoxy_glColor3iv_rewrite_ptr(const GLint * v)
{
    epoxy_glColor3iv = (void *)epoxy_glColor3iv_resolver();
    epoxy_glColor3iv(v);
}
PUBLIC PFNGLCOLOR3IVPROC epoxy_glColor3iv = epoxy_glColor3iv_rewrite_ptr;

static void
epoxy_glColor3s_rewrite_ptr(GLshort red, GLshort green, GLshort blue)
{
    epoxy_glColor3s = (void *)epoxy_glColor3s_resolver();
    epoxy_glColor3s(red, green, blue);
}
PUBLIC PFNGLCOLOR3SPROC epoxy_glColor3s = epoxy_glColor3s_rewrite_ptr;

static void
epoxy_glColor3sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glColor3sv = (void *)epoxy_glColor3sv_resolver();
    epoxy_glColor3sv(v);
}
PUBLIC PFNGLCOLOR3SVPROC epoxy_glColor3sv = epoxy_glColor3sv_rewrite_ptr;

static void
epoxy_glColor3ub_rewrite_ptr(GLubyte red, GLubyte green, GLubyte blue)
{
    epoxy_glColor3ub = (void *)epoxy_glColor3ub_resolver();
    epoxy_glColor3ub(red, green, blue);
}
PUBLIC PFNGLCOLOR3UBPROC epoxy_glColor3ub = epoxy_glColor3ub_rewrite_ptr;

static void
epoxy_glColor3ubv_rewrite_ptr(const GLubyte * v)
{
    epoxy_glColor3ubv = (void *)epoxy_glColor3ubv_resolver();
    epoxy_glColor3ubv(v);
}
PUBLIC PFNGLCOLOR3UBVPROC epoxy_glColor3ubv = epoxy_glColor3ubv_rewrite_ptr;

static void
epoxy_glColor3ui_rewrite_ptr(GLuint red, GLuint green, GLuint blue)
{
    epoxy_glColor3ui = (void *)epoxy_glColor3ui_resolver();
    epoxy_glColor3ui(red, green, blue);
}
PUBLIC PFNGLCOLOR3UIPROC epoxy_glColor3ui = epoxy_glColor3ui_rewrite_ptr;

static void
epoxy_glColor3uiv_rewrite_ptr(const GLuint * v)
{
    epoxy_glColor3uiv = (void *)epoxy_glColor3uiv_resolver();
    epoxy_glColor3uiv(v);
}
PUBLIC PFNGLCOLOR3UIVPROC epoxy_glColor3uiv = epoxy_glColor3uiv_rewrite_ptr;

static void
epoxy_glColor3us_rewrite_ptr(GLushort red, GLushort green, GLushort blue)
{
    epoxy_glColor3us = (void *)epoxy_glColor3us_resolver();
    epoxy_glColor3us(red, green, blue);
}
PUBLIC PFNGLCOLOR3USPROC epoxy_glColor3us = epoxy_glColor3us_rewrite_ptr;

static void
epoxy_glColor3usv_rewrite_ptr(const GLushort * v)
{
    epoxy_glColor3usv = (void *)epoxy_glColor3usv_resolver();
    epoxy_glColor3usv(v);
}
PUBLIC PFNGLCOLOR3USVPROC epoxy_glColor3usv = epoxy_glColor3usv_rewrite_ptr;

static void
epoxy_glColor3xOES_rewrite_ptr(GLfixed red, GLfixed green, GLfixed blue)
{
    epoxy_glColor3xOES = (void *)epoxy_glColor3xOES_resolver();
    epoxy_glColor3xOES(red, green, blue);
}
PUBLIC PFNGLCOLOR3XOESPROC epoxy_glColor3xOES = epoxy_glColor3xOES_rewrite_ptr;

static void
epoxy_glColor3xvOES_rewrite_ptr(const GLfixed * components)
{
    epoxy_glColor3xvOES = (void *)epoxy_glColor3xvOES_resolver();
    epoxy_glColor3xvOES(components);
}
PUBLIC PFNGLCOLOR3XVOESPROC epoxy_glColor3xvOES = epoxy_glColor3xvOES_rewrite_ptr;

static void
epoxy_glColor4b_rewrite_ptr(GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha)
{
    epoxy_glColor4b = (void *)epoxy_glColor4b_resolver();
    epoxy_glColor4b(red, green, blue, alpha);
}
PUBLIC PFNGLCOLOR4BPROC epoxy_glColor4b = epoxy_glColor4b_rewrite_ptr;

static void
epoxy_glColor4bv_rewrite_ptr(const GLbyte * v)
{
    epoxy_glColor4bv = (void *)epoxy_glColor4bv_resolver();
    epoxy_glColor4bv(v);
}
PUBLIC PFNGLCOLOR4BVPROC epoxy_glColor4bv = epoxy_glColor4bv_rewrite_ptr;

static void
epoxy_glColor4d_rewrite_ptr(GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha)
{
    epoxy_glColor4d = (void *)epoxy_glColor4d_resolver();
    epoxy_glColor4d(red, green, blue, alpha);
}
PUBLIC PFNGLCOLOR4DPROC epoxy_glColor4d = epoxy_glColor4d_rewrite_ptr;

static void
epoxy_glColor4dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glColor4dv = (void *)epoxy_glColor4dv_resolver();
    epoxy_glColor4dv(v);
}
PUBLIC PFNGLCOLOR4DVPROC epoxy_glColor4dv = epoxy_glColor4dv_rewrite_ptr;

static void
epoxy_glColor4f_rewrite_ptr(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    epoxy_glColor4f = (void *)epoxy_glColor4f_resolver();
    epoxy_glColor4f(red, green, blue, alpha);
}
PUBLIC PFNGLCOLOR4FPROC epoxy_glColor4f = epoxy_glColor4f_rewrite_ptr;

static void
epoxy_glColor4fNormal3fVertex3fSUN_rewrite_ptr(GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glColor4fNormal3fVertex3fSUN = (void *)epoxy_glColor4fNormal3fVertex3fSUN_resolver();
    epoxy_glColor4fNormal3fVertex3fSUN(r, g, b, a, nx, ny, nz, x, y, z);
}
PUBLIC PFNGLCOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glColor4fNormal3fVertex3fSUN = epoxy_glColor4fNormal3fVertex3fSUN_rewrite_ptr;

static void
epoxy_glColor4fNormal3fVertex3fvSUN_rewrite_ptr(const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    epoxy_glColor4fNormal3fVertex3fvSUN = (void *)epoxy_glColor4fNormal3fVertex3fvSUN_resolver();
    epoxy_glColor4fNormal3fVertex3fvSUN(c, n, v);
}
PUBLIC PFNGLCOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glColor4fNormal3fVertex3fvSUN = epoxy_glColor4fNormal3fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glColor4fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glColor4fv = (void *)epoxy_glColor4fv_resolver();
    epoxy_glColor4fv(v);
}
PUBLIC PFNGLCOLOR4FVPROC epoxy_glColor4fv = epoxy_glColor4fv_rewrite_ptr;

static void
epoxy_glColor4hNV_rewrite_ptr(GLhalfNV red, GLhalfNV green, GLhalfNV blue, GLhalfNV alpha)
{
    epoxy_glColor4hNV = (void *)epoxy_glColor4hNV_resolver();
    epoxy_glColor4hNV(red, green, blue, alpha);
}
PUBLIC PFNGLCOLOR4HNVPROC epoxy_glColor4hNV = epoxy_glColor4hNV_rewrite_ptr;

static void
epoxy_glColor4hvNV_rewrite_ptr(const GLhalfNV * v)
{
    epoxy_glColor4hvNV = (void *)epoxy_glColor4hvNV_resolver();
    epoxy_glColor4hvNV(v);
}
PUBLIC PFNGLCOLOR4HVNVPROC epoxy_glColor4hvNV = epoxy_glColor4hvNV_rewrite_ptr;

static void
epoxy_glColor4i_rewrite_ptr(GLint red, GLint green, GLint blue, GLint alpha)
{
    epoxy_glColor4i = (void *)epoxy_glColor4i_resolver();
    epoxy_glColor4i(red, green, blue, alpha);
}
PUBLIC PFNGLCOLOR4IPROC epoxy_glColor4i = epoxy_glColor4i_rewrite_ptr;

static void
epoxy_glColor4iv_rewrite_ptr(const GLint * v)
{
    epoxy_glColor4iv = (void *)epoxy_glColor4iv_resolver();
    epoxy_glColor4iv(v);
}
PUBLIC PFNGLCOLOR4IVPROC epoxy_glColor4iv = epoxy_glColor4iv_rewrite_ptr;

static void
epoxy_glColor4s_rewrite_ptr(GLshort red, GLshort green, GLshort blue, GLshort alpha)
{
    epoxy_glColor4s = (void *)epoxy_glColor4s_resolver();
    epoxy_glColor4s(red, green, blue, alpha);
}
PUBLIC PFNGLCOLOR4SPROC epoxy_glColor4s = epoxy_glColor4s_rewrite_ptr;

static void
epoxy_glColor4sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glColor4sv = (void *)epoxy_glColor4sv_resolver();
    epoxy_glColor4sv(v);
}
PUBLIC PFNGLCOLOR4SVPROC epoxy_glColor4sv = epoxy_glColor4sv_rewrite_ptr;

static void
epoxy_glColor4ub_rewrite_ptr(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha)
{
    epoxy_glColor4ub = (void *)epoxy_glColor4ub_resolver();
    epoxy_glColor4ub(red, green, blue, alpha);
}
PUBLIC PFNGLCOLOR4UBPROC epoxy_glColor4ub = epoxy_glColor4ub_rewrite_ptr;

static void
epoxy_glColor4ubVertex2fSUN_rewrite_ptr(GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y)
{
    epoxy_glColor4ubVertex2fSUN = (void *)epoxy_glColor4ubVertex2fSUN_resolver();
    epoxy_glColor4ubVertex2fSUN(r, g, b, a, x, y);
}
PUBLIC PFNGLCOLOR4UBVERTEX2FSUNPROC epoxy_glColor4ubVertex2fSUN = epoxy_glColor4ubVertex2fSUN_rewrite_ptr;

static void
epoxy_glColor4ubVertex2fvSUN_rewrite_ptr(const GLubyte * c, const GLfloat * v)
{
    epoxy_glColor4ubVertex2fvSUN = (void *)epoxy_glColor4ubVertex2fvSUN_resolver();
    epoxy_glColor4ubVertex2fvSUN(c, v);
}
PUBLIC PFNGLCOLOR4UBVERTEX2FVSUNPROC epoxy_glColor4ubVertex2fvSUN = epoxy_glColor4ubVertex2fvSUN_rewrite_ptr;

static void
epoxy_glColor4ubVertex3fSUN_rewrite_ptr(GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glColor4ubVertex3fSUN = (void *)epoxy_glColor4ubVertex3fSUN_resolver();
    epoxy_glColor4ubVertex3fSUN(r, g, b, a, x, y, z);
}
PUBLIC PFNGLCOLOR4UBVERTEX3FSUNPROC epoxy_glColor4ubVertex3fSUN = epoxy_glColor4ubVertex3fSUN_rewrite_ptr;

static void
epoxy_glColor4ubVertex3fvSUN_rewrite_ptr(const GLubyte * c, const GLfloat * v)
{
    epoxy_glColor4ubVertex3fvSUN = (void *)epoxy_glColor4ubVertex3fvSUN_resolver();
    epoxy_glColor4ubVertex3fvSUN(c, v);
}
PUBLIC PFNGLCOLOR4UBVERTEX3FVSUNPROC epoxy_glColor4ubVertex3fvSUN = epoxy_glColor4ubVertex3fvSUN_rewrite_ptr;

static void
epoxy_glColor4ubv_rewrite_ptr(const GLubyte * v)
{
    epoxy_glColor4ubv = (void *)epoxy_glColor4ubv_resolver();
    epoxy_glColor4ubv(v);
}
PUBLIC PFNGLCOLOR4UBVPROC epoxy_glColor4ubv = epoxy_glColor4ubv_rewrite_ptr;

static void
epoxy_glColor4ui_rewrite_ptr(GLuint red, GLuint green, GLuint blue, GLuint alpha)
{
    epoxy_glColor4ui = (void *)epoxy_glColor4ui_resolver();
    epoxy_glColor4ui(red, green, blue, alpha);
}
PUBLIC PFNGLCOLOR4UIPROC epoxy_glColor4ui = epoxy_glColor4ui_rewrite_ptr;

static void
epoxy_glColor4uiv_rewrite_ptr(const GLuint * v)
{
    epoxy_glColor4uiv = (void *)epoxy_glColor4uiv_resolver();
    epoxy_glColor4uiv(v);
}
PUBLIC PFNGLCOLOR4UIVPROC epoxy_glColor4uiv = epoxy_glColor4uiv_rewrite_ptr;

static void
epoxy_glColor4us_rewrite_ptr(GLushort red, GLushort green, GLushort blue, GLushort alpha)
{
    epoxy_glColor4us = (void *)epoxy_glColor4us_resolver();
    epoxy_glColor4us(red, green, blue, alpha);
}
PUBLIC PFNGLCOLOR4USPROC epoxy_glColor4us = epoxy_glColor4us_rewrite_ptr;

static void
epoxy_glColor4usv_rewrite_ptr(const GLushort * v)
{
    epoxy_glColor4usv = (void *)epoxy_glColor4usv_resolver();
    epoxy_glColor4usv(v);
}
PUBLIC PFNGLCOLOR4USVPROC epoxy_glColor4usv = epoxy_glColor4usv_rewrite_ptr;

static void
epoxy_glColor4x_rewrite_ptr(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    epoxy_glColor4x = (void *)epoxy_glColor4x_resolver();
    epoxy_glColor4x(red, green, blue, alpha);
}
PUBLIC PFNGLCOLOR4XPROC epoxy_glColor4x = epoxy_glColor4x_rewrite_ptr;

static void
epoxy_glColor4xOES_rewrite_ptr(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    epoxy_glColor4xOES = (void *)epoxy_glColor4xOES_resolver();
    epoxy_glColor4xOES(red, green, blue, alpha);
}
PUBLIC PFNGLCOLOR4XOESPROC epoxy_glColor4xOES = epoxy_glColor4xOES_rewrite_ptr;

static void
epoxy_glColor4xvOES_rewrite_ptr(const GLfixed * components)
{
    epoxy_glColor4xvOES = (void *)epoxy_glColor4xvOES_resolver();
    epoxy_glColor4xvOES(components);
}
PUBLIC PFNGLCOLOR4XVOESPROC epoxy_glColor4xvOES = epoxy_glColor4xvOES_rewrite_ptr;

static void
epoxy_glColorFormatNV_rewrite_ptr(GLint size, GLenum type, GLsizei stride)
{
    epoxy_glColorFormatNV = (void *)epoxy_glColorFormatNV_resolver();
    epoxy_glColorFormatNV(size, type, stride);
}
PUBLIC PFNGLCOLORFORMATNVPROC epoxy_glColorFormatNV = epoxy_glColorFormatNV_rewrite_ptr;

static void
epoxy_glColorFragmentOp1ATI_rewrite_ptr(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod)
{
    epoxy_glColorFragmentOp1ATI = (void *)epoxy_glColorFragmentOp1ATI_resolver();
    epoxy_glColorFragmentOp1ATI(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod);
}
PUBLIC PFNGLCOLORFRAGMENTOP1ATIPROC epoxy_glColorFragmentOp1ATI = epoxy_glColorFragmentOp1ATI_rewrite_ptr;

static void
epoxy_glColorFragmentOp2ATI_rewrite_ptr(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod)
{
    epoxy_glColorFragmentOp2ATI = (void *)epoxy_glColorFragmentOp2ATI_resolver();
    epoxy_glColorFragmentOp2ATI(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod);
}
PUBLIC PFNGLCOLORFRAGMENTOP2ATIPROC epoxy_glColorFragmentOp2ATI = epoxy_glColorFragmentOp2ATI_rewrite_ptr;

static void
epoxy_glColorFragmentOp3ATI_rewrite_ptr(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod)
{
    epoxy_glColorFragmentOp3ATI = (void *)epoxy_glColorFragmentOp3ATI_resolver();
    epoxy_glColorFragmentOp3ATI(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod);
}
PUBLIC PFNGLCOLORFRAGMENTOP3ATIPROC epoxy_glColorFragmentOp3ATI = epoxy_glColorFragmentOp3ATI_rewrite_ptr;

static void
epoxy_glColorMask_rewrite_ptr(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
{
    epoxy_glColorMask = (void *)epoxy_glColorMask_resolver();
    epoxy_glColorMask(red, green, blue, alpha);
}
PUBLIC PFNGLCOLORMASKPROC epoxy_glColorMask = epoxy_glColorMask_rewrite_ptr;

static void
epoxy_glColorMaskIndexedEXT_rewrite_ptr(GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)
{
    epoxy_glColorMaskIndexedEXT = (void *)epoxy_glColorMaski_resolver();
    epoxy_glColorMaskIndexedEXT(index, r, g, b, a);
}
PUBLIC PFNGLCOLORMASKINDEXEDEXTPROC epoxy_glColorMaskIndexedEXT = epoxy_glColorMaskIndexedEXT_rewrite_ptr;

static void
epoxy_glColorMaski_rewrite_ptr(GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)
{
    epoxy_glColorMaski = (void *)epoxy_glColorMaski_resolver();
    epoxy_glColorMaski(index, r, g, b, a);
}
PUBLIC PFNGLCOLORMASKIPROC epoxy_glColorMaski = epoxy_glColorMaski_rewrite_ptr;

static void
epoxy_glColorMaterial_rewrite_ptr(GLenum face, GLenum mode)
{
    epoxy_glColorMaterial = (void *)epoxy_glColorMaterial_resolver();
    epoxy_glColorMaterial(face, mode);
}
PUBLIC PFNGLCOLORMATERIALPROC epoxy_glColorMaterial = epoxy_glColorMaterial_rewrite_ptr;

static void
epoxy_glColorP3ui_rewrite_ptr(GLenum type, GLuint color)
{
    epoxy_glColorP3ui = (void *)epoxy_glColorP3ui_resolver();
    epoxy_glColorP3ui(type, color);
}
PUBLIC PFNGLCOLORP3UIPROC epoxy_glColorP3ui = epoxy_glColorP3ui_rewrite_ptr;

static void
epoxy_glColorP3uiv_rewrite_ptr(GLenum type, const GLuint * color)
{
    epoxy_glColorP3uiv = (void *)epoxy_glColorP3uiv_resolver();
    epoxy_glColorP3uiv(type, color);
}
PUBLIC PFNGLCOLORP3UIVPROC epoxy_glColorP3uiv = epoxy_glColorP3uiv_rewrite_ptr;

static void
epoxy_glColorP4ui_rewrite_ptr(GLenum type, GLuint color)
{
    epoxy_glColorP4ui = (void *)epoxy_glColorP4ui_resolver();
    epoxy_glColorP4ui(type, color);
}
PUBLIC PFNGLCOLORP4UIPROC epoxy_glColorP4ui = epoxy_glColorP4ui_rewrite_ptr;

static void
epoxy_glColorP4uiv_rewrite_ptr(GLenum type, const GLuint * color)
{
    epoxy_glColorP4uiv = (void *)epoxy_glColorP4uiv_resolver();
    epoxy_glColorP4uiv(type, color);
}
PUBLIC PFNGLCOLORP4UIVPROC epoxy_glColorP4uiv = epoxy_glColorP4uiv_rewrite_ptr;

static void
epoxy_glColorPointer_rewrite_ptr(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glColorPointer = (void *)epoxy_glColorPointer_resolver();
    epoxy_glColorPointer(size, type, stride, pointer);
}
PUBLIC PFNGLCOLORPOINTERPROC epoxy_glColorPointer = epoxy_glColorPointer_rewrite_ptr;

static void
epoxy_glColorPointerEXT_rewrite_ptr(GLint size, GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    epoxy_glColorPointerEXT = (void *)epoxy_glColorPointerEXT_resolver();
    epoxy_glColorPointerEXT(size, type, stride, count, pointer);
}
PUBLIC PFNGLCOLORPOINTEREXTPROC epoxy_glColorPointerEXT = epoxy_glColorPointerEXT_rewrite_ptr;

static void
epoxy_glColorPointerListIBM_rewrite_ptr(GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    epoxy_glColorPointerListIBM = (void *)epoxy_glColorPointerListIBM_resolver();
    epoxy_glColorPointerListIBM(size, type, stride, pointer, ptrstride);
}
PUBLIC PFNGLCOLORPOINTERLISTIBMPROC epoxy_glColorPointerListIBM = epoxy_glColorPointerListIBM_rewrite_ptr;

static void
epoxy_glColorPointervINTEL_rewrite_ptr(GLint size, GLenum type, const void ** pointer)
{
    epoxy_glColorPointervINTEL = (void *)epoxy_glColorPointervINTEL_resolver();
    epoxy_glColorPointervINTEL(size, type, pointer);
}
PUBLIC PFNGLCOLORPOINTERVINTELPROC epoxy_glColorPointervINTEL = epoxy_glColorPointervINTEL_rewrite_ptr;

static void
epoxy_glColorSubTable_rewrite_ptr(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const void * data)
{
    epoxy_glColorSubTable = (void *)epoxy_glColorSubTable_resolver();
    epoxy_glColorSubTable(target, start, count, format, type, data);
}
PUBLIC PFNGLCOLORSUBTABLEPROC epoxy_glColorSubTable = epoxy_glColorSubTable_rewrite_ptr;

static void
epoxy_glColorSubTableEXT_rewrite_ptr(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const void * data)
{
    epoxy_glColorSubTableEXT = (void *)epoxy_glColorSubTable_resolver();
    epoxy_glColorSubTableEXT(target, start, count, format, type, data);
}
PUBLIC PFNGLCOLORSUBTABLEEXTPROC epoxy_glColorSubTableEXT = epoxy_glColorSubTableEXT_rewrite_ptr;

static void
epoxy_glColorTable_rewrite_ptr(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * table)
{
    epoxy_glColorTable = (void *)epoxy_glColorTable_resolver();
    epoxy_glColorTable(target, internalformat, width, format, type, table);
}
PUBLIC PFNGLCOLORTABLEPROC epoxy_glColorTable = epoxy_glColorTable_rewrite_ptr;

static void
epoxy_glColorTableEXT_rewrite_ptr(GLenum target, GLenum internalFormat, GLsizei width, GLenum format, GLenum type, const void * table)
{
    epoxy_glColorTableEXT = (void *)epoxy_glColorTable_resolver();
    epoxy_glColorTableEXT(target, internalFormat, width, format, type, table);
}
PUBLIC PFNGLCOLORTABLEEXTPROC epoxy_glColorTableEXT = epoxy_glColorTableEXT_rewrite_ptr;

static void
epoxy_glColorTableParameterfv_rewrite_ptr(GLenum target, GLenum pname, const GLfloat * params)
{
    epoxy_glColorTableParameterfv = (void *)epoxy_glColorTableParameterfv_resolver();
    epoxy_glColorTableParameterfv(target, pname, params);
}
PUBLIC PFNGLCOLORTABLEPARAMETERFVPROC epoxy_glColorTableParameterfv = epoxy_glColorTableParameterfv_rewrite_ptr;

static void
epoxy_glColorTableParameterfvSGI_rewrite_ptr(GLenum target, GLenum pname, const GLfloat * params)
{
    epoxy_glColorTableParameterfvSGI = (void *)epoxy_glColorTableParameterfv_resolver();
    epoxy_glColorTableParameterfvSGI(target, pname, params);
}
PUBLIC PFNGLCOLORTABLEPARAMETERFVSGIPROC epoxy_glColorTableParameterfvSGI = epoxy_glColorTableParameterfvSGI_rewrite_ptr;

static void
epoxy_glColorTableParameteriv_rewrite_ptr(GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glColorTableParameteriv = (void *)epoxy_glColorTableParameteriv_resolver();
    epoxy_glColorTableParameteriv(target, pname, params);
}
PUBLIC PFNGLCOLORTABLEPARAMETERIVPROC epoxy_glColorTableParameteriv = epoxy_glColorTableParameteriv_rewrite_ptr;

static void
epoxy_glColorTableParameterivSGI_rewrite_ptr(GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glColorTableParameterivSGI = (void *)epoxy_glColorTableParameteriv_resolver();
    epoxy_glColorTableParameterivSGI(target, pname, params);
}
PUBLIC PFNGLCOLORTABLEPARAMETERIVSGIPROC epoxy_glColorTableParameterivSGI = epoxy_glColorTableParameterivSGI_rewrite_ptr;

static void
epoxy_glColorTableSGI_rewrite_ptr(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * table)
{
    epoxy_glColorTableSGI = (void *)epoxy_glColorTable_resolver();
    epoxy_glColorTableSGI(target, internalformat, width, format, type, table);
}
PUBLIC PFNGLCOLORTABLESGIPROC epoxy_glColorTableSGI = epoxy_glColorTableSGI_rewrite_ptr;

static void
epoxy_glCombinerInputNV_rewrite_ptr(GLenum stage, GLenum portion, GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage)
{
    epoxy_glCombinerInputNV = (void *)epoxy_glCombinerInputNV_resolver();
    epoxy_glCombinerInputNV(stage, portion, variable, input, mapping, componentUsage);
}
PUBLIC PFNGLCOMBINERINPUTNVPROC epoxy_glCombinerInputNV = epoxy_glCombinerInputNV_rewrite_ptr;

static void
epoxy_glCombinerOutputNV_rewrite_ptr(GLenum stage, GLenum portion, GLenum abOutput, GLenum cdOutput, GLenum sumOutput, GLenum scale, GLenum bias, GLboolean abDotProduct, GLboolean cdDotProduct, GLboolean muxSum)
{
    epoxy_glCombinerOutputNV = (void *)epoxy_glCombinerOutputNV_resolver();
    epoxy_glCombinerOutputNV(stage, portion, abOutput, cdOutput, sumOutput, scale, bias, abDotProduct, cdDotProduct, muxSum);
}
PUBLIC PFNGLCOMBINEROUTPUTNVPROC epoxy_glCombinerOutputNV = epoxy_glCombinerOutputNV_rewrite_ptr;

static void
epoxy_glCombinerParameterfNV_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glCombinerParameterfNV = (void *)epoxy_glCombinerParameterfNV_resolver();
    epoxy_glCombinerParameterfNV(pname, param);
}
PUBLIC PFNGLCOMBINERPARAMETERFNVPROC epoxy_glCombinerParameterfNV = epoxy_glCombinerParameterfNV_rewrite_ptr;

static void
epoxy_glCombinerParameterfvNV_rewrite_ptr(GLenum pname, const GLfloat * params)
{
    epoxy_glCombinerParameterfvNV = (void *)epoxy_glCombinerParameterfvNV_resolver();
    epoxy_glCombinerParameterfvNV(pname, params);
}
PUBLIC PFNGLCOMBINERPARAMETERFVNVPROC epoxy_glCombinerParameterfvNV = epoxy_glCombinerParameterfvNV_rewrite_ptr;

static void
epoxy_glCombinerParameteriNV_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glCombinerParameteriNV = (void *)epoxy_glCombinerParameteriNV_resolver();
    epoxy_glCombinerParameteriNV(pname, param);
}
PUBLIC PFNGLCOMBINERPARAMETERINVPROC epoxy_glCombinerParameteriNV = epoxy_glCombinerParameteriNV_rewrite_ptr;

static void
epoxy_glCombinerParameterivNV_rewrite_ptr(GLenum pname, const GLint * params)
{
    epoxy_glCombinerParameterivNV = (void *)epoxy_glCombinerParameterivNV_resolver();
    epoxy_glCombinerParameterivNV(pname, params);
}
PUBLIC PFNGLCOMBINERPARAMETERIVNVPROC epoxy_glCombinerParameterivNV = epoxy_glCombinerParameterivNV_rewrite_ptr;

static void
epoxy_glCombinerStageParameterfvNV_rewrite_ptr(GLenum stage, GLenum pname, const GLfloat * params)
{
    epoxy_glCombinerStageParameterfvNV = (void *)epoxy_glCombinerStageParameterfvNV_resolver();
    epoxy_glCombinerStageParameterfvNV(stage, pname, params);
}
PUBLIC PFNGLCOMBINERSTAGEPARAMETERFVNVPROC epoxy_glCombinerStageParameterfvNV = epoxy_glCombinerStageParameterfvNV_rewrite_ptr;

static void
epoxy_glCompileShader_rewrite_ptr(GLuint shader)
{
    epoxy_glCompileShader = (void *)epoxy_glCompileShader_resolver();
    epoxy_glCompileShader(shader);
}
PUBLIC PFNGLCOMPILESHADERPROC epoxy_glCompileShader = epoxy_glCompileShader_rewrite_ptr;

static void
epoxy_glCompileShaderARB_rewrite_ptr(GLhandleARB shaderObj)
{
    epoxy_glCompileShaderARB = (void *)epoxy_glCompileShader_resolver();
    epoxy_glCompileShaderARB((uintptr_t)shaderObj);
}
PUBLIC PFNGLCOMPILESHADERARBPROC epoxy_glCompileShaderARB = epoxy_glCompileShaderARB_rewrite_ptr;

static void
epoxy_glCompileShaderIncludeARB_rewrite_ptr(GLuint shader, GLsizei count, const GLchar *const* path, const GLint * length)
{
    epoxy_glCompileShaderIncludeARB = (void *)epoxy_glCompileShaderIncludeARB_resolver();
    epoxy_glCompileShaderIncludeARB(shader, count, path, length);
}
PUBLIC PFNGLCOMPILESHADERINCLUDEARBPROC epoxy_glCompileShaderIncludeARB = epoxy_glCompileShaderIncludeARB_rewrite_ptr;

static void
epoxy_glCompressedMultiTexImage1DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * bits)
{
    epoxy_glCompressedMultiTexImage1DEXT = (void *)epoxy_glCompressedMultiTexImage1DEXT_resolver();
    epoxy_glCompressedMultiTexImage1DEXT(texunit, target, level, internalformat, width, border, imageSize, bits);
}
PUBLIC PFNGLCOMPRESSEDMULTITEXIMAGE1DEXTPROC epoxy_glCompressedMultiTexImage1DEXT = epoxy_glCompressedMultiTexImage1DEXT_rewrite_ptr;

static void
epoxy_glCompressedMultiTexImage2DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * bits)
{
    epoxy_glCompressedMultiTexImage2DEXT = (void *)epoxy_glCompressedMultiTexImage2DEXT_resolver();
    epoxy_glCompressedMultiTexImage2DEXT(texunit, target, level, internalformat, width, height, border, imageSize, bits);
}
PUBLIC PFNGLCOMPRESSEDMULTITEXIMAGE2DEXTPROC epoxy_glCompressedMultiTexImage2DEXT = epoxy_glCompressedMultiTexImage2DEXT_rewrite_ptr;

static void
epoxy_glCompressedMultiTexImage3DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * bits)
{
    epoxy_glCompressedMultiTexImage3DEXT = (void *)epoxy_glCompressedMultiTexImage3DEXT_resolver();
    epoxy_glCompressedMultiTexImage3DEXT(texunit, target, level, internalformat, width, height, depth, border, imageSize, bits);
}
PUBLIC PFNGLCOMPRESSEDMULTITEXIMAGE3DEXTPROC epoxy_glCompressedMultiTexImage3DEXT = epoxy_glCompressedMultiTexImage3DEXT_rewrite_ptr;

static void
epoxy_glCompressedMultiTexSubImage1DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * bits)
{
    epoxy_glCompressedMultiTexSubImage1DEXT = (void *)epoxy_glCompressedMultiTexSubImage1DEXT_resolver();
    epoxy_glCompressedMultiTexSubImage1DEXT(texunit, target, level, xoffset, width, format, imageSize, bits);
}
PUBLIC PFNGLCOMPRESSEDMULTITEXSUBIMAGE1DEXTPROC epoxy_glCompressedMultiTexSubImage1DEXT = epoxy_glCompressedMultiTexSubImage1DEXT_rewrite_ptr;

static void
epoxy_glCompressedMultiTexSubImage2DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * bits)
{
    epoxy_glCompressedMultiTexSubImage2DEXT = (void *)epoxy_glCompressedMultiTexSubImage2DEXT_resolver();
    epoxy_glCompressedMultiTexSubImage2DEXT(texunit, target, level, xoffset, yoffset, width, height, format, imageSize, bits);
}
PUBLIC PFNGLCOMPRESSEDMULTITEXSUBIMAGE2DEXTPROC epoxy_glCompressedMultiTexSubImage2DEXT = epoxy_glCompressedMultiTexSubImage2DEXT_rewrite_ptr;

static void
epoxy_glCompressedMultiTexSubImage3DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * bits)
{
    epoxy_glCompressedMultiTexSubImage3DEXT = (void *)epoxy_glCompressedMultiTexSubImage3DEXT_resolver();
    epoxy_glCompressedMultiTexSubImage3DEXT(texunit, target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, bits);
}
PUBLIC PFNGLCOMPRESSEDMULTITEXSUBIMAGE3DEXTPROC epoxy_glCompressedMultiTexSubImage3DEXT = epoxy_glCompressedMultiTexSubImage3DEXT_rewrite_ptr;

static void
epoxy_glCompressedTexImage1D_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexImage1D = (void *)epoxy_glCompressedTexImage1D_resolver();
    epoxy_glCompressedTexImage1D(target, level, internalformat, width, border, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXIMAGE1DPROC epoxy_glCompressedTexImage1D = epoxy_glCompressedTexImage1D_rewrite_ptr;

static void
epoxy_glCompressedTexImage1DARB_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexImage1DARB = (void *)epoxy_glCompressedTexImage1D_resolver();
    epoxy_glCompressedTexImage1DARB(target, level, internalformat, width, border, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXIMAGE1DARBPROC epoxy_glCompressedTexImage1DARB = epoxy_glCompressedTexImage1DARB_rewrite_ptr;

static void
epoxy_glCompressedTexImage2D_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexImage2D = (void *)epoxy_glCompressedTexImage2D_resolver();
    epoxy_glCompressedTexImage2D(target, level, internalformat, width, height, border, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXIMAGE2DPROC epoxy_glCompressedTexImage2D = epoxy_glCompressedTexImage2D_rewrite_ptr;

static void
epoxy_glCompressedTexImage2DARB_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexImage2DARB = (void *)epoxy_glCompressedTexImage2D_resolver();
    epoxy_glCompressedTexImage2DARB(target, level, internalformat, width, height, border, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXIMAGE2DARBPROC epoxy_glCompressedTexImage2DARB = epoxy_glCompressedTexImage2DARB_rewrite_ptr;

static void
epoxy_glCompressedTexImage3D_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexImage3D = (void *)epoxy_glCompressedTexImage3D_resolver();
    epoxy_glCompressedTexImage3D(target, level, internalformat, width, height, depth, border, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXIMAGE3DPROC epoxy_glCompressedTexImage3D = epoxy_glCompressedTexImage3D_rewrite_ptr;

static void
epoxy_glCompressedTexImage3DARB_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexImage3DARB = (void *)epoxy_glCompressedTexImage3D_resolver();
    epoxy_glCompressedTexImage3DARB(target, level, internalformat, width, height, depth, border, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXIMAGE3DARBPROC epoxy_glCompressedTexImage3DARB = epoxy_glCompressedTexImage3DARB_rewrite_ptr;

static void
epoxy_glCompressedTexImage3DOES_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexImage3DOES = (void *)epoxy_glCompressedTexImage3D_resolver();
    epoxy_glCompressedTexImage3DOES(target, level, internalformat, width, height, depth, border, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXIMAGE3DOESPROC epoxy_glCompressedTexImage3DOES = epoxy_glCompressedTexImage3DOES_rewrite_ptr;

static void
epoxy_glCompressedTexSubImage1D_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexSubImage1D = (void *)epoxy_glCompressedTexSubImage1D_resolver();
    epoxy_glCompressedTexSubImage1D(target, level, xoffset, width, format, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE1DPROC epoxy_glCompressedTexSubImage1D = epoxy_glCompressedTexSubImage1D_rewrite_ptr;

static void
epoxy_glCompressedTexSubImage1DARB_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexSubImage1DARB = (void *)epoxy_glCompressedTexSubImage1D_resolver();
    epoxy_glCompressedTexSubImage1DARB(target, level, xoffset, width, format, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE1DARBPROC epoxy_glCompressedTexSubImage1DARB = epoxy_glCompressedTexSubImage1DARB_rewrite_ptr;

static void
epoxy_glCompressedTexSubImage2D_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexSubImage2D = (void *)epoxy_glCompressedTexSubImage2D_resolver();
    epoxy_glCompressedTexSubImage2D(target, level, xoffset, yoffset, width, height, format, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE2DPROC epoxy_glCompressedTexSubImage2D = epoxy_glCompressedTexSubImage2D_rewrite_ptr;

static void
epoxy_glCompressedTexSubImage2DARB_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexSubImage2DARB = (void *)epoxy_glCompressedTexSubImage2D_resolver();
    epoxy_glCompressedTexSubImage2DARB(target, level, xoffset, yoffset, width, height, format, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE2DARBPROC epoxy_glCompressedTexSubImage2DARB = epoxy_glCompressedTexSubImage2DARB_rewrite_ptr;

static void
epoxy_glCompressedTexSubImage3D_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexSubImage3D = (void *)epoxy_glCompressedTexSubImage3D_resolver();
    epoxy_glCompressedTexSubImage3D(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE3DPROC epoxy_glCompressedTexSubImage3D = epoxy_glCompressedTexSubImage3D_rewrite_ptr;

static void
epoxy_glCompressedTexSubImage3DARB_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexSubImage3DARB = (void *)epoxy_glCompressedTexSubImage3D_resolver();
    epoxy_glCompressedTexSubImage3DARB(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE3DARBPROC epoxy_glCompressedTexSubImage3DARB = epoxy_glCompressedTexSubImage3DARB_rewrite_ptr;

static void
epoxy_glCompressedTexSubImage3DOES_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * data)
{
    epoxy_glCompressedTexSubImage3DOES = (void *)epoxy_glCompressedTexSubImage3D_resolver();
    epoxy_glCompressedTexSubImage3DOES(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
}
PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE3DOESPROC epoxy_glCompressedTexSubImage3DOES = epoxy_glCompressedTexSubImage3DOES_rewrite_ptr;

static void
epoxy_glCompressedTextureImage1DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * bits)
{
    epoxy_glCompressedTextureImage1DEXT = (void *)epoxy_glCompressedTextureImage1DEXT_resolver();
    epoxy_glCompressedTextureImage1DEXT(texture, target, level, internalformat, width, border, imageSize, bits);
}
PUBLIC PFNGLCOMPRESSEDTEXTUREIMAGE1DEXTPROC epoxy_glCompressedTextureImage1DEXT = epoxy_glCompressedTextureImage1DEXT_rewrite_ptr;

static void
epoxy_glCompressedTextureImage2DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * bits)
{
    epoxy_glCompressedTextureImage2DEXT = (void *)epoxy_glCompressedTextureImage2DEXT_resolver();
    epoxy_glCompressedTextureImage2DEXT(texture, target, level, internalformat, width, height, border, imageSize, bits);
}
PUBLIC PFNGLCOMPRESSEDTEXTUREIMAGE2DEXTPROC epoxy_glCompressedTextureImage2DEXT = epoxy_glCompressedTextureImage2DEXT_rewrite_ptr;

static void
epoxy_glCompressedTextureImage3DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * bits)
{
    epoxy_glCompressedTextureImage3DEXT = (void *)epoxy_glCompressedTextureImage3DEXT_resolver();
    epoxy_glCompressedTextureImage3DEXT(texture, target, level, internalformat, width, height, depth, border, imageSize, bits);
}
PUBLIC PFNGLCOMPRESSEDTEXTUREIMAGE3DEXTPROC epoxy_glCompressedTextureImage3DEXT = epoxy_glCompressedTextureImage3DEXT_rewrite_ptr;

static void
epoxy_glCompressedTextureSubImage1DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * bits)
{
    epoxy_glCompressedTextureSubImage1DEXT = (void *)epoxy_glCompressedTextureSubImage1DEXT_resolver();
    epoxy_glCompressedTextureSubImage1DEXT(texture, target, level, xoffset, width, format, imageSize, bits);
}
PUBLIC PFNGLCOMPRESSEDTEXTURESUBIMAGE1DEXTPROC epoxy_glCompressedTextureSubImage1DEXT = epoxy_glCompressedTextureSubImage1DEXT_rewrite_ptr;

static void
epoxy_glCompressedTextureSubImage2DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * bits)
{
    epoxy_glCompressedTextureSubImage2DEXT = (void *)epoxy_glCompressedTextureSubImage2DEXT_resolver();
    epoxy_glCompressedTextureSubImage2DEXT(texture, target, level, xoffset, yoffset, width, height, format, imageSize, bits);
}
PUBLIC PFNGLCOMPRESSEDTEXTURESUBIMAGE2DEXTPROC epoxy_glCompressedTextureSubImage2DEXT = epoxy_glCompressedTextureSubImage2DEXT_rewrite_ptr;

static void
epoxy_glCompressedTextureSubImage3DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * bits)
{
    epoxy_glCompressedTextureSubImage3DEXT = (void *)epoxy_glCompressedTextureSubImage3DEXT_resolver();
    epoxy_glCompressedTextureSubImage3DEXT(texture, target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, bits);
}
PUBLIC PFNGLCOMPRESSEDTEXTURESUBIMAGE3DEXTPROC epoxy_glCompressedTextureSubImage3DEXT = epoxy_glCompressedTextureSubImage3DEXT_rewrite_ptr;

static void
epoxy_glConvolutionFilter1D_rewrite_ptr(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * image)
{
    epoxy_glConvolutionFilter1D = (void *)epoxy_glConvolutionFilter1D_resolver();
    epoxy_glConvolutionFilter1D(target, internalformat, width, format, type, image);
}
PUBLIC PFNGLCONVOLUTIONFILTER1DPROC epoxy_glConvolutionFilter1D = epoxy_glConvolutionFilter1D_rewrite_ptr;

static void
epoxy_glConvolutionFilter1DEXT_rewrite_ptr(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * image)
{
    epoxy_glConvolutionFilter1DEXT = (void *)epoxy_glConvolutionFilter1D_resolver();
    epoxy_glConvolutionFilter1DEXT(target, internalformat, width, format, type, image);
}
PUBLIC PFNGLCONVOLUTIONFILTER1DEXTPROC epoxy_glConvolutionFilter1DEXT = epoxy_glConvolutionFilter1DEXT_rewrite_ptr;

static void
epoxy_glConvolutionFilter2D_rewrite_ptr(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * image)
{
    epoxy_glConvolutionFilter2D = (void *)epoxy_glConvolutionFilter2D_resolver();
    epoxy_glConvolutionFilter2D(target, internalformat, width, height, format, type, image);
}
PUBLIC PFNGLCONVOLUTIONFILTER2DPROC epoxy_glConvolutionFilter2D = epoxy_glConvolutionFilter2D_rewrite_ptr;

static void
epoxy_glConvolutionFilter2DEXT_rewrite_ptr(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * image)
{
    epoxy_glConvolutionFilter2DEXT = (void *)epoxy_glConvolutionFilter2D_resolver();
    epoxy_glConvolutionFilter2DEXT(target, internalformat, width, height, format, type, image);
}
PUBLIC PFNGLCONVOLUTIONFILTER2DEXTPROC epoxy_glConvolutionFilter2DEXT = epoxy_glConvolutionFilter2DEXT_rewrite_ptr;

static void
epoxy_glConvolutionParameterf_rewrite_ptr(GLenum target, GLenum pname, GLfloat params)
{
    epoxy_glConvolutionParameterf = (void *)epoxy_glConvolutionParameterf_resolver();
    epoxy_glConvolutionParameterf(target, pname, params);
}
PUBLIC PFNGLCONVOLUTIONPARAMETERFPROC epoxy_glConvolutionParameterf = epoxy_glConvolutionParameterf_rewrite_ptr;

static void
epoxy_glConvolutionParameterfEXT_rewrite_ptr(GLenum target, GLenum pname, GLfloat params)
{
    epoxy_glConvolutionParameterfEXT = (void *)epoxy_glConvolutionParameterf_resolver();
    epoxy_glConvolutionParameterfEXT(target, pname, params);
}
PUBLIC PFNGLCONVOLUTIONPARAMETERFEXTPROC epoxy_glConvolutionParameterfEXT = epoxy_glConvolutionParameterfEXT_rewrite_ptr;

static void
epoxy_glConvolutionParameterfv_rewrite_ptr(GLenum target, GLenum pname, const GLfloat * params)
{
    epoxy_glConvolutionParameterfv = (void *)epoxy_glConvolutionParameterfv_resolver();
    epoxy_glConvolutionParameterfv(target, pname, params);
}
PUBLIC PFNGLCONVOLUTIONPARAMETERFVPROC epoxy_glConvolutionParameterfv = epoxy_glConvolutionParameterfv_rewrite_ptr;

static void
epoxy_glConvolutionParameterfvEXT_rewrite_ptr(GLenum target, GLenum pname, const GLfloat * params)
{
    epoxy_glConvolutionParameterfvEXT = (void *)epoxy_glConvolutionParameterfv_resolver();
    epoxy_glConvolutionParameterfvEXT(target, pname, params);
}
PUBLIC PFNGLCONVOLUTIONPARAMETERFVEXTPROC epoxy_glConvolutionParameterfvEXT = epoxy_glConvolutionParameterfvEXT_rewrite_ptr;

static void
epoxy_glConvolutionParameteri_rewrite_ptr(GLenum target, GLenum pname, GLint params)
{
    epoxy_glConvolutionParameteri = (void *)epoxy_glConvolutionParameteri_resolver();
    epoxy_glConvolutionParameteri(target, pname, params);
}
PUBLIC PFNGLCONVOLUTIONPARAMETERIPROC epoxy_glConvolutionParameteri = epoxy_glConvolutionParameteri_rewrite_ptr;

static void
epoxy_glConvolutionParameteriEXT_rewrite_ptr(GLenum target, GLenum pname, GLint params)
{
    epoxy_glConvolutionParameteriEXT = (void *)epoxy_glConvolutionParameteri_resolver();
    epoxy_glConvolutionParameteriEXT(target, pname, params);
}
PUBLIC PFNGLCONVOLUTIONPARAMETERIEXTPROC epoxy_glConvolutionParameteriEXT = epoxy_glConvolutionParameteriEXT_rewrite_ptr;

static void
epoxy_glConvolutionParameteriv_rewrite_ptr(GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glConvolutionParameteriv = (void *)epoxy_glConvolutionParameteriv_resolver();
    epoxy_glConvolutionParameteriv(target, pname, params);
}
PUBLIC PFNGLCONVOLUTIONPARAMETERIVPROC epoxy_glConvolutionParameteriv = epoxy_glConvolutionParameteriv_rewrite_ptr;

static void
epoxy_glConvolutionParameterivEXT_rewrite_ptr(GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glConvolutionParameterivEXT = (void *)epoxy_glConvolutionParameteriv_resolver();
    epoxy_glConvolutionParameterivEXT(target, pname, params);
}
PUBLIC PFNGLCONVOLUTIONPARAMETERIVEXTPROC epoxy_glConvolutionParameterivEXT = epoxy_glConvolutionParameterivEXT_rewrite_ptr;

static void
epoxy_glConvolutionParameterxOES_rewrite_ptr(GLenum target, GLenum pname, GLfixed param)
{
    epoxy_glConvolutionParameterxOES = (void *)epoxy_glConvolutionParameterxOES_resolver();
    epoxy_glConvolutionParameterxOES(target, pname, param);
}
PUBLIC PFNGLCONVOLUTIONPARAMETERXOESPROC epoxy_glConvolutionParameterxOES = epoxy_glConvolutionParameterxOES_rewrite_ptr;

static void
epoxy_glConvolutionParameterxvOES_rewrite_ptr(GLenum target, GLenum pname, const GLfixed * params)
{
    epoxy_glConvolutionParameterxvOES = (void *)epoxy_glConvolutionParameterxvOES_resolver();
    epoxy_glConvolutionParameterxvOES(target, pname, params);
}
PUBLIC PFNGLCONVOLUTIONPARAMETERXVOESPROC epoxy_glConvolutionParameterxvOES = epoxy_glConvolutionParameterxvOES_rewrite_ptr;

static void
epoxy_glCopyBufferSubData_rewrite_ptr(GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    epoxy_glCopyBufferSubData = (void *)epoxy_glCopyBufferSubData_resolver();
    epoxy_glCopyBufferSubData(readTarget, writeTarget, readOffset, writeOffset, size);
}
PUBLIC PFNGLCOPYBUFFERSUBDATAPROC epoxy_glCopyBufferSubData = epoxy_glCopyBufferSubData_rewrite_ptr;

static void
epoxy_glCopyBufferSubDataNV_rewrite_ptr(GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    epoxy_glCopyBufferSubDataNV = (void *)epoxy_glCopyBufferSubData_resolver();
    epoxy_glCopyBufferSubDataNV(readTarget, writeTarget, readOffset, writeOffset, size);
}
PUBLIC PFNGLCOPYBUFFERSUBDATANVPROC epoxy_glCopyBufferSubDataNV = epoxy_glCopyBufferSubDataNV_rewrite_ptr;

static void
epoxy_glCopyColorSubTable_rewrite_ptr(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width)
{
    epoxy_glCopyColorSubTable = (void *)epoxy_glCopyColorSubTable_resolver();
    epoxy_glCopyColorSubTable(target, start, x, y, width);
}
PUBLIC PFNGLCOPYCOLORSUBTABLEPROC epoxy_glCopyColorSubTable = epoxy_glCopyColorSubTable_rewrite_ptr;

static void
epoxy_glCopyColorSubTableEXT_rewrite_ptr(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width)
{
    epoxy_glCopyColorSubTableEXT = (void *)epoxy_glCopyColorSubTable_resolver();
    epoxy_glCopyColorSubTableEXT(target, start, x, y, width);
}
PUBLIC PFNGLCOPYCOLORSUBTABLEEXTPROC epoxy_glCopyColorSubTableEXT = epoxy_glCopyColorSubTableEXT_rewrite_ptr;

static void
epoxy_glCopyColorTable_rewrite_ptr(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    epoxy_glCopyColorTable = (void *)epoxy_glCopyColorTable_resolver();
    epoxy_glCopyColorTable(target, internalformat, x, y, width);
}
PUBLIC PFNGLCOPYCOLORTABLEPROC epoxy_glCopyColorTable = epoxy_glCopyColorTable_rewrite_ptr;

static void
epoxy_glCopyColorTableSGI_rewrite_ptr(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    epoxy_glCopyColorTableSGI = (void *)epoxy_glCopyColorTable_resolver();
    epoxy_glCopyColorTableSGI(target, internalformat, x, y, width);
}
PUBLIC PFNGLCOPYCOLORTABLESGIPROC epoxy_glCopyColorTableSGI = epoxy_glCopyColorTableSGI_rewrite_ptr;

static void
epoxy_glCopyConvolutionFilter1D_rewrite_ptr(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    epoxy_glCopyConvolutionFilter1D = (void *)epoxy_glCopyConvolutionFilter1D_resolver();
    epoxy_glCopyConvolutionFilter1D(target, internalformat, x, y, width);
}
PUBLIC PFNGLCOPYCONVOLUTIONFILTER1DPROC epoxy_glCopyConvolutionFilter1D = epoxy_glCopyConvolutionFilter1D_rewrite_ptr;

static void
epoxy_glCopyConvolutionFilter1DEXT_rewrite_ptr(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    epoxy_glCopyConvolutionFilter1DEXT = (void *)epoxy_glCopyConvolutionFilter1D_resolver();
    epoxy_glCopyConvolutionFilter1DEXT(target, internalformat, x, y, width);
}
PUBLIC PFNGLCOPYCONVOLUTIONFILTER1DEXTPROC epoxy_glCopyConvolutionFilter1DEXT = epoxy_glCopyConvolutionFilter1DEXT_rewrite_ptr;

static void
epoxy_glCopyConvolutionFilter2D_rewrite_ptr(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glCopyConvolutionFilter2D = (void *)epoxy_glCopyConvolutionFilter2D_resolver();
    epoxy_glCopyConvolutionFilter2D(target, internalformat, x, y, width, height);
}
PUBLIC PFNGLCOPYCONVOLUTIONFILTER2DPROC epoxy_glCopyConvolutionFilter2D = epoxy_glCopyConvolutionFilter2D_rewrite_ptr;

static void
epoxy_glCopyConvolutionFilter2DEXT_rewrite_ptr(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glCopyConvolutionFilter2DEXT = (void *)epoxy_glCopyConvolutionFilter2D_resolver();
    epoxy_glCopyConvolutionFilter2DEXT(target, internalformat, x, y, width, height);
}
PUBLIC PFNGLCOPYCONVOLUTIONFILTER2DEXTPROC epoxy_glCopyConvolutionFilter2DEXT = epoxy_glCopyConvolutionFilter2DEXT_rewrite_ptr;

static void
epoxy_glCopyImageSubData_rewrite_ptr(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei srcWidth, GLsizei srcHeight, GLsizei srcDepth)
{
    epoxy_glCopyImageSubData = (void *)epoxy_glCopyImageSubData_resolver();
    epoxy_glCopyImageSubData(srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, srcWidth, srcHeight, srcDepth);
}
PUBLIC PFNGLCOPYIMAGESUBDATAPROC epoxy_glCopyImageSubData = epoxy_glCopyImageSubData_rewrite_ptr;

static void
epoxy_glCopyImageSubDataNV_rewrite_ptr(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth)
{
    epoxy_glCopyImageSubDataNV = (void *)epoxy_glCopyImageSubDataNV_resolver();
    epoxy_glCopyImageSubDataNV(srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, width, height, depth);
}
PUBLIC PFNGLCOPYIMAGESUBDATANVPROC epoxy_glCopyImageSubDataNV = epoxy_glCopyImageSubDataNV_rewrite_ptr;

static void
epoxy_glCopyMultiTexImage1DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    epoxy_glCopyMultiTexImage1DEXT = (void *)epoxy_glCopyMultiTexImage1DEXT_resolver();
    epoxy_glCopyMultiTexImage1DEXT(texunit, target, level, internalformat, x, y, width, border);
}
PUBLIC PFNGLCOPYMULTITEXIMAGE1DEXTPROC epoxy_glCopyMultiTexImage1DEXT = epoxy_glCopyMultiTexImage1DEXT_rewrite_ptr;

static void
epoxy_glCopyMultiTexImage2DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    epoxy_glCopyMultiTexImage2DEXT = (void *)epoxy_glCopyMultiTexImage2DEXT_resolver();
    epoxy_glCopyMultiTexImage2DEXT(texunit, target, level, internalformat, x, y, width, height, border);
}
PUBLIC PFNGLCOPYMULTITEXIMAGE2DEXTPROC epoxy_glCopyMultiTexImage2DEXT = epoxy_glCopyMultiTexImage2DEXT_rewrite_ptr;

static void
epoxy_glCopyMultiTexSubImage1DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    epoxy_glCopyMultiTexSubImage1DEXT = (void *)epoxy_glCopyMultiTexSubImage1DEXT_resolver();
    epoxy_glCopyMultiTexSubImage1DEXT(texunit, target, level, xoffset, x, y, width);
}
PUBLIC PFNGLCOPYMULTITEXSUBIMAGE1DEXTPROC epoxy_glCopyMultiTexSubImage1DEXT = epoxy_glCopyMultiTexSubImage1DEXT_rewrite_ptr;

static void
epoxy_glCopyMultiTexSubImage2DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glCopyMultiTexSubImage2DEXT = (void *)epoxy_glCopyMultiTexSubImage2DEXT_resolver();
    epoxy_glCopyMultiTexSubImage2DEXT(texunit, target, level, xoffset, yoffset, x, y, width, height);
}
PUBLIC PFNGLCOPYMULTITEXSUBIMAGE2DEXTPROC epoxy_glCopyMultiTexSubImage2DEXT = epoxy_glCopyMultiTexSubImage2DEXT_rewrite_ptr;

static void
epoxy_glCopyMultiTexSubImage3DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glCopyMultiTexSubImage3DEXT = (void *)epoxy_glCopyMultiTexSubImage3DEXT_resolver();
    epoxy_glCopyMultiTexSubImage3DEXT(texunit, target, level, xoffset, yoffset, zoffset, x, y, width, height);
}
PUBLIC PFNGLCOPYMULTITEXSUBIMAGE3DEXTPROC epoxy_glCopyMultiTexSubImage3DEXT = epoxy_glCopyMultiTexSubImage3DEXT_rewrite_ptr;

static void
epoxy_glCopyPathNV_rewrite_ptr(GLuint resultPath, GLuint srcPath)
{
    epoxy_glCopyPathNV = (void *)epoxy_glCopyPathNV_resolver();
    epoxy_glCopyPathNV(resultPath, srcPath);
}
PUBLIC PFNGLCOPYPATHNVPROC epoxy_glCopyPathNV = epoxy_glCopyPathNV_rewrite_ptr;

static void
epoxy_glCopyPixels_rewrite_ptr(GLint x, GLint y, GLsizei width, GLsizei height, GLenum type)
{
    epoxy_glCopyPixels = (void *)epoxy_glCopyPixels_resolver();
    epoxy_glCopyPixels(x, y, width, height, type);
}
PUBLIC PFNGLCOPYPIXELSPROC epoxy_glCopyPixels = epoxy_glCopyPixels_rewrite_ptr;

static void
epoxy_glCopyTexImage1D_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    epoxy_glCopyTexImage1D = (void *)epoxy_glCopyTexImage1D_resolver();
    epoxy_glCopyTexImage1D(target, level, internalformat, x, y, width, border);
}
PUBLIC PFNGLCOPYTEXIMAGE1DPROC epoxy_glCopyTexImage1D = epoxy_glCopyTexImage1D_rewrite_ptr;

static void
epoxy_glCopyTexImage1DEXT_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    epoxy_glCopyTexImage1DEXT = (void *)epoxy_glCopyTexImage1D_resolver();
    epoxy_glCopyTexImage1DEXT(target, level, internalformat, x, y, width, border);
}
PUBLIC PFNGLCOPYTEXIMAGE1DEXTPROC epoxy_glCopyTexImage1DEXT = epoxy_glCopyTexImage1DEXT_rewrite_ptr;

static void
epoxy_glCopyTexImage2D_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    epoxy_glCopyTexImage2D = (void *)epoxy_glCopyTexImage2D_resolver();
    epoxy_glCopyTexImage2D(target, level, internalformat, x, y, width, height, border);
}
PUBLIC PFNGLCOPYTEXIMAGE2DPROC epoxy_glCopyTexImage2D = epoxy_glCopyTexImage2D_rewrite_ptr;

static void
epoxy_glCopyTexImage2DEXT_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    epoxy_glCopyTexImage2DEXT = (void *)epoxy_glCopyTexImage2D_resolver();
    epoxy_glCopyTexImage2DEXT(target, level, internalformat, x, y, width, height, border);
}
PUBLIC PFNGLCOPYTEXIMAGE2DEXTPROC epoxy_glCopyTexImage2DEXT = epoxy_glCopyTexImage2DEXT_rewrite_ptr;

static void
epoxy_glCopyTexSubImage1D_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    epoxy_glCopyTexSubImage1D = (void *)epoxy_glCopyTexSubImage1D_resolver();
    epoxy_glCopyTexSubImage1D(target, level, xoffset, x, y, width);
}
PUBLIC PFNGLCOPYTEXSUBIMAGE1DPROC epoxy_glCopyTexSubImage1D = epoxy_glCopyTexSubImage1D_rewrite_ptr;

static void
epoxy_glCopyTexSubImage1DEXT_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    epoxy_glCopyTexSubImage1DEXT = (void *)epoxy_glCopyTexSubImage1D_resolver();
    epoxy_glCopyTexSubImage1DEXT(target, level, xoffset, x, y, width);
}
PUBLIC PFNGLCOPYTEXSUBIMAGE1DEXTPROC epoxy_glCopyTexSubImage1DEXT = epoxy_glCopyTexSubImage1DEXT_rewrite_ptr;

static void
epoxy_glCopyTexSubImage2D_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glCopyTexSubImage2D = (void *)epoxy_glCopyTexSubImage2D_resolver();
    epoxy_glCopyTexSubImage2D(target, level, xoffset, yoffset, x, y, width, height);
}
PUBLIC PFNGLCOPYTEXSUBIMAGE2DPROC epoxy_glCopyTexSubImage2D = epoxy_glCopyTexSubImage2D_rewrite_ptr;

static void
epoxy_glCopyTexSubImage2DEXT_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glCopyTexSubImage2DEXT = (void *)epoxy_glCopyTexSubImage2D_resolver();
    epoxy_glCopyTexSubImage2DEXT(target, level, xoffset, yoffset, x, y, width, height);
}
PUBLIC PFNGLCOPYTEXSUBIMAGE2DEXTPROC epoxy_glCopyTexSubImage2DEXT = epoxy_glCopyTexSubImage2DEXT_rewrite_ptr;

static void
epoxy_glCopyTexSubImage3D_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glCopyTexSubImage3D = (void *)epoxy_glCopyTexSubImage3D_resolver();
    epoxy_glCopyTexSubImage3D(target, level, xoffset, yoffset, zoffset, x, y, width, height);
}
PUBLIC PFNGLCOPYTEXSUBIMAGE3DPROC epoxy_glCopyTexSubImage3D = epoxy_glCopyTexSubImage3D_rewrite_ptr;

static void
epoxy_glCopyTexSubImage3DEXT_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glCopyTexSubImage3DEXT = (void *)epoxy_glCopyTexSubImage3D_resolver();
    epoxy_glCopyTexSubImage3DEXT(target, level, xoffset, yoffset, zoffset, x, y, width, height);
}
PUBLIC PFNGLCOPYTEXSUBIMAGE3DEXTPROC epoxy_glCopyTexSubImage3DEXT = epoxy_glCopyTexSubImage3DEXT_rewrite_ptr;

static void
epoxy_glCopyTexSubImage3DOES_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glCopyTexSubImage3DOES = (void *)epoxy_glCopyTexSubImage3D_resolver();
    epoxy_glCopyTexSubImage3DOES(target, level, xoffset, yoffset, zoffset, x, y, width, height);
}
PUBLIC PFNGLCOPYTEXSUBIMAGE3DOESPROC epoxy_glCopyTexSubImage3DOES = epoxy_glCopyTexSubImage3DOES_rewrite_ptr;

static void
epoxy_glCopyTextureImage1DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    epoxy_glCopyTextureImage1DEXT = (void *)epoxy_glCopyTextureImage1DEXT_resolver();
    epoxy_glCopyTextureImage1DEXT(texture, target, level, internalformat, x, y, width, border);
}
PUBLIC PFNGLCOPYTEXTUREIMAGE1DEXTPROC epoxy_glCopyTextureImage1DEXT = epoxy_glCopyTextureImage1DEXT_rewrite_ptr;

static void
epoxy_glCopyTextureImage2DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    epoxy_glCopyTextureImage2DEXT = (void *)epoxy_glCopyTextureImage2DEXT_resolver();
    epoxy_glCopyTextureImage2DEXT(texture, target, level, internalformat, x, y, width, height, border);
}
PUBLIC PFNGLCOPYTEXTUREIMAGE2DEXTPROC epoxy_glCopyTextureImage2DEXT = epoxy_glCopyTextureImage2DEXT_rewrite_ptr;

static void
epoxy_glCopyTextureLevelsAPPLE_rewrite_ptr(GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount)
{
    epoxy_glCopyTextureLevelsAPPLE = (void *)epoxy_glCopyTextureLevelsAPPLE_resolver();
    epoxy_glCopyTextureLevelsAPPLE(destinationTexture, sourceTexture, sourceBaseLevel, sourceLevelCount);
}
PUBLIC PFNGLCOPYTEXTURELEVELSAPPLEPROC epoxy_glCopyTextureLevelsAPPLE = epoxy_glCopyTextureLevelsAPPLE_rewrite_ptr;

static void
epoxy_glCopyTextureSubImage1DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    epoxy_glCopyTextureSubImage1DEXT = (void *)epoxy_glCopyTextureSubImage1DEXT_resolver();
    epoxy_glCopyTextureSubImage1DEXT(texture, target, level, xoffset, x, y, width);
}
PUBLIC PFNGLCOPYTEXTURESUBIMAGE1DEXTPROC epoxy_glCopyTextureSubImage1DEXT = epoxy_glCopyTextureSubImage1DEXT_rewrite_ptr;

static void
epoxy_glCopyTextureSubImage2DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glCopyTextureSubImage2DEXT = (void *)epoxy_glCopyTextureSubImage2DEXT_resolver();
    epoxy_glCopyTextureSubImage2DEXT(texture, target, level, xoffset, yoffset, x, y, width, height);
}
PUBLIC PFNGLCOPYTEXTURESUBIMAGE2DEXTPROC epoxy_glCopyTextureSubImage2DEXT = epoxy_glCopyTextureSubImage2DEXT_rewrite_ptr;

static void
epoxy_glCopyTextureSubImage3DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glCopyTextureSubImage3DEXT = (void *)epoxy_glCopyTextureSubImage3DEXT_resolver();
    epoxy_glCopyTextureSubImage3DEXT(texture, target, level, xoffset, yoffset, zoffset, x, y, width, height);
}
PUBLIC PFNGLCOPYTEXTURESUBIMAGE3DEXTPROC epoxy_glCopyTextureSubImage3DEXT = epoxy_glCopyTextureSubImage3DEXT_rewrite_ptr;

static void
epoxy_glCoverFillPathInstancedNV_rewrite_ptr(GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat * transformValues)
{
    epoxy_glCoverFillPathInstancedNV = (void *)epoxy_glCoverFillPathInstancedNV_resolver();
    epoxy_glCoverFillPathInstancedNV(numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues);
}
PUBLIC PFNGLCOVERFILLPATHINSTANCEDNVPROC epoxy_glCoverFillPathInstancedNV = epoxy_glCoverFillPathInstancedNV_rewrite_ptr;

static void
epoxy_glCoverFillPathNV_rewrite_ptr(GLuint path, GLenum coverMode)
{
    epoxy_glCoverFillPathNV = (void *)epoxy_glCoverFillPathNV_resolver();
    epoxy_glCoverFillPathNV(path, coverMode);
}
PUBLIC PFNGLCOVERFILLPATHNVPROC epoxy_glCoverFillPathNV = epoxy_glCoverFillPathNV_rewrite_ptr;

static void
epoxy_glCoverStrokePathInstancedNV_rewrite_ptr(GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat * transformValues)
{
    epoxy_glCoverStrokePathInstancedNV = (void *)epoxy_glCoverStrokePathInstancedNV_resolver();
    epoxy_glCoverStrokePathInstancedNV(numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues);
}
PUBLIC PFNGLCOVERSTROKEPATHINSTANCEDNVPROC epoxy_glCoverStrokePathInstancedNV = epoxy_glCoverStrokePathInstancedNV_rewrite_ptr;

static void
epoxy_glCoverStrokePathNV_rewrite_ptr(GLuint path, GLenum coverMode)
{
    epoxy_glCoverStrokePathNV = (void *)epoxy_glCoverStrokePathNV_resolver();
    epoxy_glCoverStrokePathNV(path, coverMode);
}
PUBLIC PFNGLCOVERSTROKEPATHNVPROC epoxy_glCoverStrokePathNV = epoxy_glCoverStrokePathNV_rewrite_ptr;

static void
epoxy_glCoverageMaskNV_rewrite_ptr(GLboolean mask)
{
    epoxy_glCoverageMaskNV = (void *)epoxy_glCoverageMaskNV_resolver();
    epoxy_glCoverageMaskNV(mask);
}
PUBLIC PFNGLCOVERAGEMASKNVPROC epoxy_glCoverageMaskNV = epoxy_glCoverageMaskNV_rewrite_ptr;

static void
epoxy_glCoverageOperationNV_rewrite_ptr(GLenum operation)
{
    epoxy_glCoverageOperationNV = (void *)epoxy_glCoverageOperationNV_resolver();
    epoxy_glCoverageOperationNV(operation);
}
PUBLIC PFNGLCOVERAGEOPERATIONNVPROC epoxy_glCoverageOperationNV = epoxy_glCoverageOperationNV_rewrite_ptr;

static void
epoxy_glCreatePerfQueryINTEL_rewrite_ptr(GLuint queryId, GLuint * queryHandle)
{
    epoxy_glCreatePerfQueryINTEL = (void *)epoxy_glCreatePerfQueryINTEL_resolver();
    epoxy_glCreatePerfQueryINTEL(queryId, queryHandle);
}
PUBLIC PFNGLCREATEPERFQUERYINTELPROC epoxy_glCreatePerfQueryINTEL = epoxy_glCreatePerfQueryINTEL_rewrite_ptr;

static GLuint
epoxy_glCreateProgram_rewrite_ptr(void)
{
    epoxy_glCreateProgram = (void *)epoxy_glCreateProgram_resolver();
    return epoxy_glCreateProgram();
}
PUBLIC PFNGLCREATEPROGRAMPROC epoxy_glCreateProgram = epoxy_glCreateProgram_rewrite_ptr;

static GLhandleARB
epoxy_glCreateProgramObjectARB_rewrite_ptr(void)
{
    epoxy_glCreateProgramObjectARB = (void *)epoxy_glCreateProgram_resolver();
    return epoxy_glCreateProgramObjectARB();
}
PUBLIC PFNGLCREATEPROGRAMOBJECTARBPROC epoxy_glCreateProgramObjectARB = epoxy_glCreateProgramObjectARB_rewrite_ptr;

static GLuint
epoxy_glCreateShader_rewrite_ptr(GLenum type)
{
    epoxy_glCreateShader = (void *)epoxy_glCreateShader_resolver();
    return epoxy_glCreateShader(type);
}
PUBLIC PFNGLCREATESHADERPROC epoxy_glCreateShader = epoxy_glCreateShader_rewrite_ptr;

static GLhandleARB
epoxy_glCreateShaderObjectARB_rewrite_ptr(GLenum shaderType)
{
    epoxy_glCreateShaderObjectARB = (void *)epoxy_glCreateShader_resolver();
    return epoxy_glCreateShaderObjectARB(shaderType);
}
PUBLIC PFNGLCREATESHADEROBJECTARBPROC epoxy_glCreateShaderObjectARB = epoxy_glCreateShaderObjectARB_rewrite_ptr;

static GLuint
epoxy_glCreateShaderProgramEXT_rewrite_ptr(GLenum type, const GLchar * string)
{
    epoxy_glCreateShaderProgramEXT = (void *)epoxy_glCreateShaderProgramEXT_resolver();
    return epoxy_glCreateShaderProgramEXT(type, string);
}
PUBLIC PFNGLCREATESHADERPROGRAMEXTPROC epoxy_glCreateShaderProgramEXT = epoxy_glCreateShaderProgramEXT_rewrite_ptr;

static GLuint
epoxy_glCreateShaderProgramv_rewrite_ptr(GLenum type, GLsizei count, const GLchar *const* strings)
{
    epoxy_glCreateShaderProgramv = (void *)epoxy_glCreateShaderProgramv_resolver();
    return epoxy_glCreateShaderProgramv(type, count, strings);
}
PUBLIC PFNGLCREATESHADERPROGRAMVPROC epoxy_glCreateShaderProgramv = epoxy_glCreateShaderProgramv_rewrite_ptr;

static GLuint
epoxy_glCreateShaderProgramvEXT_rewrite_ptr(GLenum type, GLsizei count, const GLchar ** strings)
{
    epoxy_glCreateShaderProgramvEXT = (void *)epoxy_glCreateShaderProgramvEXT_resolver();
    return epoxy_glCreateShaderProgramvEXT(type, count, strings);
}
PUBLIC PFNGLCREATESHADERPROGRAMVEXTPROC epoxy_glCreateShaderProgramvEXT = epoxy_glCreateShaderProgramvEXT_rewrite_ptr;

static GLsync
epoxy_glCreateSyncFromCLeventARB_rewrite_ptr(struct _cl_context * context, struct _cl_event * event, GLbitfield flags)
{
    epoxy_glCreateSyncFromCLeventARB = (void *)epoxy_glCreateSyncFromCLeventARB_resolver();
    return epoxy_glCreateSyncFromCLeventARB(context, event, flags);
}
PUBLIC PFNGLCREATESYNCFROMCLEVENTARBPROC epoxy_glCreateSyncFromCLeventARB = epoxy_glCreateSyncFromCLeventARB_rewrite_ptr;

static void
epoxy_glCullFace_rewrite_ptr(GLenum mode)
{
    epoxy_glCullFace = (void *)epoxy_glCullFace_resolver();
    epoxy_glCullFace(mode);
}
PUBLIC PFNGLCULLFACEPROC epoxy_glCullFace = epoxy_glCullFace_rewrite_ptr;

static void
epoxy_glCullParameterdvEXT_rewrite_ptr(GLenum pname, GLdouble * params)
{
    epoxy_glCullParameterdvEXT = (void *)epoxy_glCullParameterdvEXT_resolver();
    epoxy_glCullParameterdvEXT(pname, params);
}
PUBLIC PFNGLCULLPARAMETERDVEXTPROC epoxy_glCullParameterdvEXT = epoxy_glCullParameterdvEXT_rewrite_ptr;

static void
epoxy_glCullParameterfvEXT_rewrite_ptr(GLenum pname, GLfloat * params)
{
    epoxy_glCullParameterfvEXT = (void *)epoxy_glCullParameterfvEXT_resolver();
    epoxy_glCullParameterfvEXT(pname, params);
}
PUBLIC PFNGLCULLPARAMETERFVEXTPROC epoxy_glCullParameterfvEXT = epoxy_glCullParameterfvEXT_rewrite_ptr;

static void
epoxy_glCurrentPaletteMatrixARB_rewrite_ptr(GLint index)
{
    epoxy_glCurrentPaletteMatrixARB = (void *)epoxy_glCurrentPaletteMatrixARB_resolver();
    epoxy_glCurrentPaletteMatrixARB(index);
}
PUBLIC PFNGLCURRENTPALETTEMATRIXARBPROC epoxy_glCurrentPaletteMatrixARB = epoxy_glCurrentPaletteMatrixARB_rewrite_ptr;

static void
epoxy_glCurrentPaletteMatrixOES_rewrite_ptr(GLuint matrixpaletteindex)
{
    epoxy_glCurrentPaletteMatrixOES = (void *)epoxy_glCurrentPaletteMatrixOES_resolver();
    epoxy_glCurrentPaletteMatrixOES(matrixpaletteindex);
}
PUBLIC PFNGLCURRENTPALETTEMATRIXOESPROC epoxy_glCurrentPaletteMatrixOES = epoxy_glCurrentPaletteMatrixOES_rewrite_ptr;

static void
epoxy_glDebugMessageCallback_rewrite_ptr(GLDEBUGPROC callback, const void * userParam)
{
    epoxy_glDebugMessageCallback = (void *)epoxy_glDebugMessageCallback_resolver();
    epoxy_glDebugMessageCallback(callback, userParam);
}
PUBLIC PFNGLDEBUGMESSAGECALLBACKPROC epoxy_glDebugMessageCallback = epoxy_glDebugMessageCallback_rewrite_ptr;

static void
epoxy_glDebugMessageCallbackAMD_rewrite_ptr(GLDEBUGPROCAMD callback, void * userParam)
{
    epoxy_glDebugMessageCallbackAMD = (void *)epoxy_glDebugMessageCallbackAMD_resolver();
    epoxy_glDebugMessageCallbackAMD(callback, userParam);
}
PUBLIC PFNGLDEBUGMESSAGECALLBACKAMDPROC epoxy_glDebugMessageCallbackAMD = epoxy_glDebugMessageCallbackAMD_rewrite_ptr;

static void
epoxy_glDebugMessageCallbackARB_rewrite_ptr(GLDEBUGPROCARB callback, const void * userParam)
{
    epoxy_glDebugMessageCallbackARB = (void *)epoxy_glDebugMessageCallback_resolver();
    epoxy_glDebugMessageCallbackARB(callback, userParam);
}
PUBLIC PFNGLDEBUGMESSAGECALLBACKARBPROC epoxy_glDebugMessageCallbackARB = epoxy_glDebugMessageCallbackARB_rewrite_ptr;

static void
epoxy_glDebugMessageCallbackKHR_rewrite_ptr(GLDEBUGPROCKHR callback, const void * userParam)
{
    epoxy_glDebugMessageCallbackKHR = (void *)epoxy_glDebugMessageCallback_resolver();
    epoxy_glDebugMessageCallbackKHR(callback, userParam);
}
PUBLIC PFNGLDEBUGMESSAGECALLBACKKHRPROC epoxy_glDebugMessageCallbackKHR = epoxy_glDebugMessageCallbackKHR_rewrite_ptr;

static void
epoxy_glDebugMessageControl_rewrite_ptr(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)
{
    epoxy_glDebugMessageControl = (void *)epoxy_glDebugMessageControl_resolver();
    epoxy_glDebugMessageControl(source, type, severity, count, ids, enabled);
}
PUBLIC PFNGLDEBUGMESSAGECONTROLPROC epoxy_glDebugMessageControl = epoxy_glDebugMessageControl_rewrite_ptr;

static void
epoxy_glDebugMessageControlARB_rewrite_ptr(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)
{
    epoxy_glDebugMessageControlARB = (void *)epoxy_glDebugMessageControl_resolver();
    epoxy_glDebugMessageControlARB(source, type, severity, count, ids, enabled);
}
PUBLIC PFNGLDEBUGMESSAGECONTROLARBPROC epoxy_glDebugMessageControlARB = epoxy_glDebugMessageControlARB_rewrite_ptr;

static void
epoxy_glDebugMessageControlKHR_rewrite_ptr(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)
{
    epoxy_glDebugMessageControlKHR = (void *)epoxy_glDebugMessageControl_resolver();
    epoxy_glDebugMessageControlKHR(source, type, severity, count, ids, enabled);
}
PUBLIC PFNGLDEBUGMESSAGECONTROLKHRPROC epoxy_glDebugMessageControlKHR = epoxy_glDebugMessageControlKHR_rewrite_ptr;

static void
epoxy_glDebugMessageEnableAMD_rewrite_ptr(GLenum category, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)
{
    epoxy_glDebugMessageEnableAMD = (void *)epoxy_glDebugMessageEnableAMD_resolver();
    epoxy_glDebugMessageEnableAMD(category, severity, count, ids, enabled);
}
PUBLIC PFNGLDEBUGMESSAGEENABLEAMDPROC epoxy_glDebugMessageEnableAMD = epoxy_glDebugMessageEnableAMD_rewrite_ptr;

static void
epoxy_glDebugMessageInsert_rewrite_ptr(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar * buf)
{
    epoxy_glDebugMessageInsert = (void *)epoxy_glDebugMessageInsert_resolver();
    epoxy_glDebugMessageInsert(source, type, id, severity, length, buf);
}
PUBLIC PFNGLDEBUGMESSAGEINSERTPROC epoxy_glDebugMessageInsert = epoxy_glDebugMessageInsert_rewrite_ptr;

static void
epoxy_glDebugMessageInsertAMD_rewrite_ptr(GLenum category, GLenum severity, GLuint id, GLsizei length, const GLchar * buf)
{
    epoxy_glDebugMessageInsertAMD = (void *)epoxy_glDebugMessageInsertAMD_resolver();
    epoxy_glDebugMessageInsertAMD(category, severity, id, length, buf);
}
PUBLIC PFNGLDEBUGMESSAGEINSERTAMDPROC epoxy_glDebugMessageInsertAMD = epoxy_glDebugMessageInsertAMD_rewrite_ptr;

static void
epoxy_glDebugMessageInsertARB_rewrite_ptr(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar * buf)
{
    epoxy_glDebugMessageInsertARB = (void *)epoxy_glDebugMessageInsert_resolver();
    epoxy_glDebugMessageInsertARB(source, type, id, severity, length, buf);
}
PUBLIC PFNGLDEBUGMESSAGEINSERTARBPROC epoxy_glDebugMessageInsertARB = epoxy_glDebugMessageInsertARB_rewrite_ptr;

static void
epoxy_glDebugMessageInsertKHR_rewrite_ptr(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar * buf)
{
    epoxy_glDebugMessageInsertKHR = (void *)epoxy_glDebugMessageInsert_resolver();
    epoxy_glDebugMessageInsertKHR(source, type, id, severity, length, buf);
}
PUBLIC PFNGLDEBUGMESSAGEINSERTKHRPROC epoxy_glDebugMessageInsertKHR = epoxy_glDebugMessageInsertKHR_rewrite_ptr;

static void
epoxy_glDeformSGIX_rewrite_ptr(GLbitfield mask)
{
    epoxy_glDeformSGIX = (void *)epoxy_glDeformSGIX_resolver();
    epoxy_glDeformSGIX(mask);
}
PUBLIC PFNGLDEFORMSGIXPROC epoxy_glDeformSGIX = epoxy_glDeformSGIX_rewrite_ptr;

static void
epoxy_glDeformationMap3dSGIX_rewrite_ptr(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, GLdouble w1, GLdouble w2, GLint wstride, GLint worder, const GLdouble * points)
{
    epoxy_glDeformationMap3dSGIX = (void *)epoxy_glDeformationMap3dSGIX_resolver();
    epoxy_glDeformationMap3dSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points);
}
PUBLIC PFNGLDEFORMATIONMAP3DSGIXPROC epoxy_glDeformationMap3dSGIX = epoxy_glDeformationMap3dSGIX_rewrite_ptr;

static void
epoxy_glDeformationMap3fSGIX_rewrite_ptr(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, GLfloat w1, GLfloat w2, GLint wstride, GLint worder, const GLfloat * points)
{
    epoxy_glDeformationMap3fSGIX = (void *)epoxy_glDeformationMap3fSGIX_resolver();
    epoxy_glDeformationMap3fSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points);
}
PUBLIC PFNGLDEFORMATIONMAP3FSGIXPROC epoxy_glDeformationMap3fSGIX = epoxy_glDeformationMap3fSGIX_rewrite_ptr;

static void
epoxy_glDeleteAsyncMarkersSGIX_rewrite_ptr(GLuint marker, GLsizei range)
{
    epoxy_glDeleteAsyncMarkersSGIX = (void *)epoxy_glDeleteAsyncMarkersSGIX_resolver();
    epoxy_glDeleteAsyncMarkersSGIX(marker, range);
}
PUBLIC PFNGLDELETEASYNCMARKERSSGIXPROC epoxy_glDeleteAsyncMarkersSGIX = epoxy_glDeleteAsyncMarkersSGIX_rewrite_ptr;

static void
epoxy_glDeleteBuffers_rewrite_ptr(GLsizei n, const GLuint * buffers)
{
    epoxy_glDeleteBuffers = (void *)epoxy_glDeleteBuffers_resolver();
    epoxy_glDeleteBuffers(n, buffers);
}
PUBLIC PFNGLDELETEBUFFERSPROC epoxy_glDeleteBuffers = epoxy_glDeleteBuffers_rewrite_ptr;

static void
epoxy_glDeleteBuffersARB_rewrite_ptr(GLsizei n, const GLuint * buffers)
{
    epoxy_glDeleteBuffersARB = (void *)epoxy_glDeleteBuffers_resolver();
    epoxy_glDeleteBuffersARB(n, buffers);
}
PUBLIC PFNGLDELETEBUFFERSARBPROC epoxy_glDeleteBuffersARB = epoxy_glDeleteBuffersARB_rewrite_ptr;

static void
epoxy_glDeleteFencesAPPLE_rewrite_ptr(GLsizei n, const GLuint * fences)
{
    epoxy_glDeleteFencesAPPLE = (void *)epoxy_glDeleteFencesAPPLE_resolver();
    epoxy_glDeleteFencesAPPLE(n, fences);
}
PUBLIC PFNGLDELETEFENCESAPPLEPROC epoxy_glDeleteFencesAPPLE = epoxy_glDeleteFencesAPPLE_rewrite_ptr;

static void
epoxy_glDeleteFencesNV_rewrite_ptr(GLsizei n, const GLuint * fences)
{
    epoxy_glDeleteFencesNV = (void *)epoxy_glDeleteFencesNV_resolver();
    epoxy_glDeleteFencesNV(n, fences);
}
PUBLIC PFNGLDELETEFENCESNVPROC epoxy_glDeleteFencesNV = epoxy_glDeleteFencesNV_rewrite_ptr;

static void
epoxy_glDeleteFragmentShaderATI_rewrite_ptr(GLuint id)
{
    epoxy_glDeleteFragmentShaderATI = (void *)epoxy_glDeleteFragmentShaderATI_resolver();
    epoxy_glDeleteFragmentShaderATI(id);
}
PUBLIC PFNGLDELETEFRAGMENTSHADERATIPROC epoxy_glDeleteFragmentShaderATI = epoxy_glDeleteFragmentShaderATI_rewrite_ptr;

static void
epoxy_glDeleteFramebuffers_rewrite_ptr(GLsizei n, const GLuint * framebuffers)
{
    epoxy_glDeleteFramebuffers = (void *)epoxy_glDeleteFramebuffers_resolver();
    epoxy_glDeleteFramebuffers(n, framebuffers);
}
PUBLIC PFNGLDELETEFRAMEBUFFERSPROC epoxy_glDeleteFramebuffers = epoxy_glDeleteFramebuffers_rewrite_ptr;

static void
epoxy_glDeleteFramebuffersEXT_rewrite_ptr(GLsizei n, const GLuint * framebuffers)
{
    epoxy_glDeleteFramebuffersEXT = (void *)epoxy_glDeleteFramebuffers_resolver();
    epoxy_glDeleteFramebuffersEXT(n, framebuffers);
}
PUBLIC PFNGLDELETEFRAMEBUFFERSEXTPROC epoxy_glDeleteFramebuffersEXT = epoxy_glDeleteFramebuffersEXT_rewrite_ptr;

static void
epoxy_glDeleteFramebuffersOES_rewrite_ptr(GLsizei n, const GLuint * framebuffers)
{
    epoxy_glDeleteFramebuffersOES = (void *)epoxy_glDeleteFramebuffersOES_resolver();
    epoxy_glDeleteFramebuffersOES(n, framebuffers);
}
PUBLIC PFNGLDELETEFRAMEBUFFERSOESPROC epoxy_glDeleteFramebuffersOES = epoxy_glDeleteFramebuffersOES_rewrite_ptr;

static void
epoxy_glDeleteLists_rewrite_ptr(GLuint list, GLsizei range)
{
    epoxy_glDeleteLists = (void *)epoxy_glDeleteLists_resolver();
    epoxy_glDeleteLists(list, range);
}
PUBLIC PFNGLDELETELISTSPROC epoxy_glDeleteLists = epoxy_glDeleteLists_rewrite_ptr;

static void
epoxy_glDeleteNamedStringARB_rewrite_ptr(GLint namelen, const GLchar * name)
{
    epoxy_glDeleteNamedStringARB = (void *)epoxy_glDeleteNamedStringARB_resolver();
    epoxy_glDeleteNamedStringARB(namelen, name);
}
PUBLIC PFNGLDELETENAMEDSTRINGARBPROC epoxy_glDeleteNamedStringARB = epoxy_glDeleteNamedStringARB_rewrite_ptr;

static void
epoxy_glDeleteNamesAMD_rewrite_ptr(GLenum identifier, GLuint num, const GLuint * names)
{
    epoxy_glDeleteNamesAMD = (void *)epoxy_glDeleteNamesAMD_resolver();
    epoxy_glDeleteNamesAMD(identifier, num, names);
}
PUBLIC PFNGLDELETENAMESAMDPROC epoxy_glDeleteNamesAMD = epoxy_glDeleteNamesAMD_rewrite_ptr;

static void
epoxy_glDeleteObjectARB_rewrite_ptr(GLhandleARB obj)
{
    epoxy_glDeleteObjectARB = (void *)epoxy_glDeleteObjectARB_resolver();
    epoxy_glDeleteObjectARB((uintptr_t)obj);
}
PUBLIC PFNGLDELETEOBJECTARBPROC epoxy_glDeleteObjectARB = epoxy_glDeleteObjectARB_rewrite_ptr;

static void
epoxy_glDeleteOcclusionQueriesNV_rewrite_ptr(GLsizei n, const GLuint * ids)
{
    epoxy_glDeleteOcclusionQueriesNV = (void *)epoxy_glDeleteOcclusionQueriesNV_resolver();
    epoxy_glDeleteOcclusionQueriesNV(n, ids);
}
PUBLIC PFNGLDELETEOCCLUSIONQUERIESNVPROC epoxy_glDeleteOcclusionQueriesNV = epoxy_glDeleteOcclusionQueriesNV_rewrite_ptr;

static void
epoxy_glDeletePathsNV_rewrite_ptr(GLuint path, GLsizei range)
{
    epoxy_glDeletePathsNV = (void *)epoxy_glDeletePathsNV_resolver();
    epoxy_glDeletePathsNV(path, range);
}
PUBLIC PFNGLDELETEPATHSNVPROC epoxy_glDeletePathsNV = epoxy_glDeletePathsNV_rewrite_ptr;

static void
epoxy_glDeletePerfMonitorsAMD_rewrite_ptr(GLsizei n, GLuint * monitors)
{
    epoxy_glDeletePerfMonitorsAMD = (void *)epoxy_glDeletePerfMonitorsAMD_resolver();
    epoxy_glDeletePerfMonitorsAMD(n, monitors);
}
PUBLIC PFNGLDELETEPERFMONITORSAMDPROC epoxy_glDeletePerfMonitorsAMD = epoxy_glDeletePerfMonitorsAMD_rewrite_ptr;

static void
epoxy_glDeletePerfQueryINTEL_rewrite_ptr(GLuint queryHandle)
{
    epoxy_glDeletePerfQueryINTEL = (void *)epoxy_glDeletePerfQueryINTEL_resolver();
    epoxy_glDeletePerfQueryINTEL(queryHandle);
}
PUBLIC PFNGLDELETEPERFQUERYINTELPROC epoxy_glDeletePerfQueryINTEL = epoxy_glDeletePerfQueryINTEL_rewrite_ptr;

static void
epoxy_glDeleteProgram_rewrite_ptr(GLuint program)
{
    epoxy_glDeleteProgram = (void *)epoxy_glDeleteProgram_resolver();
    epoxy_glDeleteProgram(program);
}
PUBLIC PFNGLDELETEPROGRAMPROC epoxy_glDeleteProgram = epoxy_glDeleteProgram_rewrite_ptr;

static void
epoxy_glDeleteProgramPipelines_rewrite_ptr(GLsizei n, const GLuint * pipelines)
{
    epoxy_glDeleteProgramPipelines = (void *)epoxy_glDeleteProgramPipelines_resolver();
    epoxy_glDeleteProgramPipelines(n, pipelines);
}
PUBLIC PFNGLDELETEPROGRAMPIPELINESPROC epoxy_glDeleteProgramPipelines = epoxy_glDeleteProgramPipelines_rewrite_ptr;

static void
epoxy_glDeleteProgramPipelinesEXT_rewrite_ptr(GLsizei n, const GLuint * pipelines)
{
    epoxy_glDeleteProgramPipelinesEXT = (void *)epoxy_glDeleteProgramPipelinesEXT_resolver();
    epoxy_glDeleteProgramPipelinesEXT(n, pipelines);
}
PUBLIC PFNGLDELETEPROGRAMPIPELINESEXTPROC epoxy_glDeleteProgramPipelinesEXT = epoxy_glDeleteProgramPipelinesEXT_rewrite_ptr;

static void
epoxy_glDeleteProgramsARB_rewrite_ptr(GLsizei n, const GLuint * programs)
{
    epoxy_glDeleteProgramsARB = (void *)epoxy_glDeleteProgramsARB_resolver();
    epoxy_glDeleteProgramsARB(n, programs);
}
PUBLIC PFNGLDELETEPROGRAMSARBPROC epoxy_glDeleteProgramsARB = epoxy_glDeleteProgramsARB_rewrite_ptr;

static void
epoxy_glDeleteProgramsNV_rewrite_ptr(GLsizei n, const GLuint * programs)
{
    epoxy_glDeleteProgramsNV = (void *)epoxy_glDeleteProgramsARB_resolver();
    epoxy_glDeleteProgramsNV(n, programs);
}
PUBLIC PFNGLDELETEPROGRAMSNVPROC epoxy_glDeleteProgramsNV = epoxy_glDeleteProgramsNV_rewrite_ptr;

static void
epoxy_glDeleteQueries_rewrite_ptr(GLsizei n, const GLuint * ids)
{
    epoxy_glDeleteQueries = (void *)epoxy_glDeleteQueries_resolver();
    epoxy_glDeleteQueries(n, ids);
}
PUBLIC PFNGLDELETEQUERIESPROC epoxy_glDeleteQueries = epoxy_glDeleteQueries_rewrite_ptr;

static void
epoxy_glDeleteQueriesARB_rewrite_ptr(GLsizei n, const GLuint * ids)
{
    epoxy_glDeleteQueriesARB = (void *)epoxy_glDeleteQueries_resolver();
    epoxy_glDeleteQueriesARB(n, ids);
}
PUBLIC PFNGLDELETEQUERIESARBPROC epoxy_glDeleteQueriesARB = epoxy_glDeleteQueriesARB_rewrite_ptr;

static void
epoxy_glDeleteQueriesEXT_rewrite_ptr(GLsizei n, const GLuint * ids)
{
    epoxy_glDeleteQueriesEXT = (void *)epoxy_glDeleteQueriesEXT_resolver();
    epoxy_glDeleteQueriesEXT(n, ids);
}
PUBLIC PFNGLDELETEQUERIESEXTPROC epoxy_glDeleteQueriesEXT = epoxy_glDeleteQueriesEXT_rewrite_ptr;

static void
epoxy_glDeleteRenderbuffers_rewrite_ptr(GLsizei n, const GLuint * renderbuffers)
{
    epoxy_glDeleteRenderbuffers = (void *)epoxy_glDeleteRenderbuffers_resolver();
    epoxy_glDeleteRenderbuffers(n, renderbuffers);
}
PUBLIC PFNGLDELETERENDERBUFFERSPROC epoxy_glDeleteRenderbuffers = epoxy_glDeleteRenderbuffers_rewrite_ptr;

static void
epoxy_glDeleteRenderbuffersEXT_rewrite_ptr(GLsizei n, const GLuint * renderbuffers)
{
    epoxy_glDeleteRenderbuffersEXT = (void *)epoxy_glDeleteRenderbuffers_resolver();
    epoxy_glDeleteRenderbuffersEXT(n, renderbuffers);
}
PUBLIC PFNGLDELETERENDERBUFFERSEXTPROC epoxy_glDeleteRenderbuffersEXT = epoxy_glDeleteRenderbuffersEXT_rewrite_ptr;

static void
epoxy_glDeleteRenderbuffersOES_rewrite_ptr(GLsizei n, const GLuint * renderbuffers)
{
    epoxy_glDeleteRenderbuffersOES = (void *)epoxy_glDeleteRenderbuffersOES_resolver();
    epoxy_glDeleteRenderbuffersOES(n, renderbuffers);
}
PUBLIC PFNGLDELETERENDERBUFFERSOESPROC epoxy_glDeleteRenderbuffersOES = epoxy_glDeleteRenderbuffersOES_rewrite_ptr;

static void
epoxy_glDeleteSamplers_rewrite_ptr(GLsizei count, const GLuint * samplers)
{
    epoxy_glDeleteSamplers = (void *)epoxy_glDeleteSamplers_resolver();
    epoxy_glDeleteSamplers(count, samplers);
}
PUBLIC PFNGLDELETESAMPLERSPROC epoxy_glDeleteSamplers = epoxy_glDeleteSamplers_rewrite_ptr;

static void
epoxy_glDeleteShader_rewrite_ptr(GLuint shader)
{
    epoxy_glDeleteShader = (void *)epoxy_glDeleteShader_resolver();
    epoxy_glDeleteShader(shader);
}
PUBLIC PFNGLDELETESHADERPROC epoxy_glDeleteShader = epoxy_glDeleteShader_rewrite_ptr;

static void
epoxy_glDeleteSync_rewrite_ptr(GLsync sync)
{
    epoxy_glDeleteSync = (void *)epoxy_glDeleteSync_resolver();
    epoxy_glDeleteSync(sync);
}
PUBLIC PFNGLDELETESYNCPROC epoxy_glDeleteSync = epoxy_glDeleteSync_rewrite_ptr;

static void
epoxy_glDeleteSyncAPPLE_rewrite_ptr(GLsync sync)
{
    epoxy_glDeleteSyncAPPLE = (void *)epoxy_glDeleteSync_resolver();
    epoxy_glDeleteSyncAPPLE(sync);
}
PUBLIC PFNGLDELETESYNCAPPLEPROC epoxy_glDeleteSyncAPPLE = epoxy_glDeleteSyncAPPLE_rewrite_ptr;

static void
epoxy_glDeleteTextures_rewrite_ptr(GLsizei n, const GLuint * textures)
{
    epoxy_glDeleteTextures = (void *)epoxy_glDeleteTextures_resolver();
    epoxy_glDeleteTextures(n, textures);
}
PUBLIC PFNGLDELETETEXTURESPROC epoxy_glDeleteTextures = epoxy_glDeleteTextures_rewrite_ptr;

static void
epoxy_glDeleteTexturesEXT_rewrite_ptr(GLsizei n, const GLuint * textures)
{
    epoxy_glDeleteTexturesEXT = (void *)epoxy_glDeleteTexturesEXT_resolver();
    epoxy_glDeleteTexturesEXT(n, textures);
}
PUBLIC PFNGLDELETETEXTURESEXTPROC epoxy_glDeleteTexturesEXT = epoxy_glDeleteTexturesEXT_rewrite_ptr;

static void
epoxy_glDeleteTransformFeedbacks_rewrite_ptr(GLsizei n, const GLuint * ids)
{
    epoxy_glDeleteTransformFeedbacks = (void *)epoxy_glDeleteTransformFeedbacks_resolver();
    epoxy_glDeleteTransformFeedbacks(n, ids);
}
PUBLIC PFNGLDELETETRANSFORMFEEDBACKSPROC epoxy_glDeleteTransformFeedbacks = epoxy_glDeleteTransformFeedbacks_rewrite_ptr;

static void
epoxy_glDeleteTransformFeedbacksNV_rewrite_ptr(GLsizei n, const GLuint * ids)
{
    epoxy_glDeleteTransformFeedbacksNV = (void *)epoxy_glDeleteTransformFeedbacks_resolver();
    epoxy_glDeleteTransformFeedbacksNV(n, ids);
}
PUBLIC PFNGLDELETETRANSFORMFEEDBACKSNVPROC epoxy_glDeleteTransformFeedbacksNV = epoxy_glDeleteTransformFeedbacksNV_rewrite_ptr;

static void
epoxy_glDeleteVertexArrays_rewrite_ptr(GLsizei n, const GLuint * arrays)
{
    epoxy_glDeleteVertexArrays = (void *)epoxy_glDeleteVertexArrays_resolver();
    epoxy_glDeleteVertexArrays(n, arrays);
}
PUBLIC PFNGLDELETEVERTEXARRAYSPROC epoxy_glDeleteVertexArrays = epoxy_glDeleteVertexArrays_rewrite_ptr;

static void
epoxy_glDeleteVertexArraysAPPLE_rewrite_ptr(GLsizei n, const GLuint * arrays)
{
    epoxy_glDeleteVertexArraysAPPLE = (void *)epoxy_glDeleteVertexArrays_resolver();
    epoxy_glDeleteVertexArraysAPPLE(n, arrays);
}
PUBLIC PFNGLDELETEVERTEXARRAYSAPPLEPROC epoxy_glDeleteVertexArraysAPPLE = epoxy_glDeleteVertexArraysAPPLE_rewrite_ptr;

static void
epoxy_glDeleteVertexArraysOES_rewrite_ptr(GLsizei n, const GLuint * arrays)
{
    epoxy_glDeleteVertexArraysOES = (void *)epoxy_glDeleteVertexArrays_resolver();
    epoxy_glDeleteVertexArraysOES(n, arrays);
}
PUBLIC PFNGLDELETEVERTEXARRAYSOESPROC epoxy_glDeleteVertexArraysOES = epoxy_glDeleteVertexArraysOES_rewrite_ptr;

static void
epoxy_glDeleteVertexShaderEXT_rewrite_ptr(GLuint id)
{
    epoxy_glDeleteVertexShaderEXT = (void *)epoxy_glDeleteVertexShaderEXT_resolver();
    epoxy_glDeleteVertexShaderEXT(id);
}
PUBLIC PFNGLDELETEVERTEXSHADEREXTPROC epoxy_glDeleteVertexShaderEXT = epoxy_glDeleteVertexShaderEXT_rewrite_ptr;

static void
epoxy_glDepthBoundsEXT_rewrite_ptr(GLclampd zmin, GLclampd zmax)
{
    epoxy_glDepthBoundsEXT = (void *)epoxy_glDepthBoundsEXT_resolver();
    epoxy_glDepthBoundsEXT(zmin, zmax);
}
PUBLIC PFNGLDEPTHBOUNDSEXTPROC epoxy_glDepthBoundsEXT = epoxy_glDepthBoundsEXT_rewrite_ptr;

static void
epoxy_glDepthBoundsdNV_rewrite_ptr(GLdouble zmin, GLdouble zmax)
{
    epoxy_glDepthBoundsdNV = (void *)epoxy_glDepthBoundsdNV_resolver();
    epoxy_glDepthBoundsdNV(zmin, zmax);
}
PUBLIC PFNGLDEPTHBOUNDSDNVPROC epoxy_glDepthBoundsdNV = epoxy_glDepthBoundsdNV_rewrite_ptr;

static void
epoxy_glDepthFunc_rewrite_ptr(GLenum func)
{
    epoxy_glDepthFunc = (void *)epoxy_glDepthFunc_resolver();
    epoxy_glDepthFunc(func);
}
PUBLIC PFNGLDEPTHFUNCPROC epoxy_glDepthFunc = epoxy_glDepthFunc_rewrite_ptr;

static void
epoxy_glDepthMask_rewrite_ptr(GLboolean flag)
{
    epoxy_glDepthMask = (void *)epoxy_glDepthMask_resolver();
    epoxy_glDepthMask(flag);
}
PUBLIC PFNGLDEPTHMASKPROC epoxy_glDepthMask = epoxy_glDepthMask_rewrite_ptr;

static void
epoxy_glDepthRange_rewrite_ptr(GLdouble hither, GLdouble yon)
{
    epoxy_glDepthRange = (void *)epoxy_glDepthRange_resolver();
    epoxy_glDepthRange(hither, yon);
}
PUBLIC PFNGLDEPTHRANGEPROC epoxy_glDepthRange = epoxy_glDepthRange_rewrite_ptr;

static void
epoxy_glDepthRangeArrayv_rewrite_ptr(GLuint first, GLsizei count, const GLdouble * v)
{
    epoxy_glDepthRangeArrayv = (void *)epoxy_glDepthRangeArrayv_resolver();
    epoxy_glDepthRangeArrayv(first, count, v);
}
PUBLIC PFNGLDEPTHRANGEARRAYVPROC epoxy_glDepthRangeArrayv = epoxy_glDepthRangeArrayv_rewrite_ptr;

static void
epoxy_glDepthRangeIndexed_rewrite_ptr(GLuint index, GLdouble n, GLdouble f)
{
    epoxy_glDepthRangeIndexed = (void *)epoxy_glDepthRangeIndexed_resolver();
    epoxy_glDepthRangeIndexed(index, n, f);
}
PUBLIC PFNGLDEPTHRANGEINDEXEDPROC epoxy_glDepthRangeIndexed = epoxy_glDepthRangeIndexed_rewrite_ptr;

static void
epoxy_glDepthRangedNV_rewrite_ptr(GLdouble zNear, GLdouble zFar)
{
    epoxy_glDepthRangedNV = (void *)epoxy_glDepthRangedNV_resolver();
    epoxy_glDepthRangedNV(zNear, zFar);
}
PUBLIC PFNGLDEPTHRANGEDNVPROC epoxy_glDepthRangedNV = epoxy_glDepthRangedNV_rewrite_ptr;

static void
epoxy_glDepthRangef_rewrite_ptr(GLfloat n, GLfloat f)
{
    epoxy_glDepthRangef = (void *)epoxy_glDepthRangef_resolver();
    epoxy_glDepthRangef(n, f);
}
PUBLIC PFNGLDEPTHRANGEFPROC epoxy_glDepthRangef = epoxy_glDepthRangef_rewrite_ptr;

static void
epoxy_glDepthRangefOES_rewrite_ptr(GLclampf n, GLclampf f)
{
    epoxy_glDepthRangefOES = (void *)epoxy_glDepthRangef_resolver();
    epoxy_glDepthRangefOES(n, f);
}
PUBLIC PFNGLDEPTHRANGEFOESPROC epoxy_glDepthRangefOES = epoxy_glDepthRangefOES_rewrite_ptr;

static void
epoxy_glDepthRangex_rewrite_ptr(GLfixed n, GLfixed f)
{
    epoxy_glDepthRangex = (void *)epoxy_glDepthRangex_resolver();
    epoxy_glDepthRangex(n, f);
}
PUBLIC PFNGLDEPTHRANGEXPROC epoxy_glDepthRangex = epoxy_glDepthRangex_rewrite_ptr;

static void
epoxy_glDepthRangexOES_rewrite_ptr(GLfixed n, GLfixed f)
{
    epoxy_glDepthRangexOES = (void *)epoxy_glDepthRangexOES_resolver();
    epoxy_glDepthRangexOES(n, f);
}
PUBLIC PFNGLDEPTHRANGEXOESPROC epoxy_glDepthRangexOES = epoxy_glDepthRangexOES_rewrite_ptr;

static void
epoxy_glDetachObjectARB_rewrite_ptr(GLhandleARB containerObj, GLhandleARB attachedObj)
{
    epoxy_glDetachObjectARB = (void *)epoxy_glDetachShader_resolver();
    epoxy_glDetachObjectARB((uintptr_t)containerObj, (uintptr_t)attachedObj);
}
PUBLIC PFNGLDETACHOBJECTARBPROC epoxy_glDetachObjectARB = epoxy_glDetachObjectARB_rewrite_ptr;

static void
epoxy_glDetachShader_rewrite_ptr(GLuint program, GLuint shader)
{
    epoxy_glDetachShader = (void *)epoxy_glDetachShader_resolver();
    epoxy_glDetachShader(program, shader);
}
PUBLIC PFNGLDETACHSHADERPROC epoxy_glDetachShader = epoxy_glDetachShader_rewrite_ptr;

static void
epoxy_glDetailTexFuncSGIS_rewrite_ptr(GLenum target, GLsizei n, const GLfloat * points)
{
    epoxy_glDetailTexFuncSGIS = (void *)epoxy_glDetailTexFuncSGIS_resolver();
    epoxy_glDetailTexFuncSGIS(target, n, points);
}
PUBLIC PFNGLDETAILTEXFUNCSGISPROC epoxy_glDetailTexFuncSGIS = epoxy_glDetailTexFuncSGIS_rewrite_ptr;

static void
epoxy_glDisable_rewrite_ptr(GLenum cap)
{
    epoxy_glDisable = (void *)epoxy_glDisable_resolver();
    epoxy_glDisable(cap);
}
PUBLIC PFNGLDISABLEPROC epoxy_glDisable = epoxy_glDisable_rewrite_ptr;

static void
epoxy_glDisableClientState_rewrite_ptr(GLenum array)
{
    epoxy_glDisableClientState = (void *)epoxy_glDisableClientState_resolver();
    epoxy_glDisableClientState(array);
}
PUBLIC PFNGLDISABLECLIENTSTATEPROC epoxy_glDisableClientState = epoxy_glDisableClientState_rewrite_ptr;

static void
epoxy_glDisableClientStateIndexedEXT_rewrite_ptr(GLenum array, GLuint index)
{
    epoxy_glDisableClientStateIndexedEXT = (void *)epoxy_glDisableClientStateIndexedEXT_resolver();
    epoxy_glDisableClientStateIndexedEXT(array, index);
}
PUBLIC PFNGLDISABLECLIENTSTATEINDEXEDEXTPROC epoxy_glDisableClientStateIndexedEXT = epoxy_glDisableClientStateIndexedEXT_rewrite_ptr;

static void
epoxy_glDisableClientStateiEXT_rewrite_ptr(GLenum array, GLuint index)
{
    epoxy_glDisableClientStateiEXT = (void *)epoxy_glDisableClientStateiEXT_resolver();
    epoxy_glDisableClientStateiEXT(array, index);
}
PUBLIC PFNGLDISABLECLIENTSTATEIEXTPROC epoxy_glDisableClientStateiEXT = epoxy_glDisableClientStateiEXT_rewrite_ptr;

static void
epoxy_glDisableDriverControlQCOM_rewrite_ptr(GLuint driverControl)
{
    epoxy_glDisableDriverControlQCOM = (void *)epoxy_glDisableDriverControlQCOM_resolver();
    epoxy_glDisableDriverControlQCOM(driverControl);
}
PUBLIC PFNGLDISABLEDRIVERCONTROLQCOMPROC epoxy_glDisableDriverControlQCOM = epoxy_glDisableDriverControlQCOM_rewrite_ptr;

static void
epoxy_glDisableIndexedEXT_rewrite_ptr(GLenum target, GLuint index)
{
    epoxy_glDisableIndexedEXT = (void *)epoxy_glDisablei_resolver();
    epoxy_glDisableIndexedEXT(target, index);
}
PUBLIC PFNGLDISABLEINDEXEDEXTPROC epoxy_glDisableIndexedEXT = epoxy_glDisableIndexedEXT_rewrite_ptr;

static void
epoxy_glDisableVariantClientStateEXT_rewrite_ptr(GLuint id)
{
    epoxy_glDisableVariantClientStateEXT = (void *)epoxy_glDisableVariantClientStateEXT_resolver();
    epoxy_glDisableVariantClientStateEXT(id);
}
PUBLIC PFNGLDISABLEVARIANTCLIENTSTATEEXTPROC epoxy_glDisableVariantClientStateEXT = epoxy_glDisableVariantClientStateEXT_rewrite_ptr;

static void
epoxy_glDisableVertexArrayAttribEXT_rewrite_ptr(GLuint vaobj, GLuint index)
{
    epoxy_glDisableVertexArrayAttribEXT = (void *)epoxy_glDisableVertexArrayAttribEXT_resolver();
    epoxy_glDisableVertexArrayAttribEXT(vaobj, index);
}
PUBLIC PFNGLDISABLEVERTEXARRAYATTRIBEXTPROC epoxy_glDisableVertexArrayAttribEXT = epoxy_glDisableVertexArrayAttribEXT_rewrite_ptr;

static void
epoxy_glDisableVertexArrayEXT_rewrite_ptr(GLuint vaobj, GLenum array)
{
    epoxy_glDisableVertexArrayEXT = (void *)epoxy_glDisableVertexArrayEXT_resolver();
    epoxy_glDisableVertexArrayEXT(vaobj, array);
}
PUBLIC PFNGLDISABLEVERTEXARRAYEXTPROC epoxy_glDisableVertexArrayEXT = epoxy_glDisableVertexArrayEXT_rewrite_ptr;

static void
epoxy_glDisableVertexAttribAPPLE_rewrite_ptr(GLuint index, GLenum pname)
{
    epoxy_glDisableVertexAttribAPPLE = (void *)epoxy_glDisableVertexAttribAPPLE_resolver();
    epoxy_glDisableVertexAttribAPPLE(index, pname);
}
PUBLIC PFNGLDISABLEVERTEXATTRIBAPPLEPROC epoxy_glDisableVertexAttribAPPLE = epoxy_glDisableVertexAttribAPPLE_rewrite_ptr;

static void
epoxy_glDisableVertexAttribArray_rewrite_ptr(GLuint index)
{
    epoxy_glDisableVertexAttribArray = (void *)epoxy_glDisableVertexAttribArray_resolver();
    epoxy_glDisableVertexAttribArray(index);
}
PUBLIC PFNGLDISABLEVERTEXATTRIBARRAYPROC epoxy_glDisableVertexAttribArray = epoxy_glDisableVertexAttribArray_rewrite_ptr;

static void
epoxy_glDisableVertexAttribArrayARB_rewrite_ptr(GLuint index)
{
    epoxy_glDisableVertexAttribArrayARB = (void *)epoxy_glDisableVertexAttribArray_resolver();
    epoxy_glDisableVertexAttribArrayARB(index);
}
PUBLIC PFNGLDISABLEVERTEXATTRIBARRAYARBPROC epoxy_glDisableVertexAttribArrayARB = epoxy_glDisableVertexAttribArrayARB_rewrite_ptr;

static void
epoxy_glDisablei_rewrite_ptr(GLenum target, GLuint index)
{
    epoxy_glDisablei = (void *)epoxy_glDisablei_resolver();
    epoxy_glDisablei(target, index);
}
PUBLIC PFNGLDISABLEIPROC epoxy_glDisablei = epoxy_glDisablei_rewrite_ptr;

static void
epoxy_glDiscardFramebufferEXT_rewrite_ptr(GLenum target, GLsizei numAttachments, const GLenum * attachments)
{
    epoxy_glDiscardFramebufferEXT = (void *)epoxy_glDiscardFramebufferEXT_resolver();
    epoxy_glDiscardFramebufferEXT(target, numAttachments, attachments);
}
PUBLIC PFNGLDISCARDFRAMEBUFFEREXTPROC epoxy_glDiscardFramebufferEXT = epoxy_glDiscardFramebufferEXT_rewrite_ptr;

static void
epoxy_glDispatchCompute_rewrite_ptr(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z)
{
    epoxy_glDispatchCompute = (void *)epoxy_glDispatchCompute_resolver();
    epoxy_glDispatchCompute(num_groups_x, num_groups_y, num_groups_z);
}
PUBLIC PFNGLDISPATCHCOMPUTEPROC epoxy_glDispatchCompute = epoxy_glDispatchCompute_rewrite_ptr;

static void
epoxy_glDispatchComputeGroupSizeARB_rewrite_ptr(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z, GLuint group_size_x, GLuint group_size_y, GLuint group_size_z)
{
    epoxy_glDispatchComputeGroupSizeARB = (void *)epoxy_glDispatchComputeGroupSizeARB_resolver();
    epoxy_glDispatchComputeGroupSizeARB(num_groups_x, num_groups_y, num_groups_z, group_size_x, group_size_y, group_size_z);
}
PUBLIC PFNGLDISPATCHCOMPUTEGROUPSIZEARBPROC epoxy_glDispatchComputeGroupSizeARB = epoxy_glDispatchComputeGroupSizeARB_rewrite_ptr;

static void
epoxy_glDispatchComputeIndirect_rewrite_ptr(GLintptr indirect)
{
    epoxy_glDispatchComputeIndirect = (void *)epoxy_glDispatchComputeIndirect_resolver();
    epoxy_glDispatchComputeIndirect(indirect);
}
PUBLIC PFNGLDISPATCHCOMPUTEINDIRECTPROC epoxy_glDispatchComputeIndirect = epoxy_glDispatchComputeIndirect_rewrite_ptr;

static void
epoxy_glDrawArrays_rewrite_ptr(GLenum mode, GLint first, GLsizei count)
{
    epoxy_glDrawArrays = (void *)epoxy_glDrawArrays_resolver();
    epoxy_glDrawArrays(mode, first, count);
}
PUBLIC PFNGLDRAWARRAYSPROC epoxy_glDrawArrays = epoxy_glDrawArrays_rewrite_ptr;

static void
epoxy_glDrawArraysEXT_rewrite_ptr(GLenum mode, GLint first, GLsizei count)
{
    epoxy_glDrawArraysEXT = (void *)epoxy_glDrawArrays_resolver();
    epoxy_glDrawArraysEXT(mode, first, count);
}
PUBLIC PFNGLDRAWARRAYSEXTPROC epoxy_glDrawArraysEXT = epoxy_glDrawArraysEXT_rewrite_ptr;

static void
epoxy_glDrawArraysIndirect_rewrite_ptr(GLenum mode, const void * indirect)
{
    epoxy_glDrawArraysIndirect = (void *)epoxy_glDrawArraysIndirect_resolver();
    epoxy_glDrawArraysIndirect(mode, indirect);
}
PUBLIC PFNGLDRAWARRAYSINDIRECTPROC epoxy_glDrawArraysIndirect = epoxy_glDrawArraysIndirect_rewrite_ptr;

static void
epoxy_glDrawArraysInstanced_rewrite_ptr(GLenum mode, GLint first, GLsizei count, GLsizei instancecount)
{
    epoxy_glDrawArraysInstanced = (void *)epoxy_glDrawArraysInstanced_resolver();
    epoxy_glDrawArraysInstanced(mode, first, count, instancecount);
}
PUBLIC PFNGLDRAWARRAYSINSTANCEDPROC epoxy_glDrawArraysInstanced = epoxy_glDrawArraysInstanced_rewrite_ptr;

static void
epoxy_glDrawArraysInstancedANGLE_rewrite_ptr(GLenum mode, GLint first, GLsizei count, GLsizei primcount)
{
    epoxy_glDrawArraysInstancedANGLE = (void *)epoxy_glDrawArraysInstanced_resolver();
    epoxy_glDrawArraysInstancedANGLE(mode, first, count, primcount);
}
PUBLIC PFNGLDRAWARRAYSINSTANCEDANGLEPROC epoxy_glDrawArraysInstancedANGLE = epoxy_glDrawArraysInstancedANGLE_rewrite_ptr;

static void
epoxy_glDrawArraysInstancedARB_rewrite_ptr(GLenum mode, GLint first, GLsizei count, GLsizei primcount)
{
    epoxy_glDrawArraysInstancedARB = (void *)epoxy_glDrawArraysInstanced_resolver();
    epoxy_glDrawArraysInstancedARB(mode, first, count, primcount);
}
PUBLIC PFNGLDRAWARRAYSINSTANCEDARBPROC epoxy_glDrawArraysInstancedARB = epoxy_glDrawArraysInstancedARB_rewrite_ptr;

static void
epoxy_glDrawArraysInstancedBaseInstance_rewrite_ptr(GLenum mode, GLint first, GLsizei count, GLsizei instancecount, GLuint baseinstance)
{
    epoxy_glDrawArraysInstancedBaseInstance = (void *)epoxy_glDrawArraysInstancedBaseInstance_resolver();
    epoxy_glDrawArraysInstancedBaseInstance(mode, first, count, instancecount, baseinstance);
}
PUBLIC PFNGLDRAWARRAYSINSTANCEDBASEINSTANCEPROC epoxy_glDrawArraysInstancedBaseInstance = epoxy_glDrawArraysInstancedBaseInstance_rewrite_ptr;

static void
epoxy_glDrawArraysInstancedEXT_rewrite_ptr(GLenum mode, GLint start, GLsizei count, GLsizei primcount)
{
    epoxy_glDrawArraysInstancedEXT = (void *)epoxy_glDrawArraysInstanced_resolver();
    epoxy_glDrawArraysInstancedEXT(mode, start, count, primcount);
}
PUBLIC PFNGLDRAWARRAYSINSTANCEDEXTPROC epoxy_glDrawArraysInstancedEXT = epoxy_glDrawArraysInstancedEXT_rewrite_ptr;

static void
epoxy_glDrawArraysInstancedNV_rewrite_ptr(GLenum mode, GLint first, GLsizei count, GLsizei primcount)
{
    epoxy_glDrawArraysInstancedNV = (void *)epoxy_glDrawArraysInstanced_resolver();
    epoxy_glDrawArraysInstancedNV(mode, first, count, primcount);
}
PUBLIC PFNGLDRAWARRAYSINSTANCEDNVPROC epoxy_glDrawArraysInstancedNV = epoxy_glDrawArraysInstancedNV_rewrite_ptr;

static void
epoxy_glDrawBuffer_rewrite_ptr(GLenum mode)
{
    epoxy_glDrawBuffer = (void *)epoxy_glDrawBuffer_resolver();
    epoxy_glDrawBuffer(mode);
}
PUBLIC PFNGLDRAWBUFFERPROC epoxy_glDrawBuffer = epoxy_glDrawBuffer_rewrite_ptr;

static void
epoxy_glDrawBuffers_rewrite_ptr(GLsizei n, const GLenum * bufs)
{
    epoxy_glDrawBuffers = (void *)epoxy_glDrawBuffers_resolver();
    epoxy_glDrawBuffers(n, bufs);
}
PUBLIC PFNGLDRAWBUFFERSPROC epoxy_glDrawBuffers = epoxy_glDrawBuffers_rewrite_ptr;

static void
epoxy_glDrawBuffersARB_rewrite_ptr(GLsizei n, const GLenum * bufs)
{
    epoxy_glDrawBuffersARB = (void *)epoxy_glDrawBuffers_resolver();
    epoxy_glDrawBuffersARB(n, bufs);
}
PUBLIC PFNGLDRAWBUFFERSARBPROC epoxy_glDrawBuffersARB = epoxy_glDrawBuffersARB_rewrite_ptr;

static void
epoxy_glDrawBuffersATI_rewrite_ptr(GLsizei n, const GLenum * bufs)
{
    epoxy_glDrawBuffersATI = (void *)epoxy_glDrawBuffers_resolver();
    epoxy_glDrawBuffersATI(n, bufs);
}
PUBLIC PFNGLDRAWBUFFERSATIPROC epoxy_glDrawBuffersATI = epoxy_glDrawBuffersATI_rewrite_ptr;

static void
epoxy_glDrawBuffersEXT_rewrite_ptr(GLsizei n, const GLenum * bufs)
{
    epoxy_glDrawBuffersEXT = (void *)epoxy_glDrawBuffers_resolver();
    epoxy_glDrawBuffersEXT(n, bufs);
}
PUBLIC PFNGLDRAWBUFFERSEXTPROC epoxy_glDrawBuffersEXT = epoxy_glDrawBuffersEXT_rewrite_ptr;

static void
epoxy_glDrawBuffersIndexedEXT_rewrite_ptr(GLint n, const GLenum * location, const GLint * indices)
{
    epoxy_glDrawBuffersIndexedEXT = (void *)epoxy_glDrawBuffersIndexedEXT_resolver();
    epoxy_glDrawBuffersIndexedEXT(n, location, indices);
}
PUBLIC PFNGLDRAWBUFFERSINDEXEDEXTPROC epoxy_glDrawBuffersIndexedEXT = epoxy_glDrawBuffersIndexedEXT_rewrite_ptr;

static void
epoxy_glDrawBuffersNV_rewrite_ptr(GLsizei n, const GLenum * bufs)
{
    epoxy_glDrawBuffersNV = (void *)epoxy_glDrawBuffersNV_resolver();
    epoxy_glDrawBuffersNV(n, bufs);
}
PUBLIC PFNGLDRAWBUFFERSNVPROC epoxy_glDrawBuffersNV = epoxy_glDrawBuffersNV_rewrite_ptr;

static void
epoxy_glDrawElementArrayAPPLE_rewrite_ptr(GLenum mode, GLint first, GLsizei count)
{
    epoxy_glDrawElementArrayAPPLE = (void *)epoxy_glDrawElementArrayAPPLE_resolver();
    epoxy_glDrawElementArrayAPPLE(mode, first, count);
}
PUBLIC PFNGLDRAWELEMENTARRAYAPPLEPROC epoxy_glDrawElementArrayAPPLE = epoxy_glDrawElementArrayAPPLE_rewrite_ptr;

static void
epoxy_glDrawElementArrayATI_rewrite_ptr(GLenum mode, GLsizei count)
{
    epoxy_glDrawElementArrayATI = (void *)epoxy_glDrawElementArrayATI_resolver();
    epoxy_glDrawElementArrayATI(mode, count);
}
PUBLIC PFNGLDRAWELEMENTARRAYATIPROC epoxy_glDrawElementArrayATI = epoxy_glDrawElementArrayATI_rewrite_ptr;

static void
epoxy_glDrawElements_rewrite_ptr(GLenum mode, GLsizei count, GLenum type, const void * indices)
{
    epoxy_glDrawElements = (void *)epoxy_glDrawElements_resolver();
    epoxy_glDrawElements(mode, count, type, indices);
}
PUBLIC PFNGLDRAWELEMENTSPROC epoxy_glDrawElements = epoxy_glDrawElements_rewrite_ptr;

static void
epoxy_glDrawElementsBaseVertex_rewrite_ptr(GLenum mode, GLsizei count, GLenum type, const void * indices, GLint basevertex)
{
    epoxy_glDrawElementsBaseVertex = (void *)epoxy_glDrawElementsBaseVertex_resolver();
    epoxy_glDrawElementsBaseVertex(mode, count, type, indices, basevertex);
}
PUBLIC PFNGLDRAWELEMENTSBASEVERTEXPROC epoxy_glDrawElementsBaseVertex = epoxy_glDrawElementsBaseVertex_rewrite_ptr;

static void
epoxy_glDrawElementsIndirect_rewrite_ptr(GLenum mode, GLenum type, const void * indirect)
{
    epoxy_glDrawElementsIndirect = (void *)epoxy_glDrawElementsIndirect_resolver();
    epoxy_glDrawElementsIndirect(mode, type, indirect);
}
PUBLIC PFNGLDRAWELEMENTSINDIRECTPROC epoxy_glDrawElementsIndirect = epoxy_glDrawElementsIndirect_rewrite_ptr;

static void
epoxy_glDrawElementsInstanced_rewrite_ptr(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount)
{
    epoxy_glDrawElementsInstanced = (void *)epoxy_glDrawElementsInstanced_resolver();
    epoxy_glDrawElementsInstanced(mode, count, type, indices, instancecount);
}
PUBLIC PFNGLDRAWELEMENTSINSTANCEDPROC epoxy_glDrawElementsInstanced = epoxy_glDrawElementsInstanced_rewrite_ptr;

static void
epoxy_glDrawElementsInstancedANGLE_rewrite_ptr(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount)
{
    epoxy_glDrawElementsInstancedANGLE = (void *)epoxy_glDrawElementsInstanced_resolver();
    epoxy_glDrawElementsInstancedANGLE(mode, count, type, indices, primcount);
}
PUBLIC PFNGLDRAWELEMENTSINSTANCEDANGLEPROC epoxy_glDrawElementsInstancedANGLE = epoxy_glDrawElementsInstancedANGLE_rewrite_ptr;

static void
epoxy_glDrawElementsInstancedARB_rewrite_ptr(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount)
{
    epoxy_glDrawElementsInstancedARB = (void *)epoxy_glDrawElementsInstanced_resolver();
    epoxy_glDrawElementsInstancedARB(mode, count, type, indices, primcount);
}
PUBLIC PFNGLDRAWELEMENTSINSTANCEDARBPROC epoxy_glDrawElementsInstancedARB = epoxy_glDrawElementsInstancedARB_rewrite_ptr;

static void
epoxy_glDrawElementsInstancedBaseInstance_rewrite_ptr(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLuint baseinstance)
{
    epoxy_glDrawElementsInstancedBaseInstance = (void *)epoxy_glDrawElementsInstancedBaseInstance_resolver();
    epoxy_glDrawElementsInstancedBaseInstance(mode, count, type, indices, instancecount, baseinstance);
}
PUBLIC PFNGLDRAWELEMENTSINSTANCEDBASEINSTANCEPROC epoxy_glDrawElementsInstancedBaseInstance = epoxy_glDrawElementsInstancedBaseInstance_rewrite_ptr;

static void
epoxy_glDrawElementsInstancedBaseVertex_rewrite_ptr(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLint basevertex)
{
    epoxy_glDrawElementsInstancedBaseVertex = (void *)epoxy_glDrawElementsInstancedBaseVertex_resolver();
    epoxy_glDrawElementsInstancedBaseVertex(mode, count, type, indices, instancecount, basevertex);
}
PUBLIC PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXPROC epoxy_glDrawElementsInstancedBaseVertex = epoxy_glDrawElementsInstancedBaseVertex_rewrite_ptr;

static void
epoxy_glDrawElementsInstancedBaseVertexBaseInstance_rewrite_ptr(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLint basevertex, GLuint baseinstance)
{
    epoxy_glDrawElementsInstancedBaseVertexBaseInstance = (void *)epoxy_glDrawElementsInstancedBaseVertexBaseInstance_resolver();
    epoxy_glDrawElementsInstancedBaseVertexBaseInstance(mode, count, type, indices, instancecount, basevertex, baseinstance);
}
PUBLIC PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXBASEINSTANCEPROC epoxy_glDrawElementsInstancedBaseVertexBaseInstance = epoxy_glDrawElementsInstancedBaseVertexBaseInstance_rewrite_ptr;

static void
epoxy_glDrawElementsInstancedEXT_rewrite_ptr(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount)
{
    epoxy_glDrawElementsInstancedEXT = (void *)epoxy_glDrawElementsInstanced_resolver();
    epoxy_glDrawElementsInstancedEXT(mode, count, type, indices, primcount);
}
PUBLIC PFNGLDRAWELEMENTSINSTANCEDEXTPROC epoxy_glDrawElementsInstancedEXT = epoxy_glDrawElementsInstancedEXT_rewrite_ptr;

static void
epoxy_glDrawElementsInstancedNV_rewrite_ptr(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount)
{
    epoxy_glDrawElementsInstancedNV = (void *)epoxy_glDrawElementsInstanced_resolver();
    epoxy_glDrawElementsInstancedNV(mode, count, type, indices, primcount);
}
PUBLIC PFNGLDRAWELEMENTSINSTANCEDNVPROC epoxy_glDrawElementsInstancedNV = epoxy_glDrawElementsInstancedNV_rewrite_ptr;

static void
epoxy_glDrawMeshArraysSUN_rewrite_ptr(GLenum mode, GLint first, GLsizei count, GLsizei width)
{
    epoxy_glDrawMeshArraysSUN = (void *)epoxy_glDrawMeshArraysSUN_resolver();
    epoxy_glDrawMeshArraysSUN(mode, first, count, width);
}
PUBLIC PFNGLDRAWMESHARRAYSSUNPROC epoxy_glDrawMeshArraysSUN = epoxy_glDrawMeshArraysSUN_rewrite_ptr;

static void
epoxy_glDrawPixels_rewrite_ptr(GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glDrawPixels = (void *)epoxy_glDrawPixels_resolver();
    epoxy_glDrawPixels(width, height, format, type, pixels);
}
PUBLIC PFNGLDRAWPIXELSPROC epoxy_glDrawPixels = epoxy_glDrawPixels_rewrite_ptr;

static void
epoxy_glDrawRangeElementArrayAPPLE_rewrite_ptr(GLenum mode, GLuint start, GLuint end, GLint first, GLsizei count)
{
    epoxy_glDrawRangeElementArrayAPPLE = (void *)epoxy_glDrawRangeElementArrayAPPLE_resolver();
    epoxy_glDrawRangeElementArrayAPPLE(mode, start, end, first, count);
}
PUBLIC PFNGLDRAWRANGEELEMENTARRAYAPPLEPROC epoxy_glDrawRangeElementArrayAPPLE = epoxy_glDrawRangeElementArrayAPPLE_rewrite_ptr;

static void
epoxy_glDrawRangeElementArrayATI_rewrite_ptr(GLenum mode, GLuint start, GLuint end, GLsizei count)
{
    epoxy_glDrawRangeElementArrayATI = (void *)epoxy_glDrawRangeElementArrayATI_resolver();
    epoxy_glDrawRangeElementArrayATI(mode, start, end, count);
}
PUBLIC PFNGLDRAWRANGEELEMENTARRAYATIPROC epoxy_glDrawRangeElementArrayATI = epoxy_glDrawRangeElementArrayATI_rewrite_ptr;

static void
epoxy_glDrawRangeElements_rewrite_ptr(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const void * indices)
{
    epoxy_glDrawRangeElements = (void *)epoxy_glDrawRangeElements_resolver();
    epoxy_glDrawRangeElements(mode, start, end, count, type, indices);
}
PUBLIC PFNGLDRAWRANGEELEMENTSPROC epoxy_glDrawRangeElements = epoxy_glDrawRangeElements_rewrite_ptr;

static void
epoxy_glDrawRangeElementsBaseVertex_rewrite_ptr(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const void * indices, GLint basevertex)
{
    epoxy_glDrawRangeElementsBaseVertex = (void *)epoxy_glDrawRangeElementsBaseVertex_resolver();
    epoxy_glDrawRangeElementsBaseVertex(mode, start, end, count, type, indices, basevertex);
}
PUBLIC PFNGLDRAWRANGEELEMENTSBASEVERTEXPROC epoxy_glDrawRangeElementsBaseVertex = epoxy_glDrawRangeElementsBaseVertex_rewrite_ptr;

static void
epoxy_glDrawRangeElementsEXT_rewrite_ptr(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const void * indices)
{
    epoxy_glDrawRangeElementsEXT = (void *)epoxy_glDrawRangeElements_resolver();
    epoxy_glDrawRangeElementsEXT(mode, start, end, count, type, indices);
}
PUBLIC PFNGLDRAWRANGEELEMENTSEXTPROC epoxy_glDrawRangeElementsEXT = epoxy_glDrawRangeElementsEXT_rewrite_ptr;

static void
epoxy_glDrawTexfOES_rewrite_ptr(GLfloat x, GLfloat y, GLfloat z, GLfloat width, GLfloat height)
{
    epoxy_glDrawTexfOES = (void *)epoxy_glDrawTexfOES_resolver();
    epoxy_glDrawTexfOES(x, y, z, width, height);
}
PUBLIC PFNGLDRAWTEXFOESPROC epoxy_glDrawTexfOES = epoxy_glDrawTexfOES_rewrite_ptr;

static void
epoxy_glDrawTexfvOES_rewrite_ptr(const GLfloat * coords)
{
    epoxy_glDrawTexfvOES = (void *)epoxy_glDrawTexfvOES_resolver();
    epoxy_glDrawTexfvOES(coords);
}
PUBLIC PFNGLDRAWTEXFVOESPROC epoxy_glDrawTexfvOES = epoxy_glDrawTexfvOES_rewrite_ptr;

static void
epoxy_glDrawTexiOES_rewrite_ptr(GLint x, GLint y, GLint z, GLint width, GLint height)
{
    epoxy_glDrawTexiOES = (void *)epoxy_glDrawTexiOES_resolver();
    epoxy_glDrawTexiOES(x, y, z, width, height);
}
PUBLIC PFNGLDRAWTEXIOESPROC epoxy_glDrawTexiOES = epoxy_glDrawTexiOES_rewrite_ptr;

static void
epoxy_glDrawTexivOES_rewrite_ptr(const GLint * coords)
{
    epoxy_glDrawTexivOES = (void *)epoxy_glDrawTexivOES_resolver();
    epoxy_glDrawTexivOES(coords);
}
PUBLIC PFNGLDRAWTEXIVOESPROC epoxy_glDrawTexivOES = epoxy_glDrawTexivOES_rewrite_ptr;

static void
epoxy_glDrawTexsOES_rewrite_ptr(GLshort x, GLshort y, GLshort z, GLshort width, GLshort height)
{
    epoxy_glDrawTexsOES = (void *)epoxy_glDrawTexsOES_resolver();
    epoxy_glDrawTexsOES(x, y, z, width, height);
}
PUBLIC PFNGLDRAWTEXSOESPROC epoxy_glDrawTexsOES = epoxy_glDrawTexsOES_rewrite_ptr;

static void
epoxy_glDrawTexsvOES_rewrite_ptr(const GLshort * coords)
{
    epoxy_glDrawTexsvOES = (void *)epoxy_glDrawTexsvOES_resolver();
    epoxy_glDrawTexsvOES(coords);
}
PUBLIC PFNGLDRAWTEXSVOESPROC epoxy_glDrawTexsvOES = epoxy_glDrawTexsvOES_rewrite_ptr;

static void
epoxy_glDrawTextureNV_rewrite_ptr(GLuint texture, GLuint sampler, GLfloat x0, GLfloat y0, GLfloat x1, GLfloat y1, GLfloat z, GLfloat s0, GLfloat t0, GLfloat s1, GLfloat t1)
{
    epoxy_glDrawTextureNV = (void *)epoxy_glDrawTextureNV_resolver();
    epoxy_glDrawTextureNV(texture, sampler, x0, y0, x1, y1, z, s0, t0, s1, t1);
}
PUBLIC PFNGLDRAWTEXTURENVPROC epoxy_glDrawTextureNV = epoxy_glDrawTextureNV_rewrite_ptr;

static void
epoxy_glDrawTexxOES_rewrite_ptr(GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height)
{
    epoxy_glDrawTexxOES = (void *)epoxy_glDrawTexxOES_resolver();
    epoxy_glDrawTexxOES(x, y, z, width, height);
}
PUBLIC PFNGLDRAWTEXXOESPROC epoxy_glDrawTexxOES = epoxy_glDrawTexxOES_rewrite_ptr;

static void
epoxy_glDrawTexxvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glDrawTexxvOES = (void *)epoxy_glDrawTexxvOES_resolver();
    epoxy_glDrawTexxvOES(coords);
}
PUBLIC PFNGLDRAWTEXXVOESPROC epoxy_glDrawTexxvOES = epoxy_glDrawTexxvOES_rewrite_ptr;

static void
epoxy_glDrawTransformFeedback_rewrite_ptr(GLenum mode, GLuint id)
{
    epoxy_glDrawTransformFeedback = (void *)epoxy_glDrawTransformFeedback_resolver();
    epoxy_glDrawTransformFeedback(mode, id);
}
PUBLIC PFNGLDRAWTRANSFORMFEEDBACKPROC epoxy_glDrawTransformFeedback = epoxy_glDrawTransformFeedback_rewrite_ptr;

static void
epoxy_glDrawTransformFeedbackInstanced_rewrite_ptr(GLenum mode, GLuint id, GLsizei instancecount)
{
    epoxy_glDrawTransformFeedbackInstanced = (void *)epoxy_glDrawTransformFeedbackInstanced_resolver();
    epoxy_glDrawTransformFeedbackInstanced(mode, id, instancecount);
}
PUBLIC PFNGLDRAWTRANSFORMFEEDBACKINSTANCEDPROC epoxy_glDrawTransformFeedbackInstanced = epoxy_glDrawTransformFeedbackInstanced_rewrite_ptr;

static void
epoxy_glDrawTransformFeedbackNV_rewrite_ptr(GLenum mode, GLuint id)
{
    epoxy_glDrawTransformFeedbackNV = (void *)epoxy_glDrawTransformFeedback_resolver();
    epoxy_glDrawTransformFeedbackNV(mode, id);
}
PUBLIC PFNGLDRAWTRANSFORMFEEDBACKNVPROC epoxy_glDrawTransformFeedbackNV = epoxy_glDrawTransformFeedbackNV_rewrite_ptr;

static void
epoxy_glDrawTransformFeedbackStream_rewrite_ptr(GLenum mode, GLuint id, GLuint stream)
{
    epoxy_glDrawTransformFeedbackStream = (void *)epoxy_glDrawTransformFeedbackStream_resolver();
    epoxy_glDrawTransformFeedbackStream(mode, id, stream);
}
PUBLIC PFNGLDRAWTRANSFORMFEEDBACKSTREAMPROC epoxy_glDrawTransformFeedbackStream = epoxy_glDrawTransformFeedbackStream_rewrite_ptr;

static void
epoxy_glDrawTransformFeedbackStreamInstanced_rewrite_ptr(GLenum mode, GLuint id, GLuint stream, GLsizei instancecount)
{
    epoxy_glDrawTransformFeedbackStreamInstanced = (void *)epoxy_glDrawTransformFeedbackStreamInstanced_resolver();
    epoxy_glDrawTransformFeedbackStreamInstanced(mode, id, stream, instancecount);
}
PUBLIC PFNGLDRAWTRANSFORMFEEDBACKSTREAMINSTANCEDPROC epoxy_glDrawTransformFeedbackStreamInstanced = epoxy_glDrawTransformFeedbackStreamInstanced_rewrite_ptr;

static void
epoxy_glEGLImageTargetRenderbufferStorageOES_rewrite_ptr(GLenum target, GLeglImageOES image)
{
    epoxy_glEGLImageTargetRenderbufferStorageOES = (void *)epoxy_glEGLImageTargetRenderbufferStorageOES_resolver();
    epoxy_glEGLImageTargetRenderbufferStorageOES(target, image);
}
PUBLIC PFNGLEGLIMAGETARGETRENDERBUFFERSTORAGEOESPROC epoxy_glEGLImageTargetRenderbufferStorageOES = epoxy_glEGLImageTargetRenderbufferStorageOES_rewrite_ptr;

static void
epoxy_glEGLImageTargetTexture2DOES_rewrite_ptr(GLenum target, GLeglImageOES image)
{
    epoxy_glEGLImageTargetTexture2DOES = (void *)epoxy_glEGLImageTargetTexture2DOES_resolver();
    epoxy_glEGLImageTargetTexture2DOES(target, image);
}
PUBLIC PFNGLEGLIMAGETARGETTEXTURE2DOESPROC epoxy_glEGLImageTargetTexture2DOES = epoxy_glEGLImageTargetTexture2DOES_rewrite_ptr;

static void
epoxy_glEdgeFlag_rewrite_ptr(GLboolean flag)
{
    epoxy_glEdgeFlag = (void *)epoxy_glEdgeFlag_resolver();
    epoxy_glEdgeFlag(flag);
}
PUBLIC PFNGLEDGEFLAGPROC epoxy_glEdgeFlag = epoxy_glEdgeFlag_rewrite_ptr;

static void
epoxy_glEdgeFlagFormatNV_rewrite_ptr(GLsizei stride)
{
    epoxy_glEdgeFlagFormatNV = (void *)epoxy_glEdgeFlagFormatNV_resolver();
    epoxy_glEdgeFlagFormatNV(stride);
}
PUBLIC PFNGLEDGEFLAGFORMATNVPROC epoxy_glEdgeFlagFormatNV = epoxy_glEdgeFlagFormatNV_rewrite_ptr;

static void
epoxy_glEdgeFlagPointer_rewrite_ptr(GLsizei stride, const void * pointer)
{
    epoxy_glEdgeFlagPointer = (void *)epoxy_glEdgeFlagPointer_resolver();
    epoxy_glEdgeFlagPointer(stride, pointer);
}
PUBLIC PFNGLEDGEFLAGPOINTERPROC epoxy_glEdgeFlagPointer = epoxy_glEdgeFlagPointer_rewrite_ptr;

static void
epoxy_glEdgeFlagPointerEXT_rewrite_ptr(GLsizei stride, GLsizei count, const GLboolean * pointer)
{
    epoxy_glEdgeFlagPointerEXT = (void *)epoxy_glEdgeFlagPointerEXT_resolver();
    epoxy_glEdgeFlagPointerEXT(stride, count, pointer);
}
PUBLIC PFNGLEDGEFLAGPOINTEREXTPROC epoxy_glEdgeFlagPointerEXT = epoxy_glEdgeFlagPointerEXT_rewrite_ptr;

static void
epoxy_glEdgeFlagPointerListIBM_rewrite_ptr(GLint stride, const GLboolean ** pointer, GLint ptrstride)
{
    epoxy_glEdgeFlagPointerListIBM = (void *)epoxy_glEdgeFlagPointerListIBM_resolver();
    epoxy_glEdgeFlagPointerListIBM(stride, pointer, ptrstride);
}
PUBLIC PFNGLEDGEFLAGPOINTERLISTIBMPROC epoxy_glEdgeFlagPointerListIBM = epoxy_glEdgeFlagPointerListIBM_rewrite_ptr;

static void
epoxy_glEdgeFlagv_rewrite_ptr(const GLboolean * flag)
{
    epoxy_glEdgeFlagv = (void *)epoxy_glEdgeFlagv_resolver();
    epoxy_glEdgeFlagv(flag);
}
PUBLIC PFNGLEDGEFLAGVPROC epoxy_glEdgeFlagv = epoxy_glEdgeFlagv_rewrite_ptr;

static void
epoxy_glElementPointerAPPLE_rewrite_ptr(GLenum type, const void * pointer)
{
    epoxy_glElementPointerAPPLE = (void *)epoxy_glElementPointerAPPLE_resolver();
    epoxy_glElementPointerAPPLE(type, pointer);
}
PUBLIC PFNGLELEMENTPOINTERAPPLEPROC epoxy_glElementPointerAPPLE = epoxy_glElementPointerAPPLE_rewrite_ptr;

static void
epoxy_glElementPointerATI_rewrite_ptr(GLenum type, const void * pointer)
{
    epoxy_glElementPointerATI = (void *)epoxy_glElementPointerATI_resolver();
    epoxy_glElementPointerATI(type, pointer);
}
PUBLIC PFNGLELEMENTPOINTERATIPROC epoxy_glElementPointerATI = epoxy_glElementPointerATI_rewrite_ptr;

static void
epoxy_glEnable_rewrite_ptr(GLenum cap)
{
    epoxy_glEnable = (void *)epoxy_glEnable_resolver();
    epoxy_glEnable(cap);
}
PUBLIC PFNGLENABLEPROC epoxy_glEnable = epoxy_glEnable_rewrite_ptr;

static void
epoxy_glEnableClientState_rewrite_ptr(GLenum array)
{
    epoxy_glEnableClientState = (void *)epoxy_glEnableClientState_resolver();
    epoxy_glEnableClientState(array);
}
PUBLIC PFNGLENABLECLIENTSTATEPROC epoxy_glEnableClientState = epoxy_glEnableClientState_rewrite_ptr;

static void
epoxy_glEnableClientStateIndexedEXT_rewrite_ptr(GLenum array, GLuint index)
{
    epoxy_glEnableClientStateIndexedEXT = (void *)epoxy_glEnableClientStateIndexedEXT_resolver();
    epoxy_glEnableClientStateIndexedEXT(array, index);
}
PUBLIC PFNGLENABLECLIENTSTATEINDEXEDEXTPROC epoxy_glEnableClientStateIndexedEXT = epoxy_glEnableClientStateIndexedEXT_rewrite_ptr;

static void
epoxy_glEnableClientStateiEXT_rewrite_ptr(GLenum array, GLuint index)
{
    epoxy_glEnableClientStateiEXT = (void *)epoxy_glEnableClientStateiEXT_resolver();
    epoxy_glEnableClientStateiEXT(array, index);
}
PUBLIC PFNGLENABLECLIENTSTATEIEXTPROC epoxy_glEnableClientStateiEXT = epoxy_glEnableClientStateiEXT_rewrite_ptr;

static void
epoxy_glEnableDriverControlQCOM_rewrite_ptr(GLuint driverControl)
{
    epoxy_glEnableDriverControlQCOM = (void *)epoxy_glEnableDriverControlQCOM_resolver();
    epoxy_glEnableDriverControlQCOM(driverControl);
}
PUBLIC PFNGLENABLEDRIVERCONTROLQCOMPROC epoxy_glEnableDriverControlQCOM = epoxy_glEnableDriverControlQCOM_rewrite_ptr;

static void
epoxy_glEnableIndexedEXT_rewrite_ptr(GLenum target, GLuint index)
{
    epoxy_glEnableIndexedEXT = (void *)epoxy_glEnablei_resolver();
    epoxy_glEnableIndexedEXT(target, index);
}
PUBLIC PFNGLENABLEINDEXEDEXTPROC epoxy_glEnableIndexedEXT = epoxy_glEnableIndexedEXT_rewrite_ptr;

static void
epoxy_glEnableVariantClientStateEXT_rewrite_ptr(GLuint id)
{
    epoxy_glEnableVariantClientStateEXT = (void *)epoxy_glEnableVariantClientStateEXT_resolver();
    epoxy_glEnableVariantClientStateEXT(id);
}
PUBLIC PFNGLENABLEVARIANTCLIENTSTATEEXTPROC epoxy_glEnableVariantClientStateEXT = epoxy_glEnableVariantClientStateEXT_rewrite_ptr;

static void
epoxy_glEnableVertexArrayAttribEXT_rewrite_ptr(GLuint vaobj, GLuint index)
{
    epoxy_glEnableVertexArrayAttribEXT = (void *)epoxy_glEnableVertexArrayAttribEXT_resolver();
    epoxy_glEnableVertexArrayAttribEXT(vaobj, index);
}
PUBLIC PFNGLENABLEVERTEXARRAYATTRIBEXTPROC epoxy_glEnableVertexArrayAttribEXT = epoxy_glEnableVertexArrayAttribEXT_rewrite_ptr;

static void
epoxy_glEnableVertexArrayEXT_rewrite_ptr(GLuint vaobj, GLenum array)
{
    epoxy_glEnableVertexArrayEXT = (void *)epoxy_glEnableVertexArrayEXT_resolver();
    epoxy_glEnableVertexArrayEXT(vaobj, array);
}
PUBLIC PFNGLENABLEVERTEXARRAYEXTPROC epoxy_glEnableVertexArrayEXT = epoxy_glEnableVertexArrayEXT_rewrite_ptr;

static void
epoxy_glEnableVertexAttribAPPLE_rewrite_ptr(GLuint index, GLenum pname)
{
    epoxy_glEnableVertexAttribAPPLE = (void *)epoxy_glEnableVertexAttribAPPLE_resolver();
    epoxy_glEnableVertexAttribAPPLE(index, pname);
}
PUBLIC PFNGLENABLEVERTEXATTRIBAPPLEPROC epoxy_glEnableVertexAttribAPPLE = epoxy_glEnableVertexAttribAPPLE_rewrite_ptr;

static void
epoxy_glEnableVertexAttribArray_rewrite_ptr(GLuint index)
{
    epoxy_glEnableVertexAttribArray = (void *)epoxy_glEnableVertexAttribArray_resolver();
    epoxy_glEnableVertexAttribArray(index);
}
PUBLIC PFNGLENABLEVERTEXATTRIBARRAYPROC epoxy_glEnableVertexAttribArray = epoxy_glEnableVertexAttribArray_rewrite_ptr;

static void
epoxy_glEnableVertexAttribArrayARB_rewrite_ptr(GLuint index)
{
    epoxy_glEnableVertexAttribArrayARB = (void *)epoxy_glEnableVertexAttribArray_resolver();
    epoxy_glEnableVertexAttribArrayARB(index);
}
PUBLIC PFNGLENABLEVERTEXATTRIBARRAYARBPROC epoxy_glEnableVertexAttribArrayARB = epoxy_glEnableVertexAttribArrayARB_rewrite_ptr;

static void
epoxy_glEnablei_rewrite_ptr(GLenum target, GLuint index)
{
    epoxy_glEnablei = (void *)epoxy_glEnablei_resolver();
    epoxy_glEnablei(target, index);
}
PUBLIC PFNGLENABLEIPROC epoxy_glEnablei = epoxy_glEnablei_rewrite_ptr;

static void
epoxy_glEnd_unwrapped_rewrite_ptr(void)
{
    epoxy_glEnd_unwrapped = (void *)epoxy_glEnd_resolver();
    epoxy_glEnd_unwrapped();
}
PFNGLENDPROC epoxy_glEnd_unwrapped = epoxy_glEnd_unwrapped_rewrite_ptr;

static void
epoxy_glEndConditionalRender_rewrite_ptr(void)
{
    epoxy_glEndConditionalRender = (void *)epoxy_glEndConditionalRender_resolver();
    epoxy_glEndConditionalRender();
}
PUBLIC PFNGLENDCONDITIONALRENDERPROC epoxy_glEndConditionalRender = epoxy_glEndConditionalRender_rewrite_ptr;

static void
epoxy_glEndConditionalRenderNV_rewrite_ptr(void)
{
    epoxy_glEndConditionalRenderNV = (void *)epoxy_glEndConditionalRender_resolver();
    epoxy_glEndConditionalRenderNV();
}
PUBLIC PFNGLENDCONDITIONALRENDERNVPROC epoxy_glEndConditionalRenderNV = epoxy_glEndConditionalRenderNV_rewrite_ptr;

static void
epoxy_glEndConditionalRenderNVX_rewrite_ptr(void)
{
    epoxy_glEndConditionalRenderNVX = (void *)epoxy_glEndConditionalRender_resolver();
    epoxy_glEndConditionalRenderNVX();
}
PUBLIC PFNGLENDCONDITIONALRENDERNVXPROC epoxy_glEndConditionalRenderNVX = epoxy_glEndConditionalRenderNVX_rewrite_ptr;

static void
epoxy_glEndFragmentShaderATI_rewrite_ptr(void)
{
    epoxy_glEndFragmentShaderATI = (void *)epoxy_glEndFragmentShaderATI_resolver();
    epoxy_glEndFragmentShaderATI();
}
PUBLIC PFNGLENDFRAGMENTSHADERATIPROC epoxy_glEndFragmentShaderATI = epoxy_glEndFragmentShaderATI_rewrite_ptr;

static void
epoxy_glEndList_rewrite_ptr(void)
{
    epoxy_glEndList = (void *)epoxy_glEndList_resolver();
    epoxy_glEndList();
}
PUBLIC PFNGLENDLISTPROC epoxy_glEndList = epoxy_glEndList_rewrite_ptr;

static void
epoxy_glEndOcclusionQueryNV_rewrite_ptr(void)
{
    epoxy_glEndOcclusionQueryNV = (void *)epoxy_glEndOcclusionQueryNV_resolver();
    epoxy_glEndOcclusionQueryNV();
}
PUBLIC PFNGLENDOCCLUSIONQUERYNVPROC epoxy_glEndOcclusionQueryNV = epoxy_glEndOcclusionQueryNV_rewrite_ptr;

static void
epoxy_glEndPerfMonitorAMD_rewrite_ptr(GLuint monitor)
{
    epoxy_glEndPerfMonitorAMD = (void *)epoxy_glEndPerfMonitorAMD_resolver();
    epoxy_glEndPerfMonitorAMD(monitor);
}
PUBLIC PFNGLENDPERFMONITORAMDPROC epoxy_glEndPerfMonitorAMD = epoxy_glEndPerfMonitorAMD_rewrite_ptr;

static void
epoxy_glEndPerfQueryINTEL_rewrite_ptr(GLuint queryHandle)
{
    epoxy_glEndPerfQueryINTEL = (void *)epoxy_glEndPerfQueryINTEL_resolver();
    epoxy_glEndPerfQueryINTEL(queryHandle);
}
PUBLIC PFNGLENDPERFQUERYINTELPROC epoxy_glEndPerfQueryINTEL = epoxy_glEndPerfQueryINTEL_rewrite_ptr;

static void
epoxy_glEndQuery_rewrite_ptr(GLenum target)
{
    epoxy_glEndQuery = (void *)epoxy_glEndQuery_resolver();
    epoxy_glEndQuery(target);
}
PUBLIC PFNGLENDQUERYPROC epoxy_glEndQuery = epoxy_glEndQuery_rewrite_ptr;

static void
epoxy_glEndQueryARB_rewrite_ptr(GLenum target)
{
    epoxy_glEndQueryARB = (void *)epoxy_glEndQuery_resolver();
    epoxy_glEndQueryARB(target);
}
PUBLIC PFNGLENDQUERYARBPROC epoxy_glEndQueryARB = epoxy_glEndQueryARB_rewrite_ptr;

static void
epoxy_glEndQueryEXT_rewrite_ptr(GLenum target)
{
    epoxy_glEndQueryEXT = (void *)epoxy_glEndQueryEXT_resolver();
    epoxy_glEndQueryEXT(target);
}
PUBLIC PFNGLENDQUERYEXTPROC epoxy_glEndQueryEXT = epoxy_glEndQueryEXT_rewrite_ptr;

static void
epoxy_glEndQueryIndexed_rewrite_ptr(GLenum target, GLuint index)
{
    epoxy_glEndQueryIndexed = (void *)epoxy_glEndQueryIndexed_resolver();
    epoxy_glEndQueryIndexed(target, index);
}
PUBLIC PFNGLENDQUERYINDEXEDPROC epoxy_glEndQueryIndexed = epoxy_glEndQueryIndexed_rewrite_ptr;

static void
epoxy_glEndTilingQCOM_rewrite_ptr(GLbitfield preserveMask)
{
    epoxy_glEndTilingQCOM = (void *)epoxy_glEndTilingQCOM_resolver();
    epoxy_glEndTilingQCOM(preserveMask);
}
PUBLIC PFNGLENDTILINGQCOMPROC epoxy_glEndTilingQCOM = epoxy_glEndTilingQCOM_rewrite_ptr;

static void
epoxy_glEndTransformFeedback_rewrite_ptr(void)
{
    epoxy_glEndTransformFeedback = (void *)epoxy_glEndTransformFeedback_resolver();
    epoxy_glEndTransformFeedback();
}
PUBLIC PFNGLENDTRANSFORMFEEDBACKPROC epoxy_glEndTransformFeedback = epoxy_glEndTransformFeedback_rewrite_ptr;

static void
epoxy_glEndTransformFeedbackEXT_rewrite_ptr(void)
{
    epoxy_glEndTransformFeedbackEXT = (void *)epoxy_glEndTransformFeedback_resolver();
    epoxy_glEndTransformFeedbackEXT();
}
PUBLIC PFNGLENDTRANSFORMFEEDBACKEXTPROC epoxy_glEndTransformFeedbackEXT = epoxy_glEndTransformFeedbackEXT_rewrite_ptr;

static void
epoxy_glEndTransformFeedbackNV_rewrite_ptr(void)
{
    epoxy_glEndTransformFeedbackNV = (void *)epoxy_glEndTransformFeedback_resolver();
    epoxy_glEndTransformFeedbackNV();
}
PUBLIC PFNGLENDTRANSFORMFEEDBACKNVPROC epoxy_glEndTransformFeedbackNV = epoxy_glEndTransformFeedbackNV_rewrite_ptr;

static void
epoxy_glEndVertexShaderEXT_rewrite_ptr(void)
{
    epoxy_glEndVertexShaderEXT = (void *)epoxy_glEndVertexShaderEXT_resolver();
    epoxy_glEndVertexShaderEXT();
}
PUBLIC PFNGLENDVERTEXSHADEREXTPROC epoxy_glEndVertexShaderEXT = epoxy_glEndVertexShaderEXT_rewrite_ptr;

static void
epoxy_glEndVideoCaptureNV_rewrite_ptr(GLuint video_capture_slot)
{
    epoxy_glEndVideoCaptureNV = (void *)epoxy_glEndVideoCaptureNV_resolver();
    epoxy_glEndVideoCaptureNV(video_capture_slot);
}
PUBLIC PFNGLENDVIDEOCAPTURENVPROC epoxy_glEndVideoCaptureNV = epoxy_glEndVideoCaptureNV_rewrite_ptr;

static void
epoxy_glEvalCoord1d_rewrite_ptr(GLdouble u)
{
    epoxy_glEvalCoord1d = (void *)epoxy_glEvalCoord1d_resolver();
    epoxy_glEvalCoord1d(u);
}
PUBLIC PFNGLEVALCOORD1DPROC epoxy_glEvalCoord1d = epoxy_glEvalCoord1d_rewrite_ptr;

static void
epoxy_glEvalCoord1dv_rewrite_ptr(const GLdouble * u)
{
    epoxy_glEvalCoord1dv = (void *)epoxy_glEvalCoord1dv_resolver();
    epoxy_glEvalCoord1dv(u);
}
PUBLIC PFNGLEVALCOORD1DVPROC epoxy_glEvalCoord1dv = epoxy_glEvalCoord1dv_rewrite_ptr;

static void
epoxy_glEvalCoord1f_rewrite_ptr(GLfloat u)
{
    epoxy_glEvalCoord1f = (void *)epoxy_glEvalCoord1f_resolver();
    epoxy_glEvalCoord1f(u);
}
PUBLIC PFNGLEVALCOORD1FPROC epoxy_glEvalCoord1f = epoxy_glEvalCoord1f_rewrite_ptr;

static void
epoxy_glEvalCoord1fv_rewrite_ptr(const GLfloat * u)
{
    epoxy_glEvalCoord1fv = (void *)epoxy_glEvalCoord1fv_resolver();
    epoxy_glEvalCoord1fv(u);
}
PUBLIC PFNGLEVALCOORD1FVPROC epoxy_glEvalCoord1fv = epoxy_glEvalCoord1fv_rewrite_ptr;

static void
epoxy_glEvalCoord1xOES_rewrite_ptr(GLfixed u)
{
    epoxy_glEvalCoord1xOES = (void *)epoxy_glEvalCoord1xOES_resolver();
    epoxy_glEvalCoord1xOES(u);
}
PUBLIC PFNGLEVALCOORD1XOESPROC epoxy_glEvalCoord1xOES = epoxy_glEvalCoord1xOES_rewrite_ptr;

static void
epoxy_glEvalCoord1xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glEvalCoord1xvOES = (void *)epoxy_glEvalCoord1xvOES_resolver();
    epoxy_glEvalCoord1xvOES(coords);
}
PUBLIC PFNGLEVALCOORD1XVOESPROC epoxy_glEvalCoord1xvOES = epoxy_glEvalCoord1xvOES_rewrite_ptr;

static void
epoxy_glEvalCoord2d_rewrite_ptr(GLdouble u, GLdouble v)
{
    epoxy_glEvalCoord2d = (void *)epoxy_glEvalCoord2d_resolver();
    epoxy_glEvalCoord2d(u, v);
}
PUBLIC PFNGLEVALCOORD2DPROC epoxy_glEvalCoord2d = epoxy_glEvalCoord2d_rewrite_ptr;

static void
epoxy_glEvalCoord2dv_rewrite_ptr(const GLdouble * u)
{
    epoxy_glEvalCoord2dv = (void *)epoxy_glEvalCoord2dv_resolver();
    epoxy_glEvalCoord2dv(u);
}
PUBLIC PFNGLEVALCOORD2DVPROC epoxy_glEvalCoord2dv = epoxy_glEvalCoord2dv_rewrite_ptr;

static void
epoxy_glEvalCoord2f_rewrite_ptr(GLfloat u, GLfloat v)
{
    epoxy_glEvalCoord2f = (void *)epoxy_glEvalCoord2f_resolver();
    epoxy_glEvalCoord2f(u, v);
}
PUBLIC PFNGLEVALCOORD2FPROC epoxy_glEvalCoord2f = epoxy_glEvalCoord2f_rewrite_ptr;

static void
epoxy_glEvalCoord2fv_rewrite_ptr(const GLfloat * u)
{
    epoxy_glEvalCoord2fv = (void *)epoxy_glEvalCoord2fv_resolver();
    epoxy_glEvalCoord2fv(u);
}
PUBLIC PFNGLEVALCOORD2FVPROC epoxy_glEvalCoord2fv = epoxy_glEvalCoord2fv_rewrite_ptr;

static void
epoxy_glEvalCoord2xOES_rewrite_ptr(GLfixed u, GLfixed v)
{
    epoxy_glEvalCoord2xOES = (void *)epoxy_glEvalCoord2xOES_resolver();
    epoxy_glEvalCoord2xOES(u, v);
}
PUBLIC PFNGLEVALCOORD2XOESPROC epoxy_glEvalCoord2xOES = epoxy_glEvalCoord2xOES_rewrite_ptr;

static void
epoxy_glEvalCoord2xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glEvalCoord2xvOES = (void *)epoxy_glEvalCoord2xvOES_resolver();
    epoxy_glEvalCoord2xvOES(coords);
}
PUBLIC PFNGLEVALCOORD2XVOESPROC epoxy_glEvalCoord2xvOES = epoxy_glEvalCoord2xvOES_rewrite_ptr;

static void
epoxy_glEvalMapsNV_rewrite_ptr(GLenum target, GLenum mode)
{
    epoxy_glEvalMapsNV = (void *)epoxy_glEvalMapsNV_resolver();
    epoxy_glEvalMapsNV(target, mode);
}
PUBLIC PFNGLEVALMAPSNVPROC epoxy_glEvalMapsNV = epoxy_glEvalMapsNV_rewrite_ptr;

static void
epoxy_glEvalMesh1_rewrite_ptr(GLenum mode, GLint i1, GLint i2)
{
    epoxy_glEvalMesh1 = (void *)epoxy_glEvalMesh1_resolver();
    epoxy_glEvalMesh1(mode, i1, i2);
}
PUBLIC PFNGLEVALMESH1PROC epoxy_glEvalMesh1 = epoxy_glEvalMesh1_rewrite_ptr;

static void
epoxy_glEvalMesh2_rewrite_ptr(GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2)
{
    epoxy_glEvalMesh2 = (void *)epoxy_glEvalMesh2_resolver();
    epoxy_glEvalMesh2(mode, i1, i2, j1, j2);
}
PUBLIC PFNGLEVALMESH2PROC epoxy_glEvalMesh2 = epoxy_glEvalMesh2_rewrite_ptr;

static void
epoxy_glEvalPoint1_rewrite_ptr(GLint i)
{
    epoxy_glEvalPoint1 = (void *)epoxy_glEvalPoint1_resolver();
    epoxy_glEvalPoint1(i);
}
PUBLIC PFNGLEVALPOINT1PROC epoxy_glEvalPoint1 = epoxy_glEvalPoint1_rewrite_ptr;

static void
epoxy_glEvalPoint2_rewrite_ptr(GLint i, GLint j)
{
    epoxy_glEvalPoint2 = (void *)epoxy_glEvalPoint2_resolver();
    epoxy_glEvalPoint2(i, j);
}
PUBLIC PFNGLEVALPOINT2PROC epoxy_glEvalPoint2 = epoxy_glEvalPoint2_rewrite_ptr;

static void
epoxy_glExecuteProgramNV_rewrite_ptr(GLenum target, GLuint id, const GLfloat * params)
{
    epoxy_glExecuteProgramNV = (void *)epoxy_glExecuteProgramNV_resolver();
    epoxy_glExecuteProgramNV(target, id, params);
}
PUBLIC PFNGLEXECUTEPROGRAMNVPROC epoxy_glExecuteProgramNV = epoxy_glExecuteProgramNV_rewrite_ptr;

static void
epoxy_glExtGetBufferPointervQCOM_rewrite_ptr(GLenum target, void ** params)
{
    epoxy_glExtGetBufferPointervQCOM = (void *)epoxy_glExtGetBufferPointervQCOM_resolver();
    epoxy_glExtGetBufferPointervQCOM(target, params);
}
PUBLIC PFNGLEXTGETBUFFERPOINTERVQCOMPROC epoxy_glExtGetBufferPointervQCOM = epoxy_glExtGetBufferPointervQCOM_rewrite_ptr;

static void
epoxy_glExtGetBuffersQCOM_rewrite_ptr(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)
{
    epoxy_glExtGetBuffersQCOM = (void *)epoxy_glExtGetBuffersQCOM_resolver();
    epoxy_glExtGetBuffersQCOM(buffers, maxBuffers, numBuffers);
}
PUBLIC PFNGLEXTGETBUFFERSQCOMPROC epoxy_glExtGetBuffersQCOM = epoxy_glExtGetBuffersQCOM_rewrite_ptr;

static void
epoxy_glExtGetFramebuffersQCOM_rewrite_ptr(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)
{
    epoxy_glExtGetFramebuffersQCOM = (void *)epoxy_glExtGetFramebuffersQCOM_resolver();
    epoxy_glExtGetFramebuffersQCOM(framebuffers, maxFramebuffers, numFramebuffers);
}
PUBLIC PFNGLEXTGETFRAMEBUFFERSQCOMPROC epoxy_glExtGetFramebuffersQCOM = epoxy_glExtGetFramebuffersQCOM_rewrite_ptr;

static void
epoxy_glExtGetProgramBinarySourceQCOM_rewrite_ptr(GLuint program, GLenum shadertype, GLchar * source, GLint * length)
{
    epoxy_glExtGetProgramBinarySourceQCOM = (void *)epoxy_glExtGetProgramBinarySourceQCOM_resolver();
    epoxy_glExtGetProgramBinarySourceQCOM(program, shadertype, source, length);
}
PUBLIC PFNGLEXTGETPROGRAMBINARYSOURCEQCOMPROC epoxy_glExtGetProgramBinarySourceQCOM = epoxy_glExtGetProgramBinarySourceQCOM_rewrite_ptr;

static void
epoxy_glExtGetProgramsQCOM_rewrite_ptr(GLuint * programs, GLint maxPrograms, GLint * numPrograms)
{
    epoxy_glExtGetProgramsQCOM = (void *)epoxy_glExtGetProgramsQCOM_resolver();
    epoxy_glExtGetProgramsQCOM(programs, maxPrograms, numPrograms);
}
PUBLIC PFNGLEXTGETPROGRAMSQCOMPROC epoxy_glExtGetProgramsQCOM = epoxy_glExtGetProgramsQCOM_rewrite_ptr;

static void
epoxy_glExtGetRenderbuffersQCOM_rewrite_ptr(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)
{
    epoxy_glExtGetRenderbuffersQCOM = (void *)epoxy_glExtGetRenderbuffersQCOM_resolver();
    epoxy_glExtGetRenderbuffersQCOM(renderbuffers, maxRenderbuffers, numRenderbuffers);
}
PUBLIC PFNGLEXTGETRENDERBUFFERSQCOMPROC epoxy_glExtGetRenderbuffersQCOM = epoxy_glExtGetRenderbuffersQCOM_rewrite_ptr;

static void
epoxy_glExtGetShadersQCOM_rewrite_ptr(GLuint * shaders, GLint maxShaders, GLint * numShaders)
{
    epoxy_glExtGetShadersQCOM = (void *)epoxy_glExtGetShadersQCOM_resolver();
    epoxy_glExtGetShadersQCOM(shaders, maxShaders, numShaders);
}
PUBLIC PFNGLEXTGETSHADERSQCOMPROC epoxy_glExtGetShadersQCOM = epoxy_glExtGetShadersQCOM_rewrite_ptr;

static void
epoxy_glExtGetTexLevelParameterivQCOM_rewrite_ptr(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)
{
    epoxy_glExtGetTexLevelParameterivQCOM = (void *)epoxy_glExtGetTexLevelParameterivQCOM_resolver();
    epoxy_glExtGetTexLevelParameterivQCOM(texture, face, level, pname, params);
}
PUBLIC PFNGLEXTGETTEXLEVELPARAMETERIVQCOMPROC epoxy_glExtGetTexLevelParameterivQCOM = epoxy_glExtGetTexLevelParameterivQCOM_rewrite_ptr;

static void
epoxy_glExtGetTexSubImageQCOM_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, void * texels)
{
    epoxy_glExtGetTexSubImageQCOM = (void *)epoxy_glExtGetTexSubImageQCOM_resolver();
    epoxy_glExtGetTexSubImageQCOM(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, texels);
}
PUBLIC PFNGLEXTGETTEXSUBIMAGEQCOMPROC epoxy_glExtGetTexSubImageQCOM = epoxy_glExtGetTexSubImageQCOM_rewrite_ptr;

static void
epoxy_glExtGetTexturesQCOM_rewrite_ptr(GLuint * textures, GLint maxTextures, GLint * numTextures)
{
    epoxy_glExtGetTexturesQCOM = (void *)epoxy_glExtGetTexturesQCOM_resolver();
    epoxy_glExtGetTexturesQCOM(textures, maxTextures, numTextures);
}
PUBLIC PFNGLEXTGETTEXTURESQCOMPROC epoxy_glExtGetTexturesQCOM = epoxy_glExtGetTexturesQCOM_rewrite_ptr;

static GLboolean
epoxy_glExtIsProgramBinaryQCOM_rewrite_ptr(GLuint program)
{
    epoxy_glExtIsProgramBinaryQCOM = (void *)epoxy_glExtIsProgramBinaryQCOM_resolver();
    return epoxy_glExtIsProgramBinaryQCOM(program);
}
PUBLIC PFNGLEXTISPROGRAMBINARYQCOMPROC epoxy_glExtIsProgramBinaryQCOM = epoxy_glExtIsProgramBinaryQCOM_rewrite_ptr;

static void
epoxy_glExtTexObjectStateOverrideiQCOM_rewrite_ptr(GLenum target, GLenum pname, GLint param)
{
    epoxy_glExtTexObjectStateOverrideiQCOM = (void *)epoxy_glExtTexObjectStateOverrideiQCOM_resolver();
    epoxy_glExtTexObjectStateOverrideiQCOM(target, pname, param);
}
PUBLIC PFNGLEXTTEXOBJECTSTATEOVERRIDEIQCOMPROC epoxy_glExtTexObjectStateOverrideiQCOM = epoxy_glExtTexObjectStateOverrideiQCOM_rewrite_ptr;

static void
epoxy_glExtractComponentEXT_rewrite_ptr(GLuint res, GLuint src, GLuint num)
{
    epoxy_glExtractComponentEXT = (void *)epoxy_glExtractComponentEXT_resolver();
    epoxy_glExtractComponentEXT(res, src, num);
}
PUBLIC PFNGLEXTRACTCOMPONENTEXTPROC epoxy_glExtractComponentEXT = epoxy_glExtractComponentEXT_rewrite_ptr;

static void
epoxy_glFeedbackBuffer_rewrite_ptr(GLsizei size, GLenum type, GLfloat * buffer)
{
    epoxy_glFeedbackBuffer = (void *)epoxy_glFeedbackBuffer_resolver();
    epoxy_glFeedbackBuffer(size, type, buffer);
}
PUBLIC PFNGLFEEDBACKBUFFERPROC epoxy_glFeedbackBuffer = epoxy_glFeedbackBuffer_rewrite_ptr;

static void
epoxy_glFeedbackBufferxOES_rewrite_ptr(GLsizei n, GLenum type, const GLfixed * buffer)
{
    epoxy_glFeedbackBufferxOES = (void *)epoxy_glFeedbackBufferxOES_resolver();
    epoxy_glFeedbackBufferxOES(n, type, buffer);
}
PUBLIC PFNGLFEEDBACKBUFFERXOESPROC epoxy_glFeedbackBufferxOES = epoxy_glFeedbackBufferxOES_rewrite_ptr;

static GLsync
epoxy_glFenceSync_rewrite_ptr(GLenum condition, GLbitfield flags)
{
    epoxy_glFenceSync = (void *)epoxy_glFenceSync_resolver();
    return epoxy_glFenceSync(condition, flags);
}
PUBLIC PFNGLFENCESYNCPROC epoxy_glFenceSync = epoxy_glFenceSync_rewrite_ptr;

static GLsync
epoxy_glFenceSyncAPPLE_rewrite_ptr(GLenum condition, GLbitfield flags)
{
    epoxy_glFenceSyncAPPLE = (void *)epoxy_glFenceSync_resolver();
    return epoxy_glFenceSyncAPPLE(condition, flags);
}
PUBLIC PFNGLFENCESYNCAPPLEPROC epoxy_glFenceSyncAPPLE = epoxy_glFenceSyncAPPLE_rewrite_ptr;

static void
epoxy_glFinalCombinerInputNV_rewrite_ptr(GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage)
{
    epoxy_glFinalCombinerInputNV = (void *)epoxy_glFinalCombinerInputNV_resolver();
    epoxy_glFinalCombinerInputNV(variable, input, mapping, componentUsage);
}
PUBLIC PFNGLFINALCOMBINERINPUTNVPROC epoxy_glFinalCombinerInputNV = epoxy_glFinalCombinerInputNV_rewrite_ptr;

static void
epoxy_glFinish_rewrite_ptr(void)
{
    epoxy_glFinish = (void *)epoxy_glFinish_resolver();
    epoxy_glFinish();
}
PUBLIC PFNGLFINISHPROC epoxy_glFinish = epoxy_glFinish_rewrite_ptr;

static GLint
epoxy_glFinishAsyncSGIX_rewrite_ptr(GLuint * markerp)
{
    epoxy_glFinishAsyncSGIX = (void *)epoxy_glFinishAsyncSGIX_resolver();
    return epoxy_glFinishAsyncSGIX(markerp);
}
PUBLIC PFNGLFINISHASYNCSGIXPROC epoxy_glFinishAsyncSGIX = epoxy_glFinishAsyncSGIX_rewrite_ptr;

static void
epoxy_glFinishFenceAPPLE_rewrite_ptr(GLuint fence)
{
    epoxy_glFinishFenceAPPLE = (void *)epoxy_glFinishFenceAPPLE_resolver();
    epoxy_glFinishFenceAPPLE(fence);
}
PUBLIC PFNGLFINISHFENCEAPPLEPROC epoxy_glFinishFenceAPPLE = epoxy_glFinishFenceAPPLE_rewrite_ptr;

static void
epoxy_glFinishFenceNV_rewrite_ptr(GLuint fence)
{
    epoxy_glFinishFenceNV = (void *)epoxy_glFinishFenceNV_resolver();
    epoxy_glFinishFenceNV(fence);
}
PUBLIC PFNGLFINISHFENCENVPROC epoxy_glFinishFenceNV = epoxy_glFinishFenceNV_rewrite_ptr;

static void
epoxy_glFinishObjectAPPLE_rewrite_ptr(GLenum object, GLint name)
{
    epoxy_glFinishObjectAPPLE = (void *)epoxy_glFinishObjectAPPLE_resolver();
    epoxy_glFinishObjectAPPLE(object, name);
}
PUBLIC PFNGLFINISHOBJECTAPPLEPROC epoxy_glFinishObjectAPPLE = epoxy_glFinishObjectAPPLE_rewrite_ptr;

static void
epoxy_glFinishTextureSUNX_rewrite_ptr(void)
{
    epoxy_glFinishTextureSUNX = (void *)epoxy_glFinishTextureSUNX_resolver();
    epoxy_glFinishTextureSUNX();
}
PUBLIC PFNGLFINISHTEXTURESUNXPROC epoxy_glFinishTextureSUNX = epoxy_glFinishTextureSUNX_rewrite_ptr;

static void
epoxy_glFlush_rewrite_ptr(void)
{
    epoxy_glFlush = (void *)epoxy_glFlush_resolver();
    epoxy_glFlush();
}
PUBLIC PFNGLFLUSHPROC epoxy_glFlush = epoxy_glFlush_rewrite_ptr;

static void
epoxy_glFlushMappedBufferRange_rewrite_ptr(GLenum target, GLintptr offset, GLsizeiptr length)
{
    epoxy_glFlushMappedBufferRange = (void *)epoxy_glFlushMappedBufferRange_resolver();
    epoxy_glFlushMappedBufferRange(target, offset, length);
}
PUBLIC PFNGLFLUSHMAPPEDBUFFERRANGEPROC epoxy_glFlushMappedBufferRange = epoxy_glFlushMappedBufferRange_rewrite_ptr;

static void
epoxy_glFlushMappedBufferRangeAPPLE_rewrite_ptr(GLenum target, GLintptr offset, GLsizeiptr size)
{
    epoxy_glFlushMappedBufferRangeAPPLE = (void *)epoxy_glFlushMappedBufferRange_resolver();
    epoxy_glFlushMappedBufferRangeAPPLE(target, offset, size);
}
PUBLIC PFNGLFLUSHMAPPEDBUFFERRANGEAPPLEPROC epoxy_glFlushMappedBufferRangeAPPLE = epoxy_glFlushMappedBufferRangeAPPLE_rewrite_ptr;

static void
epoxy_glFlushMappedBufferRangeEXT_rewrite_ptr(GLenum target, GLintptr offset, GLsizeiptr length)
{
    epoxy_glFlushMappedBufferRangeEXT = (void *)epoxy_glFlushMappedBufferRange_resolver();
    epoxy_glFlushMappedBufferRangeEXT(target, offset, length);
}
PUBLIC PFNGLFLUSHMAPPEDBUFFERRANGEEXTPROC epoxy_glFlushMappedBufferRangeEXT = epoxy_glFlushMappedBufferRangeEXT_rewrite_ptr;

static void
epoxy_glFlushMappedNamedBufferRangeEXT_rewrite_ptr(GLuint buffer, GLintptr offset, GLsizeiptr length)
{
    epoxy_glFlushMappedNamedBufferRangeEXT = (void *)epoxy_glFlushMappedNamedBufferRangeEXT_resolver();
    epoxy_glFlushMappedNamedBufferRangeEXT(buffer, offset, length);
}
PUBLIC PFNGLFLUSHMAPPEDNAMEDBUFFERRANGEEXTPROC epoxy_glFlushMappedNamedBufferRangeEXT = epoxy_glFlushMappedNamedBufferRangeEXT_rewrite_ptr;

static void
epoxy_glFlushPixelDataRangeNV_rewrite_ptr(GLenum target)
{
    epoxy_glFlushPixelDataRangeNV = (void *)epoxy_glFlushPixelDataRangeNV_resolver();
    epoxy_glFlushPixelDataRangeNV(target);
}
PUBLIC PFNGLFLUSHPIXELDATARANGENVPROC epoxy_glFlushPixelDataRangeNV = epoxy_glFlushPixelDataRangeNV_rewrite_ptr;

static void
epoxy_glFlushRasterSGIX_rewrite_ptr(void)
{
    epoxy_glFlushRasterSGIX = (void *)epoxy_glFlushRasterSGIX_resolver();
    epoxy_glFlushRasterSGIX();
}
PUBLIC PFNGLFLUSHRASTERSGIXPROC epoxy_glFlushRasterSGIX = epoxy_glFlushRasterSGIX_rewrite_ptr;

static void
epoxy_glFlushStaticDataIBM_rewrite_ptr(GLenum target)
{
    epoxy_glFlushStaticDataIBM = (void *)epoxy_glFlushStaticDataIBM_resolver();
    epoxy_glFlushStaticDataIBM(target);
}
PUBLIC PFNGLFLUSHSTATICDATAIBMPROC epoxy_glFlushStaticDataIBM = epoxy_glFlushStaticDataIBM_rewrite_ptr;

static void
epoxy_glFlushVertexArrayRangeAPPLE_rewrite_ptr(GLsizei length, void * pointer)
{
    epoxy_glFlushVertexArrayRangeAPPLE = (void *)epoxy_glFlushVertexArrayRangeAPPLE_resolver();
    epoxy_glFlushVertexArrayRangeAPPLE(length, pointer);
}
PUBLIC PFNGLFLUSHVERTEXARRAYRANGEAPPLEPROC epoxy_glFlushVertexArrayRangeAPPLE = epoxy_glFlushVertexArrayRangeAPPLE_rewrite_ptr;

static void
epoxy_glFlushVertexArrayRangeNV_rewrite_ptr(void)
{
    epoxy_glFlushVertexArrayRangeNV = (void *)epoxy_glFlushVertexArrayRangeNV_resolver();
    epoxy_glFlushVertexArrayRangeNV();
}
PUBLIC PFNGLFLUSHVERTEXARRAYRANGENVPROC epoxy_glFlushVertexArrayRangeNV = epoxy_glFlushVertexArrayRangeNV_rewrite_ptr;

static void
epoxy_glFogCoordFormatNV_rewrite_ptr(GLenum type, GLsizei stride)
{
    epoxy_glFogCoordFormatNV = (void *)epoxy_glFogCoordFormatNV_resolver();
    epoxy_glFogCoordFormatNV(type, stride);
}
PUBLIC PFNGLFOGCOORDFORMATNVPROC epoxy_glFogCoordFormatNV = epoxy_glFogCoordFormatNV_rewrite_ptr;

static void
epoxy_glFogCoordPointer_rewrite_ptr(GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glFogCoordPointer = (void *)epoxy_glFogCoordPointer_resolver();
    epoxy_glFogCoordPointer(type, stride, pointer);
}
PUBLIC PFNGLFOGCOORDPOINTERPROC epoxy_glFogCoordPointer = epoxy_glFogCoordPointer_rewrite_ptr;

static void
epoxy_glFogCoordPointerEXT_rewrite_ptr(GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glFogCoordPointerEXT = (void *)epoxy_glFogCoordPointer_resolver();
    epoxy_glFogCoordPointerEXT(type, stride, pointer);
}
PUBLIC PFNGLFOGCOORDPOINTEREXTPROC epoxy_glFogCoordPointerEXT = epoxy_glFogCoordPointerEXT_rewrite_ptr;

static void
epoxy_glFogCoordPointerListIBM_rewrite_ptr(GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    epoxy_glFogCoordPointerListIBM = (void *)epoxy_glFogCoordPointerListIBM_resolver();
    epoxy_glFogCoordPointerListIBM(type, stride, pointer, ptrstride);
}
PUBLIC PFNGLFOGCOORDPOINTERLISTIBMPROC epoxy_glFogCoordPointerListIBM = epoxy_glFogCoordPointerListIBM_rewrite_ptr;

static void
epoxy_glFogCoordd_rewrite_ptr(GLdouble coord)
{
    epoxy_glFogCoordd = (void *)epoxy_glFogCoordd_resolver();
    epoxy_glFogCoordd(coord);
}
PUBLIC PFNGLFOGCOORDDPROC epoxy_glFogCoordd = epoxy_glFogCoordd_rewrite_ptr;

static void
epoxy_glFogCoorddEXT_rewrite_ptr(GLdouble coord)
{
    epoxy_glFogCoorddEXT = (void *)epoxy_glFogCoordd_resolver();
    epoxy_glFogCoorddEXT(coord);
}
PUBLIC PFNGLFOGCOORDDEXTPROC epoxy_glFogCoorddEXT = epoxy_glFogCoorddEXT_rewrite_ptr;

static void
epoxy_glFogCoorddv_rewrite_ptr(const GLdouble * coord)
{
    epoxy_glFogCoorddv = (void *)epoxy_glFogCoorddv_resolver();
    epoxy_glFogCoorddv(coord);
}
PUBLIC PFNGLFOGCOORDDVPROC epoxy_glFogCoorddv = epoxy_glFogCoorddv_rewrite_ptr;

static void
epoxy_glFogCoorddvEXT_rewrite_ptr(const GLdouble * coord)
{
    epoxy_glFogCoorddvEXT = (void *)epoxy_glFogCoorddv_resolver();
    epoxy_glFogCoorddvEXT(coord);
}
PUBLIC PFNGLFOGCOORDDVEXTPROC epoxy_glFogCoorddvEXT = epoxy_glFogCoorddvEXT_rewrite_ptr;

static void
epoxy_glFogCoordf_rewrite_ptr(GLfloat coord)
{
    epoxy_glFogCoordf = (void *)epoxy_glFogCoordf_resolver();
    epoxy_glFogCoordf(coord);
}
PUBLIC PFNGLFOGCOORDFPROC epoxy_glFogCoordf = epoxy_glFogCoordf_rewrite_ptr;

static void
epoxy_glFogCoordfEXT_rewrite_ptr(GLfloat coord)
{
    epoxy_glFogCoordfEXT = (void *)epoxy_glFogCoordf_resolver();
    epoxy_glFogCoordfEXT(coord);
}
PUBLIC PFNGLFOGCOORDFEXTPROC epoxy_glFogCoordfEXT = epoxy_glFogCoordfEXT_rewrite_ptr;

static void
epoxy_glFogCoordfv_rewrite_ptr(const GLfloat * coord)
{
    epoxy_glFogCoordfv = (void *)epoxy_glFogCoordfv_resolver();
    epoxy_glFogCoordfv(coord);
}
PUBLIC PFNGLFOGCOORDFVPROC epoxy_glFogCoordfv = epoxy_glFogCoordfv_rewrite_ptr;

static void
epoxy_glFogCoordfvEXT_rewrite_ptr(const GLfloat * coord)
{
    epoxy_glFogCoordfvEXT = (void *)epoxy_glFogCoordfv_resolver();
    epoxy_glFogCoordfvEXT(coord);
}
PUBLIC PFNGLFOGCOORDFVEXTPROC epoxy_glFogCoordfvEXT = epoxy_glFogCoordfvEXT_rewrite_ptr;

static void
epoxy_glFogCoordhNV_rewrite_ptr(GLhalfNV fog)
{
    epoxy_glFogCoordhNV = (void *)epoxy_glFogCoordhNV_resolver();
    epoxy_glFogCoordhNV(fog);
}
PUBLIC PFNGLFOGCOORDHNVPROC epoxy_glFogCoordhNV = epoxy_glFogCoordhNV_rewrite_ptr;

static void
epoxy_glFogCoordhvNV_rewrite_ptr(const GLhalfNV * fog)
{
    epoxy_glFogCoordhvNV = (void *)epoxy_glFogCoordhvNV_resolver();
    epoxy_glFogCoordhvNV(fog);
}
PUBLIC PFNGLFOGCOORDHVNVPROC epoxy_glFogCoordhvNV = epoxy_glFogCoordhvNV_rewrite_ptr;

static void
epoxy_glFogFuncSGIS_rewrite_ptr(GLsizei n, const GLfloat * points)
{
    epoxy_glFogFuncSGIS = (void *)epoxy_glFogFuncSGIS_resolver();
    epoxy_glFogFuncSGIS(n, points);
}
PUBLIC PFNGLFOGFUNCSGISPROC epoxy_glFogFuncSGIS = epoxy_glFogFuncSGIS_rewrite_ptr;

static void
epoxy_glFogf_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glFogf = (void *)epoxy_glFogf_resolver();
    epoxy_glFogf(pname, param);
}
PUBLIC PFNGLFOGFPROC epoxy_glFogf = epoxy_glFogf_rewrite_ptr;

static void
epoxy_glFogfv_rewrite_ptr(GLenum pname, const GLfloat * params)
{
    epoxy_glFogfv = (void *)epoxy_glFogfv_resolver();
    epoxy_glFogfv(pname, params);
}
PUBLIC PFNGLFOGFVPROC epoxy_glFogfv = epoxy_glFogfv_rewrite_ptr;

static void
epoxy_glFogi_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glFogi = (void *)epoxy_glFogi_resolver();
    epoxy_glFogi(pname, param);
}
PUBLIC PFNGLFOGIPROC epoxy_glFogi = epoxy_glFogi_rewrite_ptr;

static void
epoxy_glFogiv_rewrite_ptr(GLenum pname, const GLint * params)
{
    epoxy_glFogiv = (void *)epoxy_glFogiv_resolver();
    epoxy_glFogiv(pname, params);
}
PUBLIC PFNGLFOGIVPROC epoxy_glFogiv = epoxy_glFogiv_rewrite_ptr;

static void
epoxy_glFogx_rewrite_ptr(GLenum pname, GLfixed param)
{
    epoxy_glFogx = (void *)epoxy_glFogx_resolver();
    epoxy_glFogx(pname, param);
}
PUBLIC PFNGLFOGXPROC epoxy_glFogx = epoxy_glFogx_rewrite_ptr;

static void
epoxy_glFogxOES_rewrite_ptr(GLenum pname, GLfixed param)
{
    epoxy_glFogxOES = (void *)epoxy_glFogxOES_resolver();
    epoxy_glFogxOES(pname, param);
}
PUBLIC PFNGLFOGXOESPROC epoxy_glFogxOES = epoxy_glFogxOES_rewrite_ptr;

static void
epoxy_glFogxv_rewrite_ptr(GLenum pname, const GLfixed * param)
{
    epoxy_glFogxv = (void *)epoxy_glFogxv_resolver();
    epoxy_glFogxv(pname, param);
}
PUBLIC PFNGLFOGXVPROC epoxy_glFogxv = epoxy_glFogxv_rewrite_ptr;

static void
epoxy_glFogxvOES_rewrite_ptr(GLenum pname, const GLfixed * param)
{
    epoxy_glFogxvOES = (void *)epoxy_glFogxvOES_resolver();
    epoxy_glFogxvOES(pname, param);
}
PUBLIC PFNGLFOGXVOESPROC epoxy_glFogxvOES = epoxy_glFogxvOES_rewrite_ptr;

static void
epoxy_glFragmentColorMaterialSGIX_rewrite_ptr(GLenum face, GLenum mode)
{
    epoxy_glFragmentColorMaterialSGIX = (void *)epoxy_glFragmentColorMaterialSGIX_resolver();
    epoxy_glFragmentColorMaterialSGIX(face, mode);
}
PUBLIC PFNGLFRAGMENTCOLORMATERIALSGIXPROC epoxy_glFragmentColorMaterialSGIX = epoxy_glFragmentColorMaterialSGIX_rewrite_ptr;

static void
epoxy_glFragmentLightModelfSGIX_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glFragmentLightModelfSGIX = (void *)epoxy_glFragmentLightModelfSGIX_resolver();
    epoxy_glFragmentLightModelfSGIX(pname, param);
}
PUBLIC PFNGLFRAGMENTLIGHTMODELFSGIXPROC epoxy_glFragmentLightModelfSGIX = epoxy_glFragmentLightModelfSGIX_rewrite_ptr;

static void
epoxy_glFragmentLightModelfvSGIX_rewrite_ptr(GLenum pname, const GLfloat * params)
{
    epoxy_glFragmentLightModelfvSGIX = (void *)epoxy_glFragmentLightModelfvSGIX_resolver();
    epoxy_glFragmentLightModelfvSGIX(pname, params);
}
PUBLIC PFNGLFRAGMENTLIGHTMODELFVSGIXPROC epoxy_glFragmentLightModelfvSGIX = epoxy_glFragmentLightModelfvSGIX_rewrite_ptr;

static void
epoxy_glFragmentLightModeliSGIX_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glFragmentLightModeliSGIX = (void *)epoxy_glFragmentLightModeliSGIX_resolver();
    epoxy_glFragmentLightModeliSGIX(pname, param);
}
PUBLIC PFNGLFRAGMENTLIGHTMODELISGIXPROC epoxy_glFragmentLightModeliSGIX = epoxy_glFragmentLightModeliSGIX_rewrite_ptr;

static void
epoxy_glFragmentLightModelivSGIX_rewrite_ptr(GLenum pname, const GLint * params)
{
    epoxy_glFragmentLightModelivSGIX = (void *)epoxy_glFragmentLightModelivSGIX_resolver();
    epoxy_glFragmentLightModelivSGIX(pname, params);
}
PUBLIC PFNGLFRAGMENTLIGHTMODELIVSGIXPROC epoxy_glFragmentLightModelivSGIX = epoxy_glFragmentLightModelivSGIX_rewrite_ptr;

static void
epoxy_glFragmentLightfSGIX_rewrite_ptr(GLenum light, GLenum pname, GLfloat param)
{
    epoxy_glFragmentLightfSGIX = (void *)epoxy_glFragmentLightfSGIX_resolver();
    epoxy_glFragmentLightfSGIX(light, pname, param);
}
PUBLIC PFNGLFRAGMENTLIGHTFSGIXPROC epoxy_glFragmentLightfSGIX = epoxy_glFragmentLightfSGIX_rewrite_ptr;

static void
epoxy_glFragmentLightfvSGIX_rewrite_ptr(GLenum light, GLenum pname, const GLfloat * params)
{
    epoxy_glFragmentLightfvSGIX = (void *)epoxy_glFragmentLightfvSGIX_resolver();
    epoxy_glFragmentLightfvSGIX(light, pname, params);
}
PUBLIC PFNGLFRAGMENTLIGHTFVSGIXPROC epoxy_glFragmentLightfvSGIX = epoxy_glFragmentLightfvSGIX_rewrite_ptr;

static void
epoxy_glFragmentLightiSGIX_rewrite_ptr(GLenum light, GLenum pname, GLint param)
{
    epoxy_glFragmentLightiSGIX = (void *)epoxy_glFragmentLightiSGIX_resolver();
    epoxy_glFragmentLightiSGIX(light, pname, param);
}
PUBLIC PFNGLFRAGMENTLIGHTISGIXPROC epoxy_glFragmentLightiSGIX = epoxy_glFragmentLightiSGIX_rewrite_ptr;

static void
epoxy_glFragmentLightivSGIX_rewrite_ptr(GLenum light, GLenum pname, const GLint * params)
{
    epoxy_glFragmentLightivSGIX = (void *)epoxy_glFragmentLightivSGIX_resolver();
    epoxy_glFragmentLightivSGIX(light, pname, params);
}
PUBLIC PFNGLFRAGMENTLIGHTIVSGIXPROC epoxy_glFragmentLightivSGIX = epoxy_glFragmentLightivSGIX_rewrite_ptr;

static void
epoxy_glFragmentMaterialfSGIX_rewrite_ptr(GLenum face, GLenum pname, GLfloat param)
{
    epoxy_glFragmentMaterialfSGIX = (void *)epoxy_glFragmentMaterialfSGIX_resolver();
    epoxy_glFragmentMaterialfSGIX(face, pname, param);
}
PUBLIC PFNGLFRAGMENTMATERIALFSGIXPROC epoxy_glFragmentMaterialfSGIX = epoxy_glFragmentMaterialfSGIX_rewrite_ptr;

static void
epoxy_glFragmentMaterialfvSGIX_rewrite_ptr(GLenum face, GLenum pname, const GLfloat * params)
{
    epoxy_glFragmentMaterialfvSGIX = (void *)epoxy_glFragmentMaterialfvSGIX_resolver();
    epoxy_glFragmentMaterialfvSGIX(face, pname, params);
}
PUBLIC PFNGLFRAGMENTMATERIALFVSGIXPROC epoxy_glFragmentMaterialfvSGIX = epoxy_glFragmentMaterialfvSGIX_rewrite_ptr;

static void
epoxy_glFragmentMaterialiSGIX_rewrite_ptr(GLenum face, GLenum pname, GLint param)
{
    epoxy_glFragmentMaterialiSGIX = (void *)epoxy_glFragmentMaterialiSGIX_resolver();
    epoxy_glFragmentMaterialiSGIX(face, pname, param);
}
PUBLIC PFNGLFRAGMENTMATERIALISGIXPROC epoxy_glFragmentMaterialiSGIX = epoxy_glFragmentMaterialiSGIX_rewrite_ptr;

static void
epoxy_glFragmentMaterialivSGIX_rewrite_ptr(GLenum face, GLenum pname, const GLint * params)
{
    epoxy_glFragmentMaterialivSGIX = (void *)epoxy_glFragmentMaterialivSGIX_resolver();
    epoxy_glFragmentMaterialivSGIX(face, pname, params);
}
PUBLIC PFNGLFRAGMENTMATERIALIVSGIXPROC epoxy_glFragmentMaterialivSGIX = epoxy_glFragmentMaterialivSGIX_rewrite_ptr;

static void
epoxy_glFrameTerminatorGREMEDY_rewrite_ptr(void)
{
    epoxy_glFrameTerminatorGREMEDY = (void *)epoxy_glFrameTerminatorGREMEDY_resolver();
    epoxy_glFrameTerminatorGREMEDY();
}
PUBLIC PFNGLFRAMETERMINATORGREMEDYPROC epoxy_glFrameTerminatorGREMEDY = epoxy_glFrameTerminatorGREMEDY_rewrite_ptr;

static void
epoxy_glFrameZoomSGIX_rewrite_ptr(GLint factor)
{
    epoxy_glFrameZoomSGIX = (void *)epoxy_glFrameZoomSGIX_resolver();
    epoxy_glFrameZoomSGIX(factor);
}
PUBLIC PFNGLFRAMEZOOMSGIXPROC epoxy_glFrameZoomSGIX = epoxy_glFrameZoomSGIX_rewrite_ptr;

static void
epoxy_glFramebufferDrawBufferEXT_rewrite_ptr(GLuint framebuffer, GLenum mode)
{
    epoxy_glFramebufferDrawBufferEXT = (void *)epoxy_glFramebufferDrawBufferEXT_resolver();
    epoxy_glFramebufferDrawBufferEXT(framebuffer, mode);
}
PUBLIC PFNGLFRAMEBUFFERDRAWBUFFEREXTPROC epoxy_glFramebufferDrawBufferEXT = epoxy_glFramebufferDrawBufferEXT_rewrite_ptr;

static void
epoxy_glFramebufferDrawBuffersEXT_rewrite_ptr(GLuint framebuffer, GLsizei n, const GLenum * bufs)
{
    epoxy_glFramebufferDrawBuffersEXT = (void *)epoxy_glFramebufferDrawBuffersEXT_resolver();
    epoxy_glFramebufferDrawBuffersEXT(framebuffer, n, bufs);
}
PUBLIC PFNGLFRAMEBUFFERDRAWBUFFERSEXTPROC epoxy_glFramebufferDrawBuffersEXT = epoxy_glFramebufferDrawBuffersEXT_rewrite_ptr;

static void
epoxy_glFramebufferParameteri_rewrite_ptr(GLenum target, GLenum pname, GLint param)
{
    epoxy_glFramebufferParameteri = (void *)epoxy_glFramebufferParameteri_resolver();
    epoxy_glFramebufferParameteri(target, pname, param);
}
PUBLIC PFNGLFRAMEBUFFERPARAMETERIPROC epoxy_glFramebufferParameteri = epoxy_glFramebufferParameteri_rewrite_ptr;

static void
epoxy_glFramebufferReadBufferEXT_rewrite_ptr(GLuint framebuffer, GLenum mode)
{
    epoxy_glFramebufferReadBufferEXT = (void *)epoxy_glFramebufferReadBufferEXT_resolver();
    epoxy_glFramebufferReadBufferEXT(framebuffer, mode);
}
PUBLIC PFNGLFRAMEBUFFERREADBUFFEREXTPROC epoxy_glFramebufferReadBufferEXT = epoxy_glFramebufferReadBufferEXT_rewrite_ptr;

static void
epoxy_glFramebufferRenderbuffer_rewrite_ptr(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    epoxy_glFramebufferRenderbuffer = (void *)epoxy_glFramebufferRenderbuffer_resolver();
    epoxy_glFramebufferRenderbuffer(target, attachment, renderbuffertarget, renderbuffer);
}
PUBLIC PFNGLFRAMEBUFFERRENDERBUFFERPROC epoxy_glFramebufferRenderbuffer = epoxy_glFramebufferRenderbuffer_rewrite_ptr;

static void
epoxy_glFramebufferRenderbufferEXT_rewrite_ptr(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    epoxy_glFramebufferRenderbufferEXT = (void *)epoxy_glFramebufferRenderbuffer_resolver();
    epoxy_glFramebufferRenderbufferEXT(target, attachment, renderbuffertarget, renderbuffer);
}
PUBLIC PFNGLFRAMEBUFFERRENDERBUFFEREXTPROC epoxy_glFramebufferRenderbufferEXT = epoxy_glFramebufferRenderbufferEXT_rewrite_ptr;

static void
epoxy_glFramebufferRenderbufferOES_rewrite_ptr(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    epoxy_glFramebufferRenderbufferOES = (void *)epoxy_glFramebufferRenderbufferOES_resolver();
    epoxy_glFramebufferRenderbufferOES(target, attachment, renderbuffertarget, renderbuffer);
}
PUBLIC PFNGLFRAMEBUFFERRENDERBUFFEROESPROC epoxy_glFramebufferRenderbufferOES = epoxy_glFramebufferRenderbufferOES_rewrite_ptr;

static void
epoxy_glFramebufferTexture_rewrite_ptr(GLenum target, GLenum attachment, GLuint texture, GLint level)
{
    epoxy_glFramebufferTexture = (void *)epoxy_glFramebufferTexture_resolver();
    epoxy_glFramebufferTexture(target, attachment, texture, level);
}
PUBLIC PFNGLFRAMEBUFFERTEXTUREPROC epoxy_glFramebufferTexture = epoxy_glFramebufferTexture_rewrite_ptr;

static void
epoxy_glFramebufferTexture1D_rewrite_ptr(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    epoxy_glFramebufferTexture1D = (void *)epoxy_glFramebufferTexture1D_resolver();
    epoxy_glFramebufferTexture1D(target, attachment, textarget, texture, level);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURE1DPROC epoxy_glFramebufferTexture1D = epoxy_glFramebufferTexture1D_rewrite_ptr;

static void
epoxy_glFramebufferTexture1DEXT_rewrite_ptr(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    epoxy_glFramebufferTexture1DEXT = (void *)epoxy_glFramebufferTexture1D_resolver();
    epoxy_glFramebufferTexture1DEXT(target, attachment, textarget, texture, level);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURE1DEXTPROC epoxy_glFramebufferTexture1DEXT = epoxy_glFramebufferTexture1DEXT_rewrite_ptr;

static void
epoxy_glFramebufferTexture2D_rewrite_ptr(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    epoxy_glFramebufferTexture2D = (void *)epoxy_glFramebufferTexture2D_resolver();
    epoxy_glFramebufferTexture2D(target, attachment, textarget, texture, level);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURE2DPROC epoxy_glFramebufferTexture2D = epoxy_glFramebufferTexture2D_rewrite_ptr;

static void
epoxy_glFramebufferTexture2DEXT_rewrite_ptr(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    epoxy_glFramebufferTexture2DEXT = (void *)epoxy_glFramebufferTexture2D_resolver();
    epoxy_glFramebufferTexture2DEXT(target, attachment, textarget, texture, level);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURE2DEXTPROC epoxy_glFramebufferTexture2DEXT = epoxy_glFramebufferTexture2DEXT_rewrite_ptr;

static void
epoxy_glFramebufferTexture2DMultisampleEXT_rewrite_ptr(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples)
{
    epoxy_glFramebufferTexture2DMultisampleEXT = (void *)epoxy_glFramebufferTexture2DMultisampleEXT_resolver();
    epoxy_glFramebufferTexture2DMultisampleEXT(target, attachment, textarget, texture, level, samples);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEEXTPROC epoxy_glFramebufferTexture2DMultisampleEXT = epoxy_glFramebufferTexture2DMultisampleEXT_rewrite_ptr;

static void
epoxy_glFramebufferTexture2DMultisampleIMG_rewrite_ptr(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples)
{
    epoxy_glFramebufferTexture2DMultisampleIMG = (void *)epoxy_glFramebufferTexture2DMultisampleIMG_resolver();
    epoxy_glFramebufferTexture2DMultisampleIMG(target, attachment, textarget, texture, level, samples);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEIMGPROC epoxy_glFramebufferTexture2DMultisampleIMG = epoxy_glFramebufferTexture2DMultisampleIMG_rewrite_ptr;

static void
epoxy_glFramebufferTexture2DOES_rewrite_ptr(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    epoxy_glFramebufferTexture2DOES = (void *)epoxy_glFramebufferTexture2DOES_resolver();
    epoxy_glFramebufferTexture2DOES(target, attachment, textarget, texture, level);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURE2DOESPROC epoxy_glFramebufferTexture2DOES = epoxy_glFramebufferTexture2DOES_rewrite_ptr;

static void
epoxy_glFramebufferTexture3D_rewrite_ptr(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    epoxy_glFramebufferTexture3D = (void *)epoxy_glFramebufferTexture3D_resolver();
    epoxy_glFramebufferTexture3D(target, attachment, textarget, texture, level, zoffset);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURE3DPROC epoxy_glFramebufferTexture3D = epoxy_glFramebufferTexture3D_rewrite_ptr;

static void
epoxy_glFramebufferTexture3DEXT_rewrite_ptr(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    epoxy_glFramebufferTexture3DEXT = (void *)epoxy_glFramebufferTexture3D_resolver();
    epoxy_glFramebufferTexture3DEXT(target, attachment, textarget, texture, level, zoffset);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURE3DEXTPROC epoxy_glFramebufferTexture3DEXT = epoxy_glFramebufferTexture3DEXT_rewrite_ptr;

static void
epoxy_glFramebufferTexture3DOES_rewrite_ptr(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    epoxy_glFramebufferTexture3DOES = (void *)epoxy_glFramebufferTexture3D_resolver();
    epoxy_glFramebufferTexture3DOES(target, attachment, textarget, texture, level, zoffset);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURE3DOESPROC epoxy_glFramebufferTexture3DOES = epoxy_glFramebufferTexture3DOES_rewrite_ptr;

static void
epoxy_glFramebufferTextureARB_rewrite_ptr(GLenum target, GLenum attachment, GLuint texture, GLint level)
{
    epoxy_glFramebufferTextureARB = (void *)epoxy_glFramebufferTexture_resolver();
    epoxy_glFramebufferTextureARB(target, attachment, texture, level);
}
PUBLIC PFNGLFRAMEBUFFERTEXTUREARBPROC epoxy_glFramebufferTextureARB = epoxy_glFramebufferTextureARB_rewrite_ptr;

static void
epoxy_glFramebufferTextureEXT_rewrite_ptr(GLenum target, GLenum attachment, GLuint texture, GLint level)
{
    epoxy_glFramebufferTextureEXT = (void *)epoxy_glFramebufferTexture_resolver();
    epoxy_glFramebufferTextureEXT(target, attachment, texture, level);
}
PUBLIC PFNGLFRAMEBUFFERTEXTUREEXTPROC epoxy_glFramebufferTextureEXT = epoxy_glFramebufferTextureEXT_rewrite_ptr;

static void
epoxy_glFramebufferTextureFaceARB_rewrite_ptr(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)
{
    epoxy_glFramebufferTextureFaceARB = (void *)epoxy_glFramebufferTextureFaceARB_resolver();
    epoxy_glFramebufferTextureFaceARB(target, attachment, texture, level, face);
}
PUBLIC PFNGLFRAMEBUFFERTEXTUREFACEARBPROC epoxy_glFramebufferTextureFaceARB = epoxy_glFramebufferTextureFaceARB_rewrite_ptr;

static void
epoxy_glFramebufferTextureFaceEXT_rewrite_ptr(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)
{
    epoxy_glFramebufferTextureFaceEXT = (void *)epoxy_glFramebufferTextureFaceARB_resolver();
    epoxy_glFramebufferTextureFaceEXT(target, attachment, texture, level, face);
}
PUBLIC PFNGLFRAMEBUFFERTEXTUREFACEEXTPROC epoxy_glFramebufferTextureFaceEXT = epoxy_glFramebufferTextureFaceEXT_rewrite_ptr;

static void
epoxy_glFramebufferTextureLayer_rewrite_ptr(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    epoxy_glFramebufferTextureLayer = (void *)epoxy_glFramebufferTextureLayer_resolver();
    epoxy_glFramebufferTextureLayer(target, attachment, texture, level, layer);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURELAYERPROC epoxy_glFramebufferTextureLayer = epoxy_glFramebufferTextureLayer_rewrite_ptr;

static void
epoxy_glFramebufferTextureLayerARB_rewrite_ptr(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    epoxy_glFramebufferTextureLayerARB = (void *)epoxy_glFramebufferTextureLayer_resolver();
    epoxy_glFramebufferTextureLayerARB(target, attachment, texture, level, layer);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURELAYERARBPROC epoxy_glFramebufferTextureLayerARB = epoxy_glFramebufferTextureLayerARB_rewrite_ptr;

static void
epoxy_glFramebufferTextureLayerEXT_rewrite_ptr(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    epoxy_glFramebufferTextureLayerEXT = (void *)epoxy_glFramebufferTextureLayer_resolver();
    epoxy_glFramebufferTextureLayerEXT(target, attachment, texture, level, layer);
}
PUBLIC PFNGLFRAMEBUFFERTEXTURELAYEREXTPROC epoxy_glFramebufferTextureLayerEXT = epoxy_glFramebufferTextureLayerEXT_rewrite_ptr;

static void
epoxy_glFreeObjectBufferATI_rewrite_ptr(GLuint buffer)
{
    epoxy_glFreeObjectBufferATI = (void *)epoxy_glFreeObjectBufferATI_resolver();
    epoxy_glFreeObjectBufferATI(buffer);
}
PUBLIC PFNGLFREEOBJECTBUFFERATIPROC epoxy_glFreeObjectBufferATI = epoxy_glFreeObjectBufferATI_rewrite_ptr;

static void
epoxy_glFrontFace_rewrite_ptr(GLenum mode)
{
    epoxy_glFrontFace = (void *)epoxy_glFrontFace_resolver();
    epoxy_glFrontFace(mode);
}
PUBLIC PFNGLFRONTFACEPROC epoxy_glFrontFace = epoxy_glFrontFace_rewrite_ptr;

static void
epoxy_glFrustum_rewrite_ptr(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    epoxy_glFrustum = (void *)epoxy_glFrustum_resolver();
    epoxy_glFrustum(left, right, bottom, top, zNear, zFar);
}
PUBLIC PFNGLFRUSTUMPROC epoxy_glFrustum = epoxy_glFrustum_rewrite_ptr;

static void
epoxy_glFrustumf_rewrite_ptr(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    epoxy_glFrustumf = (void *)epoxy_glFrustumf_resolver();
    epoxy_glFrustumf(l, r, b, t, n, f);
}
PUBLIC PFNGLFRUSTUMFPROC epoxy_glFrustumf = epoxy_glFrustumf_rewrite_ptr;

static void
epoxy_glFrustumfOES_rewrite_ptr(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    epoxy_glFrustumfOES = (void *)epoxy_glFrustumfOES_resolver();
    epoxy_glFrustumfOES(l, r, b, t, n, f);
}
PUBLIC PFNGLFRUSTUMFOESPROC epoxy_glFrustumfOES = epoxy_glFrustumfOES_rewrite_ptr;

static void
epoxy_glFrustumx_rewrite_ptr(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    epoxy_glFrustumx = (void *)epoxy_glFrustumx_resolver();
    epoxy_glFrustumx(l, r, b, t, n, f);
}
PUBLIC PFNGLFRUSTUMXPROC epoxy_glFrustumx = epoxy_glFrustumx_rewrite_ptr;

static void
epoxy_glFrustumxOES_rewrite_ptr(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    epoxy_glFrustumxOES = (void *)epoxy_glFrustumxOES_resolver();
    epoxy_glFrustumxOES(l, r, b, t, n, f);
}
PUBLIC PFNGLFRUSTUMXOESPROC epoxy_glFrustumxOES = epoxy_glFrustumxOES_rewrite_ptr;

static GLuint
epoxy_glGenAsyncMarkersSGIX_rewrite_ptr(GLsizei range)
{
    epoxy_glGenAsyncMarkersSGIX = (void *)epoxy_glGenAsyncMarkersSGIX_resolver();
    return epoxy_glGenAsyncMarkersSGIX(range);
}
PUBLIC PFNGLGENASYNCMARKERSSGIXPROC epoxy_glGenAsyncMarkersSGIX = epoxy_glGenAsyncMarkersSGIX_rewrite_ptr;

static void
epoxy_glGenBuffers_rewrite_ptr(GLsizei n, GLuint * buffers)
{
    epoxy_glGenBuffers = (void *)epoxy_glGenBuffers_resolver();
    epoxy_glGenBuffers(n, buffers);
}
PUBLIC PFNGLGENBUFFERSPROC epoxy_glGenBuffers = epoxy_glGenBuffers_rewrite_ptr;

static void
epoxy_glGenBuffersARB_rewrite_ptr(GLsizei n, GLuint * buffers)
{
    epoxy_glGenBuffersARB = (void *)epoxy_glGenBuffers_resolver();
    epoxy_glGenBuffersARB(n, buffers);
}
PUBLIC PFNGLGENBUFFERSARBPROC epoxy_glGenBuffersARB = epoxy_glGenBuffersARB_rewrite_ptr;

static void
epoxy_glGenFencesAPPLE_rewrite_ptr(GLsizei n, GLuint * fences)
{
    epoxy_glGenFencesAPPLE = (void *)epoxy_glGenFencesAPPLE_resolver();
    epoxy_glGenFencesAPPLE(n, fences);
}
PUBLIC PFNGLGENFENCESAPPLEPROC epoxy_glGenFencesAPPLE = epoxy_glGenFencesAPPLE_rewrite_ptr;

static void
epoxy_glGenFencesNV_rewrite_ptr(GLsizei n, GLuint * fences)
{
    epoxy_glGenFencesNV = (void *)epoxy_glGenFencesNV_resolver();
    epoxy_glGenFencesNV(n, fences);
}
PUBLIC PFNGLGENFENCESNVPROC epoxy_glGenFencesNV = epoxy_glGenFencesNV_rewrite_ptr;

static GLuint
epoxy_glGenFragmentShadersATI_rewrite_ptr(GLuint range)
{
    epoxy_glGenFragmentShadersATI = (void *)epoxy_glGenFragmentShadersATI_resolver();
    return epoxy_glGenFragmentShadersATI(range);
}
PUBLIC PFNGLGENFRAGMENTSHADERSATIPROC epoxy_glGenFragmentShadersATI = epoxy_glGenFragmentShadersATI_rewrite_ptr;

static void
epoxy_glGenFramebuffers_rewrite_ptr(GLsizei n, GLuint * framebuffers)
{
    epoxy_glGenFramebuffers = (void *)epoxy_glGenFramebuffers_resolver();
    epoxy_glGenFramebuffers(n, framebuffers);
}
PUBLIC PFNGLGENFRAMEBUFFERSPROC epoxy_glGenFramebuffers = epoxy_glGenFramebuffers_rewrite_ptr;

static void
epoxy_glGenFramebuffersEXT_rewrite_ptr(GLsizei n, GLuint * framebuffers)
{
    epoxy_glGenFramebuffersEXT = (void *)epoxy_glGenFramebuffers_resolver();
    epoxy_glGenFramebuffersEXT(n, framebuffers);
}
PUBLIC PFNGLGENFRAMEBUFFERSEXTPROC epoxy_glGenFramebuffersEXT = epoxy_glGenFramebuffersEXT_rewrite_ptr;

static void
epoxy_glGenFramebuffersOES_rewrite_ptr(GLsizei n, GLuint * framebuffers)
{
    epoxy_glGenFramebuffersOES = (void *)epoxy_glGenFramebuffersOES_resolver();
    epoxy_glGenFramebuffersOES(n, framebuffers);
}
PUBLIC PFNGLGENFRAMEBUFFERSOESPROC epoxy_glGenFramebuffersOES = epoxy_glGenFramebuffersOES_rewrite_ptr;

static GLuint
epoxy_glGenLists_rewrite_ptr(GLsizei range)
{
    epoxy_glGenLists = (void *)epoxy_glGenLists_resolver();
    return epoxy_glGenLists(range);
}
PUBLIC PFNGLGENLISTSPROC epoxy_glGenLists = epoxy_glGenLists_rewrite_ptr;

static void
epoxy_glGenNamesAMD_rewrite_ptr(GLenum identifier, GLuint num, GLuint * names)
{
    epoxy_glGenNamesAMD = (void *)epoxy_glGenNamesAMD_resolver();
    epoxy_glGenNamesAMD(identifier, num, names);
}
PUBLIC PFNGLGENNAMESAMDPROC epoxy_glGenNamesAMD = epoxy_glGenNamesAMD_rewrite_ptr;

static void
epoxy_glGenOcclusionQueriesNV_rewrite_ptr(GLsizei n, GLuint * ids)
{
    epoxy_glGenOcclusionQueriesNV = (void *)epoxy_glGenOcclusionQueriesNV_resolver();
    epoxy_glGenOcclusionQueriesNV(n, ids);
}
PUBLIC PFNGLGENOCCLUSIONQUERIESNVPROC epoxy_glGenOcclusionQueriesNV = epoxy_glGenOcclusionQueriesNV_rewrite_ptr;

static GLuint
epoxy_glGenPathsNV_rewrite_ptr(GLsizei range)
{
    epoxy_glGenPathsNV = (void *)epoxy_glGenPathsNV_resolver();
    return epoxy_glGenPathsNV(range);
}
PUBLIC PFNGLGENPATHSNVPROC epoxy_glGenPathsNV = epoxy_glGenPathsNV_rewrite_ptr;

static void
epoxy_glGenPerfMonitorsAMD_rewrite_ptr(GLsizei n, GLuint * monitors)
{
    epoxy_glGenPerfMonitorsAMD = (void *)epoxy_glGenPerfMonitorsAMD_resolver();
    epoxy_glGenPerfMonitorsAMD(n, monitors);
}
PUBLIC PFNGLGENPERFMONITORSAMDPROC epoxy_glGenPerfMonitorsAMD = epoxy_glGenPerfMonitorsAMD_rewrite_ptr;

static void
epoxy_glGenProgramPipelines_rewrite_ptr(GLsizei n, GLuint * pipelines)
{
    epoxy_glGenProgramPipelines = (void *)epoxy_glGenProgramPipelines_resolver();
    epoxy_glGenProgramPipelines(n, pipelines);
}
PUBLIC PFNGLGENPROGRAMPIPELINESPROC epoxy_glGenProgramPipelines = epoxy_glGenProgramPipelines_rewrite_ptr;

static void
epoxy_glGenProgramPipelinesEXT_rewrite_ptr(GLsizei n, GLuint * pipelines)
{
    epoxy_glGenProgramPipelinesEXT = (void *)epoxy_glGenProgramPipelinesEXT_resolver();
    epoxy_glGenProgramPipelinesEXT(n, pipelines);
}
PUBLIC PFNGLGENPROGRAMPIPELINESEXTPROC epoxy_glGenProgramPipelinesEXT = epoxy_glGenProgramPipelinesEXT_rewrite_ptr;

static void
epoxy_glGenProgramsARB_rewrite_ptr(GLsizei n, GLuint * programs)
{
    epoxy_glGenProgramsARB = (void *)epoxy_glGenProgramsARB_resolver();
    epoxy_glGenProgramsARB(n, programs);
}
PUBLIC PFNGLGENPROGRAMSARBPROC epoxy_glGenProgramsARB = epoxy_glGenProgramsARB_rewrite_ptr;

static void
epoxy_glGenProgramsNV_rewrite_ptr(GLsizei n, GLuint * programs)
{
    epoxy_glGenProgramsNV = (void *)epoxy_glGenProgramsARB_resolver();
    epoxy_glGenProgramsNV(n, programs);
}
PUBLIC PFNGLGENPROGRAMSNVPROC epoxy_glGenProgramsNV = epoxy_glGenProgramsNV_rewrite_ptr;

static void
epoxy_glGenQueries_rewrite_ptr(GLsizei n, GLuint * ids)
{
    epoxy_glGenQueries = (void *)epoxy_glGenQueries_resolver();
    epoxy_glGenQueries(n, ids);
}
PUBLIC PFNGLGENQUERIESPROC epoxy_glGenQueries = epoxy_glGenQueries_rewrite_ptr;

static void
epoxy_glGenQueriesARB_rewrite_ptr(GLsizei n, GLuint * ids)
{
    epoxy_glGenQueriesARB = (void *)epoxy_glGenQueries_resolver();
    epoxy_glGenQueriesARB(n, ids);
}
PUBLIC PFNGLGENQUERIESARBPROC epoxy_glGenQueriesARB = epoxy_glGenQueriesARB_rewrite_ptr;

static void
epoxy_glGenQueriesEXT_rewrite_ptr(GLsizei n, GLuint * ids)
{
    epoxy_glGenQueriesEXT = (void *)epoxy_glGenQueriesEXT_resolver();
    epoxy_glGenQueriesEXT(n, ids);
}
PUBLIC PFNGLGENQUERIESEXTPROC epoxy_glGenQueriesEXT = epoxy_glGenQueriesEXT_rewrite_ptr;

static void
epoxy_glGenRenderbuffers_rewrite_ptr(GLsizei n, GLuint * renderbuffers)
{
    epoxy_glGenRenderbuffers = (void *)epoxy_glGenRenderbuffers_resolver();
    epoxy_glGenRenderbuffers(n, renderbuffers);
}
PUBLIC PFNGLGENRENDERBUFFERSPROC epoxy_glGenRenderbuffers = epoxy_glGenRenderbuffers_rewrite_ptr;

static void
epoxy_glGenRenderbuffersEXT_rewrite_ptr(GLsizei n, GLuint * renderbuffers)
{
    epoxy_glGenRenderbuffersEXT = (void *)epoxy_glGenRenderbuffers_resolver();
    epoxy_glGenRenderbuffersEXT(n, renderbuffers);
}
PUBLIC PFNGLGENRENDERBUFFERSEXTPROC epoxy_glGenRenderbuffersEXT = epoxy_glGenRenderbuffersEXT_rewrite_ptr;

static void
epoxy_glGenRenderbuffersOES_rewrite_ptr(GLsizei n, GLuint * renderbuffers)
{
    epoxy_glGenRenderbuffersOES = (void *)epoxy_glGenRenderbuffersOES_resolver();
    epoxy_glGenRenderbuffersOES(n, renderbuffers);
}
PUBLIC PFNGLGENRENDERBUFFERSOESPROC epoxy_glGenRenderbuffersOES = epoxy_glGenRenderbuffersOES_rewrite_ptr;

static void
epoxy_glGenSamplers_rewrite_ptr(GLsizei count, GLuint * samplers)
{
    epoxy_glGenSamplers = (void *)epoxy_glGenSamplers_resolver();
    epoxy_glGenSamplers(count, samplers);
}
PUBLIC PFNGLGENSAMPLERSPROC epoxy_glGenSamplers = epoxy_glGenSamplers_rewrite_ptr;

static GLuint
epoxy_glGenSymbolsEXT_rewrite_ptr(GLenum datatype, GLenum storagetype, GLenum range, GLuint components)
{
    epoxy_glGenSymbolsEXT = (void *)epoxy_glGenSymbolsEXT_resolver();
    return epoxy_glGenSymbolsEXT(datatype, storagetype, range, components);
}
PUBLIC PFNGLGENSYMBOLSEXTPROC epoxy_glGenSymbolsEXT = epoxy_glGenSymbolsEXT_rewrite_ptr;

static void
epoxy_glGenTextures_rewrite_ptr(GLsizei n, GLuint * textures)
{
    epoxy_glGenTextures = (void *)epoxy_glGenTextures_resolver();
    epoxy_glGenTextures(n, textures);
}
PUBLIC PFNGLGENTEXTURESPROC epoxy_glGenTextures = epoxy_glGenTextures_rewrite_ptr;

static void
epoxy_glGenTexturesEXT_rewrite_ptr(GLsizei n, GLuint * textures)
{
    epoxy_glGenTexturesEXT = (void *)epoxy_glGenTexturesEXT_resolver();
    epoxy_glGenTexturesEXT(n, textures);
}
PUBLIC PFNGLGENTEXTURESEXTPROC epoxy_glGenTexturesEXT = epoxy_glGenTexturesEXT_rewrite_ptr;

static void
epoxy_glGenTransformFeedbacks_rewrite_ptr(GLsizei n, GLuint * ids)
{
    epoxy_glGenTransformFeedbacks = (void *)epoxy_glGenTransformFeedbacks_resolver();
    epoxy_glGenTransformFeedbacks(n, ids);
}
PUBLIC PFNGLGENTRANSFORMFEEDBACKSPROC epoxy_glGenTransformFeedbacks = epoxy_glGenTransformFeedbacks_rewrite_ptr;

static void
epoxy_glGenTransformFeedbacksNV_rewrite_ptr(GLsizei n, GLuint * ids)
{
    epoxy_glGenTransformFeedbacksNV = (void *)epoxy_glGenTransformFeedbacks_resolver();
    epoxy_glGenTransformFeedbacksNV(n, ids);
}
PUBLIC PFNGLGENTRANSFORMFEEDBACKSNVPROC epoxy_glGenTransformFeedbacksNV = epoxy_glGenTransformFeedbacksNV_rewrite_ptr;

static void
epoxy_glGenVertexArrays_rewrite_ptr(GLsizei n, GLuint * arrays)
{
    epoxy_glGenVertexArrays = (void *)epoxy_glGenVertexArrays_resolver();
    epoxy_glGenVertexArrays(n, arrays);
}
PUBLIC PFNGLGENVERTEXARRAYSPROC epoxy_glGenVertexArrays = epoxy_glGenVertexArrays_rewrite_ptr;

static void
epoxy_glGenVertexArraysAPPLE_rewrite_ptr(GLsizei n, GLuint * arrays)
{
    epoxy_glGenVertexArraysAPPLE = (void *)epoxy_glGenVertexArrays_resolver();
    epoxy_glGenVertexArraysAPPLE(n, arrays);
}
PUBLIC PFNGLGENVERTEXARRAYSAPPLEPROC epoxy_glGenVertexArraysAPPLE = epoxy_glGenVertexArraysAPPLE_rewrite_ptr;

static void
epoxy_glGenVertexArraysOES_rewrite_ptr(GLsizei n, GLuint * arrays)
{
    epoxy_glGenVertexArraysOES = (void *)epoxy_glGenVertexArrays_resolver();
    epoxy_glGenVertexArraysOES(n, arrays);
}
PUBLIC PFNGLGENVERTEXARRAYSOESPROC epoxy_glGenVertexArraysOES = epoxy_glGenVertexArraysOES_rewrite_ptr;

static GLuint
epoxy_glGenVertexShadersEXT_rewrite_ptr(GLuint range)
{
    epoxy_glGenVertexShadersEXT = (void *)epoxy_glGenVertexShadersEXT_resolver();
    return epoxy_glGenVertexShadersEXT(range);
}
PUBLIC PFNGLGENVERTEXSHADERSEXTPROC epoxy_glGenVertexShadersEXT = epoxy_glGenVertexShadersEXT_rewrite_ptr;

static void
epoxy_glGenerateMipmap_rewrite_ptr(GLenum target)
{
    epoxy_glGenerateMipmap = (void *)epoxy_glGenerateMipmap_resolver();
    epoxy_glGenerateMipmap(target);
}
PUBLIC PFNGLGENERATEMIPMAPPROC epoxy_glGenerateMipmap = epoxy_glGenerateMipmap_rewrite_ptr;

static void
epoxy_glGenerateMipmapEXT_rewrite_ptr(GLenum target)
{
    epoxy_glGenerateMipmapEXT = (void *)epoxy_glGenerateMipmap_resolver();
    epoxy_glGenerateMipmapEXT(target);
}
PUBLIC PFNGLGENERATEMIPMAPEXTPROC epoxy_glGenerateMipmapEXT = epoxy_glGenerateMipmapEXT_rewrite_ptr;

static void
epoxy_glGenerateMipmapOES_rewrite_ptr(GLenum target)
{
    epoxy_glGenerateMipmapOES = (void *)epoxy_glGenerateMipmapOES_resolver();
    epoxy_glGenerateMipmapOES(target);
}
PUBLIC PFNGLGENERATEMIPMAPOESPROC epoxy_glGenerateMipmapOES = epoxy_glGenerateMipmapOES_rewrite_ptr;

static void
epoxy_glGenerateMultiTexMipmapEXT_rewrite_ptr(GLenum texunit, GLenum target)
{
    epoxy_glGenerateMultiTexMipmapEXT = (void *)epoxy_glGenerateMultiTexMipmapEXT_resolver();
    epoxy_glGenerateMultiTexMipmapEXT(texunit, target);
}
PUBLIC PFNGLGENERATEMULTITEXMIPMAPEXTPROC epoxy_glGenerateMultiTexMipmapEXT = epoxy_glGenerateMultiTexMipmapEXT_rewrite_ptr;

static void
epoxy_glGenerateTextureMipmapEXT_rewrite_ptr(GLuint texture, GLenum target)
{
    epoxy_glGenerateTextureMipmapEXT = (void *)epoxy_glGenerateTextureMipmapEXT_resolver();
    epoxy_glGenerateTextureMipmapEXT(texture, target);
}
PUBLIC PFNGLGENERATETEXTUREMIPMAPEXTPROC epoxy_glGenerateTextureMipmapEXT = epoxy_glGenerateTextureMipmapEXT_rewrite_ptr;

static void
epoxy_glGetActiveAtomicCounterBufferiv_rewrite_ptr(GLuint program, GLuint bufferIndex, GLenum pname, GLint * params)
{
    epoxy_glGetActiveAtomicCounterBufferiv = (void *)epoxy_glGetActiveAtomicCounterBufferiv_resolver();
    epoxy_glGetActiveAtomicCounterBufferiv(program, bufferIndex, pname, params);
}
PUBLIC PFNGLGETACTIVEATOMICCOUNTERBUFFERIVPROC epoxy_glGetActiveAtomicCounterBufferiv = epoxy_glGetActiveAtomicCounterBufferiv_rewrite_ptr;

static void
epoxy_glGetActiveAttrib_rewrite_ptr(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)
{
    epoxy_glGetActiveAttrib = (void *)epoxy_glGetActiveAttrib_resolver();
    epoxy_glGetActiveAttrib(program, index, bufSize, length, size, type, name);
}
PUBLIC PFNGLGETACTIVEATTRIBPROC epoxy_glGetActiveAttrib = epoxy_glGetActiveAttrib_rewrite_ptr;

static void
epoxy_glGetActiveAttribARB_rewrite_ptr(GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei * length, GLint * size, GLenum * type, GLcharARB * name)
{
    epoxy_glGetActiveAttribARB = (void *)epoxy_glGetActiveAttrib_resolver();
    epoxy_glGetActiveAttribARB((uintptr_t)programObj, index, maxLength, length, size, type, name);
}
PUBLIC PFNGLGETACTIVEATTRIBARBPROC epoxy_glGetActiveAttribARB = epoxy_glGetActiveAttribARB_rewrite_ptr;

static void
epoxy_glGetActiveSubroutineName_rewrite_ptr(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)
{
    epoxy_glGetActiveSubroutineName = (void *)epoxy_glGetActiveSubroutineName_resolver();
    epoxy_glGetActiveSubroutineName(program, shadertype, index, bufsize, length, name);
}
PUBLIC PFNGLGETACTIVESUBROUTINENAMEPROC epoxy_glGetActiveSubroutineName = epoxy_glGetActiveSubroutineName_rewrite_ptr;

static void
epoxy_glGetActiveSubroutineUniformName_rewrite_ptr(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)
{
    epoxy_glGetActiveSubroutineUniformName = (void *)epoxy_glGetActiveSubroutineUniformName_resolver();
    epoxy_glGetActiveSubroutineUniformName(program, shadertype, index, bufsize, length, name);
}
PUBLIC PFNGLGETACTIVESUBROUTINEUNIFORMNAMEPROC epoxy_glGetActiveSubroutineUniformName = epoxy_glGetActiveSubroutineUniformName_rewrite_ptr;

static void
epoxy_glGetActiveSubroutineUniformiv_rewrite_ptr(GLuint program, GLenum shadertype, GLuint index, GLenum pname, GLint * values)
{
    epoxy_glGetActiveSubroutineUniformiv = (void *)epoxy_glGetActiveSubroutineUniformiv_resolver();
    epoxy_glGetActiveSubroutineUniformiv(program, shadertype, index, pname, values);
}
PUBLIC PFNGLGETACTIVESUBROUTINEUNIFORMIVPROC epoxy_glGetActiveSubroutineUniformiv = epoxy_glGetActiveSubroutineUniformiv_rewrite_ptr;

static void
epoxy_glGetActiveUniform_rewrite_ptr(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)
{
    epoxy_glGetActiveUniform = (void *)epoxy_glGetActiveUniform_resolver();
    epoxy_glGetActiveUniform(program, index, bufSize, length, size, type, name);
}
PUBLIC PFNGLGETACTIVEUNIFORMPROC epoxy_glGetActiveUniform = epoxy_glGetActiveUniform_rewrite_ptr;

static void
epoxy_glGetActiveUniformARB_rewrite_ptr(GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei * length, GLint * size, GLenum * type, GLcharARB * name)
{
    epoxy_glGetActiveUniformARB = (void *)epoxy_glGetActiveUniform_resolver();
    epoxy_glGetActiveUniformARB((uintptr_t)programObj, index, maxLength, length, size, type, name);
}
PUBLIC PFNGLGETACTIVEUNIFORMARBPROC epoxy_glGetActiveUniformARB = epoxy_glGetActiveUniformARB_rewrite_ptr;

static void
epoxy_glGetActiveUniformBlockName_rewrite_ptr(GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformBlockName)
{
    epoxy_glGetActiveUniformBlockName = (void *)epoxy_glGetActiveUniformBlockName_resolver();
    epoxy_glGetActiveUniformBlockName(program, uniformBlockIndex, bufSize, length, uniformBlockName);
}
PUBLIC PFNGLGETACTIVEUNIFORMBLOCKNAMEPROC epoxy_glGetActiveUniformBlockName = epoxy_glGetActiveUniformBlockName_rewrite_ptr;

static void
epoxy_glGetActiveUniformBlockiv_rewrite_ptr(GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint * params)
{
    epoxy_glGetActiveUniformBlockiv = (void *)epoxy_glGetActiveUniformBlockiv_resolver();
    epoxy_glGetActiveUniformBlockiv(program, uniformBlockIndex, pname, params);
}
PUBLIC PFNGLGETACTIVEUNIFORMBLOCKIVPROC epoxy_glGetActiveUniformBlockiv = epoxy_glGetActiveUniformBlockiv_rewrite_ptr;

static void
epoxy_glGetActiveUniformName_rewrite_ptr(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName)
{
    epoxy_glGetActiveUniformName = (void *)epoxy_glGetActiveUniformName_resolver();
    epoxy_glGetActiveUniformName(program, uniformIndex, bufSize, length, uniformName);
}
PUBLIC PFNGLGETACTIVEUNIFORMNAMEPROC epoxy_glGetActiveUniformName = epoxy_glGetActiveUniformName_rewrite_ptr;

static void
epoxy_glGetActiveUniformsiv_rewrite_ptr(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params)
{
    epoxy_glGetActiveUniformsiv = (void *)epoxy_glGetActiveUniformsiv_resolver();
    epoxy_glGetActiveUniformsiv(program, uniformCount, uniformIndices, pname, params);
}
PUBLIC PFNGLGETACTIVEUNIFORMSIVPROC epoxy_glGetActiveUniformsiv = epoxy_glGetActiveUniformsiv_rewrite_ptr;

static void
epoxy_glGetActiveVaryingNV_rewrite_ptr(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name)
{
    epoxy_glGetActiveVaryingNV = (void *)epoxy_glGetActiveVaryingNV_resolver();
    epoxy_glGetActiveVaryingNV(program, index, bufSize, length, size, type, name);
}
PUBLIC PFNGLGETACTIVEVARYINGNVPROC epoxy_glGetActiveVaryingNV = epoxy_glGetActiveVaryingNV_rewrite_ptr;

static void
epoxy_glGetArrayObjectfvATI_rewrite_ptr(GLenum array, GLenum pname, GLfloat * params)
{
    epoxy_glGetArrayObjectfvATI = (void *)epoxy_glGetArrayObjectfvATI_resolver();
    epoxy_glGetArrayObjectfvATI(array, pname, params);
}
PUBLIC PFNGLGETARRAYOBJECTFVATIPROC epoxy_glGetArrayObjectfvATI = epoxy_glGetArrayObjectfvATI_rewrite_ptr;

static void
epoxy_glGetArrayObjectivATI_rewrite_ptr(GLenum array, GLenum pname, GLint * params)
{
    epoxy_glGetArrayObjectivATI = (void *)epoxy_glGetArrayObjectivATI_resolver();
    epoxy_glGetArrayObjectivATI(array, pname, params);
}
PUBLIC PFNGLGETARRAYOBJECTIVATIPROC epoxy_glGetArrayObjectivATI = epoxy_glGetArrayObjectivATI_rewrite_ptr;

static void
epoxy_glGetAttachedObjectsARB_rewrite_ptr(GLhandleARB containerObj, GLsizei maxCount, GLsizei * count, GLhandleARB * obj)
{
    epoxy_glGetAttachedObjectsARB = (void *)epoxy_glGetAttachedObjectsARB_resolver();
    epoxy_glGetAttachedObjectsARB((uintptr_t)containerObj, maxCount, count, obj);
}
PUBLIC PFNGLGETATTACHEDOBJECTSARBPROC epoxy_glGetAttachedObjectsARB = epoxy_glGetAttachedObjectsARB_rewrite_ptr;

static void
epoxy_glGetAttachedShaders_rewrite_ptr(GLuint program, GLsizei maxCount, GLsizei * count, GLuint * shaders)
{
    epoxy_glGetAttachedShaders = (void *)epoxy_glGetAttachedShaders_resolver();
    epoxy_glGetAttachedShaders(program, maxCount, count, shaders);
}
PUBLIC PFNGLGETATTACHEDSHADERSPROC epoxy_glGetAttachedShaders = epoxy_glGetAttachedShaders_rewrite_ptr;

static GLint
epoxy_glGetAttribLocation_rewrite_ptr(GLuint program, const GLchar * name)
{
    epoxy_glGetAttribLocation = (void *)epoxy_glGetAttribLocation_resolver();
    return epoxy_glGetAttribLocation(program, name);
}
PUBLIC PFNGLGETATTRIBLOCATIONPROC epoxy_glGetAttribLocation = epoxy_glGetAttribLocation_rewrite_ptr;

static GLint
epoxy_glGetAttribLocationARB_rewrite_ptr(GLhandleARB programObj, const GLcharARB * name)
{
    epoxy_glGetAttribLocationARB = (void *)epoxy_glGetAttribLocation_resolver();
    return epoxy_glGetAttribLocationARB((uintptr_t)programObj, name);
}
PUBLIC PFNGLGETATTRIBLOCATIONARBPROC epoxy_glGetAttribLocationARB = epoxy_glGetAttribLocationARB_rewrite_ptr;

static void
epoxy_glGetBooleanIndexedvEXT_rewrite_ptr(GLenum target, GLuint index, GLboolean * data)
{
    epoxy_glGetBooleanIndexedvEXT = (void *)epoxy_glGetBooleani_v_resolver();
    epoxy_glGetBooleanIndexedvEXT(target, index, data);
}
PUBLIC PFNGLGETBOOLEANINDEXEDVEXTPROC epoxy_glGetBooleanIndexedvEXT = epoxy_glGetBooleanIndexedvEXT_rewrite_ptr;

static void
epoxy_glGetBooleani_v_rewrite_ptr(GLenum target, GLuint index, GLboolean * data)
{
    epoxy_glGetBooleani_v = (void *)epoxy_glGetBooleani_v_resolver();
    epoxy_glGetBooleani_v(target, index, data);
}
PUBLIC PFNGLGETBOOLEANI_VPROC epoxy_glGetBooleani_v = epoxy_glGetBooleani_v_rewrite_ptr;

static void
epoxy_glGetBooleanv_rewrite_ptr(GLenum pname, GLboolean * data)
{
    epoxy_glGetBooleanv = (void *)epoxy_glGetBooleanv_resolver();
    epoxy_glGetBooleanv(pname, data);
}
PUBLIC PFNGLGETBOOLEANVPROC epoxy_glGetBooleanv = epoxy_glGetBooleanv_rewrite_ptr;

static void
epoxy_glGetBufferParameteri64v_rewrite_ptr(GLenum target, GLenum pname, GLint64 * params)
{
    epoxy_glGetBufferParameteri64v = (void *)epoxy_glGetBufferParameteri64v_resolver();
    epoxy_glGetBufferParameteri64v(target, pname, params);
}
PUBLIC PFNGLGETBUFFERPARAMETERI64VPROC epoxy_glGetBufferParameteri64v = epoxy_glGetBufferParameteri64v_rewrite_ptr;

static void
epoxy_glGetBufferParameteriv_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetBufferParameteriv = (void *)epoxy_glGetBufferParameteriv_resolver();
    epoxy_glGetBufferParameteriv(target, pname, params);
}
PUBLIC PFNGLGETBUFFERPARAMETERIVPROC epoxy_glGetBufferParameteriv = epoxy_glGetBufferParameteriv_rewrite_ptr;

static void
epoxy_glGetBufferParameterivARB_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetBufferParameterivARB = (void *)epoxy_glGetBufferParameteriv_resolver();
    epoxy_glGetBufferParameterivARB(target, pname, params);
}
PUBLIC PFNGLGETBUFFERPARAMETERIVARBPROC epoxy_glGetBufferParameterivARB = epoxy_glGetBufferParameterivARB_rewrite_ptr;

static void
epoxy_glGetBufferParameterui64vNV_rewrite_ptr(GLenum target, GLenum pname, GLuint64EXT * params)
{
    epoxy_glGetBufferParameterui64vNV = (void *)epoxy_glGetBufferParameterui64vNV_resolver();
    epoxy_glGetBufferParameterui64vNV(target, pname, params);
}
PUBLIC PFNGLGETBUFFERPARAMETERUI64VNVPROC epoxy_glGetBufferParameterui64vNV = epoxy_glGetBufferParameterui64vNV_rewrite_ptr;

static void
epoxy_glGetBufferPointerv_rewrite_ptr(GLenum target, GLenum pname, void ** params)
{
    epoxy_glGetBufferPointerv = (void *)epoxy_glGetBufferPointerv_resolver();
    epoxy_glGetBufferPointerv(target, pname, params);
}
PUBLIC PFNGLGETBUFFERPOINTERVPROC epoxy_glGetBufferPointerv = epoxy_glGetBufferPointerv_rewrite_ptr;

static void
epoxy_glGetBufferPointervARB_rewrite_ptr(GLenum target, GLenum pname, void ** params)
{
    epoxy_glGetBufferPointervARB = (void *)epoxy_glGetBufferPointerv_resolver();
    epoxy_glGetBufferPointervARB(target, pname, params);
}
PUBLIC PFNGLGETBUFFERPOINTERVARBPROC epoxy_glGetBufferPointervARB = epoxy_glGetBufferPointervARB_rewrite_ptr;

static void
epoxy_glGetBufferPointervOES_rewrite_ptr(GLenum target, GLenum pname, void ** params)
{
    epoxy_glGetBufferPointervOES = (void *)epoxy_glGetBufferPointerv_resolver();
    epoxy_glGetBufferPointervOES(target, pname, params);
}
PUBLIC PFNGLGETBUFFERPOINTERVOESPROC epoxy_glGetBufferPointervOES = epoxy_glGetBufferPointervOES_rewrite_ptr;

static void
epoxy_glGetBufferSubData_rewrite_ptr(GLenum target, GLintptr offset, GLsizeiptr size, void * data)
{
    epoxy_glGetBufferSubData = (void *)epoxy_glGetBufferSubData_resolver();
    epoxy_glGetBufferSubData(target, offset, size, data);
}
PUBLIC PFNGLGETBUFFERSUBDATAPROC epoxy_glGetBufferSubData = epoxy_glGetBufferSubData_rewrite_ptr;

static void
epoxy_glGetBufferSubDataARB_rewrite_ptr(GLenum target, GLintptrARB offset, GLsizeiptrARB size, void * data)
{
    epoxy_glGetBufferSubDataARB = (void *)epoxy_glGetBufferSubData_resolver();
    epoxy_glGetBufferSubDataARB(target, offset, size, data);
}
PUBLIC PFNGLGETBUFFERSUBDATAARBPROC epoxy_glGetBufferSubDataARB = epoxy_glGetBufferSubDataARB_rewrite_ptr;

static void
epoxy_glGetClipPlane_rewrite_ptr(GLenum plane, GLdouble * equation)
{
    epoxy_glGetClipPlane = (void *)epoxy_glGetClipPlane_resolver();
    epoxy_glGetClipPlane(plane, equation);
}
PUBLIC PFNGLGETCLIPPLANEPROC epoxy_glGetClipPlane = epoxy_glGetClipPlane_rewrite_ptr;

static void
epoxy_glGetClipPlanef_rewrite_ptr(GLenum plane, GLfloat * equation)
{
    epoxy_glGetClipPlanef = (void *)epoxy_glGetClipPlanef_resolver();
    epoxy_glGetClipPlanef(plane, equation);
}
PUBLIC PFNGLGETCLIPPLANEFPROC epoxy_glGetClipPlanef = epoxy_glGetClipPlanef_rewrite_ptr;

static void
epoxy_glGetClipPlanefOES_rewrite_ptr(GLenum plane, GLfloat * equation)
{
    epoxy_glGetClipPlanefOES = (void *)epoxy_glGetClipPlanefOES_resolver();
    epoxy_glGetClipPlanefOES(plane, equation);
}
PUBLIC PFNGLGETCLIPPLANEFOESPROC epoxy_glGetClipPlanefOES = epoxy_glGetClipPlanefOES_rewrite_ptr;

static void
epoxy_glGetClipPlanex_rewrite_ptr(GLenum plane, GLfixed * equation)
{
    epoxy_glGetClipPlanex = (void *)epoxy_glGetClipPlanex_resolver();
    epoxy_glGetClipPlanex(plane, equation);
}
PUBLIC PFNGLGETCLIPPLANEXPROC epoxy_glGetClipPlanex = epoxy_glGetClipPlanex_rewrite_ptr;

static void
epoxy_glGetClipPlanexOES_rewrite_ptr(GLenum plane, GLfixed * equation)
{
    epoxy_glGetClipPlanexOES = (void *)epoxy_glGetClipPlanexOES_resolver();
    epoxy_glGetClipPlanexOES(plane, equation);
}
PUBLIC PFNGLGETCLIPPLANEXOESPROC epoxy_glGetClipPlanexOES = epoxy_glGetClipPlanexOES_rewrite_ptr;

static void
epoxy_glGetColorTable_rewrite_ptr(GLenum target, GLenum format, GLenum type, void * table)
{
    epoxy_glGetColorTable = (void *)epoxy_glGetColorTable_resolver();
    epoxy_glGetColorTable(target, format, type, table);
}
PUBLIC PFNGLGETCOLORTABLEPROC epoxy_glGetColorTable = epoxy_glGetColorTable_rewrite_ptr;

static void
epoxy_glGetColorTableEXT_rewrite_ptr(GLenum target, GLenum format, GLenum type, void * data)
{
    epoxy_glGetColorTableEXT = (void *)epoxy_glGetColorTable_resolver();
    epoxy_glGetColorTableEXT(target, format, type, data);
}
PUBLIC PFNGLGETCOLORTABLEEXTPROC epoxy_glGetColorTableEXT = epoxy_glGetColorTableEXT_rewrite_ptr;

static void
epoxy_glGetColorTableParameterfv_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetColorTableParameterfv = (void *)epoxy_glGetColorTableParameterfv_resolver();
    epoxy_glGetColorTableParameterfv(target, pname, params);
}
PUBLIC PFNGLGETCOLORTABLEPARAMETERFVPROC epoxy_glGetColorTableParameterfv = epoxy_glGetColorTableParameterfv_rewrite_ptr;

static void
epoxy_glGetColorTableParameterfvEXT_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetColorTableParameterfvEXT = (void *)epoxy_glGetColorTableParameterfv_resolver();
    epoxy_glGetColorTableParameterfvEXT(target, pname, params);
}
PUBLIC PFNGLGETCOLORTABLEPARAMETERFVEXTPROC epoxy_glGetColorTableParameterfvEXT = epoxy_glGetColorTableParameterfvEXT_rewrite_ptr;

static void
epoxy_glGetColorTableParameterfvSGI_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetColorTableParameterfvSGI = (void *)epoxy_glGetColorTableParameterfvSGI_resolver();
    epoxy_glGetColorTableParameterfvSGI(target, pname, params);
}
PUBLIC PFNGLGETCOLORTABLEPARAMETERFVSGIPROC epoxy_glGetColorTableParameterfvSGI = epoxy_glGetColorTableParameterfvSGI_rewrite_ptr;

static void
epoxy_glGetColorTableParameteriv_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetColorTableParameteriv = (void *)epoxy_glGetColorTableParameteriv_resolver();
    epoxy_glGetColorTableParameteriv(target, pname, params);
}
PUBLIC PFNGLGETCOLORTABLEPARAMETERIVPROC epoxy_glGetColorTableParameteriv = epoxy_glGetColorTableParameteriv_rewrite_ptr;

static void
epoxy_glGetColorTableParameterivEXT_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetColorTableParameterivEXT = (void *)epoxy_glGetColorTableParameteriv_resolver();
    epoxy_glGetColorTableParameterivEXT(target, pname, params);
}
PUBLIC PFNGLGETCOLORTABLEPARAMETERIVEXTPROC epoxy_glGetColorTableParameterivEXT = epoxy_glGetColorTableParameterivEXT_rewrite_ptr;

static void
epoxy_glGetColorTableParameterivSGI_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetColorTableParameterivSGI = (void *)epoxy_glGetColorTableParameterivSGI_resolver();
    epoxy_glGetColorTableParameterivSGI(target, pname, params);
}
PUBLIC PFNGLGETCOLORTABLEPARAMETERIVSGIPROC epoxy_glGetColorTableParameterivSGI = epoxy_glGetColorTableParameterivSGI_rewrite_ptr;

static void
epoxy_glGetColorTableSGI_rewrite_ptr(GLenum target, GLenum format, GLenum type, void * table)
{
    epoxy_glGetColorTableSGI = (void *)epoxy_glGetColorTableSGI_resolver();
    epoxy_glGetColorTableSGI(target, format, type, table);
}
PUBLIC PFNGLGETCOLORTABLESGIPROC epoxy_glGetColorTableSGI = epoxy_glGetColorTableSGI_rewrite_ptr;

static void
epoxy_glGetCombinerInputParameterfvNV_rewrite_ptr(GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLfloat * params)
{
    epoxy_glGetCombinerInputParameterfvNV = (void *)epoxy_glGetCombinerInputParameterfvNV_resolver();
    epoxy_glGetCombinerInputParameterfvNV(stage, portion, variable, pname, params);
}
PUBLIC PFNGLGETCOMBINERINPUTPARAMETERFVNVPROC epoxy_glGetCombinerInputParameterfvNV = epoxy_glGetCombinerInputParameterfvNV_rewrite_ptr;

static void
epoxy_glGetCombinerInputParameterivNV_rewrite_ptr(GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLint * params)
{
    epoxy_glGetCombinerInputParameterivNV = (void *)epoxy_glGetCombinerInputParameterivNV_resolver();
    epoxy_glGetCombinerInputParameterivNV(stage, portion, variable, pname, params);
}
PUBLIC PFNGLGETCOMBINERINPUTPARAMETERIVNVPROC epoxy_glGetCombinerInputParameterivNV = epoxy_glGetCombinerInputParameterivNV_rewrite_ptr;

static void
epoxy_glGetCombinerOutputParameterfvNV_rewrite_ptr(GLenum stage, GLenum portion, GLenum pname, GLfloat * params)
{
    epoxy_glGetCombinerOutputParameterfvNV = (void *)epoxy_glGetCombinerOutputParameterfvNV_resolver();
    epoxy_glGetCombinerOutputParameterfvNV(stage, portion, pname, params);
}
PUBLIC PFNGLGETCOMBINEROUTPUTPARAMETERFVNVPROC epoxy_glGetCombinerOutputParameterfvNV = epoxy_glGetCombinerOutputParameterfvNV_rewrite_ptr;

static void
epoxy_glGetCombinerOutputParameterivNV_rewrite_ptr(GLenum stage, GLenum portion, GLenum pname, GLint * params)
{
    epoxy_glGetCombinerOutputParameterivNV = (void *)epoxy_glGetCombinerOutputParameterivNV_resolver();
    epoxy_glGetCombinerOutputParameterivNV(stage, portion, pname, params);
}
PUBLIC PFNGLGETCOMBINEROUTPUTPARAMETERIVNVPROC epoxy_glGetCombinerOutputParameterivNV = epoxy_glGetCombinerOutputParameterivNV_rewrite_ptr;

static void
epoxy_glGetCombinerStageParameterfvNV_rewrite_ptr(GLenum stage, GLenum pname, GLfloat * params)
{
    epoxy_glGetCombinerStageParameterfvNV = (void *)epoxy_glGetCombinerStageParameterfvNV_resolver();
    epoxy_glGetCombinerStageParameterfvNV(stage, pname, params);
}
PUBLIC PFNGLGETCOMBINERSTAGEPARAMETERFVNVPROC epoxy_glGetCombinerStageParameterfvNV = epoxy_glGetCombinerStageParameterfvNV_rewrite_ptr;

static void
epoxy_glGetCompressedMultiTexImageEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint lod, void * img)
{
    epoxy_glGetCompressedMultiTexImageEXT = (void *)epoxy_glGetCompressedMultiTexImageEXT_resolver();
    epoxy_glGetCompressedMultiTexImageEXT(texunit, target, lod, img);
}
PUBLIC PFNGLGETCOMPRESSEDMULTITEXIMAGEEXTPROC epoxy_glGetCompressedMultiTexImageEXT = epoxy_glGetCompressedMultiTexImageEXT_rewrite_ptr;

static void
epoxy_glGetCompressedTexImage_rewrite_ptr(GLenum target, GLint level, void * img)
{
    epoxy_glGetCompressedTexImage = (void *)epoxy_glGetCompressedTexImage_resolver();
    epoxy_glGetCompressedTexImage(target, level, img);
}
PUBLIC PFNGLGETCOMPRESSEDTEXIMAGEPROC epoxy_glGetCompressedTexImage = epoxy_glGetCompressedTexImage_rewrite_ptr;

static void
epoxy_glGetCompressedTexImageARB_rewrite_ptr(GLenum target, GLint level, void * img)
{
    epoxy_glGetCompressedTexImageARB = (void *)epoxy_glGetCompressedTexImage_resolver();
    epoxy_glGetCompressedTexImageARB(target, level, img);
}
PUBLIC PFNGLGETCOMPRESSEDTEXIMAGEARBPROC epoxy_glGetCompressedTexImageARB = epoxy_glGetCompressedTexImageARB_rewrite_ptr;

static void
epoxy_glGetCompressedTextureImageEXT_rewrite_ptr(GLuint texture, GLenum target, GLint lod, void * img)
{
    epoxy_glGetCompressedTextureImageEXT = (void *)epoxy_glGetCompressedTextureImageEXT_resolver();
    epoxy_glGetCompressedTextureImageEXT(texture, target, lod, img);
}
PUBLIC PFNGLGETCOMPRESSEDTEXTUREIMAGEEXTPROC epoxy_glGetCompressedTextureImageEXT = epoxy_glGetCompressedTextureImageEXT_rewrite_ptr;

static void
epoxy_glGetConvolutionFilter_rewrite_ptr(GLenum target, GLenum format, GLenum type, void * image)
{
    epoxy_glGetConvolutionFilter = (void *)epoxy_glGetConvolutionFilter_resolver();
    epoxy_glGetConvolutionFilter(target, format, type, image);
}
PUBLIC PFNGLGETCONVOLUTIONFILTERPROC epoxy_glGetConvolutionFilter = epoxy_glGetConvolutionFilter_rewrite_ptr;

static void
epoxy_glGetConvolutionFilterEXT_rewrite_ptr(GLenum target, GLenum format, GLenum type, void * image)
{
    epoxy_glGetConvolutionFilterEXT = (void *)epoxy_glGetConvolutionFilterEXT_resolver();
    epoxy_glGetConvolutionFilterEXT(target, format, type, image);
}
PUBLIC PFNGLGETCONVOLUTIONFILTEREXTPROC epoxy_glGetConvolutionFilterEXT = epoxy_glGetConvolutionFilterEXT_rewrite_ptr;

static void
epoxy_glGetConvolutionParameterfv_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetConvolutionParameterfv = (void *)epoxy_glGetConvolutionParameterfv_resolver();
    epoxy_glGetConvolutionParameterfv(target, pname, params);
}
PUBLIC PFNGLGETCONVOLUTIONPARAMETERFVPROC epoxy_glGetConvolutionParameterfv = epoxy_glGetConvolutionParameterfv_rewrite_ptr;

static void
epoxy_glGetConvolutionParameterfvEXT_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetConvolutionParameterfvEXT = (void *)epoxy_glGetConvolutionParameterfvEXT_resolver();
    epoxy_glGetConvolutionParameterfvEXT(target, pname, params);
}
PUBLIC PFNGLGETCONVOLUTIONPARAMETERFVEXTPROC epoxy_glGetConvolutionParameterfvEXT = epoxy_glGetConvolutionParameterfvEXT_rewrite_ptr;

static void
epoxy_glGetConvolutionParameteriv_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetConvolutionParameteriv = (void *)epoxy_glGetConvolutionParameteriv_resolver();
    epoxy_glGetConvolutionParameteriv(target, pname, params);
}
PUBLIC PFNGLGETCONVOLUTIONPARAMETERIVPROC epoxy_glGetConvolutionParameteriv = epoxy_glGetConvolutionParameteriv_rewrite_ptr;

static void
epoxy_glGetConvolutionParameterivEXT_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetConvolutionParameterivEXT = (void *)epoxy_glGetConvolutionParameterivEXT_resolver();
    epoxy_glGetConvolutionParameterivEXT(target, pname, params);
}
PUBLIC PFNGLGETCONVOLUTIONPARAMETERIVEXTPROC epoxy_glGetConvolutionParameterivEXT = epoxy_glGetConvolutionParameterivEXT_rewrite_ptr;

static void
epoxy_glGetConvolutionParameterxvOES_rewrite_ptr(GLenum target, GLenum pname, GLfixed * params)
{
    epoxy_glGetConvolutionParameterxvOES = (void *)epoxy_glGetConvolutionParameterxvOES_resolver();
    epoxy_glGetConvolutionParameterxvOES(target, pname, params);
}
PUBLIC PFNGLGETCONVOLUTIONPARAMETERXVOESPROC epoxy_glGetConvolutionParameterxvOES = epoxy_glGetConvolutionParameterxvOES_rewrite_ptr;

static GLuint
epoxy_glGetDebugMessageLog_rewrite_ptr(GLuint count, GLsizei bufSize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog)
{
    epoxy_glGetDebugMessageLog = (void *)epoxy_glGetDebugMessageLog_resolver();
    return epoxy_glGetDebugMessageLog(count, bufSize, sources, types, ids, severities, lengths, messageLog);
}
PUBLIC PFNGLGETDEBUGMESSAGELOGPROC epoxy_glGetDebugMessageLog = epoxy_glGetDebugMessageLog_rewrite_ptr;

static GLuint
epoxy_glGetDebugMessageLogAMD_rewrite_ptr(GLuint count, GLsizei bufsize, GLenum * categories, GLuint * severities, GLuint * ids, GLsizei * lengths, GLchar * message)
{
    epoxy_glGetDebugMessageLogAMD = (void *)epoxy_glGetDebugMessageLogAMD_resolver();
    return epoxy_glGetDebugMessageLogAMD(count, bufsize, categories, severities, ids, lengths, message);
}
PUBLIC PFNGLGETDEBUGMESSAGELOGAMDPROC epoxy_glGetDebugMessageLogAMD = epoxy_glGetDebugMessageLogAMD_rewrite_ptr;

static GLuint
epoxy_glGetDebugMessageLogARB_rewrite_ptr(GLuint count, GLsizei bufSize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog)
{
    epoxy_glGetDebugMessageLogARB = (void *)epoxy_glGetDebugMessageLog_resolver();
    return epoxy_glGetDebugMessageLogARB(count, bufSize, sources, types, ids, severities, lengths, messageLog);
}
PUBLIC PFNGLGETDEBUGMESSAGELOGARBPROC epoxy_glGetDebugMessageLogARB = epoxy_glGetDebugMessageLogARB_rewrite_ptr;

static GLuint
epoxy_glGetDebugMessageLogKHR_rewrite_ptr(GLuint count, GLsizei bufSize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog)
{
    epoxy_glGetDebugMessageLogKHR = (void *)epoxy_glGetDebugMessageLog_resolver();
    return epoxy_glGetDebugMessageLogKHR(count, bufSize, sources, types, ids, severities, lengths, messageLog);
}
PUBLIC PFNGLGETDEBUGMESSAGELOGKHRPROC epoxy_glGetDebugMessageLogKHR = epoxy_glGetDebugMessageLogKHR_rewrite_ptr;

static void
epoxy_glGetDetailTexFuncSGIS_rewrite_ptr(GLenum target, GLfloat * points)
{
    epoxy_glGetDetailTexFuncSGIS = (void *)epoxy_glGetDetailTexFuncSGIS_resolver();
    epoxy_glGetDetailTexFuncSGIS(target, points);
}
PUBLIC PFNGLGETDETAILTEXFUNCSGISPROC epoxy_glGetDetailTexFuncSGIS = epoxy_glGetDetailTexFuncSGIS_rewrite_ptr;

static void
epoxy_glGetDoubleIndexedvEXT_rewrite_ptr(GLenum target, GLuint index, GLdouble * data)
{
    epoxy_glGetDoubleIndexedvEXT = (void *)epoxy_glGetDoublei_v_resolver();
    epoxy_glGetDoubleIndexedvEXT(target, index, data);
}
PUBLIC PFNGLGETDOUBLEINDEXEDVEXTPROC epoxy_glGetDoubleIndexedvEXT = epoxy_glGetDoubleIndexedvEXT_rewrite_ptr;

static void
epoxy_glGetDoublei_v_rewrite_ptr(GLenum target, GLuint index, GLdouble * data)
{
    epoxy_glGetDoublei_v = (void *)epoxy_glGetDoublei_v_resolver();
    epoxy_glGetDoublei_v(target, index, data);
}
PUBLIC PFNGLGETDOUBLEI_VPROC epoxy_glGetDoublei_v = epoxy_glGetDoublei_v_rewrite_ptr;

static void
epoxy_glGetDoublei_vEXT_rewrite_ptr(GLenum pname, GLuint index, GLdouble * params)
{
    epoxy_glGetDoublei_vEXT = (void *)epoxy_glGetDoublei_v_resolver();
    epoxy_glGetDoublei_vEXT(pname, index, params);
}
PUBLIC PFNGLGETDOUBLEI_VEXTPROC epoxy_glGetDoublei_vEXT = epoxy_glGetDoublei_vEXT_rewrite_ptr;

static void
epoxy_glGetDoublev_rewrite_ptr(GLenum pname, GLdouble * data)
{
    epoxy_glGetDoublev = (void *)epoxy_glGetDoublev_resolver();
    epoxy_glGetDoublev(pname, data);
}
PUBLIC PFNGLGETDOUBLEVPROC epoxy_glGetDoublev = epoxy_glGetDoublev_rewrite_ptr;

static void
epoxy_glGetDriverControlStringQCOM_rewrite_ptr(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)
{
    epoxy_glGetDriverControlStringQCOM = (void *)epoxy_glGetDriverControlStringQCOM_resolver();
    epoxy_glGetDriverControlStringQCOM(driverControl, bufSize, length, driverControlString);
}
PUBLIC PFNGLGETDRIVERCONTROLSTRINGQCOMPROC epoxy_glGetDriverControlStringQCOM = epoxy_glGetDriverControlStringQCOM_rewrite_ptr;

static void
epoxy_glGetDriverControlsQCOM_rewrite_ptr(GLint * num, GLsizei size, GLuint * driverControls)
{
    epoxy_glGetDriverControlsQCOM = (void *)epoxy_glGetDriverControlsQCOM_resolver();
    epoxy_glGetDriverControlsQCOM(num, size, driverControls);
}
PUBLIC PFNGLGETDRIVERCONTROLSQCOMPROC epoxy_glGetDriverControlsQCOM = epoxy_glGetDriverControlsQCOM_rewrite_ptr;

static GLenum
epoxy_glGetError_rewrite_ptr(void)
{
    epoxy_glGetError = (void *)epoxy_glGetError_resolver();
    return epoxy_glGetError();
}
PUBLIC PFNGLGETERRORPROC epoxy_glGetError = epoxy_glGetError_rewrite_ptr;

static void
epoxy_glGetFenceivNV_rewrite_ptr(GLuint fence, GLenum pname, GLint * params)
{
    epoxy_glGetFenceivNV = (void *)epoxy_glGetFenceivNV_resolver();
    epoxy_glGetFenceivNV(fence, pname, params);
}
PUBLIC PFNGLGETFENCEIVNVPROC epoxy_glGetFenceivNV = epoxy_glGetFenceivNV_rewrite_ptr;

static void
epoxy_glGetFinalCombinerInputParameterfvNV_rewrite_ptr(GLenum variable, GLenum pname, GLfloat * params)
{
    epoxy_glGetFinalCombinerInputParameterfvNV = (void *)epoxy_glGetFinalCombinerInputParameterfvNV_resolver();
    epoxy_glGetFinalCombinerInputParameterfvNV(variable, pname, params);
}
PUBLIC PFNGLGETFINALCOMBINERINPUTPARAMETERFVNVPROC epoxy_glGetFinalCombinerInputParameterfvNV = epoxy_glGetFinalCombinerInputParameterfvNV_rewrite_ptr;

static void
epoxy_glGetFinalCombinerInputParameterivNV_rewrite_ptr(GLenum variable, GLenum pname, GLint * params)
{
    epoxy_glGetFinalCombinerInputParameterivNV = (void *)epoxy_glGetFinalCombinerInputParameterivNV_resolver();
    epoxy_glGetFinalCombinerInputParameterivNV(variable, pname, params);
}
PUBLIC PFNGLGETFINALCOMBINERINPUTPARAMETERIVNVPROC epoxy_glGetFinalCombinerInputParameterivNV = epoxy_glGetFinalCombinerInputParameterivNV_rewrite_ptr;

static void
epoxy_glGetFirstPerfQueryIdINTEL_rewrite_ptr(GLuint * queryId)
{
    epoxy_glGetFirstPerfQueryIdINTEL = (void *)epoxy_glGetFirstPerfQueryIdINTEL_resolver();
    epoxy_glGetFirstPerfQueryIdINTEL(queryId);
}
PUBLIC PFNGLGETFIRSTPERFQUERYIDINTELPROC epoxy_glGetFirstPerfQueryIdINTEL = epoxy_glGetFirstPerfQueryIdINTEL_rewrite_ptr;

static void
epoxy_glGetFixedv_rewrite_ptr(GLenum pname, GLfixed * params)
{
    epoxy_glGetFixedv = (void *)epoxy_glGetFixedv_resolver();
    epoxy_glGetFixedv(pname, params);
}
PUBLIC PFNGLGETFIXEDVPROC epoxy_glGetFixedv = epoxy_glGetFixedv_rewrite_ptr;

static void
epoxy_glGetFixedvOES_rewrite_ptr(GLenum pname, GLfixed * params)
{
    epoxy_glGetFixedvOES = (void *)epoxy_glGetFixedvOES_resolver();
    epoxy_glGetFixedvOES(pname, params);
}
PUBLIC PFNGLGETFIXEDVOESPROC epoxy_glGetFixedvOES = epoxy_glGetFixedvOES_rewrite_ptr;

static void
epoxy_glGetFloatIndexedvEXT_rewrite_ptr(GLenum target, GLuint index, GLfloat * data)
{
    epoxy_glGetFloatIndexedvEXT = (void *)epoxy_glGetFloati_v_resolver();
    epoxy_glGetFloatIndexedvEXT(target, index, data);
}
PUBLIC PFNGLGETFLOATINDEXEDVEXTPROC epoxy_glGetFloatIndexedvEXT = epoxy_glGetFloatIndexedvEXT_rewrite_ptr;

static void
epoxy_glGetFloati_v_rewrite_ptr(GLenum target, GLuint index, GLfloat * data)
{
    epoxy_glGetFloati_v = (void *)epoxy_glGetFloati_v_resolver();
    epoxy_glGetFloati_v(target, index, data);
}
PUBLIC PFNGLGETFLOATI_VPROC epoxy_glGetFloati_v = epoxy_glGetFloati_v_rewrite_ptr;

static void
epoxy_glGetFloati_vEXT_rewrite_ptr(GLenum pname, GLuint index, GLfloat * params)
{
    epoxy_glGetFloati_vEXT = (void *)epoxy_glGetFloati_v_resolver();
    epoxy_glGetFloati_vEXT(pname, index, params);
}
PUBLIC PFNGLGETFLOATI_VEXTPROC epoxy_glGetFloati_vEXT = epoxy_glGetFloati_vEXT_rewrite_ptr;

static void
epoxy_glGetFloatv_rewrite_ptr(GLenum pname, GLfloat * data)
{
    epoxy_glGetFloatv = (void *)epoxy_glGetFloatv_resolver();
    epoxy_glGetFloatv(pname, data);
}
PUBLIC PFNGLGETFLOATVPROC epoxy_glGetFloatv = epoxy_glGetFloatv_rewrite_ptr;

static void
epoxy_glGetFogFuncSGIS_rewrite_ptr(GLfloat * points)
{
    epoxy_glGetFogFuncSGIS = (void *)epoxy_glGetFogFuncSGIS_resolver();
    epoxy_glGetFogFuncSGIS(points);
}
PUBLIC PFNGLGETFOGFUNCSGISPROC epoxy_glGetFogFuncSGIS = epoxy_glGetFogFuncSGIS_rewrite_ptr;

static GLint
epoxy_glGetFragDataIndex_rewrite_ptr(GLuint program, const GLchar * name)
{
    epoxy_glGetFragDataIndex = (void *)epoxy_glGetFragDataIndex_resolver();
    return epoxy_glGetFragDataIndex(program, name);
}
PUBLIC PFNGLGETFRAGDATAINDEXPROC epoxy_glGetFragDataIndex = epoxy_glGetFragDataIndex_rewrite_ptr;

static GLint
epoxy_glGetFragDataLocation_rewrite_ptr(GLuint program, const GLchar * name)
{
    epoxy_glGetFragDataLocation = (void *)epoxy_glGetFragDataLocation_resolver();
    return epoxy_glGetFragDataLocation(program, name);
}
PUBLIC PFNGLGETFRAGDATALOCATIONPROC epoxy_glGetFragDataLocation = epoxy_glGetFragDataLocation_rewrite_ptr;

static GLint
epoxy_glGetFragDataLocationEXT_rewrite_ptr(GLuint program, const GLchar * name)
{
    epoxy_glGetFragDataLocationEXT = (void *)epoxy_glGetFragDataLocation_resolver();
    return epoxy_glGetFragDataLocationEXT(program, name);
}
PUBLIC PFNGLGETFRAGDATALOCATIONEXTPROC epoxy_glGetFragDataLocationEXT = epoxy_glGetFragDataLocationEXT_rewrite_ptr;

static void
epoxy_glGetFragmentLightfvSGIX_rewrite_ptr(GLenum light, GLenum pname, GLfloat * params)
{
    epoxy_glGetFragmentLightfvSGIX = (void *)epoxy_glGetFragmentLightfvSGIX_resolver();
    epoxy_glGetFragmentLightfvSGIX(light, pname, params);
}
PUBLIC PFNGLGETFRAGMENTLIGHTFVSGIXPROC epoxy_glGetFragmentLightfvSGIX = epoxy_glGetFragmentLightfvSGIX_rewrite_ptr;

static void
epoxy_glGetFragmentLightivSGIX_rewrite_ptr(GLenum light, GLenum pname, GLint * params)
{
    epoxy_glGetFragmentLightivSGIX = (void *)epoxy_glGetFragmentLightivSGIX_resolver();
    epoxy_glGetFragmentLightivSGIX(light, pname, params);
}
PUBLIC PFNGLGETFRAGMENTLIGHTIVSGIXPROC epoxy_glGetFragmentLightivSGIX = epoxy_glGetFragmentLightivSGIX_rewrite_ptr;

static void
epoxy_glGetFragmentMaterialfvSGIX_rewrite_ptr(GLenum face, GLenum pname, GLfloat * params)
{
    epoxy_glGetFragmentMaterialfvSGIX = (void *)epoxy_glGetFragmentMaterialfvSGIX_resolver();
    epoxy_glGetFragmentMaterialfvSGIX(face, pname, params);
}
PUBLIC PFNGLGETFRAGMENTMATERIALFVSGIXPROC epoxy_glGetFragmentMaterialfvSGIX = epoxy_glGetFragmentMaterialfvSGIX_rewrite_ptr;

static void
epoxy_glGetFragmentMaterialivSGIX_rewrite_ptr(GLenum face, GLenum pname, GLint * params)
{
    epoxy_glGetFragmentMaterialivSGIX = (void *)epoxy_glGetFragmentMaterialivSGIX_resolver();
    epoxy_glGetFragmentMaterialivSGIX(face, pname, params);
}
PUBLIC PFNGLGETFRAGMENTMATERIALIVSGIXPROC epoxy_glGetFragmentMaterialivSGIX = epoxy_glGetFragmentMaterialivSGIX_rewrite_ptr;

static void
epoxy_glGetFramebufferAttachmentParameteriv_rewrite_ptr(GLenum target, GLenum attachment, GLenum pname, GLint * params)
{
    epoxy_glGetFramebufferAttachmentParameteriv = (void *)epoxy_glGetFramebufferAttachmentParameteriv_resolver();
    epoxy_glGetFramebufferAttachmentParameteriv(target, attachment, pname, params);
}
PUBLIC PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVPROC epoxy_glGetFramebufferAttachmentParameteriv = epoxy_glGetFramebufferAttachmentParameteriv_rewrite_ptr;

static void
epoxy_glGetFramebufferAttachmentParameterivEXT_rewrite_ptr(GLenum target, GLenum attachment, GLenum pname, GLint * params)
{
    epoxy_glGetFramebufferAttachmentParameterivEXT = (void *)epoxy_glGetFramebufferAttachmentParameteriv_resolver();
    epoxy_glGetFramebufferAttachmentParameterivEXT(target, attachment, pname, params);
}
PUBLIC PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC epoxy_glGetFramebufferAttachmentParameterivEXT = epoxy_glGetFramebufferAttachmentParameterivEXT_rewrite_ptr;

static void
epoxy_glGetFramebufferAttachmentParameterivOES_rewrite_ptr(GLenum target, GLenum attachment, GLenum pname, GLint * params)
{
    epoxy_glGetFramebufferAttachmentParameterivOES = (void *)epoxy_glGetFramebufferAttachmentParameterivOES_resolver();
    epoxy_glGetFramebufferAttachmentParameterivOES(target, attachment, pname, params);
}
PUBLIC PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVOESPROC epoxy_glGetFramebufferAttachmentParameterivOES = epoxy_glGetFramebufferAttachmentParameterivOES_rewrite_ptr;

static void
epoxy_glGetFramebufferParameteriv_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetFramebufferParameteriv = (void *)epoxy_glGetFramebufferParameteriv_resolver();
    epoxy_glGetFramebufferParameteriv(target, pname, params);
}
PUBLIC PFNGLGETFRAMEBUFFERPARAMETERIVPROC epoxy_glGetFramebufferParameteriv = epoxy_glGetFramebufferParameteriv_rewrite_ptr;

static void
epoxy_glGetFramebufferParameterivEXT_rewrite_ptr(GLuint framebuffer, GLenum pname, GLint * params)
{
    epoxy_glGetFramebufferParameterivEXT = (void *)epoxy_glGetFramebufferParameterivEXT_resolver();
    epoxy_glGetFramebufferParameterivEXT(framebuffer, pname, params);
}
PUBLIC PFNGLGETFRAMEBUFFERPARAMETERIVEXTPROC epoxy_glGetFramebufferParameterivEXT = epoxy_glGetFramebufferParameterivEXT_rewrite_ptr;

static GLenum
epoxy_glGetGraphicsResetStatusARB_rewrite_ptr(void)
{
    epoxy_glGetGraphicsResetStatusARB = (void *)epoxy_glGetGraphicsResetStatusARB_resolver();
    return epoxy_glGetGraphicsResetStatusARB();
}
PUBLIC PFNGLGETGRAPHICSRESETSTATUSARBPROC epoxy_glGetGraphicsResetStatusARB = epoxy_glGetGraphicsResetStatusARB_rewrite_ptr;

static GLenum
epoxy_glGetGraphicsResetStatusEXT_rewrite_ptr(void)
{
    epoxy_glGetGraphicsResetStatusEXT = (void *)epoxy_glGetGraphicsResetStatusEXT_resolver();
    return epoxy_glGetGraphicsResetStatusEXT();
}
PUBLIC PFNGLGETGRAPHICSRESETSTATUSEXTPROC epoxy_glGetGraphicsResetStatusEXT = epoxy_glGetGraphicsResetStatusEXT_rewrite_ptr;

static GLhandleARB
epoxy_glGetHandleARB_rewrite_ptr(GLenum pname)
{
    epoxy_glGetHandleARB = (void *)epoxy_glGetHandleARB_resolver();
    return epoxy_glGetHandleARB(pname);
}
PUBLIC PFNGLGETHANDLEARBPROC epoxy_glGetHandleARB = epoxy_glGetHandleARB_rewrite_ptr;

static void
epoxy_glGetHistogram_rewrite_ptr(GLenum target, GLboolean reset, GLenum format, GLenum type, void * values)
{
    epoxy_glGetHistogram = (void *)epoxy_glGetHistogram_resolver();
    epoxy_glGetHistogram(target, reset, format, type, values);
}
PUBLIC PFNGLGETHISTOGRAMPROC epoxy_glGetHistogram = epoxy_glGetHistogram_rewrite_ptr;

static void
epoxy_glGetHistogramEXT_rewrite_ptr(GLenum target, GLboolean reset, GLenum format, GLenum type, void * values)
{
    epoxy_glGetHistogramEXT = (void *)epoxy_glGetHistogramEXT_resolver();
    epoxy_glGetHistogramEXT(target, reset, format, type, values);
}
PUBLIC PFNGLGETHISTOGRAMEXTPROC epoxy_glGetHistogramEXT = epoxy_glGetHistogramEXT_rewrite_ptr;

static void
epoxy_glGetHistogramParameterfv_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetHistogramParameterfv = (void *)epoxy_glGetHistogramParameterfv_resolver();
    epoxy_glGetHistogramParameterfv(target, pname, params);
}
PUBLIC PFNGLGETHISTOGRAMPARAMETERFVPROC epoxy_glGetHistogramParameterfv = epoxy_glGetHistogramParameterfv_rewrite_ptr;

static void
epoxy_glGetHistogramParameterfvEXT_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetHistogramParameterfvEXT = (void *)epoxy_glGetHistogramParameterfvEXT_resolver();
    epoxy_glGetHistogramParameterfvEXT(target, pname, params);
}
PUBLIC PFNGLGETHISTOGRAMPARAMETERFVEXTPROC epoxy_glGetHistogramParameterfvEXT = epoxy_glGetHistogramParameterfvEXT_rewrite_ptr;

static void
epoxy_glGetHistogramParameteriv_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetHistogramParameteriv = (void *)epoxy_glGetHistogramParameteriv_resolver();
    epoxy_glGetHistogramParameteriv(target, pname, params);
}
PUBLIC PFNGLGETHISTOGRAMPARAMETERIVPROC epoxy_glGetHistogramParameteriv = epoxy_glGetHistogramParameteriv_rewrite_ptr;

static void
epoxy_glGetHistogramParameterivEXT_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetHistogramParameterivEXT = (void *)epoxy_glGetHistogramParameterivEXT_resolver();
    epoxy_glGetHistogramParameterivEXT(target, pname, params);
}
PUBLIC PFNGLGETHISTOGRAMPARAMETERIVEXTPROC epoxy_glGetHistogramParameterivEXT = epoxy_glGetHistogramParameterivEXT_rewrite_ptr;

static void
epoxy_glGetHistogramParameterxvOES_rewrite_ptr(GLenum target, GLenum pname, GLfixed * params)
{
    epoxy_glGetHistogramParameterxvOES = (void *)epoxy_glGetHistogramParameterxvOES_resolver();
    epoxy_glGetHistogramParameterxvOES(target, pname, params);
}
PUBLIC PFNGLGETHISTOGRAMPARAMETERXVOESPROC epoxy_glGetHistogramParameterxvOES = epoxy_glGetHistogramParameterxvOES_rewrite_ptr;

static GLuint64
epoxy_glGetImageHandleARB_rewrite_ptr(GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format)
{
    epoxy_glGetImageHandleARB = (void *)epoxy_glGetImageHandleARB_resolver();
    return epoxy_glGetImageHandleARB(texture, level, layered, layer, format);
}
PUBLIC PFNGLGETIMAGEHANDLEARBPROC epoxy_glGetImageHandleARB = epoxy_glGetImageHandleARB_rewrite_ptr;

static GLuint64
epoxy_glGetImageHandleNV_rewrite_ptr(GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format)
{
    epoxy_glGetImageHandleNV = (void *)epoxy_glGetImageHandleNV_resolver();
    return epoxy_glGetImageHandleNV(texture, level, layered, layer, format);
}
PUBLIC PFNGLGETIMAGEHANDLENVPROC epoxy_glGetImageHandleNV = epoxy_glGetImageHandleNV_rewrite_ptr;

static void
epoxy_glGetImageTransformParameterfvHP_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetImageTransformParameterfvHP = (void *)epoxy_glGetImageTransformParameterfvHP_resolver();
    epoxy_glGetImageTransformParameterfvHP(target, pname, params);
}
PUBLIC PFNGLGETIMAGETRANSFORMPARAMETERFVHPPROC epoxy_glGetImageTransformParameterfvHP = epoxy_glGetImageTransformParameterfvHP_rewrite_ptr;

static void
epoxy_glGetImageTransformParameterivHP_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetImageTransformParameterivHP = (void *)epoxy_glGetImageTransformParameterivHP_resolver();
    epoxy_glGetImageTransformParameterivHP(target, pname, params);
}
PUBLIC PFNGLGETIMAGETRANSFORMPARAMETERIVHPPROC epoxy_glGetImageTransformParameterivHP = epoxy_glGetImageTransformParameterivHP_rewrite_ptr;

static void
epoxy_glGetInfoLogARB_rewrite_ptr(GLhandleARB obj, GLsizei maxLength, GLsizei * length, GLcharARB * infoLog)
{
    epoxy_glGetInfoLogARB = (void *)epoxy_glGetInfoLogARB_resolver();
    epoxy_glGetInfoLogARB((uintptr_t)obj, maxLength, length, infoLog);
}
PUBLIC PFNGLGETINFOLOGARBPROC epoxy_glGetInfoLogARB = epoxy_glGetInfoLogARB_rewrite_ptr;

static GLint
epoxy_glGetInstrumentsSGIX_rewrite_ptr(void)
{
    epoxy_glGetInstrumentsSGIX = (void *)epoxy_glGetInstrumentsSGIX_resolver();
    return epoxy_glGetInstrumentsSGIX();
}
PUBLIC PFNGLGETINSTRUMENTSSGIXPROC epoxy_glGetInstrumentsSGIX = epoxy_glGetInstrumentsSGIX_rewrite_ptr;

static void
epoxy_glGetInteger64i_v_rewrite_ptr(GLenum target, GLuint index, GLint64 * data)
{
    epoxy_glGetInteger64i_v = (void *)epoxy_glGetInteger64i_v_resolver();
    epoxy_glGetInteger64i_v(target, index, data);
}
PUBLIC PFNGLGETINTEGER64I_VPROC epoxy_glGetInteger64i_v = epoxy_glGetInteger64i_v_rewrite_ptr;

static void
epoxy_glGetInteger64v_rewrite_ptr(GLenum pname, GLint64 * data)
{
    epoxy_glGetInteger64v = (void *)epoxy_glGetInteger64v_resolver();
    epoxy_glGetInteger64v(pname, data);
}
PUBLIC PFNGLGETINTEGER64VPROC epoxy_glGetInteger64v = epoxy_glGetInteger64v_rewrite_ptr;

static void
epoxy_glGetInteger64vAPPLE_rewrite_ptr(GLenum pname, GLint64 * params)
{
    epoxy_glGetInteger64vAPPLE = (void *)epoxy_glGetInteger64v_resolver();
    epoxy_glGetInteger64vAPPLE(pname, params);
}
PUBLIC PFNGLGETINTEGER64VAPPLEPROC epoxy_glGetInteger64vAPPLE = epoxy_glGetInteger64vAPPLE_rewrite_ptr;

static void
epoxy_glGetIntegerIndexedvEXT_rewrite_ptr(GLenum target, GLuint index, GLint * data)
{
    epoxy_glGetIntegerIndexedvEXT = (void *)epoxy_glGetIntegeri_v_resolver();
    epoxy_glGetIntegerIndexedvEXT(target, index, data);
}
PUBLIC PFNGLGETINTEGERINDEXEDVEXTPROC epoxy_glGetIntegerIndexedvEXT = epoxy_glGetIntegerIndexedvEXT_rewrite_ptr;

static void
epoxy_glGetIntegeri_v_rewrite_ptr(GLenum target, GLuint index, GLint * data)
{
    epoxy_glGetIntegeri_v = (void *)epoxy_glGetIntegeri_v_resolver();
    epoxy_glGetIntegeri_v(target, index, data);
}
PUBLIC PFNGLGETINTEGERI_VPROC epoxy_glGetIntegeri_v = epoxy_glGetIntegeri_v_rewrite_ptr;

static void
epoxy_glGetIntegeri_vEXT_rewrite_ptr(GLenum target, GLuint index, GLint * data)
{
    epoxy_glGetIntegeri_vEXT = (void *)epoxy_glGetIntegeri_vEXT_resolver();
    epoxy_glGetIntegeri_vEXT(target, index, data);
}
PUBLIC PFNGLGETINTEGERI_VEXTPROC epoxy_glGetIntegeri_vEXT = epoxy_glGetIntegeri_vEXT_rewrite_ptr;

static void
epoxy_glGetIntegerui64i_vNV_rewrite_ptr(GLenum value, GLuint index, GLuint64EXT * result)
{
    epoxy_glGetIntegerui64i_vNV = (void *)epoxy_glGetIntegerui64i_vNV_resolver();
    epoxy_glGetIntegerui64i_vNV(value, index, result);
}
PUBLIC PFNGLGETINTEGERUI64I_VNVPROC epoxy_glGetIntegerui64i_vNV = epoxy_glGetIntegerui64i_vNV_rewrite_ptr;

static void
epoxy_glGetIntegerui64vNV_rewrite_ptr(GLenum value, GLuint64EXT * result)
{
    epoxy_glGetIntegerui64vNV = (void *)epoxy_glGetIntegerui64vNV_resolver();
    epoxy_glGetIntegerui64vNV(value, result);
}
PUBLIC PFNGLGETINTEGERUI64VNVPROC epoxy_glGetIntegerui64vNV = epoxy_glGetIntegerui64vNV_rewrite_ptr;

static void
epoxy_glGetIntegerv_rewrite_ptr(GLenum pname, GLint * data)
{
    epoxy_glGetIntegerv = (void *)epoxy_glGetIntegerv_resolver();
    epoxy_glGetIntegerv(pname, data);
}
PUBLIC PFNGLGETINTEGERVPROC epoxy_glGetIntegerv = epoxy_glGetIntegerv_rewrite_ptr;

static void
epoxy_glGetInternalformati64v_rewrite_ptr(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint64 * params)
{
    epoxy_glGetInternalformati64v = (void *)epoxy_glGetInternalformati64v_resolver();
    epoxy_glGetInternalformati64v(target, internalformat, pname, bufSize, params);
}
PUBLIC PFNGLGETINTERNALFORMATI64VPROC epoxy_glGetInternalformati64v = epoxy_glGetInternalformati64v_rewrite_ptr;

static void
epoxy_glGetInternalformativ_rewrite_ptr(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint * params)
{
    epoxy_glGetInternalformativ = (void *)epoxy_glGetInternalformativ_resolver();
    epoxy_glGetInternalformativ(target, internalformat, pname, bufSize, params);
}
PUBLIC PFNGLGETINTERNALFORMATIVPROC epoxy_glGetInternalformativ = epoxy_glGetInternalformativ_rewrite_ptr;

static void
epoxy_glGetInvariantBooleanvEXT_rewrite_ptr(GLuint id, GLenum value, GLboolean * data)
{
    epoxy_glGetInvariantBooleanvEXT = (void *)epoxy_glGetInvariantBooleanvEXT_resolver();
    epoxy_glGetInvariantBooleanvEXT(id, value, data);
}
PUBLIC PFNGLGETINVARIANTBOOLEANVEXTPROC epoxy_glGetInvariantBooleanvEXT = epoxy_glGetInvariantBooleanvEXT_rewrite_ptr;

static void
epoxy_glGetInvariantFloatvEXT_rewrite_ptr(GLuint id, GLenum value, GLfloat * data)
{
    epoxy_glGetInvariantFloatvEXT = (void *)epoxy_glGetInvariantFloatvEXT_resolver();
    epoxy_glGetInvariantFloatvEXT(id, value, data);
}
PUBLIC PFNGLGETINVARIANTFLOATVEXTPROC epoxy_glGetInvariantFloatvEXT = epoxy_glGetInvariantFloatvEXT_rewrite_ptr;

static void
epoxy_glGetInvariantIntegervEXT_rewrite_ptr(GLuint id, GLenum value, GLint * data)
{
    epoxy_glGetInvariantIntegervEXT = (void *)epoxy_glGetInvariantIntegervEXT_resolver();
    epoxy_glGetInvariantIntegervEXT(id, value, data);
}
PUBLIC PFNGLGETINVARIANTINTEGERVEXTPROC epoxy_glGetInvariantIntegervEXT = epoxy_glGetInvariantIntegervEXT_rewrite_ptr;

static void
epoxy_glGetLightfv_rewrite_ptr(GLenum light, GLenum pname, GLfloat * params)
{
    epoxy_glGetLightfv = (void *)epoxy_glGetLightfv_resolver();
    epoxy_glGetLightfv(light, pname, params);
}
PUBLIC PFNGLGETLIGHTFVPROC epoxy_glGetLightfv = epoxy_glGetLightfv_rewrite_ptr;

static void
epoxy_glGetLightiv_rewrite_ptr(GLenum light, GLenum pname, GLint * params)
{
    epoxy_glGetLightiv = (void *)epoxy_glGetLightiv_resolver();
    epoxy_glGetLightiv(light, pname, params);
}
PUBLIC PFNGLGETLIGHTIVPROC epoxy_glGetLightiv = epoxy_glGetLightiv_rewrite_ptr;

static void
epoxy_glGetLightxOES_rewrite_ptr(GLenum light, GLenum pname, GLfixed * params)
{
    epoxy_glGetLightxOES = (void *)epoxy_glGetLightxOES_resolver();
    epoxy_glGetLightxOES(light, pname, params);
}
PUBLIC PFNGLGETLIGHTXOESPROC epoxy_glGetLightxOES = epoxy_glGetLightxOES_rewrite_ptr;

static void
epoxy_glGetLightxv_rewrite_ptr(GLenum light, GLenum pname, GLfixed * params)
{
    epoxy_glGetLightxv = (void *)epoxy_glGetLightxv_resolver();
    epoxy_glGetLightxv(light, pname, params);
}
PUBLIC PFNGLGETLIGHTXVPROC epoxy_glGetLightxv = epoxy_glGetLightxv_rewrite_ptr;

static void
epoxy_glGetLightxvOES_rewrite_ptr(GLenum light, GLenum pname, GLfixed * params)
{
    epoxy_glGetLightxvOES = (void *)epoxy_glGetLightxvOES_resolver();
    epoxy_glGetLightxvOES(light, pname, params);
}
PUBLIC PFNGLGETLIGHTXVOESPROC epoxy_glGetLightxvOES = epoxy_glGetLightxvOES_rewrite_ptr;

static void
epoxy_glGetListParameterfvSGIX_rewrite_ptr(GLuint list, GLenum pname, GLfloat * params)
{
    epoxy_glGetListParameterfvSGIX = (void *)epoxy_glGetListParameterfvSGIX_resolver();
    epoxy_glGetListParameterfvSGIX(list, pname, params);
}
PUBLIC PFNGLGETLISTPARAMETERFVSGIXPROC epoxy_glGetListParameterfvSGIX = epoxy_glGetListParameterfvSGIX_rewrite_ptr;

static void
epoxy_glGetListParameterivSGIX_rewrite_ptr(GLuint list, GLenum pname, GLint * params)
{
    epoxy_glGetListParameterivSGIX = (void *)epoxy_glGetListParameterivSGIX_resolver();
    epoxy_glGetListParameterivSGIX(list, pname, params);
}
PUBLIC PFNGLGETLISTPARAMETERIVSGIXPROC epoxy_glGetListParameterivSGIX = epoxy_glGetListParameterivSGIX_rewrite_ptr;

static void
epoxy_glGetLocalConstantBooleanvEXT_rewrite_ptr(GLuint id, GLenum value, GLboolean * data)
{
    epoxy_glGetLocalConstantBooleanvEXT = (void *)epoxy_glGetLocalConstantBooleanvEXT_resolver();
    epoxy_glGetLocalConstantBooleanvEXT(id, value, data);
}
PUBLIC PFNGLGETLOCALCONSTANTBOOLEANVEXTPROC epoxy_glGetLocalConstantBooleanvEXT = epoxy_glGetLocalConstantBooleanvEXT_rewrite_ptr;

static void
epoxy_glGetLocalConstantFloatvEXT_rewrite_ptr(GLuint id, GLenum value, GLfloat * data)
{
    epoxy_glGetLocalConstantFloatvEXT = (void *)epoxy_glGetLocalConstantFloatvEXT_resolver();
    epoxy_glGetLocalConstantFloatvEXT(id, value, data);
}
PUBLIC PFNGLGETLOCALCONSTANTFLOATVEXTPROC epoxy_glGetLocalConstantFloatvEXT = epoxy_glGetLocalConstantFloatvEXT_rewrite_ptr;

static void
epoxy_glGetLocalConstantIntegervEXT_rewrite_ptr(GLuint id, GLenum value, GLint * data)
{
    epoxy_glGetLocalConstantIntegervEXT = (void *)epoxy_glGetLocalConstantIntegervEXT_resolver();
    epoxy_glGetLocalConstantIntegervEXT(id, value, data);
}
PUBLIC PFNGLGETLOCALCONSTANTINTEGERVEXTPROC epoxy_glGetLocalConstantIntegervEXT = epoxy_glGetLocalConstantIntegervEXT_rewrite_ptr;

static void
epoxy_glGetMapAttribParameterfvNV_rewrite_ptr(GLenum target, GLuint index, GLenum pname, GLfloat * params)
{
    epoxy_glGetMapAttribParameterfvNV = (void *)epoxy_glGetMapAttribParameterfvNV_resolver();
    epoxy_glGetMapAttribParameterfvNV(target, index, pname, params);
}
PUBLIC PFNGLGETMAPATTRIBPARAMETERFVNVPROC epoxy_glGetMapAttribParameterfvNV = epoxy_glGetMapAttribParameterfvNV_rewrite_ptr;

static void
epoxy_glGetMapAttribParameterivNV_rewrite_ptr(GLenum target, GLuint index, GLenum pname, GLint * params)
{
    epoxy_glGetMapAttribParameterivNV = (void *)epoxy_glGetMapAttribParameterivNV_resolver();
    epoxy_glGetMapAttribParameterivNV(target, index, pname, params);
}
PUBLIC PFNGLGETMAPATTRIBPARAMETERIVNVPROC epoxy_glGetMapAttribParameterivNV = epoxy_glGetMapAttribParameterivNV_rewrite_ptr;

static void
epoxy_glGetMapControlPointsNV_rewrite_ptr(GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLboolean packed, void * points)
{
    epoxy_glGetMapControlPointsNV = (void *)epoxy_glGetMapControlPointsNV_resolver();
    epoxy_glGetMapControlPointsNV(target, index, type, ustride, vstride, packed, points);
}
PUBLIC PFNGLGETMAPCONTROLPOINTSNVPROC epoxy_glGetMapControlPointsNV = epoxy_glGetMapControlPointsNV_rewrite_ptr;

static void
epoxy_glGetMapParameterfvNV_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetMapParameterfvNV = (void *)epoxy_glGetMapParameterfvNV_resolver();
    epoxy_glGetMapParameterfvNV(target, pname, params);
}
PUBLIC PFNGLGETMAPPARAMETERFVNVPROC epoxy_glGetMapParameterfvNV = epoxy_glGetMapParameterfvNV_rewrite_ptr;

static void
epoxy_glGetMapParameterivNV_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetMapParameterivNV = (void *)epoxy_glGetMapParameterivNV_resolver();
    epoxy_glGetMapParameterivNV(target, pname, params);
}
PUBLIC PFNGLGETMAPPARAMETERIVNVPROC epoxy_glGetMapParameterivNV = epoxy_glGetMapParameterivNV_rewrite_ptr;

static void
epoxy_glGetMapdv_rewrite_ptr(GLenum target, GLenum query, GLdouble * v)
{
    epoxy_glGetMapdv = (void *)epoxy_glGetMapdv_resolver();
    epoxy_glGetMapdv(target, query, v);
}
PUBLIC PFNGLGETMAPDVPROC epoxy_glGetMapdv = epoxy_glGetMapdv_rewrite_ptr;

static void
epoxy_glGetMapfv_rewrite_ptr(GLenum target, GLenum query, GLfloat * v)
{
    epoxy_glGetMapfv = (void *)epoxy_glGetMapfv_resolver();
    epoxy_glGetMapfv(target, query, v);
}
PUBLIC PFNGLGETMAPFVPROC epoxy_glGetMapfv = epoxy_glGetMapfv_rewrite_ptr;

static void
epoxy_glGetMapiv_rewrite_ptr(GLenum target, GLenum query, GLint * v)
{
    epoxy_glGetMapiv = (void *)epoxy_glGetMapiv_resolver();
    epoxy_glGetMapiv(target, query, v);
}
PUBLIC PFNGLGETMAPIVPROC epoxy_glGetMapiv = epoxy_glGetMapiv_rewrite_ptr;

static void
epoxy_glGetMapxvOES_rewrite_ptr(GLenum target, GLenum query, GLfixed * v)
{
    epoxy_glGetMapxvOES = (void *)epoxy_glGetMapxvOES_resolver();
    epoxy_glGetMapxvOES(target, query, v);
}
PUBLIC PFNGLGETMAPXVOESPROC epoxy_glGetMapxvOES = epoxy_glGetMapxvOES_rewrite_ptr;

static void
epoxy_glGetMaterialfv_rewrite_ptr(GLenum face, GLenum pname, GLfloat * params)
{
    epoxy_glGetMaterialfv = (void *)epoxy_glGetMaterialfv_resolver();
    epoxy_glGetMaterialfv(face, pname, params);
}
PUBLIC PFNGLGETMATERIALFVPROC epoxy_glGetMaterialfv = epoxy_glGetMaterialfv_rewrite_ptr;

static void
epoxy_glGetMaterialiv_rewrite_ptr(GLenum face, GLenum pname, GLint * params)
{
    epoxy_glGetMaterialiv = (void *)epoxy_glGetMaterialiv_resolver();
    epoxy_glGetMaterialiv(face, pname, params);
}
PUBLIC PFNGLGETMATERIALIVPROC epoxy_glGetMaterialiv = epoxy_glGetMaterialiv_rewrite_ptr;

static void
epoxy_glGetMaterialxOES_rewrite_ptr(GLenum face, GLenum pname, GLfixed param)
{
    epoxy_glGetMaterialxOES = (void *)epoxy_glGetMaterialxOES_resolver();
    epoxy_glGetMaterialxOES(face, pname, param);
}
PUBLIC PFNGLGETMATERIALXOESPROC epoxy_glGetMaterialxOES = epoxy_glGetMaterialxOES_rewrite_ptr;

static void
epoxy_glGetMaterialxv_rewrite_ptr(GLenum face, GLenum pname, GLfixed * params)
{
    epoxy_glGetMaterialxv = (void *)epoxy_glGetMaterialxv_resolver();
    epoxy_glGetMaterialxv(face, pname, params);
}
PUBLIC PFNGLGETMATERIALXVPROC epoxy_glGetMaterialxv = epoxy_glGetMaterialxv_rewrite_ptr;

static void
epoxy_glGetMaterialxvOES_rewrite_ptr(GLenum face, GLenum pname, GLfixed * params)
{
    epoxy_glGetMaterialxvOES = (void *)epoxy_glGetMaterialxvOES_resolver();
    epoxy_glGetMaterialxvOES(face, pname, params);
}
PUBLIC PFNGLGETMATERIALXVOESPROC epoxy_glGetMaterialxvOES = epoxy_glGetMaterialxvOES_rewrite_ptr;

static void
epoxy_glGetMinmax_rewrite_ptr(GLenum target, GLboolean reset, GLenum format, GLenum type, void * values)
{
    epoxy_glGetMinmax = (void *)epoxy_glGetMinmax_resolver();
    epoxy_glGetMinmax(target, reset, format, type, values);
}
PUBLIC PFNGLGETMINMAXPROC epoxy_glGetMinmax = epoxy_glGetMinmax_rewrite_ptr;

static void
epoxy_glGetMinmaxEXT_rewrite_ptr(GLenum target, GLboolean reset, GLenum format, GLenum type, void * values)
{
    epoxy_glGetMinmaxEXT = (void *)epoxy_glGetMinmaxEXT_resolver();
    epoxy_glGetMinmaxEXT(target, reset, format, type, values);
}
PUBLIC PFNGLGETMINMAXEXTPROC epoxy_glGetMinmaxEXT = epoxy_glGetMinmaxEXT_rewrite_ptr;

static void
epoxy_glGetMinmaxParameterfv_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetMinmaxParameterfv = (void *)epoxy_glGetMinmaxParameterfv_resolver();
    epoxy_glGetMinmaxParameterfv(target, pname, params);
}
PUBLIC PFNGLGETMINMAXPARAMETERFVPROC epoxy_glGetMinmaxParameterfv = epoxy_glGetMinmaxParameterfv_rewrite_ptr;

static void
epoxy_glGetMinmaxParameterfvEXT_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetMinmaxParameterfvEXT = (void *)epoxy_glGetMinmaxParameterfvEXT_resolver();
    epoxy_glGetMinmaxParameterfvEXT(target, pname, params);
}
PUBLIC PFNGLGETMINMAXPARAMETERFVEXTPROC epoxy_glGetMinmaxParameterfvEXT = epoxy_glGetMinmaxParameterfvEXT_rewrite_ptr;

static void
epoxy_glGetMinmaxParameteriv_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetMinmaxParameteriv = (void *)epoxy_glGetMinmaxParameteriv_resolver();
    epoxy_glGetMinmaxParameteriv(target, pname, params);
}
PUBLIC PFNGLGETMINMAXPARAMETERIVPROC epoxy_glGetMinmaxParameteriv = epoxy_glGetMinmaxParameteriv_rewrite_ptr;

static void
epoxy_glGetMinmaxParameterivEXT_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetMinmaxParameterivEXT = (void *)epoxy_glGetMinmaxParameterivEXT_resolver();
    epoxy_glGetMinmaxParameterivEXT(target, pname, params);
}
PUBLIC PFNGLGETMINMAXPARAMETERIVEXTPROC epoxy_glGetMinmaxParameterivEXT = epoxy_glGetMinmaxParameterivEXT_rewrite_ptr;

static void
epoxy_glGetMultiTexEnvfvEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetMultiTexEnvfvEXT = (void *)epoxy_glGetMultiTexEnvfvEXT_resolver();
    epoxy_glGetMultiTexEnvfvEXT(texunit, target, pname, params);
}
PUBLIC PFNGLGETMULTITEXENVFVEXTPROC epoxy_glGetMultiTexEnvfvEXT = epoxy_glGetMultiTexEnvfvEXT_rewrite_ptr;

static void
epoxy_glGetMultiTexEnvivEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetMultiTexEnvivEXT = (void *)epoxy_glGetMultiTexEnvivEXT_resolver();
    epoxy_glGetMultiTexEnvivEXT(texunit, target, pname, params);
}
PUBLIC PFNGLGETMULTITEXENVIVEXTPROC epoxy_glGetMultiTexEnvivEXT = epoxy_glGetMultiTexEnvivEXT_rewrite_ptr;

static void
epoxy_glGetMultiTexGendvEXT_rewrite_ptr(GLenum texunit, GLenum coord, GLenum pname, GLdouble * params)
{
    epoxy_glGetMultiTexGendvEXT = (void *)epoxy_glGetMultiTexGendvEXT_resolver();
    epoxy_glGetMultiTexGendvEXT(texunit, coord, pname, params);
}
PUBLIC PFNGLGETMULTITEXGENDVEXTPROC epoxy_glGetMultiTexGendvEXT = epoxy_glGetMultiTexGendvEXT_rewrite_ptr;

static void
epoxy_glGetMultiTexGenfvEXT_rewrite_ptr(GLenum texunit, GLenum coord, GLenum pname, GLfloat * params)
{
    epoxy_glGetMultiTexGenfvEXT = (void *)epoxy_glGetMultiTexGenfvEXT_resolver();
    epoxy_glGetMultiTexGenfvEXT(texunit, coord, pname, params);
}
PUBLIC PFNGLGETMULTITEXGENFVEXTPROC epoxy_glGetMultiTexGenfvEXT = epoxy_glGetMultiTexGenfvEXT_rewrite_ptr;

static void
epoxy_glGetMultiTexGenivEXT_rewrite_ptr(GLenum texunit, GLenum coord, GLenum pname, GLint * params)
{
    epoxy_glGetMultiTexGenivEXT = (void *)epoxy_glGetMultiTexGenivEXT_resolver();
    epoxy_glGetMultiTexGenivEXT(texunit, coord, pname, params);
}
PUBLIC PFNGLGETMULTITEXGENIVEXTPROC epoxy_glGetMultiTexGenivEXT = epoxy_glGetMultiTexGenivEXT_rewrite_ptr;

static void
epoxy_glGetMultiTexImageEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLenum format, GLenum type, void * pixels)
{
    epoxy_glGetMultiTexImageEXT = (void *)epoxy_glGetMultiTexImageEXT_resolver();
    epoxy_glGetMultiTexImageEXT(texunit, target, level, format, type, pixels);
}
PUBLIC PFNGLGETMULTITEXIMAGEEXTPROC epoxy_glGetMultiTexImageEXT = epoxy_glGetMultiTexImageEXT_rewrite_ptr;

static void
epoxy_glGetMultiTexLevelParameterfvEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLenum pname, GLfloat * params)
{
    epoxy_glGetMultiTexLevelParameterfvEXT = (void *)epoxy_glGetMultiTexLevelParameterfvEXT_resolver();
    epoxy_glGetMultiTexLevelParameterfvEXT(texunit, target, level, pname, params);
}
PUBLIC PFNGLGETMULTITEXLEVELPARAMETERFVEXTPROC epoxy_glGetMultiTexLevelParameterfvEXT = epoxy_glGetMultiTexLevelParameterfvEXT_rewrite_ptr;

static void
epoxy_glGetMultiTexLevelParameterivEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLenum pname, GLint * params)
{
    epoxy_glGetMultiTexLevelParameterivEXT = (void *)epoxy_glGetMultiTexLevelParameterivEXT_resolver();
    epoxy_glGetMultiTexLevelParameterivEXT(texunit, target, level, pname, params);
}
PUBLIC PFNGLGETMULTITEXLEVELPARAMETERIVEXTPROC epoxy_glGetMultiTexLevelParameterivEXT = epoxy_glGetMultiTexLevelParameterivEXT_rewrite_ptr;

static void
epoxy_glGetMultiTexParameterIivEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetMultiTexParameterIivEXT = (void *)epoxy_glGetMultiTexParameterIivEXT_resolver();
    epoxy_glGetMultiTexParameterIivEXT(texunit, target, pname, params);
}
PUBLIC PFNGLGETMULTITEXPARAMETERIIVEXTPROC epoxy_glGetMultiTexParameterIivEXT = epoxy_glGetMultiTexParameterIivEXT_rewrite_ptr;

static void
epoxy_glGetMultiTexParameterIuivEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, GLuint * params)
{
    epoxy_glGetMultiTexParameterIuivEXT = (void *)epoxy_glGetMultiTexParameterIuivEXT_resolver();
    epoxy_glGetMultiTexParameterIuivEXT(texunit, target, pname, params);
}
PUBLIC PFNGLGETMULTITEXPARAMETERIUIVEXTPROC epoxy_glGetMultiTexParameterIuivEXT = epoxy_glGetMultiTexParameterIuivEXT_rewrite_ptr;

static void
epoxy_glGetMultiTexParameterfvEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetMultiTexParameterfvEXT = (void *)epoxy_glGetMultiTexParameterfvEXT_resolver();
    epoxy_glGetMultiTexParameterfvEXT(texunit, target, pname, params);
}
PUBLIC PFNGLGETMULTITEXPARAMETERFVEXTPROC epoxy_glGetMultiTexParameterfvEXT = epoxy_glGetMultiTexParameterfvEXT_rewrite_ptr;

static void
epoxy_glGetMultiTexParameterivEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetMultiTexParameterivEXT = (void *)epoxy_glGetMultiTexParameterivEXT_resolver();
    epoxy_glGetMultiTexParameterivEXT(texunit, target, pname, params);
}
PUBLIC PFNGLGETMULTITEXPARAMETERIVEXTPROC epoxy_glGetMultiTexParameterivEXT = epoxy_glGetMultiTexParameterivEXT_rewrite_ptr;

static void
epoxy_glGetMultisamplefv_rewrite_ptr(GLenum pname, GLuint index, GLfloat * val)
{
    epoxy_glGetMultisamplefv = (void *)epoxy_glGetMultisamplefv_resolver();
    epoxy_glGetMultisamplefv(pname, index, val);
}
PUBLIC PFNGLGETMULTISAMPLEFVPROC epoxy_glGetMultisamplefv = epoxy_glGetMultisamplefv_rewrite_ptr;

static void
epoxy_glGetMultisamplefvNV_rewrite_ptr(GLenum pname, GLuint index, GLfloat * val)
{
    epoxy_glGetMultisamplefvNV = (void *)epoxy_glGetMultisamplefv_resolver();
    epoxy_glGetMultisamplefvNV(pname, index, val);
}
PUBLIC PFNGLGETMULTISAMPLEFVNVPROC epoxy_glGetMultisamplefvNV = epoxy_glGetMultisamplefvNV_rewrite_ptr;

static void
epoxy_glGetNamedBufferParameterivEXT_rewrite_ptr(GLuint buffer, GLenum pname, GLint * params)
{
    epoxy_glGetNamedBufferParameterivEXT = (void *)epoxy_glGetNamedBufferParameterivEXT_resolver();
    epoxy_glGetNamedBufferParameterivEXT(buffer, pname, params);
}
PUBLIC PFNGLGETNAMEDBUFFERPARAMETERIVEXTPROC epoxy_glGetNamedBufferParameterivEXT = epoxy_glGetNamedBufferParameterivEXT_rewrite_ptr;

static void
epoxy_glGetNamedBufferParameterui64vNV_rewrite_ptr(GLuint buffer, GLenum pname, GLuint64EXT * params)
{
    epoxy_glGetNamedBufferParameterui64vNV = (void *)epoxy_glGetNamedBufferParameterui64vNV_resolver();
    epoxy_glGetNamedBufferParameterui64vNV(buffer, pname, params);
}
PUBLIC PFNGLGETNAMEDBUFFERPARAMETERUI64VNVPROC epoxy_glGetNamedBufferParameterui64vNV = epoxy_glGetNamedBufferParameterui64vNV_rewrite_ptr;

static void
epoxy_glGetNamedBufferPointervEXT_rewrite_ptr(GLuint buffer, GLenum pname, void ** params)
{
    epoxy_glGetNamedBufferPointervEXT = (void *)epoxy_glGetNamedBufferPointervEXT_resolver();
    epoxy_glGetNamedBufferPointervEXT(buffer, pname, params);
}
PUBLIC PFNGLGETNAMEDBUFFERPOINTERVEXTPROC epoxy_glGetNamedBufferPointervEXT = epoxy_glGetNamedBufferPointervEXT_rewrite_ptr;

static void
epoxy_glGetNamedBufferSubDataEXT_rewrite_ptr(GLuint buffer, GLintptr offset, GLsizeiptr size, void * data)
{
    epoxy_glGetNamedBufferSubDataEXT = (void *)epoxy_glGetNamedBufferSubDataEXT_resolver();
    epoxy_glGetNamedBufferSubDataEXT(buffer, offset, size, data);
}
PUBLIC PFNGLGETNAMEDBUFFERSUBDATAEXTPROC epoxy_glGetNamedBufferSubDataEXT = epoxy_glGetNamedBufferSubDataEXT_rewrite_ptr;

static void
epoxy_glGetNamedFramebufferAttachmentParameterivEXT_rewrite_ptr(GLuint framebuffer, GLenum attachment, GLenum pname, GLint * params)
{
    epoxy_glGetNamedFramebufferAttachmentParameterivEXT = (void *)epoxy_glGetNamedFramebufferAttachmentParameterivEXT_resolver();
    epoxy_glGetNamedFramebufferAttachmentParameterivEXT(framebuffer, attachment, pname, params);
}
PUBLIC PFNGLGETNAMEDFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC epoxy_glGetNamedFramebufferAttachmentParameterivEXT = epoxy_glGetNamedFramebufferAttachmentParameterivEXT_rewrite_ptr;

static void
epoxy_glGetNamedFramebufferParameterivEXT_rewrite_ptr(GLuint framebuffer, GLenum pname, GLint * params)
{
    epoxy_glGetNamedFramebufferParameterivEXT = (void *)epoxy_glGetNamedFramebufferParameterivEXT_resolver();
    epoxy_glGetNamedFramebufferParameterivEXT(framebuffer, pname, params);
}
PUBLIC PFNGLGETNAMEDFRAMEBUFFERPARAMETERIVEXTPROC epoxy_glGetNamedFramebufferParameterivEXT = epoxy_glGetNamedFramebufferParameterivEXT_rewrite_ptr;

static void
epoxy_glGetNamedProgramLocalParameterIivEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, GLint * params)
{
    epoxy_glGetNamedProgramLocalParameterIivEXT = (void *)epoxy_glGetNamedProgramLocalParameterIivEXT_resolver();
    epoxy_glGetNamedProgramLocalParameterIivEXT(program, target, index, params);
}
PUBLIC PFNGLGETNAMEDPROGRAMLOCALPARAMETERIIVEXTPROC epoxy_glGetNamedProgramLocalParameterIivEXT = epoxy_glGetNamedProgramLocalParameterIivEXT_rewrite_ptr;

static void
epoxy_glGetNamedProgramLocalParameterIuivEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, GLuint * params)
{
    epoxy_glGetNamedProgramLocalParameterIuivEXT = (void *)epoxy_glGetNamedProgramLocalParameterIuivEXT_resolver();
    epoxy_glGetNamedProgramLocalParameterIuivEXT(program, target, index, params);
}
PUBLIC PFNGLGETNAMEDPROGRAMLOCALPARAMETERIUIVEXTPROC epoxy_glGetNamedProgramLocalParameterIuivEXT = epoxy_glGetNamedProgramLocalParameterIuivEXT_rewrite_ptr;

static void
epoxy_glGetNamedProgramLocalParameterdvEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, GLdouble * params)
{
    epoxy_glGetNamedProgramLocalParameterdvEXT = (void *)epoxy_glGetNamedProgramLocalParameterdvEXT_resolver();
    epoxy_glGetNamedProgramLocalParameterdvEXT(program, target, index, params);
}
PUBLIC PFNGLGETNAMEDPROGRAMLOCALPARAMETERDVEXTPROC epoxy_glGetNamedProgramLocalParameterdvEXT = epoxy_glGetNamedProgramLocalParameterdvEXT_rewrite_ptr;

static void
epoxy_glGetNamedProgramLocalParameterfvEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, GLfloat * params)
{
    epoxy_glGetNamedProgramLocalParameterfvEXT = (void *)epoxy_glGetNamedProgramLocalParameterfvEXT_resolver();
    epoxy_glGetNamedProgramLocalParameterfvEXT(program, target, index, params);
}
PUBLIC PFNGLGETNAMEDPROGRAMLOCALPARAMETERFVEXTPROC epoxy_glGetNamedProgramLocalParameterfvEXT = epoxy_glGetNamedProgramLocalParameterfvEXT_rewrite_ptr;

static void
epoxy_glGetNamedProgramStringEXT_rewrite_ptr(GLuint program, GLenum target, GLenum pname, void * string)
{
    epoxy_glGetNamedProgramStringEXT = (void *)epoxy_glGetNamedProgramStringEXT_resolver();
    epoxy_glGetNamedProgramStringEXT(program, target, pname, string);
}
PUBLIC PFNGLGETNAMEDPROGRAMSTRINGEXTPROC epoxy_glGetNamedProgramStringEXT = epoxy_glGetNamedProgramStringEXT_rewrite_ptr;

static void
epoxy_glGetNamedProgramivEXT_rewrite_ptr(GLuint program, GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetNamedProgramivEXT = (void *)epoxy_glGetNamedProgramivEXT_resolver();
    epoxy_glGetNamedProgramivEXT(program, target, pname, params);
}
PUBLIC PFNGLGETNAMEDPROGRAMIVEXTPROC epoxy_glGetNamedProgramivEXT = epoxy_glGetNamedProgramivEXT_rewrite_ptr;

static void
epoxy_glGetNamedRenderbufferParameterivEXT_rewrite_ptr(GLuint renderbuffer, GLenum pname, GLint * params)
{
    epoxy_glGetNamedRenderbufferParameterivEXT = (void *)epoxy_glGetNamedRenderbufferParameterivEXT_resolver();
    epoxy_glGetNamedRenderbufferParameterivEXT(renderbuffer, pname, params);
}
PUBLIC PFNGLGETNAMEDRENDERBUFFERPARAMETERIVEXTPROC epoxy_glGetNamedRenderbufferParameterivEXT = epoxy_glGetNamedRenderbufferParameterivEXT_rewrite_ptr;

static void
epoxy_glGetNamedStringARB_rewrite_ptr(GLint namelen, const GLchar * name, GLsizei bufSize, GLint * stringlen, GLchar * string)
{
    epoxy_glGetNamedStringARB = (void *)epoxy_glGetNamedStringARB_resolver();
    epoxy_glGetNamedStringARB(namelen, name, bufSize, stringlen, string);
}
PUBLIC PFNGLGETNAMEDSTRINGARBPROC epoxy_glGetNamedStringARB = epoxy_glGetNamedStringARB_rewrite_ptr;

static void
epoxy_glGetNamedStringivARB_rewrite_ptr(GLint namelen, const GLchar * name, GLenum pname, GLint * params)
{
    epoxy_glGetNamedStringivARB = (void *)epoxy_glGetNamedStringivARB_resolver();
    epoxy_glGetNamedStringivARB(namelen, name, pname, params);
}
PUBLIC PFNGLGETNAMEDSTRINGIVARBPROC epoxy_glGetNamedStringivARB = epoxy_glGetNamedStringivARB_rewrite_ptr;

static void
epoxy_glGetNextPerfQueryIdINTEL_rewrite_ptr(GLuint queryId, GLuint * nextQueryId)
{
    epoxy_glGetNextPerfQueryIdINTEL = (void *)epoxy_glGetNextPerfQueryIdINTEL_resolver();
    epoxy_glGetNextPerfQueryIdINTEL(queryId, nextQueryId);
}
PUBLIC PFNGLGETNEXTPERFQUERYIDINTELPROC epoxy_glGetNextPerfQueryIdINTEL = epoxy_glGetNextPerfQueryIdINTEL_rewrite_ptr;

static void
epoxy_glGetObjectBufferfvATI_rewrite_ptr(GLuint buffer, GLenum pname, GLfloat * params)
{
    epoxy_glGetObjectBufferfvATI = (void *)epoxy_glGetObjectBufferfvATI_resolver();
    epoxy_glGetObjectBufferfvATI(buffer, pname, params);
}
PUBLIC PFNGLGETOBJECTBUFFERFVATIPROC epoxy_glGetObjectBufferfvATI = epoxy_glGetObjectBufferfvATI_rewrite_ptr;

static void
epoxy_glGetObjectBufferivATI_rewrite_ptr(GLuint buffer, GLenum pname, GLint * params)
{
    epoxy_glGetObjectBufferivATI = (void *)epoxy_glGetObjectBufferivATI_resolver();
    epoxy_glGetObjectBufferivATI(buffer, pname, params);
}
PUBLIC PFNGLGETOBJECTBUFFERIVATIPROC epoxy_glGetObjectBufferivATI = epoxy_glGetObjectBufferivATI_rewrite_ptr;

static void
epoxy_glGetObjectLabel_rewrite_ptr(GLenum identifier, GLuint name, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    epoxy_glGetObjectLabel = (void *)epoxy_glGetObjectLabel_resolver();
    epoxy_glGetObjectLabel(identifier, name, bufSize, length, label);
}
PUBLIC PFNGLGETOBJECTLABELPROC epoxy_glGetObjectLabel = epoxy_glGetObjectLabel_rewrite_ptr;

static void
epoxy_glGetObjectLabelEXT_rewrite_ptr(GLenum type, GLuint object, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    epoxy_glGetObjectLabelEXT = (void *)epoxy_glGetObjectLabelEXT_resolver();
    epoxy_glGetObjectLabelEXT(type, object, bufSize, length, label);
}
PUBLIC PFNGLGETOBJECTLABELEXTPROC epoxy_glGetObjectLabelEXT = epoxy_glGetObjectLabelEXT_rewrite_ptr;

static void
epoxy_glGetObjectLabelKHR_rewrite_ptr(GLenum identifier, GLuint name, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    epoxy_glGetObjectLabelKHR = (void *)epoxy_glGetObjectLabel_resolver();
    epoxy_glGetObjectLabelKHR(identifier, name, bufSize, length, label);
}
PUBLIC PFNGLGETOBJECTLABELKHRPROC epoxy_glGetObjectLabelKHR = epoxy_glGetObjectLabelKHR_rewrite_ptr;

static void
epoxy_glGetObjectParameterfvARB_rewrite_ptr(GLhandleARB obj, GLenum pname, GLfloat * params)
{
    epoxy_glGetObjectParameterfvARB = (void *)epoxy_glGetObjectParameterfvARB_resolver();
    epoxy_glGetObjectParameterfvARB((uintptr_t)obj, pname, params);
}
PUBLIC PFNGLGETOBJECTPARAMETERFVARBPROC epoxy_glGetObjectParameterfvARB = epoxy_glGetObjectParameterfvARB_rewrite_ptr;

static void
epoxy_glGetObjectParameterivAPPLE_rewrite_ptr(GLenum objectType, GLuint name, GLenum pname, GLint * params)
{
    epoxy_glGetObjectParameterivAPPLE = (void *)epoxy_glGetObjectParameterivAPPLE_resolver();
    epoxy_glGetObjectParameterivAPPLE(objectType, name, pname, params);
}
PUBLIC PFNGLGETOBJECTPARAMETERIVAPPLEPROC epoxy_glGetObjectParameterivAPPLE = epoxy_glGetObjectParameterivAPPLE_rewrite_ptr;

static void
epoxy_glGetObjectParameterivARB_rewrite_ptr(GLhandleARB obj, GLenum pname, GLint * params)
{
    epoxy_glGetObjectParameterivARB = (void *)epoxy_glGetObjectParameterivARB_resolver();
    epoxy_glGetObjectParameterivARB((uintptr_t)obj, pname, params);
}
PUBLIC PFNGLGETOBJECTPARAMETERIVARBPROC epoxy_glGetObjectParameterivARB = epoxy_glGetObjectParameterivARB_rewrite_ptr;

static void
epoxy_glGetObjectPtrLabel_rewrite_ptr(const void * ptr, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    epoxy_glGetObjectPtrLabel = (void *)epoxy_glGetObjectPtrLabel_resolver();
    epoxy_glGetObjectPtrLabel(ptr, bufSize, length, label);
}
PUBLIC PFNGLGETOBJECTPTRLABELPROC epoxy_glGetObjectPtrLabel = epoxy_glGetObjectPtrLabel_rewrite_ptr;

static void
epoxy_glGetObjectPtrLabelKHR_rewrite_ptr(const void * ptr, GLsizei bufSize, GLsizei * length, GLchar * label)
{
    epoxy_glGetObjectPtrLabelKHR = (void *)epoxy_glGetObjectPtrLabel_resolver();
    epoxy_glGetObjectPtrLabelKHR(ptr, bufSize, length, label);
}
PUBLIC PFNGLGETOBJECTPTRLABELKHRPROC epoxy_glGetObjectPtrLabelKHR = epoxy_glGetObjectPtrLabelKHR_rewrite_ptr;

static void
epoxy_glGetOcclusionQueryivNV_rewrite_ptr(GLuint id, GLenum pname, GLint * params)
{
    epoxy_glGetOcclusionQueryivNV = (void *)epoxy_glGetOcclusionQueryivNV_resolver();
    epoxy_glGetOcclusionQueryivNV(id, pname, params);
}
PUBLIC PFNGLGETOCCLUSIONQUERYIVNVPROC epoxy_glGetOcclusionQueryivNV = epoxy_glGetOcclusionQueryivNV_rewrite_ptr;

static void
epoxy_glGetOcclusionQueryuivNV_rewrite_ptr(GLuint id, GLenum pname, GLuint * params)
{
    epoxy_glGetOcclusionQueryuivNV = (void *)epoxy_glGetOcclusionQueryuivNV_resolver();
    epoxy_glGetOcclusionQueryuivNV(id, pname, params);
}
PUBLIC PFNGLGETOCCLUSIONQUERYUIVNVPROC epoxy_glGetOcclusionQueryuivNV = epoxy_glGetOcclusionQueryuivNV_rewrite_ptr;

static void
epoxy_glGetPathColorGenfvNV_rewrite_ptr(GLenum color, GLenum pname, GLfloat * value)
{
    epoxy_glGetPathColorGenfvNV = (void *)epoxy_glGetPathColorGenfvNV_resolver();
    epoxy_glGetPathColorGenfvNV(color, pname, value);
}
PUBLIC PFNGLGETPATHCOLORGENFVNVPROC epoxy_glGetPathColorGenfvNV = epoxy_glGetPathColorGenfvNV_rewrite_ptr;

static void
epoxy_glGetPathColorGenivNV_rewrite_ptr(GLenum color, GLenum pname, GLint * value)
{
    epoxy_glGetPathColorGenivNV = (void *)epoxy_glGetPathColorGenivNV_resolver();
    epoxy_glGetPathColorGenivNV(color, pname, value);
}
PUBLIC PFNGLGETPATHCOLORGENIVNVPROC epoxy_glGetPathColorGenivNV = epoxy_glGetPathColorGenivNV_rewrite_ptr;

static void
epoxy_glGetPathCommandsNV_rewrite_ptr(GLuint path, GLubyte * commands)
{
    epoxy_glGetPathCommandsNV = (void *)epoxy_glGetPathCommandsNV_resolver();
    epoxy_glGetPathCommandsNV(path, commands);
}
PUBLIC PFNGLGETPATHCOMMANDSNVPROC epoxy_glGetPathCommandsNV = epoxy_glGetPathCommandsNV_rewrite_ptr;

static void
epoxy_glGetPathCoordsNV_rewrite_ptr(GLuint path, GLfloat * coords)
{
    epoxy_glGetPathCoordsNV = (void *)epoxy_glGetPathCoordsNV_resolver();
    epoxy_glGetPathCoordsNV(path, coords);
}
PUBLIC PFNGLGETPATHCOORDSNVPROC epoxy_glGetPathCoordsNV = epoxy_glGetPathCoordsNV_rewrite_ptr;

static void
epoxy_glGetPathDashArrayNV_rewrite_ptr(GLuint path, GLfloat * dashArray)
{
    epoxy_glGetPathDashArrayNV = (void *)epoxy_glGetPathDashArrayNV_resolver();
    epoxy_glGetPathDashArrayNV(path, dashArray);
}
PUBLIC PFNGLGETPATHDASHARRAYNVPROC epoxy_glGetPathDashArrayNV = epoxy_glGetPathDashArrayNV_rewrite_ptr;

static GLfloat
epoxy_glGetPathLengthNV_rewrite_ptr(GLuint path, GLsizei startSegment, GLsizei numSegments)
{
    epoxy_glGetPathLengthNV = (void *)epoxy_glGetPathLengthNV_resolver();
    return epoxy_glGetPathLengthNV(path, startSegment, numSegments);
}
PUBLIC PFNGLGETPATHLENGTHNVPROC epoxy_glGetPathLengthNV = epoxy_glGetPathLengthNV_rewrite_ptr;

static void
epoxy_glGetPathMetricRangeNV_rewrite_ptr(GLbitfield metricQueryMask, GLuint firstPathName, GLsizei numPaths, GLsizei stride, GLfloat * metrics)
{
    epoxy_glGetPathMetricRangeNV = (void *)epoxy_glGetPathMetricRangeNV_resolver();
    epoxy_glGetPathMetricRangeNV(metricQueryMask, firstPathName, numPaths, stride, metrics);
}
PUBLIC PFNGLGETPATHMETRICRANGENVPROC epoxy_glGetPathMetricRangeNV = epoxy_glGetPathMetricRangeNV_rewrite_ptr;

static void
epoxy_glGetPathMetricsNV_rewrite_ptr(GLbitfield metricQueryMask, GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLsizei stride, GLfloat * metrics)
{
    epoxy_glGetPathMetricsNV = (void *)epoxy_glGetPathMetricsNV_resolver();
    epoxy_glGetPathMetricsNV(metricQueryMask, numPaths, pathNameType, paths, pathBase, stride, metrics);
}
PUBLIC PFNGLGETPATHMETRICSNVPROC epoxy_glGetPathMetricsNV = epoxy_glGetPathMetricsNV_rewrite_ptr;

static void
epoxy_glGetPathParameterfvNV_rewrite_ptr(GLuint path, GLenum pname, GLfloat * value)
{
    epoxy_glGetPathParameterfvNV = (void *)epoxy_glGetPathParameterfvNV_resolver();
    epoxy_glGetPathParameterfvNV(path, pname, value);
}
PUBLIC PFNGLGETPATHPARAMETERFVNVPROC epoxy_glGetPathParameterfvNV = epoxy_glGetPathParameterfvNV_rewrite_ptr;

static void
epoxy_glGetPathParameterivNV_rewrite_ptr(GLuint path, GLenum pname, GLint * value)
{
    epoxy_glGetPathParameterivNV = (void *)epoxy_glGetPathParameterivNV_resolver();
    epoxy_glGetPathParameterivNV(path, pname, value);
}
PUBLIC PFNGLGETPATHPARAMETERIVNVPROC epoxy_glGetPathParameterivNV = epoxy_glGetPathParameterivNV_rewrite_ptr;

static void
epoxy_glGetPathSpacingNV_rewrite_ptr(GLenum pathListMode, GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLfloat advanceScale, GLfloat kerningScale, GLenum transformType, GLfloat * returnedSpacing)
{
    epoxy_glGetPathSpacingNV = (void *)epoxy_glGetPathSpacingNV_resolver();
    epoxy_glGetPathSpacingNV(pathListMode, numPaths, pathNameType, paths, pathBase, advanceScale, kerningScale, transformType, returnedSpacing);
}
PUBLIC PFNGLGETPATHSPACINGNVPROC epoxy_glGetPathSpacingNV = epoxy_glGetPathSpacingNV_rewrite_ptr;

static void
epoxy_glGetPathTexGenfvNV_rewrite_ptr(GLenum texCoordSet, GLenum pname, GLfloat * value)
{
    epoxy_glGetPathTexGenfvNV = (void *)epoxy_glGetPathTexGenfvNV_resolver();
    epoxy_glGetPathTexGenfvNV(texCoordSet, pname, value);
}
PUBLIC PFNGLGETPATHTEXGENFVNVPROC epoxy_glGetPathTexGenfvNV = epoxy_glGetPathTexGenfvNV_rewrite_ptr;

static void
epoxy_glGetPathTexGenivNV_rewrite_ptr(GLenum texCoordSet, GLenum pname, GLint * value)
{
    epoxy_glGetPathTexGenivNV = (void *)epoxy_glGetPathTexGenivNV_resolver();
    epoxy_glGetPathTexGenivNV(texCoordSet, pname, value);
}
PUBLIC PFNGLGETPATHTEXGENIVNVPROC epoxy_glGetPathTexGenivNV = epoxy_glGetPathTexGenivNV_rewrite_ptr;

static void
epoxy_glGetPerfCounterInfoINTEL_rewrite_ptr(GLuint queryId, GLuint counterId, GLuint counterNameLength, GLchar * counterName, GLuint counterDescLength, GLchar * counterDesc, GLuint * counterOffset, GLuint * counterDataSize, GLuint * counterTypeEnum, GLuint * counterDataTypeEnum, GLuint64 * rawCounterMaxValue)
{
    epoxy_glGetPerfCounterInfoINTEL = (void *)epoxy_glGetPerfCounterInfoINTEL_resolver();
    epoxy_glGetPerfCounterInfoINTEL(queryId, counterId, counterNameLength, counterName, counterDescLength, counterDesc, counterOffset, counterDataSize, counterTypeEnum, counterDataTypeEnum, rawCounterMaxValue);
}
PUBLIC PFNGLGETPERFCOUNTERINFOINTELPROC epoxy_glGetPerfCounterInfoINTEL = epoxy_glGetPerfCounterInfoINTEL_rewrite_ptr;

static void
epoxy_glGetPerfMonitorCounterDataAMD_rewrite_ptr(GLuint monitor, GLenum pname, GLsizei dataSize, GLuint * data, GLint * bytesWritten)
{
    epoxy_glGetPerfMonitorCounterDataAMD = (void *)epoxy_glGetPerfMonitorCounterDataAMD_resolver();
    epoxy_glGetPerfMonitorCounterDataAMD(monitor, pname, dataSize, data, bytesWritten);
}
PUBLIC PFNGLGETPERFMONITORCOUNTERDATAAMDPROC epoxy_glGetPerfMonitorCounterDataAMD = epoxy_glGetPerfMonitorCounterDataAMD_rewrite_ptr;

static void
epoxy_glGetPerfMonitorCounterInfoAMD_rewrite_ptr(GLuint group, GLuint counter, GLenum pname, void * data)
{
    epoxy_glGetPerfMonitorCounterInfoAMD = (void *)epoxy_glGetPerfMonitorCounterInfoAMD_resolver();
    epoxy_glGetPerfMonitorCounterInfoAMD(group, counter, pname, data);
}
PUBLIC PFNGLGETPERFMONITORCOUNTERINFOAMDPROC epoxy_glGetPerfMonitorCounterInfoAMD = epoxy_glGetPerfMonitorCounterInfoAMD_rewrite_ptr;

static void
epoxy_glGetPerfMonitorCounterStringAMD_rewrite_ptr(GLuint group, GLuint counter, GLsizei bufSize, GLsizei * length, GLchar * counterString)
{
    epoxy_glGetPerfMonitorCounterStringAMD = (void *)epoxy_glGetPerfMonitorCounterStringAMD_resolver();
    epoxy_glGetPerfMonitorCounterStringAMD(group, counter, bufSize, length, counterString);
}
PUBLIC PFNGLGETPERFMONITORCOUNTERSTRINGAMDPROC epoxy_glGetPerfMonitorCounterStringAMD = epoxy_glGetPerfMonitorCounterStringAMD_rewrite_ptr;

static void
epoxy_glGetPerfMonitorCountersAMD_rewrite_ptr(GLuint group, GLint * numCounters, GLint * maxActiveCounters, GLsizei counterSize, GLuint * counters)
{
    epoxy_glGetPerfMonitorCountersAMD = (void *)epoxy_glGetPerfMonitorCountersAMD_resolver();
    epoxy_glGetPerfMonitorCountersAMD(group, numCounters, maxActiveCounters, counterSize, counters);
}
PUBLIC PFNGLGETPERFMONITORCOUNTERSAMDPROC epoxy_glGetPerfMonitorCountersAMD = epoxy_glGetPerfMonitorCountersAMD_rewrite_ptr;

static void
epoxy_glGetPerfMonitorGroupStringAMD_rewrite_ptr(GLuint group, GLsizei bufSize, GLsizei * length, GLchar * groupString)
{
    epoxy_glGetPerfMonitorGroupStringAMD = (void *)epoxy_glGetPerfMonitorGroupStringAMD_resolver();
    epoxy_glGetPerfMonitorGroupStringAMD(group, bufSize, length, groupString);
}
PUBLIC PFNGLGETPERFMONITORGROUPSTRINGAMDPROC epoxy_glGetPerfMonitorGroupStringAMD = epoxy_glGetPerfMonitorGroupStringAMD_rewrite_ptr;

static void
epoxy_glGetPerfMonitorGroupsAMD_rewrite_ptr(GLint * numGroups, GLsizei groupsSize, GLuint * groups)
{
    epoxy_glGetPerfMonitorGroupsAMD = (void *)epoxy_glGetPerfMonitorGroupsAMD_resolver();
    epoxy_glGetPerfMonitorGroupsAMD(numGroups, groupsSize, groups);
}
PUBLIC PFNGLGETPERFMONITORGROUPSAMDPROC epoxy_glGetPerfMonitorGroupsAMD = epoxy_glGetPerfMonitorGroupsAMD_rewrite_ptr;

static void
epoxy_glGetPerfQueryDataINTEL_rewrite_ptr(GLuint queryHandle, GLuint flags, GLsizei dataSize, GLvoid * data, GLuint * bytesWritten)
{
    epoxy_glGetPerfQueryDataINTEL = (void *)epoxy_glGetPerfQueryDataINTEL_resolver();
    epoxy_glGetPerfQueryDataINTEL(queryHandle, flags, dataSize, data, bytesWritten);
}
PUBLIC PFNGLGETPERFQUERYDATAINTELPROC epoxy_glGetPerfQueryDataINTEL = epoxy_glGetPerfQueryDataINTEL_rewrite_ptr;

static void
epoxy_glGetPerfQueryIdByNameINTEL_rewrite_ptr(GLchar * queryName, GLuint * queryId)
{
    epoxy_glGetPerfQueryIdByNameINTEL = (void *)epoxy_glGetPerfQueryIdByNameINTEL_resolver();
    epoxy_glGetPerfQueryIdByNameINTEL(queryName, queryId);
}
PUBLIC PFNGLGETPERFQUERYIDBYNAMEINTELPROC epoxy_glGetPerfQueryIdByNameINTEL = epoxy_glGetPerfQueryIdByNameINTEL_rewrite_ptr;

static void
epoxy_glGetPerfQueryInfoINTEL_rewrite_ptr(GLuint queryId, GLuint queryNameLength, GLchar * queryName, GLuint * dataSize, GLuint * noCounters, GLuint * noInstances, GLuint * capsMask)
{
    epoxy_glGetPerfQueryInfoINTEL = (void *)epoxy_glGetPerfQueryInfoINTEL_resolver();
    epoxy_glGetPerfQueryInfoINTEL(queryId, queryNameLength, queryName, dataSize, noCounters, noInstances, capsMask);
}
PUBLIC PFNGLGETPERFQUERYINFOINTELPROC epoxy_glGetPerfQueryInfoINTEL = epoxy_glGetPerfQueryInfoINTEL_rewrite_ptr;

static void
epoxy_glGetPixelMapfv_rewrite_ptr(GLenum map, GLfloat * values)
{
    epoxy_glGetPixelMapfv = (void *)epoxy_glGetPixelMapfv_resolver();
    epoxy_glGetPixelMapfv(map, values);
}
PUBLIC PFNGLGETPIXELMAPFVPROC epoxy_glGetPixelMapfv = epoxy_glGetPixelMapfv_rewrite_ptr;

static void
epoxy_glGetPixelMapuiv_rewrite_ptr(GLenum map, GLuint * values)
{
    epoxy_glGetPixelMapuiv = (void *)epoxy_glGetPixelMapuiv_resolver();
    epoxy_glGetPixelMapuiv(map, values);
}
PUBLIC PFNGLGETPIXELMAPUIVPROC epoxy_glGetPixelMapuiv = epoxy_glGetPixelMapuiv_rewrite_ptr;

static void
epoxy_glGetPixelMapusv_rewrite_ptr(GLenum map, GLushort * values)
{
    epoxy_glGetPixelMapusv = (void *)epoxy_glGetPixelMapusv_resolver();
    epoxy_glGetPixelMapusv(map, values);
}
PUBLIC PFNGLGETPIXELMAPUSVPROC epoxy_glGetPixelMapusv = epoxy_glGetPixelMapusv_rewrite_ptr;

static void
epoxy_glGetPixelMapxv_rewrite_ptr(GLenum map, GLint size, GLfixed * values)
{
    epoxy_glGetPixelMapxv = (void *)epoxy_glGetPixelMapxv_resolver();
    epoxy_glGetPixelMapxv(map, size, values);
}
PUBLIC PFNGLGETPIXELMAPXVPROC epoxy_glGetPixelMapxv = epoxy_glGetPixelMapxv_rewrite_ptr;

static void
epoxy_glGetPixelTexGenParameterfvSGIS_rewrite_ptr(GLenum pname, GLfloat * params)
{
    epoxy_glGetPixelTexGenParameterfvSGIS = (void *)epoxy_glGetPixelTexGenParameterfvSGIS_resolver();
    epoxy_glGetPixelTexGenParameterfvSGIS(pname, params);
}
PUBLIC PFNGLGETPIXELTEXGENPARAMETERFVSGISPROC epoxy_glGetPixelTexGenParameterfvSGIS = epoxy_glGetPixelTexGenParameterfvSGIS_rewrite_ptr;

static void
epoxy_glGetPixelTexGenParameterivSGIS_rewrite_ptr(GLenum pname, GLint * params)
{
    epoxy_glGetPixelTexGenParameterivSGIS = (void *)epoxy_glGetPixelTexGenParameterivSGIS_resolver();
    epoxy_glGetPixelTexGenParameterivSGIS(pname, params);
}
PUBLIC PFNGLGETPIXELTEXGENPARAMETERIVSGISPROC epoxy_glGetPixelTexGenParameterivSGIS = epoxy_glGetPixelTexGenParameterivSGIS_rewrite_ptr;

static void
epoxy_glGetPixelTransformParameterfvEXT_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetPixelTransformParameterfvEXT = (void *)epoxy_glGetPixelTransformParameterfvEXT_resolver();
    epoxy_glGetPixelTransformParameterfvEXT(target, pname, params);
}
PUBLIC PFNGLGETPIXELTRANSFORMPARAMETERFVEXTPROC epoxy_glGetPixelTransformParameterfvEXT = epoxy_glGetPixelTransformParameterfvEXT_rewrite_ptr;

static void
epoxy_glGetPixelTransformParameterivEXT_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetPixelTransformParameterivEXT = (void *)epoxy_glGetPixelTransformParameterivEXT_resolver();
    epoxy_glGetPixelTransformParameterivEXT(target, pname, params);
}
PUBLIC PFNGLGETPIXELTRANSFORMPARAMETERIVEXTPROC epoxy_glGetPixelTransformParameterivEXT = epoxy_glGetPixelTransformParameterivEXT_rewrite_ptr;

static void
epoxy_glGetPointerIndexedvEXT_rewrite_ptr(GLenum target, GLuint index, void ** data)
{
    epoxy_glGetPointerIndexedvEXT = (void *)epoxy_glGetPointerIndexedvEXT_resolver();
    epoxy_glGetPointerIndexedvEXT(target, index, data);
}
PUBLIC PFNGLGETPOINTERINDEXEDVEXTPROC epoxy_glGetPointerIndexedvEXT = epoxy_glGetPointerIndexedvEXT_rewrite_ptr;

static void
epoxy_glGetPointeri_vEXT_rewrite_ptr(GLenum pname, GLuint index, void ** params)
{
    epoxy_glGetPointeri_vEXT = (void *)epoxy_glGetPointeri_vEXT_resolver();
    epoxy_glGetPointeri_vEXT(pname, index, params);
}
PUBLIC PFNGLGETPOINTERI_VEXTPROC epoxy_glGetPointeri_vEXT = epoxy_glGetPointeri_vEXT_rewrite_ptr;

static void
epoxy_glGetPointerv_rewrite_ptr(GLenum pname, void ** params)
{
    epoxy_glGetPointerv = (void *)epoxy_glGetPointerv_resolver();
    epoxy_glGetPointerv(pname, params);
}
PUBLIC PFNGLGETPOINTERVPROC epoxy_glGetPointerv = epoxy_glGetPointerv_rewrite_ptr;

static void
epoxy_glGetPointervEXT_rewrite_ptr(GLenum pname, void ** params)
{
    epoxy_glGetPointervEXT = (void *)epoxy_glGetPointerv_resolver();
    epoxy_glGetPointervEXT(pname, params);
}
PUBLIC PFNGLGETPOINTERVEXTPROC epoxy_glGetPointervEXT = epoxy_glGetPointervEXT_rewrite_ptr;

static void
epoxy_glGetPointervKHR_rewrite_ptr(GLenum pname, void ** params)
{
    epoxy_glGetPointervKHR = (void *)epoxy_glGetPointerv_resolver();
    epoxy_glGetPointervKHR(pname, params);
}
PUBLIC PFNGLGETPOINTERVKHRPROC epoxy_glGetPointervKHR = epoxy_glGetPointervKHR_rewrite_ptr;

static void
epoxy_glGetPolygonStipple_rewrite_ptr(GLubyte * mask)
{
    epoxy_glGetPolygonStipple = (void *)epoxy_glGetPolygonStipple_resolver();
    epoxy_glGetPolygonStipple(mask);
}
PUBLIC PFNGLGETPOLYGONSTIPPLEPROC epoxy_glGetPolygonStipple = epoxy_glGetPolygonStipple_rewrite_ptr;

static void
epoxy_glGetProgramBinary_rewrite_ptr(GLuint program, GLsizei bufSize, GLsizei * length, GLenum * binaryFormat, void * binary)
{
    epoxy_glGetProgramBinary = (void *)epoxy_glGetProgramBinary_resolver();
    epoxy_glGetProgramBinary(program, bufSize, length, binaryFormat, binary);
}
PUBLIC PFNGLGETPROGRAMBINARYPROC epoxy_glGetProgramBinary = epoxy_glGetProgramBinary_rewrite_ptr;

static void
epoxy_glGetProgramBinaryOES_rewrite_ptr(GLuint program, GLsizei bufSize, GLsizei * length, GLenum * binaryFormat, void * binary)
{
    epoxy_glGetProgramBinaryOES = (void *)epoxy_glGetProgramBinary_resolver();
    epoxy_glGetProgramBinaryOES(program, bufSize, length, binaryFormat, binary);
}
PUBLIC PFNGLGETPROGRAMBINARYOESPROC epoxy_glGetProgramBinaryOES = epoxy_glGetProgramBinaryOES_rewrite_ptr;

static void
epoxy_glGetProgramEnvParameterIivNV_rewrite_ptr(GLenum target, GLuint index, GLint * params)
{
    epoxy_glGetProgramEnvParameterIivNV = (void *)epoxy_glGetProgramEnvParameterIivNV_resolver();
    epoxy_glGetProgramEnvParameterIivNV(target, index, params);
}
PUBLIC PFNGLGETPROGRAMENVPARAMETERIIVNVPROC epoxy_glGetProgramEnvParameterIivNV = epoxy_glGetProgramEnvParameterIivNV_rewrite_ptr;

static void
epoxy_glGetProgramEnvParameterIuivNV_rewrite_ptr(GLenum target, GLuint index, GLuint * params)
{
    epoxy_glGetProgramEnvParameterIuivNV = (void *)epoxy_glGetProgramEnvParameterIuivNV_resolver();
    epoxy_glGetProgramEnvParameterIuivNV(target, index, params);
}
PUBLIC PFNGLGETPROGRAMENVPARAMETERIUIVNVPROC epoxy_glGetProgramEnvParameterIuivNV = epoxy_glGetProgramEnvParameterIuivNV_rewrite_ptr;

static void
epoxy_glGetProgramEnvParameterdvARB_rewrite_ptr(GLenum target, GLuint index, GLdouble * params)
{
    epoxy_glGetProgramEnvParameterdvARB = (void *)epoxy_glGetProgramEnvParameterdvARB_resolver();
    epoxy_glGetProgramEnvParameterdvARB(target, index, params);
}
PUBLIC PFNGLGETPROGRAMENVPARAMETERDVARBPROC epoxy_glGetProgramEnvParameterdvARB = epoxy_glGetProgramEnvParameterdvARB_rewrite_ptr;

static void
epoxy_glGetProgramEnvParameterfvARB_rewrite_ptr(GLenum target, GLuint index, GLfloat * params)
{
    epoxy_glGetProgramEnvParameterfvARB = (void *)epoxy_glGetProgramEnvParameterfvARB_resolver();
    epoxy_glGetProgramEnvParameterfvARB(target, index, params);
}
PUBLIC PFNGLGETPROGRAMENVPARAMETERFVARBPROC epoxy_glGetProgramEnvParameterfvARB = epoxy_glGetProgramEnvParameterfvARB_rewrite_ptr;

static void
epoxy_glGetProgramInfoLog_rewrite_ptr(GLuint program, GLsizei bufSize, GLsizei * length, GLchar * infoLog)
{
    epoxy_glGetProgramInfoLog = (void *)epoxy_glGetProgramInfoLog_resolver();
    epoxy_glGetProgramInfoLog(program, bufSize, length, infoLog);
}
PUBLIC PFNGLGETPROGRAMINFOLOGPROC epoxy_glGetProgramInfoLog = epoxy_glGetProgramInfoLog_rewrite_ptr;

static void
epoxy_glGetProgramInterfaceiv_rewrite_ptr(GLuint program, GLenum programInterface, GLenum pname, GLint * params)
{
    epoxy_glGetProgramInterfaceiv = (void *)epoxy_glGetProgramInterfaceiv_resolver();
    epoxy_glGetProgramInterfaceiv(program, programInterface, pname, params);
}
PUBLIC PFNGLGETPROGRAMINTERFACEIVPROC epoxy_glGetProgramInterfaceiv = epoxy_glGetProgramInterfaceiv_rewrite_ptr;

static void
epoxy_glGetProgramLocalParameterIivNV_rewrite_ptr(GLenum target, GLuint index, GLint * params)
{
    epoxy_glGetProgramLocalParameterIivNV = (void *)epoxy_glGetProgramLocalParameterIivNV_resolver();
    epoxy_glGetProgramLocalParameterIivNV(target, index, params);
}
PUBLIC PFNGLGETPROGRAMLOCALPARAMETERIIVNVPROC epoxy_glGetProgramLocalParameterIivNV = epoxy_glGetProgramLocalParameterIivNV_rewrite_ptr;

static void
epoxy_glGetProgramLocalParameterIuivNV_rewrite_ptr(GLenum target, GLuint index, GLuint * params)
{
    epoxy_glGetProgramLocalParameterIuivNV = (void *)epoxy_glGetProgramLocalParameterIuivNV_resolver();
    epoxy_glGetProgramLocalParameterIuivNV(target, index, params);
}
PUBLIC PFNGLGETPROGRAMLOCALPARAMETERIUIVNVPROC epoxy_glGetProgramLocalParameterIuivNV = epoxy_glGetProgramLocalParameterIuivNV_rewrite_ptr;

static void
epoxy_glGetProgramLocalParameterdvARB_rewrite_ptr(GLenum target, GLuint index, GLdouble * params)
{
    epoxy_glGetProgramLocalParameterdvARB = (void *)epoxy_glGetProgramLocalParameterdvARB_resolver();
    epoxy_glGetProgramLocalParameterdvARB(target, index, params);
}
PUBLIC PFNGLGETPROGRAMLOCALPARAMETERDVARBPROC epoxy_glGetProgramLocalParameterdvARB = epoxy_glGetProgramLocalParameterdvARB_rewrite_ptr;

static void
epoxy_glGetProgramLocalParameterfvARB_rewrite_ptr(GLenum target, GLuint index, GLfloat * params)
{
    epoxy_glGetProgramLocalParameterfvARB = (void *)epoxy_glGetProgramLocalParameterfvARB_resolver();
    epoxy_glGetProgramLocalParameterfvARB(target, index, params);
}
PUBLIC PFNGLGETPROGRAMLOCALPARAMETERFVARBPROC epoxy_glGetProgramLocalParameterfvARB = epoxy_glGetProgramLocalParameterfvARB_rewrite_ptr;

static void
epoxy_glGetProgramNamedParameterdvNV_rewrite_ptr(GLuint id, GLsizei len, const GLubyte * name, GLdouble * params)
{
    epoxy_glGetProgramNamedParameterdvNV = (void *)epoxy_glGetProgramNamedParameterdvNV_resolver();
    epoxy_glGetProgramNamedParameterdvNV(id, len, name, params);
}
PUBLIC PFNGLGETPROGRAMNAMEDPARAMETERDVNVPROC epoxy_glGetProgramNamedParameterdvNV = epoxy_glGetProgramNamedParameterdvNV_rewrite_ptr;

static void
epoxy_glGetProgramNamedParameterfvNV_rewrite_ptr(GLuint id, GLsizei len, const GLubyte * name, GLfloat * params)
{
    epoxy_glGetProgramNamedParameterfvNV = (void *)epoxy_glGetProgramNamedParameterfvNV_resolver();
    epoxy_glGetProgramNamedParameterfvNV(id, len, name, params);
}
PUBLIC PFNGLGETPROGRAMNAMEDPARAMETERFVNVPROC epoxy_glGetProgramNamedParameterfvNV = epoxy_glGetProgramNamedParameterfvNV_rewrite_ptr;

static void
epoxy_glGetProgramParameterdvNV_rewrite_ptr(GLenum target, GLuint index, GLenum pname, GLdouble * params)
{
    epoxy_glGetProgramParameterdvNV = (void *)epoxy_glGetProgramParameterdvNV_resolver();
    epoxy_glGetProgramParameterdvNV(target, index, pname, params);
}
PUBLIC PFNGLGETPROGRAMPARAMETERDVNVPROC epoxy_glGetProgramParameterdvNV = epoxy_glGetProgramParameterdvNV_rewrite_ptr;

static void
epoxy_glGetProgramParameterfvNV_rewrite_ptr(GLenum target, GLuint index, GLenum pname, GLfloat * params)
{
    epoxy_glGetProgramParameterfvNV = (void *)epoxy_glGetProgramParameterfvNV_resolver();
    epoxy_glGetProgramParameterfvNV(target, index, pname, params);
}
PUBLIC PFNGLGETPROGRAMPARAMETERFVNVPROC epoxy_glGetProgramParameterfvNV = epoxy_glGetProgramParameterfvNV_rewrite_ptr;

static void
epoxy_glGetProgramPipelineInfoLog_rewrite_ptr(GLuint pipeline, GLsizei bufSize, GLsizei * length, GLchar * infoLog)
{
    epoxy_glGetProgramPipelineInfoLog = (void *)epoxy_glGetProgramPipelineInfoLog_resolver();
    epoxy_glGetProgramPipelineInfoLog(pipeline, bufSize, length, infoLog);
}
PUBLIC PFNGLGETPROGRAMPIPELINEINFOLOGPROC epoxy_glGetProgramPipelineInfoLog = epoxy_glGetProgramPipelineInfoLog_rewrite_ptr;

static void
epoxy_glGetProgramPipelineInfoLogEXT_rewrite_ptr(GLuint pipeline, GLsizei bufSize, GLsizei * length, GLchar * infoLog)
{
    epoxy_glGetProgramPipelineInfoLogEXT = (void *)epoxy_glGetProgramPipelineInfoLogEXT_resolver();
    epoxy_glGetProgramPipelineInfoLogEXT(pipeline, bufSize, length, infoLog);
}
PUBLIC PFNGLGETPROGRAMPIPELINEINFOLOGEXTPROC epoxy_glGetProgramPipelineInfoLogEXT = epoxy_glGetProgramPipelineInfoLogEXT_rewrite_ptr;

static void
epoxy_glGetProgramPipelineiv_rewrite_ptr(GLuint pipeline, GLenum pname, GLint * params)
{
    epoxy_glGetProgramPipelineiv = (void *)epoxy_glGetProgramPipelineiv_resolver();
    epoxy_glGetProgramPipelineiv(pipeline, pname, params);
}
PUBLIC PFNGLGETPROGRAMPIPELINEIVPROC epoxy_glGetProgramPipelineiv = epoxy_glGetProgramPipelineiv_rewrite_ptr;

static void
epoxy_glGetProgramPipelineivEXT_rewrite_ptr(GLuint pipeline, GLenum pname, GLint * params)
{
    epoxy_glGetProgramPipelineivEXT = (void *)epoxy_glGetProgramPipelineivEXT_resolver();
    epoxy_glGetProgramPipelineivEXT(pipeline, pname, params);
}
PUBLIC PFNGLGETPROGRAMPIPELINEIVEXTPROC epoxy_glGetProgramPipelineivEXT = epoxy_glGetProgramPipelineivEXT_rewrite_ptr;

static GLuint
epoxy_glGetProgramResourceIndex_rewrite_ptr(GLuint program, GLenum programInterface, const GLchar * name)
{
    epoxy_glGetProgramResourceIndex = (void *)epoxy_glGetProgramResourceIndex_resolver();
    return epoxy_glGetProgramResourceIndex(program, programInterface, name);
}
PUBLIC PFNGLGETPROGRAMRESOURCEINDEXPROC epoxy_glGetProgramResourceIndex = epoxy_glGetProgramResourceIndex_rewrite_ptr;

static GLint
epoxy_glGetProgramResourceLocation_rewrite_ptr(GLuint program, GLenum programInterface, const GLchar * name)
{
    epoxy_glGetProgramResourceLocation = (void *)epoxy_glGetProgramResourceLocation_resolver();
    return epoxy_glGetProgramResourceLocation(program, programInterface, name);
}
PUBLIC PFNGLGETPROGRAMRESOURCELOCATIONPROC epoxy_glGetProgramResourceLocation = epoxy_glGetProgramResourceLocation_rewrite_ptr;

static GLint
epoxy_glGetProgramResourceLocationIndex_rewrite_ptr(GLuint program, GLenum programInterface, const GLchar * name)
{
    epoxy_glGetProgramResourceLocationIndex = (void *)epoxy_glGetProgramResourceLocationIndex_resolver();
    return epoxy_glGetProgramResourceLocationIndex(program, programInterface, name);
}
PUBLIC PFNGLGETPROGRAMRESOURCELOCATIONINDEXPROC epoxy_glGetProgramResourceLocationIndex = epoxy_glGetProgramResourceLocationIndex_rewrite_ptr;

static void
epoxy_glGetProgramResourceName_rewrite_ptr(GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei * length, GLchar * name)
{
    epoxy_glGetProgramResourceName = (void *)epoxy_glGetProgramResourceName_resolver();
    epoxy_glGetProgramResourceName(program, programInterface, index, bufSize, length, name);
}
PUBLIC PFNGLGETPROGRAMRESOURCENAMEPROC epoxy_glGetProgramResourceName = epoxy_glGetProgramResourceName_rewrite_ptr;

static void
epoxy_glGetProgramResourceiv_rewrite_ptr(GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum * props, GLsizei bufSize, GLsizei * length, GLint * params)
{
    epoxy_glGetProgramResourceiv = (void *)epoxy_glGetProgramResourceiv_resolver();
    epoxy_glGetProgramResourceiv(program, programInterface, index, propCount, props, bufSize, length, params);
}
PUBLIC PFNGLGETPROGRAMRESOURCEIVPROC epoxy_glGetProgramResourceiv = epoxy_glGetProgramResourceiv_rewrite_ptr;

static void
epoxy_glGetProgramStageiv_rewrite_ptr(GLuint program, GLenum shadertype, GLenum pname, GLint * values)
{
    epoxy_glGetProgramStageiv = (void *)epoxy_glGetProgramStageiv_resolver();
    epoxy_glGetProgramStageiv(program, shadertype, pname, values);
}
PUBLIC PFNGLGETPROGRAMSTAGEIVPROC epoxy_glGetProgramStageiv = epoxy_glGetProgramStageiv_rewrite_ptr;

static void
epoxy_glGetProgramStringARB_rewrite_ptr(GLenum target, GLenum pname, void * string)
{
    epoxy_glGetProgramStringARB = (void *)epoxy_glGetProgramStringARB_resolver();
    epoxy_glGetProgramStringARB(target, pname, string);
}
PUBLIC PFNGLGETPROGRAMSTRINGARBPROC epoxy_glGetProgramStringARB = epoxy_glGetProgramStringARB_rewrite_ptr;

static void
epoxy_glGetProgramStringNV_rewrite_ptr(GLuint id, GLenum pname, GLubyte * program)
{
    epoxy_glGetProgramStringNV = (void *)epoxy_glGetProgramStringNV_resolver();
    epoxy_glGetProgramStringNV(id, pname, program);
}
PUBLIC PFNGLGETPROGRAMSTRINGNVPROC epoxy_glGetProgramStringNV = epoxy_glGetProgramStringNV_rewrite_ptr;

static void
epoxy_glGetProgramSubroutineParameteruivNV_rewrite_ptr(GLenum target, GLuint index, GLuint * param)
{
    epoxy_glGetProgramSubroutineParameteruivNV = (void *)epoxy_glGetProgramSubroutineParameteruivNV_resolver();
    epoxy_glGetProgramSubroutineParameteruivNV(target, index, param);
}
PUBLIC PFNGLGETPROGRAMSUBROUTINEPARAMETERUIVNVPROC epoxy_glGetProgramSubroutineParameteruivNV = epoxy_glGetProgramSubroutineParameteruivNV_rewrite_ptr;

static void
epoxy_glGetProgramiv_rewrite_ptr(GLuint program, GLenum pname, GLint * params)
{
    epoxy_glGetProgramiv = (void *)epoxy_glGetProgramiv_resolver();
    epoxy_glGetProgramiv(program, pname, params);
}
PUBLIC PFNGLGETPROGRAMIVPROC epoxy_glGetProgramiv = epoxy_glGetProgramiv_rewrite_ptr;

static void
epoxy_glGetProgramivARB_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetProgramivARB = (void *)epoxy_glGetProgramivARB_resolver();
    epoxy_glGetProgramivARB(target, pname, params);
}
PUBLIC PFNGLGETPROGRAMIVARBPROC epoxy_glGetProgramivARB = epoxy_glGetProgramivARB_rewrite_ptr;

static void
epoxy_glGetProgramivNV_rewrite_ptr(GLuint id, GLenum pname, GLint * params)
{
    epoxy_glGetProgramivNV = (void *)epoxy_glGetProgramivNV_resolver();
    epoxy_glGetProgramivNV(id, pname, params);
}
PUBLIC PFNGLGETPROGRAMIVNVPROC epoxy_glGetProgramivNV = epoxy_glGetProgramivNV_rewrite_ptr;

static void
epoxy_glGetQueryIndexediv_rewrite_ptr(GLenum target, GLuint index, GLenum pname, GLint * params)
{
    epoxy_glGetQueryIndexediv = (void *)epoxy_glGetQueryIndexediv_resolver();
    epoxy_glGetQueryIndexediv(target, index, pname, params);
}
PUBLIC PFNGLGETQUERYINDEXEDIVPROC epoxy_glGetQueryIndexediv = epoxy_glGetQueryIndexediv_rewrite_ptr;

static void
epoxy_glGetQueryObjecti64v_rewrite_ptr(GLuint id, GLenum pname, GLint64 * params)
{
    epoxy_glGetQueryObjecti64v = (void *)epoxy_glGetQueryObjecti64v_resolver();
    epoxy_glGetQueryObjecti64v(id, pname, params);
}
PUBLIC PFNGLGETQUERYOBJECTI64VPROC epoxy_glGetQueryObjecti64v = epoxy_glGetQueryObjecti64v_rewrite_ptr;

static void
epoxy_glGetQueryObjecti64vEXT_rewrite_ptr(GLuint id, GLenum pname, GLint64 * params)
{
    epoxy_glGetQueryObjecti64vEXT = (void *)epoxy_glGetQueryObjecti64v_resolver();
    epoxy_glGetQueryObjecti64vEXT(id, pname, params);
}
PUBLIC PFNGLGETQUERYOBJECTI64VEXTPROC epoxy_glGetQueryObjecti64vEXT = epoxy_glGetQueryObjecti64vEXT_rewrite_ptr;

static void
epoxy_glGetQueryObjectiv_rewrite_ptr(GLuint id, GLenum pname, GLint * params)
{
    epoxy_glGetQueryObjectiv = (void *)epoxy_glGetQueryObjectiv_resolver();
    epoxy_glGetQueryObjectiv(id, pname, params);
}
PUBLIC PFNGLGETQUERYOBJECTIVPROC epoxy_glGetQueryObjectiv = epoxy_glGetQueryObjectiv_rewrite_ptr;

static void
epoxy_glGetQueryObjectivARB_rewrite_ptr(GLuint id, GLenum pname, GLint * params)
{
    epoxy_glGetQueryObjectivARB = (void *)epoxy_glGetQueryObjectiv_resolver();
    epoxy_glGetQueryObjectivARB(id, pname, params);
}
PUBLIC PFNGLGETQUERYOBJECTIVARBPROC epoxy_glGetQueryObjectivARB = epoxy_glGetQueryObjectivARB_rewrite_ptr;

static void
epoxy_glGetQueryObjectivEXT_rewrite_ptr(GLuint id, GLenum pname, GLint * params)
{
    epoxy_glGetQueryObjectivEXT = (void *)epoxy_glGetQueryObjectiv_resolver();
    epoxy_glGetQueryObjectivEXT(id, pname, params);
}
PUBLIC PFNGLGETQUERYOBJECTIVEXTPROC epoxy_glGetQueryObjectivEXT = epoxy_glGetQueryObjectivEXT_rewrite_ptr;

static void
epoxy_glGetQueryObjectui64v_rewrite_ptr(GLuint id, GLenum pname, GLuint64 * params)
{
    epoxy_glGetQueryObjectui64v = (void *)epoxy_glGetQueryObjectui64v_resolver();
    epoxy_glGetQueryObjectui64v(id, pname, params);
}
PUBLIC PFNGLGETQUERYOBJECTUI64VPROC epoxy_glGetQueryObjectui64v = epoxy_glGetQueryObjectui64v_rewrite_ptr;

static void
epoxy_glGetQueryObjectui64vEXT_rewrite_ptr(GLuint id, GLenum pname, GLuint64 * params)
{
    epoxy_glGetQueryObjectui64vEXT = (void *)epoxy_glGetQueryObjectui64v_resolver();
    epoxy_glGetQueryObjectui64vEXT(id, pname, params);
}
PUBLIC PFNGLGETQUERYOBJECTUI64VEXTPROC epoxy_glGetQueryObjectui64vEXT = epoxy_glGetQueryObjectui64vEXT_rewrite_ptr;

static void
epoxy_glGetQueryObjectuiv_rewrite_ptr(GLuint id, GLenum pname, GLuint * params)
{
    epoxy_glGetQueryObjectuiv = (void *)epoxy_glGetQueryObjectuiv_resolver();
    epoxy_glGetQueryObjectuiv(id, pname, params);
}
PUBLIC PFNGLGETQUERYOBJECTUIVPROC epoxy_glGetQueryObjectuiv = epoxy_glGetQueryObjectuiv_rewrite_ptr;

static void
epoxy_glGetQueryObjectuivARB_rewrite_ptr(GLuint id, GLenum pname, GLuint * params)
{
    epoxy_glGetQueryObjectuivARB = (void *)epoxy_glGetQueryObjectuiv_resolver();
    epoxy_glGetQueryObjectuivARB(id, pname, params);
}
PUBLIC PFNGLGETQUERYOBJECTUIVARBPROC epoxy_glGetQueryObjectuivARB = epoxy_glGetQueryObjectuivARB_rewrite_ptr;

static void
epoxy_glGetQueryObjectuivEXT_rewrite_ptr(GLuint id, GLenum pname, GLuint * params)
{
    epoxy_glGetQueryObjectuivEXT = (void *)epoxy_glGetQueryObjectuivEXT_resolver();
    epoxy_glGetQueryObjectuivEXT(id, pname, params);
}
PUBLIC PFNGLGETQUERYOBJECTUIVEXTPROC epoxy_glGetQueryObjectuivEXT = epoxy_glGetQueryObjectuivEXT_rewrite_ptr;

static void
epoxy_glGetQueryiv_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetQueryiv = (void *)epoxy_glGetQueryiv_resolver();
    epoxy_glGetQueryiv(target, pname, params);
}
PUBLIC PFNGLGETQUERYIVPROC epoxy_glGetQueryiv = epoxy_glGetQueryiv_rewrite_ptr;

static void
epoxy_glGetQueryivARB_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetQueryivARB = (void *)epoxy_glGetQueryiv_resolver();
    epoxy_glGetQueryivARB(target, pname, params);
}
PUBLIC PFNGLGETQUERYIVARBPROC epoxy_glGetQueryivARB = epoxy_glGetQueryivARB_rewrite_ptr;

static void
epoxy_glGetQueryivEXT_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetQueryivEXT = (void *)epoxy_glGetQueryivEXT_resolver();
    epoxy_glGetQueryivEXT(target, pname, params);
}
PUBLIC PFNGLGETQUERYIVEXTPROC epoxy_glGetQueryivEXT = epoxy_glGetQueryivEXT_rewrite_ptr;

static void
epoxy_glGetRenderbufferParameteriv_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetRenderbufferParameteriv = (void *)epoxy_glGetRenderbufferParameteriv_resolver();
    epoxy_glGetRenderbufferParameteriv(target, pname, params);
}
PUBLIC PFNGLGETRENDERBUFFERPARAMETERIVPROC epoxy_glGetRenderbufferParameteriv = epoxy_glGetRenderbufferParameteriv_rewrite_ptr;

static void
epoxy_glGetRenderbufferParameterivEXT_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetRenderbufferParameterivEXT = (void *)epoxy_glGetRenderbufferParameteriv_resolver();
    epoxy_glGetRenderbufferParameterivEXT(target, pname, params);
}
PUBLIC PFNGLGETRENDERBUFFERPARAMETERIVEXTPROC epoxy_glGetRenderbufferParameterivEXT = epoxy_glGetRenderbufferParameterivEXT_rewrite_ptr;

static void
epoxy_glGetRenderbufferParameterivOES_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetRenderbufferParameterivOES = (void *)epoxy_glGetRenderbufferParameterivOES_resolver();
    epoxy_glGetRenderbufferParameterivOES(target, pname, params);
}
PUBLIC PFNGLGETRENDERBUFFERPARAMETERIVOESPROC epoxy_glGetRenderbufferParameterivOES = epoxy_glGetRenderbufferParameterivOES_rewrite_ptr;

static void
epoxy_glGetSamplerParameterIiv_rewrite_ptr(GLuint sampler, GLenum pname, GLint * params)
{
    epoxy_glGetSamplerParameterIiv = (void *)epoxy_glGetSamplerParameterIiv_resolver();
    epoxy_glGetSamplerParameterIiv(sampler, pname, params);
}
PUBLIC PFNGLGETSAMPLERPARAMETERIIVPROC epoxy_glGetSamplerParameterIiv = epoxy_glGetSamplerParameterIiv_rewrite_ptr;

static void
epoxy_glGetSamplerParameterIuiv_rewrite_ptr(GLuint sampler, GLenum pname, GLuint * params)
{
    epoxy_glGetSamplerParameterIuiv = (void *)epoxy_glGetSamplerParameterIuiv_resolver();
    epoxy_glGetSamplerParameterIuiv(sampler, pname, params);
}
PUBLIC PFNGLGETSAMPLERPARAMETERIUIVPROC epoxy_glGetSamplerParameterIuiv = epoxy_glGetSamplerParameterIuiv_rewrite_ptr;

static void
epoxy_glGetSamplerParameterfv_rewrite_ptr(GLuint sampler, GLenum pname, GLfloat * params)
{
    epoxy_glGetSamplerParameterfv = (void *)epoxy_glGetSamplerParameterfv_resolver();
    epoxy_glGetSamplerParameterfv(sampler, pname, params);
}
PUBLIC PFNGLGETSAMPLERPARAMETERFVPROC epoxy_glGetSamplerParameterfv = epoxy_glGetSamplerParameterfv_rewrite_ptr;

static void
epoxy_glGetSamplerParameteriv_rewrite_ptr(GLuint sampler, GLenum pname, GLint * params)
{
    epoxy_glGetSamplerParameteriv = (void *)epoxy_glGetSamplerParameteriv_resolver();
    epoxy_glGetSamplerParameteriv(sampler, pname, params);
}
PUBLIC PFNGLGETSAMPLERPARAMETERIVPROC epoxy_glGetSamplerParameteriv = epoxy_glGetSamplerParameteriv_rewrite_ptr;

static void
epoxy_glGetSeparableFilter_rewrite_ptr(GLenum target, GLenum format, GLenum type, void * row, void * column, void * span)
{
    epoxy_glGetSeparableFilter = (void *)epoxy_glGetSeparableFilter_resolver();
    epoxy_glGetSeparableFilter(target, format, type, row, column, span);
}
PUBLIC PFNGLGETSEPARABLEFILTERPROC epoxy_glGetSeparableFilter = epoxy_glGetSeparableFilter_rewrite_ptr;

static void
epoxy_glGetSeparableFilterEXT_rewrite_ptr(GLenum target, GLenum format, GLenum type, void * row, void * column, void * span)
{
    epoxy_glGetSeparableFilterEXT = (void *)epoxy_glGetSeparableFilterEXT_resolver();
    epoxy_glGetSeparableFilterEXT(target, format, type, row, column, span);
}
PUBLIC PFNGLGETSEPARABLEFILTEREXTPROC epoxy_glGetSeparableFilterEXT = epoxy_glGetSeparableFilterEXT_rewrite_ptr;

static void
epoxy_glGetShaderInfoLog_rewrite_ptr(GLuint shader, GLsizei bufSize, GLsizei * length, GLchar * infoLog)
{
    epoxy_glGetShaderInfoLog = (void *)epoxy_glGetShaderInfoLog_resolver();
    epoxy_glGetShaderInfoLog(shader, bufSize, length, infoLog);
}
PUBLIC PFNGLGETSHADERINFOLOGPROC epoxy_glGetShaderInfoLog = epoxy_glGetShaderInfoLog_rewrite_ptr;

static void
epoxy_glGetShaderPrecisionFormat_rewrite_ptr(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision)
{
    epoxy_glGetShaderPrecisionFormat = (void *)epoxy_glGetShaderPrecisionFormat_resolver();
    epoxy_glGetShaderPrecisionFormat(shadertype, precisiontype, range, precision);
}
PUBLIC PFNGLGETSHADERPRECISIONFORMATPROC epoxy_glGetShaderPrecisionFormat = epoxy_glGetShaderPrecisionFormat_rewrite_ptr;

static void
epoxy_glGetShaderSource_rewrite_ptr(GLuint shader, GLsizei bufSize, GLsizei * length, GLchar * source)
{
    epoxy_glGetShaderSource = (void *)epoxy_glGetShaderSource_resolver();
    epoxy_glGetShaderSource(shader, bufSize, length, source);
}
PUBLIC PFNGLGETSHADERSOURCEPROC epoxy_glGetShaderSource = epoxy_glGetShaderSource_rewrite_ptr;

static void
epoxy_glGetShaderSourceARB_rewrite_ptr(GLhandleARB obj, GLsizei maxLength, GLsizei * length, GLcharARB * source)
{
    epoxy_glGetShaderSourceARB = (void *)epoxy_glGetShaderSource_resolver();
    epoxy_glGetShaderSourceARB((uintptr_t)obj, maxLength, length, source);
}
PUBLIC PFNGLGETSHADERSOURCEARBPROC epoxy_glGetShaderSourceARB = epoxy_glGetShaderSourceARB_rewrite_ptr;

static void
epoxy_glGetShaderiv_rewrite_ptr(GLuint shader, GLenum pname, GLint * params)
{
    epoxy_glGetShaderiv = (void *)epoxy_glGetShaderiv_resolver();
    epoxy_glGetShaderiv(shader, pname, params);
}
PUBLIC PFNGLGETSHADERIVPROC epoxy_glGetShaderiv = epoxy_glGetShaderiv_rewrite_ptr;

static void
epoxy_glGetSharpenTexFuncSGIS_rewrite_ptr(GLenum target, GLfloat * points)
{
    epoxy_glGetSharpenTexFuncSGIS = (void *)epoxy_glGetSharpenTexFuncSGIS_resolver();
    epoxy_glGetSharpenTexFuncSGIS(target, points);
}
PUBLIC PFNGLGETSHARPENTEXFUNCSGISPROC epoxy_glGetSharpenTexFuncSGIS = epoxy_glGetSharpenTexFuncSGIS_rewrite_ptr;

static const GLubyte *
epoxy_glGetString_rewrite_ptr(GLenum name)
{
    epoxy_glGetString = (void *)epoxy_glGetString_resolver();
    return epoxy_glGetString(name);
}
PUBLIC PFNGLGETSTRINGPROC epoxy_glGetString = epoxy_glGetString_rewrite_ptr;

static const GLubyte *
epoxy_glGetStringi_rewrite_ptr(GLenum name, GLuint index)
{
    epoxy_glGetStringi = (void *)epoxy_glGetStringi_resolver();
    return epoxy_glGetStringi(name, index);
}
PUBLIC PFNGLGETSTRINGIPROC epoxy_glGetStringi = epoxy_glGetStringi_rewrite_ptr;

static GLuint
epoxy_glGetSubroutineIndex_rewrite_ptr(GLuint program, GLenum shadertype, const GLchar * name)
{
    epoxy_glGetSubroutineIndex = (void *)epoxy_glGetSubroutineIndex_resolver();
    return epoxy_glGetSubroutineIndex(program, shadertype, name);
}
PUBLIC PFNGLGETSUBROUTINEINDEXPROC epoxy_glGetSubroutineIndex = epoxy_glGetSubroutineIndex_rewrite_ptr;

static GLint
epoxy_glGetSubroutineUniformLocation_rewrite_ptr(GLuint program, GLenum shadertype, const GLchar * name)
{
    epoxy_glGetSubroutineUniformLocation = (void *)epoxy_glGetSubroutineUniformLocation_resolver();
    return epoxy_glGetSubroutineUniformLocation(program, shadertype, name);
}
PUBLIC PFNGLGETSUBROUTINEUNIFORMLOCATIONPROC epoxy_glGetSubroutineUniformLocation = epoxy_glGetSubroutineUniformLocation_rewrite_ptr;

static void
epoxy_glGetSynciv_rewrite_ptr(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values)
{
    epoxy_glGetSynciv = (void *)epoxy_glGetSynciv_resolver();
    epoxy_glGetSynciv(sync, pname, bufSize, length, values);
}
PUBLIC PFNGLGETSYNCIVPROC epoxy_glGetSynciv = epoxy_glGetSynciv_rewrite_ptr;

static void
epoxy_glGetSyncivAPPLE_rewrite_ptr(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values)
{
    epoxy_glGetSyncivAPPLE = (void *)epoxy_glGetSynciv_resolver();
    epoxy_glGetSyncivAPPLE(sync, pname, bufSize, length, values);
}
PUBLIC PFNGLGETSYNCIVAPPLEPROC epoxy_glGetSyncivAPPLE = epoxy_glGetSyncivAPPLE_rewrite_ptr;

static void
epoxy_glGetTexBumpParameterfvATI_rewrite_ptr(GLenum pname, GLfloat * param)
{
    epoxy_glGetTexBumpParameterfvATI = (void *)epoxy_glGetTexBumpParameterfvATI_resolver();
    epoxy_glGetTexBumpParameterfvATI(pname, param);
}
PUBLIC PFNGLGETTEXBUMPPARAMETERFVATIPROC epoxy_glGetTexBumpParameterfvATI = epoxy_glGetTexBumpParameterfvATI_rewrite_ptr;

static void
epoxy_glGetTexBumpParameterivATI_rewrite_ptr(GLenum pname, GLint * param)
{
    epoxy_glGetTexBumpParameterivATI = (void *)epoxy_glGetTexBumpParameterivATI_resolver();
    epoxy_glGetTexBumpParameterivATI(pname, param);
}
PUBLIC PFNGLGETTEXBUMPPARAMETERIVATIPROC epoxy_glGetTexBumpParameterivATI = epoxy_glGetTexBumpParameterivATI_rewrite_ptr;

static void
epoxy_glGetTexEnvfv_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetTexEnvfv = (void *)epoxy_glGetTexEnvfv_resolver();
    epoxy_glGetTexEnvfv(target, pname, params);
}
PUBLIC PFNGLGETTEXENVFVPROC epoxy_glGetTexEnvfv = epoxy_glGetTexEnvfv_rewrite_ptr;

static void
epoxy_glGetTexEnviv_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetTexEnviv = (void *)epoxy_glGetTexEnviv_resolver();
    epoxy_glGetTexEnviv(target, pname, params);
}
PUBLIC PFNGLGETTEXENVIVPROC epoxy_glGetTexEnviv = epoxy_glGetTexEnviv_rewrite_ptr;

static void
epoxy_glGetTexEnvxv_rewrite_ptr(GLenum target, GLenum pname, GLfixed * params)
{
    epoxy_glGetTexEnvxv = (void *)epoxy_glGetTexEnvxv_resolver();
    epoxy_glGetTexEnvxv(target, pname, params);
}
PUBLIC PFNGLGETTEXENVXVPROC epoxy_glGetTexEnvxv = epoxy_glGetTexEnvxv_rewrite_ptr;

static void
epoxy_glGetTexEnvxvOES_rewrite_ptr(GLenum target, GLenum pname, GLfixed * params)
{
    epoxy_glGetTexEnvxvOES = (void *)epoxy_glGetTexEnvxvOES_resolver();
    epoxy_glGetTexEnvxvOES(target, pname, params);
}
PUBLIC PFNGLGETTEXENVXVOESPROC epoxy_glGetTexEnvxvOES = epoxy_glGetTexEnvxvOES_rewrite_ptr;

static void
epoxy_glGetTexFilterFuncSGIS_rewrite_ptr(GLenum target, GLenum filter, GLfloat * weights)
{
    epoxy_glGetTexFilterFuncSGIS = (void *)epoxy_glGetTexFilterFuncSGIS_resolver();
    epoxy_glGetTexFilterFuncSGIS(target, filter, weights);
}
PUBLIC PFNGLGETTEXFILTERFUNCSGISPROC epoxy_glGetTexFilterFuncSGIS = epoxy_glGetTexFilterFuncSGIS_rewrite_ptr;

static void
epoxy_glGetTexGendv_rewrite_ptr(GLenum coord, GLenum pname, GLdouble * params)
{
    epoxy_glGetTexGendv = (void *)epoxy_glGetTexGendv_resolver();
    epoxy_glGetTexGendv(coord, pname, params);
}
PUBLIC PFNGLGETTEXGENDVPROC epoxy_glGetTexGendv = epoxy_glGetTexGendv_rewrite_ptr;

static void
epoxy_glGetTexGenfv_rewrite_ptr(GLenum coord, GLenum pname, GLfloat * params)
{
    epoxy_glGetTexGenfv = (void *)epoxy_glGetTexGenfv_resolver();
    epoxy_glGetTexGenfv(coord, pname, params);
}
PUBLIC PFNGLGETTEXGENFVPROC epoxy_glGetTexGenfv = epoxy_glGetTexGenfv_rewrite_ptr;

static void
epoxy_glGetTexGenfvOES_rewrite_ptr(GLenum coord, GLenum pname, GLfloat * params)
{
    epoxy_glGetTexGenfvOES = (void *)epoxy_glGetTexGenfvOES_resolver();
    epoxy_glGetTexGenfvOES(coord, pname, params);
}
PUBLIC PFNGLGETTEXGENFVOESPROC epoxy_glGetTexGenfvOES = epoxy_glGetTexGenfvOES_rewrite_ptr;

static void
epoxy_glGetTexGeniv_rewrite_ptr(GLenum coord, GLenum pname, GLint * params)
{
    epoxy_glGetTexGeniv = (void *)epoxy_glGetTexGeniv_resolver();
    epoxy_glGetTexGeniv(coord, pname, params);
}
PUBLIC PFNGLGETTEXGENIVPROC epoxy_glGetTexGeniv = epoxy_glGetTexGeniv_rewrite_ptr;

static void
epoxy_glGetTexGenivOES_rewrite_ptr(GLenum coord, GLenum pname, GLint * params)
{
    epoxy_glGetTexGenivOES = (void *)epoxy_glGetTexGenivOES_resolver();
    epoxy_glGetTexGenivOES(coord, pname, params);
}
PUBLIC PFNGLGETTEXGENIVOESPROC epoxy_glGetTexGenivOES = epoxy_glGetTexGenivOES_rewrite_ptr;

static void
epoxy_glGetTexGenxvOES_rewrite_ptr(GLenum coord, GLenum pname, GLfixed * params)
{
    epoxy_glGetTexGenxvOES = (void *)epoxy_glGetTexGenxvOES_resolver();
    epoxy_glGetTexGenxvOES(coord, pname, params);
}
PUBLIC PFNGLGETTEXGENXVOESPROC epoxy_glGetTexGenxvOES = epoxy_glGetTexGenxvOES_rewrite_ptr;

static void
epoxy_glGetTexImage_rewrite_ptr(GLenum target, GLint level, GLenum format, GLenum type, void * pixels)
{
    epoxy_glGetTexImage = (void *)epoxy_glGetTexImage_resolver();
    epoxy_glGetTexImage(target, level, format, type, pixels);
}
PUBLIC PFNGLGETTEXIMAGEPROC epoxy_glGetTexImage = epoxy_glGetTexImage_rewrite_ptr;

static void
epoxy_glGetTexLevelParameterfv_rewrite_ptr(GLenum target, GLint level, GLenum pname, GLfloat * params)
{
    epoxy_glGetTexLevelParameterfv = (void *)epoxy_glGetTexLevelParameterfv_resolver();
    epoxy_glGetTexLevelParameterfv(target, level, pname, params);
}
PUBLIC PFNGLGETTEXLEVELPARAMETERFVPROC epoxy_glGetTexLevelParameterfv = epoxy_glGetTexLevelParameterfv_rewrite_ptr;

static void
epoxy_glGetTexLevelParameteriv_rewrite_ptr(GLenum target, GLint level, GLenum pname, GLint * params)
{
    epoxy_glGetTexLevelParameteriv = (void *)epoxy_glGetTexLevelParameteriv_resolver();
    epoxy_glGetTexLevelParameteriv(target, level, pname, params);
}
PUBLIC PFNGLGETTEXLEVELPARAMETERIVPROC epoxy_glGetTexLevelParameteriv = epoxy_glGetTexLevelParameteriv_rewrite_ptr;

static void
epoxy_glGetTexLevelParameterxvOES_rewrite_ptr(GLenum target, GLint level, GLenum pname, GLfixed * params)
{
    epoxy_glGetTexLevelParameterxvOES = (void *)epoxy_glGetTexLevelParameterxvOES_resolver();
    epoxy_glGetTexLevelParameterxvOES(target, level, pname, params);
}
PUBLIC PFNGLGETTEXLEVELPARAMETERXVOESPROC epoxy_glGetTexLevelParameterxvOES = epoxy_glGetTexLevelParameterxvOES_rewrite_ptr;

static void
epoxy_glGetTexParameterIiv_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetTexParameterIiv = (void *)epoxy_glGetTexParameterIiv_resolver();
    epoxy_glGetTexParameterIiv(target, pname, params);
}
PUBLIC PFNGLGETTEXPARAMETERIIVPROC epoxy_glGetTexParameterIiv = epoxy_glGetTexParameterIiv_rewrite_ptr;

static void
epoxy_glGetTexParameterIivEXT_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetTexParameterIivEXT = (void *)epoxy_glGetTexParameterIiv_resolver();
    epoxy_glGetTexParameterIivEXT(target, pname, params);
}
PUBLIC PFNGLGETTEXPARAMETERIIVEXTPROC epoxy_glGetTexParameterIivEXT = epoxy_glGetTexParameterIivEXT_rewrite_ptr;

static void
epoxy_glGetTexParameterIuiv_rewrite_ptr(GLenum target, GLenum pname, GLuint * params)
{
    epoxy_glGetTexParameterIuiv = (void *)epoxy_glGetTexParameterIuiv_resolver();
    epoxy_glGetTexParameterIuiv(target, pname, params);
}
PUBLIC PFNGLGETTEXPARAMETERIUIVPROC epoxy_glGetTexParameterIuiv = epoxy_glGetTexParameterIuiv_rewrite_ptr;

static void
epoxy_glGetTexParameterIuivEXT_rewrite_ptr(GLenum target, GLenum pname, GLuint * params)
{
    epoxy_glGetTexParameterIuivEXT = (void *)epoxy_glGetTexParameterIuiv_resolver();
    epoxy_glGetTexParameterIuivEXT(target, pname, params);
}
PUBLIC PFNGLGETTEXPARAMETERIUIVEXTPROC epoxy_glGetTexParameterIuivEXT = epoxy_glGetTexParameterIuivEXT_rewrite_ptr;

static void
epoxy_glGetTexParameterPointervAPPLE_rewrite_ptr(GLenum target, GLenum pname, void ** params)
{
    epoxy_glGetTexParameterPointervAPPLE = (void *)epoxy_glGetTexParameterPointervAPPLE_resolver();
    epoxy_glGetTexParameterPointervAPPLE(target, pname, params);
}
PUBLIC PFNGLGETTEXPARAMETERPOINTERVAPPLEPROC epoxy_glGetTexParameterPointervAPPLE = epoxy_glGetTexParameterPointervAPPLE_rewrite_ptr;

static void
epoxy_glGetTexParameterfv_rewrite_ptr(GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetTexParameterfv = (void *)epoxy_glGetTexParameterfv_resolver();
    epoxy_glGetTexParameterfv(target, pname, params);
}
PUBLIC PFNGLGETTEXPARAMETERFVPROC epoxy_glGetTexParameterfv = epoxy_glGetTexParameterfv_rewrite_ptr;

static void
epoxy_glGetTexParameteriv_rewrite_ptr(GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetTexParameteriv = (void *)epoxy_glGetTexParameteriv_resolver();
    epoxy_glGetTexParameteriv(target, pname, params);
}
PUBLIC PFNGLGETTEXPARAMETERIVPROC epoxy_glGetTexParameteriv = epoxy_glGetTexParameteriv_rewrite_ptr;

static void
epoxy_glGetTexParameterxv_rewrite_ptr(GLenum target, GLenum pname, GLfixed * params)
{
    epoxy_glGetTexParameterxv = (void *)epoxy_glGetTexParameterxv_resolver();
    epoxy_glGetTexParameterxv(target, pname, params);
}
PUBLIC PFNGLGETTEXPARAMETERXVPROC epoxy_glGetTexParameterxv = epoxy_glGetTexParameterxv_rewrite_ptr;

static void
epoxy_glGetTexParameterxvOES_rewrite_ptr(GLenum target, GLenum pname, GLfixed * params)
{
    epoxy_glGetTexParameterxvOES = (void *)epoxy_glGetTexParameterxvOES_resolver();
    epoxy_glGetTexParameterxvOES(target, pname, params);
}
PUBLIC PFNGLGETTEXPARAMETERXVOESPROC epoxy_glGetTexParameterxvOES = epoxy_glGetTexParameterxvOES_rewrite_ptr;

static GLuint64
epoxy_glGetTextureHandleARB_rewrite_ptr(GLuint texture)
{
    epoxy_glGetTextureHandleARB = (void *)epoxy_glGetTextureHandleARB_resolver();
    return epoxy_glGetTextureHandleARB(texture);
}
PUBLIC PFNGLGETTEXTUREHANDLEARBPROC epoxy_glGetTextureHandleARB = epoxy_glGetTextureHandleARB_rewrite_ptr;

static GLuint64
epoxy_glGetTextureHandleNV_rewrite_ptr(GLuint texture)
{
    epoxy_glGetTextureHandleNV = (void *)epoxy_glGetTextureHandleNV_resolver();
    return epoxy_glGetTextureHandleNV(texture);
}
PUBLIC PFNGLGETTEXTUREHANDLENVPROC epoxy_glGetTextureHandleNV = epoxy_glGetTextureHandleNV_rewrite_ptr;

static void
epoxy_glGetTextureImageEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLenum format, GLenum type, void * pixels)
{
    epoxy_glGetTextureImageEXT = (void *)epoxy_glGetTextureImageEXT_resolver();
    epoxy_glGetTextureImageEXT(texture, target, level, format, type, pixels);
}
PUBLIC PFNGLGETTEXTUREIMAGEEXTPROC epoxy_glGetTextureImageEXT = epoxy_glGetTextureImageEXT_rewrite_ptr;

static void
epoxy_glGetTextureLevelParameterfvEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLenum pname, GLfloat * params)
{
    epoxy_glGetTextureLevelParameterfvEXT = (void *)epoxy_glGetTextureLevelParameterfvEXT_resolver();
    epoxy_glGetTextureLevelParameterfvEXT(texture, target, level, pname, params);
}
PUBLIC PFNGLGETTEXTURELEVELPARAMETERFVEXTPROC epoxy_glGetTextureLevelParameterfvEXT = epoxy_glGetTextureLevelParameterfvEXT_rewrite_ptr;

static void
epoxy_glGetTextureLevelParameterivEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLenum pname, GLint * params)
{
    epoxy_glGetTextureLevelParameterivEXT = (void *)epoxy_glGetTextureLevelParameterivEXT_resolver();
    epoxy_glGetTextureLevelParameterivEXT(texture, target, level, pname, params);
}
PUBLIC PFNGLGETTEXTURELEVELPARAMETERIVEXTPROC epoxy_glGetTextureLevelParameterivEXT = epoxy_glGetTextureLevelParameterivEXT_rewrite_ptr;

static void
epoxy_glGetTextureParameterIivEXT_rewrite_ptr(GLuint texture, GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetTextureParameterIivEXT = (void *)epoxy_glGetTextureParameterIivEXT_resolver();
    epoxy_glGetTextureParameterIivEXT(texture, target, pname, params);
}
PUBLIC PFNGLGETTEXTUREPARAMETERIIVEXTPROC epoxy_glGetTextureParameterIivEXT = epoxy_glGetTextureParameterIivEXT_rewrite_ptr;

static void
epoxy_glGetTextureParameterIuivEXT_rewrite_ptr(GLuint texture, GLenum target, GLenum pname, GLuint * params)
{
    epoxy_glGetTextureParameterIuivEXT = (void *)epoxy_glGetTextureParameterIuivEXT_resolver();
    epoxy_glGetTextureParameterIuivEXT(texture, target, pname, params);
}
PUBLIC PFNGLGETTEXTUREPARAMETERIUIVEXTPROC epoxy_glGetTextureParameterIuivEXT = epoxy_glGetTextureParameterIuivEXT_rewrite_ptr;

static void
epoxy_glGetTextureParameterfvEXT_rewrite_ptr(GLuint texture, GLenum target, GLenum pname, GLfloat * params)
{
    epoxy_glGetTextureParameterfvEXT = (void *)epoxy_glGetTextureParameterfvEXT_resolver();
    epoxy_glGetTextureParameterfvEXT(texture, target, pname, params);
}
PUBLIC PFNGLGETTEXTUREPARAMETERFVEXTPROC epoxy_glGetTextureParameterfvEXT = epoxy_glGetTextureParameterfvEXT_rewrite_ptr;

static void
epoxy_glGetTextureParameterivEXT_rewrite_ptr(GLuint texture, GLenum target, GLenum pname, GLint * params)
{
    epoxy_glGetTextureParameterivEXT = (void *)epoxy_glGetTextureParameterivEXT_resolver();
    epoxy_glGetTextureParameterivEXT(texture, target, pname, params);
}
PUBLIC PFNGLGETTEXTUREPARAMETERIVEXTPROC epoxy_glGetTextureParameterivEXT = epoxy_glGetTextureParameterivEXT_rewrite_ptr;

static GLuint64
epoxy_glGetTextureSamplerHandleARB_rewrite_ptr(GLuint texture, GLuint sampler)
{
    epoxy_glGetTextureSamplerHandleARB = (void *)epoxy_glGetTextureSamplerHandleARB_resolver();
    return epoxy_glGetTextureSamplerHandleARB(texture, sampler);
}
PUBLIC PFNGLGETTEXTURESAMPLERHANDLEARBPROC epoxy_glGetTextureSamplerHandleARB = epoxy_glGetTextureSamplerHandleARB_rewrite_ptr;

static GLuint64
epoxy_glGetTextureSamplerHandleNV_rewrite_ptr(GLuint texture, GLuint sampler)
{
    epoxy_glGetTextureSamplerHandleNV = (void *)epoxy_glGetTextureSamplerHandleNV_resolver();
    return epoxy_glGetTextureSamplerHandleNV(texture, sampler);
}
PUBLIC PFNGLGETTEXTURESAMPLERHANDLENVPROC epoxy_glGetTextureSamplerHandleNV = epoxy_glGetTextureSamplerHandleNV_rewrite_ptr;

static void
epoxy_glGetTrackMatrixivNV_rewrite_ptr(GLenum target, GLuint address, GLenum pname, GLint * params)
{
    epoxy_glGetTrackMatrixivNV = (void *)epoxy_glGetTrackMatrixivNV_resolver();
    epoxy_glGetTrackMatrixivNV(target, address, pname, params);
}
PUBLIC PFNGLGETTRACKMATRIXIVNVPROC epoxy_glGetTrackMatrixivNV = epoxy_glGetTrackMatrixivNV_rewrite_ptr;

static void
epoxy_glGetTransformFeedbackVarying_rewrite_ptr(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name)
{
    epoxy_glGetTransformFeedbackVarying = (void *)epoxy_glGetTransformFeedbackVarying_resolver();
    epoxy_glGetTransformFeedbackVarying(program, index, bufSize, length, size, type, name);
}
PUBLIC PFNGLGETTRANSFORMFEEDBACKVARYINGPROC epoxy_glGetTransformFeedbackVarying = epoxy_glGetTransformFeedbackVarying_rewrite_ptr;

static void
epoxy_glGetTransformFeedbackVaryingEXT_rewrite_ptr(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name)
{
    epoxy_glGetTransformFeedbackVaryingEXT = (void *)epoxy_glGetTransformFeedbackVarying_resolver();
    epoxy_glGetTransformFeedbackVaryingEXT(program, index, bufSize, length, size, type, name);
}
PUBLIC PFNGLGETTRANSFORMFEEDBACKVARYINGEXTPROC epoxy_glGetTransformFeedbackVaryingEXT = epoxy_glGetTransformFeedbackVaryingEXT_rewrite_ptr;

static void
epoxy_glGetTransformFeedbackVaryingNV_rewrite_ptr(GLuint program, GLuint index, GLint * location)
{
    epoxy_glGetTransformFeedbackVaryingNV = (void *)epoxy_glGetTransformFeedbackVaryingNV_resolver();
    epoxy_glGetTransformFeedbackVaryingNV(program, index, location);
}
PUBLIC PFNGLGETTRANSFORMFEEDBACKVARYINGNVPROC epoxy_glGetTransformFeedbackVaryingNV = epoxy_glGetTransformFeedbackVaryingNV_rewrite_ptr;

static void
epoxy_glGetTranslatedShaderSourceANGLE_rewrite_ptr(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * source)
{
    epoxy_glGetTranslatedShaderSourceANGLE = (void *)epoxy_glGetTranslatedShaderSourceANGLE_resolver();
    epoxy_glGetTranslatedShaderSourceANGLE(shader, bufsize, length, source);
}
PUBLIC PFNGLGETTRANSLATEDSHADERSOURCEANGLEPROC epoxy_glGetTranslatedShaderSourceANGLE = epoxy_glGetTranslatedShaderSourceANGLE_rewrite_ptr;

static GLuint
epoxy_glGetUniformBlockIndex_rewrite_ptr(GLuint program, const GLchar * uniformBlockName)
{
    epoxy_glGetUniformBlockIndex = (void *)epoxy_glGetUniformBlockIndex_resolver();
    return epoxy_glGetUniformBlockIndex(program, uniformBlockName);
}
PUBLIC PFNGLGETUNIFORMBLOCKINDEXPROC epoxy_glGetUniformBlockIndex = epoxy_glGetUniformBlockIndex_rewrite_ptr;

static GLint
epoxy_glGetUniformBufferSizeEXT_rewrite_ptr(GLuint program, GLint location)
{
    epoxy_glGetUniformBufferSizeEXT = (void *)epoxy_glGetUniformBufferSizeEXT_resolver();
    return epoxy_glGetUniformBufferSizeEXT(program, location);
}
PUBLIC PFNGLGETUNIFORMBUFFERSIZEEXTPROC epoxy_glGetUniformBufferSizeEXT = epoxy_glGetUniformBufferSizeEXT_rewrite_ptr;

static void
epoxy_glGetUniformIndices_rewrite_ptr(GLuint program, GLsizei uniformCount, const GLchar *const* uniformNames, GLuint * uniformIndices)
{
    epoxy_glGetUniformIndices = (void *)epoxy_glGetUniformIndices_resolver();
    epoxy_glGetUniformIndices(program, uniformCount, uniformNames, uniformIndices);
}
PUBLIC PFNGLGETUNIFORMINDICESPROC epoxy_glGetUniformIndices = epoxy_glGetUniformIndices_rewrite_ptr;

static GLint
epoxy_glGetUniformLocation_rewrite_ptr(GLuint program, const GLchar * name)
{
    epoxy_glGetUniformLocation = (void *)epoxy_glGetUniformLocation_resolver();
    return epoxy_glGetUniformLocation(program, name);
}
PUBLIC PFNGLGETUNIFORMLOCATIONPROC epoxy_glGetUniformLocation = epoxy_glGetUniformLocation_rewrite_ptr;

static GLint
epoxy_glGetUniformLocationARB_rewrite_ptr(GLhandleARB programObj, const GLcharARB * name)
{
    epoxy_glGetUniformLocationARB = (void *)epoxy_glGetUniformLocation_resolver();
    return epoxy_glGetUniformLocationARB((uintptr_t)programObj, name);
}
PUBLIC PFNGLGETUNIFORMLOCATIONARBPROC epoxy_glGetUniformLocationARB = epoxy_glGetUniformLocationARB_rewrite_ptr;

static GLintptr
epoxy_glGetUniformOffsetEXT_rewrite_ptr(GLuint program, GLint location)
{
    epoxy_glGetUniformOffsetEXT = (void *)epoxy_glGetUniformOffsetEXT_resolver();
    return epoxy_glGetUniformOffsetEXT(program, location);
}
PUBLIC PFNGLGETUNIFORMOFFSETEXTPROC epoxy_glGetUniformOffsetEXT = epoxy_glGetUniformOffsetEXT_rewrite_ptr;

static void
epoxy_glGetUniformSubroutineuiv_rewrite_ptr(GLenum shadertype, GLint location, GLuint * params)
{
    epoxy_glGetUniformSubroutineuiv = (void *)epoxy_glGetUniformSubroutineuiv_resolver();
    epoxy_glGetUniformSubroutineuiv(shadertype, location, params);
}
PUBLIC PFNGLGETUNIFORMSUBROUTINEUIVPROC epoxy_glGetUniformSubroutineuiv = epoxy_glGetUniformSubroutineuiv_rewrite_ptr;

static void
epoxy_glGetUniformdv_rewrite_ptr(GLuint program, GLint location, GLdouble * params)
{
    epoxy_glGetUniformdv = (void *)epoxy_glGetUniformdv_resolver();
    epoxy_glGetUniformdv(program, location, params);
}
PUBLIC PFNGLGETUNIFORMDVPROC epoxy_glGetUniformdv = epoxy_glGetUniformdv_rewrite_ptr;

static void
epoxy_glGetUniformfv_rewrite_ptr(GLuint program, GLint location, GLfloat * params)
{
    epoxy_glGetUniformfv = (void *)epoxy_glGetUniformfv_resolver();
    epoxy_glGetUniformfv(program, location, params);
}
PUBLIC PFNGLGETUNIFORMFVPROC epoxy_glGetUniformfv = epoxy_glGetUniformfv_rewrite_ptr;

static void
epoxy_glGetUniformfvARB_rewrite_ptr(GLhandleARB programObj, GLint location, GLfloat * params)
{
    epoxy_glGetUniformfvARB = (void *)epoxy_glGetUniformfv_resolver();
    epoxy_glGetUniformfvARB((uintptr_t)programObj, location, params);
}
PUBLIC PFNGLGETUNIFORMFVARBPROC epoxy_glGetUniformfvARB = epoxy_glGetUniformfvARB_rewrite_ptr;

static void
epoxy_glGetUniformi64vNV_rewrite_ptr(GLuint program, GLint location, GLint64EXT * params)
{
    epoxy_glGetUniformi64vNV = (void *)epoxy_glGetUniformi64vNV_resolver();
    epoxy_glGetUniformi64vNV(program, location, params);
}
PUBLIC PFNGLGETUNIFORMI64VNVPROC epoxy_glGetUniformi64vNV = epoxy_glGetUniformi64vNV_rewrite_ptr;

static void
epoxy_glGetUniformiv_rewrite_ptr(GLuint program, GLint location, GLint * params)
{
    epoxy_glGetUniformiv = (void *)epoxy_glGetUniformiv_resolver();
    epoxy_glGetUniformiv(program, location, params);
}
PUBLIC PFNGLGETUNIFORMIVPROC epoxy_glGetUniformiv = epoxy_glGetUniformiv_rewrite_ptr;

static void
epoxy_glGetUniformivARB_rewrite_ptr(GLhandleARB programObj, GLint location, GLint * params)
{
    epoxy_glGetUniformivARB = (void *)epoxy_glGetUniformiv_resolver();
    epoxy_glGetUniformivARB((uintptr_t)programObj, location, params);
}
PUBLIC PFNGLGETUNIFORMIVARBPROC epoxy_glGetUniformivARB = epoxy_glGetUniformivARB_rewrite_ptr;

static void
epoxy_glGetUniformui64vNV_rewrite_ptr(GLuint program, GLint location, GLuint64EXT * params)
{
    epoxy_glGetUniformui64vNV = (void *)epoxy_glGetUniformui64vNV_resolver();
    epoxy_glGetUniformui64vNV(program, location, params);
}
PUBLIC PFNGLGETUNIFORMUI64VNVPROC epoxy_glGetUniformui64vNV = epoxy_glGetUniformui64vNV_rewrite_ptr;

static void
epoxy_glGetUniformuiv_rewrite_ptr(GLuint program, GLint location, GLuint * params)
{
    epoxy_glGetUniformuiv = (void *)epoxy_glGetUniformuiv_resolver();
    epoxy_glGetUniformuiv(program, location, params);
}
PUBLIC PFNGLGETUNIFORMUIVPROC epoxy_glGetUniformuiv = epoxy_glGetUniformuiv_rewrite_ptr;

static void
epoxy_glGetUniformuivEXT_rewrite_ptr(GLuint program, GLint location, GLuint * params)
{
    epoxy_glGetUniformuivEXT = (void *)epoxy_glGetUniformuiv_resolver();
    epoxy_glGetUniformuivEXT(program, location, params);
}
PUBLIC PFNGLGETUNIFORMUIVEXTPROC epoxy_glGetUniformuivEXT = epoxy_glGetUniformuivEXT_rewrite_ptr;

static void
epoxy_glGetVariantArrayObjectfvATI_rewrite_ptr(GLuint id, GLenum pname, GLfloat * params)
{
    epoxy_glGetVariantArrayObjectfvATI = (void *)epoxy_glGetVariantArrayObjectfvATI_resolver();
    epoxy_glGetVariantArrayObjectfvATI(id, pname, params);
}
PUBLIC PFNGLGETVARIANTARRAYOBJECTFVATIPROC epoxy_glGetVariantArrayObjectfvATI = epoxy_glGetVariantArrayObjectfvATI_rewrite_ptr;

static void
epoxy_glGetVariantArrayObjectivATI_rewrite_ptr(GLuint id, GLenum pname, GLint * params)
{
    epoxy_glGetVariantArrayObjectivATI = (void *)epoxy_glGetVariantArrayObjectivATI_resolver();
    epoxy_glGetVariantArrayObjectivATI(id, pname, params);
}
PUBLIC PFNGLGETVARIANTARRAYOBJECTIVATIPROC epoxy_glGetVariantArrayObjectivATI = epoxy_glGetVariantArrayObjectivATI_rewrite_ptr;

static void
epoxy_glGetVariantBooleanvEXT_rewrite_ptr(GLuint id, GLenum value, GLboolean * data)
{
    epoxy_glGetVariantBooleanvEXT = (void *)epoxy_glGetVariantBooleanvEXT_resolver();
    epoxy_glGetVariantBooleanvEXT(id, value, data);
}
PUBLIC PFNGLGETVARIANTBOOLEANVEXTPROC epoxy_glGetVariantBooleanvEXT = epoxy_glGetVariantBooleanvEXT_rewrite_ptr;

static void
epoxy_glGetVariantFloatvEXT_rewrite_ptr(GLuint id, GLenum value, GLfloat * data)
{
    epoxy_glGetVariantFloatvEXT = (void *)epoxy_glGetVariantFloatvEXT_resolver();
    epoxy_glGetVariantFloatvEXT(id, value, data);
}
PUBLIC PFNGLGETVARIANTFLOATVEXTPROC epoxy_glGetVariantFloatvEXT = epoxy_glGetVariantFloatvEXT_rewrite_ptr;

static void
epoxy_glGetVariantIntegervEXT_rewrite_ptr(GLuint id, GLenum value, GLint * data)
{
    epoxy_glGetVariantIntegervEXT = (void *)epoxy_glGetVariantIntegervEXT_resolver();
    epoxy_glGetVariantIntegervEXT(id, value, data);
}
PUBLIC PFNGLGETVARIANTINTEGERVEXTPROC epoxy_glGetVariantIntegervEXT = epoxy_glGetVariantIntegervEXT_rewrite_ptr;

static void
epoxy_glGetVariantPointervEXT_rewrite_ptr(GLuint id, GLenum value, void ** data)
{
    epoxy_glGetVariantPointervEXT = (void *)epoxy_glGetVariantPointervEXT_resolver();
    epoxy_glGetVariantPointervEXT(id, value, data);
}
PUBLIC PFNGLGETVARIANTPOINTERVEXTPROC epoxy_glGetVariantPointervEXT = epoxy_glGetVariantPointervEXT_rewrite_ptr;

static GLint
epoxy_glGetVaryingLocationNV_rewrite_ptr(GLuint program, const GLchar * name)
{
    epoxy_glGetVaryingLocationNV = (void *)epoxy_glGetVaryingLocationNV_resolver();
    return epoxy_glGetVaryingLocationNV(program, name);
}
PUBLIC PFNGLGETVARYINGLOCATIONNVPROC epoxy_glGetVaryingLocationNV = epoxy_glGetVaryingLocationNV_rewrite_ptr;

static void
epoxy_glGetVertexArrayIntegeri_vEXT_rewrite_ptr(GLuint vaobj, GLuint index, GLenum pname, GLint * param)
{
    epoxy_glGetVertexArrayIntegeri_vEXT = (void *)epoxy_glGetVertexArrayIntegeri_vEXT_resolver();
    epoxy_glGetVertexArrayIntegeri_vEXT(vaobj, index, pname, param);
}
PUBLIC PFNGLGETVERTEXARRAYINTEGERI_VEXTPROC epoxy_glGetVertexArrayIntegeri_vEXT = epoxy_glGetVertexArrayIntegeri_vEXT_rewrite_ptr;

static void
epoxy_glGetVertexArrayIntegervEXT_rewrite_ptr(GLuint vaobj, GLenum pname, GLint * param)
{
    epoxy_glGetVertexArrayIntegervEXT = (void *)epoxy_glGetVertexArrayIntegervEXT_resolver();
    epoxy_glGetVertexArrayIntegervEXT(vaobj, pname, param);
}
PUBLIC PFNGLGETVERTEXARRAYINTEGERVEXTPROC epoxy_glGetVertexArrayIntegervEXT = epoxy_glGetVertexArrayIntegervEXT_rewrite_ptr;

static void
epoxy_glGetVertexArrayPointeri_vEXT_rewrite_ptr(GLuint vaobj, GLuint index, GLenum pname, void ** param)
{
    epoxy_glGetVertexArrayPointeri_vEXT = (void *)epoxy_glGetVertexArrayPointeri_vEXT_resolver();
    epoxy_glGetVertexArrayPointeri_vEXT(vaobj, index, pname, param);
}
PUBLIC PFNGLGETVERTEXARRAYPOINTERI_VEXTPROC epoxy_glGetVertexArrayPointeri_vEXT = epoxy_glGetVertexArrayPointeri_vEXT_rewrite_ptr;

static void
epoxy_glGetVertexArrayPointervEXT_rewrite_ptr(GLuint vaobj, GLenum pname, void ** param)
{
    epoxy_glGetVertexArrayPointervEXT = (void *)epoxy_glGetVertexArrayPointervEXT_resolver();
    epoxy_glGetVertexArrayPointervEXT(vaobj, pname, param);
}
PUBLIC PFNGLGETVERTEXARRAYPOINTERVEXTPROC epoxy_glGetVertexArrayPointervEXT = epoxy_glGetVertexArrayPointervEXT_rewrite_ptr;

static void
epoxy_glGetVertexAttribArrayObjectfvATI_rewrite_ptr(GLuint index, GLenum pname, GLfloat * params)
{
    epoxy_glGetVertexAttribArrayObjectfvATI = (void *)epoxy_glGetVertexAttribArrayObjectfvATI_resolver();
    epoxy_glGetVertexAttribArrayObjectfvATI(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBARRAYOBJECTFVATIPROC epoxy_glGetVertexAttribArrayObjectfvATI = epoxy_glGetVertexAttribArrayObjectfvATI_rewrite_ptr;

static void
epoxy_glGetVertexAttribArrayObjectivATI_rewrite_ptr(GLuint index, GLenum pname, GLint * params)
{
    epoxy_glGetVertexAttribArrayObjectivATI = (void *)epoxy_glGetVertexAttribArrayObjectivATI_resolver();
    epoxy_glGetVertexAttribArrayObjectivATI(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBARRAYOBJECTIVATIPROC epoxy_glGetVertexAttribArrayObjectivATI = epoxy_glGetVertexAttribArrayObjectivATI_rewrite_ptr;

static void
epoxy_glGetVertexAttribIiv_rewrite_ptr(GLuint index, GLenum pname, GLint * params)
{
    epoxy_glGetVertexAttribIiv = (void *)epoxy_glGetVertexAttribIiv_resolver();
    epoxy_glGetVertexAttribIiv(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBIIVPROC epoxy_glGetVertexAttribIiv = epoxy_glGetVertexAttribIiv_rewrite_ptr;

static void
epoxy_glGetVertexAttribIivEXT_rewrite_ptr(GLuint index, GLenum pname, GLint * params)
{
    epoxy_glGetVertexAttribIivEXT = (void *)epoxy_glGetVertexAttribIiv_resolver();
    epoxy_glGetVertexAttribIivEXT(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBIIVEXTPROC epoxy_glGetVertexAttribIivEXT = epoxy_glGetVertexAttribIivEXT_rewrite_ptr;

static void
epoxy_glGetVertexAttribIuiv_rewrite_ptr(GLuint index, GLenum pname, GLuint * params)
{
    epoxy_glGetVertexAttribIuiv = (void *)epoxy_glGetVertexAttribIuiv_resolver();
    epoxy_glGetVertexAttribIuiv(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBIUIVPROC epoxy_glGetVertexAttribIuiv = epoxy_glGetVertexAttribIuiv_rewrite_ptr;

static void
epoxy_glGetVertexAttribIuivEXT_rewrite_ptr(GLuint index, GLenum pname, GLuint * params)
{
    epoxy_glGetVertexAttribIuivEXT = (void *)epoxy_glGetVertexAttribIuiv_resolver();
    epoxy_glGetVertexAttribIuivEXT(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBIUIVEXTPROC epoxy_glGetVertexAttribIuivEXT = epoxy_glGetVertexAttribIuivEXT_rewrite_ptr;

static void
epoxy_glGetVertexAttribLdv_rewrite_ptr(GLuint index, GLenum pname, GLdouble * params)
{
    epoxy_glGetVertexAttribLdv = (void *)epoxy_glGetVertexAttribLdv_resolver();
    epoxy_glGetVertexAttribLdv(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBLDVPROC epoxy_glGetVertexAttribLdv = epoxy_glGetVertexAttribLdv_rewrite_ptr;

static void
epoxy_glGetVertexAttribLdvEXT_rewrite_ptr(GLuint index, GLenum pname, GLdouble * params)
{
    epoxy_glGetVertexAttribLdvEXT = (void *)epoxy_glGetVertexAttribLdv_resolver();
    epoxy_glGetVertexAttribLdvEXT(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBLDVEXTPROC epoxy_glGetVertexAttribLdvEXT = epoxy_glGetVertexAttribLdvEXT_rewrite_ptr;

static void
epoxy_glGetVertexAttribLi64vNV_rewrite_ptr(GLuint index, GLenum pname, GLint64EXT * params)
{
    epoxy_glGetVertexAttribLi64vNV = (void *)epoxy_glGetVertexAttribLi64vNV_resolver();
    epoxy_glGetVertexAttribLi64vNV(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBLI64VNVPROC epoxy_glGetVertexAttribLi64vNV = epoxy_glGetVertexAttribLi64vNV_rewrite_ptr;

static void
epoxy_glGetVertexAttribLui64vARB_rewrite_ptr(GLuint index, GLenum pname, GLuint64EXT * params)
{
    epoxy_glGetVertexAttribLui64vARB = (void *)epoxy_glGetVertexAttribLui64vARB_resolver();
    epoxy_glGetVertexAttribLui64vARB(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBLUI64VARBPROC epoxy_glGetVertexAttribLui64vARB = epoxy_glGetVertexAttribLui64vARB_rewrite_ptr;

static void
epoxy_glGetVertexAttribLui64vNV_rewrite_ptr(GLuint index, GLenum pname, GLuint64EXT * params)
{
    epoxy_glGetVertexAttribLui64vNV = (void *)epoxy_glGetVertexAttribLui64vNV_resolver();
    epoxy_glGetVertexAttribLui64vNV(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBLUI64VNVPROC epoxy_glGetVertexAttribLui64vNV = epoxy_glGetVertexAttribLui64vNV_rewrite_ptr;

static void
epoxy_glGetVertexAttribPointerv_rewrite_ptr(GLuint index, GLenum pname, void ** pointer)
{
    epoxy_glGetVertexAttribPointerv = (void *)epoxy_glGetVertexAttribPointerv_resolver();
    epoxy_glGetVertexAttribPointerv(index, pname, pointer);
}
PUBLIC PFNGLGETVERTEXATTRIBPOINTERVPROC epoxy_glGetVertexAttribPointerv = epoxy_glGetVertexAttribPointerv_rewrite_ptr;

static void
epoxy_glGetVertexAttribPointervARB_rewrite_ptr(GLuint index, GLenum pname, void ** pointer)
{
    epoxy_glGetVertexAttribPointervARB = (void *)epoxy_glGetVertexAttribPointerv_resolver();
    epoxy_glGetVertexAttribPointervARB(index, pname, pointer);
}
PUBLIC PFNGLGETVERTEXATTRIBPOINTERVARBPROC epoxy_glGetVertexAttribPointervARB = epoxy_glGetVertexAttribPointervARB_rewrite_ptr;

static void
epoxy_glGetVertexAttribPointervNV_rewrite_ptr(GLuint index, GLenum pname, void ** pointer)
{
    epoxy_glGetVertexAttribPointervNV = (void *)epoxy_glGetVertexAttribPointerv_resolver();
    epoxy_glGetVertexAttribPointervNV(index, pname, pointer);
}
PUBLIC PFNGLGETVERTEXATTRIBPOINTERVNVPROC epoxy_glGetVertexAttribPointervNV = epoxy_glGetVertexAttribPointervNV_rewrite_ptr;

static void
epoxy_glGetVertexAttribdv_rewrite_ptr(GLuint index, GLenum pname, GLdouble * params)
{
    epoxy_glGetVertexAttribdv = (void *)epoxy_glGetVertexAttribdv_resolver();
    epoxy_glGetVertexAttribdv(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBDVPROC epoxy_glGetVertexAttribdv = epoxy_glGetVertexAttribdv_rewrite_ptr;

static void
epoxy_glGetVertexAttribdvARB_rewrite_ptr(GLuint index, GLenum pname, GLdouble * params)
{
    epoxy_glGetVertexAttribdvARB = (void *)epoxy_glGetVertexAttribdv_resolver();
    epoxy_glGetVertexAttribdvARB(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBDVARBPROC epoxy_glGetVertexAttribdvARB = epoxy_glGetVertexAttribdvARB_rewrite_ptr;

static void
epoxy_glGetVertexAttribdvNV_rewrite_ptr(GLuint index, GLenum pname, GLdouble * params)
{
    epoxy_glGetVertexAttribdvNV = (void *)epoxy_glGetVertexAttribdv_resolver();
    epoxy_glGetVertexAttribdvNV(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBDVNVPROC epoxy_glGetVertexAttribdvNV = epoxy_glGetVertexAttribdvNV_rewrite_ptr;

static void
epoxy_glGetVertexAttribfv_rewrite_ptr(GLuint index, GLenum pname, GLfloat * params)
{
    epoxy_glGetVertexAttribfv = (void *)epoxy_glGetVertexAttribfv_resolver();
    epoxy_glGetVertexAttribfv(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBFVPROC epoxy_glGetVertexAttribfv = epoxy_glGetVertexAttribfv_rewrite_ptr;

static void
epoxy_glGetVertexAttribfvARB_rewrite_ptr(GLuint index, GLenum pname, GLfloat * params)
{
    epoxy_glGetVertexAttribfvARB = (void *)epoxy_glGetVertexAttribfv_resolver();
    epoxy_glGetVertexAttribfvARB(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBFVARBPROC epoxy_glGetVertexAttribfvARB = epoxy_glGetVertexAttribfvARB_rewrite_ptr;

static void
epoxy_glGetVertexAttribfvNV_rewrite_ptr(GLuint index, GLenum pname, GLfloat * params)
{
    epoxy_glGetVertexAttribfvNV = (void *)epoxy_glGetVertexAttribfv_resolver();
    epoxy_glGetVertexAttribfvNV(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBFVNVPROC epoxy_glGetVertexAttribfvNV = epoxy_glGetVertexAttribfvNV_rewrite_ptr;

static void
epoxy_glGetVertexAttribiv_rewrite_ptr(GLuint index, GLenum pname, GLint * params)
{
    epoxy_glGetVertexAttribiv = (void *)epoxy_glGetVertexAttribiv_resolver();
    epoxy_glGetVertexAttribiv(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBIVPROC epoxy_glGetVertexAttribiv = epoxy_glGetVertexAttribiv_rewrite_ptr;

static void
epoxy_glGetVertexAttribivARB_rewrite_ptr(GLuint index, GLenum pname, GLint * params)
{
    epoxy_glGetVertexAttribivARB = (void *)epoxy_glGetVertexAttribiv_resolver();
    epoxy_glGetVertexAttribivARB(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBIVARBPROC epoxy_glGetVertexAttribivARB = epoxy_glGetVertexAttribivARB_rewrite_ptr;

static void
epoxy_glGetVertexAttribivNV_rewrite_ptr(GLuint index, GLenum pname, GLint * params)
{
    epoxy_glGetVertexAttribivNV = (void *)epoxy_glGetVertexAttribiv_resolver();
    epoxy_glGetVertexAttribivNV(index, pname, params);
}
PUBLIC PFNGLGETVERTEXATTRIBIVNVPROC epoxy_glGetVertexAttribivNV = epoxy_glGetVertexAttribivNV_rewrite_ptr;

static void
epoxy_glGetVideoCaptureStreamdvNV_rewrite_ptr(GLuint video_capture_slot, GLuint stream, GLenum pname, GLdouble * params)
{
    epoxy_glGetVideoCaptureStreamdvNV = (void *)epoxy_glGetVideoCaptureStreamdvNV_resolver();
    epoxy_glGetVideoCaptureStreamdvNV(video_capture_slot, stream, pname, params);
}
PUBLIC PFNGLGETVIDEOCAPTURESTREAMDVNVPROC epoxy_glGetVideoCaptureStreamdvNV = epoxy_glGetVideoCaptureStreamdvNV_rewrite_ptr;

static void
epoxy_glGetVideoCaptureStreamfvNV_rewrite_ptr(GLuint video_capture_slot, GLuint stream, GLenum pname, GLfloat * params)
{
    epoxy_glGetVideoCaptureStreamfvNV = (void *)epoxy_glGetVideoCaptureStreamfvNV_resolver();
    epoxy_glGetVideoCaptureStreamfvNV(video_capture_slot, stream, pname, params);
}
PUBLIC PFNGLGETVIDEOCAPTURESTREAMFVNVPROC epoxy_glGetVideoCaptureStreamfvNV = epoxy_glGetVideoCaptureStreamfvNV_rewrite_ptr;

static void
epoxy_glGetVideoCaptureStreamivNV_rewrite_ptr(GLuint video_capture_slot, GLuint stream, GLenum pname, GLint * params)
{
    epoxy_glGetVideoCaptureStreamivNV = (void *)epoxy_glGetVideoCaptureStreamivNV_resolver();
    epoxy_glGetVideoCaptureStreamivNV(video_capture_slot, stream, pname, params);
}
PUBLIC PFNGLGETVIDEOCAPTURESTREAMIVNVPROC epoxy_glGetVideoCaptureStreamivNV = epoxy_glGetVideoCaptureStreamivNV_rewrite_ptr;

static void
epoxy_glGetVideoCaptureivNV_rewrite_ptr(GLuint video_capture_slot, GLenum pname, GLint * params)
{
    epoxy_glGetVideoCaptureivNV = (void *)epoxy_glGetVideoCaptureivNV_resolver();
    epoxy_glGetVideoCaptureivNV(video_capture_slot, pname, params);
}
PUBLIC PFNGLGETVIDEOCAPTUREIVNVPROC epoxy_glGetVideoCaptureivNV = epoxy_glGetVideoCaptureivNV_rewrite_ptr;

static void
epoxy_glGetVideoi64vNV_rewrite_ptr(GLuint video_slot, GLenum pname, GLint64EXT * params)
{
    epoxy_glGetVideoi64vNV = (void *)epoxy_glGetVideoi64vNV_resolver();
    epoxy_glGetVideoi64vNV(video_slot, pname, params);
}
PUBLIC PFNGLGETVIDEOI64VNVPROC epoxy_glGetVideoi64vNV = epoxy_glGetVideoi64vNV_rewrite_ptr;

static void
epoxy_glGetVideoivNV_rewrite_ptr(GLuint video_slot, GLenum pname, GLint * params)
{
    epoxy_glGetVideoivNV = (void *)epoxy_glGetVideoivNV_resolver();
    epoxy_glGetVideoivNV(video_slot, pname, params);
}
PUBLIC PFNGLGETVIDEOIVNVPROC epoxy_glGetVideoivNV = epoxy_glGetVideoivNV_rewrite_ptr;

static void
epoxy_glGetVideoui64vNV_rewrite_ptr(GLuint video_slot, GLenum pname, GLuint64EXT * params)
{
    epoxy_glGetVideoui64vNV = (void *)epoxy_glGetVideoui64vNV_resolver();
    epoxy_glGetVideoui64vNV(video_slot, pname, params);
}
PUBLIC PFNGLGETVIDEOUI64VNVPROC epoxy_glGetVideoui64vNV = epoxy_glGetVideoui64vNV_rewrite_ptr;

static void
epoxy_glGetVideouivNV_rewrite_ptr(GLuint video_slot, GLenum pname, GLuint * params)
{
    epoxy_glGetVideouivNV = (void *)epoxy_glGetVideouivNV_resolver();
    epoxy_glGetVideouivNV(video_slot, pname, params);
}
PUBLIC PFNGLGETVIDEOUIVNVPROC epoxy_glGetVideouivNV = epoxy_glGetVideouivNV_rewrite_ptr;

static void
epoxy_glGetnColorTableARB_rewrite_ptr(GLenum target, GLenum format, GLenum type, GLsizei bufSize, void * table)
{
    epoxy_glGetnColorTableARB = (void *)epoxy_glGetnColorTableARB_resolver();
    epoxy_glGetnColorTableARB(target, format, type, bufSize, table);
}
PUBLIC PFNGLGETNCOLORTABLEARBPROC epoxy_glGetnColorTableARB = epoxy_glGetnColorTableARB_rewrite_ptr;

static void
epoxy_glGetnCompressedTexImageARB_rewrite_ptr(GLenum target, GLint lod, GLsizei bufSize, void * img)
{
    epoxy_glGetnCompressedTexImageARB = (void *)epoxy_glGetnCompressedTexImageARB_resolver();
    epoxy_glGetnCompressedTexImageARB(target, lod, bufSize, img);
}
PUBLIC PFNGLGETNCOMPRESSEDTEXIMAGEARBPROC epoxy_glGetnCompressedTexImageARB = epoxy_glGetnCompressedTexImageARB_rewrite_ptr;

static void
epoxy_glGetnConvolutionFilterARB_rewrite_ptr(GLenum target, GLenum format, GLenum type, GLsizei bufSize, void * image)
{
    epoxy_glGetnConvolutionFilterARB = (void *)epoxy_glGetnConvolutionFilterARB_resolver();
    epoxy_glGetnConvolutionFilterARB(target, format, type, bufSize, image);
}
PUBLIC PFNGLGETNCONVOLUTIONFILTERARBPROC epoxy_glGetnConvolutionFilterARB = epoxy_glGetnConvolutionFilterARB_rewrite_ptr;

static void
epoxy_glGetnHistogramARB_rewrite_ptr(GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, void * values)
{
    epoxy_glGetnHistogramARB = (void *)epoxy_glGetnHistogramARB_resolver();
    epoxy_glGetnHistogramARB(target, reset, format, type, bufSize, values);
}
PUBLIC PFNGLGETNHISTOGRAMARBPROC epoxy_glGetnHistogramARB = epoxy_glGetnHistogramARB_rewrite_ptr;

static void
epoxy_glGetnMapdvARB_rewrite_ptr(GLenum target, GLenum query, GLsizei bufSize, GLdouble * v)
{
    epoxy_glGetnMapdvARB = (void *)epoxy_glGetnMapdvARB_resolver();
    epoxy_glGetnMapdvARB(target, query, bufSize, v);
}
PUBLIC PFNGLGETNMAPDVARBPROC epoxy_glGetnMapdvARB = epoxy_glGetnMapdvARB_rewrite_ptr;

static void
epoxy_glGetnMapfvARB_rewrite_ptr(GLenum target, GLenum query, GLsizei bufSize, GLfloat * v)
{
    epoxy_glGetnMapfvARB = (void *)epoxy_glGetnMapfvARB_resolver();
    epoxy_glGetnMapfvARB(target, query, bufSize, v);
}
PUBLIC PFNGLGETNMAPFVARBPROC epoxy_glGetnMapfvARB = epoxy_glGetnMapfvARB_rewrite_ptr;

static void
epoxy_glGetnMapivARB_rewrite_ptr(GLenum target, GLenum query, GLsizei bufSize, GLint * v)
{
    epoxy_glGetnMapivARB = (void *)epoxy_glGetnMapivARB_resolver();
    epoxy_glGetnMapivARB(target, query, bufSize, v);
}
PUBLIC PFNGLGETNMAPIVARBPROC epoxy_glGetnMapivARB = epoxy_glGetnMapivARB_rewrite_ptr;

static void
epoxy_glGetnMinmaxARB_rewrite_ptr(GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, void * values)
{
    epoxy_glGetnMinmaxARB = (void *)epoxy_glGetnMinmaxARB_resolver();
    epoxy_glGetnMinmaxARB(target, reset, format, type, bufSize, values);
}
PUBLIC PFNGLGETNMINMAXARBPROC epoxy_glGetnMinmaxARB = epoxy_glGetnMinmaxARB_rewrite_ptr;

static void
epoxy_glGetnPixelMapfvARB_rewrite_ptr(GLenum map, GLsizei bufSize, GLfloat * values)
{
    epoxy_glGetnPixelMapfvARB = (void *)epoxy_glGetnPixelMapfvARB_resolver();
    epoxy_glGetnPixelMapfvARB(map, bufSize, values);
}
PUBLIC PFNGLGETNPIXELMAPFVARBPROC epoxy_glGetnPixelMapfvARB = epoxy_glGetnPixelMapfvARB_rewrite_ptr;

static void
epoxy_glGetnPixelMapuivARB_rewrite_ptr(GLenum map, GLsizei bufSize, GLuint * values)
{
    epoxy_glGetnPixelMapuivARB = (void *)epoxy_glGetnPixelMapuivARB_resolver();
    epoxy_glGetnPixelMapuivARB(map, bufSize, values);
}
PUBLIC PFNGLGETNPIXELMAPUIVARBPROC epoxy_glGetnPixelMapuivARB = epoxy_glGetnPixelMapuivARB_rewrite_ptr;

static void
epoxy_glGetnPixelMapusvARB_rewrite_ptr(GLenum map, GLsizei bufSize, GLushort * values)
{
    epoxy_glGetnPixelMapusvARB = (void *)epoxy_glGetnPixelMapusvARB_resolver();
    epoxy_glGetnPixelMapusvARB(map, bufSize, values);
}
PUBLIC PFNGLGETNPIXELMAPUSVARBPROC epoxy_glGetnPixelMapusvARB = epoxy_glGetnPixelMapusvARB_rewrite_ptr;

static void
epoxy_glGetnPolygonStippleARB_rewrite_ptr(GLsizei bufSize, GLubyte * pattern)
{
    epoxy_glGetnPolygonStippleARB = (void *)epoxy_glGetnPolygonStippleARB_resolver();
    epoxy_glGetnPolygonStippleARB(bufSize, pattern);
}
PUBLIC PFNGLGETNPOLYGONSTIPPLEARBPROC epoxy_glGetnPolygonStippleARB = epoxy_glGetnPolygonStippleARB_rewrite_ptr;

static void
epoxy_glGetnSeparableFilterARB_rewrite_ptr(GLenum target, GLenum format, GLenum type, GLsizei rowBufSize, void * row, GLsizei columnBufSize, void * column, void * span)
{
    epoxy_glGetnSeparableFilterARB = (void *)epoxy_glGetnSeparableFilterARB_resolver();
    epoxy_glGetnSeparableFilterARB(target, format, type, rowBufSize, row, columnBufSize, column, span);
}
PUBLIC PFNGLGETNSEPARABLEFILTERARBPROC epoxy_glGetnSeparableFilterARB = epoxy_glGetnSeparableFilterARB_rewrite_ptr;

static void
epoxy_glGetnTexImageARB_rewrite_ptr(GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, void * img)
{
    epoxy_glGetnTexImageARB = (void *)epoxy_glGetnTexImageARB_resolver();
    epoxy_glGetnTexImageARB(target, level, format, type, bufSize, img);
}
PUBLIC PFNGLGETNTEXIMAGEARBPROC epoxy_glGetnTexImageARB = epoxy_glGetnTexImageARB_rewrite_ptr;

static void
epoxy_glGetnUniformdvARB_rewrite_ptr(GLuint program, GLint location, GLsizei bufSize, GLdouble * params)
{
    epoxy_glGetnUniformdvARB = (void *)epoxy_glGetnUniformdvARB_resolver();
    epoxy_glGetnUniformdvARB(program, location, bufSize, params);
}
PUBLIC PFNGLGETNUNIFORMDVARBPROC epoxy_glGetnUniformdvARB = epoxy_glGetnUniformdvARB_rewrite_ptr;

static void
epoxy_glGetnUniformfvARB_rewrite_ptr(GLuint program, GLint location, GLsizei bufSize, GLfloat * params)
{
    epoxy_glGetnUniformfvARB = (void *)epoxy_glGetnUniformfvARB_resolver();
    epoxy_glGetnUniformfvARB(program, location, bufSize, params);
}
PUBLIC PFNGLGETNUNIFORMFVARBPROC epoxy_glGetnUniformfvARB = epoxy_glGetnUniformfvARB_rewrite_ptr;

static void
epoxy_glGetnUniformfvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei bufSize, GLfloat * params)
{
    epoxy_glGetnUniformfvEXT = (void *)epoxy_glGetnUniformfvEXT_resolver();
    epoxy_glGetnUniformfvEXT(program, location, bufSize, params);
}
PUBLIC PFNGLGETNUNIFORMFVEXTPROC epoxy_glGetnUniformfvEXT = epoxy_glGetnUniformfvEXT_rewrite_ptr;

static void
epoxy_glGetnUniformivARB_rewrite_ptr(GLuint program, GLint location, GLsizei bufSize, GLint * params)
{
    epoxy_glGetnUniformivARB = (void *)epoxy_glGetnUniformivARB_resolver();
    epoxy_glGetnUniformivARB(program, location, bufSize, params);
}
PUBLIC PFNGLGETNUNIFORMIVARBPROC epoxy_glGetnUniformivARB = epoxy_glGetnUniformivARB_rewrite_ptr;

static void
epoxy_glGetnUniformivEXT_rewrite_ptr(GLuint program, GLint location, GLsizei bufSize, GLint * params)
{
    epoxy_glGetnUniformivEXT = (void *)epoxy_glGetnUniformivEXT_resolver();
    epoxy_glGetnUniformivEXT(program, location, bufSize, params);
}
PUBLIC PFNGLGETNUNIFORMIVEXTPROC epoxy_glGetnUniformivEXT = epoxy_glGetnUniformivEXT_rewrite_ptr;

static void
epoxy_glGetnUniformuivARB_rewrite_ptr(GLuint program, GLint location, GLsizei bufSize, GLuint * params)
{
    epoxy_glGetnUniformuivARB = (void *)epoxy_glGetnUniformuivARB_resolver();
    epoxy_glGetnUniformuivARB(program, location, bufSize, params);
}
PUBLIC PFNGLGETNUNIFORMUIVARBPROC epoxy_glGetnUniformuivARB = epoxy_glGetnUniformuivARB_rewrite_ptr;

static void
epoxy_glGlobalAlphaFactorbSUN_rewrite_ptr(GLbyte factor)
{
    epoxy_glGlobalAlphaFactorbSUN = (void *)epoxy_glGlobalAlphaFactorbSUN_resolver();
    epoxy_glGlobalAlphaFactorbSUN(factor);
}
PUBLIC PFNGLGLOBALALPHAFACTORBSUNPROC epoxy_glGlobalAlphaFactorbSUN = epoxy_glGlobalAlphaFactorbSUN_rewrite_ptr;

static void
epoxy_glGlobalAlphaFactordSUN_rewrite_ptr(GLdouble factor)
{
    epoxy_glGlobalAlphaFactordSUN = (void *)epoxy_glGlobalAlphaFactordSUN_resolver();
    epoxy_glGlobalAlphaFactordSUN(factor);
}
PUBLIC PFNGLGLOBALALPHAFACTORDSUNPROC epoxy_glGlobalAlphaFactordSUN = epoxy_glGlobalAlphaFactordSUN_rewrite_ptr;

static void
epoxy_glGlobalAlphaFactorfSUN_rewrite_ptr(GLfloat factor)
{
    epoxy_glGlobalAlphaFactorfSUN = (void *)epoxy_glGlobalAlphaFactorfSUN_resolver();
    epoxy_glGlobalAlphaFactorfSUN(factor);
}
PUBLIC PFNGLGLOBALALPHAFACTORFSUNPROC epoxy_glGlobalAlphaFactorfSUN = epoxy_glGlobalAlphaFactorfSUN_rewrite_ptr;

static void
epoxy_glGlobalAlphaFactoriSUN_rewrite_ptr(GLint factor)
{
    epoxy_glGlobalAlphaFactoriSUN = (void *)epoxy_glGlobalAlphaFactoriSUN_resolver();
    epoxy_glGlobalAlphaFactoriSUN(factor);
}
PUBLIC PFNGLGLOBALALPHAFACTORISUNPROC epoxy_glGlobalAlphaFactoriSUN = epoxy_glGlobalAlphaFactoriSUN_rewrite_ptr;

static void
epoxy_glGlobalAlphaFactorsSUN_rewrite_ptr(GLshort factor)
{
    epoxy_glGlobalAlphaFactorsSUN = (void *)epoxy_glGlobalAlphaFactorsSUN_resolver();
    epoxy_glGlobalAlphaFactorsSUN(factor);
}
PUBLIC PFNGLGLOBALALPHAFACTORSSUNPROC epoxy_glGlobalAlphaFactorsSUN = epoxy_glGlobalAlphaFactorsSUN_rewrite_ptr;

static void
epoxy_glGlobalAlphaFactorubSUN_rewrite_ptr(GLubyte factor)
{
    epoxy_glGlobalAlphaFactorubSUN = (void *)epoxy_glGlobalAlphaFactorubSUN_resolver();
    epoxy_glGlobalAlphaFactorubSUN(factor);
}
PUBLIC PFNGLGLOBALALPHAFACTORUBSUNPROC epoxy_glGlobalAlphaFactorubSUN = epoxy_glGlobalAlphaFactorubSUN_rewrite_ptr;

static void
epoxy_glGlobalAlphaFactoruiSUN_rewrite_ptr(GLuint factor)
{
    epoxy_glGlobalAlphaFactoruiSUN = (void *)epoxy_glGlobalAlphaFactoruiSUN_resolver();
    epoxy_glGlobalAlphaFactoruiSUN(factor);
}
PUBLIC PFNGLGLOBALALPHAFACTORUISUNPROC epoxy_glGlobalAlphaFactoruiSUN = epoxy_glGlobalAlphaFactoruiSUN_rewrite_ptr;

static void
epoxy_glGlobalAlphaFactorusSUN_rewrite_ptr(GLushort factor)
{
    epoxy_glGlobalAlphaFactorusSUN = (void *)epoxy_glGlobalAlphaFactorusSUN_resolver();
    epoxy_glGlobalAlphaFactorusSUN(factor);
}
PUBLIC PFNGLGLOBALALPHAFACTORUSSUNPROC epoxy_glGlobalAlphaFactorusSUN = epoxy_glGlobalAlphaFactorusSUN_rewrite_ptr;

static void
epoxy_glHint_rewrite_ptr(GLenum target, GLenum mode)
{
    epoxy_glHint = (void *)epoxy_glHint_resolver();
    epoxy_glHint(target, mode);
}
PUBLIC PFNGLHINTPROC epoxy_glHint = epoxy_glHint_rewrite_ptr;

static void
epoxy_glHintPGI_rewrite_ptr(GLenum target, GLint mode)
{
    epoxy_glHintPGI = (void *)epoxy_glHintPGI_resolver();
    epoxy_glHintPGI(target, mode);
}
PUBLIC PFNGLHINTPGIPROC epoxy_glHintPGI = epoxy_glHintPGI_rewrite_ptr;

static void
epoxy_glHistogram_rewrite_ptr(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink)
{
    epoxy_glHistogram = (void *)epoxy_glHistogram_resolver();
    epoxy_glHistogram(target, width, internalformat, sink);
}
PUBLIC PFNGLHISTOGRAMPROC epoxy_glHistogram = epoxy_glHistogram_rewrite_ptr;

static void
epoxy_glHistogramEXT_rewrite_ptr(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink)
{
    epoxy_glHistogramEXT = (void *)epoxy_glHistogram_resolver();
    epoxy_glHistogramEXT(target, width, internalformat, sink);
}
PUBLIC PFNGLHISTOGRAMEXTPROC epoxy_glHistogramEXT = epoxy_glHistogramEXT_rewrite_ptr;

static void
epoxy_glIglooInterfaceSGIX_rewrite_ptr(GLenum pname, const void * params)
{
    epoxy_glIglooInterfaceSGIX = (void *)epoxy_glIglooInterfaceSGIX_resolver();
    epoxy_glIglooInterfaceSGIX(pname, params);
}
PUBLIC PFNGLIGLOOINTERFACESGIXPROC epoxy_glIglooInterfaceSGIX = epoxy_glIglooInterfaceSGIX_rewrite_ptr;

static void
epoxy_glImageTransformParameterfHP_rewrite_ptr(GLenum target, GLenum pname, GLfloat param)
{
    epoxy_glImageTransformParameterfHP = (void *)epoxy_glImageTransformParameterfHP_resolver();
    epoxy_glImageTransformParameterfHP(target, pname, param);
}
PUBLIC PFNGLIMAGETRANSFORMPARAMETERFHPPROC epoxy_glImageTransformParameterfHP = epoxy_glImageTransformParameterfHP_rewrite_ptr;

static void
epoxy_glImageTransformParameterfvHP_rewrite_ptr(GLenum target, GLenum pname, const GLfloat * params)
{
    epoxy_glImageTransformParameterfvHP = (void *)epoxy_glImageTransformParameterfvHP_resolver();
    epoxy_glImageTransformParameterfvHP(target, pname, params);
}
PUBLIC PFNGLIMAGETRANSFORMPARAMETERFVHPPROC epoxy_glImageTransformParameterfvHP = epoxy_glImageTransformParameterfvHP_rewrite_ptr;

static void
epoxy_glImageTransformParameteriHP_rewrite_ptr(GLenum target, GLenum pname, GLint param)
{
    epoxy_glImageTransformParameteriHP = (void *)epoxy_glImageTransformParameteriHP_resolver();
    epoxy_glImageTransformParameteriHP(target, pname, param);
}
PUBLIC PFNGLIMAGETRANSFORMPARAMETERIHPPROC epoxy_glImageTransformParameteriHP = epoxy_glImageTransformParameteriHP_rewrite_ptr;

static void
epoxy_glImageTransformParameterivHP_rewrite_ptr(GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glImageTransformParameterivHP = (void *)epoxy_glImageTransformParameterivHP_resolver();
    epoxy_glImageTransformParameterivHP(target, pname, params);
}
PUBLIC PFNGLIMAGETRANSFORMPARAMETERIVHPPROC epoxy_glImageTransformParameterivHP = epoxy_glImageTransformParameterivHP_rewrite_ptr;

static GLsync
epoxy_glImportSyncEXT_rewrite_ptr(GLenum external_sync_type, GLintptr external_sync, GLbitfield flags)
{
    epoxy_glImportSyncEXT = (void *)epoxy_glImportSyncEXT_resolver();
    return epoxy_glImportSyncEXT(external_sync_type, external_sync, flags);
}
PUBLIC PFNGLIMPORTSYNCEXTPROC epoxy_glImportSyncEXT = epoxy_glImportSyncEXT_rewrite_ptr;

static void
epoxy_glIndexFormatNV_rewrite_ptr(GLenum type, GLsizei stride)
{
    epoxy_glIndexFormatNV = (void *)epoxy_glIndexFormatNV_resolver();
    epoxy_glIndexFormatNV(type, stride);
}
PUBLIC PFNGLINDEXFORMATNVPROC epoxy_glIndexFormatNV = epoxy_glIndexFormatNV_rewrite_ptr;

static void
epoxy_glIndexFuncEXT_rewrite_ptr(GLenum func, GLclampf ref)
{
    epoxy_glIndexFuncEXT = (void *)epoxy_glIndexFuncEXT_resolver();
    epoxy_glIndexFuncEXT(func, ref);
}
PUBLIC PFNGLINDEXFUNCEXTPROC epoxy_glIndexFuncEXT = epoxy_glIndexFuncEXT_rewrite_ptr;

static void
epoxy_glIndexMask_rewrite_ptr(GLuint mask)
{
    epoxy_glIndexMask = (void *)epoxy_glIndexMask_resolver();
    epoxy_glIndexMask(mask);
}
PUBLIC PFNGLINDEXMASKPROC epoxy_glIndexMask = epoxy_glIndexMask_rewrite_ptr;

static void
epoxy_glIndexMaterialEXT_rewrite_ptr(GLenum face, GLenum mode)
{
    epoxy_glIndexMaterialEXT = (void *)epoxy_glIndexMaterialEXT_resolver();
    epoxy_glIndexMaterialEXT(face, mode);
}
PUBLIC PFNGLINDEXMATERIALEXTPROC epoxy_glIndexMaterialEXT = epoxy_glIndexMaterialEXT_rewrite_ptr;

static void
epoxy_glIndexPointer_rewrite_ptr(GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glIndexPointer = (void *)epoxy_glIndexPointer_resolver();
    epoxy_glIndexPointer(type, stride, pointer);
}
PUBLIC PFNGLINDEXPOINTERPROC epoxy_glIndexPointer = epoxy_glIndexPointer_rewrite_ptr;

static void
epoxy_glIndexPointerEXT_rewrite_ptr(GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    epoxy_glIndexPointerEXT = (void *)epoxy_glIndexPointerEXT_resolver();
    epoxy_glIndexPointerEXT(type, stride, count, pointer);
}
PUBLIC PFNGLINDEXPOINTEREXTPROC epoxy_glIndexPointerEXT = epoxy_glIndexPointerEXT_rewrite_ptr;

static void
epoxy_glIndexPointerListIBM_rewrite_ptr(GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    epoxy_glIndexPointerListIBM = (void *)epoxy_glIndexPointerListIBM_resolver();
    epoxy_glIndexPointerListIBM(type, stride, pointer, ptrstride);
}
PUBLIC PFNGLINDEXPOINTERLISTIBMPROC epoxy_glIndexPointerListIBM = epoxy_glIndexPointerListIBM_rewrite_ptr;

static void
epoxy_glIndexd_rewrite_ptr(GLdouble c)
{
    epoxy_glIndexd = (void *)epoxy_glIndexd_resolver();
    epoxy_glIndexd(c);
}
PUBLIC PFNGLINDEXDPROC epoxy_glIndexd = epoxy_glIndexd_rewrite_ptr;

static void
epoxy_glIndexdv_rewrite_ptr(const GLdouble * c)
{
    epoxy_glIndexdv = (void *)epoxy_glIndexdv_resolver();
    epoxy_glIndexdv(c);
}
PUBLIC PFNGLINDEXDVPROC epoxy_glIndexdv = epoxy_glIndexdv_rewrite_ptr;

static void
epoxy_glIndexf_rewrite_ptr(GLfloat c)
{
    epoxy_glIndexf = (void *)epoxy_glIndexf_resolver();
    epoxy_glIndexf(c);
}
PUBLIC PFNGLINDEXFPROC epoxy_glIndexf = epoxy_glIndexf_rewrite_ptr;

static void
epoxy_glIndexfv_rewrite_ptr(const GLfloat * c)
{
    epoxy_glIndexfv = (void *)epoxy_glIndexfv_resolver();
    epoxy_glIndexfv(c);
}
PUBLIC PFNGLINDEXFVPROC epoxy_glIndexfv = epoxy_glIndexfv_rewrite_ptr;

static void
epoxy_glIndexi_rewrite_ptr(GLint c)
{
    epoxy_glIndexi = (void *)epoxy_glIndexi_resolver();
    epoxy_glIndexi(c);
}
PUBLIC PFNGLINDEXIPROC epoxy_glIndexi = epoxy_glIndexi_rewrite_ptr;

static void
epoxy_glIndexiv_rewrite_ptr(const GLint * c)
{
    epoxy_glIndexiv = (void *)epoxy_glIndexiv_resolver();
    epoxy_glIndexiv(c);
}
PUBLIC PFNGLINDEXIVPROC epoxy_glIndexiv = epoxy_glIndexiv_rewrite_ptr;

static void
epoxy_glIndexs_rewrite_ptr(GLshort c)
{
    epoxy_glIndexs = (void *)epoxy_glIndexs_resolver();
    epoxy_glIndexs(c);
}
PUBLIC PFNGLINDEXSPROC epoxy_glIndexs = epoxy_glIndexs_rewrite_ptr;

static void
epoxy_glIndexsv_rewrite_ptr(const GLshort * c)
{
    epoxy_glIndexsv = (void *)epoxy_glIndexsv_resolver();
    epoxy_glIndexsv(c);
}
PUBLIC PFNGLINDEXSVPROC epoxy_glIndexsv = epoxy_glIndexsv_rewrite_ptr;

static void
epoxy_glIndexub_rewrite_ptr(GLubyte c)
{
    epoxy_glIndexub = (void *)epoxy_glIndexub_resolver();
    epoxy_glIndexub(c);
}
PUBLIC PFNGLINDEXUBPROC epoxy_glIndexub = epoxy_glIndexub_rewrite_ptr;

static void
epoxy_glIndexubv_rewrite_ptr(const GLubyte * c)
{
    epoxy_glIndexubv = (void *)epoxy_glIndexubv_resolver();
    epoxy_glIndexubv(c);
}
PUBLIC PFNGLINDEXUBVPROC epoxy_glIndexubv = epoxy_glIndexubv_rewrite_ptr;

static void
epoxy_glIndexxOES_rewrite_ptr(GLfixed component)
{
    epoxy_glIndexxOES = (void *)epoxy_glIndexxOES_resolver();
    epoxy_glIndexxOES(component);
}
PUBLIC PFNGLINDEXXOESPROC epoxy_glIndexxOES = epoxy_glIndexxOES_rewrite_ptr;

static void
epoxy_glIndexxvOES_rewrite_ptr(const GLfixed * component)
{
    epoxy_glIndexxvOES = (void *)epoxy_glIndexxvOES_resolver();
    epoxy_glIndexxvOES(component);
}
PUBLIC PFNGLINDEXXVOESPROC epoxy_glIndexxvOES = epoxy_glIndexxvOES_rewrite_ptr;

static void
epoxy_glInitNames_rewrite_ptr(void)
{
    epoxy_glInitNames = (void *)epoxy_glInitNames_resolver();
    epoxy_glInitNames();
}
PUBLIC PFNGLINITNAMESPROC epoxy_glInitNames = epoxy_glInitNames_rewrite_ptr;

static void
epoxy_glInsertComponentEXT_rewrite_ptr(GLuint res, GLuint src, GLuint num)
{
    epoxy_glInsertComponentEXT = (void *)epoxy_glInsertComponentEXT_resolver();
    epoxy_glInsertComponentEXT(res, src, num);
}
PUBLIC PFNGLINSERTCOMPONENTEXTPROC epoxy_glInsertComponentEXT = epoxy_glInsertComponentEXT_rewrite_ptr;

static void
epoxy_glInsertEventMarkerEXT_rewrite_ptr(GLsizei length, const GLchar * marker)
{
    epoxy_glInsertEventMarkerEXT = (void *)epoxy_glInsertEventMarkerEXT_resolver();
    epoxy_glInsertEventMarkerEXT(length, marker);
}
PUBLIC PFNGLINSERTEVENTMARKEREXTPROC epoxy_glInsertEventMarkerEXT = epoxy_glInsertEventMarkerEXT_rewrite_ptr;

static void
epoxy_glInstrumentsBufferSGIX_rewrite_ptr(GLsizei size, GLint * buffer)
{
    epoxy_glInstrumentsBufferSGIX = (void *)epoxy_glInstrumentsBufferSGIX_resolver();
    epoxy_glInstrumentsBufferSGIX(size, buffer);
}
PUBLIC PFNGLINSTRUMENTSBUFFERSGIXPROC epoxy_glInstrumentsBufferSGIX = epoxy_glInstrumentsBufferSGIX_rewrite_ptr;

static void
epoxy_glInterleavedArrays_rewrite_ptr(GLenum format, GLsizei stride, const void * pointer)
{
    epoxy_glInterleavedArrays = (void *)epoxy_glInterleavedArrays_resolver();
    epoxy_glInterleavedArrays(format, stride, pointer);
}
PUBLIC PFNGLINTERLEAVEDARRAYSPROC epoxy_glInterleavedArrays = epoxy_glInterleavedArrays_rewrite_ptr;

static void
epoxy_glInterpolatePathsNV_rewrite_ptr(GLuint resultPath, GLuint pathA, GLuint pathB, GLfloat weight)
{
    epoxy_glInterpolatePathsNV = (void *)epoxy_glInterpolatePathsNV_resolver();
    epoxy_glInterpolatePathsNV(resultPath, pathA, pathB, weight);
}
PUBLIC PFNGLINTERPOLATEPATHSNVPROC epoxy_glInterpolatePathsNV = epoxy_glInterpolatePathsNV_rewrite_ptr;

static void
epoxy_glInvalidateBufferData_rewrite_ptr(GLuint buffer)
{
    epoxy_glInvalidateBufferData = (void *)epoxy_glInvalidateBufferData_resolver();
    epoxy_glInvalidateBufferData(buffer);
}
PUBLIC PFNGLINVALIDATEBUFFERDATAPROC epoxy_glInvalidateBufferData = epoxy_glInvalidateBufferData_rewrite_ptr;

static void
epoxy_glInvalidateBufferSubData_rewrite_ptr(GLuint buffer, GLintptr offset, GLsizeiptr length)
{
    epoxy_glInvalidateBufferSubData = (void *)epoxy_glInvalidateBufferSubData_resolver();
    epoxy_glInvalidateBufferSubData(buffer, offset, length);
}
PUBLIC PFNGLINVALIDATEBUFFERSUBDATAPROC epoxy_glInvalidateBufferSubData = epoxy_glInvalidateBufferSubData_rewrite_ptr;

static void
epoxy_glInvalidateFramebuffer_rewrite_ptr(GLenum target, GLsizei numAttachments, const GLenum * attachments)
{
    epoxy_glInvalidateFramebuffer = (void *)epoxy_glInvalidateFramebuffer_resolver();
    epoxy_glInvalidateFramebuffer(target, numAttachments, attachments);
}
PUBLIC PFNGLINVALIDATEFRAMEBUFFERPROC epoxy_glInvalidateFramebuffer = epoxy_glInvalidateFramebuffer_rewrite_ptr;

static void
epoxy_glInvalidateSubFramebuffer_rewrite_ptr(GLenum target, GLsizei numAttachments, const GLenum * attachments, GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glInvalidateSubFramebuffer = (void *)epoxy_glInvalidateSubFramebuffer_resolver();
    epoxy_glInvalidateSubFramebuffer(target, numAttachments, attachments, x, y, width, height);
}
PUBLIC PFNGLINVALIDATESUBFRAMEBUFFERPROC epoxy_glInvalidateSubFramebuffer = epoxy_glInvalidateSubFramebuffer_rewrite_ptr;

static void
epoxy_glInvalidateTexImage_rewrite_ptr(GLuint texture, GLint level)
{
    epoxy_glInvalidateTexImage = (void *)epoxy_glInvalidateTexImage_resolver();
    epoxy_glInvalidateTexImage(texture, level);
}
PUBLIC PFNGLINVALIDATETEXIMAGEPROC epoxy_glInvalidateTexImage = epoxy_glInvalidateTexImage_rewrite_ptr;

static void
epoxy_glInvalidateTexSubImage_rewrite_ptr(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth)
{
    epoxy_glInvalidateTexSubImage = (void *)epoxy_glInvalidateTexSubImage_resolver();
    epoxy_glInvalidateTexSubImage(texture, level, xoffset, yoffset, zoffset, width, height, depth);
}
PUBLIC PFNGLINVALIDATETEXSUBIMAGEPROC epoxy_glInvalidateTexSubImage = epoxy_glInvalidateTexSubImage_rewrite_ptr;

static GLboolean
epoxy_glIsAsyncMarkerSGIX_rewrite_ptr(GLuint marker)
{
    epoxy_glIsAsyncMarkerSGIX = (void *)epoxy_glIsAsyncMarkerSGIX_resolver();
    return epoxy_glIsAsyncMarkerSGIX(marker);
}
PUBLIC PFNGLISASYNCMARKERSGIXPROC epoxy_glIsAsyncMarkerSGIX = epoxy_glIsAsyncMarkerSGIX_rewrite_ptr;

static GLboolean
epoxy_glIsBuffer_rewrite_ptr(GLuint buffer)
{
    epoxy_glIsBuffer = (void *)epoxy_glIsBuffer_resolver();
    return epoxy_glIsBuffer(buffer);
}
PUBLIC PFNGLISBUFFERPROC epoxy_glIsBuffer = epoxy_glIsBuffer_rewrite_ptr;

static GLboolean
epoxy_glIsBufferARB_rewrite_ptr(GLuint buffer)
{
    epoxy_glIsBufferARB = (void *)epoxy_glIsBuffer_resolver();
    return epoxy_glIsBufferARB(buffer);
}
PUBLIC PFNGLISBUFFERARBPROC epoxy_glIsBufferARB = epoxy_glIsBufferARB_rewrite_ptr;

static GLboolean
epoxy_glIsBufferResidentNV_rewrite_ptr(GLenum target)
{
    epoxy_glIsBufferResidentNV = (void *)epoxy_glIsBufferResidentNV_resolver();
    return epoxy_glIsBufferResidentNV(target);
}
PUBLIC PFNGLISBUFFERRESIDENTNVPROC epoxy_glIsBufferResidentNV = epoxy_glIsBufferResidentNV_rewrite_ptr;

static GLboolean
epoxy_glIsEnabled_rewrite_ptr(GLenum cap)
{
    epoxy_glIsEnabled = (void *)epoxy_glIsEnabled_resolver();
    return epoxy_glIsEnabled(cap);
}
PUBLIC PFNGLISENABLEDPROC epoxy_glIsEnabled = epoxy_glIsEnabled_rewrite_ptr;

static GLboolean
epoxy_glIsEnabledIndexedEXT_rewrite_ptr(GLenum target, GLuint index)
{
    epoxy_glIsEnabledIndexedEXT = (void *)epoxy_glIsEnabledi_resolver();
    return epoxy_glIsEnabledIndexedEXT(target, index);
}
PUBLIC PFNGLISENABLEDINDEXEDEXTPROC epoxy_glIsEnabledIndexedEXT = epoxy_glIsEnabledIndexedEXT_rewrite_ptr;

static GLboolean
epoxy_glIsEnabledi_rewrite_ptr(GLenum target, GLuint index)
{
    epoxy_glIsEnabledi = (void *)epoxy_glIsEnabledi_resolver();
    return epoxy_glIsEnabledi(target, index);
}
PUBLIC PFNGLISENABLEDIPROC epoxy_glIsEnabledi = epoxy_glIsEnabledi_rewrite_ptr;

static GLboolean
epoxy_glIsFenceAPPLE_rewrite_ptr(GLuint fence)
{
    epoxy_glIsFenceAPPLE = (void *)epoxy_glIsFenceAPPLE_resolver();
    return epoxy_glIsFenceAPPLE(fence);
}
PUBLIC PFNGLISFENCEAPPLEPROC epoxy_glIsFenceAPPLE = epoxy_glIsFenceAPPLE_rewrite_ptr;

static GLboolean
epoxy_glIsFenceNV_rewrite_ptr(GLuint fence)
{
    epoxy_glIsFenceNV = (void *)epoxy_glIsFenceNV_resolver();
    return epoxy_glIsFenceNV(fence);
}
PUBLIC PFNGLISFENCENVPROC epoxy_glIsFenceNV = epoxy_glIsFenceNV_rewrite_ptr;

static GLboolean
epoxy_glIsFramebuffer_rewrite_ptr(GLuint framebuffer)
{
    epoxy_glIsFramebuffer = (void *)epoxy_glIsFramebuffer_resolver();
    return epoxy_glIsFramebuffer(framebuffer);
}
PUBLIC PFNGLISFRAMEBUFFERPROC epoxy_glIsFramebuffer = epoxy_glIsFramebuffer_rewrite_ptr;

static GLboolean
epoxy_glIsFramebufferEXT_rewrite_ptr(GLuint framebuffer)
{
    epoxy_glIsFramebufferEXT = (void *)epoxy_glIsFramebuffer_resolver();
    return epoxy_glIsFramebufferEXT(framebuffer);
}
PUBLIC PFNGLISFRAMEBUFFEREXTPROC epoxy_glIsFramebufferEXT = epoxy_glIsFramebufferEXT_rewrite_ptr;

static GLboolean
epoxy_glIsFramebufferOES_rewrite_ptr(GLuint framebuffer)
{
    epoxy_glIsFramebufferOES = (void *)epoxy_glIsFramebufferOES_resolver();
    return epoxy_glIsFramebufferOES(framebuffer);
}
PUBLIC PFNGLISFRAMEBUFFEROESPROC epoxy_glIsFramebufferOES = epoxy_glIsFramebufferOES_rewrite_ptr;

static GLboolean
epoxy_glIsImageHandleResidentARB_rewrite_ptr(GLuint64 handle)
{
    epoxy_glIsImageHandleResidentARB = (void *)epoxy_glIsImageHandleResidentARB_resolver();
    return epoxy_glIsImageHandleResidentARB(handle);
}
PUBLIC PFNGLISIMAGEHANDLERESIDENTARBPROC epoxy_glIsImageHandleResidentARB = epoxy_glIsImageHandleResidentARB_rewrite_ptr;

static GLboolean
epoxy_glIsImageHandleResidentNV_rewrite_ptr(GLuint64 handle)
{
    epoxy_glIsImageHandleResidentNV = (void *)epoxy_glIsImageHandleResidentNV_resolver();
    return epoxy_glIsImageHandleResidentNV(handle);
}
PUBLIC PFNGLISIMAGEHANDLERESIDENTNVPROC epoxy_glIsImageHandleResidentNV = epoxy_glIsImageHandleResidentNV_rewrite_ptr;

static GLboolean
epoxy_glIsList_rewrite_ptr(GLuint list)
{
    epoxy_glIsList = (void *)epoxy_glIsList_resolver();
    return epoxy_glIsList(list);
}
PUBLIC PFNGLISLISTPROC epoxy_glIsList = epoxy_glIsList_rewrite_ptr;

static GLboolean
epoxy_glIsNameAMD_rewrite_ptr(GLenum identifier, GLuint name)
{
    epoxy_glIsNameAMD = (void *)epoxy_glIsNameAMD_resolver();
    return epoxy_glIsNameAMD(identifier, name);
}
PUBLIC PFNGLISNAMEAMDPROC epoxy_glIsNameAMD = epoxy_glIsNameAMD_rewrite_ptr;

static GLboolean
epoxy_glIsNamedBufferResidentNV_rewrite_ptr(GLuint buffer)
{
    epoxy_glIsNamedBufferResidentNV = (void *)epoxy_glIsNamedBufferResidentNV_resolver();
    return epoxy_glIsNamedBufferResidentNV(buffer);
}
PUBLIC PFNGLISNAMEDBUFFERRESIDENTNVPROC epoxy_glIsNamedBufferResidentNV = epoxy_glIsNamedBufferResidentNV_rewrite_ptr;

static GLboolean
epoxy_glIsNamedStringARB_rewrite_ptr(GLint namelen, const GLchar * name)
{
    epoxy_glIsNamedStringARB = (void *)epoxy_glIsNamedStringARB_resolver();
    return epoxy_glIsNamedStringARB(namelen, name);
}
PUBLIC PFNGLISNAMEDSTRINGARBPROC epoxy_glIsNamedStringARB = epoxy_glIsNamedStringARB_rewrite_ptr;

static GLboolean
epoxy_glIsObjectBufferATI_rewrite_ptr(GLuint buffer)
{
    epoxy_glIsObjectBufferATI = (void *)epoxy_glIsObjectBufferATI_resolver();
    return epoxy_glIsObjectBufferATI(buffer);
}
PUBLIC PFNGLISOBJECTBUFFERATIPROC epoxy_glIsObjectBufferATI = epoxy_glIsObjectBufferATI_rewrite_ptr;

static GLboolean
epoxy_glIsOcclusionQueryNV_rewrite_ptr(GLuint id)
{
    epoxy_glIsOcclusionQueryNV = (void *)epoxy_glIsOcclusionQueryNV_resolver();
    return epoxy_glIsOcclusionQueryNV(id);
}
PUBLIC PFNGLISOCCLUSIONQUERYNVPROC epoxy_glIsOcclusionQueryNV = epoxy_glIsOcclusionQueryNV_rewrite_ptr;

static GLboolean
epoxy_glIsPathNV_rewrite_ptr(GLuint path)
{
    epoxy_glIsPathNV = (void *)epoxy_glIsPathNV_resolver();
    return epoxy_glIsPathNV(path);
}
PUBLIC PFNGLISPATHNVPROC epoxy_glIsPathNV = epoxy_glIsPathNV_rewrite_ptr;

static GLboolean
epoxy_glIsPointInFillPathNV_rewrite_ptr(GLuint path, GLuint mask, GLfloat x, GLfloat y)
{
    epoxy_glIsPointInFillPathNV = (void *)epoxy_glIsPointInFillPathNV_resolver();
    return epoxy_glIsPointInFillPathNV(path, mask, x, y);
}
PUBLIC PFNGLISPOINTINFILLPATHNVPROC epoxy_glIsPointInFillPathNV = epoxy_glIsPointInFillPathNV_rewrite_ptr;

static GLboolean
epoxy_glIsPointInStrokePathNV_rewrite_ptr(GLuint path, GLfloat x, GLfloat y)
{
    epoxy_glIsPointInStrokePathNV = (void *)epoxy_glIsPointInStrokePathNV_resolver();
    return epoxy_glIsPointInStrokePathNV(path, x, y);
}
PUBLIC PFNGLISPOINTINSTROKEPATHNVPROC epoxy_glIsPointInStrokePathNV = epoxy_glIsPointInStrokePathNV_rewrite_ptr;

static GLboolean
epoxy_glIsProgram_rewrite_ptr(GLuint program)
{
    epoxy_glIsProgram = (void *)epoxy_glIsProgram_resolver();
    return epoxy_glIsProgram(program);
}
PUBLIC PFNGLISPROGRAMPROC epoxy_glIsProgram = epoxy_glIsProgram_rewrite_ptr;

static GLboolean
epoxy_glIsProgramARB_rewrite_ptr(GLuint program)
{
    epoxy_glIsProgramARB = (void *)epoxy_glIsProgramARB_resolver();
    return epoxy_glIsProgramARB(program);
}
PUBLIC PFNGLISPROGRAMARBPROC epoxy_glIsProgramARB = epoxy_glIsProgramARB_rewrite_ptr;

static GLboolean
epoxy_glIsProgramNV_rewrite_ptr(GLuint id)
{
    epoxy_glIsProgramNV = (void *)epoxy_glIsProgramARB_resolver();
    return epoxy_glIsProgramNV(id);
}
PUBLIC PFNGLISPROGRAMNVPROC epoxy_glIsProgramNV = epoxy_glIsProgramNV_rewrite_ptr;

static GLboolean
epoxy_glIsProgramPipeline_rewrite_ptr(GLuint pipeline)
{
    epoxy_glIsProgramPipeline = (void *)epoxy_glIsProgramPipeline_resolver();
    return epoxy_glIsProgramPipeline(pipeline);
}
PUBLIC PFNGLISPROGRAMPIPELINEPROC epoxy_glIsProgramPipeline = epoxy_glIsProgramPipeline_rewrite_ptr;

static GLboolean
epoxy_glIsProgramPipelineEXT_rewrite_ptr(GLuint pipeline)
{
    epoxy_glIsProgramPipelineEXT = (void *)epoxy_glIsProgramPipelineEXT_resolver();
    return epoxy_glIsProgramPipelineEXT(pipeline);
}
PUBLIC PFNGLISPROGRAMPIPELINEEXTPROC epoxy_glIsProgramPipelineEXT = epoxy_glIsProgramPipelineEXT_rewrite_ptr;

static GLboolean
epoxy_glIsQuery_rewrite_ptr(GLuint id)
{
    epoxy_glIsQuery = (void *)epoxy_glIsQuery_resolver();
    return epoxy_glIsQuery(id);
}
PUBLIC PFNGLISQUERYPROC epoxy_glIsQuery = epoxy_glIsQuery_rewrite_ptr;

static GLboolean
epoxy_glIsQueryARB_rewrite_ptr(GLuint id)
{
    epoxy_glIsQueryARB = (void *)epoxy_glIsQuery_resolver();
    return epoxy_glIsQueryARB(id);
}
PUBLIC PFNGLISQUERYARBPROC epoxy_glIsQueryARB = epoxy_glIsQueryARB_rewrite_ptr;

static GLboolean
epoxy_glIsQueryEXT_rewrite_ptr(GLuint id)
{
    epoxy_glIsQueryEXT = (void *)epoxy_glIsQueryEXT_resolver();
    return epoxy_glIsQueryEXT(id);
}
PUBLIC PFNGLISQUERYEXTPROC epoxy_glIsQueryEXT = epoxy_glIsQueryEXT_rewrite_ptr;

static GLboolean
epoxy_glIsRenderbuffer_rewrite_ptr(GLuint renderbuffer)
{
    epoxy_glIsRenderbuffer = (void *)epoxy_glIsRenderbuffer_resolver();
    return epoxy_glIsRenderbuffer(renderbuffer);
}
PUBLIC PFNGLISRENDERBUFFERPROC epoxy_glIsRenderbuffer = epoxy_glIsRenderbuffer_rewrite_ptr;

static GLboolean
epoxy_glIsRenderbufferEXT_rewrite_ptr(GLuint renderbuffer)
{
    epoxy_glIsRenderbufferEXT = (void *)epoxy_glIsRenderbuffer_resolver();
    return epoxy_glIsRenderbufferEXT(renderbuffer);
}
PUBLIC PFNGLISRENDERBUFFEREXTPROC epoxy_glIsRenderbufferEXT = epoxy_glIsRenderbufferEXT_rewrite_ptr;

static GLboolean
epoxy_glIsRenderbufferOES_rewrite_ptr(GLuint renderbuffer)
{
    epoxy_glIsRenderbufferOES = (void *)epoxy_glIsRenderbufferOES_resolver();
    return epoxy_glIsRenderbufferOES(renderbuffer);
}
PUBLIC PFNGLISRENDERBUFFEROESPROC epoxy_glIsRenderbufferOES = epoxy_glIsRenderbufferOES_rewrite_ptr;

static GLboolean
epoxy_glIsSampler_rewrite_ptr(GLuint sampler)
{
    epoxy_glIsSampler = (void *)epoxy_glIsSampler_resolver();
    return epoxy_glIsSampler(sampler);
}
PUBLIC PFNGLISSAMPLERPROC epoxy_glIsSampler = epoxy_glIsSampler_rewrite_ptr;

static GLboolean
epoxy_glIsShader_rewrite_ptr(GLuint shader)
{
    epoxy_glIsShader = (void *)epoxy_glIsShader_resolver();
    return epoxy_glIsShader(shader);
}
PUBLIC PFNGLISSHADERPROC epoxy_glIsShader = epoxy_glIsShader_rewrite_ptr;

static GLboolean
epoxy_glIsSync_rewrite_ptr(GLsync sync)
{
    epoxy_glIsSync = (void *)epoxy_glIsSync_resolver();
    return epoxy_glIsSync(sync);
}
PUBLIC PFNGLISSYNCPROC epoxy_glIsSync = epoxy_glIsSync_rewrite_ptr;

static GLboolean
epoxy_glIsSyncAPPLE_rewrite_ptr(GLsync sync)
{
    epoxy_glIsSyncAPPLE = (void *)epoxy_glIsSync_resolver();
    return epoxy_glIsSyncAPPLE(sync);
}
PUBLIC PFNGLISSYNCAPPLEPROC epoxy_glIsSyncAPPLE = epoxy_glIsSyncAPPLE_rewrite_ptr;

static GLboolean
epoxy_glIsTexture_rewrite_ptr(GLuint texture)
{
    epoxy_glIsTexture = (void *)epoxy_glIsTexture_resolver();
    return epoxy_glIsTexture(texture);
}
PUBLIC PFNGLISTEXTUREPROC epoxy_glIsTexture = epoxy_glIsTexture_rewrite_ptr;

static GLboolean
epoxy_glIsTextureEXT_rewrite_ptr(GLuint texture)
{
    epoxy_glIsTextureEXT = (void *)epoxy_glIsTextureEXT_resolver();
    return epoxy_glIsTextureEXT(texture);
}
PUBLIC PFNGLISTEXTUREEXTPROC epoxy_glIsTextureEXT = epoxy_glIsTextureEXT_rewrite_ptr;

static GLboolean
epoxy_glIsTextureHandleResidentARB_rewrite_ptr(GLuint64 handle)
{
    epoxy_glIsTextureHandleResidentARB = (void *)epoxy_glIsTextureHandleResidentARB_resolver();
    return epoxy_glIsTextureHandleResidentARB(handle);
}
PUBLIC PFNGLISTEXTUREHANDLERESIDENTARBPROC epoxy_glIsTextureHandleResidentARB = epoxy_glIsTextureHandleResidentARB_rewrite_ptr;

static GLboolean
epoxy_glIsTextureHandleResidentNV_rewrite_ptr(GLuint64 handle)
{
    epoxy_glIsTextureHandleResidentNV = (void *)epoxy_glIsTextureHandleResidentNV_resolver();
    return epoxy_glIsTextureHandleResidentNV(handle);
}
PUBLIC PFNGLISTEXTUREHANDLERESIDENTNVPROC epoxy_glIsTextureHandleResidentNV = epoxy_glIsTextureHandleResidentNV_rewrite_ptr;

static GLboolean
epoxy_glIsTransformFeedback_rewrite_ptr(GLuint id)
{
    epoxy_glIsTransformFeedback = (void *)epoxy_glIsTransformFeedback_resolver();
    return epoxy_glIsTransformFeedback(id);
}
PUBLIC PFNGLISTRANSFORMFEEDBACKPROC epoxy_glIsTransformFeedback = epoxy_glIsTransformFeedback_rewrite_ptr;

static GLboolean
epoxy_glIsTransformFeedbackNV_rewrite_ptr(GLuint id)
{
    epoxy_glIsTransformFeedbackNV = (void *)epoxy_glIsTransformFeedback_resolver();
    return epoxy_glIsTransformFeedbackNV(id);
}
PUBLIC PFNGLISTRANSFORMFEEDBACKNVPROC epoxy_glIsTransformFeedbackNV = epoxy_glIsTransformFeedbackNV_rewrite_ptr;

static GLboolean
epoxy_glIsVariantEnabledEXT_rewrite_ptr(GLuint id, GLenum cap)
{
    epoxy_glIsVariantEnabledEXT = (void *)epoxy_glIsVariantEnabledEXT_resolver();
    return epoxy_glIsVariantEnabledEXT(id, cap);
}
PUBLIC PFNGLISVARIANTENABLEDEXTPROC epoxy_glIsVariantEnabledEXT = epoxy_glIsVariantEnabledEXT_rewrite_ptr;

static GLboolean
epoxy_glIsVertexArray_rewrite_ptr(GLuint array)
{
    epoxy_glIsVertexArray = (void *)epoxy_glIsVertexArray_resolver();
    return epoxy_glIsVertexArray(array);
}
PUBLIC PFNGLISVERTEXARRAYPROC epoxy_glIsVertexArray = epoxy_glIsVertexArray_rewrite_ptr;

static GLboolean
epoxy_glIsVertexArrayAPPLE_rewrite_ptr(GLuint array)
{
    epoxy_glIsVertexArrayAPPLE = (void *)epoxy_glIsVertexArray_resolver();
    return epoxy_glIsVertexArrayAPPLE(array);
}
PUBLIC PFNGLISVERTEXARRAYAPPLEPROC epoxy_glIsVertexArrayAPPLE = epoxy_glIsVertexArrayAPPLE_rewrite_ptr;

static GLboolean
epoxy_glIsVertexArrayOES_rewrite_ptr(GLuint array)
{
    epoxy_glIsVertexArrayOES = (void *)epoxy_glIsVertexArray_resolver();
    return epoxy_glIsVertexArrayOES(array);
}
PUBLIC PFNGLISVERTEXARRAYOESPROC epoxy_glIsVertexArrayOES = epoxy_glIsVertexArrayOES_rewrite_ptr;

static GLboolean
epoxy_glIsVertexAttribEnabledAPPLE_rewrite_ptr(GLuint index, GLenum pname)
{
    epoxy_glIsVertexAttribEnabledAPPLE = (void *)epoxy_glIsVertexAttribEnabledAPPLE_resolver();
    return epoxy_glIsVertexAttribEnabledAPPLE(index, pname);
}
PUBLIC PFNGLISVERTEXATTRIBENABLEDAPPLEPROC epoxy_glIsVertexAttribEnabledAPPLE = epoxy_glIsVertexAttribEnabledAPPLE_rewrite_ptr;

static void
epoxy_glLabelObjectEXT_rewrite_ptr(GLenum type, GLuint object, GLsizei length, const GLchar * label)
{
    epoxy_glLabelObjectEXT = (void *)epoxy_glLabelObjectEXT_resolver();
    epoxy_glLabelObjectEXT(type, object, length, label);
}
PUBLIC PFNGLLABELOBJECTEXTPROC epoxy_glLabelObjectEXT = epoxy_glLabelObjectEXT_rewrite_ptr;

static void
epoxy_glLightEnviSGIX_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glLightEnviSGIX = (void *)epoxy_glLightEnviSGIX_resolver();
    epoxy_glLightEnviSGIX(pname, param);
}
PUBLIC PFNGLLIGHTENVISGIXPROC epoxy_glLightEnviSGIX = epoxy_glLightEnviSGIX_rewrite_ptr;

static void
epoxy_glLightModelf_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glLightModelf = (void *)epoxy_glLightModelf_resolver();
    epoxy_glLightModelf(pname, param);
}
PUBLIC PFNGLLIGHTMODELFPROC epoxy_glLightModelf = epoxy_glLightModelf_rewrite_ptr;

static void
epoxy_glLightModelfv_rewrite_ptr(GLenum pname, const GLfloat * params)
{
    epoxy_glLightModelfv = (void *)epoxy_glLightModelfv_resolver();
    epoxy_glLightModelfv(pname, params);
}
PUBLIC PFNGLLIGHTMODELFVPROC epoxy_glLightModelfv = epoxy_glLightModelfv_rewrite_ptr;

static void
epoxy_glLightModeli_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glLightModeli = (void *)epoxy_glLightModeli_resolver();
    epoxy_glLightModeli(pname, param);
}
PUBLIC PFNGLLIGHTMODELIPROC epoxy_glLightModeli = epoxy_glLightModeli_rewrite_ptr;

static void
epoxy_glLightModeliv_rewrite_ptr(GLenum pname, const GLint * params)
{
    epoxy_glLightModeliv = (void *)epoxy_glLightModeliv_resolver();
    epoxy_glLightModeliv(pname, params);
}
PUBLIC PFNGLLIGHTMODELIVPROC epoxy_glLightModeliv = epoxy_glLightModeliv_rewrite_ptr;

static void
epoxy_glLightModelx_rewrite_ptr(GLenum pname, GLfixed param)
{
    epoxy_glLightModelx = (void *)epoxy_glLightModelx_resolver();
    epoxy_glLightModelx(pname, param);
}
PUBLIC PFNGLLIGHTMODELXPROC epoxy_glLightModelx = epoxy_glLightModelx_rewrite_ptr;

static void
epoxy_glLightModelxOES_rewrite_ptr(GLenum pname, GLfixed param)
{
    epoxy_glLightModelxOES = (void *)epoxy_glLightModelxOES_resolver();
    epoxy_glLightModelxOES(pname, param);
}
PUBLIC PFNGLLIGHTMODELXOESPROC epoxy_glLightModelxOES = epoxy_glLightModelxOES_rewrite_ptr;

static void
epoxy_glLightModelxv_rewrite_ptr(GLenum pname, const GLfixed * param)
{
    epoxy_glLightModelxv = (void *)epoxy_glLightModelxv_resolver();
    epoxy_glLightModelxv(pname, param);
}
PUBLIC PFNGLLIGHTMODELXVPROC epoxy_glLightModelxv = epoxy_glLightModelxv_rewrite_ptr;

static void
epoxy_glLightModelxvOES_rewrite_ptr(GLenum pname, const GLfixed * param)
{
    epoxy_glLightModelxvOES = (void *)epoxy_glLightModelxvOES_resolver();
    epoxy_glLightModelxvOES(pname, param);
}
PUBLIC PFNGLLIGHTMODELXVOESPROC epoxy_glLightModelxvOES = epoxy_glLightModelxvOES_rewrite_ptr;

static void
epoxy_glLightf_rewrite_ptr(GLenum light, GLenum pname, GLfloat param)
{
    epoxy_glLightf = (void *)epoxy_glLightf_resolver();
    epoxy_glLightf(light, pname, param);
}
PUBLIC PFNGLLIGHTFPROC epoxy_glLightf = epoxy_glLightf_rewrite_ptr;

static void
epoxy_glLightfv_rewrite_ptr(GLenum light, GLenum pname, const GLfloat * params)
{
    epoxy_glLightfv = (void *)epoxy_glLightfv_resolver();
    epoxy_glLightfv(light, pname, params);
}
PUBLIC PFNGLLIGHTFVPROC epoxy_glLightfv = epoxy_glLightfv_rewrite_ptr;

static void
epoxy_glLighti_rewrite_ptr(GLenum light, GLenum pname, GLint param)
{
    epoxy_glLighti = (void *)epoxy_glLighti_resolver();
    epoxy_glLighti(light, pname, param);
}
PUBLIC PFNGLLIGHTIPROC epoxy_glLighti = epoxy_glLighti_rewrite_ptr;

static void
epoxy_glLightiv_rewrite_ptr(GLenum light, GLenum pname, const GLint * params)
{
    epoxy_glLightiv = (void *)epoxy_glLightiv_resolver();
    epoxy_glLightiv(light, pname, params);
}
PUBLIC PFNGLLIGHTIVPROC epoxy_glLightiv = epoxy_glLightiv_rewrite_ptr;

static void
epoxy_glLightx_rewrite_ptr(GLenum light, GLenum pname, GLfixed param)
{
    epoxy_glLightx = (void *)epoxy_glLightx_resolver();
    epoxy_glLightx(light, pname, param);
}
PUBLIC PFNGLLIGHTXPROC epoxy_glLightx = epoxy_glLightx_rewrite_ptr;

static void
epoxy_glLightxOES_rewrite_ptr(GLenum light, GLenum pname, GLfixed param)
{
    epoxy_glLightxOES = (void *)epoxy_glLightxOES_resolver();
    epoxy_glLightxOES(light, pname, param);
}
PUBLIC PFNGLLIGHTXOESPROC epoxy_glLightxOES = epoxy_glLightxOES_rewrite_ptr;

static void
epoxy_glLightxv_rewrite_ptr(GLenum light, GLenum pname, const GLfixed * params)
{
    epoxy_glLightxv = (void *)epoxy_glLightxv_resolver();
    epoxy_glLightxv(light, pname, params);
}
PUBLIC PFNGLLIGHTXVPROC epoxy_glLightxv = epoxy_glLightxv_rewrite_ptr;

static void
epoxy_glLightxvOES_rewrite_ptr(GLenum light, GLenum pname, const GLfixed * params)
{
    epoxy_glLightxvOES = (void *)epoxy_glLightxvOES_resolver();
    epoxy_glLightxvOES(light, pname, params);
}
PUBLIC PFNGLLIGHTXVOESPROC epoxy_glLightxvOES = epoxy_glLightxvOES_rewrite_ptr;

static void
epoxy_glLineStipple_rewrite_ptr(GLint factor, GLushort pattern)
{
    epoxy_glLineStipple = (void *)epoxy_glLineStipple_resolver();
    epoxy_glLineStipple(factor, pattern);
}
PUBLIC PFNGLLINESTIPPLEPROC epoxy_glLineStipple = epoxy_glLineStipple_rewrite_ptr;

static void
epoxy_glLineWidth_rewrite_ptr(GLfloat width)
{
    epoxy_glLineWidth = (void *)epoxy_glLineWidth_resolver();
    epoxy_glLineWidth(width);
}
PUBLIC PFNGLLINEWIDTHPROC epoxy_glLineWidth = epoxy_glLineWidth_rewrite_ptr;

static void
epoxy_glLineWidthx_rewrite_ptr(GLfixed width)
{
    epoxy_glLineWidthx = (void *)epoxy_glLineWidthx_resolver();
    epoxy_glLineWidthx(width);
}
PUBLIC PFNGLLINEWIDTHXPROC epoxy_glLineWidthx = epoxy_glLineWidthx_rewrite_ptr;

static void
epoxy_glLineWidthxOES_rewrite_ptr(GLfixed width)
{
    epoxy_glLineWidthxOES = (void *)epoxy_glLineWidthxOES_resolver();
    epoxy_glLineWidthxOES(width);
}
PUBLIC PFNGLLINEWIDTHXOESPROC epoxy_glLineWidthxOES = epoxy_glLineWidthxOES_rewrite_ptr;

static void
epoxy_glLinkProgram_rewrite_ptr(GLuint program)
{
    epoxy_glLinkProgram = (void *)epoxy_glLinkProgram_resolver();
    epoxy_glLinkProgram(program);
}
PUBLIC PFNGLLINKPROGRAMPROC epoxy_glLinkProgram = epoxy_glLinkProgram_rewrite_ptr;

static void
epoxy_glLinkProgramARB_rewrite_ptr(GLhandleARB programObj)
{
    epoxy_glLinkProgramARB = (void *)epoxy_glLinkProgram_resolver();
    epoxy_glLinkProgramARB((uintptr_t)programObj);
}
PUBLIC PFNGLLINKPROGRAMARBPROC epoxy_glLinkProgramARB = epoxy_glLinkProgramARB_rewrite_ptr;

static void
epoxy_glListBase_rewrite_ptr(GLuint base)
{
    epoxy_glListBase = (void *)epoxy_glListBase_resolver();
    epoxy_glListBase(base);
}
PUBLIC PFNGLLISTBASEPROC epoxy_glListBase = epoxy_glListBase_rewrite_ptr;

static void
epoxy_glListParameterfSGIX_rewrite_ptr(GLuint list, GLenum pname, GLfloat param)
{
    epoxy_glListParameterfSGIX = (void *)epoxy_glListParameterfSGIX_resolver();
    epoxy_glListParameterfSGIX(list, pname, param);
}
PUBLIC PFNGLLISTPARAMETERFSGIXPROC epoxy_glListParameterfSGIX = epoxy_glListParameterfSGIX_rewrite_ptr;

static void
epoxy_glListParameterfvSGIX_rewrite_ptr(GLuint list, GLenum pname, const GLfloat * params)
{
    epoxy_glListParameterfvSGIX = (void *)epoxy_glListParameterfvSGIX_resolver();
    epoxy_glListParameterfvSGIX(list, pname, params);
}
PUBLIC PFNGLLISTPARAMETERFVSGIXPROC epoxy_glListParameterfvSGIX = epoxy_glListParameterfvSGIX_rewrite_ptr;

static void
epoxy_glListParameteriSGIX_rewrite_ptr(GLuint list, GLenum pname, GLint param)
{
    epoxy_glListParameteriSGIX = (void *)epoxy_glListParameteriSGIX_resolver();
    epoxy_glListParameteriSGIX(list, pname, param);
}
PUBLIC PFNGLLISTPARAMETERISGIXPROC epoxy_glListParameteriSGIX = epoxy_glListParameteriSGIX_rewrite_ptr;

static void
epoxy_glListParameterivSGIX_rewrite_ptr(GLuint list, GLenum pname, const GLint * params)
{
    epoxy_glListParameterivSGIX = (void *)epoxy_glListParameterivSGIX_resolver();
    epoxy_glListParameterivSGIX(list, pname, params);
}
PUBLIC PFNGLLISTPARAMETERIVSGIXPROC epoxy_glListParameterivSGIX = epoxy_glListParameterivSGIX_rewrite_ptr;

static void
epoxy_glLoadIdentity_rewrite_ptr(void)
{
    epoxy_glLoadIdentity = (void *)epoxy_glLoadIdentity_resolver();
    epoxy_glLoadIdentity();
}
PUBLIC PFNGLLOADIDENTITYPROC epoxy_glLoadIdentity = epoxy_glLoadIdentity_rewrite_ptr;

static void
epoxy_glLoadIdentityDeformationMapSGIX_rewrite_ptr(GLbitfield mask)
{
    epoxy_glLoadIdentityDeformationMapSGIX = (void *)epoxy_glLoadIdentityDeformationMapSGIX_resolver();
    epoxy_glLoadIdentityDeformationMapSGIX(mask);
}
PUBLIC PFNGLLOADIDENTITYDEFORMATIONMAPSGIXPROC epoxy_glLoadIdentityDeformationMapSGIX = epoxy_glLoadIdentityDeformationMapSGIX_rewrite_ptr;

static void
epoxy_glLoadMatrixd_rewrite_ptr(const GLdouble * m)
{
    epoxy_glLoadMatrixd = (void *)epoxy_glLoadMatrixd_resolver();
    epoxy_glLoadMatrixd(m);
}
PUBLIC PFNGLLOADMATRIXDPROC epoxy_glLoadMatrixd = epoxy_glLoadMatrixd_rewrite_ptr;

static void
epoxy_glLoadMatrixf_rewrite_ptr(const GLfloat * m)
{
    epoxy_glLoadMatrixf = (void *)epoxy_glLoadMatrixf_resolver();
    epoxy_glLoadMatrixf(m);
}
PUBLIC PFNGLLOADMATRIXFPROC epoxy_glLoadMatrixf = epoxy_glLoadMatrixf_rewrite_ptr;

static void
epoxy_glLoadMatrixx_rewrite_ptr(const GLfixed * m)
{
    epoxy_glLoadMatrixx = (void *)epoxy_glLoadMatrixx_resolver();
    epoxy_glLoadMatrixx(m);
}
PUBLIC PFNGLLOADMATRIXXPROC epoxy_glLoadMatrixx = epoxy_glLoadMatrixx_rewrite_ptr;

static void
epoxy_glLoadMatrixxOES_rewrite_ptr(const GLfixed * m)
{
    epoxy_glLoadMatrixxOES = (void *)epoxy_glLoadMatrixxOES_resolver();
    epoxy_glLoadMatrixxOES(m);
}
PUBLIC PFNGLLOADMATRIXXOESPROC epoxy_glLoadMatrixxOES = epoxy_glLoadMatrixxOES_rewrite_ptr;

static void
epoxy_glLoadName_rewrite_ptr(GLuint name)
{
    epoxy_glLoadName = (void *)epoxy_glLoadName_resolver();
    epoxy_glLoadName(name);
}
PUBLIC PFNGLLOADNAMEPROC epoxy_glLoadName = epoxy_glLoadName_rewrite_ptr;

static void
epoxy_glLoadPaletteFromModelViewMatrixOES_rewrite_ptr(void)
{
    epoxy_glLoadPaletteFromModelViewMatrixOES = (void *)epoxy_glLoadPaletteFromModelViewMatrixOES_resolver();
    epoxy_glLoadPaletteFromModelViewMatrixOES();
}
PUBLIC PFNGLLOADPALETTEFROMMODELVIEWMATRIXOESPROC epoxy_glLoadPaletteFromModelViewMatrixOES = epoxy_glLoadPaletteFromModelViewMatrixOES_rewrite_ptr;

static void
epoxy_glLoadProgramNV_rewrite_ptr(GLenum target, GLuint id, GLsizei len, const GLubyte * program)
{
    epoxy_glLoadProgramNV = (void *)epoxy_glLoadProgramNV_resolver();
    epoxy_glLoadProgramNV(target, id, len, program);
}
PUBLIC PFNGLLOADPROGRAMNVPROC epoxy_glLoadProgramNV = epoxy_glLoadProgramNV_rewrite_ptr;

static void
epoxy_glLoadTransposeMatrixd_rewrite_ptr(const GLdouble * m)
{
    epoxy_glLoadTransposeMatrixd = (void *)epoxy_glLoadTransposeMatrixd_resolver();
    epoxy_glLoadTransposeMatrixd(m);
}
PUBLIC PFNGLLOADTRANSPOSEMATRIXDPROC epoxy_glLoadTransposeMatrixd = epoxy_glLoadTransposeMatrixd_rewrite_ptr;

static void
epoxy_glLoadTransposeMatrixdARB_rewrite_ptr(const GLdouble * m)
{
    epoxy_glLoadTransposeMatrixdARB = (void *)epoxy_glLoadTransposeMatrixd_resolver();
    epoxy_glLoadTransposeMatrixdARB(m);
}
PUBLIC PFNGLLOADTRANSPOSEMATRIXDARBPROC epoxy_glLoadTransposeMatrixdARB = epoxy_glLoadTransposeMatrixdARB_rewrite_ptr;

static void
epoxy_glLoadTransposeMatrixf_rewrite_ptr(const GLfloat * m)
{
    epoxy_glLoadTransposeMatrixf = (void *)epoxy_glLoadTransposeMatrixf_resolver();
    epoxy_glLoadTransposeMatrixf(m);
}
PUBLIC PFNGLLOADTRANSPOSEMATRIXFPROC epoxy_glLoadTransposeMatrixf = epoxy_glLoadTransposeMatrixf_rewrite_ptr;

static void
epoxy_glLoadTransposeMatrixfARB_rewrite_ptr(const GLfloat * m)
{
    epoxy_glLoadTransposeMatrixfARB = (void *)epoxy_glLoadTransposeMatrixf_resolver();
    epoxy_glLoadTransposeMatrixfARB(m);
}
PUBLIC PFNGLLOADTRANSPOSEMATRIXFARBPROC epoxy_glLoadTransposeMatrixfARB = epoxy_glLoadTransposeMatrixfARB_rewrite_ptr;

static void
epoxy_glLoadTransposeMatrixxOES_rewrite_ptr(const GLfixed * m)
{
    epoxy_glLoadTransposeMatrixxOES = (void *)epoxy_glLoadTransposeMatrixxOES_resolver();
    epoxy_glLoadTransposeMatrixxOES(m);
}
PUBLIC PFNGLLOADTRANSPOSEMATRIXXOESPROC epoxy_glLoadTransposeMatrixxOES = epoxy_glLoadTransposeMatrixxOES_rewrite_ptr;

static void
epoxy_glLockArraysEXT_rewrite_ptr(GLint first, GLsizei count)
{
    epoxy_glLockArraysEXT = (void *)epoxy_glLockArraysEXT_resolver();
    epoxy_glLockArraysEXT(first, count);
}
PUBLIC PFNGLLOCKARRAYSEXTPROC epoxy_glLockArraysEXT = epoxy_glLockArraysEXT_rewrite_ptr;

static void
epoxy_glLogicOp_rewrite_ptr(GLenum opcode)
{
    epoxy_glLogicOp = (void *)epoxy_glLogicOp_resolver();
    epoxy_glLogicOp(opcode);
}
PUBLIC PFNGLLOGICOPPROC epoxy_glLogicOp = epoxy_glLogicOp_rewrite_ptr;

static void
epoxy_glMakeBufferNonResidentNV_rewrite_ptr(GLenum target)
{
    epoxy_glMakeBufferNonResidentNV = (void *)epoxy_glMakeBufferNonResidentNV_resolver();
    epoxy_glMakeBufferNonResidentNV(target);
}
PUBLIC PFNGLMAKEBUFFERNONRESIDENTNVPROC epoxy_glMakeBufferNonResidentNV = epoxy_glMakeBufferNonResidentNV_rewrite_ptr;

static void
epoxy_glMakeBufferResidentNV_rewrite_ptr(GLenum target, GLenum access)
{
    epoxy_glMakeBufferResidentNV = (void *)epoxy_glMakeBufferResidentNV_resolver();
    epoxy_glMakeBufferResidentNV(target, access);
}
PUBLIC PFNGLMAKEBUFFERRESIDENTNVPROC epoxy_glMakeBufferResidentNV = epoxy_glMakeBufferResidentNV_rewrite_ptr;

static void
epoxy_glMakeImageHandleNonResidentARB_rewrite_ptr(GLuint64 handle)
{
    epoxy_glMakeImageHandleNonResidentARB = (void *)epoxy_glMakeImageHandleNonResidentARB_resolver();
    epoxy_glMakeImageHandleNonResidentARB(handle);
}
PUBLIC PFNGLMAKEIMAGEHANDLENONRESIDENTARBPROC epoxy_glMakeImageHandleNonResidentARB = epoxy_glMakeImageHandleNonResidentARB_rewrite_ptr;

static void
epoxy_glMakeImageHandleNonResidentNV_rewrite_ptr(GLuint64 handle)
{
    epoxy_glMakeImageHandleNonResidentNV = (void *)epoxy_glMakeImageHandleNonResidentNV_resolver();
    epoxy_glMakeImageHandleNonResidentNV(handle);
}
PUBLIC PFNGLMAKEIMAGEHANDLENONRESIDENTNVPROC epoxy_glMakeImageHandleNonResidentNV = epoxy_glMakeImageHandleNonResidentNV_rewrite_ptr;

static void
epoxy_glMakeImageHandleResidentARB_rewrite_ptr(GLuint64 handle, GLenum access)
{
    epoxy_glMakeImageHandleResidentARB = (void *)epoxy_glMakeImageHandleResidentARB_resolver();
    epoxy_glMakeImageHandleResidentARB(handle, access);
}
PUBLIC PFNGLMAKEIMAGEHANDLERESIDENTARBPROC epoxy_glMakeImageHandleResidentARB = epoxy_glMakeImageHandleResidentARB_rewrite_ptr;

static void
epoxy_glMakeImageHandleResidentNV_rewrite_ptr(GLuint64 handle, GLenum access)
{
    epoxy_glMakeImageHandleResidentNV = (void *)epoxy_glMakeImageHandleResidentNV_resolver();
    epoxy_glMakeImageHandleResidentNV(handle, access);
}
PUBLIC PFNGLMAKEIMAGEHANDLERESIDENTNVPROC epoxy_glMakeImageHandleResidentNV = epoxy_glMakeImageHandleResidentNV_rewrite_ptr;

static void
epoxy_glMakeNamedBufferNonResidentNV_rewrite_ptr(GLuint buffer)
{
    epoxy_glMakeNamedBufferNonResidentNV = (void *)epoxy_glMakeNamedBufferNonResidentNV_resolver();
    epoxy_glMakeNamedBufferNonResidentNV(buffer);
}
PUBLIC PFNGLMAKENAMEDBUFFERNONRESIDENTNVPROC epoxy_glMakeNamedBufferNonResidentNV = epoxy_glMakeNamedBufferNonResidentNV_rewrite_ptr;

static void
epoxy_glMakeNamedBufferResidentNV_rewrite_ptr(GLuint buffer, GLenum access)
{
    epoxy_glMakeNamedBufferResidentNV = (void *)epoxy_glMakeNamedBufferResidentNV_resolver();
    epoxy_glMakeNamedBufferResidentNV(buffer, access);
}
PUBLIC PFNGLMAKENAMEDBUFFERRESIDENTNVPROC epoxy_glMakeNamedBufferResidentNV = epoxy_glMakeNamedBufferResidentNV_rewrite_ptr;

static void
epoxy_glMakeTextureHandleNonResidentARB_rewrite_ptr(GLuint64 handle)
{
    epoxy_glMakeTextureHandleNonResidentARB = (void *)epoxy_glMakeTextureHandleNonResidentARB_resolver();
    epoxy_glMakeTextureHandleNonResidentARB(handle);
}
PUBLIC PFNGLMAKETEXTUREHANDLENONRESIDENTARBPROC epoxy_glMakeTextureHandleNonResidentARB = epoxy_glMakeTextureHandleNonResidentARB_rewrite_ptr;

static void
epoxy_glMakeTextureHandleNonResidentNV_rewrite_ptr(GLuint64 handle)
{
    epoxy_glMakeTextureHandleNonResidentNV = (void *)epoxy_glMakeTextureHandleNonResidentNV_resolver();
    epoxy_glMakeTextureHandleNonResidentNV(handle);
}
PUBLIC PFNGLMAKETEXTUREHANDLENONRESIDENTNVPROC epoxy_glMakeTextureHandleNonResidentNV = epoxy_glMakeTextureHandleNonResidentNV_rewrite_ptr;

static void
epoxy_glMakeTextureHandleResidentARB_rewrite_ptr(GLuint64 handle)
{
    epoxy_glMakeTextureHandleResidentARB = (void *)epoxy_glMakeTextureHandleResidentARB_resolver();
    epoxy_glMakeTextureHandleResidentARB(handle);
}
PUBLIC PFNGLMAKETEXTUREHANDLERESIDENTARBPROC epoxy_glMakeTextureHandleResidentARB = epoxy_glMakeTextureHandleResidentARB_rewrite_ptr;

static void
epoxy_glMakeTextureHandleResidentNV_rewrite_ptr(GLuint64 handle)
{
    epoxy_glMakeTextureHandleResidentNV = (void *)epoxy_glMakeTextureHandleResidentNV_resolver();
    epoxy_glMakeTextureHandleResidentNV(handle);
}
PUBLIC PFNGLMAKETEXTUREHANDLERESIDENTNVPROC epoxy_glMakeTextureHandleResidentNV = epoxy_glMakeTextureHandleResidentNV_rewrite_ptr;

static void
epoxy_glMap1d_rewrite_ptr(GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points)
{
    epoxy_glMap1d = (void *)epoxy_glMap1d_resolver();
    epoxy_glMap1d(target, u1, u2, stride, order, points);
}
PUBLIC PFNGLMAP1DPROC epoxy_glMap1d = epoxy_glMap1d_rewrite_ptr;

static void
epoxy_glMap1f_rewrite_ptr(GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points)
{
    epoxy_glMap1f = (void *)epoxy_glMap1f_resolver();
    epoxy_glMap1f(target, u1, u2, stride, order, points);
}
PUBLIC PFNGLMAP1FPROC epoxy_glMap1f = epoxy_glMap1f_rewrite_ptr;

static void
epoxy_glMap1xOES_rewrite_ptr(GLenum target, GLfixed u1, GLfixed u2, GLint stride, GLint order, GLfixed points)
{
    epoxy_glMap1xOES = (void *)epoxy_glMap1xOES_resolver();
    epoxy_glMap1xOES(target, u1, u2, stride, order, points);
}
PUBLIC PFNGLMAP1XOESPROC epoxy_glMap1xOES = epoxy_glMap1xOES_rewrite_ptr;

static void
epoxy_glMap2d_rewrite_ptr(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points)
{
    epoxy_glMap2d = (void *)epoxy_glMap2d_resolver();
    epoxy_glMap2d(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}
PUBLIC PFNGLMAP2DPROC epoxy_glMap2d = epoxy_glMap2d_rewrite_ptr;

static void
epoxy_glMap2f_rewrite_ptr(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points)
{
    epoxy_glMap2f = (void *)epoxy_glMap2f_resolver();
    epoxy_glMap2f(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}
PUBLIC PFNGLMAP2FPROC epoxy_glMap2f = epoxy_glMap2f_rewrite_ptr;

static void
epoxy_glMap2xOES_rewrite_ptr(GLenum target, GLfixed u1, GLfixed u2, GLint ustride, GLint uorder, GLfixed v1, GLfixed v2, GLint vstride, GLint vorder, GLfixed points)
{
    epoxy_glMap2xOES = (void *)epoxy_glMap2xOES_resolver();
    epoxy_glMap2xOES(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}
PUBLIC PFNGLMAP2XOESPROC epoxy_glMap2xOES = epoxy_glMap2xOES_rewrite_ptr;

static void *
epoxy_glMapBuffer_rewrite_ptr(GLenum target, GLenum access)
{
    epoxy_glMapBuffer = (void *)epoxy_glMapBuffer_resolver();
    return epoxy_glMapBuffer(target, access);
}
PUBLIC PFNGLMAPBUFFERPROC epoxy_glMapBuffer = epoxy_glMapBuffer_rewrite_ptr;

static void *
epoxy_glMapBufferARB_rewrite_ptr(GLenum target, GLenum access)
{
    epoxy_glMapBufferARB = (void *)epoxy_glMapBuffer_resolver();
    return epoxy_glMapBufferARB(target, access);
}
PUBLIC PFNGLMAPBUFFERARBPROC epoxy_glMapBufferARB = epoxy_glMapBufferARB_rewrite_ptr;

static void *
epoxy_glMapBufferOES_rewrite_ptr(GLenum target, GLenum access)
{
    epoxy_glMapBufferOES = (void *)epoxy_glMapBuffer_resolver();
    return epoxy_glMapBufferOES(target, access);
}
PUBLIC PFNGLMAPBUFFEROESPROC epoxy_glMapBufferOES = epoxy_glMapBufferOES_rewrite_ptr;

static void *
epoxy_glMapBufferRange_rewrite_ptr(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
{
    epoxy_glMapBufferRange = (void *)epoxy_glMapBufferRange_resolver();
    return epoxy_glMapBufferRange(target, offset, length, access);
}
PUBLIC PFNGLMAPBUFFERRANGEPROC epoxy_glMapBufferRange = epoxy_glMapBufferRange_rewrite_ptr;

static void *
epoxy_glMapBufferRangeEXT_rewrite_ptr(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
{
    epoxy_glMapBufferRangeEXT = (void *)epoxy_glMapBufferRange_resolver();
    return epoxy_glMapBufferRangeEXT(target, offset, length, access);
}
PUBLIC PFNGLMAPBUFFERRANGEEXTPROC epoxy_glMapBufferRangeEXT = epoxy_glMapBufferRangeEXT_rewrite_ptr;

static void
epoxy_glMapControlPointsNV_rewrite_ptr(GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLint uorder, GLint vorder, GLboolean packed, const void * points)
{
    epoxy_glMapControlPointsNV = (void *)epoxy_glMapControlPointsNV_resolver();
    epoxy_glMapControlPointsNV(target, index, type, ustride, vstride, uorder, vorder, packed, points);
}
PUBLIC PFNGLMAPCONTROLPOINTSNVPROC epoxy_glMapControlPointsNV = epoxy_glMapControlPointsNV_rewrite_ptr;

static void
epoxy_glMapGrid1d_rewrite_ptr(GLint un, GLdouble u1, GLdouble u2)
{
    epoxy_glMapGrid1d = (void *)epoxy_glMapGrid1d_resolver();
    epoxy_glMapGrid1d(un, u1, u2);
}
PUBLIC PFNGLMAPGRID1DPROC epoxy_glMapGrid1d = epoxy_glMapGrid1d_rewrite_ptr;

static void
epoxy_glMapGrid1f_rewrite_ptr(GLint un, GLfloat u1, GLfloat u2)
{
    epoxy_glMapGrid1f = (void *)epoxy_glMapGrid1f_resolver();
    epoxy_glMapGrid1f(un, u1, u2);
}
PUBLIC PFNGLMAPGRID1FPROC epoxy_glMapGrid1f = epoxy_glMapGrid1f_rewrite_ptr;

static void
epoxy_glMapGrid1xOES_rewrite_ptr(GLint n, GLfixed u1, GLfixed u2)
{
    epoxy_glMapGrid1xOES = (void *)epoxy_glMapGrid1xOES_resolver();
    epoxy_glMapGrid1xOES(n, u1, u2);
}
PUBLIC PFNGLMAPGRID1XOESPROC epoxy_glMapGrid1xOES = epoxy_glMapGrid1xOES_rewrite_ptr;

static void
epoxy_glMapGrid2d_rewrite_ptr(GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2)
{
    epoxy_glMapGrid2d = (void *)epoxy_glMapGrid2d_resolver();
    epoxy_glMapGrid2d(un, u1, u2, vn, v1, v2);
}
PUBLIC PFNGLMAPGRID2DPROC epoxy_glMapGrid2d = epoxy_glMapGrid2d_rewrite_ptr;

static void
epoxy_glMapGrid2f_rewrite_ptr(GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2)
{
    epoxy_glMapGrid2f = (void *)epoxy_glMapGrid2f_resolver();
    epoxy_glMapGrid2f(un, u1, u2, vn, v1, v2);
}
PUBLIC PFNGLMAPGRID2FPROC epoxy_glMapGrid2f = epoxy_glMapGrid2f_rewrite_ptr;

static void
epoxy_glMapGrid2xOES_rewrite_ptr(GLint n, GLfixed u1, GLfixed u2, GLfixed v1, GLfixed v2)
{
    epoxy_glMapGrid2xOES = (void *)epoxy_glMapGrid2xOES_resolver();
    epoxy_glMapGrid2xOES(n, u1, u2, v1, v2);
}
PUBLIC PFNGLMAPGRID2XOESPROC epoxy_glMapGrid2xOES = epoxy_glMapGrid2xOES_rewrite_ptr;

static void *
epoxy_glMapNamedBufferEXT_rewrite_ptr(GLuint buffer, GLenum access)
{
    epoxy_glMapNamedBufferEXT = (void *)epoxy_glMapNamedBufferEXT_resolver();
    return epoxy_glMapNamedBufferEXT(buffer, access);
}
PUBLIC PFNGLMAPNAMEDBUFFEREXTPROC epoxy_glMapNamedBufferEXT = epoxy_glMapNamedBufferEXT_rewrite_ptr;

static void *
epoxy_glMapNamedBufferRangeEXT_rewrite_ptr(GLuint buffer, GLintptr offset, GLsizeiptr length, GLbitfield access)
{
    epoxy_glMapNamedBufferRangeEXT = (void *)epoxy_glMapNamedBufferRangeEXT_resolver();
    return epoxy_glMapNamedBufferRangeEXT(buffer, offset, length, access);
}
PUBLIC PFNGLMAPNAMEDBUFFERRANGEEXTPROC epoxy_glMapNamedBufferRangeEXT = epoxy_glMapNamedBufferRangeEXT_rewrite_ptr;

static void *
epoxy_glMapObjectBufferATI_rewrite_ptr(GLuint buffer)
{
    epoxy_glMapObjectBufferATI = (void *)epoxy_glMapObjectBufferATI_resolver();
    return epoxy_glMapObjectBufferATI(buffer);
}
PUBLIC PFNGLMAPOBJECTBUFFERATIPROC epoxy_glMapObjectBufferATI = epoxy_glMapObjectBufferATI_rewrite_ptr;

static void
epoxy_glMapParameterfvNV_rewrite_ptr(GLenum target, GLenum pname, const GLfloat * params)
{
    epoxy_glMapParameterfvNV = (void *)epoxy_glMapParameterfvNV_resolver();
    epoxy_glMapParameterfvNV(target, pname, params);
}
PUBLIC PFNGLMAPPARAMETERFVNVPROC epoxy_glMapParameterfvNV = epoxy_glMapParameterfvNV_rewrite_ptr;

static void
epoxy_glMapParameterivNV_rewrite_ptr(GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glMapParameterivNV = (void *)epoxy_glMapParameterivNV_resolver();
    epoxy_glMapParameterivNV(target, pname, params);
}
PUBLIC PFNGLMAPPARAMETERIVNVPROC epoxy_glMapParameterivNV = epoxy_glMapParameterivNV_rewrite_ptr;

static void *
epoxy_glMapTexture2DINTEL_rewrite_ptr(GLuint texture, GLint level, GLbitfield access, GLint * stride, GLenum * layout)
{
    epoxy_glMapTexture2DINTEL = (void *)epoxy_glMapTexture2DINTEL_resolver();
    return epoxy_glMapTexture2DINTEL(texture, level, access, stride, layout);
}
PUBLIC PFNGLMAPTEXTURE2DINTELPROC epoxy_glMapTexture2DINTEL = epoxy_glMapTexture2DINTEL_rewrite_ptr;

static void
epoxy_glMapVertexAttrib1dAPPLE_rewrite_ptr(GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points)
{
    epoxy_glMapVertexAttrib1dAPPLE = (void *)epoxy_glMapVertexAttrib1dAPPLE_resolver();
    epoxy_glMapVertexAttrib1dAPPLE(index, size, u1, u2, stride, order, points);
}
PUBLIC PFNGLMAPVERTEXATTRIB1DAPPLEPROC epoxy_glMapVertexAttrib1dAPPLE = epoxy_glMapVertexAttrib1dAPPLE_rewrite_ptr;

static void
epoxy_glMapVertexAttrib1fAPPLE_rewrite_ptr(GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points)
{
    epoxy_glMapVertexAttrib1fAPPLE = (void *)epoxy_glMapVertexAttrib1fAPPLE_resolver();
    epoxy_glMapVertexAttrib1fAPPLE(index, size, u1, u2, stride, order, points);
}
PUBLIC PFNGLMAPVERTEXATTRIB1FAPPLEPROC epoxy_glMapVertexAttrib1fAPPLE = epoxy_glMapVertexAttrib1fAPPLE_rewrite_ptr;

static void
epoxy_glMapVertexAttrib2dAPPLE_rewrite_ptr(GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points)
{
    epoxy_glMapVertexAttrib2dAPPLE = (void *)epoxy_glMapVertexAttrib2dAPPLE_resolver();
    epoxy_glMapVertexAttrib2dAPPLE(index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}
PUBLIC PFNGLMAPVERTEXATTRIB2DAPPLEPROC epoxy_glMapVertexAttrib2dAPPLE = epoxy_glMapVertexAttrib2dAPPLE_rewrite_ptr;

static void
epoxy_glMapVertexAttrib2fAPPLE_rewrite_ptr(GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points)
{
    epoxy_glMapVertexAttrib2fAPPLE = (void *)epoxy_glMapVertexAttrib2fAPPLE_resolver();
    epoxy_glMapVertexAttrib2fAPPLE(index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
}
PUBLIC PFNGLMAPVERTEXATTRIB2FAPPLEPROC epoxy_glMapVertexAttrib2fAPPLE = epoxy_glMapVertexAttrib2fAPPLE_rewrite_ptr;

static void
epoxy_glMaterialf_rewrite_ptr(GLenum face, GLenum pname, GLfloat param)
{
    epoxy_glMaterialf = (void *)epoxy_glMaterialf_resolver();
    epoxy_glMaterialf(face, pname, param);
}
PUBLIC PFNGLMATERIALFPROC epoxy_glMaterialf = epoxy_glMaterialf_rewrite_ptr;

static void
epoxy_glMaterialfv_rewrite_ptr(GLenum face, GLenum pname, const GLfloat * params)
{
    epoxy_glMaterialfv = (void *)epoxy_glMaterialfv_resolver();
    epoxy_glMaterialfv(face, pname, params);
}
PUBLIC PFNGLMATERIALFVPROC epoxy_glMaterialfv = epoxy_glMaterialfv_rewrite_ptr;

static void
epoxy_glMateriali_rewrite_ptr(GLenum face, GLenum pname, GLint param)
{
    epoxy_glMateriali = (void *)epoxy_glMateriali_resolver();
    epoxy_glMateriali(face, pname, param);
}
PUBLIC PFNGLMATERIALIPROC epoxy_glMateriali = epoxy_glMateriali_rewrite_ptr;

static void
epoxy_glMaterialiv_rewrite_ptr(GLenum face, GLenum pname, const GLint * params)
{
    epoxy_glMaterialiv = (void *)epoxy_glMaterialiv_resolver();
    epoxy_glMaterialiv(face, pname, params);
}
PUBLIC PFNGLMATERIALIVPROC epoxy_glMaterialiv = epoxy_glMaterialiv_rewrite_ptr;

static void
epoxy_glMaterialx_rewrite_ptr(GLenum face, GLenum pname, GLfixed param)
{
    epoxy_glMaterialx = (void *)epoxy_glMaterialx_resolver();
    epoxy_glMaterialx(face, pname, param);
}
PUBLIC PFNGLMATERIALXPROC epoxy_glMaterialx = epoxy_glMaterialx_rewrite_ptr;

static void
epoxy_glMaterialxOES_rewrite_ptr(GLenum face, GLenum pname, GLfixed param)
{
    epoxy_glMaterialxOES = (void *)epoxy_glMaterialxOES_resolver();
    epoxy_glMaterialxOES(face, pname, param);
}
PUBLIC PFNGLMATERIALXOESPROC epoxy_glMaterialxOES = epoxy_glMaterialxOES_rewrite_ptr;

static void
epoxy_glMaterialxv_rewrite_ptr(GLenum face, GLenum pname, const GLfixed * param)
{
    epoxy_glMaterialxv = (void *)epoxy_glMaterialxv_resolver();
    epoxy_glMaterialxv(face, pname, param);
}
PUBLIC PFNGLMATERIALXVPROC epoxy_glMaterialxv = epoxy_glMaterialxv_rewrite_ptr;

static void
epoxy_glMaterialxvOES_rewrite_ptr(GLenum face, GLenum pname, const GLfixed * param)
{
    epoxy_glMaterialxvOES = (void *)epoxy_glMaterialxvOES_resolver();
    epoxy_glMaterialxvOES(face, pname, param);
}
PUBLIC PFNGLMATERIALXVOESPROC epoxy_glMaterialxvOES = epoxy_glMaterialxvOES_rewrite_ptr;

static void
epoxy_glMatrixFrustumEXT_rewrite_ptr(GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    epoxy_glMatrixFrustumEXT = (void *)epoxy_glMatrixFrustumEXT_resolver();
    epoxy_glMatrixFrustumEXT(mode, left, right, bottom, top, zNear, zFar);
}
PUBLIC PFNGLMATRIXFRUSTUMEXTPROC epoxy_glMatrixFrustumEXT = epoxy_glMatrixFrustumEXT_rewrite_ptr;

static void
epoxy_glMatrixIndexPointerARB_rewrite_ptr(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glMatrixIndexPointerARB = (void *)epoxy_glMatrixIndexPointerARB_resolver();
    epoxy_glMatrixIndexPointerARB(size, type, stride, pointer);
}
PUBLIC PFNGLMATRIXINDEXPOINTERARBPROC epoxy_glMatrixIndexPointerARB = epoxy_glMatrixIndexPointerARB_rewrite_ptr;

static void
epoxy_glMatrixIndexPointerOES_rewrite_ptr(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glMatrixIndexPointerOES = (void *)epoxy_glMatrixIndexPointerOES_resolver();
    epoxy_glMatrixIndexPointerOES(size, type, stride, pointer);
}
PUBLIC PFNGLMATRIXINDEXPOINTEROESPROC epoxy_glMatrixIndexPointerOES = epoxy_glMatrixIndexPointerOES_rewrite_ptr;

static void
epoxy_glMatrixIndexubvARB_rewrite_ptr(GLint size, const GLubyte * indices)
{
    epoxy_glMatrixIndexubvARB = (void *)epoxy_glMatrixIndexubvARB_resolver();
    epoxy_glMatrixIndexubvARB(size, indices);
}
PUBLIC PFNGLMATRIXINDEXUBVARBPROC epoxy_glMatrixIndexubvARB = epoxy_glMatrixIndexubvARB_rewrite_ptr;

static void
epoxy_glMatrixIndexuivARB_rewrite_ptr(GLint size, const GLuint * indices)
{
    epoxy_glMatrixIndexuivARB = (void *)epoxy_glMatrixIndexuivARB_resolver();
    epoxy_glMatrixIndexuivARB(size, indices);
}
PUBLIC PFNGLMATRIXINDEXUIVARBPROC epoxy_glMatrixIndexuivARB = epoxy_glMatrixIndexuivARB_rewrite_ptr;

static void
epoxy_glMatrixIndexusvARB_rewrite_ptr(GLint size, const GLushort * indices)
{
    epoxy_glMatrixIndexusvARB = (void *)epoxy_glMatrixIndexusvARB_resolver();
    epoxy_glMatrixIndexusvARB(size, indices);
}
PUBLIC PFNGLMATRIXINDEXUSVARBPROC epoxy_glMatrixIndexusvARB = epoxy_glMatrixIndexusvARB_rewrite_ptr;

static void
epoxy_glMatrixLoadIdentityEXT_rewrite_ptr(GLenum mode)
{
    epoxy_glMatrixLoadIdentityEXT = (void *)epoxy_glMatrixLoadIdentityEXT_resolver();
    epoxy_glMatrixLoadIdentityEXT(mode);
}
PUBLIC PFNGLMATRIXLOADIDENTITYEXTPROC epoxy_glMatrixLoadIdentityEXT = epoxy_glMatrixLoadIdentityEXT_rewrite_ptr;

static void
epoxy_glMatrixLoadTransposedEXT_rewrite_ptr(GLenum mode, const GLdouble * m)
{
    epoxy_glMatrixLoadTransposedEXT = (void *)epoxy_glMatrixLoadTransposedEXT_resolver();
    epoxy_glMatrixLoadTransposedEXT(mode, m);
}
PUBLIC PFNGLMATRIXLOADTRANSPOSEDEXTPROC epoxy_glMatrixLoadTransposedEXT = epoxy_glMatrixLoadTransposedEXT_rewrite_ptr;

static void
epoxy_glMatrixLoadTransposefEXT_rewrite_ptr(GLenum mode, const GLfloat * m)
{
    epoxy_glMatrixLoadTransposefEXT = (void *)epoxy_glMatrixLoadTransposefEXT_resolver();
    epoxy_glMatrixLoadTransposefEXT(mode, m);
}
PUBLIC PFNGLMATRIXLOADTRANSPOSEFEXTPROC epoxy_glMatrixLoadTransposefEXT = epoxy_glMatrixLoadTransposefEXT_rewrite_ptr;

static void
epoxy_glMatrixLoaddEXT_rewrite_ptr(GLenum mode, const GLdouble * m)
{
    epoxy_glMatrixLoaddEXT = (void *)epoxy_glMatrixLoaddEXT_resolver();
    epoxy_glMatrixLoaddEXT(mode, m);
}
PUBLIC PFNGLMATRIXLOADDEXTPROC epoxy_glMatrixLoaddEXT = epoxy_glMatrixLoaddEXT_rewrite_ptr;

static void
epoxy_glMatrixLoadfEXT_rewrite_ptr(GLenum mode, const GLfloat * m)
{
    epoxy_glMatrixLoadfEXT = (void *)epoxy_glMatrixLoadfEXT_resolver();
    epoxy_glMatrixLoadfEXT(mode, m);
}
PUBLIC PFNGLMATRIXLOADFEXTPROC epoxy_glMatrixLoadfEXT = epoxy_glMatrixLoadfEXT_rewrite_ptr;

static void
epoxy_glMatrixMode_rewrite_ptr(GLenum mode)
{
    epoxy_glMatrixMode = (void *)epoxy_glMatrixMode_resolver();
    epoxy_glMatrixMode(mode);
}
PUBLIC PFNGLMATRIXMODEPROC epoxy_glMatrixMode = epoxy_glMatrixMode_rewrite_ptr;

static void
epoxy_glMatrixMultTransposedEXT_rewrite_ptr(GLenum mode, const GLdouble * m)
{
    epoxy_glMatrixMultTransposedEXT = (void *)epoxy_glMatrixMultTransposedEXT_resolver();
    epoxy_glMatrixMultTransposedEXT(mode, m);
}
PUBLIC PFNGLMATRIXMULTTRANSPOSEDEXTPROC epoxy_glMatrixMultTransposedEXT = epoxy_glMatrixMultTransposedEXT_rewrite_ptr;

static void
epoxy_glMatrixMultTransposefEXT_rewrite_ptr(GLenum mode, const GLfloat * m)
{
    epoxy_glMatrixMultTransposefEXT = (void *)epoxy_glMatrixMultTransposefEXT_resolver();
    epoxy_glMatrixMultTransposefEXT(mode, m);
}
PUBLIC PFNGLMATRIXMULTTRANSPOSEFEXTPROC epoxy_glMatrixMultTransposefEXT = epoxy_glMatrixMultTransposefEXT_rewrite_ptr;

static void
epoxy_glMatrixMultdEXT_rewrite_ptr(GLenum mode, const GLdouble * m)
{
    epoxy_glMatrixMultdEXT = (void *)epoxy_glMatrixMultdEXT_resolver();
    epoxy_glMatrixMultdEXT(mode, m);
}
PUBLIC PFNGLMATRIXMULTDEXTPROC epoxy_glMatrixMultdEXT = epoxy_glMatrixMultdEXT_rewrite_ptr;

static void
epoxy_glMatrixMultfEXT_rewrite_ptr(GLenum mode, const GLfloat * m)
{
    epoxy_glMatrixMultfEXT = (void *)epoxy_glMatrixMultfEXT_resolver();
    epoxy_glMatrixMultfEXT(mode, m);
}
PUBLIC PFNGLMATRIXMULTFEXTPROC epoxy_glMatrixMultfEXT = epoxy_glMatrixMultfEXT_rewrite_ptr;

static void
epoxy_glMatrixOrthoEXT_rewrite_ptr(GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    epoxy_glMatrixOrthoEXT = (void *)epoxy_glMatrixOrthoEXT_resolver();
    epoxy_glMatrixOrthoEXT(mode, left, right, bottom, top, zNear, zFar);
}
PUBLIC PFNGLMATRIXORTHOEXTPROC epoxy_glMatrixOrthoEXT = epoxy_glMatrixOrthoEXT_rewrite_ptr;

static void
epoxy_glMatrixPopEXT_rewrite_ptr(GLenum mode)
{
    epoxy_glMatrixPopEXT = (void *)epoxy_glMatrixPopEXT_resolver();
    epoxy_glMatrixPopEXT(mode);
}
PUBLIC PFNGLMATRIXPOPEXTPROC epoxy_glMatrixPopEXT = epoxy_glMatrixPopEXT_rewrite_ptr;

static void
epoxy_glMatrixPushEXT_rewrite_ptr(GLenum mode)
{
    epoxy_glMatrixPushEXT = (void *)epoxy_glMatrixPushEXT_resolver();
    epoxy_glMatrixPushEXT(mode);
}
PUBLIC PFNGLMATRIXPUSHEXTPROC epoxy_glMatrixPushEXT = epoxy_glMatrixPushEXT_rewrite_ptr;

static void
epoxy_glMatrixRotatedEXT_rewrite_ptr(GLenum mode, GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glMatrixRotatedEXT = (void *)epoxy_glMatrixRotatedEXT_resolver();
    epoxy_glMatrixRotatedEXT(mode, angle, x, y, z);
}
PUBLIC PFNGLMATRIXROTATEDEXTPROC epoxy_glMatrixRotatedEXT = epoxy_glMatrixRotatedEXT_rewrite_ptr;

static void
epoxy_glMatrixRotatefEXT_rewrite_ptr(GLenum mode, GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glMatrixRotatefEXT = (void *)epoxy_glMatrixRotatefEXT_resolver();
    epoxy_glMatrixRotatefEXT(mode, angle, x, y, z);
}
PUBLIC PFNGLMATRIXROTATEFEXTPROC epoxy_glMatrixRotatefEXT = epoxy_glMatrixRotatefEXT_rewrite_ptr;

static void
epoxy_glMatrixScaledEXT_rewrite_ptr(GLenum mode, GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glMatrixScaledEXT = (void *)epoxy_glMatrixScaledEXT_resolver();
    epoxy_glMatrixScaledEXT(mode, x, y, z);
}
PUBLIC PFNGLMATRIXSCALEDEXTPROC epoxy_glMatrixScaledEXT = epoxy_glMatrixScaledEXT_rewrite_ptr;

static void
epoxy_glMatrixScalefEXT_rewrite_ptr(GLenum mode, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glMatrixScalefEXT = (void *)epoxy_glMatrixScalefEXT_resolver();
    epoxy_glMatrixScalefEXT(mode, x, y, z);
}
PUBLIC PFNGLMATRIXSCALEFEXTPROC epoxy_glMatrixScalefEXT = epoxy_glMatrixScalefEXT_rewrite_ptr;

static void
epoxy_glMatrixTranslatedEXT_rewrite_ptr(GLenum mode, GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glMatrixTranslatedEXT = (void *)epoxy_glMatrixTranslatedEXT_resolver();
    epoxy_glMatrixTranslatedEXT(mode, x, y, z);
}
PUBLIC PFNGLMATRIXTRANSLATEDEXTPROC epoxy_glMatrixTranslatedEXT = epoxy_glMatrixTranslatedEXT_rewrite_ptr;

static void
epoxy_glMatrixTranslatefEXT_rewrite_ptr(GLenum mode, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glMatrixTranslatefEXT = (void *)epoxy_glMatrixTranslatefEXT_resolver();
    epoxy_glMatrixTranslatefEXT(mode, x, y, z);
}
PUBLIC PFNGLMATRIXTRANSLATEFEXTPROC epoxy_glMatrixTranslatefEXT = epoxy_glMatrixTranslatefEXT_rewrite_ptr;

static void
epoxy_glMemoryBarrier_rewrite_ptr(GLbitfield barriers)
{
    epoxy_glMemoryBarrier = (void *)epoxy_glMemoryBarrier_resolver();
    epoxy_glMemoryBarrier(barriers);
}
PUBLIC PFNGLMEMORYBARRIERPROC epoxy_glMemoryBarrier = epoxy_glMemoryBarrier_rewrite_ptr;

static void
epoxy_glMemoryBarrierEXT_rewrite_ptr(GLbitfield barriers)
{
    epoxy_glMemoryBarrierEXT = (void *)epoxy_glMemoryBarrier_resolver();
    epoxy_glMemoryBarrierEXT(barriers);
}
PUBLIC PFNGLMEMORYBARRIEREXTPROC epoxy_glMemoryBarrierEXT = epoxy_glMemoryBarrierEXT_rewrite_ptr;

static void
epoxy_glMinSampleShading_rewrite_ptr(GLfloat value)
{
    epoxy_glMinSampleShading = (void *)epoxy_glMinSampleShading_resolver();
    epoxy_glMinSampleShading(value);
}
PUBLIC PFNGLMINSAMPLESHADINGPROC epoxy_glMinSampleShading = epoxy_glMinSampleShading_rewrite_ptr;

static void
epoxy_glMinSampleShadingARB_rewrite_ptr(GLfloat value)
{
    epoxy_glMinSampleShadingARB = (void *)epoxy_glMinSampleShading_resolver();
    epoxy_glMinSampleShadingARB(value);
}
PUBLIC PFNGLMINSAMPLESHADINGARBPROC epoxy_glMinSampleShadingARB = epoxy_glMinSampleShadingARB_rewrite_ptr;

static void
epoxy_glMinmax_rewrite_ptr(GLenum target, GLenum internalformat, GLboolean sink)
{
    epoxy_glMinmax = (void *)epoxy_glMinmax_resolver();
    epoxy_glMinmax(target, internalformat, sink);
}
PUBLIC PFNGLMINMAXPROC epoxy_glMinmax = epoxy_glMinmax_rewrite_ptr;

static void
epoxy_glMinmaxEXT_rewrite_ptr(GLenum target, GLenum internalformat, GLboolean sink)
{
    epoxy_glMinmaxEXT = (void *)epoxy_glMinmax_resolver();
    epoxy_glMinmaxEXT(target, internalformat, sink);
}
PUBLIC PFNGLMINMAXEXTPROC epoxy_glMinmaxEXT = epoxy_glMinmaxEXT_rewrite_ptr;

static void
epoxy_glMultMatrixd_rewrite_ptr(const GLdouble * m)
{
    epoxy_glMultMatrixd = (void *)epoxy_glMultMatrixd_resolver();
    epoxy_glMultMatrixd(m);
}
PUBLIC PFNGLMULTMATRIXDPROC epoxy_glMultMatrixd = epoxy_glMultMatrixd_rewrite_ptr;

static void
epoxy_glMultMatrixf_rewrite_ptr(const GLfloat * m)
{
    epoxy_glMultMatrixf = (void *)epoxy_glMultMatrixf_resolver();
    epoxy_glMultMatrixf(m);
}
PUBLIC PFNGLMULTMATRIXFPROC epoxy_glMultMatrixf = epoxy_glMultMatrixf_rewrite_ptr;

static void
epoxy_glMultMatrixx_rewrite_ptr(const GLfixed * m)
{
    epoxy_glMultMatrixx = (void *)epoxy_glMultMatrixx_resolver();
    epoxy_glMultMatrixx(m);
}
PUBLIC PFNGLMULTMATRIXXPROC epoxy_glMultMatrixx = epoxy_glMultMatrixx_rewrite_ptr;

static void
epoxy_glMultMatrixxOES_rewrite_ptr(const GLfixed * m)
{
    epoxy_glMultMatrixxOES = (void *)epoxy_glMultMatrixxOES_resolver();
    epoxy_glMultMatrixxOES(m);
}
PUBLIC PFNGLMULTMATRIXXOESPROC epoxy_glMultMatrixxOES = epoxy_glMultMatrixxOES_rewrite_ptr;

static void
epoxy_glMultTransposeMatrixd_rewrite_ptr(const GLdouble * m)
{
    epoxy_glMultTransposeMatrixd = (void *)epoxy_glMultTransposeMatrixd_resolver();
    epoxy_glMultTransposeMatrixd(m);
}
PUBLIC PFNGLMULTTRANSPOSEMATRIXDPROC epoxy_glMultTransposeMatrixd = epoxy_glMultTransposeMatrixd_rewrite_ptr;

static void
epoxy_glMultTransposeMatrixdARB_rewrite_ptr(const GLdouble * m)
{
    epoxy_glMultTransposeMatrixdARB = (void *)epoxy_glMultTransposeMatrixd_resolver();
    epoxy_glMultTransposeMatrixdARB(m);
}
PUBLIC PFNGLMULTTRANSPOSEMATRIXDARBPROC epoxy_glMultTransposeMatrixdARB = epoxy_glMultTransposeMatrixdARB_rewrite_ptr;

static void
epoxy_glMultTransposeMatrixf_rewrite_ptr(const GLfloat * m)
{
    epoxy_glMultTransposeMatrixf = (void *)epoxy_glMultTransposeMatrixf_resolver();
    epoxy_glMultTransposeMatrixf(m);
}
PUBLIC PFNGLMULTTRANSPOSEMATRIXFPROC epoxy_glMultTransposeMatrixf = epoxy_glMultTransposeMatrixf_rewrite_ptr;

static void
epoxy_glMultTransposeMatrixfARB_rewrite_ptr(const GLfloat * m)
{
    epoxy_glMultTransposeMatrixfARB = (void *)epoxy_glMultTransposeMatrixf_resolver();
    epoxy_glMultTransposeMatrixfARB(m);
}
PUBLIC PFNGLMULTTRANSPOSEMATRIXFARBPROC epoxy_glMultTransposeMatrixfARB = epoxy_glMultTransposeMatrixfARB_rewrite_ptr;

static void
epoxy_glMultTransposeMatrixxOES_rewrite_ptr(const GLfixed * m)
{
    epoxy_glMultTransposeMatrixxOES = (void *)epoxy_glMultTransposeMatrixxOES_resolver();
    epoxy_glMultTransposeMatrixxOES(m);
}
PUBLIC PFNGLMULTTRANSPOSEMATRIXXOESPROC epoxy_glMultTransposeMatrixxOES = epoxy_glMultTransposeMatrixxOES_rewrite_ptr;

static void
epoxy_glMultiDrawArrays_rewrite_ptr(GLenum mode, const GLint * first, const GLsizei * count, GLsizei drawcount)
{
    epoxy_glMultiDrawArrays = (void *)epoxy_glMultiDrawArrays_resolver();
    epoxy_glMultiDrawArrays(mode, first, count, drawcount);
}
PUBLIC PFNGLMULTIDRAWARRAYSPROC epoxy_glMultiDrawArrays = epoxy_glMultiDrawArrays_rewrite_ptr;

static void
epoxy_glMultiDrawArraysEXT_rewrite_ptr(GLenum mode, const GLint * first, const GLsizei * count, GLsizei primcount)
{
    epoxy_glMultiDrawArraysEXT = (void *)epoxy_glMultiDrawArrays_resolver();
    epoxy_glMultiDrawArraysEXT(mode, first, count, primcount);
}
PUBLIC PFNGLMULTIDRAWARRAYSEXTPROC epoxy_glMultiDrawArraysEXT = epoxy_glMultiDrawArraysEXT_rewrite_ptr;

static void
epoxy_glMultiDrawArraysIndirect_rewrite_ptr(GLenum mode, const void * indirect, GLsizei drawcount, GLsizei stride)
{
    epoxy_glMultiDrawArraysIndirect = (void *)epoxy_glMultiDrawArraysIndirect_resolver();
    epoxy_glMultiDrawArraysIndirect(mode, indirect, drawcount, stride);
}
PUBLIC PFNGLMULTIDRAWARRAYSINDIRECTPROC epoxy_glMultiDrawArraysIndirect = epoxy_glMultiDrawArraysIndirect_rewrite_ptr;

static void
epoxy_glMultiDrawArraysIndirectAMD_rewrite_ptr(GLenum mode, const void * indirect, GLsizei primcount, GLsizei stride)
{
    epoxy_glMultiDrawArraysIndirectAMD = (void *)epoxy_glMultiDrawArraysIndirect_resolver();
    epoxy_glMultiDrawArraysIndirectAMD(mode, indirect, primcount, stride);
}
PUBLIC PFNGLMULTIDRAWARRAYSINDIRECTAMDPROC epoxy_glMultiDrawArraysIndirectAMD = epoxy_glMultiDrawArraysIndirectAMD_rewrite_ptr;

static void
epoxy_glMultiDrawArraysIndirectBindlessNV_rewrite_ptr(GLenum mode, const void * indirect, GLsizei drawCount, GLsizei stride, GLint vertexBufferCount)
{
    epoxy_glMultiDrawArraysIndirectBindlessNV = (void *)epoxy_glMultiDrawArraysIndirectBindlessNV_resolver();
    epoxy_glMultiDrawArraysIndirectBindlessNV(mode, indirect, drawCount, stride, vertexBufferCount);
}
PUBLIC PFNGLMULTIDRAWARRAYSINDIRECTBINDLESSNVPROC epoxy_glMultiDrawArraysIndirectBindlessNV = epoxy_glMultiDrawArraysIndirectBindlessNV_rewrite_ptr;

static void
epoxy_glMultiDrawArraysIndirectCountARB_rewrite_ptr(GLenum mode, GLintptr indirect, GLintptr drawcount, GLsizei maxdrawcount, GLsizei stride)
{
    epoxy_glMultiDrawArraysIndirectCountARB = (void *)epoxy_glMultiDrawArraysIndirectCountARB_resolver();
    epoxy_glMultiDrawArraysIndirectCountARB(mode, indirect, drawcount, maxdrawcount, stride);
}
PUBLIC PFNGLMULTIDRAWARRAYSINDIRECTCOUNTARBPROC epoxy_glMultiDrawArraysIndirectCountARB = epoxy_glMultiDrawArraysIndirectCountARB_rewrite_ptr;

static void
epoxy_glMultiDrawElementArrayAPPLE_rewrite_ptr(GLenum mode, const GLint * first, const GLsizei * count, GLsizei primcount)
{
    epoxy_glMultiDrawElementArrayAPPLE = (void *)epoxy_glMultiDrawElementArrayAPPLE_resolver();
    epoxy_glMultiDrawElementArrayAPPLE(mode, first, count, primcount);
}
PUBLIC PFNGLMULTIDRAWELEMENTARRAYAPPLEPROC epoxy_glMultiDrawElementArrayAPPLE = epoxy_glMultiDrawElementArrayAPPLE_rewrite_ptr;

static void
epoxy_glMultiDrawElements_rewrite_ptr(GLenum mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei drawcount)
{
    epoxy_glMultiDrawElements = (void *)epoxy_glMultiDrawElements_resolver();
    epoxy_glMultiDrawElements(mode, count, type, indices, drawcount);
}
PUBLIC PFNGLMULTIDRAWELEMENTSPROC epoxy_glMultiDrawElements = epoxy_glMultiDrawElements_rewrite_ptr;

static void
epoxy_glMultiDrawElementsBaseVertex_rewrite_ptr(GLenum mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei drawcount, const GLint * basevertex)
{
    epoxy_glMultiDrawElementsBaseVertex = (void *)epoxy_glMultiDrawElementsBaseVertex_resolver();
    epoxy_glMultiDrawElementsBaseVertex(mode, count, type, indices, drawcount, basevertex);
}
PUBLIC PFNGLMULTIDRAWELEMENTSBASEVERTEXPROC epoxy_glMultiDrawElementsBaseVertex = epoxy_glMultiDrawElementsBaseVertex_rewrite_ptr;

static void
epoxy_glMultiDrawElementsEXT_rewrite_ptr(GLenum mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei primcount)
{
    epoxy_glMultiDrawElementsEXT = (void *)epoxy_glMultiDrawElements_resolver();
    epoxy_glMultiDrawElementsEXT(mode, count, type, indices, primcount);
}
PUBLIC PFNGLMULTIDRAWELEMENTSEXTPROC epoxy_glMultiDrawElementsEXT = epoxy_glMultiDrawElementsEXT_rewrite_ptr;

static void
epoxy_glMultiDrawElementsIndirect_rewrite_ptr(GLenum mode, GLenum type, const void * indirect, GLsizei drawcount, GLsizei stride)
{
    epoxy_glMultiDrawElementsIndirect = (void *)epoxy_glMultiDrawElementsIndirect_resolver();
    epoxy_glMultiDrawElementsIndirect(mode, type, indirect, drawcount, stride);
}
PUBLIC PFNGLMULTIDRAWELEMENTSINDIRECTPROC epoxy_glMultiDrawElementsIndirect = epoxy_glMultiDrawElementsIndirect_rewrite_ptr;

static void
epoxy_glMultiDrawElementsIndirectAMD_rewrite_ptr(GLenum mode, GLenum type, const void * indirect, GLsizei primcount, GLsizei stride)
{
    epoxy_glMultiDrawElementsIndirectAMD = (void *)epoxy_glMultiDrawElementsIndirect_resolver();
    epoxy_glMultiDrawElementsIndirectAMD(mode, type, indirect, primcount, stride);
}
PUBLIC PFNGLMULTIDRAWELEMENTSINDIRECTAMDPROC epoxy_glMultiDrawElementsIndirectAMD = epoxy_glMultiDrawElementsIndirectAMD_rewrite_ptr;

static void
epoxy_glMultiDrawElementsIndirectBindlessNV_rewrite_ptr(GLenum mode, GLenum type, const void * indirect, GLsizei drawCount, GLsizei stride, GLint vertexBufferCount)
{
    epoxy_glMultiDrawElementsIndirectBindlessNV = (void *)epoxy_glMultiDrawElementsIndirectBindlessNV_resolver();
    epoxy_glMultiDrawElementsIndirectBindlessNV(mode, type, indirect, drawCount, stride, vertexBufferCount);
}
PUBLIC PFNGLMULTIDRAWELEMENTSINDIRECTBINDLESSNVPROC epoxy_glMultiDrawElementsIndirectBindlessNV = epoxy_glMultiDrawElementsIndirectBindlessNV_rewrite_ptr;

static void
epoxy_glMultiDrawElementsIndirectCountARB_rewrite_ptr(GLenum mode, GLenum type, GLintptr indirect, GLintptr drawcount, GLsizei maxdrawcount, GLsizei stride)
{
    epoxy_glMultiDrawElementsIndirectCountARB = (void *)epoxy_glMultiDrawElementsIndirectCountARB_resolver();
    epoxy_glMultiDrawElementsIndirectCountARB(mode, type, indirect, drawcount, maxdrawcount, stride);
}
PUBLIC PFNGLMULTIDRAWELEMENTSINDIRECTCOUNTARBPROC epoxy_glMultiDrawElementsIndirectCountARB = epoxy_glMultiDrawElementsIndirectCountARB_rewrite_ptr;

static void
epoxy_glMultiDrawRangeElementArrayAPPLE_rewrite_ptr(GLenum mode, GLuint start, GLuint end, const GLint * first, const GLsizei * count, GLsizei primcount)
{
    epoxy_glMultiDrawRangeElementArrayAPPLE = (void *)epoxy_glMultiDrawRangeElementArrayAPPLE_resolver();
    epoxy_glMultiDrawRangeElementArrayAPPLE(mode, start, end, first, count, primcount);
}
PUBLIC PFNGLMULTIDRAWRANGEELEMENTARRAYAPPLEPROC epoxy_glMultiDrawRangeElementArrayAPPLE = epoxy_glMultiDrawRangeElementArrayAPPLE_rewrite_ptr;

static void
epoxy_glMultiModeDrawArraysIBM_rewrite_ptr(const GLenum * mode, const GLint * first, const GLsizei * count, GLsizei primcount, GLint modestride)
{
    epoxy_glMultiModeDrawArraysIBM = (void *)epoxy_glMultiModeDrawArraysIBM_resolver();
    epoxy_glMultiModeDrawArraysIBM(mode, first, count, primcount, modestride);
}
PUBLIC PFNGLMULTIMODEDRAWARRAYSIBMPROC epoxy_glMultiModeDrawArraysIBM = epoxy_glMultiModeDrawArraysIBM_rewrite_ptr;

static void
epoxy_glMultiModeDrawElementsIBM_rewrite_ptr(const GLenum * mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei primcount, GLint modestride)
{
    epoxy_glMultiModeDrawElementsIBM = (void *)epoxy_glMultiModeDrawElementsIBM_resolver();
    epoxy_glMultiModeDrawElementsIBM(mode, count, type, indices, primcount, modestride);
}
PUBLIC PFNGLMULTIMODEDRAWELEMENTSIBMPROC epoxy_glMultiModeDrawElementsIBM = epoxy_glMultiModeDrawElementsIBM_rewrite_ptr;

static void
epoxy_glMultiTexBufferEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum internalformat, GLuint buffer)
{
    epoxy_glMultiTexBufferEXT = (void *)epoxy_glMultiTexBufferEXT_resolver();
    epoxy_glMultiTexBufferEXT(texunit, target, internalformat, buffer);
}
PUBLIC PFNGLMULTITEXBUFFEREXTPROC epoxy_glMultiTexBufferEXT = epoxy_glMultiTexBufferEXT_rewrite_ptr;

static void
epoxy_glMultiTexCoord1bOES_rewrite_ptr(GLenum texture, GLbyte s)
{
    epoxy_glMultiTexCoord1bOES = (void *)epoxy_glMultiTexCoord1bOES_resolver();
    epoxy_glMultiTexCoord1bOES(texture, s);
}
PUBLIC PFNGLMULTITEXCOORD1BOESPROC epoxy_glMultiTexCoord1bOES = epoxy_glMultiTexCoord1bOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord1bvOES_rewrite_ptr(GLenum texture, const GLbyte * coords)
{
    epoxy_glMultiTexCoord1bvOES = (void *)epoxy_glMultiTexCoord1bvOES_resolver();
    epoxy_glMultiTexCoord1bvOES(texture, coords);
}
PUBLIC PFNGLMULTITEXCOORD1BVOESPROC epoxy_glMultiTexCoord1bvOES = epoxy_glMultiTexCoord1bvOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord1d_rewrite_ptr(GLenum target, GLdouble s)
{
    epoxy_glMultiTexCoord1d = (void *)epoxy_glMultiTexCoord1d_resolver();
    epoxy_glMultiTexCoord1d(target, s);
}
PUBLIC PFNGLMULTITEXCOORD1DPROC epoxy_glMultiTexCoord1d = epoxy_glMultiTexCoord1d_rewrite_ptr;

static void
epoxy_glMultiTexCoord1dARB_rewrite_ptr(GLenum target, GLdouble s)
{
    epoxy_glMultiTexCoord1dARB = (void *)epoxy_glMultiTexCoord1d_resolver();
    epoxy_glMultiTexCoord1dARB(target, s);
}
PUBLIC PFNGLMULTITEXCOORD1DARBPROC epoxy_glMultiTexCoord1dARB = epoxy_glMultiTexCoord1dARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord1dv_rewrite_ptr(GLenum target, const GLdouble * v)
{
    epoxy_glMultiTexCoord1dv = (void *)epoxy_glMultiTexCoord1dv_resolver();
    epoxy_glMultiTexCoord1dv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD1DVPROC epoxy_glMultiTexCoord1dv = epoxy_glMultiTexCoord1dv_rewrite_ptr;

static void
epoxy_glMultiTexCoord1dvARB_rewrite_ptr(GLenum target, const GLdouble * v)
{
    epoxy_glMultiTexCoord1dvARB = (void *)epoxy_glMultiTexCoord1dv_resolver();
    epoxy_glMultiTexCoord1dvARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD1DVARBPROC epoxy_glMultiTexCoord1dvARB = epoxy_glMultiTexCoord1dvARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord1f_rewrite_ptr(GLenum target, GLfloat s)
{
    epoxy_glMultiTexCoord1f = (void *)epoxy_glMultiTexCoord1f_resolver();
    epoxy_glMultiTexCoord1f(target, s);
}
PUBLIC PFNGLMULTITEXCOORD1FPROC epoxy_glMultiTexCoord1f = epoxy_glMultiTexCoord1f_rewrite_ptr;

static void
epoxy_glMultiTexCoord1fARB_rewrite_ptr(GLenum target, GLfloat s)
{
    epoxy_glMultiTexCoord1fARB = (void *)epoxy_glMultiTexCoord1f_resolver();
    epoxy_glMultiTexCoord1fARB(target, s);
}
PUBLIC PFNGLMULTITEXCOORD1FARBPROC epoxy_glMultiTexCoord1fARB = epoxy_glMultiTexCoord1fARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord1fv_rewrite_ptr(GLenum target, const GLfloat * v)
{
    epoxy_glMultiTexCoord1fv = (void *)epoxy_glMultiTexCoord1fv_resolver();
    epoxy_glMultiTexCoord1fv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD1FVPROC epoxy_glMultiTexCoord1fv = epoxy_glMultiTexCoord1fv_rewrite_ptr;

static void
epoxy_glMultiTexCoord1fvARB_rewrite_ptr(GLenum target, const GLfloat * v)
{
    epoxy_glMultiTexCoord1fvARB = (void *)epoxy_glMultiTexCoord1fv_resolver();
    epoxy_glMultiTexCoord1fvARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD1FVARBPROC epoxy_glMultiTexCoord1fvARB = epoxy_glMultiTexCoord1fvARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord1hNV_rewrite_ptr(GLenum target, GLhalfNV s)
{
    epoxy_glMultiTexCoord1hNV = (void *)epoxy_glMultiTexCoord1hNV_resolver();
    epoxy_glMultiTexCoord1hNV(target, s);
}
PUBLIC PFNGLMULTITEXCOORD1HNVPROC epoxy_glMultiTexCoord1hNV = epoxy_glMultiTexCoord1hNV_rewrite_ptr;

static void
epoxy_glMultiTexCoord1hvNV_rewrite_ptr(GLenum target, const GLhalfNV * v)
{
    epoxy_glMultiTexCoord1hvNV = (void *)epoxy_glMultiTexCoord1hvNV_resolver();
    epoxy_glMultiTexCoord1hvNV(target, v);
}
PUBLIC PFNGLMULTITEXCOORD1HVNVPROC epoxy_glMultiTexCoord1hvNV = epoxy_glMultiTexCoord1hvNV_rewrite_ptr;

static void
epoxy_glMultiTexCoord1i_rewrite_ptr(GLenum target, GLint s)
{
    epoxy_glMultiTexCoord1i = (void *)epoxy_glMultiTexCoord1i_resolver();
    epoxy_glMultiTexCoord1i(target, s);
}
PUBLIC PFNGLMULTITEXCOORD1IPROC epoxy_glMultiTexCoord1i = epoxy_glMultiTexCoord1i_rewrite_ptr;

static void
epoxy_glMultiTexCoord1iARB_rewrite_ptr(GLenum target, GLint s)
{
    epoxy_glMultiTexCoord1iARB = (void *)epoxy_glMultiTexCoord1i_resolver();
    epoxy_glMultiTexCoord1iARB(target, s);
}
PUBLIC PFNGLMULTITEXCOORD1IARBPROC epoxy_glMultiTexCoord1iARB = epoxy_glMultiTexCoord1iARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord1iv_rewrite_ptr(GLenum target, const GLint * v)
{
    epoxy_glMultiTexCoord1iv = (void *)epoxy_glMultiTexCoord1iv_resolver();
    epoxy_glMultiTexCoord1iv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD1IVPROC epoxy_glMultiTexCoord1iv = epoxy_glMultiTexCoord1iv_rewrite_ptr;

static void
epoxy_glMultiTexCoord1ivARB_rewrite_ptr(GLenum target, const GLint * v)
{
    epoxy_glMultiTexCoord1ivARB = (void *)epoxy_glMultiTexCoord1iv_resolver();
    epoxy_glMultiTexCoord1ivARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD1IVARBPROC epoxy_glMultiTexCoord1ivARB = epoxy_glMultiTexCoord1ivARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord1s_rewrite_ptr(GLenum target, GLshort s)
{
    epoxy_glMultiTexCoord1s = (void *)epoxy_glMultiTexCoord1s_resolver();
    epoxy_glMultiTexCoord1s(target, s);
}
PUBLIC PFNGLMULTITEXCOORD1SPROC epoxy_glMultiTexCoord1s = epoxy_glMultiTexCoord1s_rewrite_ptr;

static void
epoxy_glMultiTexCoord1sARB_rewrite_ptr(GLenum target, GLshort s)
{
    epoxy_glMultiTexCoord1sARB = (void *)epoxy_glMultiTexCoord1s_resolver();
    epoxy_glMultiTexCoord1sARB(target, s);
}
PUBLIC PFNGLMULTITEXCOORD1SARBPROC epoxy_glMultiTexCoord1sARB = epoxy_glMultiTexCoord1sARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord1sv_rewrite_ptr(GLenum target, const GLshort * v)
{
    epoxy_glMultiTexCoord1sv = (void *)epoxy_glMultiTexCoord1sv_resolver();
    epoxy_glMultiTexCoord1sv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD1SVPROC epoxy_glMultiTexCoord1sv = epoxy_glMultiTexCoord1sv_rewrite_ptr;

static void
epoxy_glMultiTexCoord1svARB_rewrite_ptr(GLenum target, const GLshort * v)
{
    epoxy_glMultiTexCoord1svARB = (void *)epoxy_glMultiTexCoord1sv_resolver();
    epoxy_glMultiTexCoord1svARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD1SVARBPROC epoxy_glMultiTexCoord1svARB = epoxy_glMultiTexCoord1svARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord1xOES_rewrite_ptr(GLenum texture, GLfixed s)
{
    epoxy_glMultiTexCoord1xOES = (void *)epoxy_glMultiTexCoord1xOES_resolver();
    epoxy_glMultiTexCoord1xOES(texture, s);
}
PUBLIC PFNGLMULTITEXCOORD1XOESPROC epoxy_glMultiTexCoord1xOES = epoxy_glMultiTexCoord1xOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord1xvOES_rewrite_ptr(GLenum texture, const GLfixed * coords)
{
    epoxy_glMultiTexCoord1xvOES = (void *)epoxy_glMultiTexCoord1xvOES_resolver();
    epoxy_glMultiTexCoord1xvOES(texture, coords);
}
PUBLIC PFNGLMULTITEXCOORD1XVOESPROC epoxy_glMultiTexCoord1xvOES = epoxy_glMultiTexCoord1xvOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord2bOES_rewrite_ptr(GLenum texture, GLbyte s, GLbyte t)
{
    epoxy_glMultiTexCoord2bOES = (void *)epoxy_glMultiTexCoord2bOES_resolver();
    epoxy_glMultiTexCoord2bOES(texture, s, t);
}
PUBLIC PFNGLMULTITEXCOORD2BOESPROC epoxy_glMultiTexCoord2bOES = epoxy_glMultiTexCoord2bOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord2bvOES_rewrite_ptr(GLenum texture, const GLbyte * coords)
{
    epoxy_glMultiTexCoord2bvOES = (void *)epoxy_glMultiTexCoord2bvOES_resolver();
    epoxy_glMultiTexCoord2bvOES(texture, coords);
}
PUBLIC PFNGLMULTITEXCOORD2BVOESPROC epoxy_glMultiTexCoord2bvOES = epoxy_glMultiTexCoord2bvOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord2d_rewrite_ptr(GLenum target, GLdouble s, GLdouble t)
{
    epoxy_glMultiTexCoord2d = (void *)epoxy_glMultiTexCoord2d_resolver();
    epoxy_glMultiTexCoord2d(target, s, t);
}
PUBLIC PFNGLMULTITEXCOORD2DPROC epoxy_glMultiTexCoord2d = epoxy_glMultiTexCoord2d_rewrite_ptr;

static void
epoxy_glMultiTexCoord2dARB_rewrite_ptr(GLenum target, GLdouble s, GLdouble t)
{
    epoxy_glMultiTexCoord2dARB = (void *)epoxy_glMultiTexCoord2d_resolver();
    epoxy_glMultiTexCoord2dARB(target, s, t);
}
PUBLIC PFNGLMULTITEXCOORD2DARBPROC epoxy_glMultiTexCoord2dARB = epoxy_glMultiTexCoord2dARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord2dv_rewrite_ptr(GLenum target, const GLdouble * v)
{
    epoxy_glMultiTexCoord2dv = (void *)epoxy_glMultiTexCoord2dv_resolver();
    epoxy_glMultiTexCoord2dv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD2DVPROC epoxy_glMultiTexCoord2dv = epoxy_glMultiTexCoord2dv_rewrite_ptr;

static void
epoxy_glMultiTexCoord2dvARB_rewrite_ptr(GLenum target, const GLdouble * v)
{
    epoxy_glMultiTexCoord2dvARB = (void *)epoxy_glMultiTexCoord2dv_resolver();
    epoxy_glMultiTexCoord2dvARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD2DVARBPROC epoxy_glMultiTexCoord2dvARB = epoxy_glMultiTexCoord2dvARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord2f_rewrite_ptr(GLenum target, GLfloat s, GLfloat t)
{
    epoxy_glMultiTexCoord2f = (void *)epoxy_glMultiTexCoord2f_resolver();
    epoxy_glMultiTexCoord2f(target, s, t);
}
PUBLIC PFNGLMULTITEXCOORD2FPROC epoxy_glMultiTexCoord2f = epoxy_glMultiTexCoord2f_rewrite_ptr;

static void
epoxy_glMultiTexCoord2fARB_rewrite_ptr(GLenum target, GLfloat s, GLfloat t)
{
    epoxy_glMultiTexCoord2fARB = (void *)epoxy_glMultiTexCoord2f_resolver();
    epoxy_glMultiTexCoord2fARB(target, s, t);
}
PUBLIC PFNGLMULTITEXCOORD2FARBPROC epoxy_glMultiTexCoord2fARB = epoxy_glMultiTexCoord2fARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord2fv_rewrite_ptr(GLenum target, const GLfloat * v)
{
    epoxy_glMultiTexCoord2fv = (void *)epoxy_glMultiTexCoord2fv_resolver();
    epoxy_glMultiTexCoord2fv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD2FVPROC epoxy_glMultiTexCoord2fv = epoxy_glMultiTexCoord2fv_rewrite_ptr;

static void
epoxy_glMultiTexCoord2fvARB_rewrite_ptr(GLenum target, const GLfloat * v)
{
    epoxy_glMultiTexCoord2fvARB = (void *)epoxy_glMultiTexCoord2fv_resolver();
    epoxy_glMultiTexCoord2fvARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD2FVARBPROC epoxy_glMultiTexCoord2fvARB = epoxy_glMultiTexCoord2fvARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord2hNV_rewrite_ptr(GLenum target, GLhalfNV s, GLhalfNV t)
{
    epoxy_glMultiTexCoord2hNV = (void *)epoxy_glMultiTexCoord2hNV_resolver();
    epoxy_glMultiTexCoord2hNV(target, s, t);
}
PUBLIC PFNGLMULTITEXCOORD2HNVPROC epoxy_glMultiTexCoord2hNV = epoxy_glMultiTexCoord2hNV_rewrite_ptr;

static void
epoxy_glMultiTexCoord2hvNV_rewrite_ptr(GLenum target, const GLhalfNV * v)
{
    epoxy_glMultiTexCoord2hvNV = (void *)epoxy_glMultiTexCoord2hvNV_resolver();
    epoxy_glMultiTexCoord2hvNV(target, v);
}
PUBLIC PFNGLMULTITEXCOORD2HVNVPROC epoxy_glMultiTexCoord2hvNV = epoxy_glMultiTexCoord2hvNV_rewrite_ptr;

static void
epoxy_glMultiTexCoord2i_rewrite_ptr(GLenum target, GLint s, GLint t)
{
    epoxy_glMultiTexCoord2i = (void *)epoxy_glMultiTexCoord2i_resolver();
    epoxy_glMultiTexCoord2i(target, s, t);
}
PUBLIC PFNGLMULTITEXCOORD2IPROC epoxy_glMultiTexCoord2i = epoxy_glMultiTexCoord2i_rewrite_ptr;

static void
epoxy_glMultiTexCoord2iARB_rewrite_ptr(GLenum target, GLint s, GLint t)
{
    epoxy_glMultiTexCoord2iARB = (void *)epoxy_glMultiTexCoord2i_resolver();
    epoxy_glMultiTexCoord2iARB(target, s, t);
}
PUBLIC PFNGLMULTITEXCOORD2IARBPROC epoxy_glMultiTexCoord2iARB = epoxy_glMultiTexCoord2iARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord2iv_rewrite_ptr(GLenum target, const GLint * v)
{
    epoxy_glMultiTexCoord2iv = (void *)epoxy_glMultiTexCoord2iv_resolver();
    epoxy_glMultiTexCoord2iv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD2IVPROC epoxy_glMultiTexCoord2iv = epoxy_glMultiTexCoord2iv_rewrite_ptr;

static void
epoxy_glMultiTexCoord2ivARB_rewrite_ptr(GLenum target, const GLint * v)
{
    epoxy_glMultiTexCoord2ivARB = (void *)epoxy_glMultiTexCoord2iv_resolver();
    epoxy_glMultiTexCoord2ivARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD2IVARBPROC epoxy_glMultiTexCoord2ivARB = epoxy_glMultiTexCoord2ivARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord2s_rewrite_ptr(GLenum target, GLshort s, GLshort t)
{
    epoxy_glMultiTexCoord2s = (void *)epoxy_glMultiTexCoord2s_resolver();
    epoxy_glMultiTexCoord2s(target, s, t);
}
PUBLIC PFNGLMULTITEXCOORD2SPROC epoxy_glMultiTexCoord2s = epoxy_glMultiTexCoord2s_rewrite_ptr;

static void
epoxy_glMultiTexCoord2sARB_rewrite_ptr(GLenum target, GLshort s, GLshort t)
{
    epoxy_glMultiTexCoord2sARB = (void *)epoxy_glMultiTexCoord2s_resolver();
    epoxy_glMultiTexCoord2sARB(target, s, t);
}
PUBLIC PFNGLMULTITEXCOORD2SARBPROC epoxy_glMultiTexCoord2sARB = epoxy_glMultiTexCoord2sARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord2sv_rewrite_ptr(GLenum target, const GLshort * v)
{
    epoxy_glMultiTexCoord2sv = (void *)epoxy_glMultiTexCoord2sv_resolver();
    epoxy_glMultiTexCoord2sv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD2SVPROC epoxy_glMultiTexCoord2sv = epoxy_glMultiTexCoord2sv_rewrite_ptr;

static void
epoxy_glMultiTexCoord2svARB_rewrite_ptr(GLenum target, const GLshort * v)
{
    epoxy_glMultiTexCoord2svARB = (void *)epoxy_glMultiTexCoord2sv_resolver();
    epoxy_glMultiTexCoord2svARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD2SVARBPROC epoxy_glMultiTexCoord2svARB = epoxy_glMultiTexCoord2svARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord2xOES_rewrite_ptr(GLenum texture, GLfixed s, GLfixed t)
{
    epoxy_glMultiTexCoord2xOES = (void *)epoxy_glMultiTexCoord2xOES_resolver();
    epoxy_glMultiTexCoord2xOES(texture, s, t);
}
PUBLIC PFNGLMULTITEXCOORD2XOESPROC epoxy_glMultiTexCoord2xOES = epoxy_glMultiTexCoord2xOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord2xvOES_rewrite_ptr(GLenum texture, const GLfixed * coords)
{
    epoxy_glMultiTexCoord2xvOES = (void *)epoxy_glMultiTexCoord2xvOES_resolver();
    epoxy_glMultiTexCoord2xvOES(texture, coords);
}
PUBLIC PFNGLMULTITEXCOORD2XVOESPROC epoxy_glMultiTexCoord2xvOES = epoxy_glMultiTexCoord2xvOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord3bOES_rewrite_ptr(GLenum texture, GLbyte s, GLbyte t, GLbyte r)
{
    epoxy_glMultiTexCoord3bOES = (void *)epoxy_glMultiTexCoord3bOES_resolver();
    epoxy_glMultiTexCoord3bOES(texture, s, t, r);
}
PUBLIC PFNGLMULTITEXCOORD3BOESPROC epoxy_glMultiTexCoord3bOES = epoxy_glMultiTexCoord3bOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord3bvOES_rewrite_ptr(GLenum texture, const GLbyte * coords)
{
    epoxy_glMultiTexCoord3bvOES = (void *)epoxy_glMultiTexCoord3bvOES_resolver();
    epoxy_glMultiTexCoord3bvOES(texture, coords);
}
PUBLIC PFNGLMULTITEXCOORD3BVOESPROC epoxy_glMultiTexCoord3bvOES = epoxy_glMultiTexCoord3bvOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord3d_rewrite_ptr(GLenum target, GLdouble s, GLdouble t, GLdouble r)
{
    epoxy_glMultiTexCoord3d = (void *)epoxy_glMultiTexCoord3d_resolver();
    epoxy_glMultiTexCoord3d(target, s, t, r);
}
PUBLIC PFNGLMULTITEXCOORD3DPROC epoxy_glMultiTexCoord3d = epoxy_glMultiTexCoord3d_rewrite_ptr;

static void
epoxy_glMultiTexCoord3dARB_rewrite_ptr(GLenum target, GLdouble s, GLdouble t, GLdouble r)
{
    epoxy_glMultiTexCoord3dARB = (void *)epoxy_glMultiTexCoord3d_resolver();
    epoxy_glMultiTexCoord3dARB(target, s, t, r);
}
PUBLIC PFNGLMULTITEXCOORD3DARBPROC epoxy_glMultiTexCoord3dARB = epoxy_glMultiTexCoord3dARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord3dv_rewrite_ptr(GLenum target, const GLdouble * v)
{
    epoxy_glMultiTexCoord3dv = (void *)epoxy_glMultiTexCoord3dv_resolver();
    epoxy_glMultiTexCoord3dv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD3DVPROC epoxy_glMultiTexCoord3dv = epoxy_glMultiTexCoord3dv_rewrite_ptr;

static void
epoxy_glMultiTexCoord3dvARB_rewrite_ptr(GLenum target, const GLdouble * v)
{
    epoxy_glMultiTexCoord3dvARB = (void *)epoxy_glMultiTexCoord3dv_resolver();
    epoxy_glMultiTexCoord3dvARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD3DVARBPROC epoxy_glMultiTexCoord3dvARB = epoxy_glMultiTexCoord3dvARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord3f_rewrite_ptr(GLenum target, GLfloat s, GLfloat t, GLfloat r)
{
    epoxy_glMultiTexCoord3f = (void *)epoxy_glMultiTexCoord3f_resolver();
    epoxy_glMultiTexCoord3f(target, s, t, r);
}
PUBLIC PFNGLMULTITEXCOORD3FPROC epoxy_glMultiTexCoord3f = epoxy_glMultiTexCoord3f_rewrite_ptr;

static void
epoxy_glMultiTexCoord3fARB_rewrite_ptr(GLenum target, GLfloat s, GLfloat t, GLfloat r)
{
    epoxy_glMultiTexCoord3fARB = (void *)epoxy_glMultiTexCoord3f_resolver();
    epoxy_glMultiTexCoord3fARB(target, s, t, r);
}
PUBLIC PFNGLMULTITEXCOORD3FARBPROC epoxy_glMultiTexCoord3fARB = epoxy_glMultiTexCoord3fARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord3fv_rewrite_ptr(GLenum target, const GLfloat * v)
{
    epoxy_glMultiTexCoord3fv = (void *)epoxy_glMultiTexCoord3fv_resolver();
    epoxy_glMultiTexCoord3fv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD3FVPROC epoxy_glMultiTexCoord3fv = epoxy_glMultiTexCoord3fv_rewrite_ptr;

static void
epoxy_glMultiTexCoord3fvARB_rewrite_ptr(GLenum target, const GLfloat * v)
{
    epoxy_glMultiTexCoord3fvARB = (void *)epoxy_glMultiTexCoord3fv_resolver();
    epoxy_glMultiTexCoord3fvARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD3FVARBPROC epoxy_glMultiTexCoord3fvARB = epoxy_glMultiTexCoord3fvARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord3hNV_rewrite_ptr(GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r)
{
    epoxy_glMultiTexCoord3hNV = (void *)epoxy_glMultiTexCoord3hNV_resolver();
    epoxy_glMultiTexCoord3hNV(target, s, t, r);
}
PUBLIC PFNGLMULTITEXCOORD3HNVPROC epoxy_glMultiTexCoord3hNV = epoxy_glMultiTexCoord3hNV_rewrite_ptr;

static void
epoxy_glMultiTexCoord3hvNV_rewrite_ptr(GLenum target, const GLhalfNV * v)
{
    epoxy_glMultiTexCoord3hvNV = (void *)epoxy_glMultiTexCoord3hvNV_resolver();
    epoxy_glMultiTexCoord3hvNV(target, v);
}
PUBLIC PFNGLMULTITEXCOORD3HVNVPROC epoxy_glMultiTexCoord3hvNV = epoxy_glMultiTexCoord3hvNV_rewrite_ptr;

static void
epoxy_glMultiTexCoord3i_rewrite_ptr(GLenum target, GLint s, GLint t, GLint r)
{
    epoxy_glMultiTexCoord3i = (void *)epoxy_glMultiTexCoord3i_resolver();
    epoxy_glMultiTexCoord3i(target, s, t, r);
}
PUBLIC PFNGLMULTITEXCOORD3IPROC epoxy_glMultiTexCoord3i = epoxy_glMultiTexCoord3i_rewrite_ptr;

static void
epoxy_glMultiTexCoord3iARB_rewrite_ptr(GLenum target, GLint s, GLint t, GLint r)
{
    epoxy_glMultiTexCoord3iARB = (void *)epoxy_glMultiTexCoord3i_resolver();
    epoxy_glMultiTexCoord3iARB(target, s, t, r);
}
PUBLIC PFNGLMULTITEXCOORD3IARBPROC epoxy_glMultiTexCoord3iARB = epoxy_glMultiTexCoord3iARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord3iv_rewrite_ptr(GLenum target, const GLint * v)
{
    epoxy_glMultiTexCoord3iv = (void *)epoxy_glMultiTexCoord3iv_resolver();
    epoxy_glMultiTexCoord3iv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD3IVPROC epoxy_glMultiTexCoord3iv = epoxy_glMultiTexCoord3iv_rewrite_ptr;

static void
epoxy_glMultiTexCoord3ivARB_rewrite_ptr(GLenum target, const GLint * v)
{
    epoxy_glMultiTexCoord3ivARB = (void *)epoxy_glMultiTexCoord3iv_resolver();
    epoxy_glMultiTexCoord3ivARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD3IVARBPROC epoxy_glMultiTexCoord3ivARB = epoxy_glMultiTexCoord3ivARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord3s_rewrite_ptr(GLenum target, GLshort s, GLshort t, GLshort r)
{
    epoxy_glMultiTexCoord3s = (void *)epoxy_glMultiTexCoord3s_resolver();
    epoxy_glMultiTexCoord3s(target, s, t, r);
}
PUBLIC PFNGLMULTITEXCOORD3SPROC epoxy_glMultiTexCoord3s = epoxy_glMultiTexCoord3s_rewrite_ptr;

static void
epoxy_glMultiTexCoord3sARB_rewrite_ptr(GLenum target, GLshort s, GLshort t, GLshort r)
{
    epoxy_glMultiTexCoord3sARB = (void *)epoxy_glMultiTexCoord3s_resolver();
    epoxy_glMultiTexCoord3sARB(target, s, t, r);
}
PUBLIC PFNGLMULTITEXCOORD3SARBPROC epoxy_glMultiTexCoord3sARB = epoxy_glMultiTexCoord3sARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord3sv_rewrite_ptr(GLenum target, const GLshort * v)
{
    epoxy_glMultiTexCoord3sv = (void *)epoxy_glMultiTexCoord3sv_resolver();
    epoxy_glMultiTexCoord3sv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD3SVPROC epoxy_glMultiTexCoord3sv = epoxy_glMultiTexCoord3sv_rewrite_ptr;

static void
epoxy_glMultiTexCoord3svARB_rewrite_ptr(GLenum target, const GLshort * v)
{
    epoxy_glMultiTexCoord3svARB = (void *)epoxy_glMultiTexCoord3sv_resolver();
    epoxy_glMultiTexCoord3svARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD3SVARBPROC epoxy_glMultiTexCoord3svARB = epoxy_glMultiTexCoord3svARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord3xOES_rewrite_ptr(GLenum texture, GLfixed s, GLfixed t, GLfixed r)
{
    epoxy_glMultiTexCoord3xOES = (void *)epoxy_glMultiTexCoord3xOES_resolver();
    epoxy_glMultiTexCoord3xOES(texture, s, t, r);
}
PUBLIC PFNGLMULTITEXCOORD3XOESPROC epoxy_glMultiTexCoord3xOES = epoxy_glMultiTexCoord3xOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord3xvOES_rewrite_ptr(GLenum texture, const GLfixed * coords)
{
    epoxy_glMultiTexCoord3xvOES = (void *)epoxy_glMultiTexCoord3xvOES_resolver();
    epoxy_glMultiTexCoord3xvOES(texture, coords);
}
PUBLIC PFNGLMULTITEXCOORD3XVOESPROC epoxy_glMultiTexCoord3xvOES = epoxy_glMultiTexCoord3xvOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord4bOES_rewrite_ptr(GLenum texture, GLbyte s, GLbyte t, GLbyte r, GLbyte q)
{
    epoxy_glMultiTexCoord4bOES = (void *)epoxy_glMultiTexCoord4bOES_resolver();
    epoxy_glMultiTexCoord4bOES(texture, s, t, r, q);
}
PUBLIC PFNGLMULTITEXCOORD4BOESPROC epoxy_glMultiTexCoord4bOES = epoxy_glMultiTexCoord4bOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord4bvOES_rewrite_ptr(GLenum texture, const GLbyte * coords)
{
    epoxy_glMultiTexCoord4bvOES = (void *)epoxy_glMultiTexCoord4bvOES_resolver();
    epoxy_glMultiTexCoord4bvOES(texture, coords);
}
PUBLIC PFNGLMULTITEXCOORD4BVOESPROC epoxy_glMultiTexCoord4bvOES = epoxy_glMultiTexCoord4bvOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord4d_rewrite_ptr(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q)
{
    epoxy_glMultiTexCoord4d = (void *)epoxy_glMultiTexCoord4d_resolver();
    epoxy_glMultiTexCoord4d(target, s, t, r, q);
}
PUBLIC PFNGLMULTITEXCOORD4DPROC epoxy_glMultiTexCoord4d = epoxy_glMultiTexCoord4d_rewrite_ptr;

static void
epoxy_glMultiTexCoord4dARB_rewrite_ptr(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q)
{
    epoxy_glMultiTexCoord4dARB = (void *)epoxy_glMultiTexCoord4d_resolver();
    epoxy_glMultiTexCoord4dARB(target, s, t, r, q);
}
PUBLIC PFNGLMULTITEXCOORD4DARBPROC epoxy_glMultiTexCoord4dARB = epoxy_glMultiTexCoord4dARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord4dv_rewrite_ptr(GLenum target, const GLdouble * v)
{
    epoxy_glMultiTexCoord4dv = (void *)epoxy_glMultiTexCoord4dv_resolver();
    epoxy_glMultiTexCoord4dv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD4DVPROC epoxy_glMultiTexCoord4dv = epoxy_glMultiTexCoord4dv_rewrite_ptr;

static void
epoxy_glMultiTexCoord4dvARB_rewrite_ptr(GLenum target, const GLdouble * v)
{
    epoxy_glMultiTexCoord4dvARB = (void *)epoxy_glMultiTexCoord4dv_resolver();
    epoxy_glMultiTexCoord4dvARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD4DVARBPROC epoxy_glMultiTexCoord4dvARB = epoxy_glMultiTexCoord4dvARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord4f_rewrite_ptr(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)
{
    epoxy_glMultiTexCoord4f = (void *)epoxy_glMultiTexCoord4f_resolver();
    epoxy_glMultiTexCoord4f(target, s, t, r, q);
}
PUBLIC PFNGLMULTITEXCOORD4FPROC epoxy_glMultiTexCoord4f = epoxy_glMultiTexCoord4f_rewrite_ptr;

static void
epoxy_glMultiTexCoord4fARB_rewrite_ptr(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)
{
    epoxy_glMultiTexCoord4fARB = (void *)epoxy_glMultiTexCoord4f_resolver();
    epoxy_glMultiTexCoord4fARB(target, s, t, r, q);
}
PUBLIC PFNGLMULTITEXCOORD4FARBPROC epoxy_glMultiTexCoord4fARB = epoxy_glMultiTexCoord4fARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord4fv_rewrite_ptr(GLenum target, const GLfloat * v)
{
    epoxy_glMultiTexCoord4fv = (void *)epoxy_glMultiTexCoord4fv_resolver();
    epoxy_glMultiTexCoord4fv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD4FVPROC epoxy_glMultiTexCoord4fv = epoxy_glMultiTexCoord4fv_rewrite_ptr;

static void
epoxy_glMultiTexCoord4fvARB_rewrite_ptr(GLenum target, const GLfloat * v)
{
    epoxy_glMultiTexCoord4fvARB = (void *)epoxy_glMultiTexCoord4fv_resolver();
    epoxy_glMultiTexCoord4fvARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD4FVARBPROC epoxy_glMultiTexCoord4fvARB = epoxy_glMultiTexCoord4fvARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord4hNV_rewrite_ptr(GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q)
{
    epoxy_glMultiTexCoord4hNV = (void *)epoxy_glMultiTexCoord4hNV_resolver();
    epoxy_glMultiTexCoord4hNV(target, s, t, r, q);
}
PUBLIC PFNGLMULTITEXCOORD4HNVPROC epoxy_glMultiTexCoord4hNV = epoxy_glMultiTexCoord4hNV_rewrite_ptr;

static void
epoxy_glMultiTexCoord4hvNV_rewrite_ptr(GLenum target, const GLhalfNV * v)
{
    epoxy_glMultiTexCoord4hvNV = (void *)epoxy_glMultiTexCoord4hvNV_resolver();
    epoxy_glMultiTexCoord4hvNV(target, v);
}
PUBLIC PFNGLMULTITEXCOORD4HVNVPROC epoxy_glMultiTexCoord4hvNV = epoxy_glMultiTexCoord4hvNV_rewrite_ptr;

static void
epoxy_glMultiTexCoord4i_rewrite_ptr(GLenum target, GLint s, GLint t, GLint r, GLint q)
{
    epoxy_glMultiTexCoord4i = (void *)epoxy_glMultiTexCoord4i_resolver();
    epoxy_glMultiTexCoord4i(target, s, t, r, q);
}
PUBLIC PFNGLMULTITEXCOORD4IPROC epoxy_glMultiTexCoord4i = epoxy_glMultiTexCoord4i_rewrite_ptr;

static void
epoxy_glMultiTexCoord4iARB_rewrite_ptr(GLenum target, GLint s, GLint t, GLint r, GLint q)
{
    epoxy_glMultiTexCoord4iARB = (void *)epoxy_glMultiTexCoord4i_resolver();
    epoxy_glMultiTexCoord4iARB(target, s, t, r, q);
}
PUBLIC PFNGLMULTITEXCOORD4IARBPROC epoxy_glMultiTexCoord4iARB = epoxy_glMultiTexCoord4iARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord4iv_rewrite_ptr(GLenum target, const GLint * v)
{
    epoxy_glMultiTexCoord4iv = (void *)epoxy_glMultiTexCoord4iv_resolver();
    epoxy_glMultiTexCoord4iv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD4IVPROC epoxy_glMultiTexCoord4iv = epoxy_glMultiTexCoord4iv_rewrite_ptr;

static void
epoxy_glMultiTexCoord4ivARB_rewrite_ptr(GLenum target, const GLint * v)
{
    epoxy_glMultiTexCoord4ivARB = (void *)epoxy_glMultiTexCoord4iv_resolver();
    epoxy_glMultiTexCoord4ivARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD4IVARBPROC epoxy_glMultiTexCoord4ivARB = epoxy_glMultiTexCoord4ivARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord4s_rewrite_ptr(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q)
{
    epoxy_glMultiTexCoord4s = (void *)epoxy_glMultiTexCoord4s_resolver();
    epoxy_glMultiTexCoord4s(target, s, t, r, q);
}
PUBLIC PFNGLMULTITEXCOORD4SPROC epoxy_glMultiTexCoord4s = epoxy_glMultiTexCoord4s_rewrite_ptr;

static void
epoxy_glMultiTexCoord4sARB_rewrite_ptr(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q)
{
    epoxy_glMultiTexCoord4sARB = (void *)epoxy_glMultiTexCoord4s_resolver();
    epoxy_glMultiTexCoord4sARB(target, s, t, r, q);
}
PUBLIC PFNGLMULTITEXCOORD4SARBPROC epoxy_glMultiTexCoord4sARB = epoxy_glMultiTexCoord4sARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord4sv_rewrite_ptr(GLenum target, const GLshort * v)
{
    epoxy_glMultiTexCoord4sv = (void *)epoxy_glMultiTexCoord4sv_resolver();
    epoxy_glMultiTexCoord4sv(target, v);
}
PUBLIC PFNGLMULTITEXCOORD4SVPROC epoxy_glMultiTexCoord4sv = epoxy_glMultiTexCoord4sv_rewrite_ptr;

static void
epoxy_glMultiTexCoord4svARB_rewrite_ptr(GLenum target, const GLshort * v)
{
    epoxy_glMultiTexCoord4svARB = (void *)epoxy_glMultiTexCoord4sv_resolver();
    epoxy_glMultiTexCoord4svARB(target, v);
}
PUBLIC PFNGLMULTITEXCOORD4SVARBPROC epoxy_glMultiTexCoord4svARB = epoxy_glMultiTexCoord4svARB_rewrite_ptr;

static void
epoxy_glMultiTexCoord4x_rewrite_ptr(GLenum texture, GLfixed s, GLfixed t, GLfixed r, GLfixed q)
{
    epoxy_glMultiTexCoord4x = (void *)epoxy_glMultiTexCoord4x_resolver();
    epoxy_glMultiTexCoord4x(texture, s, t, r, q);
}
PUBLIC PFNGLMULTITEXCOORD4XPROC epoxy_glMultiTexCoord4x = epoxy_glMultiTexCoord4x_rewrite_ptr;

static void
epoxy_glMultiTexCoord4xOES_rewrite_ptr(GLenum texture, GLfixed s, GLfixed t, GLfixed r, GLfixed q)
{
    epoxy_glMultiTexCoord4xOES = (void *)epoxy_glMultiTexCoord4xOES_resolver();
    epoxy_glMultiTexCoord4xOES(texture, s, t, r, q);
}
PUBLIC PFNGLMULTITEXCOORD4XOESPROC epoxy_glMultiTexCoord4xOES = epoxy_glMultiTexCoord4xOES_rewrite_ptr;

static void
epoxy_glMultiTexCoord4xvOES_rewrite_ptr(GLenum texture, const GLfixed * coords)
{
    epoxy_glMultiTexCoord4xvOES = (void *)epoxy_glMultiTexCoord4xvOES_resolver();
    epoxy_glMultiTexCoord4xvOES(texture, coords);
}
PUBLIC PFNGLMULTITEXCOORD4XVOESPROC epoxy_glMultiTexCoord4xvOES = epoxy_glMultiTexCoord4xvOES_rewrite_ptr;

static void
epoxy_glMultiTexCoordP1ui_rewrite_ptr(GLenum texture, GLenum type, GLuint coords)
{
    epoxy_glMultiTexCoordP1ui = (void *)epoxy_glMultiTexCoordP1ui_resolver();
    epoxy_glMultiTexCoordP1ui(texture, type, coords);
}
PUBLIC PFNGLMULTITEXCOORDP1UIPROC epoxy_glMultiTexCoordP1ui = epoxy_glMultiTexCoordP1ui_rewrite_ptr;

static void
epoxy_glMultiTexCoordP1uiv_rewrite_ptr(GLenum texture, GLenum type, const GLuint * coords)
{
    epoxy_glMultiTexCoordP1uiv = (void *)epoxy_glMultiTexCoordP1uiv_resolver();
    epoxy_glMultiTexCoordP1uiv(texture, type, coords);
}
PUBLIC PFNGLMULTITEXCOORDP1UIVPROC epoxy_glMultiTexCoordP1uiv = epoxy_glMultiTexCoordP1uiv_rewrite_ptr;

static void
epoxy_glMultiTexCoordP2ui_rewrite_ptr(GLenum texture, GLenum type, GLuint coords)
{
    epoxy_glMultiTexCoordP2ui = (void *)epoxy_glMultiTexCoordP2ui_resolver();
    epoxy_glMultiTexCoordP2ui(texture, type, coords);
}
PUBLIC PFNGLMULTITEXCOORDP2UIPROC epoxy_glMultiTexCoordP2ui = epoxy_glMultiTexCoordP2ui_rewrite_ptr;

static void
epoxy_glMultiTexCoordP2uiv_rewrite_ptr(GLenum texture, GLenum type, const GLuint * coords)
{
    epoxy_glMultiTexCoordP2uiv = (void *)epoxy_glMultiTexCoordP2uiv_resolver();
    epoxy_glMultiTexCoordP2uiv(texture, type, coords);
}
PUBLIC PFNGLMULTITEXCOORDP2UIVPROC epoxy_glMultiTexCoordP2uiv = epoxy_glMultiTexCoordP2uiv_rewrite_ptr;

static void
epoxy_glMultiTexCoordP3ui_rewrite_ptr(GLenum texture, GLenum type, GLuint coords)
{
    epoxy_glMultiTexCoordP3ui = (void *)epoxy_glMultiTexCoordP3ui_resolver();
    epoxy_glMultiTexCoordP3ui(texture, type, coords);
}
PUBLIC PFNGLMULTITEXCOORDP3UIPROC epoxy_glMultiTexCoordP3ui = epoxy_glMultiTexCoordP3ui_rewrite_ptr;

static void
epoxy_glMultiTexCoordP3uiv_rewrite_ptr(GLenum texture, GLenum type, const GLuint * coords)
{
    epoxy_glMultiTexCoordP3uiv = (void *)epoxy_glMultiTexCoordP3uiv_resolver();
    epoxy_glMultiTexCoordP3uiv(texture, type, coords);
}
PUBLIC PFNGLMULTITEXCOORDP3UIVPROC epoxy_glMultiTexCoordP3uiv = epoxy_glMultiTexCoordP3uiv_rewrite_ptr;

static void
epoxy_glMultiTexCoordP4ui_rewrite_ptr(GLenum texture, GLenum type, GLuint coords)
{
    epoxy_glMultiTexCoordP4ui = (void *)epoxy_glMultiTexCoordP4ui_resolver();
    epoxy_glMultiTexCoordP4ui(texture, type, coords);
}
PUBLIC PFNGLMULTITEXCOORDP4UIPROC epoxy_glMultiTexCoordP4ui = epoxy_glMultiTexCoordP4ui_rewrite_ptr;

static void
epoxy_glMultiTexCoordP4uiv_rewrite_ptr(GLenum texture, GLenum type, const GLuint * coords)
{
    epoxy_glMultiTexCoordP4uiv = (void *)epoxy_glMultiTexCoordP4uiv_resolver();
    epoxy_glMultiTexCoordP4uiv(texture, type, coords);
}
PUBLIC PFNGLMULTITEXCOORDP4UIVPROC epoxy_glMultiTexCoordP4uiv = epoxy_glMultiTexCoordP4uiv_rewrite_ptr;

static void
epoxy_glMultiTexCoordPointerEXT_rewrite_ptr(GLenum texunit, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glMultiTexCoordPointerEXT = (void *)epoxy_glMultiTexCoordPointerEXT_resolver();
    epoxy_glMultiTexCoordPointerEXT(texunit, size, type, stride, pointer);
}
PUBLIC PFNGLMULTITEXCOORDPOINTEREXTPROC epoxy_glMultiTexCoordPointerEXT = epoxy_glMultiTexCoordPointerEXT_rewrite_ptr;

static void
epoxy_glMultiTexEnvfEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, GLfloat param)
{
    epoxy_glMultiTexEnvfEXT = (void *)epoxy_glMultiTexEnvfEXT_resolver();
    epoxy_glMultiTexEnvfEXT(texunit, target, pname, param);
}
PUBLIC PFNGLMULTITEXENVFEXTPROC epoxy_glMultiTexEnvfEXT = epoxy_glMultiTexEnvfEXT_rewrite_ptr;

static void
epoxy_glMultiTexEnvfvEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, const GLfloat * params)
{
    epoxy_glMultiTexEnvfvEXT = (void *)epoxy_glMultiTexEnvfvEXT_resolver();
    epoxy_glMultiTexEnvfvEXT(texunit, target, pname, params);
}
PUBLIC PFNGLMULTITEXENVFVEXTPROC epoxy_glMultiTexEnvfvEXT = epoxy_glMultiTexEnvfvEXT_rewrite_ptr;

static void
epoxy_glMultiTexEnviEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, GLint param)
{
    epoxy_glMultiTexEnviEXT = (void *)epoxy_glMultiTexEnviEXT_resolver();
    epoxy_glMultiTexEnviEXT(texunit, target, pname, param);
}
PUBLIC PFNGLMULTITEXENVIEXTPROC epoxy_glMultiTexEnviEXT = epoxy_glMultiTexEnviEXT_rewrite_ptr;

static void
epoxy_glMultiTexEnvivEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glMultiTexEnvivEXT = (void *)epoxy_glMultiTexEnvivEXT_resolver();
    epoxy_glMultiTexEnvivEXT(texunit, target, pname, params);
}
PUBLIC PFNGLMULTITEXENVIVEXTPROC epoxy_glMultiTexEnvivEXT = epoxy_glMultiTexEnvivEXT_rewrite_ptr;

static void
epoxy_glMultiTexGendEXT_rewrite_ptr(GLenum texunit, GLenum coord, GLenum pname, GLdouble param)
{
    epoxy_glMultiTexGendEXT = (void *)epoxy_glMultiTexGendEXT_resolver();
    epoxy_glMultiTexGendEXT(texunit, coord, pname, param);
}
PUBLIC PFNGLMULTITEXGENDEXTPROC epoxy_glMultiTexGendEXT = epoxy_glMultiTexGendEXT_rewrite_ptr;

static void
epoxy_glMultiTexGendvEXT_rewrite_ptr(GLenum texunit, GLenum coord, GLenum pname, const GLdouble * params)
{
    epoxy_glMultiTexGendvEXT = (void *)epoxy_glMultiTexGendvEXT_resolver();
    epoxy_glMultiTexGendvEXT(texunit, coord, pname, params);
}
PUBLIC PFNGLMULTITEXGENDVEXTPROC epoxy_glMultiTexGendvEXT = epoxy_glMultiTexGendvEXT_rewrite_ptr;

static void
epoxy_glMultiTexGenfEXT_rewrite_ptr(GLenum texunit, GLenum coord, GLenum pname, GLfloat param)
{
    epoxy_glMultiTexGenfEXT = (void *)epoxy_glMultiTexGenfEXT_resolver();
    epoxy_glMultiTexGenfEXT(texunit, coord, pname, param);
}
PUBLIC PFNGLMULTITEXGENFEXTPROC epoxy_glMultiTexGenfEXT = epoxy_glMultiTexGenfEXT_rewrite_ptr;

static void
epoxy_glMultiTexGenfvEXT_rewrite_ptr(GLenum texunit, GLenum coord, GLenum pname, const GLfloat * params)
{
    epoxy_glMultiTexGenfvEXT = (void *)epoxy_glMultiTexGenfvEXT_resolver();
    epoxy_glMultiTexGenfvEXT(texunit, coord, pname, params);
}
PUBLIC PFNGLMULTITEXGENFVEXTPROC epoxy_glMultiTexGenfvEXT = epoxy_glMultiTexGenfvEXT_rewrite_ptr;

static void
epoxy_glMultiTexGeniEXT_rewrite_ptr(GLenum texunit, GLenum coord, GLenum pname, GLint param)
{
    epoxy_glMultiTexGeniEXT = (void *)epoxy_glMultiTexGeniEXT_resolver();
    epoxy_glMultiTexGeniEXT(texunit, coord, pname, param);
}
PUBLIC PFNGLMULTITEXGENIEXTPROC epoxy_glMultiTexGeniEXT = epoxy_glMultiTexGeniEXT_rewrite_ptr;

static void
epoxy_glMultiTexGenivEXT_rewrite_ptr(GLenum texunit, GLenum coord, GLenum pname, const GLint * params)
{
    epoxy_glMultiTexGenivEXT = (void *)epoxy_glMultiTexGenivEXT_resolver();
    epoxy_glMultiTexGenivEXT(texunit, coord, pname, params);
}
PUBLIC PFNGLMULTITEXGENIVEXTPROC epoxy_glMultiTexGenivEXT = epoxy_glMultiTexGenivEXT_rewrite_ptr;

static void
epoxy_glMultiTexImage1DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glMultiTexImage1DEXT = (void *)epoxy_glMultiTexImage1DEXT_resolver();
    epoxy_glMultiTexImage1DEXT(texunit, target, level, internalformat, width, border, format, type, pixels);
}
PUBLIC PFNGLMULTITEXIMAGE1DEXTPROC epoxy_glMultiTexImage1DEXT = epoxy_glMultiTexImage1DEXT_rewrite_ptr;

static void
epoxy_glMultiTexImage2DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glMultiTexImage2DEXT = (void *)epoxy_glMultiTexImage2DEXT_resolver();
    epoxy_glMultiTexImage2DEXT(texunit, target, level, internalformat, width, height, border, format, type, pixels);
}
PUBLIC PFNGLMULTITEXIMAGE2DEXTPROC epoxy_glMultiTexImage2DEXT = epoxy_glMultiTexImage2DEXT_rewrite_ptr;

static void
epoxy_glMultiTexImage3DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glMultiTexImage3DEXT = (void *)epoxy_glMultiTexImage3DEXT_resolver();
    epoxy_glMultiTexImage3DEXT(texunit, target, level, internalformat, width, height, depth, border, format, type, pixels);
}
PUBLIC PFNGLMULTITEXIMAGE3DEXTPROC epoxy_glMultiTexImage3DEXT = epoxy_glMultiTexImage3DEXT_rewrite_ptr;

static void
epoxy_glMultiTexParameterIivEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glMultiTexParameterIivEXT = (void *)epoxy_glMultiTexParameterIivEXT_resolver();
    epoxy_glMultiTexParameterIivEXT(texunit, target, pname, params);
}
PUBLIC PFNGLMULTITEXPARAMETERIIVEXTPROC epoxy_glMultiTexParameterIivEXT = epoxy_glMultiTexParameterIivEXT_rewrite_ptr;

static void
epoxy_glMultiTexParameterIuivEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, const GLuint * params)
{
    epoxy_glMultiTexParameterIuivEXT = (void *)epoxy_glMultiTexParameterIuivEXT_resolver();
    epoxy_glMultiTexParameterIuivEXT(texunit, target, pname, params);
}
PUBLIC PFNGLMULTITEXPARAMETERIUIVEXTPROC epoxy_glMultiTexParameterIuivEXT = epoxy_glMultiTexParameterIuivEXT_rewrite_ptr;

static void
epoxy_glMultiTexParameterfEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, GLfloat param)
{
    epoxy_glMultiTexParameterfEXT = (void *)epoxy_glMultiTexParameterfEXT_resolver();
    epoxy_glMultiTexParameterfEXT(texunit, target, pname, param);
}
PUBLIC PFNGLMULTITEXPARAMETERFEXTPROC epoxy_glMultiTexParameterfEXT = epoxy_glMultiTexParameterfEXT_rewrite_ptr;

static void
epoxy_glMultiTexParameterfvEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, const GLfloat * params)
{
    epoxy_glMultiTexParameterfvEXT = (void *)epoxy_glMultiTexParameterfvEXT_resolver();
    epoxy_glMultiTexParameterfvEXT(texunit, target, pname, params);
}
PUBLIC PFNGLMULTITEXPARAMETERFVEXTPROC epoxy_glMultiTexParameterfvEXT = epoxy_glMultiTexParameterfvEXT_rewrite_ptr;

static void
epoxy_glMultiTexParameteriEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, GLint param)
{
    epoxy_glMultiTexParameteriEXT = (void *)epoxy_glMultiTexParameteriEXT_resolver();
    epoxy_glMultiTexParameteriEXT(texunit, target, pname, param);
}
PUBLIC PFNGLMULTITEXPARAMETERIEXTPROC epoxy_glMultiTexParameteriEXT = epoxy_glMultiTexParameteriEXT_rewrite_ptr;

static void
epoxy_glMultiTexParameterivEXT_rewrite_ptr(GLenum texunit, GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glMultiTexParameterivEXT = (void *)epoxy_glMultiTexParameterivEXT_resolver();
    epoxy_glMultiTexParameterivEXT(texunit, target, pname, params);
}
PUBLIC PFNGLMULTITEXPARAMETERIVEXTPROC epoxy_glMultiTexParameterivEXT = epoxy_glMultiTexParameterivEXT_rewrite_ptr;

static void
epoxy_glMultiTexRenderbufferEXT_rewrite_ptr(GLenum texunit, GLenum target, GLuint renderbuffer)
{
    epoxy_glMultiTexRenderbufferEXT = (void *)epoxy_glMultiTexRenderbufferEXT_resolver();
    epoxy_glMultiTexRenderbufferEXT(texunit, target, renderbuffer);
}
PUBLIC PFNGLMULTITEXRENDERBUFFEREXTPROC epoxy_glMultiTexRenderbufferEXT = epoxy_glMultiTexRenderbufferEXT_rewrite_ptr;

static void
epoxy_glMultiTexSubImage1DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glMultiTexSubImage1DEXT = (void *)epoxy_glMultiTexSubImage1DEXT_resolver();
    epoxy_glMultiTexSubImage1DEXT(texunit, target, level, xoffset, width, format, type, pixels);
}
PUBLIC PFNGLMULTITEXSUBIMAGE1DEXTPROC epoxy_glMultiTexSubImage1DEXT = epoxy_glMultiTexSubImage1DEXT_rewrite_ptr;

static void
epoxy_glMultiTexSubImage2DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glMultiTexSubImage2DEXT = (void *)epoxy_glMultiTexSubImage2DEXT_resolver();
    epoxy_glMultiTexSubImage2DEXT(texunit, target, level, xoffset, yoffset, width, height, format, type, pixels);
}
PUBLIC PFNGLMULTITEXSUBIMAGE2DEXTPROC epoxy_glMultiTexSubImage2DEXT = epoxy_glMultiTexSubImage2DEXT_rewrite_ptr;

static void
epoxy_glMultiTexSubImage3DEXT_rewrite_ptr(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glMultiTexSubImage3DEXT = (void *)epoxy_glMultiTexSubImage3DEXT_resolver();
    epoxy_glMultiTexSubImage3DEXT(texunit, target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}
PUBLIC PFNGLMULTITEXSUBIMAGE3DEXTPROC epoxy_glMultiTexSubImage3DEXT = epoxy_glMultiTexSubImage3DEXT_rewrite_ptr;

static void
epoxy_glNamedBufferDataEXT_rewrite_ptr(GLuint buffer, GLsizeiptr size, const void * data, GLenum usage)
{
    epoxy_glNamedBufferDataEXT = (void *)epoxy_glNamedBufferDataEXT_resolver();
    epoxy_glNamedBufferDataEXT(buffer, size, data, usage);
}
PUBLIC PFNGLNAMEDBUFFERDATAEXTPROC epoxy_glNamedBufferDataEXT = epoxy_glNamedBufferDataEXT_rewrite_ptr;

static void
epoxy_glNamedBufferStorageEXT_rewrite_ptr(GLuint buffer, GLsizeiptr size, const void * data, GLbitfield flags)
{
    epoxy_glNamedBufferStorageEXT = (void *)epoxy_glNamedBufferStorageEXT_resolver();
    epoxy_glNamedBufferStorageEXT(buffer, size, data, flags);
}
PUBLIC PFNGLNAMEDBUFFERSTORAGEEXTPROC epoxy_glNamedBufferStorageEXT = epoxy_glNamedBufferStorageEXT_rewrite_ptr;

static void
epoxy_glNamedBufferSubDataEXT_rewrite_ptr(GLuint buffer, GLintptr offset, GLsizeiptr size, const void * data)
{
    epoxy_glNamedBufferSubDataEXT = (void *)epoxy_glNamedBufferSubDataEXT_resolver();
    epoxy_glNamedBufferSubDataEXT(buffer, offset, size, data);
}
PUBLIC PFNGLNAMEDBUFFERSUBDATAEXTPROC epoxy_glNamedBufferSubDataEXT = epoxy_glNamedBufferSubDataEXT_rewrite_ptr;

static void
epoxy_glNamedCopyBufferSubDataEXT_rewrite_ptr(GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    epoxy_glNamedCopyBufferSubDataEXT = (void *)epoxy_glNamedCopyBufferSubDataEXT_resolver();
    epoxy_glNamedCopyBufferSubDataEXT(readBuffer, writeBuffer, readOffset, writeOffset, size);
}
PUBLIC PFNGLNAMEDCOPYBUFFERSUBDATAEXTPROC epoxy_glNamedCopyBufferSubDataEXT = epoxy_glNamedCopyBufferSubDataEXT_rewrite_ptr;

static void
epoxy_glNamedFramebufferParameteriEXT_rewrite_ptr(GLuint framebuffer, GLenum pname, GLint param)
{
    epoxy_glNamedFramebufferParameteriEXT = (void *)epoxy_glNamedFramebufferParameteriEXT_resolver();
    epoxy_glNamedFramebufferParameteriEXT(framebuffer, pname, param);
}
PUBLIC PFNGLNAMEDFRAMEBUFFERPARAMETERIEXTPROC epoxy_glNamedFramebufferParameteriEXT = epoxy_glNamedFramebufferParameteriEXT_rewrite_ptr;

static void
epoxy_glNamedFramebufferRenderbufferEXT_rewrite_ptr(GLuint framebuffer, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    epoxy_glNamedFramebufferRenderbufferEXT = (void *)epoxy_glNamedFramebufferRenderbufferEXT_resolver();
    epoxy_glNamedFramebufferRenderbufferEXT(framebuffer, attachment, renderbuffertarget, renderbuffer);
}
PUBLIC PFNGLNAMEDFRAMEBUFFERRENDERBUFFEREXTPROC epoxy_glNamedFramebufferRenderbufferEXT = epoxy_glNamedFramebufferRenderbufferEXT_rewrite_ptr;

static void
epoxy_glNamedFramebufferTexture1DEXT_rewrite_ptr(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    epoxy_glNamedFramebufferTexture1DEXT = (void *)epoxy_glNamedFramebufferTexture1DEXT_resolver();
    epoxy_glNamedFramebufferTexture1DEXT(framebuffer, attachment, textarget, texture, level);
}
PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTURE1DEXTPROC epoxy_glNamedFramebufferTexture1DEXT = epoxy_glNamedFramebufferTexture1DEXT_rewrite_ptr;

static void
epoxy_glNamedFramebufferTexture2DEXT_rewrite_ptr(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    epoxy_glNamedFramebufferTexture2DEXT = (void *)epoxy_glNamedFramebufferTexture2DEXT_resolver();
    epoxy_glNamedFramebufferTexture2DEXT(framebuffer, attachment, textarget, texture, level);
}
PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTURE2DEXTPROC epoxy_glNamedFramebufferTexture2DEXT = epoxy_glNamedFramebufferTexture2DEXT_rewrite_ptr;

static void
epoxy_glNamedFramebufferTexture3DEXT_rewrite_ptr(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    epoxy_glNamedFramebufferTexture3DEXT = (void *)epoxy_glNamedFramebufferTexture3DEXT_resolver();
    epoxy_glNamedFramebufferTexture3DEXT(framebuffer, attachment, textarget, texture, level, zoffset);
}
PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTURE3DEXTPROC epoxy_glNamedFramebufferTexture3DEXT = epoxy_glNamedFramebufferTexture3DEXT_rewrite_ptr;

static void
epoxy_glNamedFramebufferTextureEXT_rewrite_ptr(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level)
{
    epoxy_glNamedFramebufferTextureEXT = (void *)epoxy_glNamedFramebufferTextureEXT_resolver();
    epoxy_glNamedFramebufferTextureEXT(framebuffer, attachment, texture, level);
}
PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTUREEXTPROC epoxy_glNamedFramebufferTextureEXT = epoxy_glNamedFramebufferTextureEXT_rewrite_ptr;

static void
epoxy_glNamedFramebufferTextureFaceEXT_rewrite_ptr(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLenum face)
{
    epoxy_glNamedFramebufferTextureFaceEXT = (void *)epoxy_glNamedFramebufferTextureFaceEXT_resolver();
    epoxy_glNamedFramebufferTextureFaceEXT(framebuffer, attachment, texture, level, face);
}
PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTUREFACEEXTPROC epoxy_glNamedFramebufferTextureFaceEXT = epoxy_glNamedFramebufferTextureFaceEXT_rewrite_ptr;

static void
epoxy_glNamedFramebufferTextureLayerEXT_rewrite_ptr(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    epoxy_glNamedFramebufferTextureLayerEXT = (void *)epoxy_glNamedFramebufferTextureLayerEXT_resolver();
    epoxy_glNamedFramebufferTextureLayerEXT(framebuffer, attachment, texture, level, layer);
}
PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTURELAYEREXTPROC epoxy_glNamedFramebufferTextureLayerEXT = epoxy_glNamedFramebufferTextureLayerEXT_rewrite_ptr;

static void
epoxy_glNamedProgramLocalParameter4dEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glNamedProgramLocalParameter4dEXT = (void *)epoxy_glNamedProgramLocalParameter4dEXT_resolver();
    epoxy_glNamedProgramLocalParameter4dEXT(program, target, index, x, y, z, w);
}
PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETER4DEXTPROC epoxy_glNamedProgramLocalParameter4dEXT = epoxy_glNamedProgramLocalParameter4dEXT_rewrite_ptr;

static void
epoxy_glNamedProgramLocalParameter4dvEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, const GLdouble * params)
{
    epoxy_glNamedProgramLocalParameter4dvEXT = (void *)epoxy_glNamedProgramLocalParameter4dvEXT_resolver();
    epoxy_glNamedProgramLocalParameter4dvEXT(program, target, index, params);
}
PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETER4DVEXTPROC epoxy_glNamedProgramLocalParameter4dvEXT = epoxy_glNamedProgramLocalParameter4dvEXT_rewrite_ptr;

static void
epoxy_glNamedProgramLocalParameter4fEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glNamedProgramLocalParameter4fEXT = (void *)epoxy_glNamedProgramLocalParameter4fEXT_resolver();
    epoxy_glNamedProgramLocalParameter4fEXT(program, target, index, x, y, z, w);
}
PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETER4FEXTPROC epoxy_glNamedProgramLocalParameter4fEXT = epoxy_glNamedProgramLocalParameter4fEXT_rewrite_ptr;

static void
epoxy_glNamedProgramLocalParameter4fvEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, const GLfloat * params)
{
    epoxy_glNamedProgramLocalParameter4fvEXT = (void *)epoxy_glNamedProgramLocalParameter4fvEXT_resolver();
    epoxy_glNamedProgramLocalParameter4fvEXT(program, target, index, params);
}
PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETER4FVEXTPROC epoxy_glNamedProgramLocalParameter4fvEXT = epoxy_glNamedProgramLocalParameter4fvEXT_rewrite_ptr;

static void
epoxy_glNamedProgramLocalParameterI4iEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    epoxy_glNamedProgramLocalParameterI4iEXT = (void *)epoxy_glNamedProgramLocalParameterI4iEXT_resolver();
    epoxy_glNamedProgramLocalParameterI4iEXT(program, target, index, x, y, z, w);
}
PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERI4IEXTPROC epoxy_glNamedProgramLocalParameterI4iEXT = epoxy_glNamedProgramLocalParameterI4iEXT_rewrite_ptr;

static void
epoxy_glNamedProgramLocalParameterI4ivEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, const GLint * params)
{
    epoxy_glNamedProgramLocalParameterI4ivEXT = (void *)epoxy_glNamedProgramLocalParameterI4ivEXT_resolver();
    epoxy_glNamedProgramLocalParameterI4ivEXT(program, target, index, params);
}
PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERI4IVEXTPROC epoxy_glNamedProgramLocalParameterI4ivEXT = epoxy_glNamedProgramLocalParameterI4ivEXT_rewrite_ptr;

static void
epoxy_glNamedProgramLocalParameterI4uiEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    epoxy_glNamedProgramLocalParameterI4uiEXT = (void *)epoxy_glNamedProgramLocalParameterI4uiEXT_resolver();
    epoxy_glNamedProgramLocalParameterI4uiEXT(program, target, index, x, y, z, w);
}
PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIEXTPROC epoxy_glNamedProgramLocalParameterI4uiEXT = epoxy_glNamedProgramLocalParameterI4uiEXT_rewrite_ptr;

static void
epoxy_glNamedProgramLocalParameterI4uivEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, const GLuint * params)
{
    epoxy_glNamedProgramLocalParameterI4uivEXT = (void *)epoxy_glNamedProgramLocalParameterI4uivEXT_resolver();
    epoxy_glNamedProgramLocalParameterI4uivEXT(program, target, index, params);
}
PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIVEXTPROC epoxy_glNamedProgramLocalParameterI4uivEXT = epoxy_glNamedProgramLocalParameterI4uivEXT_rewrite_ptr;

static void
epoxy_glNamedProgramLocalParameters4fvEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, GLsizei count, const GLfloat * params)
{
    epoxy_glNamedProgramLocalParameters4fvEXT = (void *)epoxy_glNamedProgramLocalParameters4fvEXT_resolver();
    epoxy_glNamedProgramLocalParameters4fvEXT(program, target, index, count, params);
}
PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERS4FVEXTPROC epoxy_glNamedProgramLocalParameters4fvEXT = epoxy_glNamedProgramLocalParameters4fvEXT_rewrite_ptr;

static void
epoxy_glNamedProgramLocalParametersI4ivEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, GLsizei count, const GLint * params)
{
    epoxy_glNamedProgramLocalParametersI4ivEXT = (void *)epoxy_glNamedProgramLocalParametersI4ivEXT_resolver();
    epoxy_glNamedProgramLocalParametersI4ivEXT(program, target, index, count, params);
}
PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERSI4IVEXTPROC epoxy_glNamedProgramLocalParametersI4ivEXT = epoxy_glNamedProgramLocalParametersI4ivEXT_rewrite_ptr;

static void
epoxy_glNamedProgramLocalParametersI4uivEXT_rewrite_ptr(GLuint program, GLenum target, GLuint index, GLsizei count, const GLuint * params)
{
    epoxy_glNamedProgramLocalParametersI4uivEXT = (void *)epoxy_glNamedProgramLocalParametersI4uivEXT_resolver();
    epoxy_glNamedProgramLocalParametersI4uivEXT(program, target, index, count, params);
}
PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERSI4UIVEXTPROC epoxy_glNamedProgramLocalParametersI4uivEXT = epoxy_glNamedProgramLocalParametersI4uivEXT_rewrite_ptr;

static void
epoxy_glNamedProgramStringEXT_rewrite_ptr(GLuint program, GLenum target, GLenum format, GLsizei len, const void * string)
{
    epoxy_glNamedProgramStringEXT = (void *)epoxy_glNamedProgramStringEXT_resolver();
    epoxy_glNamedProgramStringEXT(program, target, format, len, string);
}
PUBLIC PFNGLNAMEDPROGRAMSTRINGEXTPROC epoxy_glNamedProgramStringEXT = epoxy_glNamedProgramStringEXT_rewrite_ptr;

static void
epoxy_glNamedRenderbufferStorageEXT_rewrite_ptr(GLuint renderbuffer, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glNamedRenderbufferStorageEXT = (void *)epoxy_glNamedRenderbufferStorageEXT_resolver();
    epoxy_glNamedRenderbufferStorageEXT(renderbuffer, internalformat, width, height);
}
PUBLIC PFNGLNAMEDRENDERBUFFERSTORAGEEXTPROC epoxy_glNamedRenderbufferStorageEXT = epoxy_glNamedRenderbufferStorageEXT_rewrite_ptr;

static void
epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_rewrite_ptr(GLuint renderbuffer, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT = (void *)epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_resolver();
    epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT(renderbuffer, coverageSamples, colorSamples, internalformat, width, height);
}
PUBLIC PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLECOVERAGEEXTPROC epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT = epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_rewrite_ptr;

static void
epoxy_glNamedRenderbufferStorageMultisampleEXT_rewrite_ptr(GLuint renderbuffer, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glNamedRenderbufferStorageMultisampleEXT = (void *)epoxy_glNamedRenderbufferStorageMultisampleEXT_resolver();
    epoxy_glNamedRenderbufferStorageMultisampleEXT(renderbuffer, samples, internalformat, width, height);
}
PUBLIC PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC epoxy_glNamedRenderbufferStorageMultisampleEXT = epoxy_glNamedRenderbufferStorageMultisampleEXT_rewrite_ptr;

static void
epoxy_glNamedStringARB_rewrite_ptr(GLenum type, GLint namelen, const GLchar * name, GLint stringlen, const GLchar * string)
{
    epoxy_glNamedStringARB = (void *)epoxy_glNamedStringARB_resolver();
    epoxy_glNamedStringARB(type, namelen, name, stringlen, string);
}
PUBLIC PFNGLNAMEDSTRINGARBPROC epoxy_glNamedStringARB = epoxy_glNamedStringARB_rewrite_ptr;

static void
epoxy_glNewList_rewrite_ptr(GLuint list, GLenum mode)
{
    epoxy_glNewList = (void *)epoxy_glNewList_resolver();
    epoxy_glNewList(list, mode);
}
PUBLIC PFNGLNEWLISTPROC epoxy_glNewList = epoxy_glNewList_rewrite_ptr;

static GLuint
epoxy_glNewObjectBufferATI_rewrite_ptr(GLsizei size, const void * pointer, GLenum usage)
{
    epoxy_glNewObjectBufferATI = (void *)epoxy_glNewObjectBufferATI_resolver();
    return epoxy_glNewObjectBufferATI(size, pointer, usage);
}
PUBLIC PFNGLNEWOBJECTBUFFERATIPROC epoxy_glNewObjectBufferATI = epoxy_glNewObjectBufferATI_rewrite_ptr;

static void
epoxy_glNormal3b_rewrite_ptr(GLbyte nx, GLbyte ny, GLbyte nz)
{
    epoxy_glNormal3b = (void *)epoxy_glNormal3b_resolver();
    epoxy_glNormal3b(nx, ny, nz);
}
PUBLIC PFNGLNORMAL3BPROC epoxy_glNormal3b = epoxy_glNormal3b_rewrite_ptr;

static void
epoxy_glNormal3bv_rewrite_ptr(const GLbyte * v)
{
    epoxy_glNormal3bv = (void *)epoxy_glNormal3bv_resolver();
    epoxy_glNormal3bv(v);
}
PUBLIC PFNGLNORMAL3BVPROC epoxy_glNormal3bv = epoxy_glNormal3bv_rewrite_ptr;

static void
epoxy_glNormal3d_rewrite_ptr(GLdouble nx, GLdouble ny, GLdouble nz)
{
    epoxy_glNormal3d = (void *)epoxy_glNormal3d_resolver();
    epoxy_glNormal3d(nx, ny, nz);
}
PUBLIC PFNGLNORMAL3DPROC epoxy_glNormal3d = epoxy_glNormal3d_rewrite_ptr;

static void
epoxy_glNormal3dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glNormal3dv = (void *)epoxy_glNormal3dv_resolver();
    epoxy_glNormal3dv(v);
}
PUBLIC PFNGLNORMAL3DVPROC epoxy_glNormal3dv = epoxy_glNormal3dv_rewrite_ptr;

static void
epoxy_glNormal3f_rewrite_ptr(GLfloat nx, GLfloat ny, GLfloat nz)
{
    epoxy_glNormal3f = (void *)epoxy_glNormal3f_resolver();
    epoxy_glNormal3f(nx, ny, nz);
}
PUBLIC PFNGLNORMAL3FPROC epoxy_glNormal3f = epoxy_glNormal3f_rewrite_ptr;

static void
epoxy_glNormal3fVertex3fSUN_rewrite_ptr(GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glNormal3fVertex3fSUN = (void *)epoxy_glNormal3fVertex3fSUN_resolver();
    epoxy_glNormal3fVertex3fSUN(nx, ny, nz, x, y, z);
}
PUBLIC PFNGLNORMAL3FVERTEX3FSUNPROC epoxy_glNormal3fVertex3fSUN = epoxy_glNormal3fVertex3fSUN_rewrite_ptr;

static void
epoxy_glNormal3fVertex3fvSUN_rewrite_ptr(const GLfloat * n, const GLfloat * v)
{
    epoxy_glNormal3fVertex3fvSUN = (void *)epoxy_glNormal3fVertex3fvSUN_resolver();
    epoxy_glNormal3fVertex3fvSUN(n, v);
}
PUBLIC PFNGLNORMAL3FVERTEX3FVSUNPROC epoxy_glNormal3fVertex3fvSUN = epoxy_glNormal3fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glNormal3fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glNormal3fv = (void *)epoxy_glNormal3fv_resolver();
    epoxy_glNormal3fv(v);
}
PUBLIC PFNGLNORMAL3FVPROC epoxy_glNormal3fv = epoxy_glNormal3fv_rewrite_ptr;

static void
epoxy_glNormal3hNV_rewrite_ptr(GLhalfNV nx, GLhalfNV ny, GLhalfNV nz)
{
    epoxy_glNormal3hNV = (void *)epoxy_glNormal3hNV_resolver();
    epoxy_glNormal3hNV(nx, ny, nz);
}
PUBLIC PFNGLNORMAL3HNVPROC epoxy_glNormal3hNV = epoxy_glNormal3hNV_rewrite_ptr;

static void
epoxy_glNormal3hvNV_rewrite_ptr(const GLhalfNV * v)
{
    epoxy_glNormal3hvNV = (void *)epoxy_glNormal3hvNV_resolver();
    epoxy_glNormal3hvNV(v);
}
PUBLIC PFNGLNORMAL3HVNVPROC epoxy_glNormal3hvNV = epoxy_glNormal3hvNV_rewrite_ptr;

static void
epoxy_glNormal3i_rewrite_ptr(GLint nx, GLint ny, GLint nz)
{
    epoxy_glNormal3i = (void *)epoxy_glNormal3i_resolver();
    epoxy_glNormal3i(nx, ny, nz);
}
PUBLIC PFNGLNORMAL3IPROC epoxy_glNormal3i = epoxy_glNormal3i_rewrite_ptr;

static void
epoxy_glNormal3iv_rewrite_ptr(const GLint * v)
{
    epoxy_glNormal3iv = (void *)epoxy_glNormal3iv_resolver();
    epoxy_glNormal3iv(v);
}
PUBLIC PFNGLNORMAL3IVPROC epoxy_glNormal3iv = epoxy_glNormal3iv_rewrite_ptr;

static void
epoxy_glNormal3s_rewrite_ptr(GLshort nx, GLshort ny, GLshort nz)
{
    epoxy_glNormal3s = (void *)epoxy_glNormal3s_resolver();
    epoxy_glNormal3s(nx, ny, nz);
}
PUBLIC PFNGLNORMAL3SPROC epoxy_glNormal3s = epoxy_glNormal3s_rewrite_ptr;

static void
epoxy_glNormal3sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glNormal3sv = (void *)epoxy_glNormal3sv_resolver();
    epoxy_glNormal3sv(v);
}
PUBLIC PFNGLNORMAL3SVPROC epoxy_glNormal3sv = epoxy_glNormal3sv_rewrite_ptr;

static void
epoxy_glNormal3x_rewrite_ptr(GLfixed nx, GLfixed ny, GLfixed nz)
{
    epoxy_glNormal3x = (void *)epoxy_glNormal3x_resolver();
    epoxy_glNormal3x(nx, ny, nz);
}
PUBLIC PFNGLNORMAL3XPROC epoxy_glNormal3x = epoxy_glNormal3x_rewrite_ptr;

static void
epoxy_glNormal3xOES_rewrite_ptr(GLfixed nx, GLfixed ny, GLfixed nz)
{
    epoxy_glNormal3xOES = (void *)epoxy_glNormal3xOES_resolver();
    epoxy_glNormal3xOES(nx, ny, nz);
}
PUBLIC PFNGLNORMAL3XOESPROC epoxy_glNormal3xOES = epoxy_glNormal3xOES_rewrite_ptr;

static void
epoxy_glNormal3xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glNormal3xvOES = (void *)epoxy_glNormal3xvOES_resolver();
    epoxy_glNormal3xvOES(coords);
}
PUBLIC PFNGLNORMAL3XVOESPROC epoxy_glNormal3xvOES = epoxy_glNormal3xvOES_rewrite_ptr;

static void
epoxy_glNormalFormatNV_rewrite_ptr(GLenum type, GLsizei stride)
{
    epoxy_glNormalFormatNV = (void *)epoxy_glNormalFormatNV_resolver();
    epoxy_glNormalFormatNV(type, stride);
}
PUBLIC PFNGLNORMALFORMATNVPROC epoxy_glNormalFormatNV = epoxy_glNormalFormatNV_rewrite_ptr;

static void
epoxy_glNormalP3ui_rewrite_ptr(GLenum type, GLuint coords)
{
    epoxy_glNormalP3ui = (void *)epoxy_glNormalP3ui_resolver();
    epoxy_glNormalP3ui(type, coords);
}
PUBLIC PFNGLNORMALP3UIPROC epoxy_glNormalP3ui = epoxy_glNormalP3ui_rewrite_ptr;

static void
epoxy_glNormalP3uiv_rewrite_ptr(GLenum type, const GLuint * coords)
{
    epoxy_glNormalP3uiv = (void *)epoxy_glNormalP3uiv_resolver();
    epoxy_glNormalP3uiv(type, coords);
}
PUBLIC PFNGLNORMALP3UIVPROC epoxy_glNormalP3uiv = epoxy_glNormalP3uiv_rewrite_ptr;

static void
epoxy_glNormalPointer_rewrite_ptr(GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glNormalPointer = (void *)epoxy_glNormalPointer_resolver();
    epoxy_glNormalPointer(type, stride, pointer);
}
PUBLIC PFNGLNORMALPOINTERPROC epoxy_glNormalPointer = epoxy_glNormalPointer_rewrite_ptr;

static void
epoxy_glNormalPointerEXT_rewrite_ptr(GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    epoxy_glNormalPointerEXT = (void *)epoxy_glNormalPointerEXT_resolver();
    epoxy_glNormalPointerEXT(type, stride, count, pointer);
}
PUBLIC PFNGLNORMALPOINTEREXTPROC epoxy_glNormalPointerEXT = epoxy_glNormalPointerEXT_rewrite_ptr;

static void
epoxy_glNormalPointerListIBM_rewrite_ptr(GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    epoxy_glNormalPointerListIBM = (void *)epoxy_glNormalPointerListIBM_resolver();
    epoxy_glNormalPointerListIBM(type, stride, pointer, ptrstride);
}
PUBLIC PFNGLNORMALPOINTERLISTIBMPROC epoxy_glNormalPointerListIBM = epoxy_glNormalPointerListIBM_rewrite_ptr;

static void
epoxy_glNormalPointervINTEL_rewrite_ptr(GLenum type, const void ** pointer)
{
    epoxy_glNormalPointervINTEL = (void *)epoxy_glNormalPointervINTEL_resolver();
    epoxy_glNormalPointervINTEL(type, pointer);
}
PUBLIC PFNGLNORMALPOINTERVINTELPROC epoxy_glNormalPointervINTEL = epoxy_glNormalPointervINTEL_rewrite_ptr;

static void
epoxy_glNormalStream3bATI_rewrite_ptr(GLenum stream, GLbyte nx, GLbyte ny, GLbyte nz)
{
    epoxy_glNormalStream3bATI = (void *)epoxy_glNormalStream3bATI_resolver();
    epoxy_glNormalStream3bATI(stream, nx, ny, nz);
}
PUBLIC PFNGLNORMALSTREAM3BATIPROC epoxy_glNormalStream3bATI = epoxy_glNormalStream3bATI_rewrite_ptr;

static void
epoxy_glNormalStream3bvATI_rewrite_ptr(GLenum stream, const GLbyte * coords)
{
    epoxy_glNormalStream3bvATI = (void *)epoxy_glNormalStream3bvATI_resolver();
    epoxy_glNormalStream3bvATI(stream, coords);
}
PUBLIC PFNGLNORMALSTREAM3BVATIPROC epoxy_glNormalStream3bvATI = epoxy_glNormalStream3bvATI_rewrite_ptr;

static void
epoxy_glNormalStream3dATI_rewrite_ptr(GLenum stream, GLdouble nx, GLdouble ny, GLdouble nz)
{
    epoxy_glNormalStream3dATI = (void *)epoxy_glNormalStream3dATI_resolver();
    epoxy_glNormalStream3dATI(stream, nx, ny, nz);
}
PUBLIC PFNGLNORMALSTREAM3DATIPROC epoxy_glNormalStream3dATI = epoxy_glNormalStream3dATI_rewrite_ptr;

static void
epoxy_glNormalStream3dvATI_rewrite_ptr(GLenum stream, const GLdouble * coords)
{
    epoxy_glNormalStream3dvATI = (void *)epoxy_glNormalStream3dvATI_resolver();
    epoxy_glNormalStream3dvATI(stream, coords);
}
PUBLIC PFNGLNORMALSTREAM3DVATIPROC epoxy_glNormalStream3dvATI = epoxy_glNormalStream3dvATI_rewrite_ptr;

static void
epoxy_glNormalStream3fATI_rewrite_ptr(GLenum stream, GLfloat nx, GLfloat ny, GLfloat nz)
{
    epoxy_glNormalStream3fATI = (void *)epoxy_glNormalStream3fATI_resolver();
    epoxy_glNormalStream3fATI(stream, nx, ny, nz);
}
PUBLIC PFNGLNORMALSTREAM3FATIPROC epoxy_glNormalStream3fATI = epoxy_glNormalStream3fATI_rewrite_ptr;

static void
epoxy_glNormalStream3fvATI_rewrite_ptr(GLenum stream, const GLfloat * coords)
{
    epoxy_glNormalStream3fvATI = (void *)epoxy_glNormalStream3fvATI_resolver();
    epoxy_glNormalStream3fvATI(stream, coords);
}
PUBLIC PFNGLNORMALSTREAM3FVATIPROC epoxy_glNormalStream3fvATI = epoxy_glNormalStream3fvATI_rewrite_ptr;

static void
epoxy_glNormalStream3iATI_rewrite_ptr(GLenum stream, GLint nx, GLint ny, GLint nz)
{
    epoxy_glNormalStream3iATI = (void *)epoxy_glNormalStream3iATI_resolver();
    epoxy_glNormalStream3iATI(stream, nx, ny, nz);
}
PUBLIC PFNGLNORMALSTREAM3IATIPROC epoxy_glNormalStream3iATI = epoxy_glNormalStream3iATI_rewrite_ptr;

static void
epoxy_glNormalStream3ivATI_rewrite_ptr(GLenum stream, const GLint * coords)
{
    epoxy_glNormalStream3ivATI = (void *)epoxy_glNormalStream3ivATI_resolver();
    epoxy_glNormalStream3ivATI(stream, coords);
}
PUBLIC PFNGLNORMALSTREAM3IVATIPROC epoxy_glNormalStream3ivATI = epoxy_glNormalStream3ivATI_rewrite_ptr;

static void
epoxy_glNormalStream3sATI_rewrite_ptr(GLenum stream, GLshort nx, GLshort ny, GLshort nz)
{
    epoxy_glNormalStream3sATI = (void *)epoxy_glNormalStream3sATI_resolver();
    epoxy_glNormalStream3sATI(stream, nx, ny, nz);
}
PUBLIC PFNGLNORMALSTREAM3SATIPROC epoxy_glNormalStream3sATI = epoxy_glNormalStream3sATI_rewrite_ptr;

static void
epoxy_glNormalStream3svATI_rewrite_ptr(GLenum stream, const GLshort * coords)
{
    epoxy_glNormalStream3svATI = (void *)epoxy_glNormalStream3svATI_resolver();
    epoxy_glNormalStream3svATI(stream, coords);
}
PUBLIC PFNGLNORMALSTREAM3SVATIPROC epoxy_glNormalStream3svATI = epoxy_glNormalStream3svATI_rewrite_ptr;

static void
epoxy_glObjectLabel_rewrite_ptr(GLenum identifier, GLuint name, GLsizei length, const GLchar * label)
{
    epoxy_glObjectLabel = (void *)epoxy_glObjectLabel_resolver();
    epoxy_glObjectLabel(identifier, name, length, label);
}
PUBLIC PFNGLOBJECTLABELPROC epoxy_glObjectLabel = epoxy_glObjectLabel_rewrite_ptr;

static void
epoxy_glObjectLabelKHR_rewrite_ptr(GLenum identifier, GLuint name, GLsizei length, const GLchar * label)
{
    epoxy_glObjectLabelKHR = (void *)epoxy_glObjectLabel_resolver();
    epoxy_glObjectLabelKHR(identifier, name, length, label);
}
PUBLIC PFNGLOBJECTLABELKHRPROC epoxy_glObjectLabelKHR = epoxy_glObjectLabelKHR_rewrite_ptr;

static void
epoxy_glObjectPtrLabel_rewrite_ptr(const void * ptr, GLsizei length, const GLchar * label)
{
    epoxy_glObjectPtrLabel = (void *)epoxy_glObjectPtrLabel_resolver();
    epoxy_glObjectPtrLabel(ptr, length, label);
}
PUBLIC PFNGLOBJECTPTRLABELPROC epoxy_glObjectPtrLabel = epoxy_glObjectPtrLabel_rewrite_ptr;

static void
epoxy_glObjectPtrLabelKHR_rewrite_ptr(const void * ptr, GLsizei length, const GLchar * label)
{
    epoxy_glObjectPtrLabelKHR = (void *)epoxy_glObjectPtrLabel_resolver();
    epoxy_glObjectPtrLabelKHR(ptr, length, label);
}
PUBLIC PFNGLOBJECTPTRLABELKHRPROC epoxy_glObjectPtrLabelKHR = epoxy_glObjectPtrLabelKHR_rewrite_ptr;

static GLenum
epoxy_glObjectPurgeableAPPLE_rewrite_ptr(GLenum objectType, GLuint name, GLenum option)
{
    epoxy_glObjectPurgeableAPPLE = (void *)epoxy_glObjectPurgeableAPPLE_resolver();
    return epoxy_glObjectPurgeableAPPLE(objectType, name, option);
}
PUBLIC PFNGLOBJECTPURGEABLEAPPLEPROC epoxy_glObjectPurgeableAPPLE = epoxy_glObjectPurgeableAPPLE_rewrite_ptr;

static GLenum
epoxy_glObjectUnpurgeableAPPLE_rewrite_ptr(GLenum objectType, GLuint name, GLenum option)
{
    epoxy_glObjectUnpurgeableAPPLE = (void *)epoxy_glObjectUnpurgeableAPPLE_resolver();
    return epoxy_glObjectUnpurgeableAPPLE(objectType, name, option);
}
PUBLIC PFNGLOBJECTUNPURGEABLEAPPLEPROC epoxy_glObjectUnpurgeableAPPLE = epoxy_glObjectUnpurgeableAPPLE_rewrite_ptr;

static void
epoxy_glOrtho_rewrite_ptr(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    epoxy_glOrtho = (void *)epoxy_glOrtho_resolver();
    epoxy_glOrtho(left, right, bottom, top, zNear, zFar);
}
PUBLIC PFNGLORTHOPROC epoxy_glOrtho = epoxy_glOrtho_rewrite_ptr;

static void
epoxy_glOrthof_rewrite_ptr(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    epoxy_glOrthof = (void *)epoxy_glOrthof_resolver();
    epoxy_glOrthof(l, r, b, t, n, f);
}
PUBLIC PFNGLORTHOFPROC epoxy_glOrthof = epoxy_glOrthof_rewrite_ptr;

static void
epoxy_glOrthofOES_rewrite_ptr(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    epoxy_glOrthofOES = (void *)epoxy_glOrthofOES_resolver();
    epoxy_glOrthofOES(l, r, b, t, n, f);
}
PUBLIC PFNGLORTHOFOESPROC epoxy_glOrthofOES = epoxy_glOrthofOES_rewrite_ptr;

static void
epoxy_glOrthox_rewrite_ptr(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    epoxy_glOrthox = (void *)epoxy_glOrthox_resolver();
    epoxy_glOrthox(l, r, b, t, n, f);
}
PUBLIC PFNGLORTHOXPROC epoxy_glOrthox = epoxy_glOrthox_rewrite_ptr;

static void
epoxy_glOrthoxOES_rewrite_ptr(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    epoxy_glOrthoxOES = (void *)epoxy_glOrthoxOES_resolver();
    epoxy_glOrthoxOES(l, r, b, t, n, f);
}
PUBLIC PFNGLORTHOXOESPROC epoxy_glOrthoxOES = epoxy_glOrthoxOES_rewrite_ptr;

static void
epoxy_glPNTrianglesfATI_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glPNTrianglesfATI = (void *)epoxy_glPNTrianglesfATI_resolver();
    epoxy_glPNTrianglesfATI(pname, param);
}
PUBLIC PFNGLPNTRIANGLESFATIPROC epoxy_glPNTrianglesfATI = epoxy_glPNTrianglesfATI_rewrite_ptr;

static void
epoxy_glPNTrianglesiATI_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glPNTrianglesiATI = (void *)epoxy_glPNTrianglesiATI_resolver();
    epoxy_glPNTrianglesiATI(pname, param);
}
PUBLIC PFNGLPNTRIANGLESIATIPROC epoxy_glPNTrianglesiATI = epoxy_glPNTrianglesiATI_rewrite_ptr;

static void
epoxy_glPassTexCoordATI_rewrite_ptr(GLuint dst, GLuint coord, GLenum swizzle)
{
    epoxy_glPassTexCoordATI = (void *)epoxy_glPassTexCoordATI_resolver();
    epoxy_glPassTexCoordATI(dst, coord, swizzle);
}
PUBLIC PFNGLPASSTEXCOORDATIPROC epoxy_glPassTexCoordATI = epoxy_glPassTexCoordATI_rewrite_ptr;

static void
epoxy_glPassThrough_rewrite_ptr(GLfloat token)
{
    epoxy_glPassThrough = (void *)epoxy_glPassThrough_resolver();
    epoxy_glPassThrough(token);
}
PUBLIC PFNGLPASSTHROUGHPROC epoxy_glPassThrough = epoxy_glPassThrough_rewrite_ptr;

static void
epoxy_glPassThroughxOES_rewrite_ptr(GLfixed token)
{
    epoxy_glPassThroughxOES = (void *)epoxy_glPassThroughxOES_resolver();
    epoxy_glPassThroughxOES(token);
}
PUBLIC PFNGLPASSTHROUGHXOESPROC epoxy_glPassThroughxOES = epoxy_glPassThroughxOES_rewrite_ptr;

static void
epoxy_glPatchParameterfv_rewrite_ptr(GLenum pname, const GLfloat * values)
{
    epoxy_glPatchParameterfv = (void *)epoxy_glPatchParameterfv_resolver();
    epoxy_glPatchParameterfv(pname, values);
}
PUBLIC PFNGLPATCHPARAMETERFVPROC epoxy_glPatchParameterfv = epoxy_glPatchParameterfv_rewrite_ptr;

static void
epoxy_glPatchParameteri_rewrite_ptr(GLenum pname, GLint value)
{
    epoxy_glPatchParameteri = (void *)epoxy_glPatchParameteri_resolver();
    epoxy_glPatchParameteri(pname, value);
}
PUBLIC PFNGLPATCHPARAMETERIPROC epoxy_glPatchParameteri = epoxy_glPatchParameteri_rewrite_ptr;

static void
epoxy_glPathColorGenNV_rewrite_ptr(GLenum color, GLenum genMode, GLenum colorFormat, const GLfloat * coeffs)
{
    epoxy_glPathColorGenNV = (void *)epoxy_glPathColorGenNV_resolver();
    epoxy_glPathColorGenNV(color, genMode, colorFormat, coeffs);
}
PUBLIC PFNGLPATHCOLORGENNVPROC epoxy_glPathColorGenNV = epoxy_glPathColorGenNV_rewrite_ptr;

static void
epoxy_glPathCommandsNV_rewrite_ptr(GLuint path, GLsizei numCommands, const GLubyte * commands, GLsizei numCoords, GLenum coordType, const void * coords)
{
    epoxy_glPathCommandsNV = (void *)epoxy_glPathCommandsNV_resolver();
    epoxy_glPathCommandsNV(path, numCommands, commands, numCoords, coordType, coords);
}
PUBLIC PFNGLPATHCOMMANDSNVPROC epoxy_glPathCommandsNV = epoxy_glPathCommandsNV_rewrite_ptr;

static void
epoxy_glPathCoordsNV_rewrite_ptr(GLuint path, GLsizei numCoords, GLenum coordType, const void * coords)
{
    epoxy_glPathCoordsNV = (void *)epoxy_glPathCoordsNV_resolver();
    epoxy_glPathCoordsNV(path, numCoords, coordType, coords);
}
PUBLIC PFNGLPATHCOORDSNVPROC epoxy_glPathCoordsNV = epoxy_glPathCoordsNV_rewrite_ptr;

static void
epoxy_glPathCoverDepthFuncNV_rewrite_ptr(GLenum func)
{
    epoxy_glPathCoverDepthFuncNV = (void *)epoxy_glPathCoverDepthFuncNV_resolver();
    epoxy_glPathCoverDepthFuncNV(func);
}
PUBLIC PFNGLPATHCOVERDEPTHFUNCNVPROC epoxy_glPathCoverDepthFuncNV = epoxy_glPathCoverDepthFuncNV_rewrite_ptr;

static void
epoxy_glPathDashArrayNV_rewrite_ptr(GLuint path, GLsizei dashCount, const GLfloat * dashArray)
{
    epoxy_glPathDashArrayNV = (void *)epoxy_glPathDashArrayNV_resolver();
    epoxy_glPathDashArrayNV(path, dashCount, dashArray);
}
PUBLIC PFNGLPATHDASHARRAYNVPROC epoxy_glPathDashArrayNV = epoxy_glPathDashArrayNV_rewrite_ptr;

static void
epoxy_glPathFogGenNV_rewrite_ptr(GLenum genMode)
{
    epoxy_glPathFogGenNV = (void *)epoxy_glPathFogGenNV_resolver();
    epoxy_glPathFogGenNV(genMode);
}
PUBLIC PFNGLPATHFOGGENNVPROC epoxy_glPathFogGenNV = epoxy_glPathFogGenNV_rewrite_ptr;

static void
epoxy_glPathGlyphRangeNV_rewrite_ptr(GLuint firstPathName, GLenum fontTarget, const void * fontName, GLbitfield fontStyle, GLuint firstGlyph, GLsizei numGlyphs, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale)
{
    epoxy_glPathGlyphRangeNV = (void *)epoxy_glPathGlyphRangeNV_resolver();
    epoxy_glPathGlyphRangeNV(firstPathName, fontTarget, fontName, fontStyle, firstGlyph, numGlyphs, handleMissingGlyphs, pathParameterTemplate, emScale);
}
PUBLIC PFNGLPATHGLYPHRANGENVPROC epoxy_glPathGlyphRangeNV = epoxy_glPathGlyphRangeNV_rewrite_ptr;

static void
epoxy_glPathGlyphsNV_rewrite_ptr(GLuint firstPathName, GLenum fontTarget, const void * fontName, GLbitfield fontStyle, GLsizei numGlyphs, GLenum type, const void * charcodes, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale)
{
    epoxy_glPathGlyphsNV = (void *)epoxy_glPathGlyphsNV_resolver();
    epoxy_glPathGlyphsNV(firstPathName, fontTarget, fontName, fontStyle, numGlyphs, type, charcodes, handleMissingGlyphs, pathParameterTemplate, emScale);
}
PUBLIC PFNGLPATHGLYPHSNVPROC epoxy_glPathGlyphsNV = epoxy_glPathGlyphsNV_rewrite_ptr;

static void
epoxy_glPathParameterfNV_rewrite_ptr(GLuint path, GLenum pname, GLfloat value)
{
    epoxy_glPathParameterfNV = (void *)epoxy_glPathParameterfNV_resolver();
    epoxy_glPathParameterfNV(path, pname, value);
}
PUBLIC PFNGLPATHPARAMETERFNVPROC epoxy_glPathParameterfNV = epoxy_glPathParameterfNV_rewrite_ptr;

static void
epoxy_glPathParameterfvNV_rewrite_ptr(GLuint path, GLenum pname, const GLfloat * value)
{
    epoxy_glPathParameterfvNV = (void *)epoxy_glPathParameterfvNV_resolver();
    epoxy_glPathParameterfvNV(path, pname, value);
}
PUBLIC PFNGLPATHPARAMETERFVNVPROC epoxy_glPathParameterfvNV = epoxy_glPathParameterfvNV_rewrite_ptr;

static void
epoxy_glPathParameteriNV_rewrite_ptr(GLuint path, GLenum pname, GLint value)
{
    epoxy_glPathParameteriNV = (void *)epoxy_glPathParameteriNV_resolver();
    epoxy_glPathParameteriNV(path, pname, value);
}
PUBLIC PFNGLPATHPARAMETERINVPROC epoxy_glPathParameteriNV = epoxy_glPathParameteriNV_rewrite_ptr;

static void
epoxy_glPathParameterivNV_rewrite_ptr(GLuint path, GLenum pname, const GLint * value)
{
    epoxy_glPathParameterivNV = (void *)epoxy_glPathParameterivNV_resolver();
    epoxy_glPathParameterivNV(path, pname, value);
}
PUBLIC PFNGLPATHPARAMETERIVNVPROC epoxy_glPathParameterivNV = epoxy_glPathParameterivNV_rewrite_ptr;

static void
epoxy_glPathStencilDepthOffsetNV_rewrite_ptr(GLfloat factor, GLfloat units)
{
    epoxy_glPathStencilDepthOffsetNV = (void *)epoxy_glPathStencilDepthOffsetNV_resolver();
    epoxy_glPathStencilDepthOffsetNV(factor, units);
}
PUBLIC PFNGLPATHSTENCILDEPTHOFFSETNVPROC epoxy_glPathStencilDepthOffsetNV = epoxy_glPathStencilDepthOffsetNV_rewrite_ptr;

static void
epoxy_glPathStencilFuncNV_rewrite_ptr(GLenum func, GLint ref, GLuint mask)
{
    epoxy_glPathStencilFuncNV = (void *)epoxy_glPathStencilFuncNV_resolver();
    epoxy_glPathStencilFuncNV(func, ref, mask);
}
PUBLIC PFNGLPATHSTENCILFUNCNVPROC epoxy_glPathStencilFuncNV = epoxy_glPathStencilFuncNV_rewrite_ptr;

static void
epoxy_glPathStringNV_rewrite_ptr(GLuint path, GLenum format, GLsizei length, const void * pathString)
{
    epoxy_glPathStringNV = (void *)epoxy_glPathStringNV_resolver();
    epoxy_glPathStringNV(path, format, length, pathString);
}
PUBLIC PFNGLPATHSTRINGNVPROC epoxy_glPathStringNV = epoxy_glPathStringNV_rewrite_ptr;

static void
epoxy_glPathSubCommandsNV_rewrite_ptr(GLuint path, GLsizei commandStart, GLsizei commandsToDelete, GLsizei numCommands, const GLubyte * commands, GLsizei numCoords, GLenum coordType, const void * coords)
{
    epoxy_glPathSubCommandsNV = (void *)epoxy_glPathSubCommandsNV_resolver();
    epoxy_glPathSubCommandsNV(path, commandStart, commandsToDelete, numCommands, commands, numCoords, coordType, coords);
}
PUBLIC PFNGLPATHSUBCOMMANDSNVPROC epoxy_glPathSubCommandsNV = epoxy_glPathSubCommandsNV_rewrite_ptr;

static void
epoxy_glPathSubCoordsNV_rewrite_ptr(GLuint path, GLsizei coordStart, GLsizei numCoords, GLenum coordType, const void * coords)
{
    epoxy_glPathSubCoordsNV = (void *)epoxy_glPathSubCoordsNV_resolver();
    epoxy_glPathSubCoordsNV(path, coordStart, numCoords, coordType, coords);
}
PUBLIC PFNGLPATHSUBCOORDSNVPROC epoxy_glPathSubCoordsNV = epoxy_glPathSubCoordsNV_rewrite_ptr;

static void
epoxy_glPathTexGenNV_rewrite_ptr(GLenum texCoordSet, GLenum genMode, GLint components, const GLfloat * coeffs)
{
    epoxy_glPathTexGenNV = (void *)epoxy_glPathTexGenNV_resolver();
    epoxy_glPathTexGenNV(texCoordSet, genMode, components, coeffs);
}
PUBLIC PFNGLPATHTEXGENNVPROC epoxy_glPathTexGenNV = epoxy_glPathTexGenNV_rewrite_ptr;

static void
epoxy_glPauseTransformFeedback_rewrite_ptr(void)
{
    epoxy_glPauseTransformFeedback = (void *)epoxy_glPauseTransformFeedback_resolver();
    epoxy_glPauseTransformFeedback();
}
PUBLIC PFNGLPAUSETRANSFORMFEEDBACKPROC epoxy_glPauseTransformFeedback = epoxy_glPauseTransformFeedback_rewrite_ptr;

static void
epoxy_glPauseTransformFeedbackNV_rewrite_ptr(void)
{
    epoxy_glPauseTransformFeedbackNV = (void *)epoxy_glPauseTransformFeedback_resolver();
    epoxy_glPauseTransformFeedbackNV();
}
PUBLIC PFNGLPAUSETRANSFORMFEEDBACKNVPROC epoxy_glPauseTransformFeedbackNV = epoxy_glPauseTransformFeedbackNV_rewrite_ptr;

static void
epoxy_glPixelDataRangeNV_rewrite_ptr(GLenum target, GLsizei length, const void * pointer)
{
    epoxy_glPixelDataRangeNV = (void *)epoxy_glPixelDataRangeNV_resolver();
    epoxy_glPixelDataRangeNV(target, length, pointer);
}
PUBLIC PFNGLPIXELDATARANGENVPROC epoxy_glPixelDataRangeNV = epoxy_glPixelDataRangeNV_rewrite_ptr;

static void
epoxy_glPixelMapfv_rewrite_ptr(GLenum map, GLsizei mapsize, const GLfloat * values)
{
    epoxy_glPixelMapfv = (void *)epoxy_glPixelMapfv_resolver();
    epoxy_glPixelMapfv(map, mapsize, values);
}
PUBLIC PFNGLPIXELMAPFVPROC epoxy_glPixelMapfv = epoxy_glPixelMapfv_rewrite_ptr;

static void
epoxy_glPixelMapuiv_rewrite_ptr(GLenum map, GLsizei mapsize, const GLuint * values)
{
    epoxy_glPixelMapuiv = (void *)epoxy_glPixelMapuiv_resolver();
    epoxy_glPixelMapuiv(map, mapsize, values);
}
PUBLIC PFNGLPIXELMAPUIVPROC epoxy_glPixelMapuiv = epoxy_glPixelMapuiv_rewrite_ptr;

static void
epoxy_glPixelMapusv_rewrite_ptr(GLenum map, GLsizei mapsize, const GLushort * values)
{
    epoxy_glPixelMapusv = (void *)epoxy_glPixelMapusv_resolver();
    epoxy_glPixelMapusv(map, mapsize, values);
}
PUBLIC PFNGLPIXELMAPUSVPROC epoxy_glPixelMapusv = epoxy_glPixelMapusv_rewrite_ptr;

static void
epoxy_glPixelMapx_rewrite_ptr(GLenum map, GLint size, const GLfixed * values)
{
    epoxy_glPixelMapx = (void *)epoxy_glPixelMapx_resolver();
    epoxy_glPixelMapx(map, size, values);
}
PUBLIC PFNGLPIXELMAPXPROC epoxy_glPixelMapx = epoxy_glPixelMapx_rewrite_ptr;

static void
epoxy_glPixelStoref_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glPixelStoref = (void *)epoxy_glPixelStoref_resolver();
    epoxy_glPixelStoref(pname, param);
}
PUBLIC PFNGLPIXELSTOREFPROC epoxy_glPixelStoref = epoxy_glPixelStoref_rewrite_ptr;

static void
epoxy_glPixelStorei_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glPixelStorei = (void *)epoxy_glPixelStorei_resolver();
    epoxy_glPixelStorei(pname, param);
}
PUBLIC PFNGLPIXELSTOREIPROC epoxy_glPixelStorei = epoxy_glPixelStorei_rewrite_ptr;

static void
epoxy_glPixelStorex_rewrite_ptr(GLenum pname, GLfixed param)
{
    epoxy_glPixelStorex = (void *)epoxy_glPixelStorex_resolver();
    epoxy_glPixelStorex(pname, param);
}
PUBLIC PFNGLPIXELSTOREXPROC epoxy_glPixelStorex = epoxy_glPixelStorex_rewrite_ptr;

static void
epoxy_glPixelTexGenParameterfSGIS_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glPixelTexGenParameterfSGIS = (void *)epoxy_glPixelTexGenParameterfSGIS_resolver();
    epoxy_glPixelTexGenParameterfSGIS(pname, param);
}
PUBLIC PFNGLPIXELTEXGENPARAMETERFSGISPROC epoxy_glPixelTexGenParameterfSGIS = epoxy_glPixelTexGenParameterfSGIS_rewrite_ptr;

static void
epoxy_glPixelTexGenParameterfvSGIS_rewrite_ptr(GLenum pname, const GLfloat * params)
{
    epoxy_glPixelTexGenParameterfvSGIS = (void *)epoxy_glPixelTexGenParameterfvSGIS_resolver();
    epoxy_glPixelTexGenParameterfvSGIS(pname, params);
}
PUBLIC PFNGLPIXELTEXGENPARAMETERFVSGISPROC epoxy_glPixelTexGenParameterfvSGIS = epoxy_glPixelTexGenParameterfvSGIS_rewrite_ptr;

static void
epoxy_glPixelTexGenParameteriSGIS_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glPixelTexGenParameteriSGIS = (void *)epoxy_glPixelTexGenParameteriSGIS_resolver();
    epoxy_glPixelTexGenParameteriSGIS(pname, param);
}
PUBLIC PFNGLPIXELTEXGENPARAMETERISGISPROC epoxy_glPixelTexGenParameteriSGIS = epoxy_glPixelTexGenParameteriSGIS_rewrite_ptr;

static void
epoxy_glPixelTexGenParameterivSGIS_rewrite_ptr(GLenum pname, const GLint * params)
{
    epoxy_glPixelTexGenParameterivSGIS = (void *)epoxy_glPixelTexGenParameterivSGIS_resolver();
    epoxy_glPixelTexGenParameterivSGIS(pname, params);
}
PUBLIC PFNGLPIXELTEXGENPARAMETERIVSGISPROC epoxy_glPixelTexGenParameterivSGIS = epoxy_glPixelTexGenParameterivSGIS_rewrite_ptr;

static void
epoxy_glPixelTexGenSGIX_rewrite_ptr(GLenum mode)
{
    epoxy_glPixelTexGenSGIX = (void *)epoxy_glPixelTexGenSGIX_resolver();
    epoxy_glPixelTexGenSGIX(mode);
}
PUBLIC PFNGLPIXELTEXGENSGIXPROC epoxy_glPixelTexGenSGIX = epoxy_glPixelTexGenSGIX_rewrite_ptr;

static void
epoxy_glPixelTransferf_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glPixelTransferf = (void *)epoxy_glPixelTransferf_resolver();
    epoxy_glPixelTransferf(pname, param);
}
PUBLIC PFNGLPIXELTRANSFERFPROC epoxy_glPixelTransferf = epoxy_glPixelTransferf_rewrite_ptr;

static void
epoxy_glPixelTransferi_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glPixelTransferi = (void *)epoxy_glPixelTransferi_resolver();
    epoxy_glPixelTransferi(pname, param);
}
PUBLIC PFNGLPIXELTRANSFERIPROC epoxy_glPixelTransferi = epoxy_glPixelTransferi_rewrite_ptr;

static void
epoxy_glPixelTransferxOES_rewrite_ptr(GLenum pname, GLfixed param)
{
    epoxy_glPixelTransferxOES = (void *)epoxy_glPixelTransferxOES_resolver();
    epoxy_glPixelTransferxOES(pname, param);
}
PUBLIC PFNGLPIXELTRANSFERXOESPROC epoxy_glPixelTransferxOES = epoxy_glPixelTransferxOES_rewrite_ptr;

static void
epoxy_glPixelTransformParameterfEXT_rewrite_ptr(GLenum target, GLenum pname, GLfloat param)
{
    epoxy_glPixelTransformParameterfEXT = (void *)epoxy_glPixelTransformParameterfEXT_resolver();
    epoxy_glPixelTransformParameterfEXT(target, pname, param);
}
PUBLIC PFNGLPIXELTRANSFORMPARAMETERFEXTPROC epoxy_glPixelTransformParameterfEXT = epoxy_glPixelTransformParameterfEXT_rewrite_ptr;

static void
epoxy_glPixelTransformParameterfvEXT_rewrite_ptr(GLenum target, GLenum pname, const GLfloat * params)
{
    epoxy_glPixelTransformParameterfvEXT = (void *)epoxy_glPixelTransformParameterfvEXT_resolver();
    epoxy_glPixelTransformParameterfvEXT(target, pname, params);
}
PUBLIC PFNGLPIXELTRANSFORMPARAMETERFVEXTPROC epoxy_glPixelTransformParameterfvEXT = epoxy_glPixelTransformParameterfvEXT_rewrite_ptr;

static void
epoxy_glPixelTransformParameteriEXT_rewrite_ptr(GLenum target, GLenum pname, GLint param)
{
    epoxy_glPixelTransformParameteriEXT = (void *)epoxy_glPixelTransformParameteriEXT_resolver();
    epoxy_glPixelTransformParameteriEXT(target, pname, param);
}
PUBLIC PFNGLPIXELTRANSFORMPARAMETERIEXTPROC epoxy_glPixelTransformParameteriEXT = epoxy_glPixelTransformParameteriEXT_rewrite_ptr;

static void
epoxy_glPixelTransformParameterivEXT_rewrite_ptr(GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glPixelTransformParameterivEXT = (void *)epoxy_glPixelTransformParameterivEXT_resolver();
    epoxy_glPixelTransformParameterivEXT(target, pname, params);
}
PUBLIC PFNGLPIXELTRANSFORMPARAMETERIVEXTPROC epoxy_glPixelTransformParameterivEXT = epoxy_glPixelTransformParameterivEXT_rewrite_ptr;

static void
epoxy_glPixelZoom_rewrite_ptr(GLfloat xfactor, GLfloat yfactor)
{
    epoxy_glPixelZoom = (void *)epoxy_glPixelZoom_resolver();
    epoxy_glPixelZoom(xfactor, yfactor);
}
PUBLIC PFNGLPIXELZOOMPROC epoxy_glPixelZoom = epoxy_glPixelZoom_rewrite_ptr;

static void
epoxy_glPixelZoomxOES_rewrite_ptr(GLfixed xfactor, GLfixed yfactor)
{
    epoxy_glPixelZoomxOES = (void *)epoxy_glPixelZoomxOES_resolver();
    epoxy_glPixelZoomxOES(xfactor, yfactor);
}
PUBLIC PFNGLPIXELZOOMXOESPROC epoxy_glPixelZoomxOES = epoxy_glPixelZoomxOES_rewrite_ptr;

static GLboolean
epoxy_glPointAlongPathNV_rewrite_ptr(GLuint path, GLsizei startSegment, GLsizei numSegments, GLfloat distance, GLfloat * x, GLfloat * y, GLfloat * tangentX, GLfloat * tangentY)
{
    epoxy_glPointAlongPathNV = (void *)epoxy_glPointAlongPathNV_resolver();
    return epoxy_glPointAlongPathNV(path, startSegment, numSegments, distance, x, y, tangentX, tangentY);
}
PUBLIC PFNGLPOINTALONGPATHNVPROC epoxy_glPointAlongPathNV = epoxy_glPointAlongPathNV_rewrite_ptr;

static void
epoxy_glPointParameterf_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glPointParameterf = (void *)epoxy_glPointParameterf_resolver();
    epoxy_glPointParameterf(pname, param);
}
PUBLIC PFNGLPOINTPARAMETERFPROC epoxy_glPointParameterf = epoxy_glPointParameterf_rewrite_ptr;

static void
epoxy_glPointParameterfARB_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glPointParameterfARB = (void *)epoxy_glPointParameterf_resolver();
    epoxy_glPointParameterfARB(pname, param);
}
PUBLIC PFNGLPOINTPARAMETERFARBPROC epoxy_glPointParameterfARB = epoxy_glPointParameterfARB_rewrite_ptr;

static void
epoxy_glPointParameterfEXT_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glPointParameterfEXT = (void *)epoxy_glPointParameterf_resolver();
    epoxy_glPointParameterfEXT(pname, param);
}
PUBLIC PFNGLPOINTPARAMETERFEXTPROC epoxy_glPointParameterfEXT = epoxy_glPointParameterfEXT_rewrite_ptr;

static void
epoxy_glPointParameterfSGIS_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glPointParameterfSGIS = (void *)epoxy_glPointParameterf_resolver();
    epoxy_glPointParameterfSGIS(pname, param);
}
PUBLIC PFNGLPOINTPARAMETERFSGISPROC epoxy_glPointParameterfSGIS = epoxy_glPointParameterfSGIS_rewrite_ptr;

static void
epoxy_glPointParameterfv_rewrite_ptr(GLenum pname, const GLfloat * params)
{
    epoxy_glPointParameterfv = (void *)epoxy_glPointParameterfv_resolver();
    epoxy_glPointParameterfv(pname, params);
}
PUBLIC PFNGLPOINTPARAMETERFVPROC epoxy_glPointParameterfv = epoxy_glPointParameterfv_rewrite_ptr;

static void
epoxy_glPointParameterfvARB_rewrite_ptr(GLenum pname, const GLfloat * params)
{
    epoxy_glPointParameterfvARB = (void *)epoxy_glPointParameterfv_resolver();
    epoxy_glPointParameterfvARB(pname, params);
}
PUBLIC PFNGLPOINTPARAMETERFVARBPROC epoxy_glPointParameterfvARB = epoxy_glPointParameterfvARB_rewrite_ptr;

static void
epoxy_glPointParameterfvEXT_rewrite_ptr(GLenum pname, const GLfloat * params)
{
    epoxy_glPointParameterfvEXT = (void *)epoxy_glPointParameterfv_resolver();
    epoxy_glPointParameterfvEXT(pname, params);
}
PUBLIC PFNGLPOINTPARAMETERFVEXTPROC epoxy_glPointParameterfvEXT = epoxy_glPointParameterfvEXT_rewrite_ptr;

static void
epoxy_glPointParameterfvSGIS_rewrite_ptr(GLenum pname, const GLfloat * params)
{
    epoxy_glPointParameterfvSGIS = (void *)epoxy_glPointParameterfv_resolver();
    epoxy_glPointParameterfvSGIS(pname, params);
}
PUBLIC PFNGLPOINTPARAMETERFVSGISPROC epoxy_glPointParameterfvSGIS = epoxy_glPointParameterfvSGIS_rewrite_ptr;

static void
epoxy_glPointParameteri_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glPointParameteri = (void *)epoxy_glPointParameteri_resolver();
    epoxy_glPointParameteri(pname, param);
}
PUBLIC PFNGLPOINTPARAMETERIPROC epoxy_glPointParameteri = epoxy_glPointParameteri_rewrite_ptr;

static void
epoxy_glPointParameteriNV_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glPointParameteriNV = (void *)epoxy_glPointParameteri_resolver();
    epoxy_glPointParameteriNV(pname, param);
}
PUBLIC PFNGLPOINTPARAMETERINVPROC epoxy_glPointParameteriNV = epoxy_glPointParameteriNV_rewrite_ptr;

static void
epoxy_glPointParameteriv_rewrite_ptr(GLenum pname, const GLint * params)
{
    epoxy_glPointParameteriv = (void *)epoxy_glPointParameteriv_resolver();
    epoxy_glPointParameteriv(pname, params);
}
PUBLIC PFNGLPOINTPARAMETERIVPROC epoxy_glPointParameteriv = epoxy_glPointParameteriv_rewrite_ptr;

static void
epoxy_glPointParameterivNV_rewrite_ptr(GLenum pname, const GLint * params)
{
    epoxy_glPointParameterivNV = (void *)epoxy_glPointParameteriv_resolver();
    epoxy_glPointParameterivNV(pname, params);
}
PUBLIC PFNGLPOINTPARAMETERIVNVPROC epoxy_glPointParameterivNV = epoxy_glPointParameterivNV_rewrite_ptr;

static void
epoxy_glPointParameterx_rewrite_ptr(GLenum pname, GLfixed param)
{
    epoxy_glPointParameterx = (void *)epoxy_glPointParameterx_resolver();
    epoxy_glPointParameterx(pname, param);
}
PUBLIC PFNGLPOINTPARAMETERXPROC epoxy_glPointParameterx = epoxy_glPointParameterx_rewrite_ptr;

static void
epoxy_glPointParameterxOES_rewrite_ptr(GLenum pname, GLfixed param)
{
    epoxy_glPointParameterxOES = (void *)epoxy_glPointParameterxOES_resolver();
    epoxy_glPointParameterxOES(pname, param);
}
PUBLIC PFNGLPOINTPARAMETERXOESPROC epoxy_glPointParameterxOES = epoxy_glPointParameterxOES_rewrite_ptr;

static void
epoxy_glPointParameterxv_rewrite_ptr(GLenum pname, const GLfixed * params)
{
    epoxy_glPointParameterxv = (void *)epoxy_glPointParameterxv_resolver();
    epoxy_glPointParameterxv(pname, params);
}
PUBLIC PFNGLPOINTPARAMETERXVPROC epoxy_glPointParameterxv = epoxy_glPointParameterxv_rewrite_ptr;

static void
epoxy_glPointParameterxvOES_rewrite_ptr(GLenum pname, const GLfixed * params)
{
    epoxy_glPointParameterxvOES = (void *)epoxy_glPointParameterxvOES_resolver();
    epoxy_glPointParameterxvOES(pname, params);
}
PUBLIC PFNGLPOINTPARAMETERXVOESPROC epoxy_glPointParameterxvOES = epoxy_glPointParameterxvOES_rewrite_ptr;

static void
epoxy_glPointSize_rewrite_ptr(GLfloat size)
{
    epoxy_glPointSize = (void *)epoxy_glPointSize_resolver();
    epoxy_glPointSize(size);
}
PUBLIC PFNGLPOINTSIZEPROC epoxy_glPointSize = epoxy_glPointSize_rewrite_ptr;

static void
epoxy_glPointSizePointerOES_rewrite_ptr(GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glPointSizePointerOES = (void *)epoxy_glPointSizePointerOES_resolver();
    epoxy_glPointSizePointerOES(type, stride, pointer);
}
PUBLIC PFNGLPOINTSIZEPOINTEROESPROC epoxy_glPointSizePointerOES = epoxy_glPointSizePointerOES_rewrite_ptr;

static void
epoxy_glPointSizex_rewrite_ptr(GLfixed size)
{
    epoxy_glPointSizex = (void *)epoxy_glPointSizex_resolver();
    epoxy_glPointSizex(size);
}
PUBLIC PFNGLPOINTSIZEXPROC epoxy_glPointSizex = epoxy_glPointSizex_rewrite_ptr;

static void
epoxy_glPointSizexOES_rewrite_ptr(GLfixed size)
{
    epoxy_glPointSizexOES = (void *)epoxy_glPointSizexOES_resolver();
    epoxy_glPointSizexOES(size);
}
PUBLIC PFNGLPOINTSIZEXOESPROC epoxy_glPointSizexOES = epoxy_glPointSizexOES_rewrite_ptr;

static GLint
epoxy_glPollAsyncSGIX_rewrite_ptr(GLuint * markerp)
{
    epoxy_glPollAsyncSGIX = (void *)epoxy_glPollAsyncSGIX_resolver();
    return epoxy_glPollAsyncSGIX(markerp);
}
PUBLIC PFNGLPOLLASYNCSGIXPROC epoxy_glPollAsyncSGIX = epoxy_glPollAsyncSGIX_rewrite_ptr;

static GLint
epoxy_glPollInstrumentsSGIX_rewrite_ptr(GLint * marker_p)
{
    epoxy_glPollInstrumentsSGIX = (void *)epoxy_glPollInstrumentsSGIX_resolver();
    return epoxy_glPollInstrumentsSGIX(marker_p);
}
PUBLIC PFNGLPOLLINSTRUMENTSSGIXPROC epoxy_glPollInstrumentsSGIX = epoxy_glPollInstrumentsSGIX_rewrite_ptr;

static void
epoxy_glPolygonMode_rewrite_ptr(GLenum face, GLenum mode)
{
    epoxy_glPolygonMode = (void *)epoxy_glPolygonMode_resolver();
    epoxy_glPolygonMode(face, mode);
}
PUBLIC PFNGLPOLYGONMODEPROC epoxy_glPolygonMode = epoxy_glPolygonMode_rewrite_ptr;

static void
epoxy_glPolygonOffset_rewrite_ptr(GLfloat factor, GLfloat units)
{
    epoxy_glPolygonOffset = (void *)epoxy_glPolygonOffset_resolver();
    epoxy_glPolygonOffset(factor, units);
}
PUBLIC PFNGLPOLYGONOFFSETPROC epoxy_glPolygonOffset = epoxy_glPolygonOffset_rewrite_ptr;

static void
epoxy_glPolygonOffsetEXT_rewrite_ptr(GLfloat factor, GLfloat bias)
{
    epoxy_glPolygonOffsetEXT = (void *)epoxy_glPolygonOffsetEXT_resolver();
    epoxy_glPolygonOffsetEXT(factor, bias);
}
PUBLIC PFNGLPOLYGONOFFSETEXTPROC epoxy_glPolygonOffsetEXT = epoxy_glPolygonOffsetEXT_rewrite_ptr;

static void
epoxy_glPolygonOffsetx_rewrite_ptr(GLfixed factor, GLfixed units)
{
    epoxy_glPolygonOffsetx = (void *)epoxy_glPolygonOffsetx_resolver();
    epoxy_glPolygonOffsetx(factor, units);
}
PUBLIC PFNGLPOLYGONOFFSETXPROC epoxy_glPolygonOffsetx = epoxy_glPolygonOffsetx_rewrite_ptr;

static void
epoxy_glPolygonOffsetxOES_rewrite_ptr(GLfixed factor, GLfixed units)
{
    epoxy_glPolygonOffsetxOES = (void *)epoxy_glPolygonOffsetxOES_resolver();
    epoxy_glPolygonOffsetxOES(factor, units);
}
PUBLIC PFNGLPOLYGONOFFSETXOESPROC epoxy_glPolygonOffsetxOES = epoxy_glPolygonOffsetxOES_rewrite_ptr;

static void
epoxy_glPolygonStipple_rewrite_ptr(const GLubyte * mask)
{
    epoxy_glPolygonStipple = (void *)epoxy_glPolygonStipple_resolver();
    epoxy_glPolygonStipple(mask);
}
PUBLIC PFNGLPOLYGONSTIPPLEPROC epoxy_glPolygonStipple = epoxy_glPolygonStipple_rewrite_ptr;

static void
epoxy_glPopAttrib_rewrite_ptr(void)
{
    epoxy_glPopAttrib = (void *)epoxy_glPopAttrib_resolver();
    epoxy_glPopAttrib();
}
PUBLIC PFNGLPOPATTRIBPROC epoxy_glPopAttrib = epoxy_glPopAttrib_rewrite_ptr;

static void
epoxy_glPopClientAttrib_rewrite_ptr(void)
{
    epoxy_glPopClientAttrib = (void *)epoxy_glPopClientAttrib_resolver();
    epoxy_glPopClientAttrib();
}
PUBLIC PFNGLPOPCLIENTATTRIBPROC epoxy_glPopClientAttrib = epoxy_glPopClientAttrib_rewrite_ptr;

static void
epoxy_glPopDebugGroup_rewrite_ptr(void)
{
    epoxy_glPopDebugGroup = (void *)epoxy_glPopDebugGroup_resolver();
    epoxy_glPopDebugGroup();
}
PUBLIC PFNGLPOPDEBUGGROUPPROC epoxy_glPopDebugGroup = epoxy_glPopDebugGroup_rewrite_ptr;

static void
epoxy_glPopDebugGroupKHR_rewrite_ptr(void)
{
    epoxy_glPopDebugGroupKHR = (void *)epoxy_glPopDebugGroup_resolver();
    epoxy_glPopDebugGroupKHR();
}
PUBLIC PFNGLPOPDEBUGGROUPKHRPROC epoxy_glPopDebugGroupKHR = epoxy_glPopDebugGroupKHR_rewrite_ptr;

static void
epoxy_glPopGroupMarkerEXT_rewrite_ptr(void)
{
    epoxy_glPopGroupMarkerEXT = (void *)epoxy_glPopGroupMarkerEXT_resolver();
    epoxy_glPopGroupMarkerEXT();
}
PUBLIC PFNGLPOPGROUPMARKEREXTPROC epoxy_glPopGroupMarkerEXT = epoxy_glPopGroupMarkerEXT_rewrite_ptr;

static void
epoxy_glPopMatrix_rewrite_ptr(void)
{
    epoxy_glPopMatrix = (void *)epoxy_glPopMatrix_resolver();
    epoxy_glPopMatrix();
}
PUBLIC PFNGLPOPMATRIXPROC epoxy_glPopMatrix = epoxy_glPopMatrix_rewrite_ptr;

static void
epoxy_glPopName_rewrite_ptr(void)
{
    epoxy_glPopName = (void *)epoxy_glPopName_resolver();
    epoxy_glPopName();
}
PUBLIC PFNGLPOPNAMEPROC epoxy_glPopName = epoxy_glPopName_rewrite_ptr;

static void
epoxy_glPresentFrameDualFillNV_rewrite_ptr(GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLenum target1, GLuint fill1, GLenum target2, GLuint fill2, GLenum target3, GLuint fill3)
{
    epoxy_glPresentFrameDualFillNV = (void *)epoxy_glPresentFrameDualFillNV_resolver();
    epoxy_glPresentFrameDualFillNV(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, target1, fill1, target2, fill2, target3, fill3);
}
PUBLIC PFNGLPRESENTFRAMEDUALFILLNVPROC epoxy_glPresentFrameDualFillNV = epoxy_glPresentFrameDualFillNV_rewrite_ptr;

static void
epoxy_glPresentFrameKeyedNV_rewrite_ptr(GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLuint key0, GLenum target1, GLuint fill1, GLuint key1)
{
    epoxy_glPresentFrameKeyedNV = (void *)epoxy_glPresentFrameKeyedNV_resolver();
    epoxy_glPresentFrameKeyedNV(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, key0, target1, fill1, key1);
}
PUBLIC PFNGLPRESENTFRAMEKEYEDNVPROC epoxy_glPresentFrameKeyedNV = epoxy_glPresentFrameKeyedNV_rewrite_ptr;

static void
epoxy_glPrimitiveRestartIndex_rewrite_ptr(GLuint index)
{
    epoxy_glPrimitiveRestartIndex = (void *)epoxy_glPrimitiveRestartIndex_resolver();
    epoxy_glPrimitiveRestartIndex(index);
}
PUBLIC PFNGLPRIMITIVERESTARTINDEXPROC epoxy_glPrimitiveRestartIndex = epoxy_glPrimitiveRestartIndex_rewrite_ptr;

static void
epoxy_glPrimitiveRestartIndexNV_rewrite_ptr(GLuint index)
{
    epoxy_glPrimitiveRestartIndexNV = (void *)epoxy_glPrimitiveRestartIndexNV_resolver();
    epoxy_glPrimitiveRestartIndexNV(index);
}
PUBLIC PFNGLPRIMITIVERESTARTINDEXNVPROC epoxy_glPrimitiveRestartIndexNV = epoxy_glPrimitiveRestartIndexNV_rewrite_ptr;

static void
epoxy_glPrimitiveRestartNV_rewrite_ptr(void)
{
    epoxy_glPrimitiveRestartNV = (void *)epoxy_glPrimitiveRestartNV_resolver();
    epoxy_glPrimitiveRestartNV();
}
PUBLIC PFNGLPRIMITIVERESTARTNVPROC epoxy_glPrimitiveRestartNV = epoxy_glPrimitiveRestartNV_rewrite_ptr;

static void
epoxy_glPrioritizeTextures_rewrite_ptr(GLsizei n, const GLuint * textures, const GLfloat * priorities)
{
    epoxy_glPrioritizeTextures = (void *)epoxy_glPrioritizeTextures_resolver();
    epoxy_glPrioritizeTextures(n, textures, priorities);
}
PUBLIC PFNGLPRIORITIZETEXTURESPROC epoxy_glPrioritizeTextures = epoxy_glPrioritizeTextures_rewrite_ptr;

static void
epoxy_glPrioritizeTexturesEXT_rewrite_ptr(GLsizei n, const GLuint * textures, const GLclampf * priorities)
{
    epoxy_glPrioritizeTexturesEXT = (void *)epoxy_glPrioritizeTextures_resolver();
    epoxy_glPrioritizeTexturesEXT(n, textures, priorities);
}
PUBLIC PFNGLPRIORITIZETEXTURESEXTPROC epoxy_glPrioritizeTexturesEXT = epoxy_glPrioritizeTexturesEXT_rewrite_ptr;

static void
epoxy_glPrioritizeTexturesxOES_rewrite_ptr(GLsizei n, const GLuint * textures, const GLfixed * priorities)
{
    epoxy_glPrioritizeTexturesxOES = (void *)epoxy_glPrioritizeTexturesxOES_resolver();
    epoxy_glPrioritizeTexturesxOES(n, textures, priorities);
}
PUBLIC PFNGLPRIORITIZETEXTURESXOESPROC epoxy_glPrioritizeTexturesxOES = epoxy_glPrioritizeTexturesxOES_rewrite_ptr;

static void
epoxy_glProgramBinary_rewrite_ptr(GLuint program, GLenum binaryFormat, const void * binary, GLsizei length)
{
    epoxy_glProgramBinary = (void *)epoxy_glProgramBinary_resolver();
    epoxy_glProgramBinary(program, binaryFormat, binary, length);
}
PUBLIC PFNGLPROGRAMBINARYPROC epoxy_glProgramBinary = epoxy_glProgramBinary_rewrite_ptr;

static void
epoxy_glProgramBinaryOES_rewrite_ptr(GLuint program, GLenum binaryFormat, const void * binary, GLint length)
{
    epoxy_glProgramBinaryOES = (void *)epoxy_glProgramBinary_resolver();
    epoxy_glProgramBinaryOES(program, binaryFormat, binary, length);
}
PUBLIC PFNGLPROGRAMBINARYOESPROC epoxy_glProgramBinaryOES = epoxy_glProgramBinaryOES_rewrite_ptr;

static void
epoxy_glProgramBufferParametersIivNV_rewrite_ptr(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLint * params)
{
    epoxy_glProgramBufferParametersIivNV = (void *)epoxy_glProgramBufferParametersIivNV_resolver();
    epoxy_glProgramBufferParametersIivNV(target, bindingIndex, wordIndex, count, params);
}
PUBLIC PFNGLPROGRAMBUFFERPARAMETERSIIVNVPROC epoxy_glProgramBufferParametersIivNV = epoxy_glProgramBufferParametersIivNV_rewrite_ptr;

static void
epoxy_glProgramBufferParametersIuivNV_rewrite_ptr(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLuint * params)
{
    epoxy_glProgramBufferParametersIuivNV = (void *)epoxy_glProgramBufferParametersIuivNV_resolver();
    epoxy_glProgramBufferParametersIuivNV(target, bindingIndex, wordIndex, count, params);
}
PUBLIC PFNGLPROGRAMBUFFERPARAMETERSIUIVNVPROC epoxy_glProgramBufferParametersIuivNV = epoxy_glProgramBufferParametersIuivNV_rewrite_ptr;

static void
epoxy_glProgramBufferParametersfvNV_rewrite_ptr(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLfloat * params)
{
    epoxy_glProgramBufferParametersfvNV = (void *)epoxy_glProgramBufferParametersfvNV_resolver();
    epoxy_glProgramBufferParametersfvNV(target, bindingIndex, wordIndex, count, params);
}
PUBLIC PFNGLPROGRAMBUFFERPARAMETERSFVNVPROC epoxy_glProgramBufferParametersfvNV = epoxy_glProgramBufferParametersfvNV_rewrite_ptr;

static void
epoxy_glProgramEnvParameter4dARB_rewrite_ptr(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glProgramEnvParameter4dARB = (void *)epoxy_glProgramEnvParameter4dARB_resolver();
    epoxy_glProgramEnvParameter4dARB(target, index, x, y, z, w);
}
PUBLIC PFNGLPROGRAMENVPARAMETER4DARBPROC epoxy_glProgramEnvParameter4dARB = epoxy_glProgramEnvParameter4dARB_rewrite_ptr;

static void
epoxy_glProgramEnvParameter4dvARB_rewrite_ptr(GLenum target, GLuint index, const GLdouble * params)
{
    epoxy_glProgramEnvParameter4dvARB = (void *)epoxy_glProgramEnvParameter4dvARB_resolver();
    epoxy_glProgramEnvParameter4dvARB(target, index, params);
}
PUBLIC PFNGLPROGRAMENVPARAMETER4DVARBPROC epoxy_glProgramEnvParameter4dvARB = epoxy_glProgramEnvParameter4dvARB_rewrite_ptr;

static void
epoxy_glProgramEnvParameter4fARB_rewrite_ptr(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glProgramEnvParameter4fARB = (void *)epoxy_glProgramEnvParameter4fARB_resolver();
    epoxy_glProgramEnvParameter4fARB(target, index, x, y, z, w);
}
PUBLIC PFNGLPROGRAMENVPARAMETER4FARBPROC epoxy_glProgramEnvParameter4fARB = epoxy_glProgramEnvParameter4fARB_rewrite_ptr;

static void
epoxy_glProgramEnvParameter4fvARB_rewrite_ptr(GLenum target, GLuint index, const GLfloat * params)
{
    epoxy_glProgramEnvParameter4fvARB = (void *)epoxy_glProgramEnvParameter4fvARB_resolver();
    epoxy_glProgramEnvParameter4fvARB(target, index, params);
}
PUBLIC PFNGLPROGRAMENVPARAMETER4FVARBPROC epoxy_glProgramEnvParameter4fvARB = epoxy_glProgramEnvParameter4fvARB_rewrite_ptr;

static void
epoxy_glProgramEnvParameterI4iNV_rewrite_ptr(GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    epoxy_glProgramEnvParameterI4iNV = (void *)epoxy_glProgramEnvParameterI4iNV_resolver();
    epoxy_glProgramEnvParameterI4iNV(target, index, x, y, z, w);
}
PUBLIC PFNGLPROGRAMENVPARAMETERI4INVPROC epoxy_glProgramEnvParameterI4iNV = epoxy_glProgramEnvParameterI4iNV_rewrite_ptr;

static void
epoxy_glProgramEnvParameterI4ivNV_rewrite_ptr(GLenum target, GLuint index, const GLint * params)
{
    epoxy_glProgramEnvParameterI4ivNV = (void *)epoxy_glProgramEnvParameterI4ivNV_resolver();
    epoxy_glProgramEnvParameterI4ivNV(target, index, params);
}
PUBLIC PFNGLPROGRAMENVPARAMETERI4IVNVPROC epoxy_glProgramEnvParameterI4ivNV = epoxy_glProgramEnvParameterI4ivNV_rewrite_ptr;

static void
epoxy_glProgramEnvParameterI4uiNV_rewrite_ptr(GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    epoxy_glProgramEnvParameterI4uiNV = (void *)epoxy_glProgramEnvParameterI4uiNV_resolver();
    epoxy_glProgramEnvParameterI4uiNV(target, index, x, y, z, w);
}
PUBLIC PFNGLPROGRAMENVPARAMETERI4UINVPROC epoxy_glProgramEnvParameterI4uiNV = epoxy_glProgramEnvParameterI4uiNV_rewrite_ptr;

static void
epoxy_glProgramEnvParameterI4uivNV_rewrite_ptr(GLenum target, GLuint index, const GLuint * params)
{
    epoxy_glProgramEnvParameterI4uivNV = (void *)epoxy_glProgramEnvParameterI4uivNV_resolver();
    epoxy_glProgramEnvParameterI4uivNV(target, index, params);
}
PUBLIC PFNGLPROGRAMENVPARAMETERI4UIVNVPROC epoxy_glProgramEnvParameterI4uivNV = epoxy_glProgramEnvParameterI4uivNV_rewrite_ptr;

static void
epoxy_glProgramEnvParameters4fvEXT_rewrite_ptr(GLenum target, GLuint index, GLsizei count, const GLfloat * params)
{
    epoxy_glProgramEnvParameters4fvEXT = (void *)epoxy_glProgramEnvParameters4fvEXT_resolver();
    epoxy_glProgramEnvParameters4fvEXT(target, index, count, params);
}
PUBLIC PFNGLPROGRAMENVPARAMETERS4FVEXTPROC epoxy_glProgramEnvParameters4fvEXT = epoxy_glProgramEnvParameters4fvEXT_rewrite_ptr;

static void
epoxy_glProgramEnvParametersI4ivNV_rewrite_ptr(GLenum target, GLuint index, GLsizei count, const GLint * params)
{
    epoxy_glProgramEnvParametersI4ivNV = (void *)epoxy_glProgramEnvParametersI4ivNV_resolver();
    epoxy_glProgramEnvParametersI4ivNV(target, index, count, params);
}
PUBLIC PFNGLPROGRAMENVPARAMETERSI4IVNVPROC epoxy_glProgramEnvParametersI4ivNV = epoxy_glProgramEnvParametersI4ivNV_rewrite_ptr;

static void
epoxy_glProgramEnvParametersI4uivNV_rewrite_ptr(GLenum target, GLuint index, GLsizei count, const GLuint * params)
{
    epoxy_glProgramEnvParametersI4uivNV = (void *)epoxy_glProgramEnvParametersI4uivNV_resolver();
    epoxy_glProgramEnvParametersI4uivNV(target, index, count, params);
}
PUBLIC PFNGLPROGRAMENVPARAMETERSI4UIVNVPROC epoxy_glProgramEnvParametersI4uivNV = epoxy_glProgramEnvParametersI4uivNV_rewrite_ptr;

static void
epoxy_glProgramLocalParameter4dARB_rewrite_ptr(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glProgramLocalParameter4dARB = (void *)epoxy_glProgramLocalParameter4dARB_resolver();
    epoxy_glProgramLocalParameter4dARB(target, index, x, y, z, w);
}
PUBLIC PFNGLPROGRAMLOCALPARAMETER4DARBPROC epoxy_glProgramLocalParameter4dARB = epoxy_glProgramLocalParameter4dARB_rewrite_ptr;

static void
epoxy_glProgramLocalParameter4dvARB_rewrite_ptr(GLenum target, GLuint index, const GLdouble * params)
{
    epoxy_glProgramLocalParameter4dvARB = (void *)epoxy_glProgramLocalParameter4dvARB_resolver();
    epoxy_glProgramLocalParameter4dvARB(target, index, params);
}
PUBLIC PFNGLPROGRAMLOCALPARAMETER4DVARBPROC epoxy_glProgramLocalParameter4dvARB = epoxy_glProgramLocalParameter4dvARB_rewrite_ptr;

static void
epoxy_glProgramLocalParameter4fARB_rewrite_ptr(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glProgramLocalParameter4fARB = (void *)epoxy_glProgramLocalParameter4fARB_resolver();
    epoxy_glProgramLocalParameter4fARB(target, index, x, y, z, w);
}
PUBLIC PFNGLPROGRAMLOCALPARAMETER4FARBPROC epoxy_glProgramLocalParameter4fARB = epoxy_glProgramLocalParameter4fARB_rewrite_ptr;

static void
epoxy_glProgramLocalParameter4fvARB_rewrite_ptr(GLenum target, GLuint index, const GLfloat * params)
{
    epoxy_glProgramLocalParameter4fvARB = (void *)epoxy_glProgramLocalParameter4fvARB_resolver();
    epoxy_glProgramLocalParameter4fvARB(target, index, params);
}
PUBLIC PFNGLPROGRAMLOCALPARAMETER4FVARBPROC epoxy_glProgramLocalParameter4fvARB = epoxy_glProgramLocalParameter4fvARB_rewrite_ptr;

static void
epoxy_glProgramLocalParameterI4iNV_rewrite_ptr(GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    epoxy_glProgramLocalParameterI4iNV = (void *)epoxy_glProgramLocalParameterI4iNV_resolver();
    epoxy_glProgramLocalParameterI4iNV(target, index, x, y, z, w);
}
PUBLIC PFNGLPROGRAMLOCALPARAMETERI4INVPROC epoxy_glProgramLocalParameterI4iNV = epoxy_glProgramLocalParameterI4iNV_rewrite_ptr;

static void
epoxy_glProgramLocalParameterI4ivNV_rewrite_ptr(GLenum target, GLuint index, const GLint * params)
{
    epoxy_glProgramLocalParameterI4ivNV = (void *)epoxy_glProgramLocalParameterI4ivNV_resolver();
    epoxy_glProgramLocalParameterI4ivNV(target, index, params);
}
PUBLIC PFNGLPROGRAMLOCALPARAMETERI4IVNVPROC epoxy_glProgramLocalParameterI4ivNV = epoxy_glProgramLocalParameterI4ivNV_rewrite_ptr;

static void
epoxy_glProgramLocalParameterI4uiNV_rewrite_ptr(GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    epoxy_glProgramLocalParameterI4uiNV = (void *)epoxy_glProgramLocalParameterI4uiNV_resolver();
    epoxy_glProgramLocalParameterI4uiNV(target, index, x, y, z, w);
}
PUBLIC PFNGLPROGRAMLOCALPARAMETERI4UINVPROC epoxy_glProgramLocalParameterI4uiNV = epoxy_glProgramLocalParameterI4uiNV_rewrite_ptr;

static void
epoxy_glProgramLocalParameterI4uivNV_rewrite_ptr(GLenum target, GLuint index, const GLuint * params)
{
    epoxy_glProgramLocalParameterI4uivNV = (void *)epoxy_glProgramLocalParameterI4uivNV_resolver();
    epoxy_glProgramLocalParameterI4uivNV(target, index, params);
}
PUBLIC PFNGLPROGRAMLOCALPARAMETERI4UIVNVPROC epoxy_glProgramLocalParameterI4uivNV = epoxy_glProgramLocalParameterI4uivNV_rewrite_ptr;

static void
epoxy_glProgramLocalParameters4fvEXT_rewrite_ptr(GLenum target, GLuint index, GLsizei count, const GLfloat * params)
{
    epoxy_glProgramLocalParameters4fvEXT = (void *)epoxy_glProgramLocalParameters4fvEXT_resolver();
    epoxy_glProgramLocalParameters4fvEXT(target, index, count, params);
}
PUBLIC PFNGLPROGRAMLOCALPARAMETERS4FVEXTPROC epoxy_glProgramLocalParameters4fvEXT = epoxy_glProgramLocalParameters4fvEXT_rewrite_ptr;

static void
epoxy_glProgramLocalParametersI4ivNV_rewrite_ptr(GLenum target, GLuint index, GLsizei count, const GLint * params)
{
    epoxy_glProgramLocalParametersI4ivNV = (void *)epoxy_glProgramLocalParametersI4ivNV_resolver();
    epoxy_glProgramLocalParametersI4ivNV(target, index, count, params);
}
PUBLIC PFNGLPROGRAMLOCALPARAMETERSI4IVNVPROC epoxy_glProgramLocalParametersI4ivNV = epoxy_glProgramLocalParametersI4ivNV_rewrite_ptr;

static void
epoxy_glProgramLocalParametersI4uivNV_rewrite_ptr(GLenum target, GLuint index, GLsizei count, const GLuint * params)
{
    epoxy_glProgramLocalParametersI4uivNV = (void *)epoxy_glProgramLocalParametersI4uivNV_resolver();
    epoxy_glProgramLocalParametersI4uivNV(target, index, count, params);
}
PUBLIC PFNGLPROGRAMLOCALPARAMETERSI4UIVNVPROC epoxy_glProgramLocalParametersI4uivNV = epoxy_glProgramLocalParametersI4uivNV_rewrite_ptr;

static void
epoxy_glProgramNamedParameter4dNV_rewrite_ptr(GLuint id, GLsizei len, const GLubyte * name, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glProgramNamedParameter4dNV = (void *)epoxy_glProgramNamedParameter4dNV_resolver();
    epoxy_glProgramNamedParameter4dNV(id, len, name, x, y, z, w);
}
PUBLIC PFNGLPROGRAMNAMEDPARAMETER4DNVPROC epoxy_glProgramNamedParameter4dNV = epoxy_glProgramNamedParameter4dNV_rewrite_ptr;

static void
epoxy_glProgramNamedParameter4dvNV_rewrite_ptr(GLuint id, GLsizei len, const GLubyte * name, const GLdouble * v)
{
    epoxy_glProgramNamedParameter4dvNV = (void *)epoxy_glProgramNamedParameter4dvNV_resolver();
    epoxy_glProgramNamedParameter4dvNV(id, len, name, v);
}
PUBLIC PFNGLPROGRAMNAMEDPARAMETER4DVNVPROC epoxy_glProgramNamedParameter4dvNV = epoxy_glProgramNamedParameter4dvNV_rewrite_ptr;

static void
epoxy_glProgramNamedParameter4fNV_rewrite_ptr(GLuint id, GLsizei len, const GLubyte * name, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glProgramNamedParameter4fNV = (void *)epoxy_glProgramNamedParameter4fNV_resolver();
    epoxy_glProgramNamedParameter4fNV(id, len, name, x, y, z, w);
}
PUBLIC PFNGLPROGRAMNAMEDPARAMETER4FNVPROC epoxy_glProgramNamedParameter4fNV = epoxy_glProgramNamedParameter4fNV_rewrite_ptr;

static void
epoxy_glProgramNamedParameter4fvNV_rewrite_ptr(GLuint id, GLsizei len, const GLubyte * name, const GLfloat * v)
{
    epoxy_glProgramNamedParameter4fvNV = (void *)epoxy_glProgramNamedParameter4fvNV_resolver();
    epoxy_glProgramNamedParameter4fvNV(id, len, name, v);
}
PUBLIC PFNGLPROGRAMNAMEDPARAMETER4FVNVPROC epoxy_glProgramNamedParameter4fvNV = epoxy_glProgramNamedParameter4fvNV_rewrite_ptr;

static void
epoxy_glProgramParameter4dNV_rewrite_ptr(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glProgramParameter4dNV = (void *)epoxy_glProgramParameter4dNV_resolver();
    epoxy_glProgramParameter4dNV(target, index, x, y, z, w);
}
PUBLIC PFNGLPROGRAMPARAMETER4DNVPROC epoxy_glProgramParameter4dNV = epoxy_glProgramParameter4dNV_rewrite_ptr;

static void
epoxy_glProgramParameter4dvNV_rewrite_ptr(GLenum target, GLuint index, const GLdouble * v)
{
    epoxy_glProgramParameter4dvNV = (void *)epoxy_glProgramParameter4dvNV_resolver();
    epoxy_glProgramParameter4dvNV(target, index, v);
}
PUBLIC PFNGLPROGRAMPARAMETER4DVNVPROC epoxy_glProgramParameter4dvNV = epoxy_glProgramParameter4dvNV_rewrite_ptr;

static void
epoxy_glProgramParameter4fNV_rewrite_ptr(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glProgramParameter4fNV = (void *)epoxy_glProgramParameter4fNV_resolver();
    epoxy_glProgramParameter4fNV(target, index, x, y, z, w);
}
PUBLIC PFNGLPROGRAMPARAMETER4FNVPROC epoxy_glProgramParameter4fNV = epoxy_glProgramParameter4fNV_rewrite_ptr;

static void
epoxy_glProgramParameter4fvNV_rewrite_ptr(GLenum target, GLuint index, const GLfloat * v)
{
    epoxy_glProgramParameter4fvNV = (void *)epoxy_glProgramParameter4fvNV_resolver();
    epoxy_glProgramParameter4fvNV(target, index, v);
}
PUBLIC PFNGLPROGRAMPARAMETER4FVNVPROC epoxy_glProgramParameter4fvNV = epoxy_glProgramParameter4fvNV_rewrite_ptr;

static void
epoxy_glProgramParameteri_rewrite_ptr(GLuint program, GLenum pname, GLint value)
{
    epoxy_glProgramParameteri = (void *)epoxy_glProgramParameteri_resolver();
    epoxy_glProgramParameteri(program, pname, value);
}
PUBLIC PFNGLPROGRAMPARAMETERIPROC epoxy_glProgramParameteri = epoxy_glProgramParameteri_rewrite_ptr;

static void
epoxy_glProgramParameteriARB_rewrite_ptr(GLuint program, GLenum pname, GLint value)
{
    epoxy_glProgramParameteriARB = (void *)epoxy_glProgramParameteri_resolver();
    epoxy_glProgramParameteriARB(program, pname, value);
}
PUBLIC PFNGLPROGRAMPARAMETERIARBPROC epoxy_glProgramParameteriARB = epoxy_glProgramParameteriARB_rewrite_ptr;

static void
epoxy_glProgramParameteriEXT_rewrite_ptr(GLuint program, GLenum pname, GLint value)
{
    epoxy_glProgramParameteriEXT = (void *)epoxy_glProgramParameteri_resolver();
    epoxy_glProgramParameteriEXT(program, pname, value);
}
PUBLIC PFNGLPROGRAMPARAMETERIEXTPROC epoxy_glProgramParameteriEXT = epoxy_glProgramParameteriEXT_rewrite_ptr;

static void
epoxy_glProgramParameters4dvNV_rewrite_ptr(GLenum target, GLuint index, GLsizei count, const GLdouble * v)
{
    epoxy_glProgramParameters4dvNV = (void *)epoxy_glProgramParameters4dvNV_resolver();
    epoxy_glProgramParameters4dvNV(target, index, count, v);
}
PUBLIC PFNGLPROGRAMPARAMETERS4DVNVPROC epoxy_glProgramParameters4dvNV = epoxy_glProgramParameters4dvNV_rewrite_ptr;

static void
epoxy_glProgramParameters4fvNV_rewrite_ptr(GLenum target, GLuint index, GLsizei count, const GLfloat * v)
{
    epoxy_glProgramParameters4fvNV = (void *)epoxy_glProgramParameters4fvNV_resolver();
    epoxy_glProgramParameters4fvNV(target, index, count, v);
}
PUBLIC PFNGLPROGRAMPARAMETERS4FVNVPROC epoxy_glProgramParameters4fvNV = epoxy_glProgramParameters4fvNV_rewrite_ptr;

static void
epoxy_glProgramStringARB_rewrite_ptr(GLenum target, GLenum format, GLsizei len, const void * string)
{
    epoxy_glProgramStringARB = (void *)epoxy_glProgramStringARB_resolver();
    epoxy_glProgramStringARB(target, format, len, string);
}
PUBLIC PFNGLPROGRAMSTRINGARBPROC epoxy_glProgramStringARB = epoxy_glProgramStringARB_rewrite_ptr;

static void
epoxy_glProgramSubroutineParametersuivNV_rewrite_ptr(GLenum target, GLsizei count, const GLuint * params)
{
    epoxy_glProgramSubroutineParametersuivNV = (void *)epoxy_glProgramSubroutineParametersuivNV_resolver();
    epoxy_glProgramSubroutineParametersuivNV(target, count, params);
}
PUBLIC PFNGLPROGRAMSUBROUTINEPARAMETERSUIVNVPROC epoxy_glProgramSubroutineParametersuivNV = epoxy_glProgramSubroutineParametersuivNV_rewrite_ptr;

static void
epoxy_glProgramUniform1d_rewrite_ptr(GLuint program, GLint location, GLdouble v0)
{
    epoxy_glProgramUniform1d = (void *)epoxy_glProgramUniform1d_resolver();
    epoxy_glProgramUniform1d(program, location, v0);
}
PUBLIC PFNGLPROGRAMUNIFORM1DPROC epoxy_glProgramUniform1d = epoxy_glProgramUniform1d_rewrite_ptr;

static void
epoxy_glProgramUniform1dEXT_rewrite_ptr(GLuint program, GLint location, GLdouble x)
{
    epoxy_glProgramUniform1dEXT = (void *)epoxy_glProgramUniform1dEXT_resolver();
    epoxy_glProgramUniform1dEXT(program, location, x);
}
PUBLIC PFNGLPROGRAMUNIFORM1DEXTPROC epoxy_glProgramUniform1dEXT = epoxy_glProgramUniform1dEXT_rewrite_ptr;

static void
epoxy_glProgramUniform1dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    epoxy_glProgramUniform1dv = (void *)epoxy_glProgramUniform1dv_resolver();
    epoxy_glProgramUniform1dv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM1DVPROC epoxy_glProgramUniform1dv = epoxy_glProgramUniform1dv_rewrite_ptr;

static void
epoxy_glProgramUniform1dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    epoxy_glProgramUniform1dvEXT = (void *)epoxy_glProgramUniform1dvEXT_resolver();
    epoxy_glProgramUniform1dvEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM1DVEXTPROC epoxy_glProgramUniform1dvEXT = epoxy_glProgramUniform1dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniform1f_rewrite_ptr(GLuint program, GLint location, GLfloat v0)
{
    epoxy_glProgramUniform1f = (void *)epoxy_glProgramUniform1f_resolver();
    epoxy_glProgramUniform1f(program, location, v0);
}
PUBLIC PFNGLPROGRAMUNIFORM1FPROC epoxy_glProgramUniform1f = epoxy_glProgramUniform1f_rewrite_ptr;

static void
epoxy_glProgramUniform1fEXT_rewrite_ptr(GLuint program, GLint location, GLfloat v0)
{
    epoxy_glProgramUniform1fEXT = (void *)epoxy_glProgramUniform1f_resolver();
    epoxy_glProgramUniform1fEXT(program, location, v0);
}
PUBLIC PFNGLPROGRAMUNIFORM1FEXTPROC epoxy_glProgramUniform1fEXT = epoxy_glProgramUniform1fEXT_rewrite_ptr;

static void
epoxy_glProgramUniform1fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glProgramUniform1fv = (void *)epoxy_glProgramUniform1fv_resolver();
    epoxy_glProgramUniform1fv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM1FVPROC epoxy_glProgramUniform1fv = epoxy_glProgramUniform1fv_rewrite_ptr;

static void
epoxy_glProgramUniform1fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glProgramUniform1fvEXT = (void *)epoxy_glProgramUniform1fv_resolver();
    epoxy_glProgramUniform1fvEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM1FVEXTPROC epoxy_glProgramUniform1fvEXT = epoxy_glProgramUniform1fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniform1i_rewrite_ptr(GLuint program, GLint location, GLint v0)
{
    epoxy_glProgramUniform1i = (void *)epoxy_glProgramUniform1i_resolver();
    epoxy_glProgramUniform1i(program, location, v0);
}
PUBLIC PFNGLPROGRAMUNIFORM1IPROC epoxy_glProgramUniform1i = epoxy_glProgramUniform1i_rewrite_ptr;

static void
epoxy_glProgramUniform1i64NV_rewrite_ptr(GLuint program, GLint location, GLint64EXT x)
{
    epoxy_glProgramUniform1i64NV = (void *)epoxy_glProgramUniform1i64NV_resolver();
    epoxy_glProgramUniform1i64NV(program, location, x);
}
PUBLIC PFNGLPROGRAMUNIFORM1I64NVPROC epoxy_glProgramUniform1i64NV = epoxy_glProgramUniform1i64NV_rewrite_ptr;

static void
epoxy_glProgramUniform1i64vNV_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)
{
    epoxy_glProgramUniform1i64vNV = (void *)epoxy_glProgramUniform1i64vNV_resolver();
    epoxy_glProgramUniform1i64vNV(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM1I64VNVPROC epoxy_glProgramUniform1i64vNV = epoxy_glProgramUniform1i64vNV_rewrite_ptr;

static void
epoxy_glProgramUniform1iEXT_rewrite_ptr(GLuint program, GLint location, GLint v0)
{
    epoxy_glProgramUniform1iEXT = (void *)epoxy_glProgramUniform1i_resolver();
    epoxy_glProgramUniform1iEXT(program, location, v0);
}
PUBLIC PFNGLPROGRAMUNIFORM1IEXTPROC epoxy_glProgramUniform1iEXT = epoxy_glProgramUniform1iEXT_rewrite_ptr;

static void
epoxy_glProgramUniform1iv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    epoxy_glProgramUniform1iv = (void *)epoxy_glProgramUniform1iv_resolver();
    epoxy_glProgramUniform1iv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM1IVPROC epoxy_glProgramUniform1iv = epoxy_glProgramUniform1iv_rewrite_ptr;

static void
epoxy_glProgramUniform1ivEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    epoxy_glProgramUniform1ivEXT = (void *)epoxy_glProgramUniform1iv_resolver();
    epoxy_glProgramUniform1ivEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM1IVEXTPROC epoxy_glProgramUniform1ivEXT = epoxy_glProgramUniform1ivEXT_rewrite_ptr;

static void
epoxy_glProgramUniform1ui_rewrite_ptr(GLuint program, GLint location, GLuint v0)
{
    epoxy_glProgramUniform1ui = (void *)epoxy_glProgramUniform1ui_resolver();
    epoxy_glProgramUniform1ui(program, location, v0);
}
PUBLIC PFNGLPROGRAMUNIFORM1UIPROC epoxy_glProgramUniform1ui = epoxy_glProgramUniform1ui_rewrite_ptr;

static void
epoxy_glProgramUniform1ui64NV_rewrite_ptr(GLuint program, GLint location, GLuint64EXT x)
{
    epoxy_glProgramUniform1ui64NV = (void *)epoxy_glProgramUniform1ui64NV_resolver();
    epoxy_glProgramUniform1ui64NV(program, location, x);
}
PUBLIC PFNGLPROGRAMUNIFORM1UI64NVPROC epoxy_glProgramUniform1ui64NV = epoxy_glProgramUniform1ui64NV_rewrite_ptr;

static void
epoxy_glProgramUniform1ui64vNV_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    epoxy_glProgramUniform1ui64vNV = (void *)epoxy_glProgramUniform1ui64vNV_resolver();
    epoxy_glProgramUniform1ui64vNV(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM1UI64VNVPROC epoxy_glProgramUniform1ui64vNV = epoxy_glProgramUniform1ui64vNV_rewrite_ptr;

static void
epoxy_glProgramUniform1uiEXT_rewrite_ptr(GLuint program, GLint location, GLuint v0)
{
    epoxy_glProgramUniform1uiEXT = (void *)epoxy_glProgramUniform1ui_resolver();
    epoxy_glProgramUniform1uiEXT(program, location, v0);
}
PUBLIC PFNGLPROGRAMUNIFORM1UIEXTPROC epoxy_glProgramUniform1uiEXT = epoxy_glProgramUniform1uiEXT_rewrite_ptr;

static void
epoxy_glProgramUniform1uiv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glProgramUniform1uiv = (void *)epoxy_glProgramUniform1uiv_resolver();
    epoxy_glProgramUniform1uiv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM1UIVPROC epoxy_glProgramUniform1uiv = epoxy_glProgramUniform1uiv_rewrite_ptr;

static void
epoxy_glProgramUniform1uivEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glProgramUniform1uivEXT = (void *)epoxy_glProgramUniform1uiv_resolver();
    epoxy_glProgramUniform1uivEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM1UIVEXTPROC epoxy_glProgramUniform1uivEXT = epoxy_glProgramUniform1uivEXT_rewrite_ptr;

static void
epoxy_glProgramUniform2d_rewrite_ptr(GLuint program, GLint location, GLdouble v0, GLdouble v1)
{
    epoxy_glProgramUniform2d = (void *)epoxy_glProgramUniform2d_resolver();
    epoxy_glProgramUniform2d(program, location, v0, v1);
}
PUBLIC PFNGLPROGRAMUNIFORM2DPROC epoxy_glProgramUniform2d = epoxy_glProgramUniform2d_rewrite_ptr;

static void
epoxy_glProgramUniform2dEXT_rewrite_ptr(GLuint program, GLint location, GLdouble x, GLdouble y)
{
    epoxy_glProgramUniform2dEXT = (void *)epoxy_glProgramUniform2dEXT_resolver();
    epoxy_glProgramUniform2dEXT(program, location, x, y);
}
PUBLIC PFNGLPROGRAMUNIFORM2DEXTPROC epoxy_glProgramUniform2dEXT = epoxy_glProgramUniform2dEXT_rewrite_ptr;

static void
epoxy_glProgramUniform2dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    epoxy_glProgramUniform2dv = (void *)epoxy_glProgramUniform2dv_resolver();
    epoxy_glProgramUniform2dv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM2DVPROC epoxy_glProgramUniform2dv = epoxy_glProgramUniform2dv_rewrite_ptr;

static void
epoxy_glProgramUniform2dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    epoxy_glProgramUniform2dvEXT = (void *)epoxy_glProgramUniform2dvEXT_resolver();
    epoxy_glProgramUniform2dvEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM2DVEXTPROC epoxy_glProgramUniform2dvEXT = epoxy_glProgramUniform2dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniform2f_rewrite_ptr(GLuint program, GLint location, GLfloat v0, GLfloat v1)
{
    epoxy_glProgramUniform2f = (void *)epoxy_glProgramUniform2f_resolver();
    epoxy_glProgramUniform2f(program, location, v0, v1);
}
PUBLIC PFNGLPROGRAMUNIFORM2FPROC epoxy_glProgramUniform2f = epoxy_glProgramUniform2f_rewrite_ptr;

static void
epoxy_glProgramUniform2fEXT_rewrite_ptr(GLuint program, GLint location, GLfloat v0, GLfloat v1)
{
    epoxy_glProgramUniform2fEXT = (void *)epoxy_glProgramUniform2f_resolver();
    epoxy_glProgramUniform2fEXT(program, location, v0, v1);
}
PUBLIC PFNGLPROGRAMUNIFORM2FEXTPROC epoxy_glProgramUniform2fEXT = epoxy_glProgramUniform2fEXT_rewrite_ptr;

static void
epoxy_glProgramUniform2fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glProgramUniform2fv = (void *)epoxy_glProgramUniform2fv_resolver();
    epoxy_glProgramUniform2fv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM2FVPROC epoxy_glProgramUniform2fv = epoxy_glProgramUniform2fv_rewrite_ptr;

static void
epoxy_glProgramUniform2fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glProgramUniform2fvEXT = (void *)epoxy_glProgramUniform2fv_resolver();
    epoxy_glProgramUniform2fvEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM2FVEXTPROC epoxy_glProgramUniform2fvEXT = epoxy_glProgramUniform2fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniform2i_rewrite_ptr(GLuint program, GLint location, GLint v0, GLint v1)
{
    epoxy_glProgramUniform2i = (void *)epoxy_glProgramUniform2i_resolver();
    epoxy_glProgramUniform2i(program, location, v0, v1);
}
PUBLIC PFNGLPROGRAMUNIFORM2IPROC epoxy_glProgramUniform2i = epoxy_glProgramUniform2i_rewrite_ptr;

static void
epoxy_glProgramUniform2i64NV_rewrite_ptr(GLuint program, GLint location, GLint64EXT x, GLint64EXT y)
{
    epoxy_glProgramUniform2i64NV = (void *)epoxy_glProgramUniform2i64NV_resolver();
    epoxy_glProgramUniform2i64NV(program, location, x, y);
}
PUBLIC PFNGLPROGRAMUNIFORM2I64NVPROC epoxy_glProgramUniform2i64NV = epoxy_glProgramUniform2i64NV_rewrite_ptr;

static void
epoxy_glProgramUniform2i64vNV_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)
{
    epoxy_glProgramUniform2i64vNV = (void *)epoxy_glProgramUniform2i64vNV_resolver();
    epoxy_glProgramUniform2i64vNV(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM2I64VNVPROC epoxy_glProgramUniform2i64vNV = epoxy_glProgramUniform2i64vNV_rewrite_ptr;

static void
epoxy_glProgramUniform2iEXT_rewrite_ptr(GLuint program, GLint location, GLint v0, GLint v1)
{
    epoxy_glProgramUniform2iEXT = (void *)epoxy_glProgramUniform2i_resolver();
    epoxy_glProgramUniform2iEXT(program, location, v0, v1);
}
PUBLIC PFNGLPROGRAMUNIFORM2IEXTPROC epoxy_glProgramUniform2iEXT = epoxy_glProgramUniform2iEXT_rewrite_ptr;

static void
epoxy_glProgramUniform2iv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    epoxy_glProgramUniform2iv = (void *)epoxy_glProgramUniform2iv_resolver();
    epoxy_glProgramUniform2iv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM2IVPROC epoxy_glProgramUniform2iv = epoxy_glProgramUniform2iv_rewrite_ptr;

static void
epoxy_glProgramUniform2ivEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    epoxy_glProgramUniform2ivEXT = (void *)epoxy_glProgramUniform2iv_resolver();
    epoxy_glProgramUniform2ivEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM2IVEXTPROC epoxy_glProgramUniform2ivEXT = epoxy_glProgramUniform2ivEXT_rewrite_ptr;

static void
epoxy_glProgramUniform2ui_rewrite_ptr(GLuint program, GLint location, GLuint v0, GLuint v1)
{
    epoxy_glProgramUniform2ui = (void *)epoxy_glProgramUniform2ui_resolver();
    epoxy_glProgramUniform2ui(program, location, v0, v1);
}
PUBLIC PFNGLPROGRAMUNIFORM2UIPROC epoxy_glProgramUniform2ui = epoxy_glProgramUniform2ui_rewrite_ptr;

static void
epoxy_glProgramUniform2ui64NV_rewrite_ptr(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y)
{
    epoxy_glProgramUniform2ui64NV = (void *)epoxy_glProgramUniform2ui64NV_resolver();
    epoxy_glProgramUniform2ui64NV(program, location, x, y);
}
PUBLIC PFNGLPROGRAMUNIFORM2UI64NVPROC epoxy_glProgramUniform2ui64NV = epoxy_glProgramUniform2ui64NV_rewrite_ptr;

static void
epoxy_glProgramUniform2ui64vNV_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    epoxy_glProgramUniform2ui64vNV = (void *)epoxy_glProgramUniform2ui64vNV_resolver();
    epoxy_glProgramUniform2ui64vNV(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM2UI64VNVPROC epoxy_glProgramUniform2ui64vNV = epoxy_glProgramUniform2ui64vNV_rewrite_ptr;

static void
epoxy_glProgramUniform2uiEXT_rewrite_ptr(GLuint program, GLint location, GLuint v0, GLuint v1)
{
    epoxy_glProgramUniform2uiEXT = (void *)epoxy_glProgramUniform2ui_resolver();
    epoxy_glProgramUniform2uiEXT(program, location, v0, v1);
}
PUBLIC PFNGLPROGRAMUNIFORM2UIEXTPROC epoxy_glProgramUniform2uiEXT = epoxy_glProgramUniform2uiEXT_rewrite_ptr;

static void
epoxy_glProgramUniform2uiv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glProgramUniform2uiv = (void *)epoxy_glProgramUniform2uiv_resolver();
    epoxy_glProgramUniform2uiv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM2UIVPROC epoxy_glProgramUniform2uiv = epoxy_glProgramUniform2uiv_rewrite_ptr;

static void
epoxy_glProgramUniform2uivEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glProgramUniform2uivEXT = (void *)epoxy_glProgramUniform2uiv_resolver();
    epoxy_glProgramUniform2uivEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM2UIVEXTPROC epoxy_glProgramUniform2uivEXT = epoxy_glProgramUniform2uivEXT_rewrite_ptr;

static void
epoxy_glProgramUniform3d_rewrite_ptr(GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2)
{
    epoxy_glProgramUniform3d = (void *)epoxy_glProgramUniform3d_resolver();
    epoxy_glProgramUniform3d(program, location, v0, v1, v2);
}
PUBLIC PFNGLPROGRAMUNIFORM3DPROC epoxy_glProgramUniform3d = epoxy_glProgramUniform3d_rewrite_ptr;

static void
epoxy_glProgramUniform3dEXT_rewrite_ptr(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glProgramUniform3dEXT = (void *)epoxy_glProgramUniform3dEXT_resolver();
    epoxy_glProgramUniform3dEXT(program, location, x, y, z);
}
PUBLIC PFNGLPROGRAMUNIFORM3DEXTPROC epoxy_glProgramUniform3dEXT = epoxy_glProgramUniform3dEXT_rewrite_ptr;

static void
epoxy_glProgramUniform3dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    epoxy_glProgramUniform3dv = (void *)epoxy_glProgramUniform3dv_resolver();
    epoxy_glProgramUniform3dv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM3DVPROC epoxy_glProgramUniform3dv = epoxy_glProgramUniform3dv_rewrite_ptr;

static void
epoxy_glProgramUniform3dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    epoxy_glProgramUniform3dvEXT = (void *)epoxy_glProgramUniform3dvEXT_resolver();
    epoxy_glProgramUniform3dvEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM3DVEXTPROC epoxy_glProgramUniform3dvEXT = epoxy_glProgramUniform3dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniform3f_rewrite_ptr(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    epoxy_glProgramUniform3f = (void *)epoxy_glProgramUniform3f_resolver();
    epoxy_glProgramUniform3f(program, location, v0, v1, v2);
}
PUBLIC PFNGLPROGRAMUNIFORM3FPROC epoxy_glProgramUniform3f = epoxy_glProgramUniform3f_rewrite_ptr;

static void
epoxy_glProgramUniform3fEXT_rewrite_ptr(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    epoxy_glProgramUniform3fEXT = (void *)epoxy_glProgramUniform3f_resolver();
    epoxy_glProgramUniform3fEXT(program, location, v0, v1, v2);
}
PUBLIC PFNGLPROGRAMUNIFORM3FEXTPROC epoxy_glProgramUniform3fEXT = epoxy_glProgramUniform3fEXT_rewrite_ptr;

static void
epoxy_glProgramUniform3fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glProgramUniform3fv = (void *)epoxy_glProgramUniform3fv_resolver();
    epoxy_glProgramUniform3fv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM3FVPROC epoxy_glProgramUniform3fv = epoxy_glProgramUniform3fv_rewrite_ptr;

static void
epoxy_glProgramUniform3fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glProgramUniform3fvEXT = (void *)epoxy_glProgramUniform3fv_resolver();
    epoxy_glProgramUniform3fvEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM3FVEXTPROC epoxy_glProgramUniform3fvEXT = epoxy_glProgramUniform3fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniform3i_rewrite_ptr(GLuint program, GLint location, GLint v0, GLint v1, GLint v2)
{
    epoxy_glProgramUniform3i = (void *)epoxy_glProgramUniform3i_resolver();
    epoxy_glProgramUniform3i(program, location, v0, v1, v2);
}
PUBLIC PFNGLPROGRAMUNIFORM3IPROC epoxy_glProgramUniform3i = epoxy_glProgramUniform3i_rewrite_ptr;

static void
epoxy_glProgramUniform3i64NV_rewrite_ptr(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)
{
    epoxy_glProgramUniform3i64NV = (void *)epoxy_glProgramUniform3i64NV_resolver();
    epoxy_glProgramUniform3i64NV(program, location, x, y, z);
}
PUBLIC PFNGLPROGRAMUNIFORM3I64NVPROC epoxy_glProgramUniform3i64NV = epoxy_glProgramUniform3i64NV_rewrite_ptr;

static void
epoxy_glProgramUniform3i64vNV_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)
{
    epoxy_glProgramUniform3i64vNV = (void *)epoxy_glProgramUniform3i64vNV_resolver();
    epoxy_glProgramUniform3i64vNV(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM3I64VNVPROC epoxy_glProgramUniform3i64vNV = epoxy_glProgramUniform3i64vNV_rewrite_ptr;

static void
epoxy_glProgramUniform3iEXT_rewrite_ptr(GLuint program, GLint location, GLint v0, GLint v1, GLint v2)
{
    epoxy_glProgramUniform3iEXT = (void *)epoxy_glProgramUniform3i_resolver();
    epoxy_glProgramUniform3iEXT(program, location, v0, v1, v2);
}
PUBLIC PFNGLPROGRAMUNIFORM3IEXTPROC epoxy_glProgramUniform3iEXT = epoxy_glProgramUniform3iEXT_rewrite_ptr;

static void
epoxy_glProgramUniform3iv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    epoxy_glProgramUniform3iv = (void *)epoxy_glProgramUniform3iv_resolver();
    epoxy_glProgramUniform3iv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM3IVPROC epoxy_glProgramUniform3iv = epoxy_glProgramUniform3iv_rewrite_ptr;

static void
epoxy_glProgramUniform3ivEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    epoxy_glProgramUniform3ivEXT = (void *)epoxy_glProgramUniform3iv_resolver();
    epoxy_glProgramUniform3ivEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM3IVEXTPROC epoxy_glProgramUniform3ivEXT = epoxy_glProgramUniform3ivEXT_rewrite_ptr;

static void
epoxy_glProgramUniform3ui_rewrite_ptr(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    epoxy_glProgramUniform3ui = (void *)epoxy_glProgramUniform3ui_resolver();
    epoxy_glProgramUniform3ui(program, location, v0, v1, v2);
}
PUBLIC PFNGLPROGRAMUNIFORM3UIPROC epoxy_glProgramUniform3ui = epoxy_glProgramUniform3ui_rewrite_ptr;

static void
epoxy_glProgramUniform3ui64NV_rewrite_ptr(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
{
    epoxy_glProgramUniform3ui64NV = (void *)epoxy_glProgramUniform3ui64NV_resolver();
    epoxy_glProgramUniform3ui64NV(program, location, x, y, z);
}
PUBLIC PFNGLPROGRAMUNIFORM3UI64NVPROC epoxy_glProgramUniform3ui64NV = epoxy_glProgramUniform3ui64NV_rewrite_ptr;

static void
epoxy_glProgramUniform3ui64vNV_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    epoxy_glProgramUniform3ui64vNV = (void *)epoxy_glProgramUniform3ui64vNV_resolver();
    epoxy_glProgramUniform3ui64vNV(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM3UI64VNVPROC epoxy_glProgramUniform3ui64vNV = epoxy_glProgramUniform3ui64vNV_rewrite_ptr;

static void
epoxy_glProgramUniform3uiEXT_rewrite_ptr(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    epoxy_glProgramUniform3uiEXT = (void *)epoxy_glProgramUniform3ui_resolver();
    epoxy_glProgramUniform3uiEXT(program, location, v0, v1, v2);
}
PUBLIC PFNGLPROGRAMUNIFORM3UIEXTPROC epoxy_glProgramUniform3uiEXT = epoxy_glProgramUniform3uiEXT_rewrite_ptr;

static void
epoxy_glProgramUniform3uiv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glProgramUniform3uiv = (void *)epoxy_glProgramUniform3uiv_resolver();
    epoxy_glProgramUniform3uiv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM3UIVPROC epoxy_glProgramUniform3uiv = epoxy_glProgramUniform3uiv_rewrite_ptr;

static void
epoxy_glProgramUniform3uivEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glProgramUniform3uivEXT = (void *)epoxy_glProgramUniform3uiv_resolver();
    epoxy_glProgramUniform3uivEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM3UIVEXTPROC epoxy_glProgramUniform3uivEXT = epoxy_glProgramUniform3uivEXT_rewrite_ptr;

static void
epoxy_glProgramUniform4d_rewrite_ptr(GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2, GLdouble v3)
{
    epoxy_glProgramUniform4d = (void *)epoxy_glProgramUniform4d_resolver();
    epoxy_glProgramUniform4d(program, location, v0, v1, v2, v3);
}
PUBLIC PFNGLPROGRAMUNIFORM4DPROC epoxy_glProgramUniform4d = epoxy_glProgramUniform4d_rewrite_ptr;

static void
epoxy_glProgramUniform4dEXT_rewrite_ptr(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glProgramUniform4dEXT = (void *)epoxy_glProgramUniform4dEXT_resolver();
    epoxy_glProgramUniform4dEXT(program, location, x, y, z, w);
}
PUBLIC PFNGLPROGRAMUNIFORM4DEXTPROC epoxy_glProgramUniform4dEXT = epoxy_glProgramUniform4dEXT_rewrite_ptr;

static void
epoxy_glProgramUniform4dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    epoxy_glProgramUniform4dv = (void *)epoxy_glProgramUniform4dv_resolver();
    epoxy_glProgramUniform4dv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM4DVPROC epoxy_glProgramUniform4dv = epoxy_glProgramUniform4dv_rewrite_ptr;

static void
epoxy_glProgramUniform4dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLdouble * value)
{
    epoxy_glProgramUniform4dvEXT = (void *)epoxy_glProgramUniform4dvEXT_resolver();
    epoxy_glProgramUniform4dvEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM4DVEXTPROC epoxy_glProgramUniform4dvEXT = epoxy_glProgramUniform4dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniform4f_rewrite_ptr(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    epoxy_glProgramUniform4f = (void *)epoxy_glProgramUniform4f_resolver();
    epoxy_glProgramUniform4f(program, location, v0, v1, v2, v3);
}
PUBLIC PFNGLPROGRAMUNIFORM4FPROC epoxy_glProgramUniform4f = epoxy_glProgramUniform4f_rewrite_ptr;

static void
epoxy_glProgramUniform4fEXT_rewrite_ptr(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    epoxy_glProgramUniform4fEXT = (void *)epoxy_glProgramUniform4f_resolver();
    epoxy_glProgramUniform4fEXT(program, location, v0, v1, v2, v3);
}
PUBLIC PFNGLPROGRAMUNIFORM4FEXTPROC epoxy_glProgramUniform4fEXT = epoxy_glProgramUniform4fEXT_rewrite_ptr;

static void
epoxy_glProgramUniform4fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glProgramUniform4fv = (void *)epoxy_glProgramUniform4fv_resolver();
    epoxy_glProgramUniform4fv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM4FVPROC epoxy_glProgramUniform4fv = epoxy_glProgramUniform4fv_rewrite_ptr;

static void
epoxy_glProgramUniform4fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glProgramUniform4fvEXT = (void *)epoxy_glProgramUniform4fv_resolver();
    epoxy_glProgramUniform4fvEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM4FVEXTPROC epoxy_glProgramUniform4fvEXT = epoxy_glProgramUniform4fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniform4i_rewrite_ptr(GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    epoxy_glProgramUniform4i = (void *)epoxy_glProgramUniform4i_resolver();
    epoxy_glProgramUniform4i(program, location, v0, v1, v2, v3);
}
PUBLIC PFNGLPROGRAMUNIFORM4IPROC epoxy_glProgramUniform4i = epoxy_glProgramUniform4i_rewrite_ptr;

static void
epoxy_glProgramUniform4i64NV_rewrite_ptr(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
{
    epoxy_glProgramUniform4i64NV = (void *)epoxy_glProgramUniform4i64NV_resolver();
    epoxy_glProgramUniform4i64NV(program, location, x, y, z, w);
}
PUBLIC PFNGLPROGRAMUNIFORM4I64NVPROC epoxy_glProgramUniform4i64NV = epoxy_glProgramUniform4i64NV_rewrite_ptr;

static void
epoxy_glProgramUniform4i64vNV_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)
{
    epoxy_glProgramUniform4i64vNV = (void *)epoxy_glProgramUniform4i64vNV_resolver();
    epoxy_glProgramUniform4i64vNV(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM4I64VNVPROC epoxy_glProgramUniform4i64vNV = epoxy_glProgramUniform4i64vNV_rewrite_ptr;

static void
epoxy_glProgramUniform4iEXT_rewrite_ptr(GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    epoxy_glProgramUniform4iEXT = (void *)epoxy_glProgramUniform4i_resolver();
    epoxy_glProgramUniform4iEXT(program, location, v0, v1, v2, v3);
}
PUBLIC PFNGLPROGRAMUNIFORM4IEXTPROC epoxy_glProgramUniform4iEXT = epoxy_glProgramUniform4iEXT_rewrite_ptr;

static void
epoxy_glProgramUniform4iv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    epoxy_glProgramUniform4iv = (void *)epoxy_glProgramUniform4iv_resolver();
    epoxy_glProgramUniform4iv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM4IVPROC epoxy_glProgramUniform4iv = epoxy_glProgramUniform4iv_rewrite_ptr;

static void
epoxy_glProgramUniform4ivEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLint * value)
{
    epoxy_glProgramUniform4ivEXT = (void *)epoxy_glProgramUniform4iv_resolver();
    epoxy_glProgramUniform4ivEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM4IVEXTPROC epoxy_glProgramUniform4ivEXT = epoxy_glProgramUniform4ivEXT_rewrite_ptr;

static void
epoxy_glProgramUniform4ui_rewrite_ptr(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    epoxy_glProgramUniform4ui = (void *)epoxy_glProgramUniform4ui_resolver();
    epoxy_glProgramUniform4ui(program, location, v0, v1, v2, v3);
}
PUBLIC PFNGLPROGRAMUNIFORM4UIPROC epoxy_glProgramUniform4ui = epoxy_glProgramUniform4ui_rewrite_ptr;

static void
epoxy_glProgramUniform4ui64NV_rewrite_ptr(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
{
    epoxy_glProgramUniform4ui64NV = (void *)epoxy_glProgramUniform4ui64NV_resolver();
    epoxy_glProgramUniform4ui64NV(program, location, x, y, z, w);
}
PUBLIC PFNGLPROGRAMUNIFORM4UI64NVPROC epoxy_glProgramUniform4ui64NV = epoxy_glProgramUniform4ui64NV_rewrite_ptr;

static void
epoxy_glProgramUniform4ui64vNV_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    epoxy_glProgramUniform4ui64vNV = (void *)epoxy_glProgramUniform4ui64vNV_resolver();
    epoxy_glProgramUniform4ui64vNV(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM4UI64VNVPROC epoxy_glProgramUniform4ui64vNV = epoxy_glProgramUniform4ui64vNV_rewrite_ptr;

static void
epoxy_glProgramUniform4uiEXT_rewrite_ptr(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    epoxy_glProgramUniform4uiEXT = (void *)epoxy_glProgramUniform4ui_resolver();
    epoxy_glProgramUniform4uiEXT(program, location, v0, v1, v2, v3);
}
PUBLIC PFNGLPROGRAMUNIFORM4UIEXTPROC epoxy_glProgramUniform4uiEXT = epoxy_glProgramUniform4uiEXT_rewrite_ptr;

static void
epoxy_glProgramUniform4uiv_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glProgramUniform4uiv = (void *)epoxy_glProgramUniform4uiv_resolver();
    epoxy_glProgramUniform4uiv(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM4UIVPROC epoxy_glProgramUniform4uiv = epoxy_glProgramUniform4uiv_rewrite_ptr;

static void
epoxy_glProgramUniform4uivEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glProgramUniform4uivEXT = (void *)epoxy_glProgramUniform4uiv_resolver();
    epoxy_glProgramUniform4uivEXT(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORM4UIVEXTPROC epoxy_glProgramUniform4uivEXT = epoxy_glProgramUniform4uivEXT_rewrite_ptr;

static void
epoxy_glProgramUniformHandleui64ARB_rewrite_ptr(GLuint program, GLint location, GLuint64 value)
{
    epoxy_glProgramUniformHandleui64ARB = (void *)epoxy_glProgramUniformHandleui64ARB_resolver();
    epoxy_glProgramUniformHandleui64ARB(program, location, value);
}
PUBLIC PFNGLPROGRAMUNIFORMHANDLEUI64ARBPROC epoxy_glProgramUniformHandleui64ARB = epoxy_glProgramUniformHandleui64ARB_rewrite_ptr;

static void
epoxy_glProgramUniformHandleui64NV_rewrite_ptr(GLuint program, GLint location, GLuint64 value)
{
    epoxy_glProgramUniformHandleui64NV = (void *)epoxy_glProgramUniformHandleui64NV_resolver();
    epoxy_glProgramUniformHandleui64NV(program, location, value);
}
PUBLIC PFNGLPROGRAMUNIFORMHANDLEUI64NVPROC epoxy_glProgramUniformHandleui64NV = epoxy_glProgramUniformHandleui64NV_rewrite_ptr;

static void
epoxy_glProgramUniformHandleui64vARB_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint64 * values)
{
    epoxy_glProgramUniformHandleui64vARB = (void *)epoxy_glProgramUniformHandleui64vARB_resolver();
    epoxy_glProgramUniformHandleui64vARB(program, location, count, values);
}
PUBLIC PFNGLPROGRAMUNIFORMHANDLEUI64VARBPROC epoxy_glProgramUniformHandleui64vARB = epoxy_glProgramUniformHandleui64vARB_rewrite_ptr;

static void
epoxy_glProgramUniformHandleui64vNV_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint64 * values)
{
    epoxy_glProgramUniformHandleui64vNV = (void *)epoxy_glProgramUniformHandleui64vNV_resolver();
    epoxy_glProgramUniformHandleui64vNV(program, location, count, values);
}
PUBLIC PFNGLPROGRAMUNIFORMHANDLEUI64VNVPROC epoxy_glProgramUniformHandleui64vNV = epoxy_glProgramUniformHandleui64vNV_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix2dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix2dv = (void *)epoxy_glProgramUniformMatrix2dv_resolver();
    epoxy_glProgramUniformMatrix2dv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX2DVPROC epoxy_glProgramUniformMatrix2dv = epoxy_glProgramUniformMatrix2dv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix2dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix2dvEXT = (void *)epoxy_glProgramUniformMatrix2dvEXT_resolver();
    epoxy_glProgramUniformMatrix2dvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX2DVEXTPROC epoxy_glProgramUniformMatrix2dvEXT = epoxy_glProgramUniformMatrix2dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix2fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix2fv = (void *)epoxy_glProgramUniformMatrix2fv_resolver();
    epoxy_glProgramUniformMatrix2fv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX2FVPROC epoxy_glProgramUniformMatrix2fv = epoxy_glProgramUniformMatrix2fv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix2fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix2fvEXT = (void *)epoxy_glProgramUniformMatrix2fv_resolver();
    epoxy_glProgramUniformMatrix2fvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX2FVEXTPROC epoxy_glProgramUniformMatrix2fvEXT = epoxy_glProgramUniformMatrix2fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix2x3dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix2x3dv = (void *)epoxy_glProgramUniformMatrix2x3dv_resolver();
    epoxy_glProgramUniformMatrix2x3dv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X3DVPROC epoxy_glProgramUniformMatrix2x3dv = epoxy_glProgramUniformMatrix2x3dv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix2x3dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix2x3dvEXT = (void *)epoxy_glProgramUniformMatrix2x3dvEXT_resolver();
    epoxy_glProgramUniformMatrix2x3dvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X3DVEXTPROC epoxy_glProgramUniformMatrix2x3dvEXT = epoxy_glProgramUniformMatrix2x3dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix2x3fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix2x3fv = (void *)epoxy_glProgramUniformMatrix2x3fv_resolver();
    epoxy_glProgramUniformMatrix2x3fv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X3FVPROC epoxy_glProgramUniformMatrix2x3fv = epoxy_glProgramUniformMatrix2x3fv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix2x3fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix2x3fvEXT = (void *)epoxy_glProgramUniformMatrix2x3fv_resolver();
    epoxy_glProgramUniformMatrix2x3fvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X3FVEXTPROC epoxy_glProgramUniformMatrix2x3fvEXT = epoxy_glProgramUniformMatrix2x3fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix2x4dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix2x4dv = (void *)epoxy_glProgramUniformMatrix2x4dv_resolver();
    epoxy_glProgramUniformMatrix2x4dv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X4DVPROC epoxy_glProgramUniformMatrix2x4dv = epoxy_glProgramUniformMatrix2x4dv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix2x4dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix2x4dvEXT = (void *)epoxy_glProgramUniformMatrix2x4dvEXT_resolver();
    epoxy_glProgramUniformMatrix2x4dvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X4DVEXTPROC epoxy_glProgramUniformMatrix2x4dvEXT = epoxy_glProgramUniformMatrix2x4dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix2x4fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix2x4fv = (void *)epoxy_glProgramUniformMatrix2x4fv_resolver();
    epoxy_glProgramUniformMatrix2x4fv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X4FVPROC epoxy_glProgramUniformMatrix2x4fv = epoxy_glProgramUniformMatrix2x4fv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix2x4fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix2x4fvEXT = (void *)epoxy_glProgramUniformMatrix2x4fv_resolver();
    epoxy_glProgramUniformMatrix2x4fvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X4FVEXTPROC epoxy_glProgramUniformMatrix2x4fvEXT = epoxy_glProgramUniformMatrix2x4fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix3dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix3dv = (void *)epoxy_glProgramUniformMatrix3dv_resolver();
    epoxy_glProgramUniformMatrix3dv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX3DVPROC epoxy_glProgramUniformMatrix3dv = epoxy_glProgramUniformMatrix3dv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix3dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix3dvEXT = (void *)epoxy_glProgramUniformMatrix3dvEXT_resolver();
    epoxy_glProgramUniformMatrix3dvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX3DVEXTPROC epoxy_glProgramUniformMatrix3dvEXT = epoxy_glProgramUniformMatrix3dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix3fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix3fv = (void *)epoxy_glProgramUniformMatrix3fv_resolver();
    epoxy_glProgramUniformMatrix3fv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX3FVPROC epoxy_glProgramUniformMatrix3fv = epoxy_glProgramUniformMatrix3fv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix3fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix3fvEXT = (void *)epoxy_glProgramUniformMatrix3fv_resolver();
    epoxy_glProgramUniformMatrix3fvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX3FVEXTPROC epoxy_glProgramUniformMatrix3fvEXT = epoxy_glProgramUniformMatrix3fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix3x2dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix3x2dv = (void *)epoxy_glProgramUniformMatrix3x2dv_resolver();
    epoxy_glProgramUniformMatrix3x2dv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X2DVPROC epoxy_glProgramUniformMatrix3x2dv = epoxy_glProgramUniformMatrix3x2dv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix3x2dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix3x2dvEXT = (void *)epoxy_glProgramUniformMatrix3x2dvEXT_resolver();
    epoxy_glProgramUniformMatrix3x2dvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X2DVEXTPROC epoxy_glProgramUniformMatrix3x2dvEXT = epoxy_glProgramUniformMatrix3x2dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix3x2fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix3x2fv = (void *)epoxy_glProgramUniformMatrix3x2fv_resolver();
    epoxy_glProgramUniformMatrix3x2fv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X2FVPROC epoxy_glProgramUniformMatrix3x2fv = epoxy_glProgramUniformMatrix3x2fv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix3x2fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix3x2fvEXT = (void *)epoxy_glProgramUniformMatrix3x2fv_resolver();
    epoxy_glProgramUniformMatrix3x2fvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X2FVEXTPROC epoxy_glProgramUniformMatrix3x2fvEXT = epoxy_glProgramUniformMatrix3x2fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix3x4dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix3x4dv = (void *)epoxy_glProgramUniformMatrix3x4dv_resolver();
    epoxy_glProgramUniformMatrix3x4dv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X4DVPROC epoxy_glProgramUniformMatrix3x4dv = epoxy_glProgramUniformMatrix3x4dv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix3x4dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix3x4dvEXT = (void *)epoxy_glProgramUniformMatrix3x4dvEXT_resolver();
    epoxy_glProgramUniformMatrix3x4dvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X4DVEXTPROC epoxy_glProgramUniformMatrix3x4dvEXT = epoxy_glProgramUniformMatrix3x4dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix3x4fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix3x4fv = (void *)epoxy_glProgramUniformMatrix3x4fv_resolver();
    epoxy_glProgramUniformMatrix3x4fv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X4FVPROC epoxy_glProgramUniformMatrix3x4fv = epoxy_glProgramUniformMatrix3x4fv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix3x4fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix3x4fvEXT = (void *)epoxy_glProgramUniformMatrix3x4fv_resolver();
    epoxy_glProgramUniformMatrix3x4fvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X4FVEXTPROC epoxy_glProgramUniformMatrix3x4fvEXT = epoxy_glProgramUniformMatrix3x4fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix4dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix4dv = (void *)epoxy_glProgramUniformMatrix4dv_resolver();
    epoxy_glProgramUniformMatrix4dv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX4DVPROC epoxy_glProgramUniformMatrix4dv = epoxy_glProgramUniformMatrix4dv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix4dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix4dvEXT = (void *)epoxy_glProgramUniformMatrix4dvEXT_resolver();
    epoxy_glProgramUniformMatrix4dvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX4DVEXTPROC epoxy_glProgramUniformMatrix4dvEXT = epoxy_glProgramUniformMatrix4dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix4fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix4fv = (void *)epoxy_glProgramUniformMatrix4fv_resolver();
    epoxy_glProgramUniformMatrix4fv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX4FVPROC epoxy_glProgramUniformMatrix4fv = epoxy_glProgramUniformMatrix4fv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix4fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix4fvEXT = (void *)epoxy_glProgramUniformMatrix4fv_resolver();
    epoxy_glProgramUniformMatrix4fvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX4FVEXTPROC epoxy_glProgramUniformMatrix4fvEXT = epoxy_glProgramUniformMatrix4fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix4x2dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix4x2dv = (void *)epoxy_glProgramUniformMatrix4x2dv_resolver();
    epoxy_glProgramUniformMatrix4x2dv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X2DVPROC epoxy_glProgramUniformMatrix4x2dv = epoxy_glProgramUniformMatrix4x2dv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix4x2dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix4x2dvEXT = (void *)epoxy_glProgramUniformMatrix4x2dvEXT_resolver();
    epoxy_glProgramUniformMatrix4x2dvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X2DVEXTPROC epoxy_glProgramUniformMatrix4x2dvEXT = epoxy_glProgramUniformMatrix4x2dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix4x2fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix4x2fv = (void *)epoxy_glProgramUniformMatrix4x2fv_resolver();
    epoxy_glProgramUniformMatrix4x2fv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X2FVPROC epoxy_glProgramUniformMatrix4x2fv = epoxy_glProgramUniformMatrix4x2fv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix4x2fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix4x2fvEXT = (void *)epoxy_glProgramUniformMatrix4x2fv_resolver();
    epoxy_glProgramUniformMatrix4x2fvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X2FVEXTPROC epoxy_glProgramUniformMatrix4x2fvEXT = epoxy_glProgramUniformMatrix4x2fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix4x3dv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix4x3dv = (void *)epoxy_glProgramUniformMatrix4x3dv_resolver();
    epoxy_glProgramUniformMatrix4x3dv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X3DVPROC epoxy_glProgramUniformMatrix4x3dv = epoxy_glProgramUniformMatrix4x3dv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix4x3dvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glProgramUniformMatrix4x3dvEXT = (void *)epoxy_glProgramUniformMatrix4x3dvEXT_resolver();
    epoxy_glProgramUniformMatrix4x3dvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X3DVEXTPROC epoxy_glProgramUniformMatrix4x3dvEXT = epoxy_glProgramUniformMatrix4x3dvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix4x3fv_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix4x3fv = (void *)epoxy_glProgramUniformMatrix4x3fv_resolver();
    epoxy_glProgramUniformMatrix4x3fv(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X3FVPROC epoxy_glProgramUniformMatrix4x3fv = epoxy_glProgramUniformMatrix4x3fv_rewrite_ptr;

static void
epoxy_glProgramUniformMatrix4x3fvEXT_rewrite_ptr(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glProgramUniformMatrix4x3fvEXT = (void *)epoxy_glProgramUniformMatrix4x3fv_resolver();
    epoxy_glProgramUniformMatrix4x3fvEXT(program, location, count, transpose, value);
}
PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X3FVEXTPROC epoxy_glProgramUniformMatrix4x3fvEXT = epoxy_glProgramUniformMatrix4x3fvEXT_rewrite_ptr;

static void
epoxy_glProgramUniformui64NV_rewrite_ptr(GLuint program, GLint location, GLuint64EXT value)
{
    epoxy_glProgramUniformui64NV = (void *)epoxy_glProgramUniformui64NV_resolver();
    epoxy_glProgramUniformui64NV(program, location, value);
}
PUBLIC PFNGLPROGRAMUNIFORMUI64NVPROC epoxy_glProgramUniformui64NV = epoxy_glProgramUniformui64NV_rewrite_ptr;

static void
epoxy_glProgramUniformui64vNV_rewrite_ptr(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)
{
    epoxy_glProgramUniformui64vNV = (void *)epoxy_glProgramUniformui64vNV_resolver();
    epoxy_glProgramUniformui64vNV(program, location, count, value);
}
PUBLIC PFNGLPROGRAMUNIFORMUI64VNVPROC epoxy_glProgramUniformui64vNV = epoxy_glProgramUniformui64vNV_rewrite_ptr;

static void
epoxy_glProgramVertexLimitNV_rewrite_ptr(GLenum target, GLint limit)
{
    epoxy_glProgramVertexLimitNV = (void *)epoxy_glProgramVertexLimitNV_resolver();
    epoxy_glProgramVertexLimitNV(target, limit);
}
PUBLIC PFNGLPROGRAMVERTEXLIMITNVPROC epoxy_glProgramVertexLimitNV = epoxy_glProgramVertexLimitNV_rewrite_ptr;

static void
epoxy_glProvokingVertex_rewrite_ptr(GLenum mode)
{
    epoxy_glProvokingVertex = (void *)epoxy_glProvokingVertex_resolver();
    epoxy_glProvokingVertex(mode);
}
PUBLIC PFNGLPROVOKINGVERTEXPROC epoxy_glProvokingVertex = epoxy_glProvokingVertex_rewrite_ptr;

static void
epoxy_glProvokingVertexEXT_rewrite_ptr(GLenum mode)
{
    epoxy_glProvokingVertexEXT = (void *)epoxy_glProvokingVertex_resolver();
    epoxy_glProvokingVertexEXT(mode);
}
PUBLIC PFNGLPROVOKINGVERTEXEXTPROC epoxy_glProvokingVertexEXT = epoxy_glProvokingVertexEXT_rewrite_ptr;

static void
epoxy_glPushAttrib_rewrite_ptr(GLbitfield mask)
{
    epoxy_glPushAttrib = (void *)epoxy_glPushAttrib_resolver();
    epoxy_glPushAttrib(mask);
}
PUBLIC PFNGLPUSHATTRIBPROC epoxy_glPushAttrib = epoxy_glPushAttrib_rewrite_ptr;

static void
epoxy_glPushClientAttrib_rewrite_ptr(GLbitfield mask)
{
    epoxy_glPushClientAttrib = (void *)epoxy_glPushClientAttrib_resolver();
    epoxy_glPushClientAttrib(mask);
}
PUBLIC PFNGLPUSHCLIENTATTRIBPROC epoxy_glPushClientAttrib = epoxy_glPushClientAttrib_rewrite_ptr;

static void
epoxy_glPushClientAttribDefaultEXT_rewrite_ptr(GLbitfield mask)
{
    epoxy_glPushClientAttribDefaultEXT = (void *)epoxy_glPushClientAttribDefaultEXT_resolver();
    epoxy_glPushClientAttribDefaultEXT(mask);
}
PUBLIC PFNGLPUSHCLIENTATTRIBDEFAULTEXTPROC epoxy_glPushClientAttribDefaultEXT = epoxy_glPushClientAttribDefaultEXT_rewrite_ptr;

static void
epoxy_glPushDebugGroup_rewrite_ptr(GLenum source, GLuint id, GLsizei length, const GLchar * message)
{
    epoxy_glPushDebugGroup = (void *)epoxy_glPushDebugGroup_resolver();
    epoxy_glPushDebugGroup(source, id, length, message);
}
PUBLIC PFNGLPUSHDEBUGGROUPPROC epoxy_glPushDebugGroup = epoxy_glPushDebugGroup_rewrite_ptr;

static void
epoxy_glPushDebugGroupKHR_rewrite_ptr(GLenum source, GLuint id, GLsizei length, const GLchar * message)
{
    epoxy_glPushDebugGroupKHR = (void *)epoxy_glPushDebugGroup_resolver();
    epoxy_glPushDebugGroupKHR(source, id, length, message);
}
PUBLIC PFNGLPUSHDEBUGGROUPKHRPROC epoxy_glPushDebugGroupKHR = epoxy_glPushDebugGroupKHR_rewrite_ptr;

static void
epoxy_glPushGroupMarkerEXT_rewrite_ptr(GLsizei length, const GLchar * marker)
{
    epoxy_glPushGroupMarkerEXT = (void *)epoxy_glPushGroupMarkerEXT_resolver();
    epoxy_glPushGroupMarkerEXT(length, marker);
}
PUBLIC PFNGLPUSHGROUPMARKEREXTPROC epoxy_glPushGroupMarkerEXT = epoxy_glPushGroupMarkerEXT_rewrite_ptr;

static void
epoxy_glPushMatrix_rewrite_ptr(void)
{
    epoxy_glPushMatrix = (void *)epoxy_glPushMatrix_resolver();
    epoxy_glPushMatrix();
}
PUBLIC PFNGLPUSHMATRIXPROC epoxy_glPushMatrix = epoxy_glPushMatrix_rewrite_ptr;

static void
epoxy_glPushName_rewrite_ptr(GLuint name)
{
    epoxy_glPushName = (void *)epoxy_glPushName_resolver();
    epoxy_glPushName(name);
}
PUBLIC PFNGLPUSHNAMEPROC epoxy_glPushName = epoxy_glPushName_rewrite_ptr;

static void
epoxy_glQueryCounter_rewrite_ptr(GLuint id, GLenum target)
{
    epoxy_glQueryCounter = (void *)epoxy_glQueryCounter_resolver();
    epoxy_glQueryCounter(id, target);
}
PUBLIC PFNGLQUERYCOUNTERPROC epoxy_glQueryCounter = epoxy_glQueryCounter_rewrite_ptr;

static void
epoxy_glQueryCounterEXT_rewrite_ptr(GLuint id, GLenum target)
{
    epoxy_glQueryCounterEXT = (void *)epoxy_glQueryCounter_resolver();
    epoxy_glQueryCounterEXT(id, target);
}
PUBLIC PFNGLQUERYCOUNTEREXTPROC epoxy_glQueryCounterEXT = epoxy_glQueryCounterEXT_rewrite_ptr;

static GLbitfield
epoxy_glQueryMatrixxOES_rewrite_ptr(GLfixed * mantissa, GLint * exponent)
{
    epoxy_glQueryMatrixxOES = (void *)epoxy_glQueryMatrixxOES_resolver();
    return epoxy_glQueryMatrixxOES(mantissa, exponent);
}
PUBLIC PFNGLQUERYMATRIXXOESPROC epoxy_glQueryMatrixxOES = epoxy_glQueryMatrixxOES_rewrite_ptr;

static void
epoxy_glQueryObjectParameteruiAMD_rewrite_ptr(GLenum target, GLuint id, GLenum pname, GLuint param)
{
    epoxy_glQueryObjectParameteruiAMD = (void *)epoxy_glQueryObjectParameteruiAMD_resolver();
    epoxy_glQueryObjectParameteruiAMD(target, id, pname, param);
}
PUBLIC PFNGLQUERYOBJECTPARAMETERUIAMDPROC epoxy_glQueryObjectParameteruiAMD = epoxy_glQueryObjectParameteruiAMD_rewrite_ptr;

static void
epoxy_glRasterPos2d_rewrite_ptr(GLdouble x, GLdouble y)
{
    epoxy_glRasterPos2d = (void *)epoxy_glRasterPos2d_resolver();
    epoxy_glRasterPos2d(x, y);
}
PUBLIC PFNGLRASTERPOS2DPROC epoxy_glRasterPos2d = epoxy_glRasterPos2d_rewrite_ptr;

static void
epoxy_glRasterPos2dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glRasterPos2dv = (void *)epoxy_glRasterPos2dv_resolver();
    epoxy_glRasterPos2dv(v);
}
PUBLIC PFNGLRASTERPOS2DVPROC epoxy_glRasterPos2dv = epoxy_glRasterPos2dv_rewrite_ptr;

static void
epoxy_glRasterPos2f_rewrite_ptr(GLfloat x, GLfloat y)
{
    epoxy_glRasterPos2f = (void *)epoxy_glRasterPos2f_resolver();
    epoxy_glRasterPos2f(x, y);
}
PUBLIC PFNGLRASTERPOS2FPROC epoxy_glRasterPos2f = epoxy_glRasterPos2f_rewrite_ptr;

static void
epoxy_glRasterPos2fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glRasterPos2fv = (void *)epoxy_glRasterPos2fv_resolver();
    epoxy_glRasterPos2fv(v);
}
PUBLIC PFNGLRASTERPOS2FVPROC epoxy_glRasterPos2fv = epoxy_glRasterPos2fv_rewrite_ptr;

static void
epoxy_glRasterPos2i_rewrite_ptr(GLint x, GLint y)
{
    epoxy_glRasterPos2i = (void *)epoxy_glRasterPos2i_resolver();
    epoxy_glRasterPos2i(x, y);
}
PUBLIC PFNGLRASTERPOS2IPROC epoxy_glRasterPos2i = epoxy_glRasterPos2i_rewrite_ptr;

static void
epoxy_glRasterPos2iv_rewrite_ptr(const GLint * v)
{
    epoxy_glRasterPos2iv = (void *)epoxy_glRasterPos2iv_resolver();
    epoxy_glRasterPos2iv(v);
}
PUBLIC PFNGLRASTERPOS2IVPROC epoxy_glRasterPos2iv = epoxy_glRasterPos2iv_rewrite_ptr;

static void
epoxy_glRasterPos2s_rewrite_ptr(GLshort x, GLshort y)
{
    epoxy_glRasterPos2s = (void *)epoxy_glRasterPos2s_resolver();
    epoxy_glRasterPos2s(x, y);
}
PUBLIC PFNGLRASTERPOS2SPROC epoxy_glRasterPos2s = epoxy_glRasterPos2s_rewrite_ptr;

static void
epoxy_glRasterPos2sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glRasterPos2sv = (void *)epoxy_glRasterPos2sv_resolver();
    epoxy_glRasterPos2sv(v);
}
PUBLIC PFNGLRASTERPOS2SVPROC epoxy_glRasterPos2sv = epoxy_glRasterPos2sv_rewrite_ptr;

static void
epoxy_glRasterPos2xOES_rewrite_ptr(GLfixed x, GLfixed y)
{
    epoxy_glRasterPos2xOES = (void *)epoxy_glRasterPos2xOES_resolver();
    epoxy_glRasterPos2xOES(x, y);
}
PUBLIC PFNGLRASTERPOS2XOESPROC epoxy_glRasterPos2xOES = epoxy_glRasterPos2xOES_rewrite_ptr;

static void
epoxy_glRasterPos2xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glRasterPos2xvOES = (void *)epoxy_glRasterPos2xvOES_resolver();
    epoxy_glRasterPos2xvOES(coords);
}
PUBLIC PFNGLRASTERPOS2XVOESPROC epoxy_glRasterPos2xvOES = epoxy_glRasterPos2xvOES_rewrite_ptr;

static void
epoxy_glRasterPos3d_rewrite_ptr(GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glRasterPos3d = (void *)epoxy_glRasterPos3d_resolver();
    epoxy_glRasterPos3d(x, y, z);
}
PUBLIC PFNGLRASTERPOS3DPROC epoxy_glRasterPos3d = epoxy_glRasterPos3d_rewrite_ptr;

static void
epoxy_glRasterPos3dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glRasterPos3dv = (void *)epoxy_glRasterPos3dv_resolver();
    epoxy_glRasterPos3dv(v);
}
PUBLIC PFNGLRASTERPOS3DVPROC epoxy_glRasterPos3dv = epoxy_glRasterPos3dv_rewrite_ptr;

static void
epoxy_glRasterPos3f_rewrite_ptr(GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glRasterPos3f = (void *)epoxy_glRasterPos3f_resolver();
    epoxy_glRasterPos3f(x, y, z);
}
PUBLIC PFNGLRASTERPOS3FPROC epoxy_glRasterPos3f = epoxy_glRasterPos3f_rewrite_ptr;

static void
epoxy_glRasterPos3fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glRasterPos3fv = (void *)epoxy_glRasterPos3fv_resolver();
    epoxy_glRasterPos3fv(v);
}
PUBLIC PFNGLRASTERPOS3FVPROC epoxy_glRasterPos3fv = epoxy_glRasterPos3fv_rewrite_ptr;

static void
epoxy_glRasterPos3i_rewrite_ptr(GLint x, GLint y, GLint z)
{
    epoxy_glRasterPos3i = (void *)epoxy_glRasterPos3i_resolver();
    epoxy_glRasterPos3i(x, y, z);
}
PUBLIC PFNGLRASTERPOS3IPROC epoxy_glRasterPos3i = epoxy_glRasterPos3i_rewrite_ptr;

static void
epoxy_glRasterPos3iv_rewrite_ptr(const GLint * v)
{
    epoxy_glRasterPos3iv = (void *)epoxy_glRasterPos3iv_resolver();
    epoxy_glRasterPos3iv(v);
}
PUBLIC PFNGLRASTERPOS3IVPROC epoxy_glRasterPos3iv = epoxy_glRasterPos3iv_rewrite_ptr;

static void
epoxy_glRasterPos3s_rewrite_ptr(GLshort x, GLshort y, GLshort z)
{
    epoxy_glRasterPos3s = (void *)epoxy_glRasterPos3s_resolver();
    epoxy_glRasterPos3s(x, y, z);
}
PUBLIC PFNGLRASTERPOS3SPROC epoxy_glRasterPos3s = epoxy_glRasterPos3s_rewrite_ptr;

static void
epoxy_glRasterPos3sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glRasterPos3sv = (void *)epoxy_glRasterPos3sv_resolver();
    epoxy_glRasterPos3sv(v);
}
PUBLIC PFNGLRASTERPOS3SVPROC epoxy_glRasterPos3sv = epoxy_glRasterPos3sv_rewrite_ptr;

static void
epoxy_glRasterPos3xOES_rewrite_ptr(GLfixed x, GLfixed y, GLfixed z)
{
    epoxy_glRasterPos3xOES = (void *)epoxy_glRasterPos3xOES_resolver();
    epoxy_glRasterPos3xOES(x, y, z);
}
PUBLIC PFNGLRASTERPOS3XOESPROC epoxy_glRasterPos3xOES = epoxy_glRasterPos3xOES_rewrite_ptr;

static void
epoxy_glRasterPos3xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glRasterPos3xvOES = (void *)epoxy_glRasterPos3xvOES_resolver();
    epoxy_glRasterPos3xvOES(coords);
}
PUBLIC PFNGLRASTERPOS3XVOESPROC epoxy_glRasterPos3xvOES = epoxy_glRasterPos3xvOES_rewrite_ptr;

static void
epoxy_glRasterPos4d_rewrite_ptr(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glRasterPos4d = (void *)epoxy_glRasterPos4d_resolver();
    epoxy_glRasterPos4d(x, y, z, w);
}
PUBLIC PFNGLRASTERPOS4DPROC epoxy_glRasterPos4d = epoxy_glRasterPos4d_rewrite_ptr;

static void
epoxy_glRasterPos4dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glRasterPos4dv = (void *)epoxy_glRasterPos4dv_resolver();
    epoxy_glRasterPos4dv(v);
}
PUBLIC PFNGLRASTERPOS4DVPROC epoxy_glRasterPos4dv = epoxy_glRasterPos4dv_rewrite_ptr;

static void
epoxy_glRasterPos4f_rewrite_ptr(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glRasterPos4f = (void *)epoxy_glRasterPos4f_resolver();
    epoxy_glRasterPos4f(x, y, z, w);
}
PUBLIC PFNGLRASTERPOS4FPROC epoxy_glRasterPos4f = epoxy_glRasterPos4f_rewrite_ptr;

static void
epoxy_glRasterPos4fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glRasterPos4fv = (void *)epoxy_glRasterPos4fv_resolver();
    epoxy_glRasterPos4fv(v);
}
PUBLIC PFNGLRASTERPOS4FVPROC epoxy_glRasterPos4fv = epoxy_glRasterPos4fv_rewrite_ptr;

static void
epoxy_glRasterPos4i_rewrite_ptr(GLint x, GLint y, GLint z, GLint w)
{
    epoxy_glRasterPos4i = (void *)epoxy_glRasterPos4i_resolver();
    epoxy_glRasterPos4i(x, y, z, w);
}
PUBLIC PFNGLRASTERPOS4IPROC epoxy_glRasterPos4i = epoxy_glRasterPos4i_rewrite_ptr;

static void
epoxy_glRasterPos4iv_rewrite_ptr(const GLint * v)
{
    epoxy_glRasterPos4iv = (void *)epoxy_glRasterPos4iv_resolver();
    epoxy_glRasterPos4iv(v);
}
PUBLIC PFNGLRASTERPOS4IVPROC epoxy_glRasterPos4iv = epoxy_glRasterPos4iv_rewrite_ptr;

static void
epoxy_glRasterPos4s_rewrite_ptr(GLshort x, GLshort y, GLshort z, GLshort w)
{
    epoxy_glRasterPos4s = (void *)epoxy_glRasterPos4s_resolver();
    epoxy_glRasterPos4s(x, y, z, w);
}
PUBLIC PFNGLRASTERPOS4SPROC epoxy_glRasterPos4s = epoxy_glRasterPos4s_rewrite_ptr;

static void
epoxy_glRasterPos4sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glRasterPos4sv = (void *)epoxy_glRasterPos4sv_resolver();
    epoxy_glRasterPos4sv(v);
}
PUBLIC PFNGLRASTERPOS4SVPROC epoxy_glRasterPos4sv = epoxy_glRasterPos4sv_rewrite_ptr;

static void
epoxy_glRasterPos4xOES_rewrite_ptr(GLfixed x, GLfixed y, GLfixed z, GLfixed w)
{
    epoxy_glRasterPos4xOES = (void *)epoxy_glRasterPos4xOES_resolver();
    epoxy_glRasterPos4xOES(x, y, z, w);
}
PUBLIC PFNGLRASTERPOS4XOESPROC epoxy_glRasterPos4xOES = epoxy_glRasterPos4xOES_rewrite_ptr;

static void
epoxy_glRasterPos4xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glRasterPos4xvOES = (void *)epoxy_glRasterPos4xvOES_resolver();
    epoxy_glRasterPos4xvOES(coords);
}
PUBLIC PFNGLRASTERPOS4XVOESPROC epoxy_glRasterPos4xvOES = epoxy_glRasterPos4xvOES_rewrite_ptr;

static void
epoxy_glReadBuffer_rewrite_ptr(GLenum mode)
{
    epoxy_glReadBuffer = (void *)epoxy_glReadBuffer_resolver();
    epoxy_glReadBuffer(mode);
}
PUBLIC PFNGLREADBUFFERPROC epoxy_glReadBuffer = epoxy_glReadBuffer_rewrite_ptr;

static void
epoxy_glReadBufferIndexedEXT_rewrite_ptr(GLenum src, GLint index)
{
    epoxy_glReadBufferIndexedEXT = (void *)epoxy_glReadBufferIndexedEXT_resolver();
    epoxy_glReadBufferIndexedEXT(src, index);
}
PUBLIC PFNGLREADBUFFERINDEXEDEXTPROC epoxy_glReadBufferIndexedEXT = epoxy_glReadBufferIndexedEXT_rewrite_ptr;

static void
epoxy_glReadBufferNV_rewrite_ptr(GLenum mode)
{
    epoxy_glReadBufferNV = (void *)epoxy_glReadBufferNV_resolver();
    epoxy_glReadBufferNV(mode);
}
PUBLIC PFNGLREADBUFFERNVPROC epoxy_glReadBufferNV = epoxy_glReadBufferNV_rewrite_ptr;

static void
epoxy_glReadInstrumentsSGIX_rewrite_ptr(GLint marker)
{
    epoxy_glReadInstrumentsSGIX = (void *)epoxy_glReadInstrumentsSGIX_resolver();
    epoxy_glReadInstrumentsSGIX(marker);
}
PUBLIC PFNGLREADINSTRUMENTSSGIXPROC epoxy_glReadInstrumentsSGIX = epoxy_glReadInstrumentsSGIX_rewrite_ptr;

static void
epoxy_glReadPixels_rewrite_ptr(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, void * pixels)
{
    epoxy_glReadPixels = (void *)epoxy_glReadPixels_resolver();
    epoxy_glReadPixels(x, y, width, height, format, type, pixels);
}
PUBLIC PFNGLREADPIXELSPROC epoxy_glReadPixels = epoxy_glReadPixels_rewrite_ptr;

static void
epoxy_glReadnPixelsARB_rewrite_ptr(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void * data)
{
    epoxy_glReadnPixelsARB = (void *)epoxy_glReadnPixelsARB_resolver();
    epoxy_glReadnPixelsARB(x, y, width, height, format, type, bufSize, data);
}
PUBLIC PFNGLREADNPIXELSARBPROC epoxy_glReadnPixelsARB = epoxy_glReadnPixelsARB_rewrite_ptr;

static void
epoxy_glReadnPixelsEXT_rewrite_ptr(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void * data)
{
    epoxy_glReadnPixelsEXT = (void *)epoxy_glReadnPixelsEXT_resolver();
    epoxy_glReadnPixelsEXT(x, y, width, height, format, type, bufSize, data);
}
PUBLIC PFNGLREADNPIXELSEXTPROC epoxy_glReadnPixelsEXT = epoxy_glReadnPixelsEXT_rewrite_ptr;

static void
epoxy_glRectd_rewrite_ptr(GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2)
{
    epoxy_glRectd = (void *)epoxy_glRectd_resolver();
    epoxy_glRectd(x1, y1, x2, y2);
}
PUBLIC PFNGLRECTDPROC epoxy_glRectd = epoxy_glRectd_rewrite_ptr;

static void
epoxy_glRectdv_rewrite_ptr(const GLdouble * v1, const GLdouble * v2)
{
    epoxy_glRectdv = (void *)epoxy_glRectdv_resolver();
    epoxy_glRectdv(v1, v2);
}
PUBLIC PFNGLRECTDVPROC epoxy_glRectdv = epoxy_glRectdv_rewrite_ptr;

static void
epoxy_glRectf_rewrite_ptr(GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2)
{
    epoxy_glRectf = (void *)epoxy_glRectf_resolver();
    epoxy_glRectf(x1, y1, x2, y2);
}
PUBLIC PFNGLRECTFPROC epoxy_glRectf = epoxy_glRectf_rewrite_ptr;

static void
epoxy_glRectfv_rewrite_ptr(const GLfloat * v1, const GLfloat * v2)
{
    epoxy_glRectfv = (void *)epoxy_glRectfv_resolver();
    epoxy_glRectfv(v1, v2);
}
PUBLIC PFNGLRECTFVPROC epoxy_glRectfv = epoxy_glRectfv_rewrite_ptr;

static void
epoxy_glRecti_rewrite_ptr(GLint x1, GLint y1, GLint x2, GLint y2)
{
    epoxy_glRecti = (void *)epoxy_glRecti_resolver();
    epoxy_glRecti(x1, y1, x2, y2);
}
PUBLIC PFNGLRECTIPROC epoxy_glRecti = epoxy_glRecti_rewrite_ptr;

static void
epoxy_glRectiv_rewrite_ptr(const GLint * v1, const GLint * v2)
{
    epoxy_glRectiv = (void *)epoxy_glRectiv_resolver();
    epoxy_glRectiv(v1, v2);
}
PUBLIC PFNGLRECTIVPROC epoxy_glRectiv = epoxy_glRectiv_rewrite_ptr;

static void
epoxy_glRects_rewrite_ptr(GLshort x1, GLshort y1, GLshort x2, GLshort y2)
{
    epoxy_glRects = (void *)epoxy_glRects_resolver();
    epoxy_glRects(x1, y1, x2, y2);
}
PUBLIC PFNGLRECTSPROC epoxy_glRects = epoxy_glRects_rewrite_ptr;

static void
epoxy_glRectsv_rewrite_ptr(const GLshort * v1, const GLshort * v2)
{
    epoxy_glRectsv = (void *)epoxy_glRectsv_resolver();
    epoxy_glRectsv(v1, v2);
}
PUBLIC PFNGLRECTSVPROC epoxy_glRectsv = epoxy_glRectsv_rewrite_ptr;

static void
epoxy_glRectxOES_rewrite_ptr(GLfixed x1, GLfixed y1, GLfixed x2, GLfixed y2)
{
    epoxy_glRectxOES = (void *)epoxy_glRectxOES_resolver();
    epoxy_glRectxOES(x1, y1, x2, y2);
}
PUBLIC PFNGLRECTXOESPROC epoxy_glRectxOES = epoxy_glRectxOES_rewrite_ptr;

static void
epoxy_glRectxvOES_rewrite_ptr(const GLfixed * v1, const GLfixed * v2)
{
    epoxy_glRectxvOES = (void *)epoxy_glRectxvOES_resolver();
    epoxy_glRectxvOES(v1, v2);
}
PUBLIC PFNGLRECTXVOESPROC epoxy_glRectxvOES = epoxy_glRectxvOES_rewrite_ptr;

static void
epoxy_glReferencePlaneSGIX_rewrite_ptr(const GLdouble * equation)
{
    epoxy_glReferencePlaneSGIX = (void *)epoxy_glReferencePlaneSGIX_resolver();
    epoxy_glReferencePlaneSGIX(equation);
}
PUBLIC PFNGLREFERENCEPLANESGIXPROC epoxy_glReferencePlaneSGIX = epoxy_glReferencePlaneSGIX_rewrite_ptr;

static void
epoxy_glReleaseShaderCompiler_rewrite_ptr(void)
{
    epoxy_glReleaseShaderCompiler = (void *)epoxy_glReleaseShaderCompiler_resolver();
    epoxy_glReleaseShaderCompiler();
}
PUBLIC PFNGLRELEASESHADERCOMPILERPROC epoxy_glReleaseShaderCompiler = epoxy_glReleaseShaderCompiler_rewrite_ptr;

static GLint
epoxy_glRenderMode_rewrite_ptr(GLenum mode)
{
    epoxy_glRenderMode = (void *)epoxy_glRenderMode_resolver();
    return epoxy_glRenderMode(mode);
}
PUBLIC PFNGLRENDERMODEPROC epoxy_glRenderMode = epoxy_glRenderMode_rewrite_ptr;

static void
epoxy_glRenderbufferStorage_rewrite_ptr(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glRenderbufferStorage = (void *)epoxy_glRenderbufferStorage_resolver();
    epoxy_glRenderbufferStorage(target, internalformat, width, height);
}
PUBLIC PFNGLRENDERBUFFERSTORAGEPROC epoxy_glRenderbufferStorage = epoxy_glRenderbufferStorage_rewrite_ptr;

static void
epoxy_glRenderbufferStorageEXT_rewrite_ptr(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glRenderbufferStorageEXT = (void *)epoxy_glRenderbufferStorage_resolver();
    epoxy_glRenderbufferStorageEXT(target, internalformat, width, height);
}
PUBLIC PFNGLRENDERBUFFERSTORAGEEXTPROC epoxy_glRenderbufferStorageEXT = epoxy_glRenderbufferStorageEXT_rewrite_ptr;

static void
epoxy_glRenderbufferStorageMultisample_rewrite_ptr(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glRenderbufferStorageMultisample = (void *)epoxy_glRenderbufferStorageMultisample_resolver();
    epoxy_glRenderbufferStorageMultisample(target, samples, internalformat, width, height);
}
PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEPROC epoxy_glRenderbufferStorageMultisample = epoxy_glRenderbufferStorageMultisample_rewrite_ptr;

static void
epoxy_glRenderbufferStorageMultisampleANGLE_rewrite_ptr(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glRenderbufferStorageMultisampleANGLE = (void *)epoxy_glRenderbufferStorageMultisampleANGLE_resolver();
    epoxy_glRenderbufferStorageMultisampleANGLE(target, samples, internalformat, width, height);
}
PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEANGLEPROC epoxy_glRenderbufferStorageMultisampleANGLE = epoxy_glRenderbufferStorageMultisampleANGLE_rewrite_ptr;

static void
epoxy_glRenderbufferStorageMultisampleAPPLE_rewrite_ptr(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glRenderbufferStorageMultisampleAPPLE = (void *)epoxy_glRenderbufferStorageMultisampleAPPLE_resolver();
    epoxy_glRenderbufferStorageMultisampleAPPLE(target, samples, internalformat, width, height);
}
PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEAPPLEPROC epoxy_glRenderbufferStorageMultisampleAPPLE = epoxy_glRenderbufferStorageMultisampleAPPLE_rewrite_ptr;

static void
epoxy_glRenderbufferStorageMultisampleCoverageNV_rewrite_ptr(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glRenderbufferStorageMultisampleCoverageNV = (void *)epoxy_glRenderbufferStorageMultisampleCoverageNV_resolver();
    epoxy_glRenderbufferStorageMultisampleCoverageNV(target, coverageSamples, colorSamples, internalformat, width, height);
}
PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLECOVERAGENVPROC epoxy_glRenderbufferStorageMultisampleCoverageNV = epoxy_glRenderbufferStorageMultisampleCoverageNV_rewrite_ptr;

static void
epoxy_glRenderbufferStorageMultisampleEXT_rewrite_ptr(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glRenderbufferStorageMultisampleEXT = (void *)epoxy_glRenderbufferStorageMultisample_resolver();
    epoxy_glRenderbufferStorageMultisampleEXT(target, samples, internalformat, width, height);
}
PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC epoxy_glRenderbufferStorageMultisampleEXT = epoxy_glRenderbufferStorageMultisampleEXT_rewrite_ptr;

static void
epoxy_glRenderbufferStorageMultisampleIMG_rewrite_ptr(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glRenderbufferStorageMultisampleIMG = (void *)epoxy_glRenderbufferStorageMultisampleIMG_resolver();
    epoxy_glRenderbufferStorageMultisampleIMG(target, samples, internalformat, width, height);
}
PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEIMGPROC epoxy_glRenderbufferStorageMultisampleIMG = epoxy_glRenderbufferStorageMultisampleIMG_rewrite_ptr;

static void
epoxy_glRenderbufferStorageMultisampleNV_rewrite_ptr(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glRenderbufferStorageMultisampleNV = (void *)epoxy_glRenderbufferStorageMultisample_resolver();
    epoxy_glRenderbufferStorageMultisampleNV(target, samples, internalformat, width, height);
}
PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLENVPROC epoxy_glRenderbufferStorageMultisampleNV = epoxy_glRenderbufferStorageMultisampleNV_rewrite_ptr;

static void
epoxy_glRenderbufferStorageOES_rewrite_ptr(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glRenderbufferStorageOES = (void *)epoxy_glRenderbufferStorageOES_resolver();
    epoxy_glRenderbufferStorageOES(target, internalformat, width, height);
}
PUBLIC PFNGLRENDERBUFFERSTORAGEOESPROC epoxy_glRenderbufferStorageOES = epoxy_glRenderbufferStorageOES_rewrite_ptr;

static void
epoxy_glReplacementCodePointerSUN_rewrite_ptr(GLenum type, GLsizei stride, const void ** pointer)
{
    epoxy_glReplacementCodePointerSUN = (void *)epoxy_glReplacementCodePointerSUN_resolver();
    epoxy_glReplacementCodePointerSUN(type, stride, pointer);
}
PUBLIC PFNGLREPLACEMENTCODEPOINTERSUNPROC epoxy_glReplacementCodePointerSUN = epoxy_glReplacementCodePointerSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeubSUN_rewrite_ptr(GLubyte code)
{
    epoxy_glReplacementCodeubSUN = (void *)epoxy_glReplacementCodeubSUN_resolver();
    epoxy_glReplacementCodeubSUN(code);
}
PUBLIC PFNGLREPLACEMENTCODEUBSUNPROC epoxy_glReplacementCodeubSUN = epoxy_glReplacementCodeubSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeubvSUN_rewrite_ptr(const GLubyte * code)
{
    epoxy_glReplacementCodeubvSUN = (void *)epoxy_glReplacementCodeubvSUN_resolver();
    epoxy_glReplacementCodeubvSUN(code);
}
PUBLIC PFNGLREPLACEMENTCODEUBVSUNPROC epoxy_glReplacementCodeubvSUN = epoxy_glReplacementCodeubvSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiColor3fVertex3fSUN_rewrite_ptr(GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glReplacementCodeuiColor3fVertex3fSUN = (void *)epoxy_glReplacementCodeuiColor3fVertex3fSUN_resolver();
    epoxy_glReplacementCodeuiColor3fVertex3fSUN(rc, r, g, b, x, y, z);
}
PUBLIC PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiColor3fVertex3fSUN = epoxy_glReplacementCodeuiColor3fVertex3fSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiColor3fVertex3fvSUN_rewrite_ptr(const GLuint * rc, const GLfloat * c, const GLfloat * v)
{
    epoxy_glReplacementCodeuiColor3fVertex3fvSUN = (void *)epoxy_glReplacementCodeuiColor3fVertex3fvSUN_resolver();
    epoxy_glReplacementCodeuiColor3fVertex3fvSUN(rc, c, v);
}
PUBLIC PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiColor3fVertex3fvSUN = epoxy_glReplacementCodeuiColor3fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_rewrite_ptr(GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN = (void *)epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_resolver();
    epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN(rc, r, g, b, a, nx, ny, nz, x, y, z);
}
PUBLIC PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_rewrite_ptr(const GLuint * rc, const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN = (void *)epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_resolver();
    epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN(rc, c, n, v);
}
PUBLIC PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiColor4ubVertex3fSUN_rewrite_ptr(GLuint rc, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glReplacementCodeuiColor4ubVertex3fSUN = (void *)epoxy_glReplacementCodeuiColor4ubVertex3fSUN_resolver();
    epoxy_glReplacementCodeuiColor4ubVertex3fSUN(rc, r, g, b, a, x, y, z);
}
PUBLIC PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FSUNPROC epoxy_glReplacementCodeuiColor4ubVertex3fSUN = epoxy_glReplacementCodeuiColor4ubVertex3fSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_rewrite_ptr(const GLuint * rc, const GLubyte * c, const GLfloat * v)
{
    epoxy_glReplacementCodeuiColor4ubVertex3fvSUN = (void *)epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_resolver();
    epoxy_glReplacementCodeuiColor4ubVertex3fvSUN(rc, c, v);
}
PUBLIC PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FVSUNPROC epoxy_glReplacementCodeuiColor4ubVertex3fvSUN = epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiNormal3fVertex3fSUN_rewrite_ptr(GLuint rc, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glReplacementCodeuiNormal3fVertex3fSUN = (void *)epoxy_glReplacementCodeuiNormal3fVertex3fSUN_resolver();
    epoxy_glReplacementCodeuiNormal3fVertex3fSUN(rc, nx, ny, nz, x, y, z);
}
PUBLIC PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiNormal3fVertex3fSUN = epoxy_glReplacementCodeuiNormal3fVertex3fSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_rewrite_ptr(const GLuint * rc, const GLfloat * n, const GLfloat * v)
{
    epoxy_glReplacementCodeuiNormal3fVertex3fvSUN = (void *)epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_resolver();
    epoxy_glReplacementCodeuiNormal3fVertex3fvSUN(rc, n, v);
}
PUBLIC PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiSUN_rewrite_ptr(GLuint code)
{
    epoxy_glReplacementCodeuiSUN = (void *)epoxy_glReplacementCodeuiSUN_resolver();
    epoxy_glReplacementCodeuiSUN(code);
}
PUBLIC PFNGLREPLACEMENTCODEUISUNPROC epoxy_glReplacementCodeuiSUN = epoxy_glReplacementCodeuiSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_rewrite_ptr(GLuint rc, GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = (void *)epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_resolver();
    epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN(rc, s, t, r, g, b, a, nx, ny, nz, x, y, z);
}
PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_rewrite_ptr(const GLuint * rc, const GLfloat * tc, const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = (void *)epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_resolver();
    epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN(rc, tc, c, n, v);
}
PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_rewrite_ptr(GLuint rc, GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = (void *)epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_resolver();
    epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN(rc, s, t, nx, ny, nz, x, y, z);
}
PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_rewrite_ptr(const GLuint * rc, const GLfloat * tc, const GLfloat * n, const GLfloat * v)
{
    epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = (void *)epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_resolver();
    epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN(rc, tc, n, v);
}
PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_rewrite_ptr(GLuint rc, GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN = (void *)epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_resolver();
    epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN(rc, s, t, x, y, z);
}
PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FSUNPROC epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_rewrite_ptr(const GLuint * rc, const GLfloat * tc, const GLfloat * v)
{
    epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN = (void *)epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_resolver();
    epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN(rc, tc, v);
}
PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiVertex3fSUN_rewrite_ptr(GLuint rc, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glReplacementCodeuiVertex3fSUN = (void *)epoxy_glReplacementCodeuiVertex3fSUN_resolver();
    epoxy_glReplacementCodeuiVertex3fSUN(rc, x, y, z);
}
PUBLIC PFNGLREPLACEMENTCODEUIVERTEX3FSUNPROC epoxy_glReplacementCodeuiVertex3fSUN = epoxy_glReplacementCodeuiVertex3fSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuiVertex3fvSUN_rewrite_ptr(const GLuint * rc, const GLfloat * v)
{
    epoxy_glReplacementCodeuiVertex3fvSUN = (void *)epoxy_glReplacementCodeuiVertex3fvSUN_resolver();
    epoxy_glReplacementCodeuiVertex3fvSUN(rc, v);
}
PUBLIC PFNGLREPLACEMENTCODEUIVERTEX3FVSUNPROC epoxy_glReplacementCodeuiVertex3fvSUN = epoxy_glReplacementCodeuiVertex3fvSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeuivSUN_rewrite_ptr(const GLuint * code)
{
    epoxy_glReplacementCodeuivSUN = (void *)epoxy_glReplacementCodeuivSUN_resolver();
    epoxy_glReplacementCodeuivSUN(code);
}
PUBLIC PFNGLREPLACEMENTCODEUIVSUNPROC epoxy_glReplacementCodeuivSUN = epoxy_glReplacementCodeuivSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeusSUN_rewrite_ptr(GLushort code)
{
    epoxy_glReplacementCodeusSUN = (void *)epoxy_glReplacementCodeusSUN_resolver();
    epoxy_glReplacementCodeusSUN(code);
}
PUBLIC PFNGLREPLACEMENTCODEUSSUNPROC epoxy_glReplacementCodeusSUN = epoxy_glReplacementCodeusSUN_rewrite_ptr;

static void
epoxy_glReplacementCodeusvSUN_rewrite_ptr(const GLushort * code)
{
    epoxy_glReplacementCodeusvSUN = (void *)epoxy_glReplacementCodeusvSUN_resolver();
    epoxy_glReplacementCodeusvSUN(code);
}
PUBLIC PFNGLREPLACEMENTCODEUSVSUNPROC epoxy_glReplacementCodeusvSUN = epoxy_glReplacementCodeusvSUN_rewrite_ptr;

static void
epoxy_glRequestResidentProgramsNV_rewrite_ptr(GLsizei n, const GLuint * programs)
{
    epoxy_glRequestResidentProgramsNV = (void *)epoxy_glRequestResidentProgramsNV_resolver();
    epoxy_glRequestResidentProgramsNV(n, programs);
}
PUBLIC PFNGLREQUESTRESIDENTPROGRAMSNVPROC epoxy_glRequestResidentProgramsNV = epoxy_glRequestResidentProgramsNV_rewrite_ptr;

static void
epoxy_glResetHistogram_rewrite_ptr(GLenum target)
{
    epoxy_glResetHistogram = (void *)epoxy_glResetHistogram_resolver();
    epoxy_glResetHistogram(target);
}
PUBLIC PFNGLRESETHISTOGRAMPROC epoxy_glResetHistogram = epoxy_glResetHistogram_rewrite_ptr;

static void
epoxy_glResetHistogramEXT_rewrite_ptr(GLenum target)
{
    epoxy_glResetHistogramEXT = (void *)epoxy_glResetHistogram_resolver();
    epoxy_glResetHistogramEXT(target);
}
PUBLIC PFNGLRESETHISTOGRAMEXTPROC epoxy_glResetHistogramEXT = epoxy_glResetHistogramEXT_rewrite_ptr;

static void
epoxy_glResetMinmax_rewrite_ptr(GLenum target)
{
    epoxy_glResetMinmax = (void *)epoxy_glResetMinmax_resolver();
    epoxy_glResetMinmax(target);
}
PUBLIC PFNGLRESETMINMAXPROC epoxy_glResetMinmax = epoxy_glResetMinmax_rewrite_ptr;

static void
epoxy_glResetMinmaxEXT_rewrite_ptr(GLenum target)
{
    epoxy_glResetMinmaxEXT = (void *)epoxy_glResetMinmax_resolver();
    epoxy_glResetMinmaxEXT(target);
}
PUBLIC PFNGLRESETMINMAXEXTPROC epoxy_glResetMinmaxEXT = epoxy_glResetMinmaxEXT_rewrite_ptr;

static void
epoxy_glResizeBuffersMESA_rewrite_ptr(void)
{
    epoxy_glResizeBuffersMESA = (void *)epoxy_glResizeBuffersMESA_resolver();
    epoxy_glResizeBuffersMESA();
}
PUBLIC PFNGLRESIZEBUFFERSMESAPROC epoxy_glResizeBuffersMESA = epoxy_glResizeBuffersMESA_rewrite_ptr;

static void
epoxy_glResolveMultisampleFramebufferAPPLE_rewrite_ptr(void)
{
    epoxy_glResolveMultisampleFramebufferAPPLE = (void *)epoxy_glResolveMultisampleFramebufferAPPLE_resolver();
    epoxy_glResolveMultisampleFramebufferAPPLE();
}
PUBLIC PFNGLRESOLVEMULTISAMPLEFRAMEBUFFERAPPLEPROC epoxy_glResolveMultisampleFramebufferAPPLE = epoxy_glResolveMultisampleFramebufferAPPLE_rewrite_ptr;

static void
epoxy_glResumeTransformFeedback_rewrite_ptr(void)
{
    epoxy_glResumeTransformFeedback = (void *)epoxy_glResumeTransformFeedback_resolver();
    epoxy_glResumeTransformFeedback();
}
PUBLIC PFNGLRESUMETRANSFORMFEEDBACKPROC epoxy_glResumeTransformFeedback = epoxy_glResumeTransformFeedback_rewrite_ptr;

static void
epoxy_glResumeTransformFeedbackNV_rewrite_ptr(void)
{
    epoxy_glResumeTransformFeedbackNV = (void *)epoxy_glResumeTransformFeedback_resolver();
    epoxy_glResumeTransformFeedbackNV();
}
PUBLIC PFNGLRESUMETRANSFORMFEEDBACKNVPROC epoxy_glResumeTransformFeedbackNV = epoxy_glResumeTransformFeedbackNV_rewrite_ptr;

static void
epoxy_glRotated_rewrite_ptr(GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glRotated = (void *)epoxy_glRotated_resolver();
    epoxy_glRotated(angle, x, y, z);
}
PUBLIC PFNGLROTATEDPROC epoxy_glRotated = epoxy_glRotated_rewrite_ptr;

static void
epoxy_glRotatef_rewrite_ptr(GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glRotatef = (void *)epoxy_glRotatef_resolver();
    epoxy_glRotatef(angle, x, y, z);
}
PUBLIC PFNGLROTATEFPROC epoxy_glRotatef = epoxy_glRotatef_rewrite_ptr;

static void
epoxy_glRotatex_rewrite_ptr(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)
{
    epoxy_glRotatex = (void *)epoxy_glRotatex_resolver();
    epoxy_glRotatex(angle, x, y, z);
}
PUBLIC PFNGLROTATEXPROC epoxy_glRotatex = epoxy_glRotatex_rewrite_ptr;

static void
epoxy_glRotatexOES_rewrite_ptr(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)
{
    epoxy_glRotatexOES = (void *)epoxy_glRotatexOES_resolver();
    epoxy_glRotatexOES(angle, x, y, z);
}
PUBLIC PFNGLROTATEXOESPROC epoxy_glRotatexOES = epoxy_glRotatexOES_rewrite_ptr;

static void
epoxy_glSampleCoverage_rewrite_ptr(GLfloat value, GLboolean invert)
{
    epoxy_glSampleCoverage = (void *)epoxy_glSampleCoverage_resolver();
    epoxy_glSampleCoverage(value, invert);
}
PUBLIC PFNGLSAMPLECOVERAGEPROC epoxy_glSampleCoverage = epoxy_glSampleCoverage_rewrite_ptr;

static void
epoxy_glSampleCoverageARB_rewrite_ptr(GLfloat value, GLboolean invert)
{
    epoxy_glSampleCoverageARB = (void *)epoxy_glSampleCoverage_resolver();
    epoxy_glSampleCoverageARB(value, invert);
}
PUBLIC PFNGLSAMPLECOVERAGEARBPROC epoxy_glSampleCoverageARB = epoxy_glSampleCoverageARB_rewrite_ptr;

static void
epoxy_glSampleCoverageOES_rewrite_ptr(GLfixed value, GLboolean invert)
{
    epoxy_glSampleCoverageOES = (void *)epoxy_glSampleCoverageOES_resolver();
    epoxy_glSampleCoverageOES(value, invert);
}
PUBLIC PFNGLSAMPLECOVERAGEOESPROC epoxy_glSampleCoverageOES = epoxy_glSampleCoverageOES_rewrite_ptr;

static void
epoxy_glSampleCoveragex_rewrite_ptr(GLclampx value, GLboolean invert)
{
    epoxy_glSampleCoveragex = (void *)epoxy_glSampleCoveragex_resolver();
    epoxy_glSampleCoveragex(value, invert);
}
PUBLIC PFNGLSAMPLECOVERAGEXPROC epoxy_glSampleCoveragex = epoxy_glSampleCoveragex_rewrite_ptr;

static void
epoxy_glSampleCoveragexOES_rewrite_ptr(GLclampx value, GLboolean invert)
{
    epoxy_glSampleCoveragexOES = (void *)epoxy_glSampleCoveragexOES_resolver();
    epoxy_glSampleCoveragexOES(value, invert);
}
PUBLIC PFNGLSAMPLECOVERAGEXOESPROC epoxy_glSampleCoveragexOES = epoxy_glSampleCoveragexOES_rewrite_ptr;

static void
epoxy_glSampleMapATI_rewrite_ptr(GLuint dst, GLuint interp, GLenum swizzle)
{
    epoxy_glSampleMapATI = (void *)epoxy_glSampleMapATI_resolver();
    epoxy_glSampleMapATI(dst, interp, swizzle);
}
PUBLIC PFNGLSAMPLEMAPATIPROC epoxy_glSampleMapATI = epoxy_glSampleMapATI_rewrite_ptr;

static void
epoxy_glSampleMaskEXT_rewrite_ptr(GLclampf value, GLboolean invert)
{
    epoxy_glSampleMaskEXT = (void *)epoxy_glSampleMaskEXT_resolver();
    epoxy_glSampleMaskEXT(value, invert);
}
PUBLIC PFNGLSAMPLEMASKEXTPROC epoxy_glSampleMaskEXT = epoxy_glSampleMaskEXT_rewrite_ptr;

static void
epoxy_glSampleMaskIndexedNV_rewrite_ptr(GLuint index, GLbitfield mask)
{
    epoxy_glSampleMaskIndexedNV = (void *)epoxy_glSampleMaskIndexedNV_resolver();
    epoxy_glSampleMaskIndexedNV(index, mask);
}
PUBLIC PFNGLSAMPLEMASKINDEXEDNVPROC epoxy_glSampleMaskIndexedNV = epoxy_glSampleMaskIndexedNV_rewrite_ptr;

static void
epoxy_glSampleMaskSGIS_rewrite_ptr(GLclampf value, GLboolean invert)
{
    epoxy_glSampleMaskSGIS = (void *)epoxy_glSampleMaskEXT_resolver();
    epoxy_glSampleMaskSGIS(value, invert);
}
PUBLIC PFNGLSAMPLEMASKSGISPROC epoxy_glSampleMaskSGIS = epoxy_glSampleMaskSGIS_rewrite_ptr;

static void
epoxy_glSampleMaski_rewrite_ptr(GLuint maskNumber, GLbitfield mask)
{
    epoxy_glSampleMaski = (void *)epoxy_glSampleMaski_resolver();
    epoxy_glSampleMaski(maskNumber, mask);
}
PUBLIC PFNGLSAMPLEMASKIPROC epoxy_glSampleMaski = epoxy_glSampleMaski_rewrite_ptr;

static void
epoxy_glSamplePatternEXT_rewrite_ptr(GLenum pattern)
{
    epoxy_glSamplePatternEXT = (void *)epoxy_glSamplePatternEXT_resolver();
    epoxy_glSamplePatternEXT(pattern);
}
PUBLIC PFNGLSAMPLEPATTERNEXTPROC epoxy_glSamplePatternEXT = epoxy_glSamplePatternEXT_rewrite_ptr;

static void
epoxy_glSamplePatternSGIS_rewrite_ptr(GLenum pattern)
{
    epoxy_glSamplePatternSGIS = (void *)epoxy_glSamplePatternEXT_resolver();
    epoxy_glSamplePatternSGIS(pattern);
}
PUBLIC PFNGLSAMPLEPATTERNSGISPROC epoxy_glSamplePatternSGIS = epoxy_glSamplePatternSGIS_rewrite_ptr;

static void
epoxy_glSamplerParameterIiv_rewrite_ptr(GLuint sampler, GLenum pname, const GLint * param)
{
    epoxy_glSamplerParameterIiv = (void *)epoxy_glSamplerParameterIiv_resolver();
    epoxy_glSamplerParameterIiv(sampler, pname, param);
}
PUBLIC PFNGLSAMPLERPARAMETERIIVPROC epoxy_glSamplerParameterIiv = epoxy_glSamplerParameterIiv_rewrite_ptr;

static void
epoxy_glSamplerParameterIuiv_rewrite_ptr(GLuint sampler, GLenum pname, const GLuint * param)
{
    epoxy_glSamplerParameterIuiv = (void *)epoxy_glSamplerParameterIuiv_resolver();
    epoxy_glSamplerParameterIuiv(sampler, pname, param);
}
PUBLIC PFNGLSAMPLERPARAMETERIUIVPROC epoxy_glSamplerParameterIuiv = epoxy_glSamplerParameterIuiv_rewrite_ptr;

static void
epoxy_glSamplerParameterf_rewrite_ptr(GLuint sampler, GLenum pname, GLfloat param)
{
    epoxy_glSamplerParameterf = (void *)epoxy_glSamplerParameterf_resolver();
    epoxy_glSamplerParameterf(sampler, pname, param);
}
PUBLIC PFNGLSAMPLERPARAMETERFPROC epoxy_glSamplerParameterf = epoxy_glSamplerParameterf_rewrite_ptr;

static void
epoxy_glSamplerParameterfv_rewrite_ptr(GLuint sampler, GLenum pname, const GLfloat * param)
{
    epoxy_glSamplerParameterfv = (void *)epoxy_glSamplerParameterfv_resolver();
    epoxy_glSamplerParameterfv(sampler, pname, param);
}
PUBLIC PFNGLSAMPLERPARAMETERFVPROC epoxy_glSamplerParameterfv = epoxy_glSamplerParameterfv_rewrite_ptr;

static void
epoxy_glSamplerParameteri_rewrite_ptr(GLuint sampler, GLenum pname, GLint param)
{
    epoxy_glSamplerParameteri = (void *)epoxy_glSamplerParameteri_resolver();
    epoxy_glSamplerParameteri(sampler, pname, param);
}
PUBLIC PFNGLSAMPLERPARAMETERIPROC epoxy_glSamplerParameteri = epoxy_glSamplerParameteri_rewrite_ptr;

static void
epoxy_glSamplerParameteriv_rewrite_ptr(GLuint sampler, GLenum pname, const GLint * param)
{
    epoxy_glSamplerParameteriv = (void *)epoxy_glSamplerParameteriv_resolver();
    epoxy_glSamplerParameteriv(sampler, pname, param);
}
PUBLIC PFNGLSAMPLERPARAMETERIVPROC epoxy_glSamplerParameteriv = epoxy_glSamplerParameteriv_rewrite_ptr;

static void
epoxy_glScaled_rewrite_ptr(GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glScaled = (void *)epoxy_glScaled_resolver();
    epoxy_glScaled(x, y, z);
}
PUBLIC PFNGLSCALEDPROC epoxy_glScaled = epoxy_glScaled_rewrite_ptr;

static void
epoxy_glScalef_rewrite_ptr(GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glScalef = (void *)epoxy_glScalef_resolver();
    epoxy_glScalef(x, y, z);
}
PUBLIC PFNGLSCALEFPROC epoxy_glScalef = epoxy_glScalef_rewrite_ptr;

static void
epoxy_glScalex_rewrite_ptr(GLfixed x, GLfixed y, GLfixed z)
{
    epoxy_glScalex = (void *)epoxy_glScalex_resolver();
    epoxy_glScalex(x, y, z);
}
PUBLIC PFNGLSCALEXPROC epoxy_glScalex = epoxy_glScalex_rewrite_ptr;

static void
epoxy_glScalexOES_rewrite_ptr(GLfixed x, GLfixed y, GLfixed z)
{
    epoxy_glScalexOES = (void *)epoxy_glScalexOES_resolver();
    epoxy_glScalexOES(x, y, z);
}
PUBLIC PFNGLSCALEXOESPROC epoxy_glScalexOES = epoxy_glScalexOES_rewrite_ptr;

static void
epoxy_glScissor_rewrite_ptr(GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glScissor = (void *)epoxy_glScissor_resolver();
    epoxy_glScissor(x, y, width, height);
}
PUBLIC PFNGLSCISSORPROC epoxy_glScissor = epoxy_glScissor_rewrite_ptr;

static void
epoxy_glScissorArrayv_rewrite_ptr(GLuint first, GLsizei count, const GLint * v)
{
    epoxy_glScissorArrayv = (void *)epoxy_glScissorArrayv_resolver();
    epoxy_glScissorArrayv(first, count, v);
}
PUBLIC PFNGLSCISSORARRAYVPROC epoxy_glScissorArrayv = epoxy_glScissorArrayv_rewrite_ptr;

static void
epoxy_glScissorIndexed_rewrite_ptr(GLuint index, GLint left, GLint bottom, GLsizei width, GLsizei height)
{
    epoxy_glScissorIndexed = (void *)epoxy_glScissorIndexed_resolver();
    epoxy_glScissorIndexed(index, left, bottom, width, height);
}
PUBLIC PFNGLSCISSORINDEXEDPROC epoxy_glScissorIndexed = epoxy_glScissorIndexed_rewrite_ptr;

static void
epoxy_glScissorIndexedv_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glScissorIndexedv = (void *)epoxy_glScissorIndexedv_resolver();
    epoxy_glScissorIndexedv(index, v);
}
PUBLIC PFNGLSCISSORINDEXEDVPROC epoxy_glScissorIndexedv = epoxy_glScissorIndexedv_rewrite_ptr;

static void
epoxy_glSecondaryColor3b_rewrite_ptr(GLbyte red, GLbyte green, GLbyte blue)
{
    epoxy_glSecondaryColor3b = (void *)epoxy_glSecondaryColor3b_resolver();
    epoxy_glSecondaryColor3b(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3BPROC epoxy_glSecondaryColor3b = epoxy_glSecondaryColor3b_rewrite_ptr;

static void
epoxy_glSecondaryColor3bEXT_rewrite_ptr(GLbyte red, GLbyte green, GLbyte blue)
{
    epoxy_glSecondaryColor3bEXT = (void *)epoxy_glSecondaryColor3b_resolver();
    epoxy_glSecondaryColor3bEXT(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3BEXTPROC epoxy_glSecondaryColor3bEXT = epoxy_glSecondaryColor3bEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3bv_rewrite_ptr(const GLbyte * v)
{
    epoxy_glSecondaryColor3bv = (void *)epoxy_glSecondaryColor3bv_resolver();
    epoxy_glSecondaryColor3bv(v);
}
PUBLIC PFNGLSECONDARYCOLOR3BVPROC epoxy_glSecondaryColor3bv = epoxy_glSecondaryColor3bv_rewrite_ptr;

static void
epoxy_glSecondaryColor3bvEXT_rewrite_ptr(const GLbyte * v)
{
    epoxy_glSecondaryColor3bvEXT = (void *)epoxy_glSecondaryColor3bv_resolver();
    epoxy_glSecondaryColor3bvEXT(v);
}
PUBLIC PFNGLSECONDARYCOLOR3BVEXTPROC epoxy_glSecondaryColor3bvEXT = epoxy_glSecondaryColor3bvEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3d_rewrite_ptr(GLdouble red, GLdouble green, GLdouble blue)
{
    epoxy_glSecondaryColor3d = (void *)epoxy_glSecondaryColor3d_resolver();
    epoxy_glSecondaryColor3d(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3DPROC epoxy_glSecondaryColor3d = epoxy_glSecondaryColor3d_rewrite_ptr;

static void
epoxy_glSecondaryColor3dEXT_rewrite_ptr(GLdouble red, GLdouble green, GLdouble blue)
{
    epoxy_glSecondaryColor3dEXT = (void *)epoxy_glSecondaryColor3d_resolver();
    epoxy_glSecondaryColor3dEXT(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3DEXTPROC epoxy_glSecondaryColor3dEXT = epoxy_glSecondaryColor3dEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glSecondaryColor3dv = (void *)epoxy_glSecondaryColor3dv_resolver();
    epoxy_glSecondaryColor3dv(v);
}
PUBLIC PFNGLSECONDARYCOLOR3DVPROC epoxy_glSecondaryColor3dv = epoxy_glSecondaryColor3dv_rewrite_ptr;

static void
epoxy_glSecondaryColor3dvEXT_rewrite_ptr(const GLdouble * v)
{
    epoxy_glSecondaryColor3dvEXT = (void *)epoxy_glSecondaryColor3dv_resolver();
    epoxy_glSecondaryColor3dvEXT(v);
}
PUBLIC PFNGLSECONDARYCOLOR3DVEXTPROC epoxy_glSecondaryColor3dvEXT = epoxy_glSecondaryColor3dvEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3f_rewrite_ptr(GLfloat red, GLfloat green, GLfloat blue)
{
    epoxy_glSecondaryColor3f = (void *)epoxy_glSecondaryColor3f_resolver();
    epoxy_glSecondaryColor3f(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3FPROC epoxy_glSecondaryColor3f = epoxy_glSecondaryColor3f_rewrite_ptr;

static void
epoxy_glSecondaryColor3fEXT_rewrite_ptr(GLfloat red, GLfloat green, GLfloat blue)
{
    epoxy_glSecondaryColor3fEXT = (void *)epoxy_glSecondaryColor3f_resolver();
    epoxy_glSecondaryColor3fEXT(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3FEXTPROC epoxy_glSecondaryColor3fEXT = epoxy_glSecondaryColor3fEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glSecondaryColor3fv = (void *)epoxy_glSecondaryColor3fv_resolver();
    epoxy_glSecondaryColor3fv(v);
}
PUBLIC PFNGLSECONDARYCOLOR3FVPROC epoxy_glSecondaryColor3fv = epoxy_glSecondaryColor3fv_rewrite_ptr;

static void
epoxy_glSecondaryColor3fvEXT_rewrite_ptr(const GLfloat * v)
{
    epoxy_glSecondaryColor3fvEXT = (void *)epoxy_glSecondaryColor3fv_resolver();
    epoxy_glSecondaryColor3fvEXT(v);
}
PUBLIC PFNGLSECONDARYCOLOR3FVEXTPROC epoxy_glSecondaryColor3fvEXT = epoxy_glSecondaryColor3fvEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3hNV_rewrite_ptr(GLhalfNV red, GLhalfNV green, GLhalfNV blue)
{
    epoxy_glSecondaryColor3hNV = (void *)epoxy_glSecondaryColor3hNV_resolver();
    epoxy_glSecondaryColor3hNV(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3HNVPROC epoxy_glSecondaryColor3hNV = epoxy_glSecondaryColor3hNV_rewrite_ptr;

static void
epoxy_glSecondaryColor3hvNV_rewrite_ptr(const GLhalfNV * v)
{
    epoxy_glSecondaryColor3hvNV = (void *)epoxy_glSecondaryColor3hvNV_resolver();
    epoxy_glSecondaryColor3hvNV(v);
}
PUBLIC PFNGLSECONDARYCOLOR3HVNVPROC epoxy_glSecondaryColor3hvNV = epoxy_glSecondaryColor3hvNV_rewrite_ptr;

static void
epoxy_glSecondaryColor3i_rewrite_ptr(GLint red, GLint green, GLint blue)
{
    epoxy_glSecondaryColor3i = (void *)epoxy_glSecondaryColor3i_resolver();
    epoxy_glSecondaryColor3i(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3IPROC epoxy_glSecondaryColor3i = epoxy_glSecondaryColor3i_rewrite_ptr;

static void
epoxy_glSecondaryColor3iEXT_rewrite_ptr(GLint red, GLint green, GLint blue)
{
    epoxy_glSecondaryColor3iEXT = (void *)epoxy_glSecondaryColor3i_resolver();
    epoxy_glSecondaryColor3iEXT(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3IEXTPROC epoxy_glSecondaryColor3iEXT = epoxy_glSecondaryColor3iEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3iv_rewrite_ptr(const GLint * v)
{
    epoxy_glSecondaryColor3iv = (void *)epoxy_glSecondaryColor3iv_resolver();
    epoxy_glSecondaryColor3iv(v);
}
PUBLIC PFNGLSECONDARYCOLOR3IVPROC epoxy_glSecondaryColor3iv = epoxy_glSecondaryColor3iv_rewrite_ptr;

static void
epoxy_glSecondaryColor3ivEXT_rewrite_ptr(const GLint * v)
{
    epoxy_glSecondaryColor3ivEXT = (void *)epoxy_glSecondaryColor3iv_resolver();
    epoxy_glSecondaryColor3ivEXT(v);
}
PUBLIC PFNGLSECONDARYCOLOR3IVEXTPROC epoxy_glSecondaryColor3ivEXT = epoxy_glSecondaryColor3ivEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3s_rewrite_ptr(GLshort red, GLshort green, GLshort blue)
{
    epoxy_glSecondaryColor3s = (void *)epoxy_glSecondaryColor3s_resolver();
    epoxy_glSecondaryColor3s(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3SPROC epoxy_glSecondaryColor3s = epoxy_glSecondaryColor3s_rewrite_ptr;

static void
epoxy_glSecondaryColor3sEXT_rewrite_ptr(GLshort red, GLshort green, GLshort blue)
{
    epoxy_glSecondaryColor3sEXT = (void *)epoxy_glSecondaryColor3s_resolver();
    epoxy_glSecondaryColor3sEXT(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3SEXTPROC epoxy_glSecondaryColor3sEXT = epoxy_glSecondaryColor3sEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glSecondaryColor3sv = (void *)epoxy_glSecondaryColor3sv_resolver();
    epoxy_glSecondaryColor3sv(v);
}
PUBLIC PFNGLSECONDARYCOLOR3SVPROC epoxy_glSecondaryColor3sv = epoxy_glSecondaryColor3sv_rewrite_ptr;

static void
epoxy_glSecondaryColor3svEXT_rewrite_ptr(const GLshort * v)
{
    epoxy_glSecondaryColor3svEXT = (void *)epoxy_glSecondaryColor3sv_resolver();
    epoxy_glSecondaryColor3svEXT(v);
}
PUBLIC PFNGLSECONDARYCOLOR3SVEXTPROC epoxy_glSecondaryColor3svEXT = epoxy_glSecondaryColor3svEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3ub_rewrite_ptr(GLubyte red, GLubyte green, GLubyte blue)
{
    epoxy_glSecondaryColor3ub = (void *)epoxy_glSecondaryColor3ub_resolver();
    epoxy_glSecondaryColor3ub(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3UBPROC epoxy_glSecondaryColor3ub = epoxy_glSecondaryColor3ub_rewrite_ptr;

static void
epoxy_glSecondaryColor3ubEXT_rewrite_ptr(GLubyte red, GLubyte green, GLubyte blue)
{
    epoxy_glSecondaryColor3ubEXT = (void *)epoxy_glSecondaryColor3ub_resolver();
    epoxy_glSecondaryColor3ubEXT(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3UBEXTPROC epoxy_glSecondaryColor3ubEXT = epoxy_glSecondaryColor3ubEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3ubv_rewrite_ptr(const GLubyte * v)
{
    epoxy_glSecondaryColor3ubv = (void *)epoxy_glSecondaryColor3ubv_resolver();
    epoxy_glSecondaryColor3ubv(v);
}
PUBLIC PFNGLSECONDARYCOLOR3UBVPROC epoxy_glSecondaryColor3ubv = epoxy_glSecondaryColor3ubv_rewrite_ptr;

static void
epoxy_glSecondaryColor3ubvEXT_rewrite_ptr(const GLubyte * v)
{
    epoxy_glSecondaryColor3ubvEXT = (void *)epoxy_glSecondaryColor3ubv_resolver();
    epoxy_glSecondaryColor3ubvEXT(v);
}
PUBLIC PFNGLSECONDARYCOLOR3UBVEXTPROC epoxy_glSecondaryColor3ubvEXT = epoxy_glSecondaryColor3ubvEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3ui_rewrite_ptr(GLuint red, GLuint green, GLuint blue)
{
    epoxy_glSecondaryColor3ui = (void *)epoxy_glSecondaryColor3ui_resolver();
    epoxy_glSecondaryColor3ui(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3UIPROC epoxy_glSecondaryColor3ui = epoxy_glSecondaryColor3ui_rewrite_ptr;

static void
epoxy_glSecondaryColor3uiEXT_rewrite_ptr(GLuint red, GLuint green, GLuint blue)
{
    epoxy_glSecondaryColor3uiEXT = (void *)epoxy_glSecondaryColor3ui_resolver();
    epoxy_glSecondaryColor3uiEXT(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3UIEXTPROC epoxy_glSecondaryColor3uiEXT = epoxy_glSecondaryColor3uiEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3uiv_rewrite_ptr(const GLuint * v)
{
    epoxy_glSecondaryColor3uiv = (void *)epoxy_glSecondaryColor3uiv_resolver();
    epoxy_glSecondaryColor3uiv(v);
}
PUBLIC PFNGLSECONDARYCOLOR3UIVPROC epoxy_glSecondaryColor3uiv = epoxy_glSecondaryColor3uiv_rewrite_ptr;

static void
epoxy_glSecondaryColor3uivEXT_rewrite_ptr(const GLuint * v)
{
    epoxy_glSecondaryColor3uivEXT = (void *)epoxy_glSecondaryColor3uiv_resolver();
    epoxy_glSecondaryColor3uivEXT(v);
}
PUBLIC PFNGLSECONDARYCOLOR3UIVEXTPROC epoxy_glSecondaryColor3uivEXT = epoxy_glSecondaryColor3uivEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3us_rewrite_ptr(GLushort red, GLushort green, GLushort blue)
{
    epoxy_glSecondaryColor3us = (void *)epoxy_glSecondaryColor3us_resolver();
    epoxy_glSecondaryColor3us(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3USPROC epoxy_glSecondaryColor3us = epoxy_glSecondaryColor3us_rewrite_ptr;

static void
epoxy_glSecondaryColor3usEXT_rewrite_ptr(GLushort red, GLushort green, GLushort blue)
{
    epoxy_glSecondaryColor3usEXT = (void *)epoxy_glSecondaryColor3us_resolver();
    epoxy_glSecondaryColor3usEXT(red, green, blue);
}
PUBLIC PFNGLSECONDARYCOLOR3USEXTPROC epoxy_glSecondaryColor3usEXT = epoxy_glSecondaryColor3usEXT_rewrite_ptr;

static void
epoxy_glSecondaryColor3usv_rewrite_ptr(const GLushort * v)
{
    epoxy_glSecondaryColor3usv = (void *)epoxy_glSecondaryColor3usv_resolver();
    epoxy_glSecondaryColor3usv(v);
}
PUBLIC PFNGLSECONDARYCOLOR3USVPROC epoxy_glSecondaryColor3usv = epoxy_glSecondaryColor3usv_rewrite_ptr;

static void
epoxy_glSecondaryColor3usvEXT_rewrite_ptr(const GLushort * v)
{
    epoxy_glSecondaryColor3usvEXT = (void *)epoxy_glSecondaryColor3usv_resolver();
    epoxy_glSecondaryColor3usvEXT(v);
}
PUBLIC PFNGLSECONDARYCOLOR3USVEXTPROC epoxy_glSecondaryColor3usvEXT = epoxy_glSecondaryColor3usvEXT_rewrite_ptr;

static void
epoxy_glSecondaryColorFormatNV_rewrite_ptr(GLint size, GLenum type, GLsizei stride)
{
    epoxy_glSecondaryColorFormatNV = (void *)epoxy_glSecondaryColorFormatNV_resolver();
    epoxy_glSecondaryColorFormatNV(size, type, stride);
}
PUBLIC PFNGLSECONDARYCOLORFORMATNVPROC epoxy_glSecondaryColorFormatNV = epoxy_glSecondaryColorFormatNV_rewrite_ptr;

static void
epoxy_glSecondaryColorP3ui_rewrite_ptr(GLenum type, GLuint color)
{
    epoxy_glSecondaryColorP3ui = (void *)epoxy_glSecondaryColorP3ui_resolver();
    epoxy_glSecondaryColorP3ui(type, color);
}
PUBLIC PFNGLSECONDARYCOLORP3UIPROC epoxy_glSecondaryColorP3ui = epoxy_glSecondaryColorP3ui_rewrite_ptr;

static void
epoxy_glSecondaryColorP3uiv_rewrite_ptr(GLenum type, const GLuint * color)
{
    epoxy_glSecondaryColorP3uiv = (void *)epoxy_glSecondaryColorP3uiv_resolver();
    epoxy_glSecondaryColorP3uiv(type, color);
}
PUBLIC PFNGLSECONDARYCOLORP3UIVPROC epoxy_glSecondaryColorP3uiv = epoxy_glSecondaryColorP3uiv_rewrite_ptr;

static void
epoxy_glSecondaryColorPointer_rewrite_ptr(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glSecondaryColorPointer = (void *)epoxy_glSecondaryColorPointer_resolver();
    epoxy_glSecondaryColorPointer(size, type, stride, pointer);
}
PUBLIC PFNGLSECONDARYCOLORPOINTERPROC epoxy_glSecondaryColorPointer = epoxy_glSecondaryColorPointer_rewrite_ptr;

static void
epoxy_glSecondaryColorPointerEXT_rewrite_ptr(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glSecondaryColorPointerEXT = (void *)epoxy_glSecondaryColorPointer_resolver();
    epoxy_glSecondaryColorPointerEXT(size, type, stride, pointer);
}
PUBLIC PFNGLSECONDARYCOLORPOINTEREXTPROC epoxy_glSecondaryColorPointerEXT = epoxy_glSecondaryColorPointerEXT_rewrite_ptr;

static void
epoxy_glSecondaryColorPointerListIBM_rewrite_ptr(GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    epoxy_glSecondaryColorPointerListIBM = (void *)epoxy_glSecondaryColorPointerListIBM_resolver();
    epoxy_glSecondaryColorPointerListIBM(size, type, stride, pointer, ptrstride);
}
PUBLIC PFNGLSECONDARYCOLORPOINTERLISTIBMPROC epoxy_glSecondaryColorPointerListIBM = epoxy_glSecondaryColorPointerListIBM_rewrite_ptr;

static void
epoxy_glSelectBuffer_rewrite_ptr(GLsizei size, GLuint * buffer)
{
    epoxy_glSelectBuffer = (void *)epoxy_glSelectBuffer_resolver();
    epoxy_glSelectBuffer(size, buffer);
}
PUBLIC PFNGLSELECTBUFFERPROC epoxy_glSelectBuffer = epoxy_glSelectBuffer_rewrite_ptr;

static void
epoxy_glSelectPerfMonitorCountersAMD_rewrite_ptr(GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint * counterList)
{
    epoxy_glSelectPerfMonitorCountersAMD = (void *)epoxy_glSelectPerfMonitorCountersAMD_resolver();
    epoxy_glSelectPerfMonitorCountersAMD(monitor, enable, group, numCounters, counterList);
}
PUBLIC PFNGLSELECTPERFMONITORCOUNTERSAMDPROC epoxy_glSelectPerfMonitorCountersAMD = epoxy_glSelectPerfMonitorCountersAMD_rewrite_ptr;

static void
epoxy_glSeparableFilter2D_rewrite_ptr(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * row, const void * column)
{
    epoxy_glSeparableFilter2D = (void *)epoxy_glSeparableFilter2D_resolver();
    epoxy_glSeparableFilter2D(target, internalformat, width, height, format, type, row, column);
}
PUBLIC PFNGLSEPARABLEFILTER2DPROC epoxy_glSeparableFilter2D = epoxy_glSeparableFilter2D_rewrite_ptr;

static void
epoxy_glSeparableFilter2DEXT_rewrite_ptr(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * row, const void * column)
{
    epoxy_glSeparableFilter2DEXT = (void *)epoxy_glSeparableFilter2D_resolver();
    epoxy_glSeparableFilter2DEXT(target, internalformat, width, height, format, type, row, column);
}
PUBLIC PFNGLSEPARABLEFILTER2DEXTPROC epoxy_glSeparableFilter2DEXT = epoxy_glSeparableFilter2DEXT_rewrite_ptr;

static void
epoxy_glSetFenceAPPLE_rewrite_ptr(GLuint fence)
{
    epoxy_glSetFenceAPPLE = (void *)epoxy_glSetFenceAPPLE_resolver();
    epoxy_glSetFenceAPPLE(fence);
}
PUBLIC PFNGLSETFENCEAPPLEPROC epoxy_glSetFenceAPPLE = epoxy_glSetFenceAPPLE_rewrite_ptr;

static void
epoxy_glSetFenceNV_rewrite_ptr(GLuint fence, GLenum condition)
{
    epoxy_glSetFenceNV = (void *)epoxy_glSetFenceNV_resolver();
    epoxy_glSetFenceNV(fence, condition);
}
PUBLIC PFNGLSETFENCENVPROC epoxy_glSetFenceNV = epoxy_glSetFenceNV_rewrite_ptr;

static void
epoxy_glSetFragmentShaderConstantATI_rewrite_ptr(GLuint dst, const GLfloat * value)
{
    epoxy_glSetFragmentShaderConstantATI = (void *)epoxy_glSetFragmentShaderConstantATI_resolver();
    epoxy_glSetFragmentShaderConstantATI(dst, value);
}
PUBLIC PFNGLSETFRAGMENTSHADERCONSTANTATIPROC epoxy_glSetFragmentShaderConstantATI = epoxy_glSetFragmentShaderConstantATI_rewrite_ptr;

static void
epoxy_glSetInvariantEXT_rewrite_ptr(GLuint id, GLenum type, const void * addr)
{
    epoxy_glSetInvariantEXT = (void *)epoxy_glSetInvariantEXT_resolver();
    epoxy_glSetInvariantEXT(id, type, addr);
}
PUBLIC PFNGLSETINVARIANTEXTPROC epoxy_glSetInvariantEXT = epoxy_glSetInvariantEXT_rewrite_ptr;

static void
epoxy_glSetLocalConstantEXT_rewrite_ptr(GLuint id, GLenum type, const void * addr)
{
    epoxy_glSetLocalConstantEXT = (void *)epoxy_glSetLocalConstantEXT_resolver();
    epoxy_glSetLocalConstantEXT(id, type, addr);
}
PUBLIC PFNGLSETLOCALCONSTANTEXTPROC epoxy_glSetLocalConstantEXT = epoxy_glSetLocalConstantEXT_rewrite_ptr;

static void
epoxy_glSetMultisamplefvAMD_rewrite_ptr(GLenum pname, GLuint index, const GLfloat * val)
{
    epoxy_glSetMultisamplefvAMD = (void *)epoxy_glSetMultisamplefvAMD_resolver();
    epoxy_glSetMultisamplefvAMD(pname, index, val);
}
PUBLIC PFNGLSETMULTISAMPLEFVAMDPROC epoxy_glSetMultisamplefvAMD = epoxy_glSetMultisamplefvAMD_rewrite_ptr;

static void
epoxy_glShadeModel_rewrite_ptr(GLenum mode)
{
    epoxy_glShadeModel = (void *)epoxy_glShadeModel_resolver();
    epoxy_glShadeModel(mode);
}
PUBLIC PFNGLSHADEMODELPROC epoxy_glShadeModel = epoxy_glShadeModel_rewrite_ptr;

static void
epoxy_glShaderBinary_rewrite_ptr(GLsizei count, const GLuint * shaders, GLenum binaryformat, const void * binary, GLsizei length)
{
    epoxy_glShaderBinary = (void *)epoxy_glShaderBinary_resolver();
    epoxy_glShaderBinary(count, shaders, binaryformat, binary, length);
}
PUBLIC PFNGLSHADERBINARYPROC epoxy_glShaderBinary = epoxy_glShaderBinary_rewrite_ptr;

static void
epoxy_glShaderOp1EXT_rewrite_ptr(GLenum op, GLuint res, GLuint arg1)
{
    epoxy_glShaderOp1EXT = (void *)epoxy_glShaderOp1EXT_resolver();
    epoxy_glShaderOp1EXT(op, res, arg1);
}
PUBLIC PFNGLSHADEROP1EXTPROC epoxy_glShaderOp1EXT = epoxy_glShaderOp1EXT_rewrite_ptr;

static void
epoxy_glShaderOp2EXT_rewrite_ptr(GLenum op, GLuint res, GLuint arg1, GLuint arg2)
{
    epoxy_glShaderOp2EXT = (void *)epoxy_glShaderOp2EXT_resolver();
    epoxy_glShaderOp2EXT(op, res, arg1, arg2);
}
PUBLIC PFNGLSHADEROP2EXTPROC epoxy_glShaderOp2EXT = epoxy_glShaderOp2EXT_rewrite_ptr;

static void
epoxy_glShaderOp3EXT_rewrite_ptr(GLenum op, GLuint res, GLuint arg1, GLuint arg2, GLuint arg3)
{
    epoxy_glShaderOp3EXT = (void *)epoxy_glShaderOp3EXT_resolver();
    epoxy_glShaderOp3EXT(op, res, arg1, arg2, arg3);
}
PUBLIC PFNGLSHADEROP3EXTPROC epoxy_glShaderOp3EXT = epoxy_glShaderOp3EXT_rewrite_ptr;

static void
epoxy_glShaderSource_rewrite_ptr(GLuint shader, GLsizei count, const GLchar *const* string, const GLint * length)
{
    epoxy_glShaderSource = (void *)epoxy_glShaderSource_resolver();
    epoxy_glShaderSource(shader, count, string, length);
}
PUBLIC PFNGLSHADERSOURCEPROC epoxy_glShaderSource = epoxy_glShaderSource_rewrite_ptr;

static void
epoxy_glShaderSourceARB_rewrite_ptr(GLhandleARB shaderObj, GLsizei count, const GLcharARB ** string, const GLint * length)
{
    epoxy_glShaderSourceARB = (void *)epoxy_glShaderSource_resolver();
    epoxy_glShaderSourceARB((uintptr_t)shaderObj, count, string, length);
}
PUBLIC PFNGLSHADERSOURCEARBPROC epoxy_glShaderSourceARB = epoxy_glShaderSourceARB_rewrite_ptr;

static void
epoxy_glShaderStorageBlockBinding_rewrite_ptr(GLuint program, GLuint storageBlockIndex, GLuint storageBlockBinding)
{
    epoxy_glShaderStorageBlockBinding = (void *)epoxy_glShaderStorageBlockBinding_resolver();
    epoxy_glShaderStorageBlockBinding(program, storageBlockIndex, storageBlockBinding);
}
PUBLIC PFNGLSHADERSTORAGEBLOCKBINDINGPROC epoxy_glShaderStorageBlockBinding = epoxy_glShaderStorageBlockBinding_rewrite_ptr;

static void
epoxy_glSharpenTexFuncSGIS_rewrite_ptr(GLenum target, GLsizei n, const GLfloat * points)
{
    epoxy_glSharpenTexFuncSGIS = (void *)epoxy_glSharpenTexFuncSGIS_resolver();
    epoxy_glSharpenTexFuncSGIS(target, n, points);
}
PUBLIC PFNGLSHARPENTEXFUNCSGISPROC epoxy_glSharpenTexFuncSGIS = epoxy_glSharpenTexFuncSGIS_rewrite_ptr;

static void
epoxy_glSpriteParameterfSGIX_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glSpriteParameterfSGIX = (void *)epoxy_glSpriteParameterfSGIX_resolver();
    epoxy_glSpriteParameterfSGIX(pname, param);
}
PUBLIC PFNGLSPRITEPARAMETERFSGIXPROC epoxy_glSpriteParameterfSGIX = epoxy_glSpriteParameterfSGIX_rewrite_ptr;

static void
epoxy_glSpriteParameterfvSGIX_rewrite_ptr(GLenum pname, const GLfloat * params)
{
    epoxy_glSpriteParameterfvSGIX = (void *)epoxy_glSpriteParameterfvSGIX_resolver();
    epoxy_glSpriteParameterfvSGIX(pname, params);
}
PUBLIC PFNGLSPRITEPARAMETERFVSGIXPROC epoxy_glSpriteParameterfvSGIX = epoxy_glSpriteParameterfvSGIX_rewrite_ptr;

static void
epoxy_glSpriteParameteriSGIX_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glSpriteParameteriSGIX = (void *)epoxy_glSpriteParameteriSGIX_resolver();
    epoxy_glSpriteParameteriSGIX(pname, param);
}
PUBLIC PFNGLSPRITEPARAMETERISGIXPROC epoxy_glSpriteParameteriSGIX = epoxy_glSpriteParameteriSGIX_rewrite_ptr;

static void
epoxy_glSpriteParameterivSGIX_rewrite_ptr(GLenum pname, const GLint * params)
{
    epoxy_glSpriteParameterivSGIX = (void *)epoxy_glSpriteParameterivSGIX_resolver();
    epoxy_glSpriteParameterivSGIX(pname, params);
}
PUBLIC PFNGLSPRITEPARAMETERIVSGIXPROC epoxy_glSpriteParameterivSGIX = epoxy_glSpriteParameterivSGIX_rewrite_ptr;

static void
epoxy_glStartInstrumentsSGIX_rewrite_ptr(void)
{
    epoxy_glStartInstrumentsSGIX = (void *)epoxy_glStartInstrumentsSGIX_resolver();
    epoxy_glStartInstrumentsSGIX();
}
PUBLIC PFNGLSTARTINSTRUMENTSSGIXPROC epoxy_glStartInstrumentsSGIX = epoxy_glStartInstrumentsSGIX_rewrite_ptr;

static void
epoxy_glStartTilingQCOM_rewrite_ptr(GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask)
{
    epoxy_glStartTilingQCOM = (void *)epoxy_glStartTilingQCOM_resolver();
    epoxy_glStartTilingQCOM(x, y, width, height, preserveMask);
}
PUBLIC PFNGLSTARTTILINGQCOMPROC epoxy_glStartTilingQCOM = epoxy_glStartTilingQCOM_rewrite_ptr;

static void
epoxy_glStencilClearTagEXT_rewrite_ptr(GLsizei stencilTagBits, GLuint stencilClearTag)
{
    epoxy_glStencilClearTagEXT = (void *)epoxy_glStencilClearTagEXT_resolver();
    epoxy_glStencilClearTagEXT(stencilTagBits, stencilClearTag);
}
PUBLIC PFNGLSTENCILCLEARTAGEXTPROC epoxy_glStencilClearTagEXT = epoxy_glStencilClearTagEXT_rewrite_ptr;

static void
epoxy_glStencilFillPathInstancedNV_rewrite_ptr(GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLenum fillMode, GLuint mask, GLenum transformType, const GLfloat * transformValues)
{
    epoxy_glStencilFillPathInstancedNV = (void *)epoxy_glStencilFillPathInstancedNV_resolver();
    epoxy_glStencilFillPathInstancedNV(numPaths, pathNameType, paths, pathBase, fillMode, mask, transformType, transformValues);
}
PUBLIC PFNGLSTENCILFILLPATHINSTANCEDNVPROC epoxy_glStencilFillPathInstancedNV = epoxy_glStencilFillPathInstancedNV_rewrite_ptr;

static void
epoxy_glStencilFillPathNV_rewrite_ptr(GLuint path, GLenum fillMode, GLuint mask)
{
    epoxy_glStencilFillPathNV = (void *)epoxy_glStencilFillPathNV_resolver();
    epoxy_glStencilFillPathNV(path, fillMode, mask);
}
PUBLIC PFNGLSTENCILFILLPATHNVPROC epoxy_glStencilFillPathNV = epoxy_glStencilFillPathNV_rewrite_ptr;

static void
epoxy_glStencilFunc_rewrite_ptr(GLenum func, GLint ref, GLuint mask)
{
    epoxy_glStencilFunc = (void *)epoxy_glStencilFunc_resolver();
    epoxy_glStencilFunc(func, ref, mask);
}
PUBLIC PFNGLSTENCILFUNCPROC epoxy_glStencilFunc = epoxy_glStencilFunc_rewrite_ptr;

static void
epoxy_glStencilFuncSeparate_rewrite_ptr(GLenum face, GLenum func, GLint ref, GLuint mask)
{
    epoxy_glStencilFuncSeparate = (void *)epoxy_glStencilFuncSeparate_resolver();
    epoxy_glStencilFuncSeparate(face, func, ref, mask);
}
PUBLIC PFNGLSTENCILFUNCSEPARATEPROC epoxy_glStencilFuncSeparate = epoxy_glStencilFuncSeparate_rewrite_ptr;

static void
epoxy_glStencilFuncSeparateATI_rewrite_ptr(GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask)
{
    epoxy_glStencilFuncSeparateATI = (void *)epoxy_glStencilFuncSeparateATI_resolver();
    epoxy_glStencilFuncSeparateATI(frontfunc, backfunc, ref, mask);
}
PUBLIC PFNGLSTENCILFUNCSEPARATEATIPROC epoxy_glStencilFuncSeparateATI = epoxy_glStencilFuncSeparateATI_rewrite_ptr;

static void
epoxy_glStencilMask_rewrite_ptr(GLuint mask)
{
    epoxy_glStencilMask = (void *)epoxy_glStencilMask_resolver();
    epoxy_glStencilMask(mask);
}
PUBLIC PFNGLSTENCILMASKPROC epoxy_glStencilMask = epoxy_glStencilMask_rewrite_ptr;

static void
epoxy_glStencilMaskSeparate_rewrite_ptr(GLenum face, GLuint mask)
{
    epoxy_glStencilMaskSeparate = (void *)epoxy_glStencilMaskSeparate_resolver();
    epoxy_glStencilMaskSeparate(face, mask);
}
PUBLIC PFNGLSTENCILMASKSEPARATEPROC epoxy_glStencilMaskSeparate = epoxy_glStencilMaskSeparate_rewrite_ptr;

static void
epoxy_glStencilOp_rewrite_ptr(GLenum fail, GLenum zfail, GLenum zpass)
{
    epoxy_glStencilOp = (void *)epoxy_glStencilOp_resolver();
    epoxy_glStencilOp(fail, zfail, zpass);
}
PUBLIC PFNGLSTENCILOPPROC epoxy_glStencilOp = epoxy_glStencilOp_rewrite_ptr;

static void
epoxy_glStencilOpSeparate_rewrite_ptr(GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass)
{
    epoxy_glStencilOpSeparate = (void *)epoxy_glStencilOpSeparate_resolver();
    epoxy_glStencilOpSeparate(face, sfail, dpfail, dppass);
}
PUBLIC PFNGLSTENCILOPSEPARATEPROC epoxy_glStencilOpSeparate = epoxy_glStencilOpSeparate_rewrite_ptr;

static void
epoxy_glStencilOpSeparateATI_rewrite_ptr(GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass)
{
    epoxy_glStencilOpSeparateATI = (void *)epoxy_glStencilOpSeparate_resolver();
    epoxy_glStencilOpSeparateATI(face, sfail, dpfail, dppass);
}
PUBLIC PFNGLSTENCILOPSEPARATEATIPROC epoxy_glStencilOpSeparateATI = epoxy_glStencilOpSeparateATI_rewrite_ptr;

static void
epoxy_glStencilOpValueAMD_rewrite_ptr(GLenum face, GLuint value)
{
    epoxy_glStencilOpValueAMD = (void *)epoxy_glStencilOpValueAMD_resolver();
    epoxy_glStencilOpValueAMD(face, value);
}
PUBLIC PFNGLSTENCILOPVALUEAMDPROC epoxy_glStencilOpValueAMD = epoxy_glStencilOpValueAMD_rewrite_ptr;

static void
epoxy_glStencilStrokePathInstancedNV_rewrite_ptr(GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLint reference, GLuint mask, GLenum transformType, const GLfloat * transformValues)
{
    epoxy_glStencilStrokePathInstancedNV = (void *)epoxy_glStencilStrokePathInstancedNV_resolver();
    epoxy_glStencilStrokePathInstancedNV(numPaths, pathNameType, paths, pathBase, reference, mask, transformType, transformValues);
}
PUBLIC PFNGLSTENCILSTROKEPATHINSTANCEDNVPROC epoxy_glStencilStrokePathInstancedNV = epoxy_glStencilStrokePathInstancedNV_rewrite_ptr;

static void
epoxy_glStencilStrokePathNV_rewrite_ptr(GLuint path, GLint reference, GLuint mask)
{
    epoxy_glStencilStrokePathNV = (void *)epoxy_glStencilStrokePathNV_resolver();
    epoxy_glStencilStrokePathNV(path, reference, mask);
}
PUBLIC PFNGLSTENCILSTROKEPATHNVPROC epoxy_glStencilStrokePathNV = epoxy_glStencilStrokePathNV_rewrite_ptr;

static void
epoxy_glStopInstrumentsSGIX_rewrite_ptr(GLint marker)
{
    epoxy_glStopInstrumentsSGIX = (void *)epoxy_glStopInstrumentsSGIX_resolver();
    epoxy_glStopInstrumentsSGIX(marker);
}
PUBLIC PFNGLSTOPINSTRUMENTSSGIXPROC epoxy_glStopInstrumentsSGIX = epoxy_glStopInstrumentsSGIX_rewrite_ptr;

static void
epoxy_glStringMarkerGREMEDY_rewrite_ptr(GLsizei len, const void * string)
{
    epoxy_glStringMarkerGREMEDY = (void *)epoxy_glStringMarkerGREMEDY_resolver();
    epoxy_glStringMarkerGREMEDY(len, string);
}
PUBLIC PFNGLSTRINGMARKERGREMEDYPROC epoxy_glStringMarkerGREMEDY = epoxy_glStringMarkerGREMEDY_rewrite_ptr;

static void
epoxy_glSwizzleEXT_rewrite_ptr(GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW)
{
    epoxy_glSwizzleEXT = (void *)epoxy_glSwizzleEXT_resolver();
    epoxy_glSwizzleEXT(res, in, outX, outY, outZ, outW);
}
PUBLIC PFNGLSWIZZLEEXTPROC epoxy_glSwizzleEXT = epoxy_glSwizzleEXT_rewrite_ptr;

static void
epoxy_glSyncTextureINTEL_rewrite_ptr(GLuint texture)
{
    epoxy_glSyncTextureINTEL = (void *)epoxy_glSyncTextureINTEL_resolver();
    epoxy_glSyncTextureINTEL(texture);
}
PUBLIC PFNGLSYNCTEXTUREINTELPROC epoxy_glSyncTextureINTEL = epoxy_glSyncTextureINTEL_rewrite_ptr;

static void
epoxy_glTagSampleBufferSGIX_rewrite_ptr(void)
{
    epoxy_glTagSampleBufferSGIX = (void *)epoxy_glTagSampleBufferSGIX_resolver();
    epoxy_glTagSampleBufferSGIX();
}
PUBLIC PFNGLTAGSAMPLEBUFFERSGIXPROC epoxy_glTagSampleBufferSGIX = epoxy_glTagSampleBufferSGIX_rewrite_ptr;

static void
epoxy_glTangent3bEXT_rewrite_ptr(GLbyte tx, GLbyte ty, GLbyte tz)
{
    epoxy_glTangent3bEXT = (void *)epoxy_glTangent3bEXT_resolver();
    epoxy_glTangent3bEXT(tx, ty, tz);
}
PUBLIC PFNGLTANGENT3BEXTPROC epoxy_glTangent3bEXT = epoxy_glTangent3bEXT_rewrite_ptr;

static void
epoxy_glTangent3bvEXT_rewrite_ptr(const GLbyte * v)
{
    epoxy_glTangent3bvEXT = (void *)epoxy_glTangent3bvEXT_resolver();
    epoxy_glTangent3bvEXT(v);
}
PUBLIC PFNGLTANGENT3BVEXTPROC epoxy_glTangent3bvEXT = epoxy_glTangent3bvEXT_rewrite_ptr;

static void
epoxy_glTangent3dEXT_rewrite_ptr(GLdouble tx, GLdouble ty, GLdouble tz)
{
    epoxy_glTangent3dEXT = (void *)epoxy_glTangent3dEXT_resolver();
    epoxy_glTangent3dEXT(tx, ty, tz);
}
PUBLIC PFNGLTANGENT3DEXTPROC epoxy_glTangent3dEXT = epoxy_glTangent3dEXT_rewrite_ptr;

static void
epoxy_glTangent3dvEXT_rewrite_ptr(const GLdouble * v)
{
    epoxy_glTangent3dvEXT = (void *)epoxy_glTangent3dvEXT_resolver();
    epoxy_glTangent3dvEXT(v);
}
PUBLIC PFNGLTANGENT3DVEXTPROC epoxy_glTangent3dvEXT = epoxy_glTangent3dvEXT_rewrite_ptr;

static void
epoxy_glTangent3fEXT_rewrite_ptr(GLfloat tx, GLfloat ty, GLfloat tz)
{
    epoxy_glTangent3fEXT = (void *)epoxy_glTangent3fEXT_resolver();
    epoxy_glTangent3fEXT(tx, ty, tz);
}
PUBLIC PFNGLTANGENT3FEXTPROC epoxy_glTangent3fEXT = epoxy_glTangent3fEXT_rewrite_ptr;

static void
epoxy_glTangent3fvEXT_rewrite_ptr(const GLfloat * v)
{
    epoxy_glTangent3fvEXT = (void *)epoxy_glTangent3fvEXT_resolver();
    epoxy_glTangent3fvEXT(v);
}
PUBLIC PFNGLTANGENT3FVEXTPROC epoxy_glTangent3fvEXT = epoxy_glTangent3fvEXT_rewrite_ptr;

static void
epoxy_glTangent3iEXT_rewrite_ptr(GLint tx, GLint ty, GLint tz)
{
    epoxy_glTangent3iEXT = (void *)epoxy_glTangent3iEXT_resolver();
    epoxy_glTangent3iEXT(tx, ty, tz);
}
PUBLIC PFNGLTANGENT3IEXTPROC epoxy_glTangent3iEXT = epoxy_glTangent3iEXT_rewrite_ptr;

static void
epoxy_glTangent3ivEXT_rewrite_ptr(const GLint * v)
{
    epoxy_glTangent3ivEXT = (void *)epoxy_glTangent3ivEXT_resolver();
    epoxy_glTangent3ivEXT(v);
}
PUBLIC PFNGLTANGENT3IVEXTPROC epoxy_glTangent3ivEXT = epoxy_glTangent3ivEXT_rewrite_ptr;

static void
epoxy_glTangent3sEXT_rewrite_ptr(GLshort tx, GLshort ty, GLshort tz)
{
    epoxy_glTangent3sEXT = (void *)epoxy_glTangent3sEXT_resolver();
    epoxy_glTangent3sEXT(tx, ty, tz);
}
PUBLIC PFNGLTANGENT3SEXTPROC epoxy_glTangent3sEXT = epoxy_glTangent3sEXT_rewrite_ptr;

static void
epoxy_glTangent3svEXT_rewrite_ptr(const GLshort * v)
{
    epoxy_glTangent3svEXT = (void *)epoxy_glTangent3svEXT_resolver();
    epoxy_glTangent3svEXT(v);
}
PUBLIC PFNGLTANGENT3SVEXTPROC epoxy_glTangent3svEXT = epoxy_glTangent3svEXT_rewrite_ptr;

static void
epoxy_glTangentPointerEXT_rewrite_ptr(GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glTangentPointerEXT = (void *)epoxy_glTangentPointerEXT_resolver();
    epoxy_glTangentPointerEXT(type, stride, pointer);
}
PUBLIC PFNGLTANGENTPOINTEREXTPROC epoxy_glTangentPointerEXT = epoxy_glTangentPointerEXT_rewrite_ptr;

static void
epoxy_glTbufferMask3DFX_rewrite_ptr(GLuint mask)
{
    epoxy_glTbufferMask3DFX = (void *)epoxy_glTbufferMask3DFX_resolver();
    epoxy_glTbufferMask3DFX(mask);
}
PUBLIC PFNGLTBUFFERMASK3DFXPROC epoxy_glTbufferMask3DFX = epoxy_glTbufferMask3DFX_rewrite_ptr;

static void
epoxy_glTessellationFactorAMD_rewrite_ptr(GLfloat factor)
{
    epoxy_glTessellationFactorAMD = (void *)epoxy_glTessellationFactorAMD_resolver();
    epoxy_glTessellationFactorAMD(factor);
}
PUBLIC PFNGLTESSELLATIONFACTORAMDPROC epoxy_glTessellationFactorAMD = epoxy_glTessellationFactorAMD_rewrite_ptr;

static void
epoxy_glTessellationModeAMD_rewrite_ptr(GLenum mode)
{
    epoxy_glTessellationModeAMD = (void *)epoxy_glTessellationModeAMD_resolver();
    epoxy_glTessellationModeAMD(mode);
}
PUBLIC PFNGLTESSELLATIONMODEAMDPROC epoxy_glTessellationModeAMD = epoxy_glTessellationModeAMD_rewrite_ptr;

static GLboolean
epoxy_glTestFenceAPPLE_rewrite_ptr(GLuint fence)
{
    epoxy_glTestFenceAPPLE = (void *)epoxy_glTestFenceAPPLE_resolver();
    return epoxy_glTestFenceAPPLE(fence);
}
PUBLIC PFNGLTESTFENCEAPPLEPROC epoxy_glTestFenceAPPLE = epoxy_glTestFenceAPPLE_rewrite_ptr;

static GLboolean
epoxy_glTestFenceNV_rewrite_ptr(GLuint fence)
{
    epoxy_glTestFenceNV = (void *)epoxy_glTestFenceNV_resolver();
    return epoxy_glTestFenceNV(fence);
}
PUBLIC PFNGLTESTFENCENVPROC epoxy_glTestFenceNV = epoxy_glTestFenceNV_rewrite_ptr;

static GLboolean
epoxy_glTestObjectAPPLE_rewrite_ptr(GLenum object, GLuint name)
{
    epoxy_glTestObjectAPPLE = (void *)epoxy_glTestObjectAPPLE_resolver();
    return epoxy_glTestObjectAPPLE(object, name);
}
PUBLIC PFNGLTESTOBJECTAPPLEPROC epoxy_glTestObjectAPPLE = epoxy_glTestObjectAPPLE_rewrite_ptr;

static void
epoxy_glTexBuffer_rewrite_ptr(GLenum target, GLenum internalformat, GLuint buffer)
{
    epoxy_glTexBuffer = (void *)epoxy_glTexBuffer_resolver();
    epoxy_glTexBuffer(target, internalformat, buffer);
}
PUBLIC PFNGLTEXBUFFERPROC epoxy_glTexBuffer = epoxy_glTexBuffer_rewrite_ptr;

static void
epoxy_glTexBufferARB_rewrite_ptr(GLenum target, GLenum internalformat, GLuint buffer)
{
    epoxy_glTexBufferARB = (void *)epoxy_glTexBuffer_resolver();
    epoxy_glTexBufferARB(target, internalformat, buffer);
}
PUBLIC PFNGLTEXBUFFERARBPROC epoxy_glTexBufferARB = epoxy_glTexBufferARB_rewrite_ptr;

static void
epoxy_glTexBufferEXT_rewrite_ptr(GLenum target, GLenum internalformat, GLuint buffer)
{
    epoxy_glTexBufferEXT = (void *)epoxy_glTexBuffer_resolver();
    epoxy_glTexBufferEXT(target, internalformat, buffer);
}
PUBLIC PFNGLTEXBUFFEREXTPROC epoxy_glTexBufferEXT = epoxy_glTexBufferEXT_rewrite_ptr;

static void
epoxy_glTexBufferRange_rewrite_ptr(GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    epoxy_glTexBufferRange = (void *)epoxy_glTexBufferRange_resolver();
    epoxy_glTexBufferRange(target, internalformat, buffer, offset, size);
}
PUBLIC PFNGLTEXBUFFERRANGEPROC epoxy_glTexBufferRange = epoxy_glTexBufferRange_rewrite_ptr;

static void
epoxy_glTexBumpParameterfvATI_rewrite_ptr(GLenum pname, const GLfloat * param)
{
    epoxy_glTexBumpParameterfvATI = (void *)epoxy_glTexBumpParameterfvATI_resolver();
    epoxy_glTexBumpParameterfvATI(pname, param);
}
PUBLIC PFNGLTEXBUMPPARAMETERFVATIPROC epoxy_glTexBumpParameterfvATI = epoxy_glTexBumpParameterfvATI_rewrite_ptr;

static void
epoxy_glTexBumpParameterivATI_rewrite_ptr(GLenum pname, const GLint * param)
{
    epoxy_glTexBumpParameterivATI = (void *)epoxy_glTexBumpParameterivATI_resolver();
    epoxy_glTexBumpParameterivATI(pname, param);
}
PUBLIC PFNGLTEXBUMPPARAMETERIVATIPROC epoxy_glTexBumpParameterivATI = epoxy_glTexBumpParameterivATI_rewrite_ptr;

static void
epoxy_glTexCoord1bOES_rewrite_ptr(GLbyte s)
{
    epoxy_glTexCoord1bOES = (void *)epoxy_glTexCoord1bOES_resolver();
    epoxy_glTexCoord1bOES(s);
}
PUBLIC PFNGLTEXCOORD1BOESPROC epoxy_glTexCoord1bOES = epoxy_glTexCoord1bOES_rewrite_ptr;

static void
epoxy_glTexCoord1bvOES_rewrite_ptr(const GLbyte * coords)
{
    epoxy_glTexCoord1bvOES = (void *)epoxy_glTexCoord1bvOES_resolver();
    epoxy_glTexCoord1bvOES(coords);
}
PUBLIC PFNGLTEXCOORD1BVOESPROC epoxy_glTexCoord1bvOES = epoxy_glTexCoord1bvOES_rewrite_ptr;

static void
epoxy_glTexCoord1d_rewrite_ptr(GLdouble s)
{
    epoxy_glTexCoord1d = (void *)epoxy_glTexCoord1d_resolver();
    epoxy_glTexCoord1d(s);
}
PUBLIC PFNGLTEXCOORD1DPROC epoxy_glTexCoord1d = epoxy_glTexCoord1d_rewrite_ptr;

static void
epoxy_glTexCoord1dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glTexCoord1dv = (void *)epoxy_glTexCoord1dv_resolver();
    epoxy_glTexCoord1dv(v);
}
PUBLIC PFNGLTEXCOORD1DVPROC epoxy_glTexCoord1dv = epoxy_glTexCoord1dv_rewrite_ptr;

static void
epoxy_glTexCoord1f_rewrite_ptr(GLfloat s)
{
    epoxy_glTexCoord1f = (void *)epoxy_glTexCoord1f_resolver();
    epoxy_glTexCoord1f(s);
}
PUBLIC PFNGLTEXCOORD1FPROC epoxy_glTexCoord1f = epoxy_glTexCoord1f_rewrite_ptr;

static void
epoxy_glTexCoord1fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glTexCoord1fv = (void *)epoxy_glTexCoord1fv_resolver();
    epoxy_glTexCoord1fv(v);
}
PUBLIC PFNGLTEXCOORD1FVPROC epoxy_glTexCoord1fv = epoxy_glTexCoord1fv_rewrite_ptr;

static void
epoxy_glTexCoord1hNV_rewrite_ptr(GLhalfNV s)
{
    epoxy_glTexCoord1hNV = (void *)epoxy_glTexCoord1hNV_resolver();
    epoxy_glTexCoord1hNV(s);
}
PUBLIC PFNGLTEXCOORD1HNVPROC epoxy_glTexCoord1hNV = epoxy_glTexCoord1hNV_rewrite_ptr;

static void
epoxy_glTexCoord1hvNV_rewrite_ptr(const GLhalfNV * v)
{
    epoxy_glTexCoord1hvNV = (void *)epoxy_glTexCoord1hvNV_resolver();
    epoxy_glTexCoord1hvNV(v);
}
PUBLIC PFNGLTEXCOORD1HVNVPROC epoxy_glTexCoord1hvNV = epoxy_glTexCoord1hvNV_rewrite_ptr;

static void
epoxy_glTexCoord1i_rewrite_ptr(GLint s)
{
    epoxy_glTexCoord1i = (void *)epoxy_glTexCoord1i_resolver();
    epoxy_glTexCoord1i(s);
}
PUBLIC PFNGLTEXCOORD1IPROC epoxy_glTexCoord1i = epoxy_glTexCoord1i_rewrite_ptr;

static void
epoxy_glTexCoord1iv_rewrite_ptr(const GLint * v)
{
    epoxy_glTexCoord1iv = (void *)epoxy_glTexCoord1iv_resolver();
    epoxy_glTexCoord1iv(v);
}
PUBLIC PFNGLTEXCOORD1IVPROC epoxy_glTexCoord1iv = epoxy_glTexCoord1iv_rewrite_ptr;

static void
epoxy_glTexCoord1s_rewrite_ptr(GLshort s)
{
    epoxy_glTexCoord1s = (void *)epoxy_glTexCoord1s_resolver();
    epoxy_glTexCoord1s(s);
}
PUBLIC PFNGLTEXCOORD1SPROC epoxy_glTexCoord1s = epoxy_glTexCoord1s_rewrite_ptr;

static void
epoxy_glTexCoord1sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glTexCoord1sv = (void *)epoxy_glTexCoord1sv_resolver();
    epoxy_glTexCoord1sv(v);
}
PUBLIC PFNGLTEXCOORD1SVPROC epoxy_glTexCoord1sv = epoxy_glTexCoord1sv_rewrite_ptr;

static void
epoxy_glTexCoord1xOES_rewrite_ptr(GLfixed s)
{
    epoxy_glTexCoord1xOES = (void *)epoxy_glTexCoord1xOES_resolver();
    epoxy_glTexCoord1xOES(s);
}
PUBLIC PFNGLTEXCOORD1XOESPROC epoxy_glTexCoord1xOES = epoxy_glTexCoord1xOES_rewrite_ptr;

static void
epoxy_glTexCoord1xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glTexCoord1xvOES = (void *)epoxy_glTexCoord1xvOES_resolver();
    epoxy_glTexCoord1xvOES(coords);
}
PUBLIC PFNGLTEXCOORD1XVOESPROC epoxy_glTexCoord1xvOES = epoxy_glTexCoord1xvOES_rewrite_ptr;

static void
epoxy_glTexCoord2bOES_rewrite_ptr(GLbyte s, GLbyte t)
{
    epoxy_glTexCoord2bOES = (void *)epoxy_glTexCoord2bOES_resolver();
    epoxy_glTexCoord2bOES(s, t);
}
PUBLIC PFNGLTEXCOORD2BOESPROC epoxy_glTexCoord2bOES = epoxy_glTexCoord2bOES_rewrite_ptr;

static void
epoxy_glTexCoord2bvOES_rewrite_ptr(const GLbyte * coords)
{
    epoxy_glTexCoord2bvOES = (void *)epoxy_glTexCoord2bvOES_resolver();
    epoxy_glTexCoord2bvOES(coords);
}
PUBLIC PFNGLTEXCOORD2BVOESPROC epoxy_glTexCoord2bvOES = epoxy_glTexCoord2bvOES_rewrite_ptr;

static void
epoxy_glTexCoord2d_rewrite_ptr(GLdouble s, GLdouble t)
{
    epoxy_glTexCoord2d = (void *)epoxy_glTexCoord2d_resolver();
    epoxy_glTexCoord2d(s, t);
}
PUBLIC PFNGLTEXCOORD2DPROC epoxy_glTexCoord2d = epoxy_glTexCoord2d_rewrite_ptr;

static void
epoxy_glTexCoord2dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glTexCoord2dv = (void *)epoxy_glTexCoord2dv_resolver();
    epoxy_glTexCoord2dv(v);
}
PUBLIC PFNGLTEXCOORD2DVPROC epoxy_glTexCoord2dv = epoxy_glTexCoord2dv_rewrite_ptr;

static void
epoxy_glTexCoord2f_rewrite_ptr(GLfloat s, GLfloat t)
{
    epoxy_glTexCoord2f = (void *)epoxy_glTexCoord2f_resolver();
    epoxy_glTexCoord2f(s, t);
}
PUBLIC PFNGLTEXCOORD2FPROC epoxy_glTexCoord2f = epoxy_glTexCoord2f_rewrite_ptr;

static void
epoxy_glTexCoord2fColor3fVertex3fSUN_rewrite_ptr(GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glTexCoord2fColor3fVertex3fSUN = (void *)epoxy_glTexCoord2fColor3fVertex3fSUN_resolver();
    epoxy_glTexCoord2fColor3fVertex3fSUN(s, t, r, g, b, x, y, z);
}
PUBLIC PFNGLTEXCOORD2FCOLOR3FVERTEX3FSUNPROC epoxy_glTexCoord2fColor3fVertex3fSUN = epoxy_glTexCoord2fColor3fVertex3fSUN_rewrite_ptr;

static void
epoxy_glTexCoord2fColor3fVertex3fvSUN_rewrite_ptr(const GLfloat * tc, const GLfloat * c, const GLfloat * v)
{
    epoxy_glTexCoord2fColor3fVertex3fvSUN = (void *)epoxy_glTexCoord2fColor3fVertex3fvSUN_resolver();
    epoxy_glTexCoord2fColor3fVertex3fvSUN(tc, c, v);
}
PUBLIC PFNGLTEXCOORD2FCOLOR3FVERTEX3FVSUNPROC epoxy_glTexCoord2fColor3fVertex3fvSUN = epoxy_glTexCoord2fColor3fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_rewrite_ptr(GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN = (void *)epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_resolver();
    epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN(s, t, r, g, b, a, nx, ny, nz, x, y, z);
}
PUBLIC PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_rewrite_ptr;

static void
epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_rewrite_ptr(const GLfloat * tc, const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN = (void *)epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_resolver();
    epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN(tc, c, n, v);
}
PUBLIC PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glTexCoord2fColor4ubVertex3fSUN_rewrite_ptr(GLfloat s, GLfloat t, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glTexCoord2fColor4ubVertex3fSUN = (void *)epoxy_glTexCoord2fColor4ubVertex3fSUN_resolver();
    epoxy_glTexCoord2fColor4ubVertex3fSUN(s, t, r, g, b, a, x, y, z);
}
PUBLIC PFNGLTEXCOORD2FCOLOR4UBVERTEX3FSUNPROC epoxy_glTexCoord2fColor4ubVertex3fSUN = epoxy_glTexCoord2fColor4ubVertex3fSUN_rewrite_ptr;

static void
epoxy_glTexCoord2fColor4ubVertex3fvSUN_rewrite_ptr(const GLfloat * tc, const GLubyte * c, const GLfloat * v)
{
    epoxy_glTexCoord2fColor4ubVertex3fvSUN = (void *)epoxy_glTexCoord2fColor4ubVertex3fvSUN_resolver();
    epoxy_glTexCoord2fColor4ubVertex3fvSUN(tc, c, v);
}
PUBLIC PFNGLTEXCOORD2FCOLOR4UBVERTEX3FVSUNPROC epoxy_glTexCoord2fColor4ubVertex3fvSUN = epoxy_glTexCoord2fColor4ubVertex3fvSUN_rewrite_ptr;

static void
epoxy_glTexCoord2fNormal3fVertex3fSUN_rewrite_ptr(GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glTexCoord2fNormal3fVertex3fSUN = (void *)epoxy_glTexCoord2fNormal3fVertex3fSUN_resolver();
    epoxy_glTexCoord2fNormal3fVertex3fSUN(s, t, nx, ny, nz, x, y, z);
}
PUBLIC PFNGLTEXCOORD2FNORMAL3FVERTEX3FSUNPROC epoxy_glTexCoord2fNormal3fVertex3fSUN = epoxy_glTexCoord2fNormal3fVertex3fSUN_rewrite_ptr;

static void
epoxy_glTexCoord2fNormal3fVertex3fvSUN_rewrite_ptr(const GLfloat * tc, const GLfloat * n, const GLfloat * v)
{
    epoxy_glTexCoord2fNormal3fVertex3fvSUN = (void *)epoxy_glTexCoord2fNormal3fVertex3fvSUN_resolver();
    epoxy_glTexCoord2fNormal3fVertex3fvSUN(tc, n, v);
}
PUBLIC PFNGLTEXCOORD2FNORMAL3FVERTEX3FVSUNPROC epoxy_glTexCoord2fNormal3fVertex3fvSUN = epoxy_glTexCoord2fNormal3fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glTexCoord2fVertex3fSUN_rewrite_ptr(GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glTexCoord2fVertex3fSUN = (void *)epoxy_glTexCoord2fVertex3fSUN_resolver();
    epoxy_glTexCoord2fVertex3fSUN(s, t, x, y, z);
}
PUBLIC PFNGLTEXCOORD2FVERTEX3FSUNPROC epoxy_glTexCoord2fVertex3fSUN = epoxy_glTexCoord2fVertex3fSUN_rewrite_ptr;

static void
epoxy_glTexCoord2fVertex3fvSUN_rewrite_ptr(const GLfloat * tc, const GLfloat * v)
{
    epoxy_glTexCoord2fVertex3fvSUN = (void *)epoxy_glTexCoord2fVertex3fvSUN_resolver();
    epoxy_glTexCoord2fVertex3fvSUN(tc, v);
}
PUBLIC PFNGLTEXCOORD2FVERTEX3FVSUNPROC epoxy_glTexCoord2fVertex3fvSUN = epoxy_glTexCoord2fVertex3fvSUN_rewrite_ptr;

static void
epoxy_glTexCoord2fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glTexCoord2fv = (void *)epoxy_glTexCoord2fv_resolver();
    epoxy_glTexCoord2fv(v);
}
PUBLIC PFNGLTEXCOORD2FVPROC epoxy_glTexCoord2fv = epoxy_glTexCoord2fv_rewrite_ptr;

static void
epoxy_glTexCoord2hNV_rewrite_ptr(GLhalfNV s, GLhalfNV t)
{
    epoxy_glTexCoord2hNV = (void *)epoxy_glTexCoord2hNV_resolver();
    epoxy_glTexCoord2hNV(s, t);
}
PUBLIC PFNGLTEXCOORD2HNVPROC epoxy_glTexCoord2hNV = epoxy_glTexCoord2hNV_rewrite_ptr;

static void
epoxy_glTexCoord2hvNV_rewrite_ptr(const GLhalfNV * v)
{
    epoxy_glTexCoord2hvNV = (void *)epoxy_glTexCoord2hvNV_resolver();
    epoxy_glTexCoord2hvNV(v);
}
PUBLIC PFNGLTEXCOORD2HVNVPROC epoxy_glTexCoord2hvNV = epoxy_glTexCoord2hvNV_rewrite_ptr;

static void
epoxy_glTexCoord2i_rewrite_ptr(GLint s, GLint t)
{
    epoxy_glTexCoord2i = (void *)epoxy_glTexCoord2i_resolver();
    epoxy_glTexCoord2i(s, t);
}
PUBLIC PFNGLTEXCOORD2IPROC epoxy_glTexCoord2i = epoxy_glTexCoord2i_rewrite_ptr;

static void
epoxy_glTexCoord2iv_rewrite_ptr(const GLint * v)
{
    epoxy_glTexCoord2iv = (void *)epoxy_glTexCoord2iv_resolver();
    epoxy_glTexCoord2iv(v);
}
PUBLIC PFNGLTEXCOORD2IVPROC epoxy_glTexCoord2iv = epoxy_glTexCoord2iv_rewrite_ptr;

static void
epoxy_glTexCoord2s_rewrite_ptr(GLshort s, GLshort t)
{
    epoxy_glTexCoord2s = (void *)epoxy_glTexCoord2s_resolver();
    epoxy_glTexCoord2s(s, t);
}
PUBLIC PFNGLTEXCOORD2SPROC epoxy_glTexCoord2s = epoxy_glTexCoord2s_rewrite_ptr;

static void
epoxy_glTexCoord2sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glTexCoord2sv = (void *)epoxy_glTexCoord2sv_resolver();
    epoxy_glTexCoord2sv(v);
}
PUBLIC PFNGLTEXCOORD2SVPROC epoxy_glTexCoord2sv = epoxy_glTexCoord2sv_rewrite_ptr;

static void
epoxy_glTexCoord2xOES_rewrite_ptr(GLfixed s, GLfixed t)
{
    epoxy_glTexCoord2xOES = (void *)epoxy_glTexCoord2xOES_resolver();
    epoxy_glTexCoord2xOES(s, t);
}
PUBLIC PFNGLTEXCOORD2XOESPROC epoxy_glTexCoord2xOES = epoxy_glTexCoord2xOES_rewrite_ptr;

static void
epoxy_glTexCoord2xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glTexCoord2xvOES = (void *)epoxy_glTexCoord2xvOES_resolver();
    epoxy_glTexCoord2xvOES(coords);
}
PUBLIC PFNGLTEXCOORD2XVOESPROC epoxy_glTexCoord2xvOES = epoxy_glTexCoord2xvOES_rewrite_ptr;

static void
epoxy_glTexCoord3bOES_rewrite_ptr(GLbyte s, GLbyte t, GLbyte r)
{
    epoxy_glTexCoord3bOES = (void *)epoxy_glTexCoord3bOES_resolver();
    epoxy_glTexCoord3bOES(s, t, r);
}
PUBLIC PFNGLTEXCOORD3BOESPROC epoxy_glTexCoord3bOES = epoxy_glTexCoord3bOES_rewrite_ptr;

static void
epoxy_glTexCoord3bvOES_rewrite_ptr(const GLbyte * coords)
{
    epoxy_glTexCoord3bvOES = (void *)epoxy_glTexCoord3bvOES_resolver();
    epoxy_glTexCoord3bvOES(coords);
}
PUBLIC PFNGLTEXCOORD3BVOESPROC epoxy_glTexCoord3bvOES = epoxy_glTexCoord3bvOES_rewrite_ptr;

static void
epoxy_glTexCoord3d_rewrite_ptr(GLdouble s, GLdouble t, GLdouble r)
{
    epoxy_glTexCoord3d = (void *)epoxy_glTexCoord3d_resolver();
    epoxy_glTexCoord3d(s, t, r);
}
PUBLIC PFNGLTEXCOORD3DPROC epoxy_glTexCoord3d = epoxy_glTexCoord3d_rewrite_ptr;

static void
epoxy_glTexCoord3dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glTexCoord3dv = (void *)epoxy_glTexCoord3dv_resolver();
    epoxy_glTexCoord3dv(v);
}
PUBLIC PFNGLTEXCOORD3DVPROC epoxy_glTexCoord3dv = epoxy_glTexCoord3dv_rewrite_ptr;

static void
epoxy_glTexCoord3f_rewrite_ptr(GLfloat s, GLfloat t, GLfloat r)
{
    epoxy_glTexCoord3f = (void *)epoxy_glTexCoord3f_resolver();
    epoxy_glTexCoord3f(s, t, r);
}
PUBLIC PFNGLTEXCOORD3FPROC epoxy_glTexCoord3f = epoxy_glTexCoord3f_rewrite_ptr;

static void
epoxy_glTexCoord3fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glTexCoord3fv = (void *)epoxy_glTexCoord3fv_resolver();
    epoxy_glTexCoord3fv(v);
}
PUBLIC PFNGLTEXCOORD3FVPROC epoxy_glTexCoord3fv = epoxy_glTexCoord3fv_rewrite_ptr;

static void
epoxy_glTexCoord3hNV_rewrite_ptr(GLhalfNV s, GLhalfNV t, GLhalfNV r)
{
    epoxy_glTexCoord3hNV = (void *)epoxy_glTexCoord3hNV_resolver();
    epoxy_glTexCoord3hNV(s, t, r);
}
PUBLIC PFNGLTEXCOORD3HNVPROC epoxy_glTexCoord3hNV = epoxy_glTexCoord3hNV_rewrite_ptr;

static void
epoxy_glTexCoord3hvNV_rewrite_ptr(const GLhalfNV * v)
{
    epoxy_glTexCoord3hvNV = (void *)epoxy_glTexCoord3hvNV_resolver();
    epoxy_glTexCoord3hvNV(v);
}
PUBLIC PFNGLTEXCOORD3HVNVPROC epoxy_glTexCoord3hvNV = epoxy_glTexCoord3hvNV_rewrite_ptr;

static void
epoxy_glTexCoord3i_rewrite_ptr(GLint s, GLint t, GLint r)
{
    epoxy_glTexCoord3i = (void *)epoxy_glTexCoord3i_resolver();
    epoxy_glTexCoord3i(s, t, r);
}
PUBLIC PFNGLTEXCOORD3IPROC epoxy_glTexCoord3i = epoxy_glTexCoord3i_rewrite_ptr;

static void
epoxy_glTexCoord3iv_rewrite_ptr(const GLint * v)
{
    epoxy_glTexCoord3iv = (void *)epoxy_glTexCoord3iv_resolver();
    epoxy_glTexCoord3iv(v);
}
PUBLIC PFNGLTEXCOORD3IVPROC epoxy_glTexCoord3iv = epoxy_glTexCoord3iv_rewrite_ptr;

static void
epoxy_glTexCoord3s_rewrite_ptr(GLshort s, GLshort t, GLshort r)
{
    epoxy_glTexCoord3s = (void *)epoxy_glTexCoord3s_resolver();
    epoxy_glTexCoord3s(s, t, r);
}
PUBLIC PFNGLTEXCOORD3SPROC epoxy_glTexCoord3s = epoxy_glTexCoord3s_rewrite_ptr;

static void
epoxy_glTexCoord3sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glTexCoord3sv = (void *)epoxy_glTexCoord3sv_resolver();
    epoxy_glTexCoord3sv(v);
}
PUBLIC PFNGLTEXCOORD3SVPROC epoxy_glTexCoord3sv = epoxy_glTexCoord3sv_rewrite_ptr;

static void
epoxy_glTexCoord3xOES_rewrite_ptr(GLfixed s, GLfixed t, GLfixed r)
{
    epoxy_glTexCoord3xOES = (void *)epoxy_glTexCoord3xOES_resolver();
    epoxy_glTexCoord3xOES(s, t, r);
}
PUBLIC PFNGLTEXCOORD3XOESPROC epoxy_glTexCoord3xOES = epoxy_glTexCoord3xOES_rewrite_ptr;

static void
epoxy_glTexCoord3xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glTexCoord3xvOES = (void *)epoxy_glTexCoord3xvOES_resolver();
    epoxy_glTexCoord3xvOES(coords);
}
PUBLIC PFNGLTEXCOORD3XVOESPROC epoxy_glTexCoord3xvOES = epoxy_glTexCoord3xvOES_rewrite_ptr;

static void
epoxy_glTexCoord4bOES_rewrite_ptr(GLbyte s, GLbyte t, GLbyte r, GLbyte q)
{
    epoxy_glTexCoord4bOES = (void *)epoxy_glTexCoord4bOES_resolver();
    epoxy_glTexCoord4bOES(s, t, r, q);
}
PUBLIC PFNGLTEXCOORD4BOESPROC epoxy_glTexCoord4bOES = epoxy_glTexCoord4bOES_rewrite_ptr;

static void
epoxy_glTexCoord4bvOES_rewrite_ptr(const GLbyte * coords)
{
    epoxy_glTexCoord4bvOES = (void *)epoxy_glTexCoord4bvOES_resolver();
    epoxy_glTexCoord4bvOES(coords);
}
PUBLIC PFNGLTEXCOORD4BVOESPROC epoxy_glTexCoord4bvOES = epoxy_glTexCoord4bvOES_rewrite_ptr;

static void
epoxy_glTexCoord4d_rewrite_ptr(GLdouble s, GLdouble t, GLdouble r, GLdouble q)
{
    epoxy_glTexCoord4d = (void *)epoxy_glTexCoord4d_resolver();
    epoxy_glTexCoord4d(s, t, r, q);
}
PUBLIC PFNGLTEXCOORD4DPROC epoxy_glTexCoord4d = epoxy_glTexCoord4d_rewrite_ptr;

static void
epoxy_glTexCoord4dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glTexCoord4dv = (void *)epoxy_glTexCoord4dv_resolver();
    epoxy_glTexCoord4dv(v);
}
PUBLIC PFNGLTEXCOORD4DVPROC epoxy_glTexCoord4dv = epoxy_glTexCoord4dv_rewrite_ptr;

static void
epoxy_glTexCoord4f_rewrite_ptr(GLfloat s, GLfloat t, GLfloat r, GLfloat q)
{
    epoxy_glTexCoord4f = (void *)epoxy_glTexCoord4f_resolver();
    epoxy_glTexCoord4f(s, t, r, q);
}
PUBLIC PFNGLTEXCOORD4FPROC epoxy_glTexCoord4f = epoxy_glTexCoord4f_rewrite_ptr;

static void
epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_rewrite_ptr(GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN = (void *)epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_resolver();
    epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN(s, t, p, q, r, g, b, a, nx, ny, nz, x, y, z, w);
}
PUBLIC PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FSUNPROC epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_rewrite_ptr;

static void
epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_rewrite_ptr(const GLfloat * tc, const GLfloat * c, const GLfloat * n, const GLfloat * v)
{
    epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN = (void *)epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_resolver();
    epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN(tc, c, n, v);
}
PUBLIC PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FVSUNPROC epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_rewrite_ptr;

static void
epoxy_glTexCoord4fVertex4fSUN_rewrite_ptr(GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glTexCoord4fVertex4fSUN = (void *)epoxy_glTexCoord4fVertex4fSUN_resolver();
    epoxy_glTexCoord4fVertex4fSUN(s, t, p, q, x, y, z, w);
}
PUBLIC PFNGLTEXCOORD4FVERTEX4FSUNPROC epoxy_glTexCoord4fVertex4fSUN = epoxy_glTexCoord4fVertex4fSUN_rewrite_ptr;

static void
epoxy_glTexCoord4fVertex4fvSUN_rewrite_ptr(const GLfloat * tc, const GLfloat * v)
{
    epoxy_glTexCoord4fVertex4fvSUN = (void *)epoxy_glTexCoord4fVertex4fvSUN_resolver();
    epoxy_glTexCoord4fVertex4fvSUN(tc, v);
}
PUBLIC PFNGLTEXCOORD4FVERTEX4FVSUNPROC epoxy_glTexCoord4fVertex4fvSUN = epoxy_glTexCoord4fVertex4fvSUN_rewrite_ptr;

static void
epoxy_glTexCoord4fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glTexCoord4fv = (void *)epoxy_glTexCoord4fv_resolver();
    epoxy_glTexCoord4fv(v);
}
PUBLIC PFNGLTEXCOORD4FVPROC epoxy_glTexCoord4fv = epoxy_glTexCoord4fv_rewrite_ptr;

static void
epoxy_glTexCoord4hNV_rewrite_ptr(GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q)
{
    epoxy_glTexCoord4hNV = (void *)epoxy_glTexCoord4hNV_resolver();
    epoxy_glTexCoord4hNV(s, t, r, q);
}
PUBLIC PFNGLTEXCOORD4HNVPROC epoxy_glTexCoord4hNV = epoxy_glTexCoord4hNV_rewrite_ptr;

static void
epoxy_glTexCoord4hvNV_rewrite_ptr(const GLhalfNV * v)
{
    epoxy_glTexCoord4hvNV = (void *)epoxy_glTexCoord4hvNV_resolver();
    epoxy_glTexCoord4hvNV(v);
}
PUBLIC PFNGLTEXCOORD4HVNVPROC epoxy_glTexCoord4hvNV = epoxy_glTexCoord4hvNV_rewrite_ptr;

static void
epoxy_glTexCoord4i_rewrite_ptr(GLint s, GLint t, GLint r, GLint q)
{
    epoxy_glTexCoord4i = (void *)epoxy_glTexCoord4i_resolver();
    epoxy_glTexCoord4i(s, t, r, q);
}
PUBLIC PFNGLTEXCOORD4IPROC epoxy_glTexCoord4i = epoxy_glTexCoord4i_rewrite_ptr;

static void
epoxy_glTexCoord4iv_rewrite_ptr(const GLint * v)
{
    epoxy_glTexCoord4iv = (void *)epoxy_glTexCoord4iv_resolver();
    epoxy_glTexCoord4iv(v);
}
PUBLIC PFNGLTEXCOORD4IVPROC epoxy_glTexCoord4iv = epoxy_glTexCoord4iv_rewrite_ptr;

static void
epoxy_glTexCoord4s_rewrite_ptr(GLshort s, GLshort t, GLshort r, GLshort q)
{
    epoxy_glTexCoord4s = (void *)epoxy_glTexCoord4s_resolver();
    epoxy_glTexCoord4s(s, t, r, q);
}
PUBLIC PFNGLTEXCOORD4SPROC epoxy_glTexCoord4s = epoxy_glTexCoord4s_rewrite_ptr;

static void
epoxy_glTexCoord4sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glTexCoord4sv = (void *)epoxy_glTexCoord4sv_resolver();
    epoxy_glTexCoord4sv(v);
}
PUBLIC PFNGLTEXCOORD4SVPROC epoxy_glTexCoord4sv = epoxy_glTexCoord4sv_rewrite_ptr;

static void
epoxy_glTexCoord4xOES_rewrite_ptr(GLfixed s, GLfixed t, GLfixed r, GLfixed q)
{
    epoxy_glTexCoord4xOES = (void *)epoxy_glTexCoord4xOES_resolver();
    epoxy_glTexCoord4xOES(s, t, r, q);
}
PUBLIC PFNGLTEXCOORD4XOESPROC epoxy_glTexCoord4xOES = epoxy_glTexCoord4xOES_rewrite_ptr;

static void
epoxy_glTexCoord4xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glTexCoord4xvOES = (void *)epoxy_glTexCoord4xvOES_resolver();
    epoxy_glTexCoord4xvOES(coords);
}
PUBLIC PFNGLTEXCOORD4XVOESPROC epoxy_glTexCoord4xvOES = epoxy_glTexCoord4xvOES_rewrite_ptr;

static void
epoxy_glTexCoordFormatNV_rewrite_ptr(GLint size, GLenum type, GLsizei stride)
{
    epoxy_glTexCoordFormatNV = (void *)epoxy_glTexCoordFormatNV_resolver();
    epoxy_glTexCoordFormatNV(size, type, stride);
}
PUBLIC PFNGLTEXCOORDFORMATNVPROC epoxy_glTexCoordFormatNV = epoxy_glTexCoordFormatNV_rewrite_ptr;

static void
epoxy_glTexCoordP1ui_rewrite_ptr(GLenum type, GLuint coords)
{
    epoxy_glTexCoordP1ui = (void *)epoxy_glTexCoordP1ui_resolver();
    epoxy_glTexCoordP1ui(type, coords);
}
PUBLIC PFNGLTEXCOORDP1UIPROC epoxy_glTexCoordP1ui = epoxy_glTexCoordP1ui_rewrite_ptr;

static void
epoxy_glTexCoordP1uiv_rewrite_ptr(GLenum type, const GLuint * coords)
{
    epoxy_glTexCoordP1uiv = (void *)epoxy_glTexCoordP1uiv_resolver();
    epoxy_glTexCoordP1uiv(type, coords);
}
PUBLIC PFNGLTEXCOORDP1UIVPROC epoxy_glTexCoordP1uiv = epoxy_glTexCoordP1uiv_rewrite_ptr;

static void
epoxy_glTexCoordP2ui_rewrite_ptr(GLenum type, GLuint coords)
{
    epoxy_glTexCoordP2ui = (void *)epoxy_glTexCoordP2ui_resolver();
    epoxy_glTexCoordP2ui(type, coords);
}
PUBLIC PFNGLTEXCOORDP2UIPROC epoxy_glTexCoordP2ui = epoxy_glTexCoordP2ui_rewrite_ptr;

static void
epoxy_glTexCoordP2uiv_rewrite_ptr(GLenum type, const GLuint * coords)
{
    epoxy_glTexCoordP2uiv = (void *)epoxy_glTexCoordP2uiv_resolver();
    epoxy_glTexCoordP2uiv(type, coords);
}
PUBLIC PFNGLTEXCOORDP2UIVPROC epoxy_glTexCoordP2uiv = epoxy_glTexCoordP2uiv_rewrite_ptr;

static void
epoxy_glTexCoordP3ui_rewrite_ptr(GLenum type, GLuint coords)
{
    epoxy_glTexCoordP3ui = (void *)epoxy_glTexCoordP3ui_resolver();
    epoxy_glTexCoordP3ui(type, coords);
}
PUBLIC PFNGLTEXCOORDP3UIPROC epoxy_glTexCoordP3ui = epoxy_glTexCoordP3ui_rewrite_ptr;

static void
epoxy_glTexCoordP3uiv_rewrite_ptr(GLenum type, const GLuint * coords)
{
    epoxy_glTexCoordP3uiv = (void *)epoxy_glTexCoordP3uiv_resolver();
    epoxy_glTexCoordP3uiv(type, coords);
}
PUBLIC PFNGLTEXCOORDP3UIVPROC epoxy_glTexCoordP3uiv = epoxy_glTexCoordP3uiv_rewrite_ptr;

static void
epoxy_glTexCoordP4ui_rewrite_ptr(GLenum type, GLuint coords)
{
    epoxy_glTexCoordP4ui = (void *)epoxy_glTexCoordP4ui_resolver();
    epoxy_glTexCoordP4ui(type, coords);
}
PUBLIC PFNGLTEXCOORDP4UIPROC epoxy_glTexCoordP4ui = epoxy_glTexCoordP4ui_rewrite_ptr;

static void
epoxy_glTexCoordP4uiv_rewrite_ptr(GLenum type, const GLuint * coords)
{
    epoxy_glTexCoordP4uiv = (void *)epoxy_glTexCoordP4uiv_resolver();
    epoxy_glTexCoordP4uiv(type, coords);
}
PUBLIC PFNGLTEXCOORDP4UIVPROC epoxy_glTexCoordP4uiv = epoxy_glTexCoordP4uiv_rewrite_ptr;

static void
epoxy_glTexCoordPointer_rewrite_ptr(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glTexCoordPointer = (void *)epoxy_glTexCoordPointer_resolver();
    epoxy_glTexCoordPointer(size, type, stride, pointer);
}
PUBLIC PFNGLTEXCOORDPOINTERPROC epoxy_glTexCoordPointer = epoxy_glTexCoordPointer_rewrite_ptr;

static void
epoxy_glTexCoordPointerEXT_rewrite_ptr(GLint size, GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    epoxy_glTexCoordPointerEXT = (void *)epoxy_glTexCoordPointerEXT_resolver();
    epoxy_glTexCoordPointerEXT(size, type, stride, count, pointer);
}
PUBLIC PFNGLTEXCOORDPOINTEREXTPROC epoxy_glTexCoordPointerEXT = epoxy_glTexCoordPointerEXT_rewrite_ptr;

static void
epoxy_glTexCoordPointerListIBM_rewrite_ptr(GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    epoxy_glTexCoordPointerListIBM = (void *)epoxy_glTexCoordPointerListIBM_resolver();
    epoxy_glTexCoordPointerListIBM(size, type, stride, pointer, ptrstride);
}
PUBLIC PFNGLTEXCOORDPOINTERLISTIBMPROC epoxy_glTexCoordPointerListIBM = epoxy_glTexCoordPointerListIBM_rewrite_ptr;

static void
epoxy_glTexCoordPointervINTEL_rewrite_ptr(GLint size, GLenum type, const void ** pointer)
{
    epoxy_glTexCoordPointervINTEL = (void *)epoxy_glTexCoordPointervINTEL_resolver();
    epoxy_glTexCoordPointervINTEL(size, type, pointer);
}
PUBLIC PFNGLTEXCOORDPOINTERVINTELPROC epoxy_glTexCoordPointervINTEL = epoxy_glTexCoordPointervINTEL_rewrite_ptr;

static void
epoxy_glTexEnvf_rewrite_ptr(GLenum target, GLenum pname, GLfloat param)
{
    epoxy_glTexEnvf = (void *)epoxy_glTexEnvf_resolver();
    epoxy_glTexEnvf(target, pname, param);
}
PUBLIC PFNGLTEXENVFPROC epoxy_glTexEnvf = epoxy_glTexEnvf_rewrite_ptr;

static void
epoxy_glTexEnvfv_rewrite_ptr(GLenum target, GLenum pname, const GLfloat * params)
{
    epoxy_glTexEnvfv = (void *)epoxy_glTexEnvfv_resolver();
    epoxy_glTexEnvfv(target, pname, params);
}
PUBLIC PFNGLTEXENVFVPROC epoxy_glTexEnvfv = epoxy_glTexEnvfv_rewrite_ptr;

static void
epoxy_glTexEnvi_rewrite_ptr(GLenum target, GLenum pname, GLint param)
{
    epoxy_glTexEnvi = (void *)epoxy_glTexEnvi_resolver();
    epoxy_glTexEnvi(target, pname, param);
}
PUBLIC PFNGLTEXENVIPROC epoxy_glTexEnvi = epoxy_glTexEnvi_rewrite_ptr;

static void
epoxy_glTexEnviv_rewrite_ptr(GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glTexEnviv = (void *)epoxy_glTexEnviv_resolver();
    epoxy_glTexEnviv(target, pname, params);
}
PUBLIC PFNGLTEXENVIVPROC epoxy_glTexEnviv = epoxy_glTexEnviv_rewrite_ptr;

static void
epoxy_glTexEnvx_rewrite_ptr(GLenum target, GLenum pname, GLfixed param)
{
    epoxy_glTexEnvx = (void *)epoxy_glTexEnvx_resolver();
    epoxy_glTexEnvx(target, pname, param);
}
PUBLIC PFNGLTEXENVXPROC epoxy_glTexEnvx = epoxy_glTexEnvx_rewrite_ptr;

static void
epoxy_glTexEnvxOES_rewrite_ptr(GLenum target, GLenum pname, GLfixed param)
{
    epoxy_glTexEnvxOES = (void *)epoxy_glTexEnvxOES_resolver();
    epoxy_glTexEnvxOES(target, pname, param);
}
PUBLIC PFNGLTEXENVXOESPROC epoxy_glTexEnvxOES = epoxy_glTexEnvxOES_rewrite_ptr;

static void
epoxy_glTexEnvxv_rewrite_ptr(GLenum target, GLenum pname, const GLfixed * params)
{
    epoxy_glTexEnvxv = (void *)epoxy_glTexEnvxv_resolver();
    epoxy_glTexEnvxv(target, pname, params);
}
PUBLIC PFNGLTEXENVXVPROC epoxy_glTexEnvxv = epoxy_glTexEnvxv_rewrite_ptr;

static void
epoxy_glTexEnvxvOES_rewrite_ptr(GLenum target, GLenum pname, const GLfixed * params)
{
    epoxy_glTexEnvxvOES = (void *)epoxy_glTexEnvxvOES_resolver();
    epoxy_glTexEnvxvOES(target, pname, params);
}
PUBLIC PFNGLTEXENVXVOESPROC epoxy_glTexEnvxvOES = epoxy_glTexEnvxvOES_rewrite_ptr;

static void
epoxy_glTexFilterFuncSGIS_rewrite_ptr(GLenum target, GLenum filter, GLsizei n, const GLfloat * weights)
{
    epoxy_glTexFilterFuncSGIS = (void *)epoxy_glTexFilterFuncSGIS_resolver();
    epoxy_glTexFilterFuncSGIS(target, filter, n, weights);
}
PUBLIC PFNGLTEXFILTERFUNCSGISPROC epoxy_glTexFilterFuncSGIS = epoxy_glTexFilterFuncSGIS_rewrite_ptr;

static void
epoxy_glTexGend_rewrite_ptr(GLenum coord, GLenum pname, GLdouble param)
{
    epoxy_glTexGend = (void *)epoxy_glTexGend_resolver();
    epoxy_glTexGend(coord, pname, param);
}
PUBLIC PFNGLTEXGENDPROC epoxy_glTexGend = epoxy_glTexGend_rewrite_ptr;

static void
epoxy_glTexGendv_rewrite_ptr(GLenum coord, GLenum pname, const GLdouble * params)
{
    epoxy_glTexGendv = (void *)epoxy_glTexGendv_resolver();
    epoxy_glTexGendv(coord, pname, params);
}
PUBLIC PFNGLTEXGENDVPROC epoxy_glTexGendv = epoxy_glTexGendv_rewrite_ptr;

static void
epoxy_glTexGenf_rewrite_ptr(GLenum coord, GLenum pname, GLfloat param)
{
    epoxy_glTexGenf = (void *)epoxy_glTexGenf_resolver();
    epoxy_glTexGenf(coord, pname, param);
}
PUBLIC PFNGLTEXGENFPROC epoxy_glTexGenf = epoxy_glTexGenf_rewrite_ptr;

static void
epoxy_glTexGenfOES_rewrite_ptr(GLenum coord, GLenum pname, GLfloat param)
{
    epoxy_glTexGenfOES = (void *)epoxy_glTexGenfOES_resolver();
    epoxy_glTexGenfOES(coord, pname, param);
}
PUBLIC PFNGLTEXGENFOESPROC epoxy_glTexGenfOES = epoxy_glTexGenfOES_rewrite_ptr;

static void
epoxy_glTexGenfv_rewrite_ptr(GLenum coord, GLenum pname, const GLfloat * params)
{
    epoxy_glTexGenfv = (void *)epoxy_glTexGenfv_resolver();
    epoxy_glTexGenfv(coord, pname, params);
}
PUBLIC PFNGLTEXGENFVPROC epoxy_glTexGenfv = epoxy_glTexGenfv_rewrite_ptr;

static void
epoxy_glTexGenfvOES_rewrite_ptr(GLenum coord, GLenum pname, const GLfloat * params)
{
    epoxy_glTexGenfvOES = (void *)epoxy_glTexGenfvOES_resolver();
    epoxy_glTexGenfvOES(coord, pname, params);
}
PUBLIC PFNGLTEXGENFVOESPROC epoxy_glTexGenfvOES = epoxy_glTexGenfvOES_rewrite_ptr;

static void
epoxy_glTexGeni_rewrite_ptr(GLenum coord, GLenum pname, GLint param)
{
    epoxy_glTexGeni = (void *)epoxy_glTexGeni_resolver();
    epoxy_glTexGeni(coord, pname, param);
}
PUBLIC PFNGLTEXGENIPROC epoxy_glTexGeni = epoxy_glTexGeni_rewrite_ptr;

static void
epoxy_glTexGeniOES_rewrite_ptr(GLenum coord, GLenum pname, GLint param)
{
    epoxy_glTexGeniOES = (void *)epoxy_glTexGeniOES_resolver();
    epoxy_glTexGeniOES(coord, pname, param);
}
PUBLIC PFNGLTEXGENIOESPROC epoxy_glTexGeniOES = epoxy_glTexGeniOES_rewrite_ptr;

static void
epoxy_glTexGeniv_rewrite_ptr(GLenum coord, GLenum pname, const GLint * params)
{
    epoxy_glTexGeniv = (void *)epoxy_glTexGeniv_resolver();
    epoxy_glTexGeniv(coord, pname, params);
}
PUBLIC PFNGLTEXGENIVPROC epoxy_glTexGeniv = epoxy_glTexGeniv_rewrite_ptr;

static void
epoxy_glTexGenivOES_rewrite_ptr(GLenum coord, GLenum pname, const GLint * params)
{
    epoxy_glTexGenivOES = (void *)epoxy_glTexGenivOES_resolver();
    epoxy_glTexGenivOES(coord, pname, params);
}
PUBLIC PFNGLTEXGENIVOESPROC epoxy_glTexGenivOES = epoxy_glTexGenivOES_rewrite_ptr;

static void
epoxy_glTexGenxOES_rewrite_ptr(GLenum coord, GLenum pname, GLfixed param)
{
    epoxy_glTexGenxOES = (void *)epoxy_glTexGenxOES_resolver();
    epoxy_glTexGenxOES(coord, pname, param);
}
PUBLIC PFNGLTEXGENXOESPROC epoxy_glTexGenxOES = epoxy_glTexGenxOES_rewrite_ptr;

static void
epoxy_glTexGenxvOES_rewrite_ptr(GLenum coord, GLenum pname, const GLfixed * params)
{
    epoxy_glTexGenxvOES = (void *)epoxy_glTexGenxvOES_resolver();
    epoxy_glTexGenxvOES(coord, pname, params);
}
PUBLIC PFNGLTEXGENXVOESPROC epoxy_glTexGenxvOES = epoxy_glTexGenxvOES_rewrite_ptr;

static void
epoxy_glTexImage1D_rewrite_ptr(GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexImage1D = (void *)epoxy_glTexImage1D_resolver();
    epoxy_glTexImage1D(target, level, internalformat, width, border, format, type, pixels);
}
PUBLIC PFNGLTEXIMAGE1DPROC epoxy_glTexImage1D = epoxy_glTexImage1D_rewrite_ptr;

static void
epoxy_glTexImage2D_rewrite_ptr(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexImage2D = (void *)epoxy_glTexImage2D_resolver();
    epoxy_glTexImage2D(target, level, internalformat, width, height, border, format, type, pixels);
}
PUBLIC PFNGLTEXIMAGE2DPROC epoxy_glTexImage2D = epoxy_glTexImage2D_rewrite_ptr;

static void
epoxy_glTexImage2DMultisample_rewrite_ptr(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    epoxy_glTexImage2DMultisample = (void *)epoxy_glTexImage2DMultisample_resolver();
    epoxy_glTexImage2DMultisample(target, samples, internalformat, width, height, fixedsamplelocations);
}
PUBLIC PFNGLTEXIMAGE2DMULTISAMPLEPROC epoxy_glTexImage2DMultisample = epoxy_glTexImage2DMultisample_rewrite_ptr;

static void
epoxy_glTexImage2DMultisampleCoverageNV_rewrite_ptr(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
{
    epoxy_glTexImage2DMultisampleCoverageNV = (void *)epoxy_glTexImage2DMultisampleCoverageNV_resolver();
    epoxy_glTexImage2DMultisampleCoverageNV(target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations);
}
PUBLIC PFNGLTEXIMAGE2DMULTISAMPLECOVERAGENVPROC epoxy_glTexImage2DMultisampleCoverageNV = epoxy_glTexImage2DMultisampleCoverageNV_rewrite_ptr;

static void
epoxy_glTexImage3D_rewrite_ptr(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexImage3D = (void *)epoxy_glTexImage3D_resolver();
    epoxy_glTexImage3D(target, level, internalformat, width, height, depth, border, format, type, pixels);
}
PUBLIC PFNGLTEXIMAGE3DPROC epoxy_glTexImage3D = epoxy_glTexImage3D_rewrite_ptr;

static void
epoxy_glTexImage3DEXT_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexImage3DEXT = (void *)epoxy_glTexImage3D_resolver();
    epoxy_glTexImage3DEXT(target, level, internalformat, width, height, depth, border, format, type, pixels);
}
PUBLIC PFNGLTEXIMAGE3DEXTPROC epoxy_glTexImage3DEXT = epoxy_glTexImage3DEXT_rewrite_ptr;

static void
epoxy_glTexImage3DMultisample_rewrite_ptr(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    epoxy_glTexImage3DMultisample = (void *)epoxy_glTexImage3DMultisample_resolver();
    epoxy_glTexImage3DMultisample(target, samples, internalformat, width, height, depth, fixedsamplelocations);
}
PUBLIC PFNGLTEXIMAGE3DMULTISAMPLEPROC epoxy_glTexImage3DMultisample = epoxy_glTexImage3DMultisample_rewrite_ptr;

static void
epoxy_glTexImage3DMultisampleCoverageNV_rewrite_ptr(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
{
    epoxy_glTexImage3DMultisampleCoverageNV = (void *)epoxy_glTexImage3DMultisampleCoverageNV_resolver();
    epoxy_glTexImage3DMultisampleCoverageNV(target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations);
}
PUBLIC PFNGLTEXIMAGE3DMULTISAMPLECOVERAGENVPROC epoxy_glTexImage3DMultisampleCoverageNV = epoxy_glTexImage3DMultisampleCoverageNV_rewrite_ptr;

static void
epoxy_glTexImage3DOES_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexImage3DOES = (void *)epoxy_glTexImage3D_resolver();
    epoxy_glTexImage3DOES(target, level, internalformat, width, height, depth, border, format, type, pixels);
}
PUBLIC PFNGLTEXIMAGE3DOESPROC epoxy_glTexImage3DOES = epoxy_glTexImage3DOES_rewrite_ptr;

static void
epoxy_glTexImage4DSGIS_rewrite_ptr(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLint border, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexImage4DSGIS = (void *)epoxy_glTexImage4DSGIS_resolver();
    epoxy_glTexImage4DSGIS(target, level, internalformat, width, height, depth, size4d, border, format, type, pixels);
}
PUBLIC PFNGLTEXIMAGE4DSGISPROC epoxy_glTexImage4DSGIS = epoxy_glTexImage4DSGIS_rewrite_ptr;

static void
epoxy_glTexPageCommitmentARB_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLboolean resident)
{
    epoxy_glTexPageCommitmentARB = (void *)epoxy_glTexPageCommitmentARB_resolver();
    epoxy_glTexPageCommitmentARB(target, level, xoffset, yoffset, zoffset, width, height, depth, resident);
}
PUBLIC PFNGLTEXPAGECOMMITMENTARBPROC epoxy_glTexPageCommitmentARB = epoxy_glTexPageCommitmentARB_rewrite_ptr;

static void
epoxy_glTexParameterIiv_rewrite_ptr(GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glTexParameterIiv = (void *)epoxy_glTexParameterIiv_resolver();
    epoxy_glTexParameterIiv(target, pname, params);
}
PUBLIC PFNGLTEXPARAMETERIIVPROC epoxy_glTexParameterIiv = epoxy_glTexParameterIiv_rewrite_ptr;

static void
epoxy_glTexParameterIivEXT_rewrite_ptr(GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glTexParameterIivEXT = (void *)epoxy_glTexParameterIiv_resolver();
    epoxy_glTexParameterIivEXT(target, pname, params);
}
PUBLIC PFNGLTEXPARAMETERIIVEXTPROC epoxy_glTexParameterIivEXT = epoxy_glTexParameterIivEXT_rewrite_ptr;

static void
epoxy_glTexParameterIuiv_rewrite_ptr(GLenum target, GLenum pname, const GLuint * params)
{
    epoxy_glTexParameterIuiv = (void *)epoxy_glTexParameterIuiv_resolver();
    epoxy_glTexParameterIuiv(target, pname, params);
}
PUBLIC PFNGLTEXPARAMETERIUIVPROC epoxy_glTexParameterIuiv = epoxy_glTexParameterIuiv_rewrite_ptr;

static void
epoxy_glTexParameterIuivEXT_rewrite_ptr(GLenum target, GLenum pname, const GLuint * params)
{
    epoxy_glTexParameterIuivEXT = (void *)epoxy_glTexParameterIuiv_resolver();
    epoxy_glTexParameterIuivEXT(target, pname, params);
}
PUBLIC PFNGLTEXPARAMETERIUIVEXTPROC epoxy_glTexParameterIuivEXT = epoxy_glTexParameterIuivEXT_rewrite_ptr;

static void
epoxy_glTexParameterf_rewrite_ptr(GLenum target, GLenum pname, GLfloat param)
{
    epoxy_glTexParameterf = (void *)epoxy_glTexParameterf_resolver();
    epoxy_glTexParameterf(target, pname, param);
}
PUBLIC PFNGLTEXPARAMETERFPROC epoxy_glTexParameterf = epoxy_glTexParameterf_rewrite_ptr;

static void
epoxy_glTexParameterfv_rewrite_ptr(GLenum target, GLenum pname, const GLfloat * params)
{
    epoxy_glTexParameterfv = (void *)epoxy_glTexParameterfv_resolver();
    epoxy_glTexParameterfv(target, pname, params);
}
PUBLIC PFNGLTEXPARAMETERFVPROC epoxy_glTexParameterfv = epoxy_glTexParameterfv_rewrite_ptr;

static void
epoxy_glTexParameteri_rewrite_ptr(GLenum target, GLenum pname, GLint param)
{
    epoxy_glTexParameteri = (void *)epoxy_glTexParameteri_resolver();
    epoxy_glTexParameteri(target, pname, param);
}
PUBLIC PFNGLTEXPARAMETERIPROC epoxy_glTexParameteri = epoxy_glTexParameteri_rewrite_ptr;

static void
epoxy_glTexParameteriv_rewrite_ptr(GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glTexParameteriv = (void *)epoxy_glTexParameteriv_resolver();
    epoxy_glTexParameteriv(target, pname, params);
}
PUBLIC PFNGLTEXPARAMETERIVPROC epoxy_glTexParameteriv = epoxy_glTexParameteriv_rewrite_ptr;

static void
epoxy_glTexParameterx_rewrite_ptr(GLenum target, GLenum pname, GLfixed param)
{
    epoxy_glTexParameterx = (void *)epoxy_glTexParameterx_resolver();
    epoxy_glTexParameterx(target, pname, param);
}
PUBLIC PFNGLTEXPARAMETERXPROC epoxy_glTexParameterx = epoxy_glTexParameterx_rewrite_ptr;

static void
epoxy_glTexParameterxOES_rewrite_ptr(GLenum target, GLenum pname, GLfixed param)
{
    epoxy_glTexParameterxOES = (void *)epoxy_glTexParameterxOES_resolver();
    epoxy_glTexParameterxOES(target, pname, param);
}
PUBLIC PFNGLTEXPARAMETERXOESPROC epoxy_glTexParameterxOES = epoxy_glTexParameterxOES_rewrite_ptr;

static void
epoxy_glTexParameterxv_rewrite_ptr(GLenum target, GLenum pname, const GLfixed * params)
{
    epoxy_glTexParameterxv = (void *)epoxy_glTexParameterxv_resolver();
    epoxy_glTexParameterxv(target, pname, params);
}
PUBLIC PFNGLTEXPARAMETERXVPROC epoxy_glTexParameterxv = epoxy_glTexParameterxv_rewrite_ptr;

static void
epoxy_glTexParameterxvOES_rewrite_ptr(GLenum target, GLenum pname, const GLfixed * params)
{
    epoxy_glTexParameterxvOES = (void *)epoxy_glTexParameterxvOES_resolver();
    epoxy_glTexParameterxvOES(target, pname, params);
}
PUBLIC PFNGLTEXPARAMETERXVOESPROC epoxy_glTexParameterxvOES = epoxy_glTexParameterxvOES_rewrite_ptr;

static void
epoxy_glTexRenderbufferNV_rewrite_ptr(GLenum target, GLuint renderbuffer)
{
    epoxy_glTexRenderbufferNV = (void *)epoxy_glTexRenderbufferNV_resolver();
    epoxy_glTexRenderbufferNV(target, renderbuffer);
}
PUBLIC PFNGLTEXRENDERBUFFERNVPROC epoxy_glTexRenderbufferNV = epoxy_glTexRenderbufferNV_rewrite_ptr;

static void
epoxy_glTexStorage1D_rewrite_ptr(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
{
    epoxy_glTexStorage1D = (void *)epoxy_glTexStorage1D_resolver();
    epoxy_glTexStorage1D(target, levels, internalformat, width);
}
PUBLIC PFNGLTEXSTORAGE1DPROC epoxy_glTexStorage1D = epoxy_glTexStorage1D_rewrite_ptr;

static void
epoxy_glTexStorage1DEXT_rewrite_ptr(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
{
    epoxy_glTexStorage1DEXT = (void *)epoxy_glTexStorage1D_resolver();
    epoxy_glTexStorage1DEXT(target, levels, internalformat, width);
}
PUBLIC PFNGLTEXSTORAGE1DEXTPROC epoxy_glTexStorage1DEXT = epoxy_glTexStorage1DEXT_rewrite_ptr;

static void
epoxy_glTexStorage2D_rewrite_ptr(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glTexStorage2D = (void *)epoxy_glTexStorage2D_resolver();
    epoxy_glTexStorage2D(target, levels, internalformat, width, height);
}
PUBLIC PFNGLTEXSTORAGE2DPROC epoxy_glTexStorage2D = epoxy_glTexStorage2D_rewrite_ptr;

static void
epoxy_glTexStorage2DEXT_rewrite_ptr(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glTexStorage2DEXT = (void *)epoxy_glTexStorage2D_resolver();
    epoxy_glTexStorage2DEXT(target, levels, internalformat, width, height);
}
PUBLIC PFNGLTEXSTORAGE2DEXTPROC epoxy_glTexStorage2DEXT = epoxy_glTexStorage2DEXT_rewrite_ptr;

static void
epoxy_glTexStorage2DMultisample_rewrite_ptr(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    epoxy_glTexStorage2DMultisample = (void *)epoxy_glTexStorage2DMultisample_resolver();
    epoxy_glTexStorage2DMultisample(target, samples, internalformat, width, height, fixedsamplelocations);
}
PUBLIC PFNGLTEXSTORAGE2DMULTISAMPLEPROC epoxy_glTexStorage2DMultisample = epoxy_glTexStorage2DMultisample_rewrite_ptr;

static void
epoxy_glTexStorage3D_rewrite_ptr(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
{
    epoxy_glTexStorage3D = (void *)epoxy_glTexStorage3D_resolver();
    epoxy_glTexStorage3D(target, levels, internalformat, width, height, depth);
}
PUBLIC PFNGLTEXSTORAGE3DPROC epoxy_glTexStorage3D = epoxy_glTexStorage3D_rewrite_ptr;

static void
epoxy_glTexStorage3DEXT_rewrite_ptr(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
{
    epoxy_glTexStorage3DEXT = (void *)epoxy_glTexStorage3D_resolver();
    epoxy_glTexStorage3DEXT(target, levels, internalformat, width, height, depth);
}
PUBLIC PFNGLTEXSTORAGE3DEXTPROC epoxy_glTexStorage3DEXT = epoxy_glTexStorage3DEXT_rewrite_ptr;

static void
epoxy_glTexStorage3DMultisample_rewrite_ptr(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    epoxy_glTexStorage3DMultisample = (void *)epoxy_glTexStorage3DMultisample_resolver();
    epoxy_glTexStorage3DMultisample(target, samples, internalformat, width, height, depth, fixedsamplelocations);
}
PUBLIC PFNGLTEXSTORAGE3DMULTISAMPLEPROC epoxy_glTexStorage3DMultisample = epoxy_glTexStorage3DMultisample_rewrite_ptr;

static void
epoxy_glTexStorageSparseAMD_rewrite_ptr(GLenum target, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLsizei layers, GLbitfield flags)
{
    epoxy_glTexStorageSparseAMD = (void *)epoxy_glTexStorageSparseAMD_resolver();
    epoxy_glTexStorageSparseAMD(target, internalFormat, width, height, depth, layers, flags);
}
PUBLIC PFNGLTEXSTORAGESPARSEAMDPROC epoxy_glTexStorageSparseAMD = epoxy_glTexStorageSparseAMD_rewrite_ptr;

static void
epoxy_glTexSubImage1D_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexSubImage1D = (void *)epoxy_glTexSubImage1D_resolver();
    epoxy_glTexSubImage1D(target, level, xoffset, width, format, type, pixels);
}
PUBLIC PFNGLTEXSUBIMAGE1DPROC epoxy_glTexSubImage1D = epoxy_glTexSubImage1D_rewrite_ptr;

static void
epoxy_glTexSubImage1DEXT_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexSubImage1DEXT = (void *)epoxy_glTexSubImage1D_resolver();
    epoxy_glTexSubImage1DEXT(target, level, xoffset, width, format, type, pixels);
}
PUBLIC PFNGLTEXSUBIMAGE1DEXTPROC epoxy_glTexSubImage1DEXT = epoxy_glTexSubImage1DEXT_rewrite_ptr;

static void
epoxy_glTexSubImage2D_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexSubImage2D = (void *)epoxy_glTexSubImage2D_resolver();
    epoxy_glTexSubImage2D(target, level, xoffset, yoffset, width, height, format, type, pixels);
}
PUBLIC PFNGLTEXSUBIMAGE2DPROC epoxy_glTexSubImage2D = epoxy_glTexSubImage2D_rewrite_ptr;

static void
epoxy_glTexSubImage2DEXT_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexSubImage2DEXT = (void *)epoxy_glTexSubImage2D_resolver();
    epoxy_glTexSubImage2DEXT(target, level, xoffset, yoffset, width, height, format, type, pixels);
}
PUBLIC PFNGLTEXSUBIMAGE2DEXTPROC epoxy_glTexSubImage2DEXT = epoxy_glTexSubImage2DEXT_rewrite_ptr;

static void
epoxy_glTexSubImage3D_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexSubImage3D = (void *)epoxy_glTexSubImage3D_resolver();
    epoxy_glTexSubImage3D(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}
PUBLIC PFNGLTEXSUBIMAGE3DPROC epoxy_glTexSubImage3D = epoxy_glTexSubImage3D_rewrite_ptr;

static void
epoxy_glTexSubImage3DEXT_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexSubImage3DEXT = (void *)epoxy_glTexSubImage3D_resolver();
    epoxy_glTexSubImage3DEXT(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}
PUBLIC PFNGLTEXSUBIMAGE3DEXTPROC epoxy_glTexSubImage3DEXT = epoxy_glTexSubImage3DEXT_rewrite_ptr;

static void
epoxy_glTexSubImage3DOES_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexSubImage3DOES = (void *)epoxy_glTexSubImage3D_resolver();
    epoxy_glTexSubImage3DOES(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}
PUBLIC PFNGLTEXSUBIMAGE3DOESPROC epoxy_glTexSubImage3DOES = epoxy_glTexSubImage3DOES_rewrite_ptr;

static void
epoxy_glTexSubImage4DSGIS_rewrite_ptr(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint woffset, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTexSubImage4DSGIS = (void *)epoxy_glTexSubImage4DSGIS_resolver();
    epoxy_glTexSubImage4DSGIS(target, level, xoffset, yoffset, zoffset, woffset, width, height, depth, size4d, format, type, pixels);
}
PUBLIC PFNGLTEXSUBIMAGE4DSGISPROC epoxy_glTexSubImage4DSGIS = epoxy_glTexSubImage4DSGIS_rewrite_ptr;

static void
epoxy_glTextureBarrierNV_rewrite_ptr(void)
{
    epoxy_glTextureBarrierNV = (void *)epoxy_glTextureBarrierNV_resolver();
    epoxy_glTextureBarrierNV();
}
PUBLIC PFNGLTEXTUREBARRIERNVPROC epoxy_glTextureBarrierNV = epoxy_glTextureBarrierNV_rewrite_ptr;

static void
epoxy_glTextureBufferEXT_rewrite_ptr(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer)
{
    epoxy_glTextureBufferEXT = (void *)epoxy_glTextureBufferEXT_resolver();
    epoxy_glTextureBufferEXT(texture, target, internalformat, buffer);
}
PUBLIC PFNGLTEXTUREBUFFEREXTPROC epoxy_glTextureBufferEXT = epoxy_glTextureBufferEXT_rewrite_ptr;

static void
epoxy_glTextureBufferRangeEXT_rewrite_ptr(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    epoxy_glTextureBufferRangeEXT = (void *)epoxy_glTextureBufferRangeEXT_resolver();
    epoxy_glTextureBufferRangeEXT(texture, target, internalformat, buffer, offset, size);
}
PUBLIC PFNGLTEXTUREBUFFERRANGEEXTPROC epoxy_glTextureBufferRangeEXT = epoxy_glTextureBufferRangeEXT_rewrite_ptr;

static void
epoxy_glTextureColorMaskSGIS_rewrite_ptr(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
{
    epoxy_glTextureColorMaskSGIS = (void *)epoxy_glTextureColorMaskSGIS_resolver();
    epoxy_glTextureColorMaskSGIS(red, green, blue, alpha);
}
PUBLIC PFNGLTEXTURECOLORMASKSGISPROC epoxy_glTextureColorMaskSGIS = epoxy_glTextureColorMaskSGIS_rewrite_ptr;

static void
epoxy_glTextureImage1DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTextureImage1DEXT = (void *)epoxy_glTextureImage1DEXT_resolver();
    epoxy_glTextureImage1DEXT(texture, target, level, internalformat, width, border, format, type, pixels);
}
PUBLIC PFNGLTEXTUREIMAGE1DEXTPROC epoxy_glTextureImage1DEXT = epoxy_glTextureImage1DEXT_rewrite_ptr;

static void
epoxy_glTextureImage2DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTextureImage2DEXT = (void *)epoxy_glTextureImage2DEXT_resolver();
    epoxy_glTextureImage2DEXT(texture, target, level, internalformat, width, height, border, format, type, pixels);
}
PUBLIC PFNGLTEXTUREIMAGE2DEXTPROC epoxy_glTextureImage2DEXT = epoxy_glTextureImage2DEXT_rewrite_ptr;

static void
epoxy_glTextureImage2DMultisampleCoverageNV_rewrite_ptr(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
{
    epoxy_glTextureImage2DMultisampleCoverageNV = (void *)epoxy_glTextureImage2DMultisampleCoverageNV_resolver();
    epoxy_glTextureImage2DMultisampleCoverageNV(texture, target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations);
}
PUBLIC PFNGLTEXTUREIMAGE2DMULTISAMPLECOVERAGENVPROC epoxy_glTextureImage2DMultisampleCoverageNV = epoxy_glTextureImage2DMultisampleCoverageNV_rewrite_ptr;

static void
epoxy_glTextureImage2DMultisampleNV_rewrite_ptr(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
{
    epoxy_glTextureImage2DMultisampleNV = (void *)epoxy_glTextureImage2DMultisampleNV_resolver();
    epoxy_glTextureImage2DMultisampleNV(texture, target, samples, internalFormat, width, height, fixedSampleLocations);
}
PUBLIC PFNGLTEXTUREIMAGE2DMULTISAMPLENVPROC epoxy_glTextureImage2DMultisampleNV = epoxy_glTextureImage2DMultisampleNV_rewrite_ptr;

static void
epoxy_glTextureImage3DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTextureImage3DEXT = (void *)epoxy_glTextureImage3DEXT_resolver();
    epoxy_glTextureImage3DEXT(texture, target, level, internalformat, width, height, depth, border, format, type, pixels);
}
PUBLIC PFNGLTEXTUREIMAGE3DEXTPROC epoxy_glTextureImage3DEXT = epoxy_glTextureImage3DEXT_rewrite_ptr;

static void
epoxy_glTextureImage3DMultisampleCoverageNV_rewrite_ptr(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
{
    epoxy_glTextureImage3DMultisampleCoverageNV = (void *)epoxy_glTextureImage3DMultisampleCoverageNV_resolver();
    epoxy_glTextureImage3DMultisampleCoverageNV(texture, target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations);
}
PUBLIC PFNGLTEXTUREIMAGE3DMULTISAMPLECOVERAGENVPROC epoxy_glTextureImage3DMultisampleCoverageNV = epoxy_glTextureImage3DMultisampleCoverageNV_rewrite_ptr;

static void
epoxy_glTextureImage3DMultisampleNV_rewrite_ptr(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
{
    epoxy_glTextureImage3DMultisampleNV = (void *)epoxy_glTextureImage3DMultisampleNV_resolver();
    epoxy_glTextureImage3DMultisampleNV(texture, target, samples, internalFormat, width, height, depth, fixedSampleLocations);
}
PUBLIC PFNGLTEXTUREIMAGE3DMULTISAMPLENVPROC epoxy_glTextureImage3DMultisampleNV = epoxy_glTextureImage3DMultisampleNV_rewrite_ptr;

static void
epoxy_glTextureLightEXT_rewrite_ptr(GLenum pname)
{
    epoxy_glTextureLightEXT = (void *)epoxy_glTextureLightEXT_resolver();
    epoxy_glTextureLightEXT(pname);
}
PUBLIC PFNGLTEXTURELIGHTEXTPROC epoxy_glTextureLightEXT = epoxy_glTextureLightEXT_rewrite_ptr;

static void
epoxy_glTextureMaterialEXT_rewrite_ptr(GLenum face, GLenum mode)
{
    epoxy_glTextureMaterialEXT = (void *)epoxy_glTextureMaterialEXT_resolver();
    epoxy_glTextureMaterialEXT(face, mode);
}
PUBLIC PFNGLTEXTUREMATERIALEXTPROC epoxy_glTextureMaterialEXT = epoxy_glTextureMaterialEXT_rewrite_ptr;

static void
epoxy_glTextureNormalEXT_rewrite_ptr(GLenum mode)
{
    epoxy_glTextureNormalEXT = (void *)epoxy_glTextureNormalEXT_resolver();
    epoxy_glTextureNormalEXT(mode);
}
PUBLIC PFNGLTEXTURENORMALEXTPROC epoxy_glTextureNormalEXT = epoxy_glTextureNormalEXT_rewrite_ptr;

static void
epoxy_glTexturePageCommitmentEXT_rewrite_ptr(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLboolean resident)
{
    epoxy_glTexturePageCommitmentEXT = (void *)epoxy_glTexturePageCommitmentEXT_resolver();
    epoxy_glTexturePageCommitmentEXT(texture, level, xoffset, yoffset, zoffset, width, height, depth, resident);
}
PUBLIC PFNGLTEXTUREPAGECOMMITMENTEXTPROC epoxy_glTexturePageCommitmentEXT = epoxy_glTexturePageCommitmentEXT_rewrite_ptr;

static void
epoxy_glTextureParameterIivEXT_rewrite_ptr(GLuint texture, GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glTextureParameterIivEXT = (void *)epoxy_glTextureParameterIivEXT_resolver();
    epoxy_glTextureParameterIivEXT(texture, target, pname, params);
}
PUBLIC PFNGLTEXTUREPARAMETERIIVEXTPROC epoxy_glTextureParameterIivEXT = epoxy_glTextureParameterIivEXT_rewrite_ptr;

static void
epoxy_glTextureParameterIuivEXT_rewrite_ptr(GLuint texture, GLenum target, GLenum pname, const GLuint * params)
{
    epoxy_glTextureParameterIuivEXT = (void *)epoxy_glTextureParameterIuivEXT_resolver();
    epoxy_glTextureParameterIuivEXT(texture, target, pname, params);
}
PUBLIC PFNGLTEXTUREPARAMETERIUIVEXTPROC epoxy_glTextureParameterIuivEXT = epoxy_glTextureParameterIuivEXT_rewrite_ptr;

static void
epoxy_glTextureParameterfEXT_rewrite_ptr(GLuint texture, GLenum target, GLenum pname, GLfloat param)
{
    epoxy_glTextureParameterfEXT = (void *)epoxy_glTextureParameterfEXT_resolver();
    epoxy_glTextureParameterfEXT(texture, target, pname, param);
}
PUBLIC PFNGLTEXTUREPARAMETERFEXTPROC epoxy_glTextureParameterfEXT = epoxy_glTextureParameterfEXT_rewrite_ptr;

static void
epoxy_glTextureParameterfvEXT_rewrite_ptr(GLuint texture, GLenum target, GLenum pname, const GLfloat * params)
{
    epoxy_glTextureParameterfvEXT = (void *)epoxy_glTextureParameterfvEXT_resolver();
    epoxy_glTextureParameterfvEXT(texture, target, pname, params);
}
PUBLIC PFNGLTEXTUREPARAMETERFVEXTPROC epoxy_glTextureParameterfvEXT = epoxy_glTextureParameterfvEXT_rewrite_ptr;

static void
epoxy_glTextureParameteriEXT_rewrite_ptr(GLuint texture, GLenum target, GLenum pname, GLint param)
{
    epoxy_glTextureParameteriEXT = (void *)epoxy_glTextureParameteriEXT_resolver();
    epoxy_glTextureParameteriEXT(texture, target, pname, param);
}
PUBLIC PFNGLTEXTUREPARAMETERIEXTPROC epoxy_glTextureParameteriEXT = epoxy_glTextureParameteriEXT_rewrite_ptr;

static void
epoxy_glTextureParameterivEXT_rewrite_ptr(GLuint texture, GLenum target, GLenum pname, const GLint * params)
{
    epoxy_glTextureParameterivEXT = (void *)epoxy_glTextureParameterivEXT_resolver();
    epoxy_glTextureParameterivEXT(texture, target, pname, params);
}
PUBLIC PFNGLTEXTUREPARAMETERIVEXTPROC epoxy_glTextureParameterivEXT = epoxy_glTextureParameterivEXT_rewrite_ptr;

static void
epoxy_glTextureRangeAPPLE_rewrite_ptr(GLenum target, GLsizei length, const void * pointer)
{
    epoxy_glTextureRangeAPPLE = (void *)epoxy_glTextureRangeAPPLE_resolver();
    epoxy_glTextureRangeAPPLE(target, length, pointer);
}
PUBLIC PFNGLTEXTURERANGEAPPLEPROC epoxy_glTextureRangeAPPLE = epoxy_glTextureRangeAPPLE_rewrite_ptr;

static void
epoxy_glTextureRenderbufferEXT_rewrite_ptr(GLuint texture, GLenum target, GLuint renderbuffer)
{
    epoxy_glTextureRenderbufferEXT = (void *)epoxy_glTextureRenderbufferEXT_resolver();
    epoxy_glTextureRenderbufferEXT(texture, target, renderbuffer);
}
PUBLIC PFNGLTEXTURERENDERBUFFEREXTPROC epoxy_glTextureRenderbufferEXT = epoxy_glTextureRenderbufferEXT_rewrite_ptr;

static void
epoxy_glTextureStorage1DEXT_rewrite_ptr(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
{
    epoxy_glTextureStorage1DEXT = (void *)epoxy_glTextureStorage1DEXT_resolver();
    epoxy_glTextureStorage1DEXT(texture, target, levels, internalformat, width);
}
PUBLIC PFNGLTEXTURESTORAGE1DEXTPROC epoxy_glTextureStorage1DEXT = epoxy_glTextureStorage1DEXT_rewrite_ptr;

static void
epoxy_glTextureStorage2DEXT_rewrite_ptr(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
{
    epoxy_glTextureStorage2DEXT = (void *)epoxy_glTextureStorage2DEXT_resolver();
    epoxy_glTextureStorage2DEXT(texture, target, levels, internalformat, width, height);
}
PUBLIC PFNGLTEXTURESTORAGE2DEXTPROC epoxy_glTextureStorage2DEXT = epoxy_glTextureStorage2DEXT_rewrite_ptr;

static void
epoxy_glTextureStorage2DMultisampleEXT_rewrite_ptr(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    epoxy_glTextureStorage2DMultisampleEXT = (void *)epoxy_glTextureStorage2DMultisampleEXT_resolver();
    epoxy_glTextureStorage2DMultisampleEXT(texture, target, samples, internalformat, width, height, fixedsamplelocations);
}
PUBLIC PFNGLTEXTURESTORAGE2DMULTISAMPLEEXTPROC epoxy_glTextureStorage2DMultisampleEXT = epoxy_glTextureStorage2DMultisampleEXT_rewrite_ptr;

static void
epoxy_glTextureStorage3DEXT_rewrite_ptr(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
{
    epoxy_glTextureStorage3DEXT = (void *)epoxy_glTextureStorage3DEXT_resolver();
    epoxy_glTextureStorage3DEXT(texture, target, levels, internalformat, width, height, depth);
}
PUBLIC PFNGLTEXTURESTORAGE3DEXTPROC epoxy_glTextureStorage3DEXT = epoxy_glTextureStorage3DEXT_rewrite_ptr;

static void
epoxy_glTextureStorage3DMultisampleEXT_rewrite_ptr(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    epoxy_glTextureStorage3DMultisampleEXT = (void *)epoxy_glTextureStorage3DMultisampleEXT_resolver();
    epoxy_glTextureStorage3DMultisampleEXT(texture, target, samples, internalformat, width, height, depth, fixedsamplelocations);
}
PUBLIC PFNGLTEXTURESTORAGE3DMULTISAMPLEEXTPROC epoxy_glTextureStorage3DMultisampleEXT = epoxy_glTextureStorage3DMultisampleEXT_rewrite_ptr;

static void
epoxy_glTextureStorageSparseAMD_rewrite_ptr(GLuint texture, GLenum target, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLsizei layers, GLbitfield flags)
{
    epoxy_glTextureStorageSparseAMD = (void *)epoxy_glTextureStorageSparseAMD_resolver();
    epoxy_glTextureStorageSparseAMD(texture, target, internalFormat, width, height, depth, layers, flags);
}
PUBLIC PFNGLTEXTURESTORAGESPARSEAMDPROC epoxy_glTextureStorageSparseAMD = epoxy_glTextureStorageSparseAMD_rewrite_ptr;

static void
epoxy_glTextureSubImage1DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTextureSubImage1DEXT = (void *)epoxy_glTextureSubImage1DEXT_resolver();
    epoxy_glTextureSubImage1DEXT(texture, target, level, xoffset, width, format, type, pixels);
}
PUBLIC PFNGLTEXTURESUBIMAGE1DEXTPROC epoxy_glTextureSubImage1DEXT = epoxy_glTextureSubImage1DEXT_rewrite_ptr;

static void
epoxy_glTextureSubImage2DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTextureSubImage2DEXT = (void *)epoxy_glTextureSubImage2DEXT_resolver();
    epoxy_glTextureSubImage2DEXT(texture, target, level, xoffset, yoffset, width, height, format, type, pixels);
}
PUBLIC PFNGLTEXTURESUBIMAGE2DEXTPROC epoxy_glTextureSubImage2DEXT = epoxy_glTextureSubImage2DEXT_rewrite_ptr;

static void
epoxy_glTextureSubImage3DEXT_rewrite_ptr(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels)
{
    epoxy_glTextureSubImage3DEXT = (void *)epoxy_glTextureSubImage3DEXT_resolver();
    epoxy_glTextureSubImage3DEXT(texture, target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
}
PUBLIC PFNGLTEXTURESUBIMAGE3DEXTPROC epoxy_glTextureSubImage3DEXT = epoxy_glTextureSubImage3DEXT_rewrite_ptr;

static void
epoxy_glTextureView_rewrite_ptr(GLuint texture, GLenum target, GLuint origtexture, GLenum internalformat, GLuint minlevel, GLuint numlevels, GLuint minlayer, GLuint numlayers)
{
    epoxy_glTextureView = (void *)epoxy_glTextureView_resolver();
    epoxy_glTextureView(texture, target, origtexture, internalformat, minlevel, numlevels, minlayer, numlayers);
}
PUBLIC PFNGLTEXTUREVIEWPROC epoxy_glTextureView = epoxy_glTextureView_rewrite_ptr;

static void
epoxy_glTrackMatrixNV_rewrite_ptr(GLenum target, GLuint address, GLenum matrix, GLenum transform)
{
    epoxy_glTrackMatrixNV = (void *)epoxy_glTrackMatrixNV_resolver();
    epoxy_glTrackMatrixNV(target, address, matrix, transform);
}
PUBLIC PFNGLTRACKMATRIXNVPROC epoxy_glTrackMatrixNV = epoxy_glTrackMatrixNV_rewrite_ptr;

static void
epoxy_glTransformFeedbackAttribsNV_rewrite_ptr(GLuint count, const GLint * attribs, GLenum bufferMode)
{
    epoxy_glTransformFeedbackAttribsNV = (void *)epoxy_glTransformFeedbackAttribsNV_resolver();
    epoxy_glTransformFeedbackAttribsNV(count, attribs, bufferMode);
}
PUBLIC PFNGLTRANSFORMFEEDBACKATTRIBSNVPROC epoxy_glTransformFeedbackAttribsNV = epoxy_glTransformFeedbackAttribsNV_rewrite_ptr;

static void
epoxy_glTransformFeedbackStreamAttribsNV_rewrite_ptr(GLsizei count, const GLint * attribs, GLsizei nbuffers, const GLint * bufstreams, GLenum bufferMode)
{
    epoxy_glTransformFeedbackStreamAttribsNV = (void *)epoxy_glTransformFeedbackStreamAttribsNV_resolver();
    epoxy_glTransformFeedbackStreamAttribsNV(count, attribs, nbuffers, bufstreams, bufferMode);
}
PUBLIC PFNGLTRANSFORMFEEDBACKSTREAMATTRIBSNVPROC epoxy_glTransformFeedbackStreamAttribsNV = epoxy_glTransformFeedbackStreamAttribsNV_rewrite_ptr;

static void
epoxy_glTransformFeedbackVaryings_rewrite_ptr(GLuint program, GLsizei count, const GLchar *const* varyings, GLenum bufferMode)
{
    epoxy_glTransformFeedbackVaryings = (void *)epoxy_glTransformFeedbackVaryings_resolver();
    epoxy_glTransformFeedbackVaryings(program, count, varyings, bufferMode);
}
PUBLIC PFNGLTRANSFORMFEEDBACKVARYINGSPROC epoxy_glTransformFeedbackVaryings = epoxy_glTransformFeedbackVaryings_rewrite_ptr;

static void
epoxy_glTransformFeedbackVaryingsEXT_rewrite_ptr(GLuint program, GLsizei count, const GLchar *const* varyings, GLenum bufferMode)
{
    epoxy_glTransformFeedbackVaryingsEXT = (void *)epoxy_glTransformFeedbackVaryings_resolver();
    epoxy_glTransformFeedbackVaryingsEXT(program, count, varyings, bufferMode);
}
PUBLIC PFNGLTRANSFORMFEEDBACKVARYINGSEXTPROC epoxy_glTransformFeedbackVaryingsEXT = epoxy_glTransformFeedbackVaryingsEXT_rewrite_ptr;

static void
epoxy_glTransformFeedbackVaryingsNV_rewrite_ptr(GLuint program, GLsizei count, const GLint * locations, GLenum bufferMode)
{
    epoxy_glTransformFeedbackVaryingsNV = (void *)epoxy_glTransformFeedbackVaryingsNV_resolver();
    epoxy_glTransformFeedbackVaryingsNV(program, count, locations, bufferMode);
}
PUBLIC PFNGLTRANSFORMFEEDBACKVARYINGSNVPROC epoxy_glTransformFeedbackVaryingsNV = epoxy_glTransformFeedbackVaryingsNV_rewrite_ptr;

static void
epoxy_glTransformPathNV_rewrite_ptr(GLuint resultPath, GLuint srcPath, GLenum transformType, const GLfloat * transformValues)
{
    epoxy_glTransformPathNV = (void *)epoxy_glTransformPathNV_resolver();
    epoxy_glTransformPathNV(resultPath, srcPath, transformType, transformValues);
}
PUBLIC PFNGLTRANSFORMPATHNVPROC epoxy_glTransformPathNV = epoxy_glTransformPathNV_rewrite_ptr;

static void
epoxy_glTranslated_rewrite_ptr(GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glTranslated = (void *)epoxy_glTranslated_resolver();
    epoxy_glTranslated(x, y, z);
}
PUBLIC PFNGLTRANSLATEDPROC epoxy_glTranslated = epoxy_glTranslated_rewrite_ptr;

static void
epoxy_glTranslatef_rewrite_ptr(GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glTranslatef = (void *)epoxy_glTranslatef_resolver();
    epoxy_glTranslatef(x, y, z);
}
PUBLIC PFNGLTRANSLATEFPROC epoxy_glTranslatef = epoxy_glTranslatef_rewrite_ptr;

static void
epoxy_glTranslatex_rewrite_ptr(GLfixed x, GLfixed y, GLfixed z)
{
    epoxy_glTranslatex = (void *)epoxy_glTranslatex_resolver();
    epoxy_glTranslatex(x, y, z);
}
PUBLIC PFNGLTRANSLATEXPROC epoxy_glTranslatex = epoxy_glTranslatex_rewrite_ptr;

static void
epoxy_glTranslatexOES_rewrite_ptr(GLfixed x, GLfixed y, GLfixed z)
{
    epoxy_glTranslatexOES = (void *)epoxy_glTranslatexOES_resolver();
    epoxy_glTranslatexOES(x, y, z);
}
PUBLIC PFNGLTRANSLATEXOESPROC epoxy_glTranslatexOES = epoxy_glTranslatexOES_rewrite_ptr;

static void
epoxy_glUniform1d_rewrite_ptr(GLint location, GLdouble x)
{
    epoxy_glUniform1d = (void *)epoxy_glUniform1d_resolver();
    epoxy_glUniform1d(location, x);
}
PUBLIC PFNGLUNIFORM1DPROC epoxy_glUniform1d = epoxy_glUniform1d_rewrite_ptr;

static void
epoxy_glUniform1dv_rewrite_ptr(GLint location, GLsizei count, const GLdouble * value)
{
    epoxy_glUniform1dv = (void *)epoxy_glUniform1dv_resolver();
    epoxy_glUniform1dv(location, count, value);
}
PUBLIC PFNGLUNIFORM1DVPROC epoxy_glUniform1dv = epoxy_glUniform1dv_rewrite_ptr;

static void
epoxy_glUniform1f_rewrite_ptr(GLint location, GLfloat v0)
{
    epoxy_glUniform1f = (void *)epoxy_glUniform1f_resolver();
    epoxy_glUniform1f(location, v0);
}
PUBLIC PFNGLUNIFORM1FPROC epoxy_glUniform1f = epoxy_glUniform1f_rewrite_ptr;

static void
epoxy_glUniform1fARB_rewrite_ptr(GLint location, GLfloat v0)
{
    epoxy_glUniform1fARB = (void *)epoxy_glUniform1f_resolver();
    epoxy_glUniform1fARB(location, v0);
}
PUBLIC PFNGLUNIFORM1FARBPROC epoxy_glUniform1fARB = epoxy_glUniform1fARB_rewrite_ptr;

static void
epoxy_glUniform1fv_rewrite_ptr(GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glUniform1fv = (void *)epoxy_glUniform1fv_resolver();
    epoxy_glUniform1fv(location, count, value);
}
PUBLIC PFNGLUNIFORM1FVPROC epoxy_glUniform1fv = epoxy_glUniform1fv_rewrite_ptr;

static void
epoxy_glUniform1fvARB_rewrite_ptr(GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glUniform1fvARB = (void *)epoxy_glUniform1fv_resolver();
    epoxy_glUniform1fvARB(location, count, value);
}
PUBLIC PFNGLUNIFORM1FVARBPROC epoxy_glUniform1fvARB = epoxy_glUniform1fvARB_rewrite_ptr;

static void
epoxy_glUniform1i_rewrite_ptr(GLint location, GLint v0)
{
    epoxy_glUniform1i = (void *)epoxy_glUniform1i_resolver();
    epoxy_glUniform1i(location, v0);
}
PUBLIC PFNGLUNIFORM1IPROC epoxy_glUniform1i = epoxy_glUniform1i_rewrite_ptr;

static void
epoxy_glUniform1i64NV_rewrite_ptr(GLint location, GLint64EXT x)
{
    epoxy_glUniform1i64NV = (void *)epoxy_glUniform1i64NV_resolver();
    epoxy_glUniform1i64NV(location, x);
}
PUBLIC PFNGLUNIFORM1I64NVPROC epoxy_glUniform1i64NV = epoxy_glUniform1i64NV_rewrite_ptr;

static void
epoxy_glUniform1i64vNV_rewrite_ptr(GLint location, GLsizei count, const GLint64EXT * value)
{
    epoxy_glUniform1i64vNV = (void *)epoxy_glUniform1i64vNV_resolver();
    epoxy_glUniform1i64vNV(location, count, value);
}
PUBLIC PFNGLUNIFORM1I64VNVPROC epoxy_glUniform1i64vNV = epoxy_glUniform1i64vNV_rewrite_ptr;

static void
epoxy_glUniform1iARB_rewrite_ptr(GLint location, GLint v0)
{
    epoxy_glUniform1iARB = (void *)epoxy_glUniform1i_resolver();
    epoxy_glUniform1iARB(location, v0);
}
PUBLIC PFNGLUNIFORM1IARBPROC epoxy_glUniform1iARB = epoxy_glUniform1iARB_rewrite_ptr;

static void
epoxy_glUniform1iv_rewrite_ptr(GLint location, GLsizei count, const GLint * value)
{
    epoxy_glUniform1iv = (void *)epoxy_glUniform1iv_resolver();
    epoxy_glUniform1iv(location, count, value);
}
PUBLIC PFNGLUNIFORM1IVPROC epoxy_glUniform1iv = epoxy_glUniform1iv_rewrite_ptr;

static void
epoxy_glUniform1ivARB_rewrite_ptr(GLint location, GLsizei count, const GLint * value)
{
    epoxy_glUniform1ivARB = (void *)epoxy_glUniform1iv_resolver();
    epoxy_glUniform1ivARB(location, count, value);
}
PUBLIC PFNGLUNIFORM1IVARBPROC epoxy_glUniform1ivARB = epoxy_glUniform1ivARB_rewrite_ptr;

static void
epoxy_glUniform1ui_rewrite_ptr(GLint location, GLuint v0)
{
    epoxy_glUniform1ui = (void *)epoxy_glUniform1ui_resolver();
    epoxy_glUniform1ui(location, v0);
}
PUBLIC PFNGLUNIFORM1UIPROC epoxy_glUniform1ui = epoxy_glUniform1ui_rewrite_ptr;

static void
epoxy_glUniform1ui64NV_rewrite_ptr(GLint location, GLuint64EXT x)
{
    epoxy_glUniform1ui64NV = (void *)epoxy_glUniform1ui64NV_resolver();
    epoxy_glUniform1ui64NV(location, x);
}
PUBLIC PFNGLUNIFORM1UI64NVPROC epoxy_glUniform1ui64NV = epoxy_glUniform1ui64NV_rewrite_ptr;

static void
epoxy_glUniform1ui64vNV_rewrite_ptr(GLint location, GLsizei count, const GLuint64EXT * value)
{
    epoxy_glUniform1ui64vNV = (void *)epoxy_glUniform1ui64vNV_resolver();
    epoxy_glUniform1ui64vNV(location, count, value);
}
PUBLIC PFNGLUNIFORM1UI64VNVPROC epoxy_glUniform1ui64vNV = epoxy_glUniform1ui64vNV_rewrite_ptr;

static void
epoxy_glUniform1uiEXT_rewrite_ptr(GLint location, GLuint v0)
{
    epoxy_glUniform1uiEXT = (void *)epoxy_glUniform1ui_resolver();
    epoxy_glUniform1uiEXT(location, v0);
}
PUBLIC PFNGLUNIFORM1UIEXTPROC epoxy_glUniform1uiEXT = epoxy_glUniform1uiEXT_rewrite_ptr;

static void
epoxy_glUniform1uiv_rewrite_ptr(GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glUniform1uiv = (void *)epoxy_glUniform1uiv_resolver();
    epoxy_glUniform1uiv(location, count, value);
}
PUBLIC PFNGLUNIFORM1UIVPROC epoxy_glUniform1uiv = epoxy_glUniform1uiv_rewrite_ptr;

static void
epoxy_glUniform1uivEXT_rewrite_ptr(GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glUniform1uivEXT = (void *)epoxy_glUniform1uiv_resolver();
    epoxy_glUniform1uivEXT(location, count, value);
}
PUBLIC PFNGLUNIFORM1UIVEXTPROC epoxy_glUniform1uivEXT = epoxy_glUniform1uivEXT_rewrite_ptr;

static void
epoxy_glUniform2d_rewrite_ptr(GLint location, GLdouble x, GLdouble y)
{
    epoxy_glUniform2d = (void *)epoxy_glUniform2d_resolver();
    epoxy_glUniform2d(location, x, y);
}
PUBLIC PFNGLUNIFORM2DPROC epoxy_glUniform2d = epoxy_glUniform2d_rewrite_ptr;

static void
epoxy_glUniform2dv_rewrite_ptr(GLint location, GLsizei count, const GLdouble * value)
{
    epoxy_glUniform2dv = (void *)epoxy_glUniform2dv_resolver();
    epoxy_glUniform2dv(location, count, value);
}
PUBLIC PFNGLUNIFORM2DVPROC epoxy_glUniform2dv = epoxy_glUniform2dv_rewrite_ptr;

static void
epoxy_glUniform2f_rewrite_ptr(GLint location, GLfloat v0, GLfloat v1)
{
    epoxy_glUniform2f = (void *)epoxy_glUniform2f_resolver();
    epoxy_glUniform2f(location, v0, v1);
}
PUBLIC PFNGLUNIFORM2FPROC epoxy_glUniform2f = epoxy_glUniform2f_rewrite_ptr;

static void
epoxy_glUniform2fARB_rewrite_ptr(GLint location, GLfloat v0, GLfloat v1)
{
    epoxy_glUniform2fARB = (void *)epoxy_glUniform2f_resolver();
    epoxy_glUniform2fARB(location, v0, v1);
}
PUBLIC PFNGLUNIFORM2FARBPROC epoxy_glUniform2fARB = epoxy_glUniform2fARB_rewrite_ptr;

static void
epoxy_glUniform2fv_rewrite_ptr(GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glUniform2fv = (void *)epoxy_glUniform2fv_resolver();
    epoxy_glUniform2fv(location, count, value);
}
PUBLIC PFNGLUNIFORM2FVPROC epoxy_glUniform2fv = epoxy_glUniform2fv_rewrite_ptr;

static void
epoxy_glUniform2fvARB_rewrite_ptr(GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glUniform2fvARB = (void *)epoxy_glUniform2fv_resolver();
    epoxy_glUniform2fvARB(location, count, value);
}
PUBLIC PFNGLUNIFORM2FVARBPROC epoxy_glUniform2fvARB = epoxy_glUniform2fvARB_rewrite_ptr;

static void
epoxy_glUniform2i_rewrite_ptr(GLint location, GLint v0, GLint v1)
{
    epoxy_glUniform2i = (void *)epoxy_glUniform2i_resolver();
    epoxy_glUniform2i(location, v0, v1);
}
PUBLIC PFNGLUNIFORM2IPROC epoxy_glUniform2i = epoxy_glUniform2i_rewrite_ptr;

static void
epoxy_glUniform2i64NV_rewrite_ptr(GLint location, GLint64EXT x, GLint64EXT y)
{
    epoxy_glUniform2i64NV = (void *)epoxy_glUniform2i64NV_resolver();
    epoxy_glUniform2i64NV(location, x, y);
}
PUBLIC PFNGLUNIFORM2I64NVPROC epoxy_glUniform2i64NV = epoxy_glUniform2i64NV_rewrite_ptr;

static void
epoxy_glUniform2i64vNV_rewrite_ptr(GLint location, GLsizei count, const GLint64EXT * value)
{
    epoxy_glUniform2i64vNV = (void *)epoxy_glUniform2i64vNV_resolver();
    epoxy_glUniform2i64vNV(location, count, value);
}
PUBLIC PFNGLUNIFORM2I64VNVPROC epoxy_glUniform2i64vNV = epoxy_glUniform2i64vNV_rewrite_ptr;

static void
epoxy_glUniform2iARB_rewrite_ptr(GLint location, GLint v0, GLint v1)
{
    epoxy_glUniform2iARB = (void *)epoxy_glUniform2i_resolver();
    epoxy_glUniform2iARB(location, v0, v1);
}
PUBLIC PFNGLUNIFORM2IARBPROC epoxy_glUniform2iARB = epoxy_glUniform2iARB_rewrite_ptr;

static void
epoxy_glUniform2iv_rewrite_ptr(GLint location, GLsizei count, const GLint * value)
{
    epoxy_glUniform2iv = (void *)epoxy_glUniform2iv_resolver();
    epoxy_glUniform2iv(location, count, value);
}
PUBLIC PFNGLUNIFORM2IVPROC epoxy_glUniform2iv = epoxy_glUniform2iv_rewrite_ptr;

static void
epoxy_glUniform2ivARB_rewrite_ptr(GLint location, GLsizei count, const GLint * value)
{
    epoxy_glUniform2ivARB = (void *)epoxy_glUniform2iv_resolver();
    epoxy_glUniform2ivARB(location, count, value);
}
PUBLIC PFNGLUNIFORM2IVARBPROC epoxy_glUniform2ivARB = epoxy_glUniform2ivARB_rewrite_ptr;

static void
epoxy_glUniform2ui_rewrite_ptr(GLint location, GLuint v0, GLuint v1)
{
    epoxy_glUniform2ui = (void *)epoxy_glUniform2ui_resolver();
    epoxy_glUniform2ui(location, v0, v1);
}
PUBLIC PFNGLUNIFORM2UIPROC epoxy_glUniform2ui = epoxy_glUniform2ui_rewrite_ptr;

static void
epoxy_glUniform2ui64NV_rewrite_ptr(GLint location, GLuint64EXT x, GLuint64EXT y)
{
    epoxy_glUniform2ui64NV = (void *)epoxy_glUniform2ui64NV_resolver();
    epoxy_glUniform2ui64NV(location, x, y);
}
PUBLIC PFNGLUNIFORM2UI64NVPROC epoxy_glUniform2ui64NV = epoxy_glUniform2ui64NV_rewrite_ptr;

static void
epoxy_glUniform2ui64vNV_rewrite_ptr(GLint location, GLsizei count, const GLuint64EXT * value)
{
    epoxy_glUniform2ui64vNV = (void *)epoxy_glUniform2ui64vNV_resolver();
    epoxy_glUniform2ui64vNV(location, count, value);
}
PUBLIC PFNGLUNIFORM2UI64VNVPROC epoxy_glUniform2ui64vNV = epoxy_glUniform2ui64vNV_rewrite_ptr;

static void
epoxy_glUniform2uiEXT_rewrite_ptr(GLint location, GLuint v0, GLuint v1)
{
    epoxy_glUniform2uiEXT = (void *)epoxy_glUniform2ui_resolver();
    epoxy_glUniform2uiEXT(location, v0, v1);
}
PUBLIC PFNGLUNIFORM2UIEXTPROC epoxy_glUniform2uiEXT = epoxy_glUniform2uiEXT_rewrite_ptr;

static void
epoxy_glUniform2uiv_rewrite_ptr(GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glUniform2uiv = (void *)epoxy_glUniform2uiv_resolver();
    epoxy_glUniform2uiv(location, count, value);
}
PUBLIC PFNGLUNIFORM2UIVPROC epoxy_glUniform2uiv = epoxy_glUniform2uiv_rewrite_ptr;

static void
epoxy_glUniform2uivEXT_rewrite_ptr(GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glUniform2uivEXT = (void *)epoxy_glUniform2uiv_resolver();
    epoxy_glUniform2uivEXT(location, count, value);
}
PUBLIC PFNGLUNIFORM2UIVEXTPROC epoxy_glUniform2uivEXT = epoxy_glUniform2uivEXT_rewrite_ptr;

static void
epoxy_glUniform3d_rewrite_ptr(GLint location, GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glUniform3d = (void *)epoxy_glUniform3d_resolver();
    epoxy_glUniform3d(location, x, y, z);
}
PUBLIC PFNGLUNIFORM3DPROC epoxy_glUniform3d = epoxy_glUniform3d_rewrite_ptr;

static void
epoxy_glUniform3dv_rewrite_ptr(GLint location, GLsizei count, const GLdouble * value)
{
    epoxy_glUniform3dv = (void *)epoxy_glUniform3dv_resolver();
    epoxy_glUniform3dv(location, count, value);
}
PUBLIC PFNGLUNIFORM3DVPROC epoxy_glUniform3dv = epoxy_glUniform3dv_rewrite_ptr;

static void
epoxy_glUniform3f_rewrite_ptr(GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    epoxy_glUniform3f = (void *)epoxy_glUniform3f_resolver();
    epoxy_glUniform3f(location, v0, v1, v2);
}
PUBLIC PFNGLUNIFORM3FPROC epoxy_glUniform3f = epoxy_glUniform3f_rewrite_ptr;

static void
epoxy_glUniform3fARB_rewrite_ptr(GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    epoxy_glUniform3fARB = (void *)epoxy_glUniform3f_resolver();
    epoxy_glUniform3fARB(location, v0, v1, v2);
}
PUBLIC PFNGLUNIFORM3FARBPROC epoxy_glUniform3fARB = epoxy_glUniform3fARB_rewrite_ptr;

static void
epoxy_glUniform3fv_rewrite_ptr(GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glUniform3fv = (void *)epoxy_glUniform3fv_resolver();
    epoxy_glUniform3fv(location, count, value);
}
PUBLIC PFNGLUNIFORM3FVPROC epoxy_glUniform3fv = epoxy_glUniform3fv_rewrite_ptr;

static void
epoxy_glUniform3fvARB_rewrite_ptr(GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glUniform3fvARB = (void *)epoxy_glUniform3fv_resolver();
    epoxy_glUniform3fvARB(location, count, value);
}
PUBLIC PFNGLUNIFORM3FVARBPROC epoxy_glUniform3fvARB = epoxy_glUniform3fvARB_rewrite_ptr;

static void
epoxy_glUniform3i_rewrite_ptr(GLint location, GLint v0, GLint v1, GLint v2)
{
    epoxy_glUniform3i = (void *)epoxy_glUniform3i_resolver();
    epoxy_glUniform3i(location, v0, v1, v2);
}
PUBLIC PFNGLUNIFORM3IPROC epoxy_glUniform3i = epoxy_glUniform3i_rewrite_ptr;

static void
epoxy_glUniform3i64NV_rewrite_ptr(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)
{
    epoxy_glUniform3i64NV = (void *)epoxy_glUniform3i64NV_resolver();
    epoxy_glUniform3i64NV(location, x, y, z);
}
PUBLIC PFNGLUNIFORM3I64NVPROC epoxy_glUniform3i64NV = epoxy_glUniform3i64NV_rewrite_ptr;

static void
epoxy_glUniform3i64vNV_rewrite_ptr(GLint location, GLsizei count, const GLint64EXT * value)
{
    epoxy_glUniform3i64vNV = (void *)epoxy_glUniform3i64vNV_resolver();
    epoxy_glUniform3i64vNV(location, count, value);
}
PUBLIC PFNGLUNIFORM3I64VNVPROC epoxy_glUniform3i64vNV = epoxy_glUniform3i64vNV_rewrite_ptr;

static void
epoxy_glUniform3iARB_rewrite_ptr(GLint location, GLint v0, GLint v1, GLint v2)
{
    epoxy_glUniform3iARB = (void *)epoxy_glUniform3i_resolver();
    epoxy_glUniform3iARB(location, v0, v1, v2);
}
PUBLIC PFNGLUNIFORM3IARBPROC epoxy_glUniform3iARB = epoxy_glUniform3iARB_rewrite_ptr;

static void
epoxy_glUniform3iv_rewrite_ptr(GLint location, GLsizei count, const GLint * value)
{
    epoxy_glUniform3iv = (void *)epoxy_glUniform3iv_resolver();
    epoxy_glUniform3iv(location, count, value);
}
PUBLIC PFNGLUNIFORM3IVPROC epoxy_glUniform3iv = epoxy_glUniform3iv_rewrite_ptr;

static void
epoxy_glUniform3ivARB_rewrite_ptr(GLint location, GLsizei count, const GLint * value)
{
    epoxy_glUniform3ivARB = (void *)epoxy_glUniform3iv_resolver();
    epoxy_glUniform3ivARB(location, count, value);
}
PUBLIC PFNGLUNIFORM3IVARBPROC epoxy_glUniform3ivARB = epoxy_glUniform3ivARB_rewrite_ptr;

static void
epoxy_glUniform3ui_rewrite_ptr(GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    epoxy_glUniform3ui = (void *)epoxy_glUniform3ui_resolver();
    epoxy_glUniform3ui(location, v0, v1, v2);
}
PUBLIC PFNGLUNIFORM3UIPROC epoxy_glUniform3ui = epoxy_glUniform3ui_rewrite_ptr;

static void
epoxy_glUniform3ui64NV_rewrite_ptr(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
{
    epoxy_glUniform3ui64NV = (void *)epoxy_glUniform3ui64NV_resolver();
    epoxy_glUniform3ui64NV(location, x, y, z);
}
PUBLIC PFNGLUNIFORM3UI64NVPROC epoxy_glUniform3ui64NV = epoxy_glUniform3ui64NV_rewrite_ptr;

static void
epoxy_glUniform3ui64vNV_rewrite_ptr(GLint location, GLsizei count, const GLuint64EXT * value)
{
    epoxy_glUniform3ui64vNV = (void *)epoxy_glUniform3ui64vNV_resolver();
    epoxy_glUniform3ui64vNV(location, count, value);
}
PUBLIC PFNGLUNIFORM3UI64VNVPROC epoxy_glUniform3ui64vNV = epoxy_glUniform3ui64vNV_rewrite_ptr;

static void
epoxy_glUniform3uiEXT_rewrite_ptr(GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    epoxy_glUniform3uiEXT = (void *)epoxy_glUniform3ui_resolver();
    epoxy_glUniform3uiEXT(location, v0, v1, v2);
}
PUBLIC PFNGLUNIFORM3UIEXTPROC epoxy_glUniform3uiEXT = epoxy_glUniform3uiEXT_rewrite_ptr;

static void
epoxy_glUniform3uiv_rewrite_ptr(GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glUniform3uiv = (void *)epoxy_glUniform3uiv_resolver();
    epoxy_glUniform3uiv(location, count, value);
}
PUBLIC PFNGLUNIFORM3UIVPROC epoxy_glUniform3uiv = epoxy_glUniform3uiv_rewrite_ptr;

static void
epoxy_glUniform3uivEXT_rewrite_ptr(GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glUniform3uivEXT = (void *)epoxy_glUniform3uiv_resolver();
    epoxy_glUniform3uivEXT(location, count, value);
}
PUBLIC PFNGLUNIFORM3UIVEXTPROC epoxy_glUniform3uivEXT = epoxy_glUniform3uivEXT_rewrite_ptr;

static void
epoxy_glUniform4d_rewrite_ptr(GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glUniform4d = (void *)epoxy_glUniform4d_resolver();
    epoxy_glUniform4d(location, x, y, z, w);
}
PUBLIC PFNGLUNIFORM4DPROC epoxy_glUniform4d = epoxy_glUniform4d_rewrite_ptr;

static void
epoxy_glUniform4dv_rewrite_ptr(GLint location, GLsizei count, const GLdouble * value)
{
    epoxy_glUniform4dv = (void *)epoxy_glUniform4dv_resolver();
    epoxy_glUniform4dv(location, count, value);
}
PUBLIC PFNGLUNIFORM4DVPROC epoxy_glUniform4dv = epoxy_glUniform4dv_rewrite_ptr;

static void
epoxy_glUniform4f_rewrite_ptr(GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    epoxy_glUniform4f = (void *)epoxy_glUniform4f_resolver();
    epoxy_glUniform4f(location, v0, v1, v2, v3);
}
PUBLIC PFNGLUNIFORM4FPROC epoxy_glUniform4f = epoxy_glUniform4f_rewrite_ptr;

static void
epoxy_glUniform4fARB_rewrite_ptr(GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    epoxy_glUniform4fARB = (void *)epoxy_glUniform4f_resolver();
    epoxy_glUniform4fARB(location, v0, v1, v2, v3);
}
PUBLIC PFNGLUNIFORM4FARBPROC epoxy_glUniform4fARB = epoxy_glUniform4fARB_rewrite_ptr;

static void
epoxy_glUniform4fv_rewrite_ptr(GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glUniform4fv = (void *)epoxy_glUniform4fv_resolver();
    epoxy_glUniform4fv(location, count, value);
}
PUBLIC PFNGLUNIFORM4FVPROC epoxy_glUniform4fv = epoxy_glUniform4fv_rewrite_ptr;

static void
epoxy_glUniform4fvARB_rewrite_ptr(GLint location, GLsizei count, const GLfloat * value)
{
    epoxy_glUniform4fvARB = (void *)epoxy_glUniform4fv_resolver();
    epoxy_glUniform4fvARB(location, count, value);
}
PUBLIC PFNGLUNIFORM4FVARBPROC epoxy_glUniform4fvARB = epoxy_glUniform4fvARB_rewrite_ptr;

static void
epoxy_glUniform4i_rewrite_ptr(GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    epoxy_glUniform4i = (void *)epoxy_glUniform4i_resolver();
    epoxy_glUniform4i(location, v0, v1, v2, v3);
}
PUBLIC PFNGLUNIFORM4IPROC epoxy_glUniform4i = epoxy_glUniform4i_rewrite_ptr;

static void
epoxy_glUniform4i64NV_rewrite_ptr(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
{
    epoxy_glUniform4i64NV = (void *)epoxy_glUniform4i64NV_resolver();
    epoxy_glUniform4i64NV(location, x, y, z, w);
}
PUBLIC PFNGLUNIFORM4I64NVPROC epoxy_glUniform4i64NV = epoxy_glUniform4i64NV_rewrite_ptr;

static void
epoxy_glUniform4i64vNV_rewrite_ptr(GLint location, GLsizei count, const GLint64EXT * value)
{
    epoxy_glUniform4i64vNV = (void *)epoxy_glUniform4i64vNV_resolver();
    epoxy_glUniform4i64vNV(location, count, value);
}
PUBLIC PFNGLUNIFORM4I64VNVPROC epoxy_glUniform4i64vNV = epoxy_glUniform4i64vNV_rewrite_ptr;

static void
epoxy_glUniform4iARB_rewrite_ptr(GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    epoxy_glUniform4iARB = (void *)epoxy_glUniform4i_resolver();
    epoxy_glUniform4iARB(location, v0, v1, v2, v3);
}
PUBLIC PFNGLUNIFORM4IARBPROC epoxy_glUniform4iARB = epoxy_glUniform4iARB_rewrite_ptr;

static void
epoxy_glUniform4iv_rewrite_ptr(GLint location, GLsizei count, const GLint * value)
{
    epoxy_glUniform4iv = (void *)epoxy_glUniform4iv_resolver();
    epoxy_glUniform4iv(location, count, value);
}
PUBLIC PFNGLUNIFORM4IVPROC epoxy_glUniform4iv = epoxy_glUniform4iv_rewrite_ptr;

static void
epoxy_glUniform4ivARB_rewrite_ptr(GLint location, GLsizei count, const GLint * value)
{
    epoxy_glUniform4ivARB = (void *)epoxy_glUniform4iv_resolver();
    epoxy_glUniform4ivARB(location, count, value);
}
PUBLIC PFNGLUNIFORM4IVARBPROC epoxy_glUniform4ivARB = epoxy_glUniform4ivARB_rewrite_ptr;

static void
epoxy_glUniform4ui_rewrite_ptr(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    epoxy_glUniform4ui = (void *)epoxy_glUniform4ui_resolver();
    epoxy_glUniform4ui(location, v0, v1, v2, v3);
}
PUBLIC PFNGLUNIFORM4UIPROC epoxy_glUniform4ui = epoxy_glUniform4ui_rewrite_ptr;

static void
epoxy_glUniform4ui64NV_rewrite_ptr(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
{
    epoxy_glUniform4ui64NV = (void *)epoxy_glUniform4ui64NV_resolver();
    epoxy_glUniform4ui64NV(location, x, y, z, w);
}
PUBLIC PFNGLUNIFORM4UI64NVPROC epoxy_glUniform4ui64NV = epoxy_glUniform4ui64NV_rewrite_ptr;

static void
epoxy_glUniform4ui64vNV_rewrite_ptr(GLint location, GLsizei count, const GLuint64EXT * value)
{
    epoxy_glUniform4ui64vNV = (void *)epoxy_glUniform4ui64vNV_resolver();
    epoxy_glUniform4ui64vNV(location, count, value);
}
PUBLIC PFNGLUNIFORM4UI64VNVPROC epoxy_glUniform4ui64vNV = epoxy_glUniform4ui64vNV_rewrite_ptr;

static void
epoxy_glUniform4uiEXT_rewrite_ptr(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    epoxy_glUniform4uiEXT = (void *)epoxy_glUniform4ui_resolver();
    epoxy_glUniform4uiEXT(location, v0, v1, v2, v3);
}
PUBLIC PFNGLUNIFORM4UIEXTPROC epoxy_glUniform4uiEXT = epoxy_glUniform4uiEXT_rewrite_ptr;

static void
epoxy_glUniform4uiv_rewrite_ptr(GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glUniform4uiv = (void *)epoxy_glUniform4uiv_resolver();
    epoxy_glUniform4uiv(location, count, value);
}
PUBLIC PFNGLUNIFORM4UIVPROC epoxy_glUniform4uiv = epoxy_glUniform4uiv_rewrite_ptr;

static void
epoxy_glUniform4uivEXT_rewrite_ptr(GLint location, GLsizei count, const GLuint * value)
{
    epoxy_glUniform4uivEXT = (void *)epoxy_glUniform4uiv_resolver();
    epoxy_glUniform4uivEXT(location, count, value);
}
PUBLIC PFNGLUNIFORM4UIVEXTPROC epoxy_glUniform4uivEXT = epoxy_glUniform4uivEXT_rewrite_ptr;

static void
epoxy_glUniformBlockBinding_rewrite_ptr(GLuint program, GLuint uniformBlockIndex, GLuint uniformBlockBinding)
{
    epoxy_glUniformBlockBinding = (void *)epoxy_glUniformBlockBinding_resolver();
    epoxy_glUniformBlockBinding(program, uniformBlockIndex, uniformBlockBinding);
}
PUBLIC PFNGLUNIFORMBLOCKBINDINGPROC epoxy_glUniformBlockBinding = epoxy_glUniformBlockBinding_rewrite_ptr;

static void
epoxy_glUniformBufferEXT_rewrite_ptr(GLuint program, GLint location, GLuint buffer)
{
    epoxy_glUniformBufferEXT = (void *)epoxy_glUniformBufferEXT_resolver();
    epoxy_glUniformBufferEXT(program, location, buffer);
}
PUBLIC PFNGLUNIFORMBUFFEREXTPROC epoxy_glUniformBufferEXT = epoxy_glUniformBufferEXT_rewrite_ptr;

static void
epoxy_glUniformHandleui64ARB_rewrite_ptr(GLint location, GLuint64 value)
{
    epoxy_glUniformHandleui64ARB = (void *)epoxy_glUniformHandleui64ARB_resolver();
    epoxy_glUniformHandleui64ARB(location, value);
}
PUBLIC PFNGLUNIFORMHANDLEUI64ARBPROC epoxy_glUniformHandleui64ARB = epoxy_glUniformHandleui64ARB_rewrite_ptr;

static void
epoxy_glUniformHandleui64NV_rewrite_ptr(GLint location, GLuint64 value)
{
    epoxy_glUniformHandleui64NV = (void *)epoxy_glUniformHandleui64NV_resolver();
    epoxy_glUniformHandleui64NV(location, value);
}
PUBLIC PFNGLUNIFORMHANDLEUI64NVPROC epoxy_glUniformHandleui64NV = epoxy_glUniformHandleui64NV_rewrite_ptr;

static void
epoxy_glUniformHandleui64vARB_rewrite_ptr(GLint location, GLsizei count, const GLuint64 * value)
{
    epoxy_glUniformHandleui64vARB = (void *)epoxy_glUniformHandleui64vARB_resolver();
    epoxy_glUniformHandleui64vARB(location, count, value);
}
PUBLIC PFNGLUNIFORMHANDLEUI64VARBPROC epoxy_glUniformHandleui64vARB = epoxy_glUniformHandleui64vARB_rewrite_ptr;

static void
epoxy_glUniformHandleui64vNV_rewrite_ptr(GLint location, GLsizei count, const GLuint64 * value)
{
    epoxy_glUniformHandleui64vNV = (void *)epoxy_glUniformHandleui64vNV_resolver();
    epoxy_glUniformHandleui64vNV(location, count, value);
}
PUBLIC PFNGLUNIFORMHANDLEUI64VNVPROC epoxy_glUniformHandleui64vNV = epoxy_glUniformHandleui64vNV_rewrite_ptr;

static void
epoxy_glUniformMatrix2dv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glUniformMatrix2dv = (void *)epoxy_glUniformMatrix2dv_resolver();
    epoxy_glUniformMatrix2dv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX2DVPROC epoxy_glUniformMatrix2dv = epoxy_glUniformMatrix2dv_rewrite_ptr;

static void
epoxy_glUniformMatrix2fv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix2fv = (void *)epoxy_glUniformMatrix2fv_resolver();
    epoxy_glUniformMatrix2fv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX2FVPROC epoxy_glUniformMatrix2fv = epoxy_glUniformMatrix2fv_rewrite_ptr;

static void
epoxy_glUniformMatrix2fvARB_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix2fvARB = (void *)epoxy_glUniformMatrix2fv_resolver();
    epoxy_glUniformMatrix2fvARB(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX2FVARBPROC epoxy_glUniformMatrix2fvARB = epoxy_glUniformMatrix2fvARB_rewrite_ptr;

static void
epoxy_glUniformMatrix2x3dv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glUniformMatrix2x3dv = (void *)epoxy_glUniformMatrix2x3dv_resolver();
    epoxy_glUniformMatrix2x3dv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX2X3DVPROC epoxy_glUniformMatrix2x3dv = epoxy_glUniformMatrix2x3dv_rewrite_ptr;

static void
epoxy_glUniformMatrix2x3fv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix2x3fv = (void *)epoxy_glUniformMatrix2x3fv_resolver();
    epoxy_glUniformMatrix2x3fv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX2X3FVPROC epoxy_glUniformMatrix2x3fv = epoxy_glUniformMatrix2x3fv_rewrite_ptr;

static void
epoxy_glUniformMatrix2x3fvNV_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix2x3fvNV = (void *)epoxy_glUniformMatrix2x3fv_resolver();
    epoxy_glUniformMatrix2x3fvNV(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX2X3FVNVPROC epoxy_glUniformMatrix2x3fvNV = epoxy_glUniformMatrix2x3fvNV_rewrite_ptr;

static void
epoxy_glUniformMatrix2x4dv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glUniformMatrix2x4dv = (void *)epoxy_glUniformMatrix2x4dv_resolver();
    epoxy_glUniformMatrix2x4dv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX2X4DVPROC epoxy_glUniformMatrix2x4dv = epoxy_glUniformMatrix2x4dv_rewrite_ptr;

static void
epoxy_glUniformMatrix2x4fv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix2x4fv = (void *)epoxy_glUniformMatrix2x4fv_resolver();
    epoxy_glUniformMatrix2x4fv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX2X4FVPROC epoxy_glUniformMatrix2x4fv = epoxy_glUniformMatrix2x4fv_rewrite_ptr;

static void
epoxy_glUniformMatrix2x4fvNV_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix2x4fvNV = (void *)epoxy_glUniformMatrix2x4fv_resolver();
    epoxy_glUniformMatrix2x4fvNV(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX2X4FVNVPROC epoxy_glUniformMatrix2x4fvNV = epoxy_glUniformMatrix2x4fvNV_rewrite_ptr;

static void
epoxy_glUniformMatrix3dv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glUniformMatrix3dv = (void *)epoxy_glUniformMatrix3dv_resolver();
    epoxy_glUniformMatrix3dv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX3DVPROC epoxy_glUniformMatrix3dv = epoxy_glUniformMatrix3dv_rewrite_ptr;

static void
epoxy_glUniformMatrix3fv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix3fv = (void *)epoxy_glUniformMatrix3fv_resolver();
    epoxy_glUniformMatrix3fv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX3FVPROC epoxy_glUniformMatrix3fv = epoxy_glUniformMatrix3fv_rewrite_ptr;

static void
epoxy_glUniformMatrix3fvARB_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix3fvARB = (void *)epoxy_glUniformMatrix3fv_resolver();
    epoxy_glUniformMatrix3fvARB(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX3FVARBPROC epoxy_glUniformMatrix3fvARB = epoxy_glUniformMatrix3fvARB_rewrite_ptr;

static void
epoxy_glUniformMatrix3x2dv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glUniformMatrix3x2dv = (void *)epoxy_glUniformMatrix3x2dv_resolver();
    epoxy_glUniformMatrix3x2dv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX3X2DVPROC epoxy_glUniformMatrix3x2dv = epoxy_glUniformMatrix3x2dv_rewrite_ptr;

static void
epoxy_glUniformMatrix3x2fv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix3x2fv = (void *)epoxy_glUniformMatrix3x2fv_resolver();
    epoxy_glUniformMatrix3x2fv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX3X2FVPROC epoxy_glUniformMatrix3x2fv = epoxy_glUniformMatrix3x2fv_rewrite_ptr;

static void
epoxy_glUniformMatrix3x2fvNV_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix3x2fvNV = (void *)epoxy_glUniformMatrix3x2fv_resolver();
    epoxy_glUniformMatrix3x2fvNV(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX3X2FVNVPROC epoxy_glUniformMatrix3x2fvNV = epoxy_glUniformMatrix3x2fvNV_rewrite_ptr;

static void
epoxy_glUniformMatrix3x4dv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glUniformMatrix3x4dv = (void *)epoxy_glUniformMatrix3x4dv_resolver();
    epoxy_glUniformMatrix3x4dv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX3X4DVPROC epoxy_glUniformMatrix3x4dv = epoxy_glUniformMatrix3x4dv_rewrite_ptr;

static void
epoxy_glUniformMatrix3x4fv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix3x4fv = (void *)epoxy_glUniformMatrix3x4fv_resolver();
    epoxy_glUniformMatrix3x4fv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX3X4FVPROC epoxy_glUniformMatrix3x4fv = epoxy_glUniformMatrix3x4fv_rewrite_ptr;

static void
epoxy_glUniformMatrix3x4fvNV_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix3x4fvNV = (void *)epoxy_glUniformMatrix3x4fv_resolver();
    epoxy_glUniformMatrix3x4fvNV(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX3X4FVNVPROC epoxy_glUniformMatrix3x4fvNV = epoxy_glUniformMatrix3x4fvNV_rewrite_ptr;

static void
epoxy_glUniformMatrix4dv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glUniformMatrix4dv = (void *)epoxy_glUniformMatrix4dv_resolver();
    epoxy_glUniformMatrix4dv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX4DVPROC epoxy_glUniformMatrix4dv = epoxy_glUniformMatrix4dv_rewrite_ptr;

static void
epoxy_glUniformMatrix4fv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix4fv = (void *)epoxy_glUniformMatrix4fv_resolver();
    epoxy_glUniformMatrix4fv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX4FVPROC epoxy_glUniformMatrix4fv = epoxy_glUniformMatrix4fv_rewrite_ptr;

static void
epoxy_glUniformMatrix4fvARB_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix4fvARB = (void *)epoxy_glUniformMatrix4fv_resolver();
    epoxy_glUniformMatrix4fvARB(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX4FVARBPROC epoxy_glUniformMatrix4fvARB = epoxy_glUniformMatrix4fvARB_rewrite_ptr;

static void
epoxy_glUniformMatrix4x2dv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glUniformMatrix4x2dv = (void *)epoxy_glUniformMatrix4x2dv_resolver();
    epoxy_glUniformMatrix4x2dv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX4X2DVPROC epoxy_glUniformMatrix4x2dv = epoxy_glUniformMatrix4x2dv_rewrite_ptr;

static void
epoxy_glUniformMatrix4x2fv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix4x2fv = (void *)epoxy_glUniformMatrix4x2fv_resolver();
    epoxy_glUniformMatrix4x2fv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX4X2FVPROC epoxy_glUniformMatrix4x2fv = epoxy_glUniformMatrix4x2fv_rewrite_ptr;

static void
epoxy_glUniformMatrix4x2fvNV_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix4x2fvNV = (void *)epoxy_glUniformMatrix4x2fv_resolver();
    epoxy_glUniformMatrix4x2fvNV(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX4X2FVNVPROC epoxy_glUniformMatrix4x2fvNV = epoxy_glUniformMatrix4x2fvNV_rewrite_ptr;

static void
epoxy_glUniformMatrix4x3dv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)
{
    epoxy_glUniformMatrix4x3dv = (void *)epoxy_glUniformMatrix4x3dv_resolver();
    epoxy_glUniformMatrix4x3dv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX4X3DVPROC epoxy_glUniformMatrix4x3dv = epoxy_glUniformMatrix4x3dv_rewrite_ptr;

static void
epoxy_glUniformMatrix4x3fv_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix4x3fv = (void *)epoxy_glUniformMatrix4x3fv_resolver();
    epoxy_glUniformMatrix4x3fv(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX4X3FVPROC epoxy_glUniformMatrix4x3fv = epoxy_glUniformMatrix4x3fv_rewrite_ptr;

static void
epoxy_glUniformMatrix4x3fvNV_rewrite_ptr(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)
{
    epoxy_glUniformMatrix4x3fvNV = (void *)epoxy_glUniformMatrix4x3fv_resolver();
    epoxy_glUniformMatrix4x3fvNV(location, count, transpose, value);
}
PUBLIC PFNGLUNIFORMMATRIX4X3FVNVPROC epoxy_glUniformMatrix4x3fvNV = epoxy_glUniformMatrix4x3fvNV_rewrite_ptr;

static void
epoxy_glUniformSubroutinesuiv_rewrite_ptr(GLenum shadertype, GLsizei count, const GLuint * indices)
{
    epoxy_glUniformSubroutinesuiv = (void *)epoxy_glUniformSubroutinesuiv_resolver();
    epoxy_glUniformSubroutinesuiv(shadertype, count, indices);
}
PUBLIC PFNGLUNIFORMSUBROUTINESUIVPROC epoxy_glUniformSubroutinesuiv = epoxy_glUniformSubroutinesuiv_rewrite_ptr;

static void
epoxy_glUniformui64NV_rewrite_ptr(GLint location, GLuint64EXT value)
{
    epoxy_glUniformui64NV = (void *)epoxy_glUniformui64NV_resolver();
    epoxy_glUniformui64NV(location, value);
}
PUBLIC PFNGLUNIFORMUI64NVPROC epoxy_glUniformui64NV = epoxy_glUniformui64NV_rewrite_ptr;

static void
epoxy_glUniformui64vNV_rewrite_ptr(GLint location, GLsizei count, const GLuint64EXT * value)
{
    epoxy_glUniformui64vNV = (void *)epoxy_glUniformui64vNV_resolver();
    epoxy_glUniformui64vNV(location, count, value);
}
PUBLIC PFNGLUNIFORMUI64VNVPROC epoxy_glUniformui64vNV = epoxy_glUniformui64vNV_rewrite_ptr;

static void
epoxy_glUnlockArraysEXT_rewrite_ptr(void)
{
    epoxy_glUnlockArraysEXT = (void *)epoxy_glUnlockArraysEXT_resolver();
    epoxy_glUnlockArraysEXT();
}
PUBLIC PFNGLUNLOCKARRAYSEXTPROC epoxy_glUnlockArraysEXT = epoxy_glUnlockArraysEXT_rewrite_ptr;

static GLboolean
epoxy_glUnmapBuffer_rewrite_ptr(GLenum target)
{
    epoxy_glUnmapBuffer = (void *)epoxy_glUnmapBuffer_resolver();
    return epoxy_glUnmapBuffer(target);
}
PUBLIC PFNGLUNMAPBUFFERPROC epoxy_glUnmapBuffer = epoxy_glUnmapBuffer_rewrite_ptr;

static GLboolean
epoxy_glUnmapBufferARB_rewrite_ptr(GLenum target)
{
    epoxy_glUnmapBufferARB = (void *)epoxy_glUnmapBuffer_resolver();
    return epoxy_glUnmapBufferARB(target);
}
PUBLIC PFNGLUNMAPBUFFERARBPROC epoxy_glUnmapBufferARB = epoxy_glUnmapBufferARB_rewrite_ptr;

static GLboolean
epoxy_glUnmapBufferOES_rewrite_ptr(GLenum target)
{
    epoxy_glUnmapBufferOES = (void *)epoxy_glUnmapBuffer_resolver();
    return epoxy_glUnmapBufferOES(target);
}
PUBLIC PFNGLUNMAPBUFFEROESPROC epoxy_glUnmapBufferOES = epoxy_glUnmapBufferOES_rewrite_ptr;

static GLboolean
epoxy_glUnmapNamedBufferEXT_rewrite_ptr(GLuint buffer)
{
    epoxy_glUnmapNamedBufferEXT = (void *)epoxy_glUnmapNamedBufferEXT_resolver();
    return epoxy_glUnmapNamedBufferEXT(buffer);
}
PUBLIC PFNGLUNMAPNAMEDBUFFEREXTPROC epoxy_glUnmapNamedBufferEXT = epoxy_glUnmapNamedBufferEXT_rewrite_ptr;

static void
epoxy_glUnmapObjectBufferATI_rewrite_ptr(GLuint buffer)
{
    epoxy_glUnmapObjectBufferATI = (void *)epoxy_glUnmapObjectBufferATI_resolver();
    epoxy_glUnmapObjectBufferATI(buffer);
}
PUBLIC PFNGLUNMAPOBJECTBUFFERATIPROC epoxy_glUnmapObjectBufferATI = epoxy_glUnmapObjectBufferATI_rewrite_ptr;

static void
epoxy_glUnmapTexture2DINTEL_rewrite_ptr(GLuint texture, GLint level)
{
    epoxy_glUnmapTexture2DINTEL = (void *)epoxy_glUnmapTexture2DINTEL_resolver();
    epoxy_glUnmapTexture2DINTEL(texture, level);
}
PUBLIC PFNGLUNMAPTEXTURE2DINTELPROC epoxy_glUnmapTexture2DINTEL = epoxy_glUnmapTexture2DINTEL_rewrite_ptr;

static void
epoxy_glUpdateObjectBufferATI_rewrite_ptr(GLuint buffer, GLuint offset, GLsizei size, const void * pointer, GLenum preserve)
{
    epoxy_glUpdateObjectBufferATI = (void *)epoxy_glUpdateObjectBufferATI_resolver();
    epoxy_glUpdateObjectBufferATI(buffer, offset, size, pointer, preserve);
}
PUBLIC PFNGLUPDATEOBJECTBUFFERATIPROC epoxy_glUpdateObjectBufferATI = epoxy_glUpdateObjectBufferATI_rewrite_ptr;

static void
epoxy_glUseProgram_rewrite_ptr(GLuint program)
{
    epoxy_glUseProgram = (void *)epoxy_glUseProgram_resolver();
    epoxy_glUseProgram(program);
}
PUBLIC PFNGLUSEPROGRAMPROC epoxy_glUseProgram = epoxy_glUseProgram_rewrite_ptr;

static void
epoxy_glUseProgramObjectARB_rewrite_ptr(GLhandleARB programObj)
{
    epoxy_glUseProgramObjectARB = (void *)epoxy_glUseProgram_resolver();
    epoxy_glUseProgramObjectARB((uintptr_t)programObj);
}
PUBLIC PFNGLUSEPROGRAMOBJECTARBPROC epoxy_glUseProgramObjectARB = epoxy_glUseProgramObjectARB_rewrite_ptr;

static void
epoxy_glUseProgramStages_rewrite_ptr(GLuint pipeline, GLbitfield stages, GLuint program)
{
    epoxy_glUseProgramStages = (void *)epoxy_glUseProgramStages_resolver();
    epoxy_glUseProgramStages(pipeline, stages, program);
}
PUBLIC PFNGLUSEPROGRAMSTAGESPROC epoxy_glUseProgramStages = epoxy_glUseProgramStages_rewrite_ptr;

static void
epoxy_glUseProgramStagesEXT_rewrite_ptr(GLuint pipeline, GLbitfield stages, GLuint program)
{
    epoxy_glUseProgramStagesEXT = (void *)epoxy_glUseProgramStagesEXT_resolver();
    epoxy_glUseProgramStagesEXT(pipeline, stages, program);
}
PUBLIC PFNGLUSEPROGRAMSTAGESEXTPROC epoxy_glUseProgramStagesEXT = epoxy_glUseProgramStagesEXT_rewrite_ptr;

static void
epoxy_glUseShaderProgramEXT_rewrite_ptr(GLenum type, GLuint program)
{
    epoxy_glUseShaderProgramEXT = (void *)epoxy_glUseShaderProgramEXT_resolver();
    epoxy_glUseShaderProgramEXT(type, program);
}
PUBLIC PFNGLUSESHADERPROGRAMEXTPROC epoxy_glUseShaderProgramEXT = epoxy_glUseShaderProgramEXT_rewrite_ptr;

static void
epoxy_glVDPAUFiniNV_rewrite_ptr(void)
{
    epoxy_glVDPAUFiniNV = (void *)epoxy_glVDPAUFiniNV_resolver();
    epoxy_glVDPAUFiniNV();
}
PUBLIC PFNGLVDPAUFININVPROC epoxy_glVDPAUFiniNV = epoxy_glVDPAUFiniNV_rewrite_ptr;

static void
epoxy_glVDPAUGetSurfaceivNV_rewrite_ptr(GLvdpauSurfaceNV surface, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values)
{
    epoxy_glVDPAUGetSurfaceivNV = (void *)epoxy_glVDPAUGetSurfaceivNV_resolver();
    epoxy_glVDPAUGetSurfaceivNV(surface, pname, bufSize, length, values);
}
PUBLIC PFNGLVDPAUGETSURFACEIVNVPROC epoxy_glVDPAUGetSurfaceivNV = epoxy_glVDPAUGetSurfaceivNV_rewrite_ptr;

static void
epoxy_glVDPAUInitNV_rewrite_ptr(const void * vdpDevice, const void * getProcAddress)
{
    epoxy_glVDPAUInitNV = (void *)epoxy_glVDPAUInitNV_resolver();
    epoxy_glVDPAUInitNV(vdpDevice, getProcAddress);
}
PUBLIC PFNGLVDPAUINITNVPROC epoxy_glVDPAUInitNV = epoxy_glVDPAUInitNV_rewrite_ptr;

static GLboolean
epoxy_glVDPAUIsSurfaceNV_rewrite_ptr(GLvdpauSurfaceNV surface)
{
    epoxy_glVDPAUIsSurfaceNV = (void *)epoxy_glVDPAUIsSurfaceNV_resolver();
    return epoxy_glVDPAUIsSurfaceNV(surface);
}
PUBLIC PFNGLVDPAUISSURFACENVPROC epoxy_glVDPAUIsSurfaceNV = epoxy_glVDPAUIsSurfaceNV_rewrite_ptr;

static void
epoxy_glVDPAUMapSurfacesNV_rewrite_ptr(GLsizei numSurfaces, const GLvdpauSurfaceNV * surfaces)
{
    epoxy_glVDPAUMapSurfacesNV = (void *)epoxy_glVDPAUMapSurfacesNV_resolver();
    epoxy_glVDPAUMapSurfacesNV(numSurfaces, surfaces);
}
PUBLIC PFNGLVDPAUMAPSURFACESNVPROC epoxy_glVDPAUMapSurfacesNV = epoxy_glVDPAUMapSurfacesNV_rewrite_ptr;

static GLvdpauSurfaceNV
epoxy_glVDPAURegisterOutputSurfaceNV_rewrite_ptr(const void * vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint * textureNames)
{
    epoxy_glVDPAURegisterOutputSurfaceNV = (void *)epoxy_glVDPAURegisterOutputSurfaceNV_resolver();
    return epoxy_glVDPAURegisterOutputSurfaceNV(vdpSurface, target, numTextureNames, textureNames);
}
PUBLIC PFNGLVDPAUREGISTEROUTPUTSURFACENVPROC epoxy_glVDPAURegisterOutputSurfaceNV = epoxy_glVDPAURegisterOutputSurfaceNV_rewrite_ptr;

static GLvdpauSurfaceNV
epoxy_glVDPAURegisterVideoSurfaceNV_rewrite_ptr(const void * vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint * textureNames)
{
    epoxy_glVDPAURegisterVideoSurfaceNV = (void *)epoxy_glVDPAURegisterVideoSurfaceNV_resolver();
    return epoxy_glVDPAURegisterVideoSurfaceNV(vdpSurface, target, numTextureNames, textureNames);
}
PUBLIC PFNGLVDPAUREGISTERVIDEOSURFACENVPROC epoxy_glVDPAURegisterVideoSurfaceNV = epoxy_glVDPAURegisterVideoSurfaceNV_rewrite_ptr;

static void
epoxy_glVDPAUSurfaceAccessNV_rewrite_ptr(GLvdpauSurfaceNV surface, GLenum access)
{
    epoxy_glVDPAUSurfaceAccessNV = (void *)epoxy_glVDPAUSurfaceAccessNV_resolver();
    epoxy_glVDPAUSurfaceAccessNV(surface, access);
}
PUBLIC PFNGLVDPAUSURFACEACCESSNVPROC epoxy_glVDPAUSurfaceAccessNV = epoxy_glVDPAUSurfaceAccessNV_rewrite_ptr;

static void
epoxy_glVDPAUUnmapSurfacesNV_rewrite_ptr(GLsizei numSurface, const GLvdpauSurfaceNV * surfaces)
{
    epoxy_glVDPAUUnmapSurfacesNV = (void *)epoxy_glVDPAUUnmapSurfacesNV_resolver();
    epoxy_glVDPAUUnmapSurfacesNV(numSurface, surfaces);
}
PUBLIC PFNGLVDPAUUNMAPSURFACESNVPROC epoxy_glVDPAUUnmapSurfacesNV = epoxy_glVDPAUUnmapSurfacesNV_rewrite_ptr;

static void
epoxy_glVDPAUUnregisterSurfaceNV_rewrite_ptr(GLvdpauSurfaceNV surface)
{
    epoxy_glVDPAUUnregisterSurfaceNV = (void *)epoxy_glVDPAUUnregisterSurfaceNV_resolver();
    epoxy_glVDPAUUnregisterSurfaceNV(surface);
}
PUBLIC PFNGLVDPAUUNREGISTERSURFACENVPROC epoxy_glVDPAUUnregisterSurfaceNV = epoxy_glVDPAUUnregisterSurfaceNV_rewrite_ptr;

static void
epoxy_glValidateProgram_rewrite_ptr(GLuint program)
{
    epoxy_glValidateProgram = (void *)epoxy_glValidateProgram_resolver();
    epoxy_glValidateProgram(program);
}
PUBLIC PFNGLVALIDATEPROGRAMPROC epoxy_glValidateProgram = epoxy_glValidateProgram_rewrite_ptr;

static void
epoxy_glValidateProgramARB_rewrite_ptr(GLhandleARB programObj)
{
    epoxy_glValidateProgramARB = (void *)epoxy_glValidateProgram_resolver();
    epoxy_glValidateProgramARB((uintptr_t)programObj);
}
PUBLIC PFNGLVALIDATEPROGRAMARBPROC epoxy_glValidateProgramARB = epoxy_glValidateProgramARB_rewrite_ptr;

static void
epoxy_glValidateProgramPipeline_rewrite_ptr(GLuint pipeline)
{
    epoxy_glValidateProgramPipeline = (void *)epoxy_glValidateProgramPipeline_resolver();
    epoxy_glValidateProgramPipeline(pipeline);
}
PUBLIC PFNGLVALIDATEPROGRAMPIPELINEPROC epoxy_glValidateProgramPipeline = epoxy_glValidateProgramPipeline_rewrite_ptr;

static void
epoxy_glValidateProgramPipelineEXT_rewrite_ptr(GLuint pipeline)
{
    epoxy_glValidateProgramPipelineEXT = (void *)epoxy_glValidateProgramPipelineEXT_resolver();
    epoxy_glValidateProgramPipelineEXT(pipeline);
}
PUBLIC PFNGLVALIDATEPROGRAMPIPELINEEXTPROC epoxy_glValidateProgramPipelineEXT = epoxy_glValidateProgramPipelineEXT_rewrite_ptr;

static void
epoxy_glVariantArrayObjectATI_rewrite_ptr(GLuint id, GLenum type, GLsizei stride, GLuint buffer, GLuint offset)
{
    epoxy_glVariantArrayObjectATI = (void *)epoxy_glVariantArrayObjectATI_resolver();
    epoxy_glVariantArrayObjectATI(id, type, stride, buffer, offset);
}
PUBLIC PFNGLVARIANTARRAYOBJECTATIPROC epoxy_glVariantArrayObjectATI = epoxy_glVariantArrayObjectATI_rewrite_ptr;

static void
epoxy_glVariantPointerEXT_rewrite_ptr(GLuint id, GLenum type, GLuint stride, const void * addr)
{
    epoxy_glVariantPointerEXT = (void *)epoxy_glVariantPointerEXT_resolver();
    epoxy_glVariantPointerEXT(id, type, stride, addr);
}
PUBLIC PFNGLVARIANTPOINTEREXTPROC epoxy_glVariantPointerEXT = epoxy_glVariantPointerEXT_rewrite_ptr;

static void
epoxy_glVariantbvEXT_rewrite_ptr(GLuint id, const GLbyte * addr)
{
    epoxy_glVariantbvEXT = (void *)epoxy_glVariantbvEXT_resolver();
    epoxy_glVariantbvEXT(id, addr);
}
PUBLIC PFNGLVARIANTBVEXTPROC epoxy_glVariantbvEXT = epoxy_glVariantbvEXT_rewrite_ptr;

static void
epoxy_glVariantdvEXT_rewrite_ptr(GLuint id, const GLdouble * addr)
{
    epoxy_glVariantdvEXT = (void *)epoxy_glVariantdvEXT_resolver();
    epoxy_glVariantdvEXT(id, addr);
}
PUBLIC PFNGLVARIANTDVEXTPROC epoxy_glVariantdvEXT = epoxy_glVariantdvEXT_rewrite_ptr;

static void
epoxy_glVariantfvEXT_rewrite_ptr(GLuint id, const GLfloat * addr)
{
    epoxy_glVariantfvEXT = (void *)epoxy_glVariantfvEXT_resolver();
    epoxy_glVariantfvEXT(id, addr);
}
PUBLIC PFNGLVARIANTFVEXTPROC epoxy_glVariantfvEXT = epoxy_glVariantfvEXT_rewrite_ptr;

static void
epoxy_glVariantivEXT_rewrite_ptr(GLuint id, const GLint * addr)
{
    epoxy_glVariantivEXT = (void *)epoxy_glVariantivEXT_resolver();
    epoxy_glVariantivEXT(id, addr);
}
PUBLIC PFNGLVARIANTIVEXTPROC epoxy_glVariantivEXT = epoxy_glVariantivEXT_rewrite_ptr;

static void
epoxy_glVariantsvEXT_rewrite_ptr(GLuint id, const GLshort * addr)
{
    epoxy_glVariantsvEXT = (void *)epoxy_glVariantsvEXT_resolver();
    epoxy_glVariantsvEXT(id, addr);
}
PUBLIC PFNGLVARIANTSVEXTPROC epoxy_glVariantsvEXT = epoxy_glVariantsvEXT_rewrite_ptr;

static void
epoxy_glVariantubvEXT_rewrite_ptr(GLuint id, const GLubyte * addr)
{
    epoxy_glVariantubvEXT = (void *)epoxy_glVariantubvEXT_resolver();
    epoxy_glVariantubvEXT(id, addr);
}
PUBLIC PFNGLVARIANTUBVEXTPROC epoxy_glVariantubvEXT = epoxy_glVariantubvEXT_rewrite_ptr;

static void
epoxy_glVariantuivEXT_rewrite_ptr(GLuint id, const GLuint * addr)
{
    epoxy_glVariantuivEXT = (void *)epoxy_glVariantuivEXT_resolver();
    epoxy_glVariantuivEXT(id, addr);
}
PUBLIC PFNGLVARIANTUIVEXTPROC epoxy_glVariantuivEXT = epoxy_glVariantuivEXT_rewrite_ptr;

static void
epoxy_glVariantusvEXT_rewrite_ptr(GLuint id, const GLushort * addr)
{
    epoxy_glVariantusvEXT = (void *)epoxy_glVariantusvEXT_resolver();
    epoxy_glVariantusvEXT(id, addr);
}
PUBLIC PFNGLVARIANTUSVEXTPROC epoxy_glVariantusvEXT = epoxy_glVariantusvEXT_rewrite_ptr;

static void
epoxy_glVertex2bOES_rewrite_ptr(GLbyte x)
{
    epoxy_glVertex2bOES = (void *)epoxy_glVertex2bOES_resolver();
    epoxy_glVertex2bOES(x);
}
PUBLIC PFNGLVERTEX2BOESPROC epoxy_glVertex2bOES = epoxy_glVertex2bOES_rewrite_ptr;

static void
epoxy_glVertex2bvOES_rewrite_ptr(const GLbyte * coords)
{
    epoxy_glVertex2bvOES = (void *)epoxy_glVertex2bvOES_resolver();
    epoxy_glVertex2bvOES(coords);
}
PUBLIC PFNGLVERTEX2BVOESPROC epoxy_glVertex2bvOES = epoxy_glVertex2bvOES_rewrite_ptr;

static void
epoxy_glVertex2d_rewrite_ptr(GLdouble x, GLdouble y)
{
    epoxy_glVertex2d = (void *)epoxy_glVertex2d_resolver();
    epoxy_glVertex2d(x, y);
}
PUBLIC PFNGLVERTEX2DPROC epoxy_glVertex2d = epoxy_glVertex2d_rewrite_ptr;

static void
epoxy_glVertex2dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glVertex2dv = (void *)epoxy_glVertex2dv_resolver();
    epoxy_glVertex2dv(v);
}
PUBLIC PFNGLVERTEX2DVPROC epoxy_glVertex2dv = epoxy_glVertex2dv_rewrite_ptr;

static void
epoxy_glVertex2f_rewrite_ptr(GLfloat x, GLfloat y)
{
    epoxy_glVertex2f = (void *)epoxy_glVertex2f_resolver();
    epoxy_glVertex2f(x, y);
}
PUBLIC PFNGLVERTEX2FPROC epoxy_glVertex2f = epoxy_glVertex2f_rewrite_ptr;

static void
epoxy_glVertex2fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glVertex2fv = (void *)epoxy_glVertex2fv_resolver();
    epoxy_glVertex2fv(v);
}
PUBLIC PFNGLVERTEX2FVPROC epoxy_glVertex2fv = epoxy_glVertex2fv_rewrite_ptr;

static void
epoxy_glVertex2hNV_rewrite_ptr(GLhalfNV x, GLhalfNV y)
{
    epoxy_glVertex2hNV = (void *)epoxy_glVertex2hNV_resolver();
    epoxy_glVertex2hNV(x, y);
}
PUBLIC PFNGLVERTEX2HNVPROC epoxy_glVertex2hNV = epoxy_glVertex2hNV_rewrite_ptr;

static void
epoxy_glVertex2hvNV_rewrite_ptr(const GLhalfNV * v)
{
    epoxy_glVertex2hvNV = (void *)epoxy_glVertex2hvNV_resolver();
    epoxy_glVertex2hvNV(v);
}
PUBLIC PFNGLVERTEX2HVNVPROC epoxy_glVertex2hvNV = epoxy_glVertex2hvNV_rewrite_ptr;

static void
epoxy_glVertex2i_rewrite_ptr(GLint x, GLint y)
{
    epoxy_glVertex2i = (void *)epoxy_glVertex2i_resolver();
    epoxy_glVertex2i(x, y);
}
PUBLIC PFNGLVERTEX2IPROC epoxy_glVertex2i = epoxy_glVertex2i_rewrite_ptr;

static void
epoxy_glVertex2iv_rewrite_ptr(const GLint * v)
{
    epoxy_glVertex2iv = (void *)epoxy_glVertex2iv_resolver();
    epoxy_glVertex2iv(v);
}
PUBLIC PFNGLVERTEX2IVPROC epoxy_glVertex2iv = epoxy_glVertex2iv_rewrite_ptr;

static void
epoxy_glVertex2s_rewrite_ptr(GLshort x, GLshort y)
{
    epoxy_glVertex2s = (void *)epoxy_glVertex2s_resolver();
    epoxy_glVertex2s(x, y);
}
PUBLIC PFNGLVERTEX2SPROC epoxy_glVertex2s = epoxy_glVertex2s_rewrite_ptr;

static void
epoxy_glVertex2sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glVertex2sv = (void *)epoxy_glVertex2sv_resolver();
    epoxy_glVertex2sv(v);
}
PUBLIC PFNGLVERTEX2SVPROC epoxy_glVertex2sv = epoxy_glVertex2sv_rewrite_ptr;

static void
epoxy_glVertex2xOES_rewrite_ptr(GLfixed x)
{
    epoxy_glVertex2xOES = (void *)epoxy_glVertex2xOES_resolver();
    epoxy_glVertex2xOES(x);
}
PUBLIC PFNGLVERTEX2XOESPROC epoxy_glVertex2xOES = epoxy_glVertex2xOES_rewrite_ptr;

static void
epoxy_glVertex2xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glVertex2xvOES = (void *)epoxy_glVertex2xvOES_resolver();
    epoxy_glVertex2xvOES(coords);
}
PUBLIC PFNGLVERTEX2XVOESPROC epoxy_glVertex2xvOES = epoxy_glVertex2xvOES_rewrite_ptr;

static void
epoxy_glVertex3bOES_rewrite_ptr(GLbyte x, GLbyte y)
{
    epoxy_glVertex3bOES = (void *)epoxy_glVertex3bOES_resolver();
    epoxy_glVertex3bOES(x, y);
}
PUBLIC PFNGLVERTEX3BOESPROC epoxy_glVertex3bOES = epoxy_glVertex3bOES_rewrite_ptr;

static void
epoxy_glVertex3bvOES_rewrite_ptr(const GLbyte * coords)
{
    epoxy_glVertex3bvOES = (void *)epoxy_glVertex3bvOES_resolver();
    epoxy_glVertex3bvOES(coords);
}
PUBLIC PFNGLVERTEX3BVOESPROC epoxy_glVertex3bvOES = epoxy_glVertex3bvOES_rewrite_ptr;

static void
epoxy_glVertex3d_rewrite_ptr(GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glVertex3d = (void *)epoxy_glVertex3d_resolver();
    epoxy_glVertex3d(x, y, z);
}
PUBLIC PFNGLVERTEX3DPROC epoxy_glVertex3d = epoxy_glVertex3d_rewrite_ptr;

static void
epoxy_glVertex3dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glVertex3dv = (void *)epoxy_glVertex3dv_resolver();
    epoxy_glVertex3dv(v);
}
PUBLIC PFNGLVERTEX3DVPROC epoxy_glVertex3dv = epoxy_glVertex3dv_rewrite_ptr;

static void
epoxy_glVertex3f_rewrite_ptr(GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glVertex3f = (void *)epoxy_glVertex3f_resolver();
    epoxy_glVertex3f(x, y, z);
}
PUBLIC PFNGLVERTEX3FPROC epoxy_glVertex3f = epoxy_glVertex3f_rewrite_ptr;

static void
epoxy_glVertex3fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glVertex3fv = (void *)epoxy_glVertex3fv_resolver();
    epoxy_glVertex3fv(v);
}
PUBLIC PFNGLVERTEX3FVPROC epoxy_glVertex3fv = epoxy_glVertex3fv_rewrite_ptr;

static void
epoxy_glVertex3hNV_rewrite_ptr(GLhalfNV x, GLhalfNV y, GLhalfNV z)
{
    epoxy_glVertex3hNV = (void *)epoxy_glVertex3hNV_resolver();
    epoxy_glVertex3hNV(x, y, z);
}
PUBLIC PFNGLVERTEX3HNVPROC epoxy_glVertex3hNV = epoxy_glVertex3hNV_rewrite_ptr;

static void
epoxy_glVertex3hvNV_rewrite_ptr(const GLhalfNV * v)
{
    epoxy_glVertex3hvNV = (void *)epoxy_glVertex3hvNV_resolver();
    epoxy_glVertex3hvNV(v);
}
PUBLIC PFNGLVERTEX3HVNVPROC epoxy_glVertex3hvNV = epoxy_glVertex3hvNV_rewrite_ptr;

static void
epoxy_glVertex3i_rewrite_ptr(GLint x, GLint y, GLint z)
{
    epoxy_glVertex3i = (void *)epoxy_glVertex3i_resolver();
    epoxy_glVertex3i(x, y, z);
}
PUBLIC PFNGLVERTEX3IPROC epoxy_glVertex3i = epoxy_glVertex3i_rewrite_ptr;

static void
epoxy_glVertex3iv_rewrite_ptr(const GLint * v)
{
    epoxy_glVertex3iv = (void *)epoxy_glVertex3iv_resolver();
    epoxy_glVertex3iv(v);
}
PUBLIC PFNGLVERTEX3IVPROC epoxy_glVertex3iv = epoxy_glVertex3iv_rewrite_ptr;

static void
epoxy_glVertex3s_rewrite_ptr(GLshort x, GLshort y, GLshort z)
{
    epoxy_glVertex3s = (void *)epoxy_glVertex3s_resolver();
    epoxy_glVertex3s(x, y, z);
}
PUBLIC PFNGLVERTEX3SPROC epoxy_glVertex3s = epoxy_glVertex3s_rewrite_ptr;

static void
epoxy_glVertex3sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glVertex3sv = (void *)epoxy_glVertex3sv_resolver();
    epoxy_glVertex3sv(v);
}
PUBLIC PFNGLVERTEX3SVPROC epoxy_glVertex3sv = epoxy_glVertex3sv_rewrite_ptr;

static void
epoxy_glVertex3xOES_rewrite_ptr(GLfixed x, GLfixed y)
{
    epoxy_glVertex3xOES = (void *)epoxy_glVertex3xOES_resolver();
    epoxy_glVertex3xOES(x, y);
}
PUBLIC PFNGLVERTEX3XOESPROC epoxy_glVertex3xOES = epoxy_glVertex3xOES_rewrite_ptr;

static void
epoxy_glVertex3xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glVertex3xvOES = (void *)epoxy_glVertex3xvOES_resolver();
    epoxy_glVertex3xvOES(coords);
}
PUBLIC PFNGLVERTEX3XVOESPROC epoxy_glVertex3xvOES = epoxy_glVertex3xvOES_rewrite_ptr;

static void
epoxy_glVertex4bOES_rewrite_ptr(GLbyte x, GLbyte y, GLbyte z)
{
    epoxy_glVertex4bOES = (void *)epoxy_glVertex4bOES_resolver();
    epoxy_glVertex4bOES(x, y, z);
}
PUBLIC PFNGLVERTEX4BOESPROC epoxy_glVertex4bOES = epoxy_glVertex4bOES_rewrite_ptr;

static void
epoxy_glVertex4bvOES_rewrite_ptr(const GLbyte * coords)
{
    epoxy_glVertex4bvOES = (void *)epoxy_glVertex4bvOES_resolver();
    epoxy_glVertex4bvOES(coords);
}
PUBLIC PFNGLVERTEX4BVOESPROC epoxy_glVertex4bvOES = epoxy_glVertex4bvOES_rewrite_ptr;

static void
epoxy_glVertex4d_rewrite_ptr(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glVertex4d = (void *)epoxy_glVertex4d_resolver();
    epoxy_glVertex4d(x, y, z, w);
}
PUBLIC PFNGLVERTEX4DPROC epoxy_glVertex4d = epoxy_glVertex4d_rewrite_ptr;

static void
epoxy_glVertex4dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glVertex4dv = (void *)epoxy_glVertex4dv_resolver();
    epoxy_glVertex4dv(v);
}
PUBLIC PFNGLVERTEX4DVPROC epoxy_glVertex4dv = epoxy_glVertex4dv_rewrite_ptr;

static void
epoxy_glVertex4f_rewrite_ptr(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glVertex4f = (void *)epoxy_glVertex4f_resolver();
    epoxy_glVertex4f(x, y, z, w);
}
PUBLIC PFNGLVERTEX4FPROC epoxy_glVertex4f = epoxy_glVertex4f_rewrite_ptr;

static void
epoxy_glVertex4fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glVertex4fv = (void *)epoxy_glVertex4fv_resolver();
    epoxy_glVertex4fv(v);
}
PUBLIC PFNGLVERTEX4FVPROC epoxy_glVertex4fv = epoxy_glVertex4fv_rewrite_ptr;

static void
epoxy_glVertex4hNV_rewrite_ptr(GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w)
{
    epoxy_glVertex4hNV = (void *)epoxy_glVertex4hNV_resolver();
    epoxy_glVertex4hNV(x, y, z, w);
}
PUBLIC PFNGLVERTEX4HNVPROC epoxy_glVertex4hNV = epoxy_glVertex4hNV_rewrite_ptr;

static void
epoxy_glVertex4hvNV_rewrite_ptr(const GLhalfNV * v)
{
    epoxy_glVertex4hvNV = (void *)epoxy_glVertex4hvNV_resolver();
    epoxy_glVertex4hvNV(v);
}
PUBLIC PFNGLVERTEX4HVNVPROC epoxy_glVertex4hvNV = epoxy_glVertex4hvNV_rewrite_ptr;

static void
epoxy_glVertex4i_rewrite_ptr(GLint x, GLint y, GLint z, GLint w)
{
    epoxy_glVertex4i = (void *)epoxy_glVertex4i_resolver();
    epoxy_glVertex4i(x, y, z, w);
}
PUBLIC PFNGLVERTEX4IPROC epoxy_glVertex4i = epoxy_glVertex4i_rewrite_ptr;

static void
epoxy_glVertex4iv_rewrite_ptr(const GLint * v)
{
    epoxy_glVertex4iv = (void *)epoxy_glVertex4iv_resolver();
    epoxy_glVertex4iv(v);
}
PUBLIC PFNGLVERTEX4IVPROC epoxy_glVertex4iv = epoxy_glVertex4iv_rewrite_ptr;

static void
epoxy_glVertex4s_rewrite_ptr(GLshort x, GLshort y, GLshort z, GLshort w)
{
    epoxy_glVertex4s = (void *)epoxy_glVertex4s_resolver();
    epoxy_glVertex4s(x, y, z, w);
}
PUBLIC PFNGLVERTEX4SPROC epoxy_glVertex4s = epoxy_glVertex4s_rewrite_ptr;

static void
epoxy_glVertex4sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glVertex4sv = (void *)epoxy_glVertex4sv_resolver();
    epoxy_glVertex4sv(v);
}
PUBLIC PFNGLVERTEX4SVPROC epoxy_glVertex4sv = epoxy_glVertex4sv_rewrite_ptr;

static void
epoxy_glVertex4xOES_rewrite_ptr(GLfixed x, GLfixed y, GLfixed z)
{
    epoxy_glVertex4xOES = (void *)epoxy_glVertex4xOES_resolver();
    epoxy_glVertex4xOES(x, y, z);
}
PUBLIC PFNGLVERTEX4XOESPROC epoxy_glVertex4xOES = epoxy_glVertex4xOES_rewrite_ptr;

static void
epoxy_glVertex4xvOES_rewrite_ptr(const GLfixed * coords)
{
    epoxy_glVertex4xvOES = (void *)epoxy_glVertex4xvOES_resolver();
    epoxy_glVertex4xvOES(coords);
}
PUBLIC PFNGLVERTEX4XVOESPROC epoxy_glVertex4xvOES = epoxy_glVertex4xvOES_rewrite_ptr;

static void
epoxy_glVertexArrayBindVertexBufferEXT_rewrite_ptr(GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
{
    epoxy_glVertexArrayBindVertexBufferEXT = (void *)epoxy_glVertexArrayBindVertexBufferEXT_resolver();
    epoxy_glVertexArrayBindVertexBufferEXT(vaobj, bindingindex, buffer, offset, stride);
}
PUBLIC PFNGLVERTEXARRAYBINDVERTEXBUFFEREXTPROC epoxy_glVertexArrayBindVertexBufferEXT = epoxy_glVertexArrayBindVertexBufferEXT_rewrite_ptr;

static void
epoxy_glVertexArrayColorOffsetEXT_rewrite_ptr(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    epoxy_glVertexArrayColorOffsetEXT = (void *)epoxy_glVertexArrayColorOffsetEXT_resolver();
    epoxy_glVertexArrayColorOffsetEXT(vaobj, buffer, size, type, stride, offset);
}
PUBLIC PFNGLVERTEXARRAYCOLOROFFSETEXTPROC epoxy_glVertexArrayColorOffsetEXT = epoxy_glVertexArrayColorOffsetEXT_rewrite_ptr;

static void
epoxy_glVertexArrayEdgeFlagOffsetEXT_rewrite_ptr(GLuint vaobj, GLuint buffer, GLsizei stride, GLintptr offset)
{
    epoxy_glVertexArrayEdgeFlagOffsetEXT = (void *)epoxy_glVertexArrayEdgeFlagOffsetEXT_resolver();
    epoxy_glVertexArrayEdgeFlagOffsetEXT(vaobj, buffer, stride, offset);
}
PUBLIC PFNGLVERTEXARRAYEDGEFLAGOFFSETEXTPROC epoxy_glVertexArrayEdgeFlagOffsetEXT = epoxy_glVertexArrayEdgeFlagOffsetEXT_rewrite_ptr;

static void
epoxy_glVertexArrayFogCoordOffsetEXT_rewrite_ptr(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, GLintptr offset)
{
    epoxy_glVertexArrayFogCoordOffsetEXT = (void *)epoxy_glVertexArrayFogCoordOffsetEXT_resolver();
    epoxy_glVertexArrayFogCoordOffsetEXT(vaobj, buffer, type, stride, offset);
}
PUBLIC PFNGLVERTEXARRAYFOGCOORDOFFSETEXTPROC epoxy_glVertexArrayFogCoordOffsetEXT = epoxy_glVertexArrayFogCoordOffsetEXT_rewrite_ptr;

static void
epoxy_glVertexArrayIndexOffsetEXT_rewrite_ptr(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, GLintptr offset)
{
    epoxy_glVertexArrayIndexOffsetEXT = (void *)epoxy_glVertexArrayIndexOffsetEXT_resolver();
    epoxy_glVertexArrayIndexOffsetEXT(vaobj, buffer, type, stride, offset);
}
PUBLIC PFNGLVERTEXARRAYINDEXOFFSETEXTPROC epoxy_glVertexArrayIndexOffsetEXT = epoxy_glVertexArrayIndexOffsetEXT_rewrite_ptr;

static void
epoxy_glVertexArrayMultiTexCoordOffsetEXT_rewrite_ptr(GLuint vaobj, GLuint buffer, GLenum texunit, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    epoxy_glVertexArrayMultiTexCoordOffsetEXT = (void *)epoxy_glVertexArrayMultiTexCoordOffsetEXT_resolver();
    epoxy_glVertexArrayMultiTexCoordOffsetEXT(vaobj, buffer, texunit, size, type, stride, offset);
}
PUBLIC PFNGLVERTEXARRAYMULTITEXCOORDOFFSETEXTPROC epoxy_glVertexArrayMultiTexCoordOffsetEXT = epoxy_glVertexArrayMultiTexCoordOffsetEXT_rewrite_ptr;

static void
epoxy_glVertexArrayNormalOffsetEXT_rewrite_ptr(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, GLintptr offset)
{
    epoxy_glVertexArrayNormalOffsetEXT = (void *)epoxy_glVertexArrayNormalOffsetEXT_resolver();
    epoxy_glVertexArrayNormalOffsetEXT(vaobj, buffer, type, stride, offset);
}
PUBLIC PFNGLVERTEXARRAYNORMALOFFSETEXTPROC epoxy_glVertexArrayNormalOffsetEXT = epoxy_glVertexArrayNormalOffsetEXT_rewrite_ptr;

static void
epoxy_glVertexArrayParameteriAPPLE_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glVertexArrayParameteriAPPLE = (void *)epoxy_glVertexArrayParameteriAPPLE_resolver();
    epoxy_glVertexArrayParameteriAPPLE(pname, param);
}
PUBLIC PFNGLVERTEXARRAYPARAMETERIAPPLEPROC epoxy_glVertexArrayParameteriAPPLE = epoxy_glVertexArrayParameteriAPPLE_rewrite_ptr;

static void
epoxy_glVertexArrayRangeAPPLE_rewrite_ptr(GLsizei length, void * pointer)
{
    epoxy_glVertexArrayRangeAPPLE = (void *)epoxy_glVertexArrayRangeAPPLE_resolver();
    epoxy_glVertexArrayRangeAPPLE(length, pointer);
}
PUBLIC PFNGLVERTEXARRAYRANGEAPPLEPROC epoxy_glVertexArrayRangeAPPLE = epoxy_glVertexArrayRangeAPPLE_rewrite_ptr;

static void
epoxy_glVertexArrayRangeNV_rewrite_ptr(GLsizei length, const void * pointer)
{
    epoxy_glVertexArrayRangeNV = (void *)epoxy_glVertexArrayRangeNV_resolver();
    epoxy_glVertexArrayRangeNV(length, pointer);
}
PUBLIC PFNGLVERTEXARRAYRANGENVPROC epoxy_glVertexArrayRangeNV = epoxy_glVertexArrayRangeNV_rewrite_ptr;

static void
epoxy_glVertexArraySecondaryColorOffsetEXT_rewrite_ptr(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    epoxy_glVertexArraySecondaryColorOffsetEXT = (void *)epoxy_glVertexArraySecondaryColorOffsetEXT_resolver();
    epoxy_glVertexArraySecondaryColorOffsetEXT(vaobj, buffer, size, type, stride, offset);
}
PUBLIC PFNGLVERTEXARRAYSECONDARYCOLOROFFSETEXTPROC epoxy_glVertexArraySecondaryColorOffsetEXT = epoxy_glVertexArraySecondaryColorOffsetEXT_rewrite_ptr;

static void
epoxy_glVertexArrayTexCoordOffsetEXT_rewrite_ptr(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    epoxy_glVertexArrayTexCoordOffsetEXT = (void *)epoxy_glVertexArrayTexCoordOffsetEXT_resolver();
    epoxy_glVertexArrayTexCoordOffsetEXT(vaobj, buffer, size, type, stride, offset);
}
PUBLIC PFNGLVERTEXARRAYTEXCOORDOFFSETEXTPROC epoxy_glVertexArrayTexCoordOffsetEXT = epoxy_glVertexArrayTexCoordOffsetEXT_rewrite_ptr;

static void
epoxy_glVertexArrayVertexAttribBindingEXT_rewrite_ptr(GLuint vaobj, GLuint attribindex, GLuint bindingindex)
{
    epoxy_glVertexArrayVertexAttribBindingEXT = (void *)epoxy_glVertexArrayVertexAttribBindingEXT_resolver();
    epoxy_glVertexArrayVertexAttribBindingEXT(vaobj, attribindex, bindingindex);
}
PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBBINDINGEXTPROC epoxy_glVertexArrayVertexAttribBindingEXT = epoxy_glVertexArrayVertexAttribBindingEXT_rewrite_ptr;

static void
epoxy_glVertexArrayVertexAttribDivisorEXT_rewrite_ptr(GLuint vaobj, GLuint index, GLuint divisor)
{
    epoxy_glVertexArrayVertexAttribDivisorEXT = (void *)epoxy_glVertexArrayVertexAttribDivisorEXT_resolver();
    epoxy_glVertexArrayVertexAttribDivisorEXT(vaobj, index, divisor);
}
PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBDIVISOREXTPROC epoxy_glVertexArrayVertexAttribDivisorEXT = epoxy_glVertexArrayVertexAttribDivisorEXT_rewrite_ptr;

static void
epoxy_glVertexArrayVertexAttribFormatEXT_rewrite_ptr(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
{
    epoxy_glVertexArrayVertexAttribFormatEXT = (void *)epoxy_glVertexArrayVertexAttribFormatEXT_resolver();
    epoxy_glVertexArrayVertexAttribFormatEXT(vaobj, attribindex, size, type, normalized, relativeoffset);
}
PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBFORMATEXTPROC epoxy_glVertexArrayVertexAttribFormatEXT = epoxy_glVertexArrayVertexAttribFormatEXT_rewrite_ptr;

static void
epoxy_glVertexArrayVertexAttribIFormatEXT_rewrite_ptr(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    epoxy_glVertexArrayVertexAttribIFormatEXT = (void *)epoxy_glVertexArrayVertexAttribIFormatEXT_resolver();
    epoxy_glVertexArrayVertexAttribIFormatEXT(vaobj, attribindex, size, type, relativeoffset);
}
PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBIFORMATEXTPROC epoxy_glVertexArrayVertexAttribIFormatEXT = epoxy_glVertexArrayVertexAttribIFormatEXT_rewrite_ptr;

static void
epoxy_glVertexArrayVertexAttribIOffsetEXT_rewrite_ptr(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    epoxy_glVertexArrayVertexAttribIOffsetEXT = (void *)epoxy_glVertexArrayVertexAttribIOffsetEXT_resolver();
    epoxy_glVertexArrayVertexAttribIOffsetEXT(vaobj, buffer, index, size, type, stride, offset);
}
PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBIOFFSETEXTPROC epoxy_glVertexArrayVertexAttribIOffsetEXT = epoxy_glVertexArrayVertexAttribIOffsetEXT_rewrite_ptr;

static void
epoxy_glVertexArrayVertexAttribLFormatEXT_rewrite_ptr(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    epoxy_glVertexArrayVertexAttribLFormatEXT = (void *)epoxy_glVertexArrayVertexAttribLFormatEXT_resolver();
    epoxy_glVertexArrayVertexAttribLFormatEXT(vaobj, attribindex, size, type, relativeoffset);
}
PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBLFORMATEXTPROC epoxy_glVertexArrayVertexAttribLFormatEXT = epoxy_glVertexArrayVertexAttribLFormatEXT_rewrite_ptr;

static void
epoxy_glVertexArrayVertexAttribLOffsetEXT_rewrite_ptr(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    epoxy_glVertexArrayVertexAttribLOffsetEXT = (void *)epoxy_glVertexArrayVertexAttribLOffsetEXT_resolver();
    epoxy_glVertexArrayVertexAttribLOffsetEXT(vaobj, buffer, index, size, type, stride, offset);
}
PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBLOFFSETEXTPROC epoxy_glVertexArrayVertexAttribLOffsetEXT = epoxy_glVertexArrayVertexAttribLOffsetEXT_rewrite_ptr;

static void
epoxy_glVertexArrayVertexAttribOffsetEXT_rewrite_ptr(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLintptr offset)
{
    epoxy_glVertexArrayVertexAttribOffsetEXT = (void *)epoxy_glVertexArrayVertexAttribOffsetEXT_resolver();
    epoxy_glVertexArrayVertexAttribOffsetEXT(vaobj, buffer, index, size, type, normalized, stride, offset);
}
PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBOFFSETEXTPROC epoxy_glVertexArrayVertexAttribOffsetEXT = epoxy_glVertexArrayVertexAttribOffsetEXT_rewrite_ptr;

static void
epoxy_glVertexArrayVertexBindingDivisorEXT_rewrite_ptr(GLuint vaobj, GLuint bindingindex, GLuint divisor)
{
    epoxy_glVertexArrayVertexBindingDivisorEXT = (void *)epoxy_glVertexArrayVertexBindingDivisorEXT_resolver();
    epoxy_glVertexArrayVertexBindingDivisorEXT(vaobj, bindingindex, divisor);
}
PUBLIC PFNGLVERTEXARRAYVERTEXBINDINGDIVISOREXTPROC epoxy_glVertexArrayVertexBindingDivisorEXT = epoxy_glVertexArrayVertexBindingDivisorEXT_rewrite_ptr;

static void
epoxy_glVertexArrayVertexOffsetEXT_rewrite_ptr(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    epoxy_glVertexArrayVertexOffsetEXT = (void *)epoxy_glVertexArrayVertexOffsetEXT_resolver();
    epoxy_glVertexArrayVertexOffsetEXT(vaobj, buffer, size, type, stride, offset);
}
PUBLIC PFNGLVERTEXARRAYVERTEXOFFSETEXTPROC epoxy_glVertexArrayVertexOffsetEXT = epoxy_glVertexArrayVertexOffsetEXT_rewrite_ptr;

static void
epoxy_glVertexAttrib1d_rewrite_ptr(GLuint index, GLdouble x)
{
    epoxy_glVertexAttrib1d = (void *)epoxy_glVertexAttrib1d_resolver();
    epoxy_glVertexAttrib1d(index, x);
}
PUBLIC PFNGLVERTEXATTRIB1DPROC epoxy_glVertexAttrib1d = epoxy_glVertexAttrib1d_rewrite_ptr;

static void
epoxy_glVertexAttrib1dARB_rewrite_ptr(GLuint index, GLdouble x)
{
    epoxy_glVertexAttrib1dARB = (void *)epoxy_glVertexAttrib1d_resolver();
    epoxy_glVertexAttrib1dARB(index, x);
}
PUBLIC PFNGLVERTEXATTRIB1DARBPROC epoxy_glVertexAttrib1dARB = epoxy_glVertexAttrib1dARB_rewrite_ptr;

static void
epoxy_glVertexAttrib1dNV_rewrite_ptr(GLuint index, GLdouble x)
{
    epoxy_glVertexAttrib1dNV = (void *)epoxy_glVertexAttrib1d_resolver();
    epoxy_glVertexAttrib1dNV(index, x);
}
PUBLIC PFNGLVERTEXATTRIB1DNVPROC epoxy_glVertexAttrib1dNV = epoxy_glVertexAttrib1dNV_rewrite_ptr;

static void
epoxy_glVertexAttrib1dv_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttrib1dv = (void *)epoxy_glVertexAttrib1dv_resolver();
    epoxy_glVertexAttrib1dv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB1DVPROC epoxy_glVertexAttrib1dv = epoxy_glVertexAttrib1dv_rewrite_ptr;

static void
epoxy_glVertexAttrib1dvARB_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttrib1dvARB = (void *)epoxy_glVertexAttrib1dv_resolver();
    epoxy_glVertexAttrib1dvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB1DVARBPROC epoxy_glVertexAttrib1dvARB = epoxy_glVertexAttrib1dvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib1dvNV_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttrib1dvNV = (void *)epoxy_glVertexAttrib1dv_resolver();
    epoxy_glVertexAttrib1dvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB1DVNVPROC epoxy_glVertexAttrib1dvNV = epoxy_glVertexAttrib1dvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib1f_rewrite_ptr(GLuint index, GLfloat x)
{
    epoxy_glVertexAttrib1f = (void *)epoxy_glVertexAttrib1f_resolver();
    epoxy_glVertexAttrib1f(index, x);
}
PUBLIC PFNGLVERTEXATTRIB1FPROC epoxy_glVertexAttrib1f = epoxy_glVertexAttrib1f_rewrite_ptr;

static void
epoxy_glVertexAttrib1fARB_rewrite_ptr(GLuint index, GLfloat x)
{
    epoxy_glVertexAttrib1fARB = (void *)epoxy_glVertexAttrib1f_resolver();
    epoxy_glVertexAttrib1fARB(index, x);
}
PUBLIC PFNGLVERTEXATTRIB1FARBPROC epoxy_glVertexAttrib1fARB = epoxy_glVertexAttrib1fARB_rewrite_ptr;

static void
epoxy_glVertexAttrib1fNV_rewrite_ptr(GLuint index, GLfloat x)
{
    epoxy_glVertexAttrib1fNV = (void *)epoxy_glVertexAttrib1f_resolver();
    epoxy_glVertexAttrib1fNV(index, x);
}
PUBLIC PFNGLVERTEXATTRIB1FNVPROC epoxy_glVertexAttrib1fNV = epoxy_glVertexAttrib1fNV_rewrite_ptr;

static void
epoxy_glVertexAttrib1fv_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glVertexAttrib1fv = (void *)epoxy_glVertexAttrib1fv_resolver();
    epoxy_glVertexAttrib1fv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB1FVPROC epoxy_glVertexAttrib1fv = epoxy_glVertexAttrib1fv_rewrite_ptr;

static void
epoxy_glVertexAttrib1fvARB_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glVertexAttrib1fvARB = (void *)epoxy_glVertexAttrib1fv_resolver();
    epoxy_glVertexAttrib1fvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB1FVARBPROC epoxy_glVertexAttrib1fvARB = epoxy_glVertexAttrib1fvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib1fvNV_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glVertexAttrib1fvNV = (void *)epoxy_glVertexAttrib1fv_resolver();
    epoxy_glVertexAttrib1fvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB1FVNVPROC epoxy_glVertexAttrib1fvNV = epoxy_glVertexAttrib1fvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib1hNV_rewrite_ptr(GLuint index, GLhalfNV x)
{
    epoxy_glVertexAttrib1hNV = (void *)epoxy_glVertexAttrib1hNV_resolver();
    epoxy_glVertexAttrib1hNV(index, x);
}
PUBLIC PFNGLVERTEXATTRIB1HNVPROC epoxy_glVertexAttrib1hNV = epoxy_glVertexAttrib1hNV_rewrite_ptr;

static void
epoxy_glVertexAttrib1hvNV_rewrite_ptr(GLuint index, const GLhalfNV * v)
{
    epoxy_glVertexAttrib1hvNV = (void *)epoxy_glVertexAttrib1hvNV_resolver();
    epoxy_glVertexAttrib1hvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB1HVNVPROC epoxy_glVertexAttrib1hvNV = epoxy_glVertexAttrib1hvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib1s_rewrite_ptr(GLuint index, GLshort x)
{
    epoxy_glVertexAttrib1s = (void *)epoxy_glVertexAttrib1s_resolver();
    epoxy_glVertexAttrib1s(index, x);
}
PUBLIC PFNGLVERTEXATTRIB1SPROC epoxy_glVertexAttrib1s = epoxy_glVertexAttrib1s_rewrite_ptr;

static void
epoxy_glVertexAttrib1sARB_rewrite_ptr(GLuint index, GLshort x)
{
    epoxy_glVertexAttrib1sARB = (void *)epoxy_glVertexAttrib1s_resolver();
    epoxy_glVertexAttrib1sARB(index, x);
}
PUBLIC PFNGLVERTEXATTRIB1SARBPROC epoxy_glVertexAttrib1sARB = epoxy_glVertexAttrib1sARB_rewrite_ptr;

static void
epoxy_glVertexAttrib1sNV_rewrite_ptr(GLuint index, GLshort x)
{
    epoxy_glVertexAttrib1sNV = (void *)epoxy_glVertexAttrib1s_resolver();
    epoxy_glVertexAttrib1sNV(index, x);
}
PUBLIC PFNGLVERTEXATTRIB1SNVPROC epoxy_glVertexAttrib1sNV = epoxy_glVertexAttrib1sNV_rewrite_ptr;

static void
epoxy_glVertexAttrib1sv_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib1sv = (void *)epoxy_glVertexAttrib1sv_resolver();
    epoxy_glVertexAttrib1sv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB1SVPROC epoxy_glVertexAttrib1sv = epoxy_glVertexAttrib1sv_rewrite_ptr;

static void
epoxy_glVertexAttrib1svARB_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib1svARB = (void *)epoxy_glVertexAttrib1sv_resolver();
    epoxy_glVertexAttrib1svARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB1SVARBPROC epoxy_glVertexAttrib1svARB = epoxy_glVertexAttrib1svARB_rewrite_ptr;

static void
epoxy_glVertexAttrib1svNV_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib1svNV = (void *)epoxy_glVertexAttrib1sv_resolver();
    epoxy_glVertexAttrib1svNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB1SVNVPROC epoxy_glVertexAttrib1svNV = epoxy_glVertexAttrib1svNV_rewrite_ptr;

static void
epoxy_glVertexAttrib2d_rewrite_ptr(GLuint index, GLdouble x, GLdouble y)
{
    epoxy_glVertexAttrib2d = (void *)epoxy_glVertexAttrib2d_resolver();
    epoxy_glVertexAttrib2d(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIB2DPROC epoxy_glVertexAttrib2d = epoxy_glVertexAttrib2d_rewrite_ptr;

static void
epoxy_glVertexAttrib2dARB_rewrite_ptr(GLuint index, GLdouble x, GLdouble y)
{
    epoxy_glVertexAttrib2dARB = (void *)epoxy_glVertexAttrib2d_resolver();
    epoxy_glVertexAttrib2dARB(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIB2DARBPROC epoxy_glVertexAttrib2dARB = epoxy_glVertexAttrib2dARB_rewrite_ptr;

static void
epoxy_glVertexAttrib2dNV_rewrite_ptr(GLuint index, GLdouble x, GLdouble y)
{
    epoxy_glVertexAttrib2dNV = (void *)epoxy_glVertexAttrib2d_resolver();
    epoxy_glVertexAttrib2dNV(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIB2DNVPROC epoxy_glVertexAttrib2dNV = epoxy_glVertexAttrib2dNV_rewrite_ptr;

static void
epoxy_glVertexAttrib2dv_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttrib2dv = (void *)epoxy_glVertexAttrib2dv_resolver();
    epoxy_glVertexAttrib2dv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB2DVPROC epoxy_glVertexAttrib2dv = epoxy_glVertexAttrib2dv_rewrite_ptr;

static void
epoxy_glVertexAttrib2dvARB_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttrib2dvARB = (void *)epoxy_glVertexAttrib2dv_resolver();
    epoxy_glVertexAttrib2dvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB2DVARBPROC epoxy_glVertexAttrib2dvARB = epoxy_glVertexAttrib2dvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib2dvNV_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttrib2dvNV = (void *)epoxy_glVertexAttrib2dv_resolver();
    epoxy_glVertexAttrib2dvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB2DVNVPROC epoxy_glVertexAttrib2dvNV = epoxy_glVertexAttrib2dvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib2f_rewrite_ptr(GLuint index, GLfloat x, GLfloat y)
{
    epoxy_glVertexAttrib2f = (void *)epoxy_glVertexAttrib2f_resolver();
    epoxy_glVertexAttrib2f(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIB2FPROC epoxy_glVertexAttrib2f = epoxy_glVertexAttrib2f_rewrite_ptr;

static void
epoxy_glVertexAttrib2fARB_rewrite_ptr(GLuint index, GLfloat x, GLfloat y)
{
    epoxy_glVertexAttrib2fARB = (void *)epoxy_glVertexAttrib2f_resolver();
    epoxy_glVertexAttrib2fARB(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIB2FARBPROC epoxy_glVertexAttrib2fARB = epoxy_glVertexAttrib2fARB_rewrite_ptr;

static void
epoxy_glVertexAttrib2fNV_rewrite_ptr(GLuint index, GLfloat x, GLfloat y)
{
    epoxy_glVertexAttrib2fNV = (void *)epoxy_glVertexAttrib2f_resolver();
    epoxy_glVertexAttrib2fNV(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIB2FNVPROC epoxy_glVertexAttrib2fNV = epoxy_glVertexAttrib2fNV_rewrite_ptr;

static void
epoxy_glVertexAttrib2fv_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glVertexAttrib2fv = (void *)epoxy_glVertexAttrib2fv_resolver();
    epoxy_glVertexAttrib2fv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB2FVPROC epoxy_glVertexAttrib2fv = epoxy_glVertexAttrib2fv_rewrite_ptr;

static void
epoxy_glVertexAttrib2fvARB_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glVertexAttrib2fvARB = (void *)epoxy_glVertexAttrib2fv_resolver();
    epoxy_glVertexAttrib2fvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB2FVARBPROC epoxy_glVertexAttrib2fvARB = epoxy_glVertexAttrib2fvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib2fvNV_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glVertexAttrib2fvNV = (void *)epoxy_glVertexAttrib2fv_resolver();
    epoxy_glVertexAttrib2fvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB2FVNVPROC epoxy_glVertexAttrib2fvNV = epoxy_glVertexAttrib2fvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib2hNV_rewrite_ptr(GLuint index, GLhalfNV x, GLhalfNV y)
{
    epoxy_glVertexAttrib2hNV = (void *)epoxy_glVertexAttrib2hNV_resolver();
    epoxy_glVertexAttrib2hNV(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIB2HNVPROC epoxy_glVertexAttrib2hNV = epoxy_glVertexAttrib2hNV_rewrite_ptr;

static void
epoxy_glVertexAttrib2hvNV_rewrite_ptr(GLuint index, const GLhalfNV * v)
{
    epoxy_glVertexAttrib2hvNV = (void *)epoxy_glVertexAttrib2hvNV_resolver();
    epoxy_glVertexAttrib2hvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB2HVNVPROC epoxy_glVertexAttrib2hvNV = epoxy_glVertexAttrib2hvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib2s_rewrite_ptr(GLuint index, GLshort x, GLshort y)
{
    epoxy_glVertexAttrib2s = (void *)epoxy_glVertexAttrib2s_resolver();
    epoxy_glVertexAttrib2s(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIB2SPROC epoxy_glVertexAttrib2s = epoxy_glVertexAttrib2s_rewrite_ptr;

static void
epoxy_glVertexAttrib2sARB_rewrite_ptr(GLuint index, GLshort x, GLshort y)
{
    epoxy_glVertexAttrib2sARB = (void *)epoxy_glVertexAttrib2s_resolver();
    epoxy_glVertexAttrib2sARB(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIB2SARBPROC epoxy_glVertexAttrib2sARB = epoxy_glVertexAttrib2sARB_rewrite_ptr;

static void
epoxy_glVertexAttrib2sNV_rewrite_ptr(GLuint index, GLshort x, GLshort y)
{
    epoxy_glVertexAttrib2sNV = (void *)epoxy_glVertexAttrib2s_resolver();
    epoxy_glVertexAttrib2sNV(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIB2SNVPROC epoxy_glVertexAttrib2sNV = epoxy_glVertexAttrib2sNV_rewrite_ptr;

static void
epoxy_glVertexAttrib2sv_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib2sv = (void *)epoxy_glVertexAttrib2sv_resolver();
    epoxy_glVertexAttrib2sv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB2SVPROC epoxy_glVertexAttrib2sv = epoxy_glVertexAttrib2sv_rewrite_ptr;

static void
epoxy_glVertexAttrib2svARB_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib2svARB = (void *)epoxy_glVertexAttrib2sv_resolver();
    epoxy_glVertexAttrib2svARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB2SVARBPROC epoxy_glVertexAttrib2svARB = epoxy_glVertexAttrib2svARB_rewrite_ptr;

static void
epoxy_glVertexAttrib2svNV_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib2svNV = (void *)epoxy_glVertexAttrib2sv_resolver();
    epoxy_glVertexAttrib2svNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB2SVNVPROC epoxy_glVertexAttrib2svNV = epoxy_glVertexAttrib2svNV_rewrite_ptr;

static void
epoxy_glVertexAttrib3d_rewrite_ptr(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glVertexAttrib3d = (void *)epoxy_glVertexAttrib3d_resolver();
    epoxy_glVertexAttrib3d(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIB3DPROC epoxy_glVertexAttrib3d = epoxy_glVertexAttrib3d_rewrite_ptr;

static void
epoxy_glVertexAttrib3dARB_rewrite_ptr(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glVertexAttrib3dARB = (void *)epoxy_glVertexAttrib3d_resolver();
    epoxy_glVertexAttrib3dARB(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIB3DARBPROC epoxy_glVertexAttrib3dARB = epoxy_glVertexAttrib3dARB_rewrite_ptr;

static void
epoxy_glVertexAttrib3dNV_rewrite_ptr(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glVertexAttrib3dNV = (void *)epoxy_glVertexAttrib3d_resolver();
    epoxy_glVertexAttrib3dNV(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIB3DNVPROC epoxy_glVertexAttrib3dNV = epoxy_glVertexAttrib3dNV_rewrite_ptr;

static void
epoxy_glVertexAttrib3dv_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttrib3dv = (void *)epoxy_glVertexAttrib3dv_resolver();
    epoxy_glVertexAttrib3dv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB3DVPROC epoxy_glVertexAttrib3dv = epoxy_glVertexAttrib3dv_rewrite_ptr;

static void
epoxy_glVertexAttrib3dvARB_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttrib3dvARB = (void *)epoxy_glVertexAttrib3dv_resolver();
    epoxy_glVertexAttrib3dvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB3DVARBPROC epoxy_glVertexAttrib3dvARB = epoxy_glVertexAttrib3dvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib3dvNV_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttrib3dvNV = (void *)epoxy_glVertexAttrib3dv_resolver();
    epoxy_glVertexAttrib3dvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB3DVNVPROC epoxy_glVertexAttrib3dvNV = epoxy_glVertexAttrib3dvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib3f_rewrite_ptr(GLuint index, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glVertexAttrib3f = (void *)epoxy_glVertexAttrib3f_resolver();
    epoxy_glVertexAttrib3f(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIB3FPROC epoxy_glVertexAttrib3f = epoxy_glVertexAttrib3f_rewrite_ptr;

static void
epoxy_glVertexAttrib3fARB_rewrite_ptr(GLuint index, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glVertexAttrib3fARB = (void *)epoxy_glVertexAttrib3f_resolver();
    epoxy_glVertexAttrib3fARB(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIB3FARBPROC epoxy_glVertexAttrib3fARB = epoxy_glVertexAttrib3fARB_rewrite_ptr;

static void
epoxy_glVertexAttrib3fNV_rewrite_ptr(GLuint index, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glVertexAttrib3fNV = (void *)epoxy_glVertexAttrib3f_resolver();
    epoxy_glVertexAttrib3fNV(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIB3FNVPROC epoxy_glVertexAttrib3fNV = epoxy_glVertexAttrib3fNV_rewrite_ptr;

static void
epoxy_glVertexAttrib3fv_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glVertexAttrib3fv = (void *)epoxy_glVertexAttrib3fv_resolver();
    epoxy_glVertexAttrib3fv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB3FVPROC epoxy_glVertexAttrib3fv = epoxy_glVertexAttrib3fv_rewrite_ptr;

static void
epoxy_glVertexAttrib3fvARB_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glVertexAttrib3fvARB = (void *)epoxy_glVertexAttrib3fv_resolver();
    epoxy_glVertexAttrib3fvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB3FVARBPROC epoxy_glVertexAttrib3fvARB = epoxy_glVertexAttrib3fvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib3fvNV_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glVertexAttrib3fvNV = (void *)epoxy_glVertexAttrib3fv_resolver();
    epoxy_glVertexAttrib3fvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB3FVNVPROC epoxy_glVertexAttrib3fvNV = epoxy_glVertexAttrib3fvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib3hNV_rewrite_ptr(GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z)
{
    epoxy_glVertexAttrib3hNV = (void *)epoxy_glVertexAttrib3hNV_resolver();
    epoxy_glVertexAttrib3hNV(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIB3HNVPROC epoxy_glVertexAttrib3hNV = epoxy_glVertexAttrib3hNV_rewrite_ptr;

static void
epoxy_glVertexAttrib3hvNV_rewrite_ptr(GLuint index, const GLhalfNV * v)
{
    epoxy_glVertexAttrib3hvNV = (void *)epoxy_glVertexAttrib3hvNV_resolver();
    epoxy_glVertexAttrib3hvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB3HVNVPROC epoxy_glVertexAttrib3hvNV = epoxy_glVertexAttrib3hvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib3s_rewrite_ptr(GLuint index, GLshort x, GLshort y, GLshort z)
{
    epoxy_glVertexAttrib3s = (void *)epoxy_glVertexAttrib3s_resolver();
    epoxy_glVertexAttrib3s(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIB3SPROC epoxy_glVertexAttrib3s = epoxy_glVertexAttrib3s_rewrite_ptr;

static void
epoxy_glVertexAttrib3sARB_rewrite_ptr(GLuint index, GLshort x, GLshort y, GLshort z)
{
    epoxy_glVertexAttrib3sARB = (void *)epoxy_glVertexAttrib3s_resolver();
    epoxy_glVertexAttrib3sARB(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIB3SARBPROC epoxy_glVertexAttrib3sARB = epoxy_glVertexAttrib3sARB_rewrite_ptr;

static void
epoxy_glVertexAttrib3sNV_rewrite_ptr(GLuint index, GLshort x, GLshort y, GLshort z)
{
    epoxy_glVertexAttrib3sNV = (void *)epoxy_glVertexAttrib3s_resolver();
    epoxy_glVertexAttrib3sNV(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIB3SNVPROC epoxy_glVertexAttrib3sNV = epoxy_glVertexAttrib3sNV_rewrite_ptr;

static void
epoxy_glVertexAttrib3sv_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib3sv = (void *)epoxy_glVertexAttrib3sv_resolver();
    epoxy_glVertexAttrib3sv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB3SVPROC epoxy_glVertexAttrib3sv = epoxy_glVertexAttrib3sv_rewrite_ptr;

static void
epoxy_glVertexAttrib3svARB_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib3svARB = (void *)epoxy_glVertexAttrib3sv_resolver();
    epoxy_glVertexAttrib3svARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB3SVARBPROC epoxy_glVertexAttrib3svARB = epoxy_glVertexAttrib3svARB_rewrite_ptr;

static void
epoxy_glVertexAttrib3svNV_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib3svNV = (void *)epoxy_glVertexAttrib3sv_resolver();
    epoxy_glVertexAttrib3svNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB3SVNVPROC epoxy_glVertexAttrib3svNV = epoxy_glVertexAttrib3svNV_rewrite_ptr;

static void
epoxy_glVertexAttrib4Nbv_rewrite_ptr(GLuint index, const GLbyte * v)
{
    epoxy_glVertexAttrib4Nbv = (void *)epoxy_glVertexAttrib4Nbv_resolver();
    epoxy_glVertexAttrib4Nbv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4NBVPROC epoxy_glVertexAttrib4Nbv = epoxy_glVertexAttrib4Nbv_rewrite_ptr;

static void
epoxy_glVertexAttrib4NbvARB_rewrite_ptr(GLuint index, const GLbyte * v)
{
    epoxy_glVertexAttrib4NbvARB = (void *)epoxy_glVertexAttrib4Nbv_resolver();
    epoxy_glVertexAttrib4NbvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4NBVARBPROC epoxy_glVertexAttrib4NbvARB = epoxy_glVertexAttrib4NbvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4Niv_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glVertexAttrib4Niv = (void *)epoxy_glVertexAttrib4Niv_resolver();
    epoxy_glVertexAttrib4Niv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4NIVPROC epoxy_glVertexAttrib4Niv = epoxy_glVertexAttrib4Niv_rewrite_ptr;

static void
epoxy_glVertexAttrib4NivARB_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glVertexAttrib4NivARB = (void *)epoxy_glVertexAttrib4Niv_resolver();
    epoxy_glVertexAttrib4NivARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4NIVARBPROC epoxy_glVertexAttrib4NivARB = epoxy_glVertexAttrib4NivARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4Nsv_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib4Nsv = (void *)epoxy_glVertexAttrib4Nsv_resolver();
    epoxy_glVertexAttrib4Nsv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4NSVPROC epoxy_glVertexAttrib4Nsv = epoxy_glVertexAttrib4Nsv_rewrite_ptr;

static void
epoxy_glVertexAttrib4NsvARB_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib4NsvARB = (void *)epoxy_glVertexAttrib4Nsv_resolver();
    epoxy_glVertexAttrib4NsvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4NSVARBPROC epoxy_glVertexAttrib4NsvARB = epoxy_glVertexAttrib4NsvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4Nub_rewrite_ptr(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
{
    epoxy_glVertexAttrib4Nub = (void *)epoxy_glVertexAttrib4Nub_resolver();
    epoxy_glVertexAttrib4Nub(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4NUBPROC epoxy_glVertexAttrib4Nub = epoxy_glVertexAttrib4Nub_rewrite_ptr;

static void
epoxy_glVertexAttrib4NubARB_rewrite_ptr(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
{
    epoxy_glVertexAttrib4NubARB = (void *)epoxy_glVertexAttrib4Nub_resolver();
    epoxy_glVertexAttrib4NubARB(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4NUBARBPROC epoxy_glVertexAttrib4NubARB = epoxy_glVertexAttrib4NubARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4Nubv_rewrite_ptr(GLuint index, const GLubyte * v)
{
    epoxy_glVertexAttrib4Nubv = (void *)epoxy_glVertexAttrib4Nubv_resolver();
    epoxy_glVertexAttrib4Nubv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4NUBVPROC epoxy_glVertexAttrib4Nubv = epoxy_glVertexAttrib4Nubv_rewrite_ptr;

static void
epoxy_glVertexAttrib4NubvARB_rewrite_ptr(GLuint index, const GLubyte * v)
{
    epoxy_glVertexAttrib4NubvARB = (void *)epoxy_glVertexAttrib4Nubv_resolver();
    epoxy_glVertexAttrib4NubvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4NUBVARBPROC epoxy_glVertexAttrib4NubvARB = epoxy_glVertexAttrib4NubvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4Nuiv_rewrite_ptr(GLuint index, const GLuint * v)
{
    epoxy_glVertexAttrib4Nuiv = (void *)epoxy_glVertexAttrib4Nuiv_resolver();
    epoxy_glVertexAttrib4Nuiv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4NUIVPROC epoxy_glVertexAttrib4Nuiv = epoxy_glVertexAttrib4Nuiv_rewrite_ptr;

static void
epoxy_glVertexAttrib4NuivARB_rewrite_ptr(GLuint index, const GLuint * v)
{
    epoxy_glVertexAttrib4NuivARB = (void *)epoxy_glVertexAttrib4Nuiv_resolver();
    epoxy_glVertexAttrib4NuivARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4NUIVARBPROC epoxy_glVertexAttrib4NuivARB = epoxy_glVertexAttrib4NuivARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4Nusv_rewrite_ptr(GLuint index, const GLushort * v)
{
    epoxy_glVertexAttrib4Nusv = (void *)epoxy_glVertexAttrib4Nusv_resolver();
    epoxy_glVertexAttrib4Nusv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4NUSVPROC epoxy_glVertexAttrib4Nusv = epoxy_glVertexAttrib4Nusv_rewrite_ptr;

static void
epoxy_glVertexAttrib4NusvARB_rewrite_ptr(GLuint index, const GLushort * v)
{
    epoxy_glVertexAttrib4NusvARB = (void *)epoxy_glVertexAttrib4Nusv_resolver();
    epoxy_glVertexAttrib4NusvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4NUSVARBPROC epoxy_glVertexAttrib4NusvARB = epoxy_glVertexAttrib4NusvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4bv_rewrite_ptr(GLuint index, const GLbyte * v)
{
    epoxy_glVertexAttrib4bv = (void *)epoxy_glVertexAttrib4bv_resolver();
    epoxy_glVertexAttrib4bv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4BVPROC epoxy_glVertexAttrib4bv = epoxy_glVertexAttrib4bv_rewrite_ptr;

static void
epoxy_glVertexAttrib4bvARB_rewrite_ptr(GLuint index, const GLbyte * v)
{
    epoxy_glVertexAttrib4bvARB = (void *)epoxy_glVertexAttrib4bv_resolver();
    epoxy_glVertexAttrib4bvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4BVARBPROC epoxy_glVertexAttrib4bvARB = epoxy_glVertexAttrib4bvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4d_rewrite_ptr(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glVertexAttrib4d = (void *)epoxy_glVertexAttrib4d_resolver();
    epoxy_glVertexAttrib4d(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4DPROC epoxy_glVertexAttrib4d = epoxy_glVertexAttrib4d_rewrite_ptr;

static void
epoxy_glVertexAttrib4dARB_rewrite_ptr(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glVertexAttrib4dARB = (void *)epoxy_glVertexAttrib4d_resolver();
    epoxy_glVertexAttrib4dARB(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4DARBPROC epoxy_glVertexAttrib4dARB = epoxy_glVertexAttrib4dARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4dNV_rewrite_ptr(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glVertexAttrib4dNV = (void *)epoxy_glVertexAttrib4d_resolver();
    epoxy_glVertexAttrib4dNV(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4DNVPROC epoxy_glVertexAttrib4dNV = epoxy_glVertexAttrib4dNV_rewrite_ptr;

static void
epoxy_glVertexAttrib4dv_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttrib4dv = (void *)epoxy_glVertexAttrib4dv_resolver();
    epoxy_glVertexAttrib4dv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4DVPROC epoxy_glVertexAttrib4dv = epoxy_glVertexAttrib4dv_rewrite_ptr;

static void
epoxy_glVertexAttrib4dvARB_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttrib4dvARB = (void *)epoxy_glVertexAttrib4dv_resolver();
    epoxy_glVertexAttrib4dvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4DVARBPROC epoxy_glVertexAttrib4dvARB = epoxy_glVertexAttrib4dvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4dvNV_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttrib4dvNV = (void *)epoxy_glVertexAttrib4dv_resolver();
    epoxy_glVertexAttrib4dvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4DVNVPROC epoxy_glVertexAttrib4dvNV = epoxy_glVertexAttrib4dvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib4f_rewrite_ptr(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glVertexAttrib4f = (void *)epoxy_glVertexAttrib4f_resolver();
    epoxy_glVertexAttrib4f(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4FPROC epoxy_glVertexAttrib4f = epoxy_glVertexAttrib4f_rewrite_ptr;

static void
epoxy_glVertexAttrib4fARB_rewrite_ptr(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glVertexAttrib4fARB = (void *)epoxy_glVertexAttrib4f_resolver();
    epoxy_glVertexAttrib4fARB(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4FARBPROC epoxy_glVertexAttrib4fARB = epoxy_glVertexAttrib4fARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4fNV_rewrite_ptr(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glVertexAttrib4fNV = (void *)epoxy_glVertexAttrib4f_resolver();
    epoxy_glVertexAttrib4fNV(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4FNVPROC epoxy_glVertexAttrib4fNV = epoxy_glVertexAttrib4fNV_rewrite_ptr;

static void
epoxy_glVertexAttrib4fv_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glVertexAttrib4fv = (void *)epoxy_glVertexAttrib4fv_resolver();
    epoxy_glVertexAttrib4fv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4FVPROC epoxy_glVertexAttrib4fv = epoxy_glVertexAttrib4fv_rewrite_ptr;

static void
epoxy_glVertexAttrib4fvARB_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glVertexAttrib4fvARB = (void *)epoxy_glVertexAttrib4fv_resolver();
    epoxy_glVertexAttrib4fvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4FVARBPROC epoxy_glVertexAttrib4fvARB = epoxy_glVertexAttrib4fvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4fvNV_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glVertexAttrib4fvNV = (void *)epoxy_glVertexAttrib4fv_resolver();
    epoxy_glVertexAttrib4fvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4FVNVPROC epoxy_glVertexAttrib4fvNV = epoxy_glVertexAttrib4fvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib4hNV_rewrite_ptr(GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w)
{
    epoxy_glVertexAttrib4hNV = (void *)epoxy_glVertexAttrib4hNV_resolver();
    epoxy_glVertexAttrib4hNV(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4HNVPROC epoxy_glVertexAttrib4hNV = epoxy_glVertexAttrib4hNV_rewrite_ptr;

static void
epoxy_glVertexAttrib4hvNV_rewrite_ptr(GLuint index, const GLhalfNV * v)
{
    epoxy_glVertexAttrib4hvNV = (void *)epoxy_glVertexAttrib4hvNV_resolver();
    epoxy_glVertexAttrib4hvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4HVNVPROC epoxy_glVertexAttrib4hvNV = epoxy_glVertexAttrib4hvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib4iv_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glVertexAttrib4iv = (void *)epoxy_glVertexAttrib4iv_resolver();
    epoxy_glVertexAttrib4iv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4IVPROC epoxy_glVertexAttrib4iv = epoxy_glVertexAttrib4iv_rewrite_ptr;

static void
epoxy_glVertexAttrib4ivARB_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glVertexAttrib4ivARB = (void *)epoxy_glVertexAttrib4iv_resolver();
    epoxy_glVertexAttrib4ivARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4IVARBPROC epoxy_glVertexAttrib4ivARB = epoxy_glVertexAttrib4ivARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4s_rewrite_ptr(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
{
    epoxy_glVertexAttrib4s = (void *)epoxy_glVertexAttrib4s_resolver();
    epoxy_glVertexAttrib4s(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4SPROC epoxy_glVertexAttrib4s = epoxy_glVertexAttrib4s_rewrite_ptr;

static void
epoxy_glVertexAttrib4sARB_rewrite_ptr(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
{
    epoxy_glVertexAttrib4sARB = (void *)epoxy_glVertexAttrib4s_resolver();
    epoxy_glVertexAttrib4sARB(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4SARBPROC epoxy_glVertexAttrib4sARB = epoxy_glVertexAttrib4sARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4sNV_rewrite_ptr(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
{
    epoxy_glVertexAttrib4sNV = (void *)epoxy_glVertexAttrib4s_resolver();
    epoxy_glVertexAttrib4sNV(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4SNVPROC epoxy_glVertexAttrib4sNV = epoxy_glVertexAttrib4sNV_rewrite_ptr;

static void
epoxy_glVertexAttrib4sv_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib4sv = (void *)epoxy_glVertexAttrib4sv_resolver();
    epoxy_glVertexAttrib4sv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4SVPROC epoxy_glVertexAttrib4sv = epoxy_glVertexAttrib4sv_rewrite_ptr;

static void
epoxy_glVertexAttrib4svARB_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib4svARB = (void *)epoxy_glVertexAttrib4sv_resolver();
    epoxy_glVertexAttrib4svARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4SVARBPROC epoxy_glVertexAttrib4svARB = epoxy_glVertexAttrib4svARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4svNV_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttrib4svNV = (void *)epoxy_glVertexAttrib4sv_resolver();
    epoxy_glVertexAttrib4svNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4SVNVPROC epoxy_glVertexAttrib4svNV = epoxy_glVertexAttrib4svNV_rewrite_ptr;

static void
epoxy_glVertexAttrib4ubNV_rewrite_ptr(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
{
    epoxy_glVertexAttrib4ubNV = (void *)epoxy_glVertexAttrib4Nub_resolver();
    epoxy_glVertexAttrib4ubNV(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIB4UBNVPROC epoxy_glVertexAttrib4ubNV = epoxy_glVertexAttrib4ubNV_rewrite_ptr;

static void
epoxy_glVertexAttrib4ubv_rewrite_ptr(GLuint index, const GLubyte * v)
{
    epoxy_glVertexAttrib4ubv = (void *)epoxy_glVertexAttrib4ubv_resolver();
    epoxy_glVertexAttrib4ubv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4UBVPROC epoxy_glVertexAttrib4ubv = epoxy_glVertexAttrib4ubv_rewrite_ptr;

static void
epoxy_glVertexAttrib4ubvARB_rewrite_ptr(GLuint index, const GLubyte * v)
{
    epoxy_glVertexAttrib4ubvARB = (void *)epoxy_glVertexAttrib4ubv_resolver();
    epoxy_glVertexAttrib4ubvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4UBVARBPROC epoxy_glVertexAttrib4ubvARB = epoxy_glVertexAttrib4ubvARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4ubvNV_rewrite_ptr(GLuint index, const GLubyte * v)
{
    epoxy_glVertexAttrib4ubvNV = (void *)epoxy_glVertexAttrib4Nubv_resolver();
    epoxy_glVertexAttrib4ubvNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4UBVNVPROC epoxy_glVertexAttrib4ubvNV = epoxy_glVertexAttrib4ubvNV_rewrite_ptr;

static void
epoxy_glVertexAttrib4uiv_rewrite_ptr(GLuint index, const GLuint * v)
{
    epoxy_glVertexAttrib4uiv = (void *)epoxy_glVertexAttrib4uiv_resolver();
    epoxy_glVertexAttrib4uiv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4UIVPROC epoxy_glVertexAttrib4uiv = epoxy_glVertexAttrib4uiv_rewrite_ptr;

static void
epoxy_glVertexAttrib4uivARB_rewrite_ptr(GLuint index, const GLuint * v)
{
    epoxy_glVertexAttrib4uivARB = (void *)epoxy_glVertexAttrib4uiv_resolver();
    epoxy_glVertexAttrib4uivARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4UIVARBPROC epoxy_glVertexAttrib4uivARB = epoxy_glVertexAttrib4uivARB_rewrite_ptr;

static void
epoxy_glVertexAttrib4usv_rewrite_ptr(GLuint index, const GLushort * v)
{
    epoxy_glVertexAttrib4usv = (void *)epoxy_glVertexAttrib4usv_resolver();
    epoxy_glVertexAttrib4usv(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4USVPROC epoxy_glVertexAttrib4usv = epoxy_glVertexAttrib4usv_rewrite_ptr;

static void
epoxy_glVertexAttrib4usvARB_rewrite_ptr(GLuint index, const GLushort * v)
{
    epoxy_glVertexAttrib4usvARB = (void *)epoxy_glVertexAttrib4usv_resolver();
    epoxy_glVertexAttrib4usvARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIB4USVARBPROC epoxy_glVertexAttrib4usvARB = epoxy_glVertexAttrib4usvARB_rewrite_ptr;

static void
epoxy_glVertexAttribArrayObjectATI_rewrite_ptr(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLuint buffer, GLuint offset)
{
    epoxy_glVertexAttribArrayObjectATI = (void *)epoxy_glVertexAttribArrayObjectATI_resolver();
    epoxy_glVertexAttribArrayObjectATI(index, size, type, normalized, stride, buffer, offset);
}
PUBLIC PFNGLVERTEXATTRIBARRAYOBJECTATIPROC epoxy_glVertexAttribArrayObjectATI = epoxy_glVertexAttribArrayObjectATI_rewrite_ptr;

static void
epoxy_glVertexAttribBinding_rewrite_ptr(GLuint attribindex, GLuint bindingindex)
{
    epoxy_glVertexAttribBinding = (void *)epoxy_glVertexAttribBinding_resolver();
    epoxy_glVertexAttribBinding(attribindex, bindingindex);
}
PUBLIC PFNGLVERTEXATTRIBBINDINGPROC epoxy_glVertexAttribBinding = epoxy_glVertexAttribBinding_rewrite_ptr;

static void
epoxy_glVertexAttribDivisor_rewrite_ptr(GLuint index, GLuint divisor)
{
    epoxy_glVertexAttribDivisor = (void *)epoxy_glVertexAttribDivisor_resolver();
    epoxy_glVertexAttribDivisor(index, divisor);
}
PUBLIC PFNGLVERTEXATTRIBDIVISORPROC epoxy_glVertexAttribDivisor = epoxy_glVertexAttribDivisor_rewrite_ptr;

static void
epoxy_glVertexAttribDivisorANGLE_rewrite_ptr(GLuint index, GLuint divisor)
{
    epoxy_glVertexAttribDivisorANGLE = (void *)epoxy_glVertexAttribDivisor_resolver();
    epoxy_glVertexAttribDivisorANGLE(index, divisor);
}
PUBLIC PFNGLVERTEXATTRIBDIVISORANGLEPROC epoxy_glVertexAttribDivisorANGLE = epoxy_glVertexAttribDivisorANGLE_rewrite_ptr;

static void
epoxy_glVertexAttribDivisorARB_rewrite_ptr(GLuint index, GLuint divisor)
{
    epoxy_glVertexAttribDivisorARB = (void *)epoxy_glVertexAttribDivisor_resolver();
    epoxy_glVertexAttribDivisorARB(index, divisor);
}
PUBLIC PFNGLVERTEXATTRIBDIVISORARBPROC epoxy_glVertexAttribDivisorARB = epoxy_glVertexAttribDivisorARB_rewrite_ptr;

static void
epoxy_glVertexAttribDivisorEXT_rewrite_ptr(GLuint index, GLuint divisor)
{
    epoxy_glVertexAttribDivisorEXT = (void *)epoxy_glVertexAttribDivisor_resolver();
    epoxy_glVertexAttribDivisorEXT(index, divisor);
}
PUBLIC PFNGLVERTEXATTRIBDIVISOREXTPROC epoxy_glVertexAttribDivisorEXT = epoxy_glVertexAttribDivisorEXT_rewrite_ptr;

static void
epoxy_glVertexAttribDivisorNV_rewrite_ptr(GLuint index, GLuint divisor)
{
    epoxy_glVertexAttribDivisorNV = (void *)epoxy_glVertexAttribDivisor_resolver();
    epoxy_glVertexAttribDivisorNV(index, divisor);
}
PUBLIC PFNGLVERTEXATTRIBDIVISORNVPROC epoxy_glVertexAttribDivisorNV = epoxy_glVertexAttribDivisorNV_rewrite_ptr;

static void
epoxy_glVertexAttribFormat_rewrite_ptr(GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
{
    epoxy_glVertexAttribFormat = (void *)epoxy_glVertexAttribFormat_resolver();
    epoxy_glVertexAttribFormat(attribindex, size, type, normalized, relativeoffset);
}
PUBLIC PFNGLVERTEXATTRIBFORMATPROC epoxy_glVertexAttribFormat = epoxy_glVertexAttribFormat_rewrite_ptr;

static void
epoxy_glVertexAttribFormatNV_rewrite_ptr(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride)
{
    epoxy_glVertexAttribFormatNV = (void *)epoxy_glVertexAttribFormatNV_resolver();
    epoxy_glVertexAttribFormatNV(index, size, type, normalized, stride);
}
PUBLIC PFNGLVERTEXATTRIBFORMATNVPROC epoxy_glVertexAttribFormatNV = epoxy_glVertexAttribFormatNV_rewrite_ptr;

static void
epoxy_glVertexAttribI1i_rewrite_ptr(GLuint index, GLint x)
{
    epoxy_glVertexAttribI1i = (void *)epoxy_glVertexAttribI1i_resolver();
    epoxy_glVertexAttribI1i(index, x);
}
PUBLIC PFNGLVERTEXATTRIBI1IPROC epoxy_glVertexAttribI1i = epoxy_glVertexAttribI1i_rewrite_ptr;

static void
epoxy_glVertexAttribI1iEXT_rewrite_ptr(GLuint index, GLint x)
{
    epoxy_glVertexAttribI1iEXT = (void *)epoxy_glVertexAttribI1i_resolver();
    epoxy_glVertexAttribI1iEXT(index, x);
}
PUBLIC PFNGLVERTEXATTRIBI1IEXTPROC epoxy_glVertexAttribI1iEXT = epoxy_glVertexAttribI1iEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI1iv_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glVertexAttribI1iv = (void *)epoxy_glVertexAttribI1iv_resolver();
    epoxy_glVertexAttribI1iv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI1IVPROC epoxy_glVertexAttribI1iv = epoxy_glVertexAttribI1iv_rewrite_ptr;

static void
epoxy_glVertexAttribI1ivEXT_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glVertexAttribI1ivEXT = (void *)epoxy_glVertexAttribI1iv_resolver();
    epoxy_glVertexAttribI1ivEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI1IVEXTPROC epoxy_glVertexAttribI1ivEXT = epoxy_glVertexAttribI1ivEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI1ui_rewrite_ptr(GLuint index, GLuint x)
{
    epoxy_glVertexAttribI1ui = (void *)epoxy_glVertexAttribI1ui_resolver();
    epoxy_glVertexAttribI1ui(index, x);
}
PUBLIC PFNGLVERTEXATTRIBI1UIPROC epoxy_glVertexAttribI1ui = epoxy_glVertexAttribI1ui_rewrite_ptr;

static void
epoxy_glVertexAttribI1uiEXT_rewrite_ptr(GLuint index, GLuint x)
{
    epoxy_glVertexAttribI1uiEXT = (void *)epoxy_glVertexAttribI1ui_resolver();
    epoxy_glVertexAttribI1uiEXT(index, x);
}
PUBLIC PFNGLVERTEXATTRIBI1UIEXTPROC epoxy_glVertexAttribI1uiEXT = epoxy_glVertexAttribI1uiEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI1uiv_rewrite_ptr(GLuint index, const GLuint * v)
{
    epoxy_glVertexAttribI1uiv = (void *)epoxy_glVertexAttribI1uiv_resolver();
    epoxy_glVertexAttribI1uiv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI1UIVPROC epoxy_glVertexAttribI1uiv = epoxy_glVertexAttribI1uiv_rewrite_ptr;

static void
epoxy_glVertexAttribI1uivEXT_rewrite_ptr(GLuint index, const GLuint * v)
{
    epoxy_glVertexAttribI1uivEXT = (void *)epoxy_glVertexAttribI1uiv_resolver();
    epoxy_glVertexAttribI1uivEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI1UIVEXTPROC epoxy_glVertexAttribI1uivEXT = epoxy_glVertexAttribI1uivEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI2i_rewrite_ptr(GLuint index, GLint x, GLint y)
{
    epoxy_glVertexAttribI2i = (void *)epoxy_glVertexAttribI2i_resolver();
    epoxy_glVertexAttribI2i(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIBI2IPROC epoxy_glVertexAttribI2i = epoxy_glVertexAttribI2i_rewrite_ptr;

static void
epoxy_glVertexAttribI2iEXT_rewrite_ptr(GLuint index, GLint x, GLint y)
{
    epoxy_glVertexAttribI2iEXT = (void *)epoxy_glVertexAttribI2i_resolver();
    epoxy_glVertexAttribI2iEXT(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIBI2IEXTPROC epoxy_glVertexAttribI2iEXT = epoxy_glVertexAttribI2iEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI2iv_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glVertexAttribI2iv = (void *)epoxy_glVertexAttribI2iv_resolver();
    epoxy_glVertexAttribI2iv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI2IVPROC epoxy_glVertexAttribI2iv = epoxy_glVertexAttribI2iv_rewrite_ptr;

static void
epoxy_glVertexAttribI2ivEXT_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glVertexAttribI2ivEXT = (void *)epoxy_glVertexAttribI2iv_resolver();
    epoxy_glVertexAttribI2ivEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI2IVEXTPROC epoxy_glVertexAttribI2ivEXT = epoxy_glVertexAttribI2ivEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI2ui_rewrite_ptr(GLuint index, GLuint x, GLuint y)
{
    epoxy_glVertexAttribI2ui = (void *)epoxy_glVertexAttribI2ui_resolver();
    epoxy_glVertexAttribI2ui(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIBI2UIPROC epoxy_glVertexAttribI2ui = epoxy_glVertexAttribI2ui_rewrite_ptr;

static void
epoxy_glVertexAttribI2uiEXT_rewrite_ptr(GLuint index, GLuint x, GLuint y)
{
    epoxy_glVertexAttribI2uiEXT = (void *)epoxy_glVertexAttribI2ui_resolver();
    epoxy_glVertexAttribI2uiEXT(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIBI2UIEXTPROC epoxy_glVertexAttribI2uiEXT = epoxy_glVertexAttribI2uiEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI2uiv_rewrite_ptr(GLuint index, const GLuint * v)
{
    epoxy_glVertexAttribI2uiv = (void *)epoxy_glVertexAttribI2uiv_resolver();
    epoxy_glVertexAttribI2uiv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI2UIVPROC epoxy_glVertexAttribI2uiv = epoxy_glVertexAttribI2uiv_rewrite_ptr;

static void
epoxy_glVertexAttribI2uivEXT_rewrite_ptr(GLuint index, const GLuint * v)
{
    epoxy_glVertexAttribI2uivEXT = (void *)epoxy_glVertexAttribI2uiv_resolver();
    epoxy_glVertexAttribI2uivEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI2UIVEXTPROC epoxy_glVertexAttribI2uivEXT = epoxy_glVertexAttribI2uivEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI3i_rewrite_ptr(GLuint index, GLint x, GLint y, GLint z)
{
    epoxy_glVertexAttribI3i = (void *)epoxy_glVertexAttribI3i_resolver();
    epoxy_glVertexAttribI3i(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIBI3IPROC epoxy_glVertexAttribI3i = epoxy_glVertexAttribI3i_rewrite_ptr;

static void
epoxy_glVertexAttribI3iEXT_rewrite_ptr(GLuint index, GLint x, GLint y, GLint z)
{
    epoxy_glVertexAttribI3iEXT = (void *)epoxy_glVertexAttribI3i_resolver();
    epoxy_glVertexAttribI3iEXT(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIBI3IEXTPROC epoxy_glVertexAttribI3iEXT = epoxy_glVertexAttribI3iEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI3iv_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glVertexAttribI3iv = (void *)epoxy_glVertexAttribI3iv_resolver();
    epoxy_glVertexAttribI3iv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI3IVPROC epoxy_glVertexAttribI3iv = epoxy_glVertexAttribI3iv_rewrite_ptr;

static void
epoxy_glVertexAttribI3ivEXT_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glVertexAttribI3ivEXT = (void *)epoxy_glVertexAttribI3iv_resolver();
    epoxy_glVertexAttribI3ivEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI3IVEXTPROC epoxy_glVertexAttribI3ivEXT = epoxy_glVertexAttribI3ivEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI3ui_rewrite_ptr(GLuint index, GLuint x, GLuint y, GLuint z)
{
    epoxy_glVertexAttribI3ui = (void *)epoxy_glVertexAttribI3ui_resolver();
    epoxy_glVertexAttribI3ui(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIBI3UIPROC epoxy_glVertexAttribI3ui = epoxy_glVertexAttribI3ui_rewrite_ptr;

static void
epoxy_glVertexAttribI3uiEXT_rewrite_ptr(GLuint index, GLuint x, GLuint y, GLuint z)
{
    epoxy_glVertexAttribI3uiEXT = (void *)epoxy_glVertexAttribI3ui_resolver();
    epoxy_glVertexAttribI3uiEXT(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIBI3UIEXTPROC epoxy_glVertexAttribI3uiEXT = epoxy_glVertexAttribI3uiEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI3uiv_rewrite_ptr(GLuint index, const GLuint * v)
{
    epoxy_glVertexAttribI3uiv = (void *)epoxy_glVertexAttribI3uiv_resolver();
    epoxy_glVertexAttribI3uiv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI3UIVPROC epoxy_glVertexAttribI3uiv = epoxy_glVertexAttribI3uiv_rewrite_ptr;

static void
epoxy_glVertexAttribI3uivEXT_rewrite_ptr(GLuint index, const GLuint * v)
{
    epoxy_glVertexAttribI3uivEXT = (void *)epoxy_glVertexAttribI3uiv_resolver();
    epoxy_glVertexAttribI3uivEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI3UIVEXTPROC epoxy_glVertexAttribI3uivEXT = epoxy_glVertexAttribI3uivEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI4bv_rewrite_ptr(GLuint index, const GLbyte * v)
{
    epoxy_glVertexAttribI4bv = (void *)epoxy_glVertexAttribI4bv_resolver();
    epoxy_glVertexAttribI4bv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI4BVPROC epoxy_glVertexAttribI4bv = epoxy_glVertexAttribI4bv_rewrite_ptr;

static void
epoxy_glVertexAttribI4bvEXT_rewrite_ptr(GLuint index, const GLbyte * v)
{
    epoxy_glVertexAttribI4bvEXT = (void *)epoxy_glVertexAttribI4bv_resolver();
    epoxy_glVertexAttribI4bvEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI4BVEXTPROC epoxy_glVertexAttribI4bvEXT = epoxy_glVertexAttribI4bvEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI4i_rewrite_ptr(GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    epoxy_glVertexAttribI4i = (void *)epoxy_glVertexAttribI4i_resolver();
    epoxy_glVertexAttribI4i(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIBI4IPROC epoxy_glVertexAttribI4i = epoxy_glVertexAttribI4i_rewrite_ptr;

static void
epoxy_glVertexAttribI4iEXT_rewrite_ptr(GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    epoxy_glVertexAttribI4iEXT = (void *)epoxy_glVertexAttribI4i_resolver();
    epoxy_glVertexAttribI4iEXT(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIBI4IEXTPROC epoxy_glVertexAttribI4iEXT = epoxy_glVertexAttribI4iEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI4iv_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glVertexAttribI4iv = (void *)epoxy_glVertexAttribI4iv_resolver();
    epoxy_glVertexAttribI4iv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI4IVPROC epoxy_glVertexAttribI4iv = epoxy_glVertexAttribI4iv_rewrite_ptr;

static void
epoxy_glVertexAttribI4ivEXT_rewrite_ptr(GLuint index, const GLint * v)
{
    epoxy_glVertexAttribI4ivEXT = (void *)epoxy_glVertexAttribI4iv_resolver();
    epoxy_glVertexAttribI4ivEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI4IVEXTPROC epoxy_glVertexAttribI4ivEXT = epoxy_glVertexAttribI4ivEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI4sv_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttribI4sv = (void *)epoxy_glVertexAttribI4sv_resolver();
    epoxy_glVertexAttribI4sv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI4SVPROC epoxy_glVertexAttribI4sv = epoxy_glVertexAttribI4sv_rewrite_ptr;

static void
epoxy_glVertexAttribI4svEXT_rewrite_ptr(GLuint index, const GLshort * v)
{
    epoxy_glVertexAttribI4svEXT = (void *)epoxy_glVertexAttribI4sv_resolver();
    epoxy_glVertexAttribI4svEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI4SVEXTPROC epoxy_glVertexAttribI4svEXT = epoxy_glVertexAttribI4svEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI4ubv_rewrite_ptr(GLuint index, const GLubyte * v)
{
    epoxy_glVertexAttribI4ubv = (void *)epoxy_glVertexAttribI4ubv_resolver();
    epoxy_glVertexAttribI4ubv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI4UBVPROC epoxy_glVertexAttribI4ubv = epoxy_glVertexAttribI4ubv_rewrite_ptr;

static void
epoxy_glVertexAttribI4ubvEXT_rewrite_ptr(GLuint index, const GLubyte * v)
{
    epoxy_glVertexAttribI4ubvEXT = (void *)epoxy_glVertexAttribI4ubv_resolver();
    epoxy_glVertexAttribI4ubvEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI4UBVEXTPROC epoxy_glVertexAttribI4ubvEXT = epoxy_glVertexAttribI4ubvEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI4ui_rewrite_ptr(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    epoxy_glVertexAttribI4ui = (void *)epoxy_glVertexAttribI4ui_resolver();
    epoxy_glVertexAttribI4ui(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIBI4UIPROC epoxy_glVertexAttribI4ui = epoxy_glVertexAttribI4ui_rewrite_ptr;

static void
epoxy_glVertexAttribI4uiEXT_rewrite_ptr(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    epoxy_glVertexAttribI4uiEXT = (void *)epoxy_glVertexAttribI4ui_resolver();
    epoxy_glVertexAttribI4uiEXT(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIBI4UIEXTPROC epoxy_glVertexAttribI4uiEXT = epoxy_glVertexAttribI4uiEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI4uiv_rewrite_ptr(GLuint index, const GLuint * v)
{
    epoxy_glVertexAttribI4uiv = (void *)epoxy_glVertexAttribI4uiv_resolver();
    epoxy_glVertexAttribI4uiv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI4UIVPROC epoxy_glVertexAttribI4uiv = epoxy_glVertexAttribI4uiv_rewrite_ptr;

static void
epoxy_glVertexAttribI4uivEXT_rewrite_ptr(GLuint index, const GLuint * v)
{
    epoxy_glVertexAttribI4uivEXT = (void *)epoxy_glVertexAttribI4uiv_resolver();
    epoxy_glVertexAttribI4uivEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI4UIVEXTPROC epoxy_glVertexAttribI4uivEXT = epoxy_glVertexAttribI4uivEXT_rewrite_ptr;

static void
epoxy_glVertexAttribI4usv_rewrite_ptr(GLuint index, const GLushort * v)
{
    epoxy_glVertexAttribI4usv = (void *)epoxy_glVertexAttribI4usv_resolver();
    epoxy_glVertexAttribI4usv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI4USVPROC epoxy_glVertexAttribI4usv = epoxy_glVertexAttribI4usv_rewrite_ptr;

static void
epoxy_glVertexAttribI4usvEXT_rewrite_ptr(GLuint index, const GLushort * v)
{
    epoxy_glVertexAttribI4usvEXT = (void *)epoxy_glVertexAttribI4usv_resolver();
    epoxy_glVertexAttribI4usvEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBI4USVEXTPROC epoxy_glVertexAttribI4usvEXT = epoxy_glVertexAttribI4usvEXT_rewrite_ptr;

static void
epoxy_glVertexAttribIFormat_rewrite_ptr(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    epoxy_glVertexAttribIFormat = (void *)epoxy_glVertexAttribIFormat_resolver();
    epoxy_glVertexAttribIFormat(attribindex, size, type, relativeoffset);
}
PUBLIC PFNGLVERTEXATTRIBIFORMATPROC epoxy_glVertexAttribIFormat = epoxy_glVertexAttribIFormat_rewrite_ptr;

static void
epoxy_glVertexAttribIFormatNV_rewrite_ptr(GLuint index, GLint size, GLenum type, GLsizei stride)
{
    epoxy_glVertexAttribIFormatNV = (void *)epoxy_glVertexAttribIFormatNV_resolver();
    epoxy_glVertexAttribIFormatNV(index, size, type, stride);
}
PUBLIC PFNGLVERTEXATTRIBIFORMATNVPROC epoxy_glVertexAttribIFormatNV = epoxy_glVertexAttribIFormatNV_rewrite_ptr;

static void
epoxy_glVertexAttribIPointer_rewrite_ptr(GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glVertexAttribIPointer = (void *)epoxy_glVertexAttribIPointer_resolver();
    epoxy_glVertexAttribIPointer(index, size, type, stride, pointer);
}
PUBLIC PFNGLVERTEXATTRIBIPOINTERPROC epoxy_glVertexAttribIPointer = epoxy_glVertexAttribIPointer_rewrite_ptr;

static void
epoxy_glVertexAttribIPointerEXT_rewrite_ptr(GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glVertexAttribIPointerEXT = (void *)epoxy_glVertexAttribIPointer_resolver();
    epoxy_glVertexAttribIPointerEXT(index, size, type, stride, pointer);
}
PUBLIC PFNGLVERTEXATTRIBIPOINTEREXTPROC epoxy_glVertexAttribIPointerEXT = epoxy_glVertexAttribIPointerEXT_rewrite_ptr;

static void
epoxy_glVertexAttribL1d_rewrite_ptr(GLuint index, GLdouble x)
{
    epoxy_glVertexAttribL1d = (void *)epoxy_glVertexAttribL1d_resolver();
    epoxy_glVertexAttribL1d(index, x);
}
PUBLIC PFNGLVERTEXATTRIBL1DPROC epoxy_glVertexAttribL1d = epoxy_glVertexAttribL1d_rewrite_ptr;

static void
epoxy_glVertexAttribL1dEXT_rewrite_ptr(GLuint index, GLdouble x)
{
    epoxy_glVertexAttribL1dEXT = (void *)epoxy_glVertexAttribL1d_resolver();
    epoxy_glVertexAttribL1dEXT(index, x);
}
PUBLIC PFNGLVERTEXATTRIBL1DEXTPROC epoxy_glVertexAttribL1dEXT = epoxy_glVertexAttribL1dEXT_rewrite_ptr;

static void
epoxy_glVertexAttribL1dv_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttribL1dv = (void *)epoxy_glVertexAttribL1dv_resolver();
    epoxy_glVertexAttribL1dv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL1DVPROC epoxy_glVertexAttribL1dv = epoxy_glVertexAttribL1dv_rewrite_ptr;

static void
epoxy_glVertexAttribL1dvEXT_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttribL1dvEXT = (void *)epoxy_glVertexAttribL1dv_resolver();
    epoxy_glVertexAttribL1dvEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL1DVEXTPROC epoxy_glVertexAttribL1dvEXT = epoxy_glVertexAttribL1dvEXT_rewrite_ptr;

static void
epoxy_glVertexAttribL1i64NV_rewrite_ptr(GLuint index, GLint64EXT x)
{
    epoxy_glVertexAttribL1i64NV = (void *)epoxy_glVertexAttribL1i64NV_resolver();
    epoxy_glVertexAttribL1i64NV(index, x);
}
PUBLIC PFNGLVERTEXATTRIBL1I64NVPROC epoxy_glVertexAttribL1i64NV = epoxy_glVertexAttribL1i64NV_rewrite_ptr;

static void
epoxy_glVertexAttribL1i64vNV_rewrite_ptr(GLuint index, const GLint64EXT * v)
{
    epoxy_glVertexAttribL1i64vNV = (void *)epoxy_glVertexAttribL1i64vNV_resolver();
    epoxy_glVertexAttribL1i64vNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL1I64VNVPROC epoxy_glVertexAttribL1i64vNV = epoxy_glVertexAttribL1i64vNV_rewrite_ptr;

static void
epoxy_glVertexAttribL1ui64ARB_rewrite_ptr(GLuint index, GLuint64EXT x)
{
    epoxy_glVertexAttribL1ui64ARB = (void *)epoxy_glVertexAttribL1ui64ARB_resolver();
    epoxy_glVertexAttribL1ui64ARB(index, x);
}
PUBLIC PFNGLVERTEXATTRIBL1UI64ARBPROC epoxy_glVertexAttribL1ui64ARB = epoxy_glVertexAttribL1ui64ARB_rewrite_ptr;

static void
epoxy_glVertexAttribL1ui64NV_rewrite_ptr(GLuint index, GLuint64EXT x)
{
    epoxy_glVertexAttribL1ui64NV = (void *)epoxy_glVertexAttribL1ui64NV_resolver();
    epoxy_glVertexAttribL1ui64NV(index, x);
}
PUBLIC PFNGLVERTEXATTRIBL1UI64NVPROC epoxy_glVertexAttribL1ui64NV = epoxy_glVertexAttribL1ui64NV_rewrite_ptr;

static void
epoxy_glVertexAttribL1ui64vARB_rewrite_ptr(GLuint index, const GLuint64EXT * v)
{
    epoxy_glVertexAttribL1ui64vARB = (void *)epoxy_glVertexAttribL1ui64vARB_resolver();
    epoxy_glVertexAttribL1ui64vARB(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL1UI64VARBPROC epoxy_glVertexAttribL1ui64vARB = epoxy_glVertexAttribL1ui64vARB_rewrite_ptr;

static void
epoxy_glVertexAttribL1ui64vNV_rewrite_ptr(GLuint index, const GLuint64EXT * v)
{
    epoxy_glVertexAttribL1ui64vNV = (void *)epoxy_glVertexAttribL1ui64vNV_resolver();
    epoxy_glVertexAttribL1ui64vNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL1UI64VNVPROC epoxy_glVertexAttribL1ui64vNV = epoxy_glVertexAttribL1ui64vNV_rewrite_ptr;

static void
epoxy_glVertexAttribL2d_rewrite_ptr(GLuint index, GLdouble x, GLdouble y)
{
    epoxy_glVertexAttribL2d = (void *)epoxy_glVertexAttribL2d_resolver();
    epoxy_glVertexAttribL2d(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIBL2DPROC epoxy_glVertexAttribL2d = epoxy_glVertexAttribL2d_rewrite_ptr;

static void
epoxy_glVertexAttribL2dEXT_rewrite_ptr(GLuint index, GLdouble x, GLdouble y)
{
    epoxy_glVertexAttribL2dEXT = (void *)epoxy_glVertexAttribL2d_resolver();
    epoxy_glVertexAttribL2dEXT(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIBL2DEXTPROC epoxy_glVertexAttribL2dEXT = epoxy_glVertexAttribL2dEXT_rewrite_ptr;

static void
epoxy_glVertexAttribL2dv_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttribL2dv = (void *)epoxy_glVertexAttribL2dv_resolver();
    epoxy_glVertexAttribL2dv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL2DVPROC epoxy_glVertexAttribL2dv = epoxy_glVertexAttribL2dv_rewrite_ptr;

static void
epoxy_glVertexAttribL2dvEXT_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttribL2dvEXT = (void *)epoxy_glVertexAttribL2dv_resolver();
    epoxy_glVertexAttribL2dvEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL2DVEXTPROC epoxy_glVertexAttribL2dvEXT = epoxy_glVertexAttribL2dvEXT_rewrite_ptr;

static void
epoxy_glVertexAttribL2i64NV_rewrite_ptr(GLuint index, GLint64EXT x, GLint64EXT y)
{
    epoxy_glVertexAttribL2i64NV = (void *)epoxy_glVertexAttribL2i64NV_resolver();
    epoxy_glVertexAttribL2i64NV(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIBL2I64NVPROC epoxy_glVertexAttribL2i64NV = epoxy_glVertexAttribL2i64NV_rewrite_ptr;

static void
epoxy_glVertexAttribL2i64vNV_rewrite_ptr(GLuint index, const GLint64EXT * v)
{
    epoxy_glVertexAttribL2i64vNV = (void *)epoxy_glVertexAttribL2i64vNV_resolver();
    epoxy_glVertexAttribL2i64vNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL2I64VNVPROC epoxy_glVertexAttribL2i64vNV = epoxy_glVertexAttribL2i64vNV_rewrite_ptr;

static void
epoxy_glVertexAttribL2ui64NV_rewrite_ptr(GLuint index, GLuint64EXT x, GLuint64EXT y)
{
    epoxy_glVertexAttribL2ui64NV = (void *)epoxy_glVertexAttribL2ui64NV_resolver();
    epoxy_glVertexAttribL2ui64NV(index, x, y);
}
PUBLIC PFNGLVERTEXATTRIBL2UI64NVPROC epoxy_glVertexAttribL2ui64NV = epoxy_glVertexAttribL2ui64NV_rewrite_ptr;

static void
epoxy_glVertexAttribL2ui64vNV_rewrite_ptr(GLuint index, const GLuint64EXT * v)
{
    epoxy_glVertexAttribL2ui64vNV = (void *)epoxy_glVertexAttribL2ui64vNV_resolver();
    epoxy_glVertexAttribL2ui64vNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL2UI64VNVPROC epoxy_glVertexAttribL2ui64vNV = epoxy_glVertexAttribL2ui64vNV_rewrite_ptr;

static void
epoxy_glVertexAttribL3d_rewrite_ptr(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glVertexAttribL3d = (void *)epoxy_glVertexAttribL3d_resolver();
    epoxy_glVertexAttribL3d(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIBL3DPROC epoxy_glVertexAttribL3d = epoxy_glVertexAttribL3d_rewrite_ptr;

static void
epoxy_glVertexAttribL3dEXT_rewrite_ptr(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glVertexAttribL3dEXT = (void *)epoxy_glVertexAttribL3d_resolver();
    epoxy_glVertexAttribL3dEXT(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIBL3DEXTPROC epoxy_glVertexAttribL3dEXT = epoxy_glVertexAttribL3dEXT_rewrite_ptr;

static void
epoxy_glVertexAttribL3dv_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttribL3dv = (void *)epoxy_glVertexAttribL3dv_resolver();
    epoxy_glVertexAttribL3dv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL3DVPROC epoxy_glVertexAttribL3dv = epoxy_glVertexAttribL3dv_rewrite_ptr;

static void
epoxy_glVertexAttribL3dvEXT_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttribL3dvEXT = (void *)epoxy_glVertexAttribL3dv_resolver();
    epoxy_glVertexAttribL3dvEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL3DVEXTPROC epoxy_glVertexAttribL3dvEXT = epoxy_glVertexAttribL3dvEXT_rewrite_ptr;

static void
epoxy_glVertexAttribL3i64NV_rewrite_ptr(GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z)
{
    epoxy_glVertexAttribL3i64NV = (void *)epoxy_glVertexAttribL3i64NV_resolver();
    epoxy_glVertexAttribL3i64NV(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIBL3I64NVPROC epoxy_glVertexAttribL3i64NV = epoxy_glVertexAttribL3i64NV_rewrite_ptr;

static void
epoxy_glVertexAttribL3i64vNV_rewrite_ptr(GLuint index, const GLint64EXT * v)
{
    epoxy_glVertexAttribL3i64vNV = (void *)epoxy_glVertexAttribL3i64vNV_resolver();
    epoxy_glVertexAttribL3i64vNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL3I64VNVPROC epoxy_glVertexAttribL3i64vNV = epoxy_glVertexAttribL3i64vNV_rewrite_ptr;

static void
epoxy_glVertexAttribL3ui64NV_rewrite_ptr(GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
{
    epoxy_glVertexAttribL3ui64NV = (void *)epoxy_glVertexAttribL3ui64NV_resolver();
    epoxy_glVertexAttribL3ui64NV(index, x, y, z);
}
PUBLIC PFNGLVERTEXATTRIBL3UI64NVPROC epoxy_glVertexAttribL3ui64NV = epoxy_glVertexAttribL3ui64NV_rewrite_ptr;

static void
epoxy_glVertexAttribL3ui64vNV_rewrite_ptr(GLuint index, const GLuint64EXT * v)
{
    epoxy_glVertexAttribL3ui64vNV = (void *)epoxy_glVertexAttribL3ui64vNV_resolver();
    epoxy_glVertexAttribL3ui64vNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL3UI64VNVPROC epoxy_glVertexAttribL3ui64vNV = epoxy_glVertexAttribL3ui64vNV_rewrite_ptr;

static void
epoxy_glVertexAttribL4d_rewrite_ptr(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glVertexAttribL4d = (void *)epoxy_glVertexAttribL4d_resolver();
    epoxy_glVertexAttribL4d(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIBL4DPROC epoxy_glVertexAttribL4d = epoxy_glVertexAttribL4d_rewrite_ptr;

static void
epoxy_glVertexAttribL4dEXT_rewrite_ptr(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glVertexAttribL4dEXT = (void *)epoxy_glVertexAttribL4d_resolver();
    epoxy_glVertexAttribL4dEXT(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIBL4DEXTPROC epoxy_glVertexAttribL4dEXT = epoxy_glVertexAttribL4dEXT_rewrite_ptr;

static void
epoxy_glVertexAttribL4dv_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttribL4dv = (void *)epoxy_glVertexAttribL4dv_resolver();
    epoxy_glVertexAttribL4dv(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL4DVPROC epoxy_glVertexAttribL4dv = epoxy_glVertexAttribL4dv_rewrite_ptr;

static void
epoxy_glVertexAttribL4dvEXT_rewrite_ptr(GLuint index, const GLdouble * v)
{
    epoxy_glVertexAttribL4dvEXT = (void *)epoxy_glVertexAttribL4dv_resolver();
    epoxy_glVertexAttribL4dvEXT(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL4DVEXTPROC epoxy_glVertexAttribL4dvEXT = epoxy_glVertexAttribL4dvEXT_rewrite_ptr;

static void
epoxy_glVertexAttribL4i64NV_rewrite_ptr(GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
{
    epoxy_glVertexAttribL4i64NV = (void *)epoxy_glVertexAttribL4i64NV_resolver();
    epoxy_glVertexAttribL4i64NV(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIBL4I64NVPROC epoxy_glVertexAttribL4i64NV = epoxy_glVertexAttribL4i64NV_rewrite_ptr;

static void
epoxy_glVertexAttribL4i64vNV_rewrite_ptr(GLuint index, const GLint64EXT * v)
{
    epoxy_glVertexAttribL4i64vNV = (void *)epoxy_glVertexAttribL4i64vNV_resolver();
    epoxy_glVertexAttribL4i64vNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL4I64VNVPROC epoxy_glVertexAttribL4i64vNV = epoxy_glVertexAttribL4i64vNV_rewrite_ptr;

static void
epoxy_glVertexAttribL4ui64NV_rewrite_ptr(GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
{
    epoxy_glVertexAttribL4ui64NV = (void *)epoxy_glVertexAttribL4ui64NV_resolver();
    epoxy_glVertexAttribL4ui64NV(index, x, y, z, w);
}
PUBLIC PFNGLVERTEXATTRIBL4UI64NVPROC epoxy_glVertexAttribL4ui64NV = epoxy_glVertexAttribL4ui64NV_rewrite_ptr;

static void
epoxy_glVertexAttribL4ui64vNV_rewrite_ptr(GLuint index, const GLuint64EXT * v)
{
    epoxy_glVertexAttribL4ui64vNV = (void *)epoxy_glVertexAttribL4ui64vNV_resolver();
    epoxy_glVertexAttribL4ui64vNV(index, v);
}
PUBLIC PFNGLVERTEXATTRIBL4UI64VNVPROC epoxy_glVertexAttribL4ui64vNV = epoxy_glVertexAttribL4ui64vNV_rewrite_ptr;

static void
epoxy_glVertexAttribLFormat_rewrite_ptr(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    epoxy_glVertexAttribLFormat = (void *)epoxy_glVertexAttribLFormat_resolver();
    epoxy_glVertexAttribLFormat(attribindex, size, type, relativeoffset);
}
PUBLIC PFNGLVERTEXATTRIBLFORMATPROC epoxy_glVertexAttribLFormat = epoxy_glVertexAttribLFormat_rewrite_ptr;

static void
epoxy_glVertexAttribLFormatNV_rewrite_ptr(GLuint index, GLint size, GLenum type, GLsizei stride)
{
    epoxy_glVertexAttribLFormatNV = (void *)epoxy_glVertexAttribLFormatNV_resolver();
    epoxy_glVertexAttribLFormatNV(index, size, type, stride);
}
PUBLIC PFNGLVERTEXATTRIBLFORMATNVPROC epoxy_glVertexAttribLFormatNV = epoxy_glVertexAttribLFormatNV_rewrite_ptr;

static void
epoxy_glVertexAttribLPointer_rewrite_ptr(GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glVertexAttribLPointer = (void *)epoxy_glVertexAttribLPointer_resolver();
    epoxy_glVertexAttribLPointer(index, size, type, stride, pointer);
}
PUBLIC PFNGLVERTEXATTRIBLPOINTERPROC epoxy_glVertexAttribLPointer = epoxy_glVertexAttribLPointer_rewrite_ptr;

static void
epoxy_glVertexAttribLPointerEXT_rewrite_ptr(GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glVertexAttribLPointerEXT = (void *)epoxy_glVertexAttribLPointer_resolver();
    epoxy_glVertexAttribLPointerEXT(index, size, type, stride, pointer);
}
PUBLIC PFNGLVERTEXATTRIBLPOINTEREXTPROC epoxy_glVertexAttribLPointerEXT = epoxy_glVertexAttribLPointerEXT_rewrite_ptr;

static void
epoxy_glVertexAttribP1ui_rewrite_ptr(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    epoxy_glVertexAttribP1ui = (void *)epoxy_glVertexAttribP1ui_resolver();
    epoxy_glVertexAttribP1ui(index, type, normalized, value);
}
PUBLIC PFNGLVERTEXATTRIBP1UIPROC epoxy_glVertexAttribP1ui = epoxy_glVertexAttribP1ui_rewrite_ptr;

static void
epoxy_glVertexAttribP1uiv_rewrite_ptr(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)
{
    epoxy_glVertexAttribP1uiv = (void *)epoxy_glVertexAttribP1uiv_resolver();
    epoxy_glVertexAttribP1uiv(index, type, normalized, value);
}
PUBLIC PFNGLVERTEXATTRIBP1UIVPROC epoxy_glVertexAttribP1uiv = epoxy_glVertexAttribP1uiv_rewrite_ptr;

static void
epoxy_glVertexAttribP2ui_rewrite_ptr(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    epoxy_glVertexAttribP2ui = (void *)epoxy_glVertexAttribP2ui_resolver();
    epoxy_glVertexAttribP2ui(index, type, normalized, value);
}
PUBLIC PFNGLVERTEXATTRIBP2UIPROC epoxy_glVertexAttribP2ui = epoxy_glVertexAttribP2ui_rewrite_ptr;

static void
epoxy_glVertexAttribP2uiv_rewrite_ptr(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)
{
    epoxy_glVertexAttribP2uiv = (void *)epoxy_glVertexAttribP2uiv_resolver();
    epoxy_glVertexAttribP2uiv(index, type, normalized, value);
}
PUBLIC PFNGLVERTEXATTRIBP2UIVPROC epoxy_glVertexAttribP2uiv = epoxy_glVertexAttribP2uiv_rewrite_ptr;

static void
epoxy_glVertexAttribP3ui_rewrite_ptr(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    epoxy_glVertexAttribP3ui = (void *)epoxy_glVertexAttribP3ui_resolver();
    epoxy_glVertexAttribP3ui(index, type, normalized, value);
}
PUBLIC PFNGLVERTEXATTRIBP3UIPROC epoxy_glVertexAttribP3ui = epoxy_glVertexAttribP3ui_rewrite_ptr;

static void
epoxy_glVertexAttribP3uiv_rewrite_ptr(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)
{
    epoxy_glVertexAttribP3uiv = (void *)epoxy_glVertexAttribP3uiv_resolver();
    epoxy_glVertexAttribP3uiv(index, type, normalized, value);
}
PUBLIC PFNGLVERTEXATTRIBP3UIVPROC epoxy_glVertexAttribP3uiv = epoxy_glVertexAttribP3uiv_rewrite_ptr;

static void
epoxy_glVertexAttribP4ui_rewrite_ptr(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    epoxy_glVertexAttribP4ui = (void *)epoxy_glVertexAttribP4ui_resolver();
    epoxy_glVertexAttribP4ui(index, type, normalized, value);
}
PUBLIC PFNGLVERTEXATTRIBP4UIPROC epoxy_glVertexAttribP4ui = epoxy_glVertexAttribP4ui_rewrite_ptr;

static void
epoxy_glVertexAttribP4uiv_rewrite_ptr(GLuint index, GLenum type, GLboolean normalized, const GLuint * value)
{
    epoxy_glVertexAttribP4uiv = (void *)epoxy_glVertexAttribP4uiv_resolver();
    epoxy_glVertexAttribP4uiv(index, type, normalized, value);
}
PUBLIC PFNGLVERTEXATTRIBP4UIVPROC epoxy_glVertexAttribP4uiv = epoxy_glVertexAttribP4uiv_rewrite_ptr;

static void
epoxy_glVertexAttribParameteriAMD_rewrite_ptr(GLuint index, GLenum pname, GLint param)
{
    epoxy_glVertexAttribParameteriAMD = (void *)epoxy_glVertexAttribParameteriAMD_resolver();
    epoxy_glVertexAttribParameteriAMD(index, pname, param);
}
PUBLIC PFNGLVERTEXATTRIBPARAMETERIAMDPROC epoxy_glVertexAttribParameteriAMD = epoxy_glVertexAttribParameteriAMD_rewrite_ptr;

static void
epoxy_glVertexAttribPointer_rewrite_ptr(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * pointer)
{
    epoxy_glVertexAttribPointer = (void *)epoxy_glVertexAttribPointer_resolver();
    epoxy_glVertexAttribPointer(index, size, type, normalized, stride, pointer);
}
PUBLIC PFNGLVERTEXATTRIBPOINTERPROC epoxy_glVertexAttribPointer = epoxy_glVertexAttribPointer_rewrite_ptr;

static void
epoxy_glVertexAttribPointerARB_rewrite_ptr(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * pointer)
{
    epoxy_glVertexAttribPointerARB = (void *)epoxy_glVertexAttribPointer_resolver();
    epoxy_glVertexAttribPointerARB(index, size, type, normalized, stride, pointer);
}
PUBLIC PFNGLVERTEXATTRIBPOINTERARBPROC epoxy_glVertexAttribPointerARB = epoxy_glVertexAttribPointerARB_rewrite_ptr;

static void
epoxy_glVertexAttribPointerNV_rewrite_ptr(GLuint index, GLint fsize, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glVertexAttribPointerNV = (void *)epoxy_glVertexAttribPointerNV_resolver();
    epoxy_glVertexAttribPointerNV(index, fsize, type, stride, pointer);
}
PUBLIC PFNGLVERTEXATTRIBPOINTERNVPROC epoxy_glVertexAttribPointerNV = epoxy_glVertexAttribPointerNV_rewrite_ptr;

static void
epoxy_glVertexAttribs1dvNV_rewrite_ptr(GLuint index, GLsizei count, const GLdouble * v)
{
    epoxy_glVertexAttribs1dvNV = (void *)epoxy_glVertexAttribs1dvNV_resolver();
    epoxy_glVertexAttribs1dvNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS1DVNVPROC epoxy_glVertexAttribs1dvNV = epoxy_glVertexAttribs1dvNV_rewrite_ptr;

static void
epoxy_glVertexAttribs1fvNV_rewrite_ptr(GLuint index, GLsizei count, const GLfloat * v)
{
    epoxy_glVertexAttribs1fvNV = (void *)epoxy_glVertexAttribs1fvNV_resolver();
    epoxy_glVertexAttribs1fvNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS1FVNVPROC epoxy_glVertexAttribs1fvNV = epoxy_glVertexAttribs1fvNV_rewrite_ptr;

static void
epoxy_glVertexAttribs1hvNV_rewrite_ptr(GLuint index, GLsizei n, const GLhalfNV * v)
{
    epoxy_glVertexAttribs1hvNV = (void *)epoxy_glVertexAttribs1hvNV_resolver();
    epoxy_glVertexAttribs1hvNV(index, n, v);
}
PUBLIC PFNGLVERTEXATTRIBS1HVNVPROC epoxy_glVertexAttribs1hvNV = epoxy_glVertexAttribs1hvNV_rewrite_ptr;

static void
epoxy_glVertexAttribs1svNV_rewrite_ptr(GLuint index, GLsizei count, const GLshort * v)
{
    epoxy_glVertexAttribs1svNV = (void *)epoxy_glVertexAttribs1svNV_resolver();
    epoxy_glVertexAttribs1svNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS1SVNVPROC epoxy_glVertexAttribs1svNV = epoxy_glVertexAttribs1svNV_rewrite_ptr;

static void
epoxy_glVertexAttribs2dvNV_rewrite_ptr(GLuint index, GLsizei count, const GLdouble * v)
{
    epoxy_glVertexAttribs2dvNV = (void *)epoxy_glVertexAttribs2dvNV_resolver();
    epoxy_glVertexAttribs2dvNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS2DVNVPROC epoxy_glVertexAttribs2dvNV = epoxy_glVertexAttribs2dvNV_rewrite_ptr;

static void
epoxy_glVertexAttribs2fvNV_rewrite_ptr(GLuint index, GLsizei count, const GLfloat * v)
{
    epoxy_glVertexAttribs2fvNV = (void *)epoxy_glVertexAttribs2fvNV_resolver();
    epoxy_glVertexAttribs2fvNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS2FVNVPROC epoxy_glVertexAttribs2fvNV = epoxy_glVertexAttribs2fvNV_rewrite_ptr;

static void
epoxy_glVertexAttribs2hvNV_rewrite_ptr(GLuint index, GLsizei n, const GLhalfNV * v)
{
    epoxy_glVertexAttribs2hvNV = (void *)epoxy_glVertexAttribs2hvNV_resolver();
    epoxy_glVertexAttribs2hvNV(index, n, v);
}
PUBLIC PFNGLVERTEXATTRIBS2HVNVPROC epoxy_glVertexAttribs2hvNV = epoxy_glVertexAttribs2hvNV_rewrite_ptr;

static void
epoxy_glVertexAttribs2svNV_rewrite_ptr(GLuint index, GLsizei count, const GLshort * v)
{
    epoxy_glVertexAttribs2svNV = (void *)epoxy_glVertexAttribs2svNV_resolver();
    epoxy_glVertexAttribs2svNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS2SVNVPROC epoxy_glVertexAttribs2svNV = epoxy_glVertexAttribs2svNV_rewrite_ptr;

static void
epoxy_glVertexAttribs3dvNV_rewrite_ptr(GLuint index, GLsizei count, const GLdouble * v)
{
    epoxy_glVertexAttribs3dvNV = (void *)epoxy_glVertexAttribs3dvNV_resolver();
    epoxy_glVertexAttribs3dvNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS3DVNVPROC epoxy_glVertexAttribs3dvNV = epoxy_glVertexAttribs3dvNV_rewrite_ptr;

static void
epoxy_glVertexAttribs3fvNV_rewrite_ptr(GLuint index, GLsizei count, const GLfloat * v)
{
    epoxy_glVertexAttribs3fvNV = (void *)epoxy_glVertexAttribs3fvNV_resolver();
    epoxy_glVertexAttribs3fvNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS3FVNVPROC epoxy_glVertexAttribs3fvNV = epoxy_glVertexAttribs3fvNV_rewrite_ptr;

static void
epoxy_glVertexAttribs3hvNV_rewrite_ptr(GLuint index, GLsizei n, const GLhalfNV * v)
{
    epoxy_glVertexAttribs3hvNV = (void *)epoxy_glVertexAttribs3hvNV_resolver();
    epoxy_glVertexAttribs3hvNV(index, n, v);
}
PUBLIC PFNGLVERTEXATTRIBS3HVNVPROC epoxy_glVertexAttribs3hvNV = epoxy_glVertexAttribs3hvNV_rewrite_ptr;

static void
epoxy_glVertexAttribs3svNV_rewrite_ptr(GLuint index, GLsizei count, const GLshort * v)
{
    epoxy_glVertexAttribs3svNV = (void *)epoxy_glVertexAttribs3svNV_resolver();
    epoxy_glVertexAttribs3svNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS3SVNVPROC epoxy_glVertexAttribs3svNV = epoxy_glVertexAttribs3svNV_rewrite_ptr;

static void
epoxy_glVertexAttribs4dvNV_rewrite_ptr(GLuint index, GLsizei count, const GLdouble * v)
{
    epoxy_glVertexAttribs4dvNV = (void *)epoxy_glVertexAttribs4dvNV_resolver();
    epoxy_glVertexAttribs4dvNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS4DVNVPROC epoxy_glVertexAttribs4dvNV = epoxy_glVertexAttribs4dvNV_rewrite_ptr;

static void
epoxy_glVertexAttribs4fvNV_rewrite_ptr(GLuint index, GLsizei count, const GLfloat * v)
{
    epoxy_glVertexAttribs4fvNV = (void *)epoxy_glVertexAttribs4fvNV_resolver();
    epoxy_glVertexAttribs4fvNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS4FVNVPROC epoxy_glVertexAttribs4fvNV = epoxy_glVertexAttribs4fvNV_rewrite_ptr;

static void
epoxy_glVertexAttribs4hvNV_rewrite_ptr(GLuint index, GLsizei n, const GLhalfNV * v)
{
    epoxy_glVertexAttribs4hvNV = (void *)epoxy_glVertexAttribs4hvNV_resolver();
    epoxy_glVertexAttribs4hvNV(index, n, v);
}
PUBLIC PFNGLVERTEXATTRIBS4HVNVPROC epoxy_glVertexAttribs4hvNV = epoxy_glVertexAttribs4hvNV_rewrite_ptr;

static void
epoxy_glVertexAttribs4svNV_rewrite_ptr(GLuint index, GLsizei count, const GLshort * v)
{
    epoxy_glVertexAttribs4svNV = (void *)epoxy_glVertexAttribs4svNV_resolver();
    epoxy_glVertexAttribs4svNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS4SVNVPROC epoxy_glVertexAttribs4svNV = epoxy_glVertexAttribs4svNV_rewrite_ptr;

static void
epoxy_glVertexAttribs4ubvNV_rewrite_ptr(GLuint index, GLsizei count, const GLubyte * v)
{
    epoxy_glVertexAttribs4ubvNV = (void *)epoxy_glVertexAttribs4ubvNV_resolver();
    epoxy_glVertexAttribs4ubvNV(index, count, v);
}
PUBLIC PFNGLVERTEXATTRIBS4UBVNVPROC epoxy_glVertexAttribs4ubvNV = epoxy_glVertexAttribs4ubvNV_rewrite_ptr;

static void
epoxy_glVertexBindingDivisor_rewrite_ptr(GLuint bindingindex, GLuint divisor)
{
    epoxy_glVertexBindingDivisor = (void *)epoxy_glVertexBindingDivisor_resolver();
    epoxy_glVertexBindingDivisor(bindingindex, divisor);
}
PUBLIC PFNGLVERTEXBINDINGDIVISORPROC epoxy_glVertexBindingDivisor = epoxy_glVertexBindingDivisor_rewrite_ptr;

static void
epoxy_glVertexBlendARB_rewrite_ptr(GLint count)
{
    epoxy_glVertexBlendARB = (void *)epoxy_glVertexBlendARB_resolver();
    epoxy_glVertexBlendARB(count);
}
PUBLIC PFNGLVERTEXBLENDARBPROC epoxy_glVertexBlendARB = epoxy_glVertexBlendARB_rewrite_ptr;

static void
epoxy_glVertexBlendEnvfATI_rewrite_ptr(GLenum pname, GLfloat param)
{
    epoxy_glVertexBlendEnvfATI = (void *)epoxy_glVertexBlendEnvfATI_resolver();
    epoxy_glVertexBlendEnvfATI(pname, param);
}
PUBLIC PFNGLVERTEXBLENDENVFATIPROC epoxy_glVertexBlendEnvfATI = epoxy_glVertexBlendEnvfATI_rewrite_ptr;

static void
epoxy_glVertexBlendEnviATI_rewrite_ptr(GLenum pname, GLint param)
{
    epoxy_glVertexBlendEnviATI = (void *)epoxy_glVertexBlendEnviATI_resolver();
    epoxy_glVertexBlendEnviATI(pname, param);
}
PUBLIC PFNGLVERTEXBLENDENVIATIPROC epoxy_glVertexBlendEnviATI = epoxy_glVertexBlendEnviATI_rewrite_ptr;

static void
epoxy_glVertexFormatNV_rewrite_ptr(GLint size, GLenum type, GLsizei stride)
{
    epoxy_glVertexFormatNV = (void *)epoxy_glVertexFormatNV_resolver();
    epoxy_glVertexFormatNV(size, type, stride);
}
PUBLIC PFNGLVERTEXFORMATNVPROC epoxy_glVertexFormatNV = epoxy_glVertexFormatNV_rewrite_ptr;

static void
epoxy_glVertexP2ui_rewrite_ptr(GLenum type, GLuint value)
{
    epoxy_glVertexP2ui = (void *)epoxy_glVertexP2ui_resolver();
    epoxy_glVertexP2ui(type, value);
}
PUBLIC PFNGLVERTEXP2UIPROC epoxy_glVertexP2ui = epoxy_glVertexP2ui_rewrite_ptr;

static void
epoxy_glVertexP2uiv_rewrite_ptr(GLenum type, const GLuint * value)
{
    epoxy_glVertexP2uiv = (void *)epoxy_glVertexP2uiv_resolver();
    epoxy_glVertexP2uiv(type, value);
}
PUBLIC PFNGLVERTEXP2UIVPROC epoxy_glVertexP2uiv = epoxy_glVertexP2uiv_rewrite_ptr;

static void
epoxy_glVertexP3ui_rewrite_ptr(GLenum type, GLuint value)
{
    epoxy_glVertexP3ui = (void *)epoxy_glVertexP3ui_resolver();
    epoxy_glVertexP3ui(type, value);
}
PUBLIC PFNGLVERTEXP3UIPROC epoxy_glVertexP3ui = epoxy_glVertexP3ui_rewrite_ptr;

static void
epoxy_glVertexP3uiv_rewrite_ptr(GLenum type, const GLuint * value)
{
    epoxy_glVertexP3uiv = (void *)epoxy_glVertexP3uiv_resolver();
    epoxy_glVertexP3uiv(type, value);
}
PUBLIC PFNGLVERTEXP3UIVPROC epoxy_glVertexP3uiv = epoxy_glVertexP3uiv_rewrite_ptr;

static void
epoxy_glVertexP4ui_rewrite_ptr(GLenum type, GLuint value)
{
    epoxy_glVertexP4ui = (void *)epoxy_glVertexP4ui_resolver();
    epoxy_glVertexP4ui(type, value);
}
PUBLIC PFNGLVERTEXP4UIPROC epoxy_glVertexP4ui = epoxy_glVertexP4ui_rewrite_ptr;

static void
epoxy_glVertexP4uiv_rewrite_ptr(GLenum type, const GLuint * value)
{
    epoxy_glVertexP4uiv = (void *)epoxy_glVertexP4uiv_resolver();
    epoxy_glVertexP4uiv(type, value);
}
PUBLIC PFNGLVERTEXP4UIVPROC epoxy_glVertexP4uiv = epoxy_glVertexP4uiv_rewrite_ptr;

static void
epoxy_glVertexPointer_rewrite_ptr(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glVertexPointer = (void *)epoxy_glVertexPointer_resolver();
    epoxy_glVertexPointer(size, type, stride, pointer);
}
PUBLIC PFNGLVERTEXPOINTERPROC epoxy_glVertexPointer = epoxy_glVertexPointer_rewrite_ptr;

static void
epoxy_glVertexPointerEXT_rewrite_ptr(GLint size, GLenum type, GLsizei stride, GLsizei count, const void * pointer)
{
    epoxy_glVertexPointerEXT = (void *)epoxy_glVertexPointerEXT_resolver();
    epoxy_glVertexPointerEXT(size, type, stride, count, pointer);
}
PUBLIC PFNGLVERTEXPOINTEREXTPROC epoxy_glVertexPointerEXT = epoxy_glVertexPointerEXT_rewrite_ptr;

static void
epoxy_glVertexPointerListIBM_rewrite_ptr(GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride)
{
    epoxy_glVertexPointerListIBM = (void *)epoxy_glVertexPointerListIBM_resolver();
    epoxy_glVertexPointerListIBM(size, type, stride, pointer, ptrstride);
}
PUBLIC PFNGLVERTEXPOINTERLISTIBMPROC epoxy_glVertexPointerListIBM = epoxy_glVertexPointerListIBM_rewrite_ptr;

static void
epoxy_glVertexPointervINTEL_rewrite_ptr(GLint size, GLenum type, const void ** pointer)
{
    epoxy_glVertexPointervINTEL = (void *)epoxy_glVertexPointervINTEL_resolver();
    epoxy_glVertexPointervINTEL(size, type, pointer);
}
PUBLIC PFNGLVERTEXPOINTERVINTELPROC epoxy_glVertexPointervINTEL = epoxy_glVertexPointervINTEL_rewrite_ptr;

static void
epoxy_glVertexStream1dATI_rewrite_ptr(GLenum stream, GLdouble x)
{
    epoxy_glVertexStream1dATI = (void *)epoxy_glVertexStream1dATI_resolver();
    epoxy_glVertexStream1dATI(stream, x);
}
PUBLIC PFNGLVERTEXSTREAM1DATIPROC epoxy_glVertexStream1dATI = epoxy_glVertexStream1dATI_rewrite_ptr;

static void
epoxy_glVertexStream1dvATI_rewrite_ptr(GLenum stream, const GLdouble * coords)
{
    epoxy_glVertexStream1dvATI = (void *)epoxy_glVertexStream1dvATI_resolver();
    epoxy_glVertexStream1dvATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM1DVATIPROC epoxy_glVertexStream1dvATI = epoxy_glVertexStream1dvATI_rewrite_ptr;

static void
epoxy_glVertexStream1fATI_rewrite_ptr(GLenum stream, GLfloat x)
{
    epoxy_glVertexStream1fATI = (void *)epoxy_glVertexStream1fATI_resolver();
    epoxy_glVertexStream1fATI(stream, x);
}
PUBLIC PFNGLVERTEXSTREAM1FATIPROC epoxy_glVertexStream1fATI = epoxy_glVertexStream1fATI_rewrite_ptr;

static void
epoxy_glVertexStream1fvATI_rewrite_ptr(GLenum stream, const GLfloat * coords)
{
    epoxy_glVertexStream1fvATI = (void *)epoxy_glVertexStream1fvATI_resolver();
    epoxy_glVertexStream1fvATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM1FVATIPROC epoxy_glVertexStream1fvATI = epoxy_glVertexStream1fvATI_rewrite_ptr;

static void
epoxy_glVertexStream1iATI_rewrite_ptr(GLenum stream, GLint x)
{
    epoxy_glVertexStream1iATI = (void *)epoxy_glVertexStream1iATI_resolver();
    epoxy_glVertexStream1iATI(stream, x);
}
PUBLIC PFNGLVERTEXSTREAM1IATIPROC epoxy_glVertexStream1iATI = epoxy_glVertexStream1iATI_rewrite_ptr;

static void
epoxy_glVertexStream1ivATI_rewrite_ptr(GLenum stream, const GLint * coords)
{
    epoxy_glVertexStream1ivATI = (void *)epoxy_glVertexStream1ivATI_resolver();
    epoxy_glVertexStream1ivATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM1IVATIPROC epoxy_glVertexStream1ivATI = epoxy_glVertexStream1ivATI_rewrite_ptr;

static void
epoxy_glVertexStream1sATI_rewrite_ptr(GLenum stream, GLshort x)
{
    epoxy_glVertexStream1sATI = (void *)epoxy_glVertexStream1sATI_resolver();
    epoxy_glVertexStream1sATI(stream, x);
}
PUBLIC PFNGLVERTEXSTREAM1SATIPROC epoxy_glVertexStream1sATI = epoxy_glVertexStream1sATI_rewrite_ptr;

static void
epoxy_glVertexStream1svATI_rewrite_ptr(GLenum stream, const GLshort * coords)
{
    epoxy_glVertexStream1svATI = (void *)epoxy_glVertexStream1svATI_resolver();
    epoxy_glVertexStream1svATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM1SVATIPROC epoxy_glVertexStream1svATI = epoxy_glVertexStream1svATI_rewrite_ptr;

static void
epoxy_glVertexStream2dATI_rewrite_ptr(GLenum stream, GLdouble x, GLdouble y)
{
    epoxy_glVertexStream2dATI = (void *)epoxy_glVertexStream2dATI_resolver();
    epoxy_glVertexStream2dATI(stream, x, y);
}
PUBLIC PFNGLVERTEXSTREAM2DATIPROC epoxy_glVertexStream2dATI = epoxy_glVertexStream2dATI_rewrite_ptr;

static void
epoxy_glVertexStream2dvATI_rewrite_ptr(GLenum stream, const GLdouble * coords)
{
    epoxy_glVertexStream2dvATI = (void *)epoxy_glVertexStream2dvATI_resolver();
    epoxy_glVertexStream2dvATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM2DVATIPROC epoxy_glVertexStream2dvATI = epoxy_glVertexStream2dvATI_rewrite_ptr;

static void
epoxy_glVertexStream2fATI_rewrite_ptr(GLenum stream, GLfloat x, GLfloat y)
{
    epoxy_glVertexStream2fATI = (void *)epoxy_glVertexStream2fATI_resolver();
    epoxy_glVertexStream2fATI(stream, x, y);
}
PUBLIC PFNGLVERTEXSTREAM2FATIPROC epoxy_glVertexStream2fATI = epoxy_glVertexStream2fATI_rewrite_ptr;

static void
epoxy_glVertexStream2fvATI_rewrite_ptr(GLenum stream, const GLfloat * coords)
{
    epoxy_glVertexStream2fvATI = (void *)epoxy_glVertexStream2fvATI_resolver();
    epoxy_glVertexStream2fvATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM2FVATIPROC epoxy_glVertexStream2fvATI = epoxy_glVertexStream2fvATI_rewrite_ptr;

static void
epoxy_glVertexStream2iATI_rewrite_ptr(GLenum stream, GLint x, GLint y)
{
    epoxy_glVertexStream2iATI = (void *)epoxy_glVertexStream2iATI_resolver();
    epoxy_glVertexStream2iATI(stream, x, y);
}
PUBLIC PFNGLVERTEXSTREAM2IATIPROC epoxy_glVertexStream2iATI = epoxy_glVertexStream2iATI_rewrite_ptr;

static void
epoxy_glVertexStream2ivATI_rewrite_ptr(GLenum stream, const GLint * coords)
{
    epoxy_glVertexStream2ivATI = (void *)epoxy_glVertexStream2ivATI_resolver();
    epoxy_glVertexStream2ivATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM2IVATIPROC epoxy_glVertexStream2ivATI = epoxy_glVertexStream2ivATI_rewrite_ptr;

static void
epoxy_glVertexStream2sATI_rewrite_ptr(GLenum stream, GLshort x, GLshort y)
{
    epoxy_glVertexStream2sATI = (void *)epoxy_glVertexStream2sATI_resolver();
    epoxy_glVertexStream2sATI(stream, x, y);
}
PUBLIC PFNGLVERTEXSTREAM2SATIPROC epoxy_glVertexStream2sATI = epoxy_glVertexStream2sATI_rewrite_ptr;

static void
epoxy_glVertexStream2svATI_rewrite_ptr(GLenum stream, const GLshort * coords)
{
    epoxy_glVertexStream2svATI = (void *)epoxy_glVertexStream2svATI_resolver();
    epoxy_glVertexStream2svATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM2SVATIPROC epoxy_glVertexStream2svATI = epoxy_glVertexStream2svATI_rewrite_ptr;

static void
epoxy_glVertexStream3dATI_rewrite_ptr(GLenum stream, GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glVertexStream3dATI = (void *)epoxy_glVertexStream3dATI_resolver();
    epoxy_glVertexStream3dATI(stream, x, y, z);
}
PUBLIC PFNGLVERTEXSTREAM3DATIPROC epoxy_glVertexStream3dATI = epoxy_glVertexStream3dATI_rewrite_ptr;

static void
epoxy_glVertexStream3dvATI_rewrite_ptr(GLenum stream, const GLdouble * coords)
{
    epoxy_glVertexStream3dvATI = (void *)epoxy_glVertexStream3dvATI_resolver();
    epoxy_glVertexStream3dvATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM3DVATIPROC epoxy_glVertexStream3dvATI = epoxy_glVertexStream3dvATI_rewrite_ptr;

static void
epoxy_glVertexStream3fATI_rewrite_ptr(GLenum stream, GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glVertexStream3fATI = (void *)epoxy_glVertexStream3fATI_resolver();
    epoxy_glVertexStream3fATI(stream, x, y, z);
}
PUBLIC PFNGLVERTEXSTREAM3FATIPROC epoxy_glVertexStream3fATI = epoxy_glVertexStream3fATI_rewrite_ptr;

static void
epoxy_glVertexStream3fvATI_rewrite_ptr(GLenum stream, const GLfloat * coords)
{
    epoxy_glVertexStream3fvATI = (void *)epoxy_glVertexStream3fvATI_resolver();
    epoxy_glVertexStream3fvATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM3FVATIPROC epoxy_glVertexStream3fvATI = epoxy_glVertexStream3fvATI_rewrite_ptr;

static void
epoxy_glVertexStream3iATI_rewrite_ptr(GLenum stream, GLint x, GLint y, GLint z)
{
    epoxy_glVertexStream3iATI = (void *)epoxy_glVertexStream3iATI_resolver();
    epoxy_glVertexStream3iATI(stream, x, y, z);
}
PUBLIC PFNGLVERTEXSTREAM3IATIPROC epoxy_glVertexStream3iATI = epoxy_glVertexStream3iATI_rewrite_ptr;

static void
epoxy_glVertexStream3ivATI_rewrite_ptr(GLenum stream, const GLint * coords)
{
    epoxy_glVertexStream3ivATI = (void *)epoxy_glVertexStream3ivATI_resolver();
    epoxy_glVertexStream3ivATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM3IVATIPROC epoxy_glVertexStream3ivATI = epoxy_glVertexStream3ivATI_rewrite_ptr;

static void
epoxy_glVertexStream3sATI_rewrite_ptr(GLenum stream, GLshort x, GLshort y, GLshort z)
{
    epoxy_glVertexStream3sATI = (void *)epoxy_glVertexStream3sATI_resolver();
    epoxy_glVertexStream3sATI(stream, x, y, z);
}
PUBLIC PFNGLVERTEXSTREAM3SATIPROC epoxy_glVertexStream3sATI = epoxy_glVertexStream3sATI_rewrite_ptr;

static void
epoxy_glVertexStream3svATI_rewrite_ptr(GLenum stream, const GLshort * coords)
{
    epoxy_glVertexStream3svATI = (void *)epoxy_glVertexStream3svATI_resolver();
    epoxy_glVertexStream3svATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM3SVATIPROC epoxy_glVertexStream3svATI = epoxy_glVertexStream3svATI_rewrite_ptr;

static void
epoxy_glVertexStream4dATI_rewrite_ptr(GLenum stream, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glVertexStream4dATI = (void *)epoxy_glVertexStream4dATI_resolver();
    epoxy_glVertexStream4dATI(stream, x, y, z, w);
}
PUBLIC PFNGLVERTEXSTREAM4DATIPROC epoxy_glVertexStream4dATI = epoxy_glVertexStream4dATI_rewrite_ptr;

static void
epoxy_glVertexStream4dvATI_rewrite_ptr(GLenum stream, const GLdouble * coords)
{
    epoxy_glVertexStream4dvATI = (void *)epoxy_glVertexStream4dvATI_resolver();
    epoxy_glVertexStream4dvATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM4DVATIPROC epoxy_glVertexStream4dvATI = epoxy_glVertexStream4dvATI_rewrite_ptr;

static void
epoxy_glVertexStream4fATI_rewrite_ptr(GLenum stream, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glVertexStream4fATI = (void *)epoxy_glVertexStream4fATI_resolver();
    epoxy_glVertexStream4fATI(stream, x, y, z, w);
}
PUBLIC PFNGLVERTEXSTREAM4FATIPROC epoxy_glVertexStream4fATI = epoxy_glVertexStream4fATI_rewrite_ptr;

static void
epoxy_glVertexStream4fvATI_rewrite_ptr(GLenum stream, const GLfloat * coords)
{
    epoxy_glVertexStream4fvATI = (void *)epoxy_glVertexStream4fvATI_resolver();
    epoxy_glVertexStream4fvATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM4FVATIPROC epoxy_glVertexStream4fvATI = epoxy_glVertexStream4fvATI_rewrite_ptr;

static void
epoxy_glVertexStream4iATI_rewrite_ptr(GLenum stream, GLint x, GLint y, GLint z, GLint w)
{
    epoxy_glVertexStream4iATI = (void *)epoxy_glVertexStream4iATI_resolver();
    epoxy_glVertexStream4iATI(stream, x, y, z, w);
}
PUBLIC PFNGLVERTEXSTREAM4IATIPROC epoxy_glVertexStream4iATI = epoxy_glVertexStream4iATI_rewrite_ptr;

static void
epoxy_glVertexStream4ivATI_rewrite_ptr(GLenum stream, const GLint * coords)
{
    epoxy_glVertexStream4ivATI = (void *)epoxy_glVertexStream4ivATI_resolver();
    epoxy_glVertexStream4ivATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM4IVATIPROC epoxy_glVertexStream4ivATI = epoxy_glVertexStream4ivATI_rewrite_ptr;

static void
epoxy_glVertexStream4sATI_rewrite_ptr(GLenum stream, GLshort x, GLshort y, GLshort z, GLshort w)
{
    epoxy_glVertexStream4sATI = (void *)epoxy_glVertexStream4sATI_resolver();
    epoxy_glVertexStream4sATI(stream, x, y, z, w);
}
PUBLIC PFNGLVERTEXSTREAM4SATIPROC epoxy_glVertexStream4sATI = epoxy_glVertexStream4sATI_rewrite_ptr;

static void
epoxy_glVertexStream4svATI_rewrite_ptr(GLenum stream, const GLshort * coords)
{
    epoxy_glVertexStream4svATI = (void *)epoxy_glVertexStream4svATI_resolver();
    epoxy_glVertexStream4svATI(stream, coords);
}
PUBLIC PFNGLVERTEXSTREAM4SVATIPROC epoxy_glVertexStream4svATI = epoxy_glVertexStream4svATI_rewrite_ptr;

static void
epoxy_glVertexWeightPointerEXT_rewrite_ptr(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glVertexWeightPointerEXT = (void *)epoxy_glVertexWeightPointerEXT_resolver();
    epoxy_glVertexWeightPointerEXT(size, type, stride, pointer);
}
PUBLIC PFNGLVERTEXWEIGHTPOINTEREXTPROC epoxy_glVertexWeightPointerEXT = epoxy_glVertexWeightPointerEXT_rewrite_ptr;

static void
epoxy_glVertexWeightfEXT_rewrite_ptr(GLfloat weight)
{
    epoxy_glVertexWeightfEXT = (void *)epoxy_glVertexWeightfEXT_resolver();
    epoxy_glVertexWeightfEXT(weight);
}
PUBLIC PFNGLVERTEXWEIGHTFEXTPROC epoxy_glVertexWeightfEXT = epoxy_glVertexWeightfEXT_rewrite_ptr;

static void
epoxy_glVertexWeightfvEXT_rewrite_ptr(const GLfloat * weight)
{
    epoxy_glVertexWeightfvEXT = (void *)epoxy_glVertexWeightfvEXT_resolver();
    epoxy_glVertexWeightfvEXT(weight);
}
PUBLIC PFNGLVERTEXWEIGHTFVEXTPROC epoxy_glVertexWeightfvEXT = epoxy_glVertexWeightfvEXT_rewrite_ptr;

static void
epoxy_glVertexWeighthNV_rewrite_ptr(GLhalfNV weight)
{
    epoxy_glVertexWeighthNV = (void *)epoxy_glVertexWeighthNV_resolver();
    epoxy_glVertexWeighthNV(weight);
}
PUBLIC PFNGLVERTEXWEIGHTHNVPROC epoxy_glVertexWeighthNV = epoxy_glVertexWeighthNV_rewrite_ptr;

static void
epoxy_glVertexWeighthvNV_rewrite_ptr(const GLhalfNV * weight)
{
    epoxy_glVertexWeighthvNV = (void *)epoxy_glVertexWeighthvNV_resolver();
    epoxy_glVertexWeighthvNV(weight);
}
PUBLIC PFNGLVERTEXWEIGHTHVNVPROC epoxy_glVertexWeighthvNV = epoxy_glVertexWeighthvNV_rewrite_ptr;

static GLenum
epoxy_glVideoCaptureNV_rewrite_ptr(GLuint video_capture_slot, GLuint * sequence_num, GLuint64EXT * capture_time)
{
    epoxy_glVideoCaptureNV = (void *)epoxy_glVideoCaptureNV_resolver();
    return epoxy_glVideoCaptureNV(video_capture_slot, sequence_num, capture_time);
}
PUBLIC PFNGLVIDEOCAPTURENVPROC epoxy_glVideoCaptureNV = epoxy_glVideoCaptureNV_rewrite_ptr;

static void
epoxy_glVideoCaptureStreamParameterdvNV_rewrite_ptr(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLdouble * params)
{
    epoxy_glVideoCaptureStreamParameterdvNV = (void *)epoxy_glVideoCaptureStreamParameterdvNV_resolver();
    epoxy_glVideoCaptureStreamParameterdvNV(video_capture_slot, stream, pname, params);
}
PUBLIC PFNGLVIDEOCAPTURESTREAMPARAMETERDVNVPROC epoxy_glVideoCaptureStreamParameterdvNV = epoxy_glVideoCaptureStreamParameterdvNV_rewrite_ptr;

static void
epoxy_glVideoCaptureStreamParameterfvNV_rewrite_ptr(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLfloat * params)
{
    epoxy_glVideoCaptureStreamParameterfvNV = (void *)epoxy_glVideoCaptureStreamParameterfvNV_resolver();
    epoxy_glVideoCaptureStreamParameterfvNV(video_capture_slot, stream, pname, params);
}
PUBLIC PFNGLVIDEOCAPTURESTREAMPARAMETERFVNVPROC epoxy_glVideoCaptureStreamParameterfvNV = epoxy_glVideoCaptureStreamParameterfvNV_rewrite_ptr;

static void
epoxy_glVideoCaptureStreamParameterivNV_rewrite_ptr(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLint * params)
{
    epoxy_glVideoCaptureStreamParameterivNV = (void *)epoxy_glVideoCaptureStreamParameterivNV_resolver();
    epoxy_glVideoCaptureStreamParameterivNV(video_capture_slot, stream, pname, params);
}
PUBLIC PFNGLVIDEOCAPTURESTREAMPARAMETERIVNVPROC epoxy_glVideoCaptureStreamParameterivNV = epoxy_glVideoCaptureStreamParameterivNV_rewrite_ptr;

static void
epoxy_glViewport_rewrite_ptr(GLint x, GLint y, GLsizei width, GLsizei height)
{
    epoxy_glViewport = (void *)epoxy_glViewport_resolver();
    epoxy_glViewport(x, y, width, height);
}
PUBLIC PFNGLVIEWPORTPROC epoxy_glViewport = epoxy_glViewport_rewrite_ptr;

static void
epoxy_glViewportArrayv_rewrite_ptr(GLuint first, GLsizei count, const GLfloat * v)
{
    epoxy_glViewportArrayv = (void *)epoxy_glViewportArrayv_resolver();
    epoxy_glViewportArrayv(first, count, v);
}
PUBLIC PFNGLVIEWPORTARRAYVPROC epoxy_glViewportArrayv = epoxy_glViewportArrayv_rewrite_ptr;

static void
epoxy_glViewportIndexedf_rewrite_ptr(GLuint index, GLfloat x, GLfloat y, GLfloat w, GLfloat h)
{
    epoxy_glViewportIndexedf = (void *)epoxy_glViewportIndexedf_resolver();
    epoxy_glViewportIndexedf(index, x, y, w, h);
}
PUBLIC PFNGLVIEWPORTINDEXEDFPROC epoxy_glViewportIndexedf = epoxy_glViewportIndexedf_rewrite_ptr;

static void
epoxy_glViewportIndexedfv_rewrite_ptr(GLuint index, const GLfloat * v)
{
    epoxy_glViewportIndexedfv = (void *)epoxy_glViewportIndexedfv_resolver();
    epoxy_glViewportIndexedfv(index, v);
}
PUBLIC PFNGLVIEWPORTINDEXEDFVPROC epoxy_glViewportIndexedfv = epoxy_glViewportIndexedfv_rewrite_ptr;

static void
epoxy_glWaitSync_rewrite_ptr(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    epoxy_glWaitSync = (void *)epoxy_glWaitSync_resolver();
    epoxy_glWaitSync(sync, flags, timeout);
}
PUBLIC PFNGLWAITSYNCPROC epoxy_glWaitSync = epoxy_glWaitSync_rewrite_ptr;

static void
epoxy_glWaitSyncAPPLE_rewrite_ptr(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    epoxy_glWaitSyncAPPLE = (void *)epoxy_glWaitSync_resolver();
    epoxy_glWaitSyncAPPLE(sync, flags, timeout);
}
PUBLIC PFNGLWAITSYNCAPPLEPROC epoxy_glWaitSyncAPPLE = epoxy_glWaitSyncAPPLE_rewrite_ptr;

static void
epoxy_glWeightPathsNV_rewrite_ptr(GLuint resultPath, GLsizei numPaths, const GLuint * paths, const GLfloat * weights)
{
    epoxy_glWeightPathsNV = (void *)epoxy_glWeightPathsNV_resolver();
    epoxy_glWeightPathsNV(resultPath, numPaths, paths, weights);
}
PUBLIC PFNGLWEIGHTPATHSNVPROC epoxy_glWeightPathsNV = epoxy_glWeightPathsNV_rewrite_ptr;

static void
epoxy_glWeightPointerARB_rewrite_ptr(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glWeightPointerARB = (void *)epoxy_glWeightPointerARB_resolver();
    epoxy_glWeightPointerARB(size, type, stride, pointer);
}
PUBLIC PFNGLWEIGHTPOINTERARBPROC epoxy_glWeightPointerARB = epoxy_glWeightPointerARB_rewrite_ptr;

static void
epoxy_glWeightPointerOES_rewrite_ptr(GLint size, GLenum type, GLsizei stride, const void * pointer)
{
    epoxy_glWeightPointerOES = (void *)epoxy_glWeightPointerOES_resolver();
    epoxy_glWeightPointerOES(size, type, stride, pointer);
}
PUBLIC PFNGLWEIGHTPOINTEROESPROC epoxy_glWeightPointerOES = epoxy_glWeightPointerOES_rewrite_ptr;

static void
epoxy_glWeightbvARB_rewrite_ptr(GLint size, const GLbyte * weights)
{
    epoxy_glWeightbvARB = (void *)epoxy_glWeightbvARB_resolver();
    epoxy_glWeightbvARB(size, weights);
}
PUBLIC PFNGLWEIGHTBVARBPROC epoxy_glWeightbvARB = epoxy_glWeightbvARB_rewrite_ptr;

static void
epoxy_glWeightdvARB_rewrite_ptr(GLint size, const GLdouble * weights)
{
    epoxy_glWeightdvARB = (void *)epoxy_glWeightdvARB_resolver();
    epoxy_glWeightdvARB(size, weights);
}
PUBLIC PFNGLWEIGHTDVARBPROC epoxy_glWeightdvARB = epoxy_glWeightdvARB_rewrite_ptr;

static void
epoxy_glWeightfvARB_rewrite_ptr(GLint size, const GLfloat * weights)
{
    epoxy_glWeightfvARB = (void *)epoxy_glWeightfvARB_resolver();
    epoxy_glWeightfvARB(size, weights);
}
PUBLIC PFNGLWEIGHTFVARBPROC epoxy_glWeightfvARB = epoxy_glWeightfvARB_rewrite_ptr;

static void
epoxy_glWeightivARB_rewrite_ptr(GLint size, const GLint * weights)
{
    epoxy_glWeightivARB = (void *)epoxy_glWeightivARB_resolver();
    epoxy_glWeightivARB(size, weights);
}
PUBLIC PFNGLWEIGHTIVARBPROC epoxy_glWeightivARB = epoxy_glWeightivARB_rewrite_ptr;

static void
epoxy_glWeightsvARB_rewrite_ptr(GLint size, const GLshort * weights)
{
    epoxy_glWeightsvARB = (void *)epoxy_glWeightsvARB_resolver();
    epoxy_glWeightsvARB(size, weights);
}
PUBLIC PFNGLWEIGHTSVARBPROC epoxy_glWeightsvARB = epoxy_glWeightsvARB_rewrite_ptr;

static void
epoxy_glWeightubvARB_rewrite_ptr(GLint size, const GLubyte * weights)
{
    epoxy_glWeightubvARB = (void *)epoxy_glWeightubvARB_resolver();
    epoxy_glWeightubvARB(size, weights);
}
PUBLIC PFNGLWEIGHTUBVARBPROC epoxy_glWeightubvARB = epoxy_glWeightubvARB_rewrite_ptr;

static void
epoxy_glWeightuivARB_rewrite_ptr(GLint size, const GLuint * weights)
{
    epoxy_glWeightuivARB = (void *)epoxy_glWeightuivARB_resolver();
    epoxy_glWeightuivARB(size, weights);
}
PUBLIC PFNGLWEIGHTUIVARBPROC epoxy_glWeightuivARB = epoxy_glWeightuivARB_rewrite_ptr;

static void
epoxy_glWeightusvARB_rewrite_ptr(GLint size, const GLushort * weights)
{
    epoxy_glWeightusvARB = (void *)epoxy_glWeightusvARB_resolver();
    epoxy_glWeightusvARB(size, weights);
}
PUBLIC PFNGLWEIGHTUSVARBPROC epoxy_glWeightusvARB = epoxy_glWeightusvARB_rewrite_ptr;

static void
epoxy_glWindowPos2d_rewrite_ptr(GLdouble x, GLdouble y)
{
    epoxy_glWindowPos2d = (void *)epoxy_glWindowPos2d_resolver();
    epoxy_glWindowPos2d(x, y);
}
PUBLIC PFNGLWINDOWPOS2DPROC epoxy_glWindowPos2d = epoxy_glWindowPos2d_rewrite_ptr;

static void
epoxy_glWindowPos2dARB_rewrite_ptr(GLdouble x, GLdouble y)
{
    epoxy_glWindowPos2dARB = (void *)epoxy_glWindowPos2d_resolver();
    epoxy_glWindowPos2dARB(x, y);
}
PUBLIC PFNGLWINDOWPOS2DARBPROC epoxy_glWindowPos2dARB = epoxy_glWindowPos2dARB_rewrite_ptr;

static void
epoxy_glWindowPos2dMESA_rewrite_ptr(GLdouble x, GLdouble y)
{
    epoxy_glWindowPos2dMESA = (void *)epoxy_glWindowPos2d_resolver();
    epoxy_glWindowPos2dMESA(x, y);
}
PUBLIC PFNGLWINDOWPOS2DMESAPROC epoxy_glWindowPos2dMESA = epoxy_glWindowPos2dMESA_rewrite_ptr;

static void
epoxy_glWindowPos2dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glWindowPos2dv = (void *)epoxy_glWindowPos2dv_resolver();
    epoxy_glWindowPos2dv(v);
}
PUBLIC PFNGLWINDOWPOS2DVPROC epoxy_glWindowPos2dv = epoxy_glWindowPos2dv_rewrite_ptr;

static void
epoxy_glWindowPos2dvARB_rewrite_ptr(const GLdouble * v)
{
    epoxy_glWindowPos2dvARB = (void *)epoxy_glWindowPos2dv_resolver();
    epoxy_glWindowPos2dvARB(v);
}
PUBLIC PFNGLWINDOWPOS2DVARBPROC epoxy_glWindowPos2dvARB = epoxy_glWindowPos2dvARB_rewrite_ptr;

static void
epoxy_glWindowPos2dvMESA_rewrite_ptr(const GLdouble * v)
{
    epoxy_glWindowPos2dvMESA = (void *)epoxy_glWindowPos2dv_resolver();
    epoxy_glWindowPos2dvMESA(v);
}
PUBLIC PFNGLWINDOWPOS2DVMESAPROC epoxy_glWindowPos2dvMESA = epoxy_glWindowPos2dvMESA_rewrite_ptr;

static void
epoxy_glWindowPos2f_rewrite_ptr(GLfloat x, GLfloat y)
{
    epoxy_glWindowPos2f = (void *)epoxy_glWindowPos2f_resolver();
    epoxy_glWindowPos2f(x, y);
}
PUBLIC PFNGLWINDOWPOS2FPROC epoxy_glWindowPos2f = epoxy_glWindowPos2f_rewrite_ptr;

static void
epoxy_glWindowPos2fARB_rewrite_ptr(GLfloat x, GLfloat y)
{
    epoxy_glWindowPos2fARB = (void *)epoxy_glWindowPos2f_resolver();
    epoxy_glWindowPos2fARB(x, y);
}
PUBLIC PFNGLWINDOWPOS2FARBPROC epoxy_glWindowPos2fARB = epoxy_glWindowPos2fARB_rewrite_ptr;

static void
epoxy_glWindowPos2fMESA_rewrite_ptr(GLfloat x, GLfloat y)
{
    epoxy_glWindowPos2fMESA = (void *)epoxy_glWindowPos2f_resolver();
    epoxy_glWindowPos2fMESA(x, y);
}
PUBLIC PFNGLWINDOWPOS2FMESAPROC epoxy_glWindowPos2fMESA = epoxy_glWindowPos2fMESA_rewrite_ptr;

static void
epoxy_glWindowPos2fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glWindowPos2fv = (void *)epoxy_glWindowPos2fv_resolver();
    epoxy_glWindowPos2fv(v);
}
PUBLIC PFNGLWINDOWPOS2FVPROC epoxy_glWindowPos2fv = epoxy_glWindowPos2fv_rewrite_ptr;

static void
epoxy_glWindowPos2fvARB_rewrite_ptr(const GLfloat * v)
{
    epoxy_glWindowPos2fvARB = (void *)epoxy_glWindowPos2fv_resolver();
    epoxy_glWindowPos2fvARB(v);
}
PUBLIC PFNGLWINDOWPOS2FVARBPROC epoxy_glWindowPos2fvARB = epoxy_glWindowPos2fvARB_rewrite_ptr;

static void
epoxy_glWindowPos2fvMESA_rewrite_ptr(const GLfloat * v)
{
    epoxy_glWindowPos2fvMESA = (void *)epoxy_glWindowPos2fv_resolver();
    epoxy_glWindowPos2fvMESA(v);
}
PUBLIC PFNGLWINDOWPOS2FVMESAPROC epoxy_glWindowPos2fvMESA = epoxy_glWindowPos2fvMESA_rewrite_ptr;

static void
epoxy_glWindowPos2i_rewrite_ptr(GLint x, GLint y)
{
    epoxy_glWindowPos2i = (void *)epoxy_glWindowPos2i_resolver();
    epoxy_glWindowPos2i(x, y);
}
PUBLIC PFNGLWINDOWPOS2IPROC epoxy_glWindowPos2i = epoxy_glWindowPos2i_rewrite_ptr;

static void
epoxy_glWindowPos2iARB_rewrite_ptr(GLint x, GLint y)
{
    epoxy_glWindowPos2iARB = (void *)epoxy_glWindowPos2i_resolver();
    epoxy_glWindowPos2iARB(x, y);
}
PUBLIC PFNGLWINDOWPOS2IARBPROC epoxy_glWindowPos2iARB = epoxy_glWindowPos2iARB_rewrite_ptr;

static void
epoxy_glWindowPos2iMESA_rewrite_ptr(GLint x, GLint y)
{
    epoxy_glWindowPos2iMESA = (void *)epoxy_glWindowPos2i_resolver();
    epoxy_glWindowPos2iMESA(x, y);
}
PUBLIC PFNGLWINDOWPOS2IMESAPROC epoxy_glWindowPos2iMESA = epoxy_glWindowPos2iMESA_rewrite_ptr;

static void
epoxy_glWindowPos2iv_rewrite_ptr(const GLint * v)
{
    epoxy_glWindowPos2iv = (void *)epoxy_glWindowPos2iv_resolver();
    epoxy_glWindowPos2iv(v);
}
PUBLIC PFNGLWINDOWPOS2IVPROC epoxy_glWindowPos2iv = epoxy_glWindowPos2iv_rewrite_ptr;

static void
epoxy_glWindowPos2ivARB_rewrite_ptr(const GLint * v)
{
    epoxy_glWindowPos2ivARB = (void *)epoxy_glWindowPos2iv_resolver();
    epoxy_glWindowPos2ivARB(v);
}
PUBLIC PFNGLWINDOWPOS2IVARBPROC epoxy_glWindowPos2ivARB = epoxy_glWindowPos2ivARB_rewrite_ptr;

static void
epoxy_glWindowPos2ivMESA_rewrite_ptr(const GLint * v)
{
    epoxy_glWindowPos2ivMESA = (void *)epoxy_glWindowPos2iv_resolver();
    epoxy_glWindowPos2ivMESA(v);
}
PUBLIC PFNGLWINDOWPOS2IVMESAPROC epoxy_glWindowPos2ivMESA = epoxy_glWindowPos2ivMESA_rewrite_ptr;

static void
epoxy_glWindowPos2s_rewrite_ptr(GLshort x, GLshort y)
{
    epoxy_glWindowPos2s = (void *)epoxy_glWindowPos2s_resolver();
    epoxy_glWindowPos2s(x, y);
}
PUBLIC PFNGLWINDOWPOS2SPROC epoxy_glWindowPos2s = epoxy_glWindowPos2s_rewrite_ptr;

static void
epoxy_glWindowPos2sARB_rewrite_ptr(GLshort x, GLshort y)
{
    epoxy_glWindowPos2sARB = (void *)epoxy_glWindowPos2s_resolver();
    epoxy_glWindowPos2sARB(x, y);
}
PUBLIC PFNGLWINDOWPOS2SARBPROC epoxy_glWindowPos2sARB = epoxy_glWindowPos2sARB_rewrite_ptr;

static void
epoxy_glWindowPos2sMESA_rewrite_ptr(GLshort x, GLshort y)
{
    epoxy_glWindowPos2sMESA = (void *)epoxy_glWindowPos2s_resolver();
    epoxy_glWindowPos2sMESA(x, y);
}
PUBLIC PFNGLWINDOWPOS2SMESAPROC epoxy_glWindowPos2sMESA = epoxy_glWindowPos2sMESA_rewrite_ptr;

static void
epoxy_glWindowPos2sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glWindowPos2sv = (void *)epoxy_glWindowPos2sv_resolver();
    epoxy_glWindowPos2sv(v);
}
PUBLIC PFNGLWINDOWPOS2SVPROC epoxy_glWindowPos2sv = epoxy_glWindowPos2sv_rewrite_ptr;

static void
epoxy_glWindowPos2svARB_rewrite_ptr(const GLshort * v)
{
    epoxy_glWindowPos2svARB = (void *)epoxy_glWindowPos2sv_resolver();
    epoxy_glWindowPos2svARB(v);
}
PUBLIC PFNGLWINDOWPOS2SVARBPROC epoxy_glWindowPos2svARB = epoxy_glWindowPos2svARB_rewrite_ptr;

static void
epoxy_glWindowPos2svMESA_rewrite_ptr(const GLshort * v)
{
    epoxy_glWindowPos2svMESA = (void *)epoxy_glWindowPos2sv_resolver();
    epoxy_glWindowPos2svMESA(v);
}
PUBLIC PFNGLWINDOWPOS2SVMESAPROC epoxy_glWindowPos2svMESA = epoxy_glWindowPos2svMESA_rewrite_ptr;

static void
epoxy_glWindowPos3d_rewrite_ptr(GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glWindowPos3d = (void *)epoxy_glWindowPos3d_resolver();
    epoxy_glWindowPos3d(x, y, z);
}
PUBLIC PFNGLWINDOWPOS3DPROC epoxy_glWindowPos3d = epoxy_glWindowPos3d_rewrite_ptr;

static void
epoxy_glWindowPos3dARB_rewrite_ptr(GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glWindowPos3dARB = (void *)epoxy_glWindowPos3d_resolver();
    epoxy_glWindowPos3dARB(x, y, z);
}
PUBLIC PFNGLWINDOWPOS3DARBPROC epoxy_glWindowPos3dARB = epoxy_glWindowPos3dARB_rewrite_ptr;

static void
epoxy_glWindowPos3dMESA_rewrite_ptr(GLdouble x, GLdouble y, GLdouble z)
{
    epoxy_glWindowPos3dMESA = (void *)epoxy_glWindowPos3d_resolver();
    epoxy_glWindowPos3dMESA(x, y, z);
}
PUBLIC PFNGLWINDOWPOS3DMESAPROC epoxy_glWindowPos3dMESA = epoxy_glWindowPos3dMESA_rewrite_ptr;

static void
epoxy_glWindowPos3dv_rewrite_ptr(const GLdouble * v)
{
    epoxy_glWindowPos3dv = (void *)epoxy_glWindowPos3dv_resolver();
    epoxy_glWindowPos3dv(v);
}
PUBLIC PFNGLWINDOWPOS3DVPROC epoxy_glWindowPos3dv = epoxy_glWindowPos3dv_rewrite_ptr;

static void
epoxy_glWindowPos3dvARB_rewrite_ptr(const GLdouble * v)
{
    epoxy_glWindowPos3dvARB = (void *)epoxy_glWindowPos3dv_resolver();
    epoxy_glWindowPos3dvARB(v);
}
PUBLIC PFNGLWINDOWPOS3DVARBPROC epoxy_glWindowPos3dvARB = epoxy_glWindowPos3dvARB_rewrite_ptr;

static void
epoxy_glWindowPos3dvMESA_rewrite_ptr(const GLdouble * v)
{
    epoxy_glWindowPos3dvMESA = (void *)epoxy_glWindowPos3dv_resolver();
    epoxy_glWindowPos3dvMESA(v);
}
PUBLIC PFNGLWINDOWPOS3DVMESAPROC epoxy_glWindowPos3dvMESA = epoxy_glWindowPos3dvMESA_rewrite_ptr;

static void
epoxy_glWindowPos3f_rewrite_ptr(GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glWindowPos3f = (void *)epoxy_glWindowPos3f_resolver();
    epoxy_glWindowPos3f(x, y, z);
}
PUBLIC PFNGLWINDOWPOS3FPROC epoxy_glWindowPos3f = epoxy_glWindowPos3f_rewrite_ptr;

static void
epoxy_glWindowPos3fARB_rewrite_ptr(GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glWindowPos3fARB = (void *)epoxy_glWindowPos3f_resolver();
    epoxy_glWindowPos3fARB(x, y, z);
}
PUBLIC PFNGLWINDOWPOS3FARBPROC epoxy_glWindowPos3fARB = epoxy_glWindowPos3fARB_rewrite_ptr;

static void
epoxy_glWindowPos3fMESA_rewrite_ptr(GLfloat x, GLfloat y, GLfloat z)
{
    epoxy_glWindowPos3fMESA = (void *)epoxy_glWindowPos3f_resolver();
    epoxy_glWindowPos3fMESA(x, y, z);
}
PUBLIC PFNGLWINDOWPOS3FMESAPROC epoxy_glWindowPos3fMESA = epoxy_glWindowPos3fMESA_rewrite_ptr;

static void
epoxy_glWindowPos3fv_rewrite_ptr(const GLfloat * v)
{
    epoxy_glWindowPos3fv = (void *)epoxy_glWindowPos3fv_resolver();
    epoxy_glWindowPos3fv(v);
}
PUBLIC PFNGLWINDOWPOS3FVPROC epoxy_glWindowPos3fv = epoxy_glWindowPos3fv_rewrite_ptr;

static void
epoxy_glWindowPos3fvARB_rewrite_ptr(const GLfloat * v)
{
    epoxy_glWindowPos3fvARB = (void *)epoxy_glWindowPos3fv_resolver();
    epoxy_glWindowPos3fvARB(v);
}
PUBLIC PFNGLWINDOWPOS3FVARBPROC epoxy_glWindowPos3fvARB = epoxy_glWindowPos3fvARB_rewrite_ptr;

static void
epoxy_glWindowPos3fvMESA_rewrite_ptr(const GLfloat * v)
{
    epoxy_glWindowPos3fvMESA = (void *)epoxy_glWindowPos3fv_resolver();
    epoxy_glWindowPos3fvMESA(v);
}
PUBLIC PFNGLWINDOWPOS3FVMESAPROC epoxy_glWindowPos3fvMESA = epoxy_glWindowPos3fvMESA_rewrite_ptr;

static void
epoxy_glWindowPos3i_rewrite_ptr(GLint x, GLint y, GLint z)
{
    epoxy_glWindowPos3i = (void *)epoxy_glWindowPos3i_resolver();
    epoxy_glWindowPos3i(x, y, z);
}
PUBLIC PFNGLWINDOWPOS3IPROC epoxy_glWindowPos3i = epoxy_glWindowPos3i_rewrite_ptr;

static void
epoxy_glWindowPos3iARB_rewrite_ptr(GLint x, GLint y, GLint z)
{
    epoxy_glWindowPos3iARB = (void *)epoxy_glWindowPos3i_resolver();
    epoxy_glWindowPos3iARB(x, y, z);
}
PUBLIC PFNGLWINDOWPOS3IARBPROC epoxy_glWindowPos3iARB = epoxy_glWindowPos3iARB_rewrite_ptr;

static void
epoxy_glWindowPos3iMESA_rewrite_ptr(GLint x, GLint y, GLint z)
{
    epoxy_glWindowPos3iMESA = (void *)epoxy_glWindowPos3i_resolver();
    epoxy_glWindowPos3iMESA(x, y, z);
}
PUBLIC PFNGLWINDOWPOS3IMESAPROC epoxy_glWindowPos3iMESA = epoxy_glWindowPos3iMESA_rewrite_ptr;

static void
epoxy_glWindowPos3iv_rewrite_ptr(const GLint * v)
{
    epoxy_glWindowPos3iv = (void *)epoxy_glWindowPos3iv_resolver();
    epoxy_glWindowPos3iv(v);
}
PUBLIC PFNGLWINDOWPOS3IVPROC epoxy_glWindowPos3iv = epoxy_glWindowPos3iv_rewrite_ptr;

static void
epoxy_glWindowPos3ivARB_rewrite_ptr(const GLint * v)
{
    epoxy_glWindowPos3ivARB = (void *)epoxy_glWindowPos3iv_resolver();
    epoxy_glWindowPos3ivARB(v);
}
PUBLIC PFNGLWINDOWPOS3IVARBPROC epoxy_glWindowPos3ivARB = epoxy_glWindowPos3ivARB_rewrite_ptr;

static void
epoxy_glWindowPos3ivMESA_rewrite_ptr(const GLint * v)
{
    epoxy_glWindowPos3ivMESA = (void *)epoxy_glWindowPos3iv_resolver();
    epoxy_glWindowPos3ivMESA(v);
}
PUBLIC PFNGLWINDOWPOS3IVMESAPROC epoxy_glWindowPos3ivMESA = epoxy_glWindowPos3ivMESA_rewrite_ptr;

static void
epoxy_glWindowPos3s_rewrite_ptr(GLshort x, GLshort y, GLshort z)
{
    epoxy_glWindowPos3s = (void *)epoxy_glWindowPos3s_resolver();
    epoxy_glWindowPos3s(x, y, z);
}
PUBLIC PFNGLWINDOWPOS3SPROC epoxy_glWindowPos3s = epoxy_glWindowPos3s_rewrite_ptr;

static void
epoxy_glWindowPos3sARB_rewrite_ptr(GLshort x, GLshort y, GLshort z)
{
    epoxy_glWindowPos3sARB = (void *)epoxy_glWindowPos3s_resolver();
    epoxy_glWindowPos3sARB(x, y, z);
}
PUBLIC PFNGLWINDOWPOS3SARBPROC epoxy_glWindowPos3sARB = epoxy_glWindowPos3sARB_rewrite_ptr;

static void
epoxy_glWindowPos3sMESA_rewrite_ptr(GLshort x, GLshort y, GLshort z)
{
    epoxy_glWindowPos3sMESA = (void *)epoxy_glWindowPos3s_resolver();
    epoxy_glWindowPos3sMESA(x, y, z);
}
PUBLIC PFNGLWINDOWPOS3SMESAPROC epoxy_glWindowPos3sMESA = epoxy_glWindowPos3sMESA_rewrite_ptr;

static void
epoxy_glWindowPos3sv_rewrite_ptr(const GLshort * v)
{
    epoxy_glWindowPos3sv = (void *)epoxy_glWindowPos3sv_resolver();
    epoxy_glWindowPos3sv(v);
}
PUBLIC PFNGLWINDOWPOS3SVPROC epoxy_glWindowPos3sv = epoxy_glWindowPos3sv_rewrite_ptr;

static void
epoxy_glWindowPos3svARB_rewrite_ptr(const GLshort * v)
{
    epoxy_glWindowPos3svARB = (void *)epoxy_glWindowPos3sv_resolver();
    epoxy_glWindowPos3svARB(v);
}
PUBLIC PFNGLWINDOWPOS3SVARBPROC epoxy_glWindowPos3svARB = epoxy_glWindowPos3svARB_rewrite_ptr;

static void
epoxy_glWindowPos3svMESA_rewrite_ptr(const GLshort * v)
{
    epoxy_glWindowPos3svMESA = (void *)epoxy_glWindowPos3sv_resolver();
    epoxy_glWindowPos3svMESA(v);
}
PUBLIC PFNGLWINDOWPOS3SVMESAPROC epoxy_glWindowPos3svMESA = epoxy_glWindowPos3svMESA_rewrite_ptr;

static void
epoxy_glWindowPos4dMESA_rewrite_ptr(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    epoxy_glWindowPos4dMESA = (void *)epoxy_glWindowPos4dMESA_resolver();
    epoxy_glWindowPos4dMESA(x, y, z, w);
}
PUBLIC PFNGLWINDOWPOS4DMESAPROC epoxy_glWindowPos4dMESA = epoxy_glWindowPos4dMESA_rewrite_ptr;

static void
epoxy_glWindowPos4dvMESA_rewrite_ptr(const GLdouble * v)
{
    epoxy_glWindowPos4dvMESA = (void *)epoxy_glWindowPos4dvMESA_resolver();
    epoxy_glWindowPos4dvMESA(v);
}
PUBLIC PFNGLWINDOWPOS4DVMESAPROC epoxy_glWindowPos4dvMESA = epoxy_glWindowPos4dvMESA_rewrite_ptr;

static void
epoxy_glWindowPos4fMESA_rewrite_ptr(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    epoxy_glWindowPos4fMESA = (void *)epoxy_glWindowPos4fMESA_resolver();
    epoxy_glWindowPos4fMESA(x, y, z, w);
}
PUBLIC PFNGLWINDOWPOS4FMESAPROC epoxy_glWindowPos4fMESA = epoxy_glWindowPos4fMESA_rewrite_ptr;

static void
epoxy_glWindowPos4fvMESA_rewrite_ptr(const GLfloat * v)
{
    epoxy_glWindowPos4fvMESA = (void *)epoxy_glWindowPos4fvMESA_resolver();
    epoxy_glWindowPos4fvMESA(v);
}
PUBLIC PFNGLWINDOWPOS4FVMESAPROC epoxy_glWindowPos4fvMESA = epoxy_glWindowPos4fvMESA_rewrite_ptr;

static void
epoxy_glWindowPos4iMESA_rewrite_ptr(GLint x, GLint y, GLint z, GLint w)
{
    epoxy_glWindowPos4iMESA = (void *)epoxy_glWindowPos4iMESA_resolver();
    epoxy_glWindowPos4iMESA(x, y, z, w);
}
PUBLIC PFNGLWINDOWPOS4IMESAPROC epoxy_glWindowPos4iMESA = epoxy_glWindowPos4iMESA_rewrite_ptr;

static void
epoxy_glWindowPos4ivMESA_rewrite_ptr(const GLint * v)
{
    epoxy_glWindowPos4ivMESA = (void *)epoxy_glWindowPos4ivMESA_resolver();
    epoxy_glWindowPos4ivMESA(v);
}
PUBLIC PFNGLWINDOWPOS4IVMESAPROC epoxy_glWindowPos4ivMESA = epoxy_glWindowPos4ivMESA_rewrite_ptr;

static void
epoxy_glWindowPos4sMESA_rewrite_ptr(GLshort x, GLshort y, GLshort z, GLshort w)
{
    epoxy_glWindowPos4sMESA = (void *)epoxy_glWindowPos4sMESA_resolver();
    epoxy_glWindowPos4sMESA(x, y, z, w);
}
PUBLIC PFNGLWINDOWPOS4SMESAPROC epoxy_glWindowPos4sMESA = epoxy_glWindowPos4sMESA_rewrite_ptr;

static void
epoxy_glWindowPos4svMESA_rewrite_ptr(const GLshort * v)
{
    epoxy_glWindowPos4svMESA = (void *)epoxy_glWindowPos4svMESA_resolver();
    epoxy_glWindowPos4svMESA(v);
}
PUBLIC PFNGLWINDOWPOS4SVMESAPROC epoxy_glWindowPos4svMESA = epoxy_glWindowPos4svMESA_rewrite_ptr;

static void
epoxy_glWriteMaskEXT_rewrite_ptr(GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW)
{
    epoxy_glWriteMaskEXT = (void *)epoxy_glWriteMaskEXT_resolver();
    epoxy_glWriteMaskEXT(res, in, outX, outY, outZ, outW);
}
PUBLIC PFNGLWRITEMASKEXTPROC epoxy_glWriteMaskEXT = epoxy_glWriteMaskEXT_rewrite_ptr;

#endif /* !USING_DISPATCH_TABLE */
